AutoCAD Electrical What's New

Overview of AutoCAD Electrical Help
AutoCAD Electrical What's New
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of AutoCAD Electrical Help
  • Join the Customer Involvement Program

    You are invited to participate in helping guide the direction of Autodesk design software.

  • What's New in AutoCAD Electrical 2010
  • Ribbon Interface
  • What's New in Previous Releases
  • What's New in 2007 Release
  • What's New in 2008 Release
  • What's New in 2009 Release
Please send us your comment about this page


Overview of AutoCAD Electrical Help (Concept)

AutoCAD Electrical What's New
AutoCAD Electrical What's New
Join the Customer Involvement Program
AutoCAD Electrical What's New >
Overview of AutoCAD Electrical Help
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

The AutoCAD Electrical Help system is a browser-based system available through context-sensitive links or by accessing it through the Help menu or icon. Key features of the Help system include:

  • There is on-demand access from the F1 function key, ribbons, dialog boxes, and the command line.
  • Navigation tabs in each topic link to related procedures, references, and concepts.
  • The Help menu gives you access to AutoCAD Electrical Help, AutoCAD Electrical Launchpad, the New Features Workshop and other resources.
What are ways to gain access to Help?

You can get help about a command while you are using it.

Help Button in ribbon environment

Select the Help icon in the upper right. Select the drop-down arrow to display a menu of help options.

Help Menu

From the menu bar, select Help [image] Electrical Help Topics to view the AutoCAD Electrical Help home page.

Press F1

  • At the command prompt, press F1 to open the topic for the active tool.
  • In a dialog box, press F1 to open the Reference topic for the active tool.

Help button

In a dialog box, click Help to open the Reference topic for the active tool.

How is Help organized?

Most of the subjects in the Help system have three topic types: Procedure, Reference, and Concept. Every Help topic selected from a menu has a tab row above the topic title. You can click a tab to go to the other available topic types.

  • Procedure topics provide step-by-step procedures for accomplishing AutoCAD Electrical tasks.
  • Reference topics offer detailed descriptions of elements in the dialog box.
  • Concept topics provide conceptual information about tools and tasks and may explain related concepts.

The titles of Help topics are designed to tell you the information they contain:

  • Procedure topics start with an action word, for example, "Create projects."
  • Reference topics have the names of the dialog box as their titles.
  • Concept topics typically start with the words "Use" or “Overview of.”
How do I get around in the Help system?

When you start the Help system, the first thing you see is the AutoCAD Electrical Help home page.

Navigation bar | At the top of every Help window is a navigation bar with icons. The left-most icon is either Show or Hide, which opens or closes the navigation pane of the Help window. The navigation pane has tabs for Table of Contents, Index, Search, and Favorites.
Table of Contents | Presents an overview of the available documentation in a list of topics and subtopics. Provides a structure so you can always see where you are in Help and quickly jump to other topics. Click AutoCAD Electrical Command Listing for an alphabetical list of AutoCAD Electrical tools found in the menu and toolbars.
Index | You can enter a word in the box to locate the term in the alphabetical index. Double-click the term to display the topic, or if multiple topics, to open a list of topics found.
Search | You can enter a search word in the box and click List Topics to view a list of topics that contain the search word anywhere in their content. Click a title, and then click Display (or double-click a title) to open the topic.
Favorites | With a topic visible in the Help window, you can click the Favorites tab, and then click Add to add the current topic to a list of favorites. To remove a topic from the list, select the topic in the list, and then click Remove.
How do I learn the product?

Training programs and products from Autodesk help you learn the key technical features and improve your productivity. For the latest information about Autodesk training, visit http://www.autodesk.com/training or contact your local Autodesk office.

The Autodesk Authorized Training Center (ATC) network delivers Autodesk-authorized, instructor-led training to design professionals who use Autodesk software. Autodesk Authorized Training Centers use experienced and knowledgeable instructors. More than 1,200 ATC sites are available worldwide to meet your needs for discipline-specific, locally based training.

To find a training center near you, contact your local Autodesk office or visit http://www.autodesk.com/atc.


Use AutoCAD Electrical Help (Procedure)

Overview of AutoCAD Electrical Help
Join the Customer Involvement Program
AutoCAD Electrical What's New >
Overview of AutoCAD Electrical Help
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Use AutoCAD Electrical Help

AutoCAD Electrical has a variety of learning tools to assist you, whether you are a newcomer or an experienced CAD user.

To gain access to Help

Use any of the following methods to gain access to Help.

  • Select the Help icon in the upper right or select the drop-down arrow to display a menu of help options.
  • Select Help [image] Electrical Help Topics from the menu bar, and then browse to the desired topic. You can use the tabbed pane to access the Index, Search, or Table of Contents.
  • Press F1 to open the Procedure or Reference Help topic for the active command.
  • In an open dialog box, press F1 or click Help to open the Reference topic for the active command.
To customize Help

Use any of the following methods to customize Help.

  • Click the Hide or Show button in the Help toolbar to control the visibility of the tabbed pane beside the content window.
  • To add a topic to the Favorites tab, select a Help topic, click the Favorites tab, and then click Add. To delete a topic from the Favorites tab, select the topic in the list, and then click Delete.
To search Help

Another method for finding Help topics is to use the Search tab.

  1. Click Show in the browser toolbar if the tabbed navigation pane is not displayed.
  2. Click the Search tab.
  3. Enter text in the search text box, and then click List Topics. Use quotation marks (" ") around the search criteria to search for a string. Use an asterisk (*) before or after text as a wildcard.
  4. Double-click a topic or select a topic, and then click Display to show the topic.
  5. You can also select one or more of the following Search options to limit the results.
    • Search previous results
    • Match similar words
    • Search titles only
  6. Use operators to refine your Search criteria further. Click the right arrow next to the search text box, and then select one of the following operators.
    • AND Use AND to search for topics with more than one set of your search criteria.
    • OR Use OR to search for topics with at least one of your search criteria.
    • NEAR Use Near to search for specified text within close proximity to each other.
    • NOT Use NOT to search for topics that do not include your search criteria.
To print Help

You can print a single file or you can print sections of the Help.

  1. In the Help Contents tab, right-click a heading and select Print.
  2. Select whether to print the selected topic or the selected heading and all subheadings.
    NoteYou can also print a single topic by right-clicking in the file and selecting Print.
  3. Click OK.

If you want to print the entire Help system, in the Contents tab, right-click AutoCAD Electrical Help and select Print. Select the option to print the selected heading and all subheadings and click OK.

To find out What's New about AutoCAD Electrical

What's New topics describe the new functionality in the most recent AutoCAD Electrical release.

  1. Click Help [image] AutoCAD Electrical Help. In the AutoCAD Electrical Help, click What's New from the Table of Contents.

    You can also open the What's New by selecting Help [image] Display Launchpad. Click What's New on the AutoCAD Electrical Launchpad.

  2. Browse to a feature you want to learn about.
  3. Click More Information to learn more about the feature.
To get started with AutoCAD Electrical using Getting Started
  1. Select Help [image] Display Launchpad.

    The AutoCAD Electrical Launchpad screen appears. The Launchpad has two sections. The top section is for first-time users. It has links to white papers, the Getting Started manual, the AutoCAD Electrical discussion group, and frequently asked questions. The bottom section has links to places for additional information about AutoCAD Electrical. You can find out what's new in the current release, link to the Advanced Productivity home page, and find out more about additional Autodesk products.

  2. Click Getting Started Manual on the AutoCAD Electrical Launchpad.


Join the Customer Involvement Program (Concept)

Overview of AutoCAD Electrical Help
AutoCAD Electrical What's New
What's New in AutoCAD Electrical 2010
AutoCAD Electrical What's New >
Join the Customer Involvement Program
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

You are invited to participate in helping guide the direction of Autodesk design software.

If you participate in the Customer Involvement Program, specific information about how you use AutoCAD Electrical is forwarded to Autodesk. This information includes what features you use the most, problems that you encounter, and other information helpful to the future direction of the product.

See the following links for more information.

  • Learn more about the Autodesk Customer Involvement Program: http://www.autodesk.com/cip

  • Read the Autodesk Privacy Statement: http://www.autodesk.com/cipprivacy


To turn the CIP on or off (Procedure)

Overview of AutoCAD Electrical Help
Join the Customer Involvement Program
The Ribbon
AutoCAD Electrical What's New >
Join the Customer Involvement Program
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To turn the CIP on or off

  1. On the InfoCenter toolbar, to the right of the Help button, click the drop-down arrow.
  2. Click Customer Involvement Program.
  3. In the Customer Involvement Program dialog box, select a level of participation.
  4. Click OK.


What's New in AutoCAD Electrical 2010

Join the Customer Involvement Program
AutoCAD Electrical What's New
Ribbon Interface
AutoCAD Electrical What's New >
What's New in AutoCAD Electrical 2010
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Ribbon Interface

To provide easy access to AutoCAD Electrical commands, a ribbon interface is now available. The ribbon layout is based on workflow and function. See the Help topic, Ribbon Interface, for more information on the ribbon layout.

For More Information

Workspaces

AutoCAD Electrical provides three predefined workspaces.

  • ACADE & 2D Drafting & Annotation - ribbons that provide the AutoCAD Electrical tools, and the AutoCAD 2D Drafting and Annotation tools.
  • ACADE & 3D Modeling - ribbons that provide the AutoCAD Electrical tools, and the AutoCAD 3D Modeling tools.
  • AutoCAD Electrical Classic - toolbars and pull down menus that provide the AutoCAD Electrical tools and AutoCAD tools.

You can switch to another workspace whenever you need to by selecting the Workspace icon [image] on the status bar.

Circuit Builder goes green

Circuit Builder now provides engineering analysis/green calculations in the area of power conductor size versus energy losses. Designing to meet minimum code requirements can conflict with green design.

During the code requirements analysis, Circuit Builder displays parallel energy loss calculations so you can make better green design decisions. For example, you might want to oversize the conductors for a motor to reduce conductor heating losses. It results in a higher initial cost. But this higher cost can potentially be recovered many times over in reduced energy losses in the wiring over the lifetime of the installation.

For More Information

Circuit Builder - power feed support

Circuit Builder now provides power feed circuits for insertion.

  • Option to add a source arrow symbols at end of the power feed bus.
  • Option to add a generic load box representation at the end of the power feed bus.
  • Supports defining a user-created load symbol, for example a variable speed drive symbol, for insertion at the end of a power feed bus.
  • Support for adjusting the load representation based on the rung spacing.

For More Information

Circuit Builder - additional features

  • Wire conductor sizing based upon electrical code requirements.
  • Support for split-parallel conductor sizing is available. You can choose to substitute multiple, smaller diameter conductors to meet the equivalent ampacity requirement of a single, large diameter conductor.
  • Fuse, breaker, disconnect switch, and overload calculations based upon electrical code requirements.
  • Circuit Builder can be set up to predefine motor description text, installation, location, and text description for individual components in the circuit.
  • Insert a new circuit and reference an existing circuit. This option can transfer the values from the existing circuit to your new circuit.
  • Electrical standards database editor to view, modify, and expand the ace_electrical_standards.mdb file.

For More Information

Motor control one-line circuits

AutoCAD Electrical now provides library support and software support to create motor control one-line diagrams that link back to other drawing types in a project drawing set.

  • New motor control one-line symbol library accessible from the icon menu.
  • Circuit Builder supports building motor control one-line circuits dynamically allowing the design of one-line circuits, with component values and wire sizes, to conform to a given electrical code.
  • One-line component symbols can be related to parent/child counterparts on the schematic and panel layout drawings within a project. You can surf between one-line and related components and all related components update if one is modified.
  • Tagging of schematic or panel components using existing commands can reference a pick list that includes components pulled from the one-line diagrams.
  • Certain schematic reports have a new category option. You select the category, for example One-Line, and the data is filtered based on that category. It can also be used to filter a report for Hydraulic, P&ID, or Pneumatic components.

For More Information

No wire numbering option for wire layers

Wire layers now have a “no wire numbering” option. These wires behave normally for inserting, breaking, and scooting components, and show up in the Wire From/To report.

The Insert Wire Numbers command follows these rules:

  • If all wires in the network are on layers set “No” for Wire Numbering, no new wire number is inserted.
  • If any wire in the network is on a layer set “Yes” for Wire Numbering, the existing non-fixed wire number is updated or a new wire number is inserted.
  • If a wire network already has a non-fixed wire number, it is updated regardless of the Wire Numbering setting. Use the Delete Wire Numbers command to remove the wire number.

For More Information

Electrical Audit

The Electrical Audit can now display the results for the active drawing only. Run the Electrical Audit, click the Active Drawing button and quickly see the issues for this drawing only. Open another drawing and the dialog box updates to display the results for the newly opened drawing. The active drawing must be part of the active project.

For More Information

Help Updates

Reference topics that show command access now include the following features:

  • Command line access
  • Ribbon access
  • If the location of a command is changed, ribbon and menu access to the command are updated in the Help system to reflect the new location of the command.
    NoteThis dynamic update only works when the Help is used within AutoCAD Electrical.


Ribbon Interface

What's New in AutoCAD Electrical 2010
AutoCAD Electrical What's New
Project tab
AutoCAD Electrical What's New >
Ribbon Interface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Project tab
  • Schematic tab
  • Panel tab
  • Reports tab
  • Import/Export Data tab
  • Conversion Tools tab
  • Symbol Builder tab
  • Toolbars to Ribbons
  • The Ribbon

    The ribbon is a palette that displays task-based commands and controls.


Project tab

Ribbon Interface
Ribbon Interface
Project Tools panel
AutoCAD Electrical What's New > Ribbon Interface >
Project tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Project Tools panel
  • Other Tools panel
  • Troubleshooting panel


Project Tools panel

Project tab
Project tab
Other Tools panel
AutoCAD Electrical What's New > Ribbon Interface > Project tab >
Project Tools panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command

Description

Project Manager

AEPROJECT

Lists the drawing files associated with each open project. Use this to add new drawings, reorder drawing files, and change project settings. You cannot have two projects open in the Project Manager with the same project name.

Copy Project

AECOPYPROJECT

Copies an existing project to a new name and creates renamed copies of the drawing files.

Delete Project

AEDELETEPROJECT

Deletes a project and provides the option to also delete the drawing files in the project. This is permanent and cannot be undone.

Zip Project

AEZIPPROJECT

Creates a zip file of the .wdp file for the active project and one or more drawing files it references. The zip file can optionally include a copy of the temporary database file for the project.

Project-Wide Update/Retag

AEPROJUPDATE

Updates component tags, wire numbers, ladder references, and select drawing settings.

Project-Wide Utilities

AEUTILITIES

Updates wire numbers, component tags, and attribute text. Allows user-defined scripts to be applied project-wide.

Mark/Verify DWGs

AEMARKVERIFY

Places an invisible mark on each component before sending the drawings to a client. When the drawings are returned, a list is generated that includes any components or wire numbers that have been modified, edited, or copied.

NoteThis command writes information to the project database file that is used to check for deleted components. Your drawings must be named and part of the active project to use this command.


Other Tools panel

Project Tools panel
Project tab
Troubleshooting panel
AutoCAD Electrical What's New > Ribbon Interface > Project tab >
Other Tools panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Surfer AESURF | Moves from reference to reference across the project drawing set. A new window opens and the original window closes when Surf is selected unless you hold the Shift key while running the command.
Continue Surfer AESURFCONT | Continues a previous surf session from the point where you left off.
Previous DWG AEPREV | Loads the drawing listed above the current drawing in the project explorer, and closes the current drawing.
Next DWG AENEXT | Loads the drawing listed below the current drawing in the project explorer, and closes the current drawing.
Migration Utility AEMIGRATION | Migrate database and support files from a previous version of AutoCAD Electrical to the current release.
Language Conversion AELANG | Translates component description text from one language to another. Description text and switch position text is processed on schematic and panel components.
Edit Language Database AELANGDB | Opens the current language table for review and modification. The default table is wd_lang1.mdb.
Title Block Setup AESETUPTITLEBLOCK | You can link some AutoCAD Electrical project description data entries and some of the drawing values to the attributes in the title blocks. There are two methods, an attribute mapping file or a mapping attribute embedded on the title block.
Title Block Update AEUPDATETITLEBLOCK | Automates updating title block information for the current drawing or the entire project drawing set. Project and drawing specific settings are linked to one or more attributes contained in the title block.
IEC Tag Mode Update AEUPDATEIECTAG | Updates component tagging based on a change in the IEC tagging mode.
Update to New WD_M Block, Values, Layers AESWAPWDM | Replaces the schematic wd_m.dwg block in the current drawing with a newer copy, and converts to the newer configuration values and layers.
Update to New WD_M Block, No changes AESWAPWDMNOCHANGE | Replaces the schematic wd_m.dwg block in the current drawing with a newer copy, but keeps existing configuration values and layer names.
Update to New WD_PNLM Block, Values, Layers AESWAPPNLM | Replaces the panel wd_pnlm.dwg block in the current drawing with a newer copy, and converts to the newer configuration values and layers.
Update to New WD_PNLM Block, No changes AESWAPPNLMNOCHANGE | Replaces the panel wd_pnlm.dwg block in the current drawing with a newer copy, but keeps existing configuration values and layer names.
Update Symbol Library WD_M Block AECOPY2SYMLIB | Writes the attribute settings for the wd_m block in the current drawing to the wd_m.dwg drawing file in the symbol library.
Settings List Utility AEDWGCFG | Reports the settings of each drawing in the project, and provides the means to edit the report and update the drawing properties with the edited values.
Xdata List AELISTXDATA | Lists extended entity data, xdata, on a selected object.
Xdata Editor AEXDATA | Allows display and edit of an object's “1000” type extended entity data (Xdata).
Right Click Menu Off AEOFFRIGHTCLICKCONTECXTMENU | Turns off the right-click menus in AutoCAD Electrical.
Right Click Menu On AEONRIGHTCLICKCONTECXTMENU | Turns on the right-click menus in AutoCAD Electrical.
Add Catalog Table AEADDCATALOG TABLE | Adds a new, blank table to the catalog lookup database file.
Move Objects to Layer AEMOVE2LAYER | Moves all objects on a layer in the active drawing to a different layer.
PLC Database Migration Utility AEPLCMIGRATE | Adds the Category field to the PLC database tables. This field is used by the Spreadsheet to PLC I/O utility to determine module placement.


Troubleshooting panel

Other Tools panel
Project tab
Schematic tab
AutoCAD Electrical What's New > Ribbon Interface > Project tab >
Troubleshooting panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Troubleshooting panel is off by default.

Command | Description
Clean DWG Utility AECLEANDWG | Inserts a project drawing as an exploded block into a new, blank drawing.
Command Trace On AEONLISPDEBUG | Turns on the display of a real-time listing of internal calls in AutoCAD Electrical.
Command Trace Off AEOFFLISPDEBUG | Turns off the display of a real-time listing of internal calls in AutoCAD Electrical.
MDB Command Trace On AEONMDBDEBUG | Turns on the display of error messages generated during temporary MDB file rebuild or freshen.
MDB Command Trace Off AEOFFMDBDEBUG | Turns off the display of error messages generated during temporary MDB file rebuild and freshen.
Command Timer On AEONTIMER | Turns on the timer for command execution elapsed time.
Command Timer Off AEOFFTIMER | Turns off the timer for command execution elapsed time.


Schematic tab

Troubleshooting panel
Ribbon Interface
Quick Pick panel
AutoCAD Electrical What's New > Ribbon Interface >
Schematic tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Quick Pick panel
  • Insert Components panel
  • Edit Components panel
  • Insert Wires/Wire Numbers panel
  • Edit Wires/Wire Numbers panel
  • Other Tools panel
  • Power Check Tools panel


Quick Pick panel

Schematic tab
Schematic tab
Insert Components panel
AutoCAD Electrical What's New > Ribbon Interface > Schematic tab >
Quick Pick panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Quick Pick panel is off by default.

Command | Description
Relays AERELAYMENU | Activates the icon menu with the relay page displayed.
Push Buttons AEPUSHBUTTONSMENU | Activates the icon menu with the push button page displayed.
Selector Switches AESELECTORSWITCHMENU | Activates the icon menu with the selector switch page displayed.
Limit Switches AELIMITSWITCHMENU | Activates the icon menu with the limit switch page displayed.
Pilot Lights AEPILOTLIGHTSMENU | Activates the icon menu with the pilot light page displayed.
Insert Saved Circuit AESAVEDCIRCUIT | Inserts a user circuit selected from on-screen icon menu.


Insert Components panel

Quick Pick panel
Schematic tab
Edit Components panel
AutoCAD Electrical What's New > Ribbon Interface > Schematic tab >
Insert Components panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command

Description

Insert Component

AECOMPONENT

Inserts selected components from the icon menu onto the drawing.

Insert Component (Catalog List)

AECOMPONENTCAT

Inserts schematic symbols by choosing a catalog number or a component description from a user-defined pick list. The data displayed in this pick list is stored in a database in generic Access format. The file name is wd_picklist.mdb and can be edited with Microsoft® Access or from Add/Edit/Delete along the bottom of the pick list's dialog box. The AutoCAD Electrical normal search path sequence is used to locate this file.

Insert Component (Equipment List)

AECOMPONENTEQ

This spreadsheet organizes the selected user-created equipment list and presents the list in a pick list. As you pick an item from the pick list, the appropriate schematic symbol is found and inserted in the drawing at your pick point. You can open a comma-delimited file, Microsoft® Excel® spreadsheet, or Microsoft Access database file for input.

Insert Component (Panel List)

AECOMPONENTPNL

Lists panel components extracted from your panel drawing, finds the appropriate schematic symbol, and inserts the schematic components at your pick point.

Insert Terminal (Panel List)

AETERMINALPNL

Lists panel terminals extracted from your panel drawing, finds the appropriate schematic symbol, and inserts the schematic terminals at your pick point.

Circuit Builder

AECIRCBUILDER

Build a motor control circuit dynamically.

Recalculate Wire Size

AEEDITWS

Displays Wire Size Lookup dialog box with previous calculated data for selected motor or power feed load representation.

Multiple Insert (Icon Menu)

AEMULTI

Inserts a series of similar components at fence crossing points with underlying wires.

Multiple Insert (Pick Master)

AEMULTIPICK

Inserts a copy of the selected component multiple times at each wire crossing and fence line intersection point.

Insert WBlocked Circuit

AEWBCIRCUIT

Inserts WBlocked circuitry (external drawing file) with automatic component tag update.

Insert Saved Circuit

AESAVEDCIRCUIT

Inserts a user circuit selected from on-screen icon menu.

Insert PLC (Parametric)

AEPLCP

Generates PLC I/O modules on demand, in a variety of different graphical styles via a parametric generation technique. It is driven by a database file (ace_plc.mdb) and a handful of library symbol blocks.

Insert PLC (Full Units)

AEPLC

Inserts PLC I/O modules that are fixed library symbol blocks.

Location Box

AELOCATIONBOX

Draws a dashed box around selected components. A description can be assigned to the box, and components within the box can have their location and installation code(s) changed.

Location Symbols

AELOCATIONSYMBOL

Inserts location marks on symbols that are identified with location code in text form.

Insert Connector

AECONNECTOR

Generates a connector symbol from user-defined parameters. The symbol is created on the fly, and inserted as a block insert into your active drawing file. Since these are created on an as-needed based, it eliminates the need for you to create and maintain a library of connector symbols.

Insert Connector from List

AECONNECTORLIST

Imports a connector wire list from another application, such as Autodesk® Inventor™ Professional Cable & Harness.

NoteIf the AutoCAD Electrical drawing is missing one end of the connector or if a connection was not found, wiring information is displayed next to the pin and the information is written into a log file so you know AutoCAD Electrical was unable to resolve the wire connections in the drawing. The log file name is {drawing filename.LOG} and is found in the same folder as the drawing file.

Insert Splice

AESPLICE

Inserts a splice symbol selected from the on-screen icon menu.

Link Components with Dashed Line

AELINK

Draws a smart dashed line between stacked contacts of a multicontact component. When the dashed link line inserts, certain attributes automatically flip to invisible. Use the Attribute Hide command to turn the visibility of the selected attributes back on.

Insert Reference Arrow - To

AEREFARROWTO

Draws a dashed line from a component to a “To” arrow symbol.

Insert Reference Arrow - From

AEREFARROWFROM

Draws a dashed line from a component to a “From” arrow symbol.

Insert Stand-Alone Cross-Reference

AESAXREF

Inserts standalone cross-reference symbol (not tied to a wire). You use standalone cross-reference symbols just as you would wire source/destination arrow symbols but without the wires. Insert a source reference symbol, and then tie one or more destination reference symbols to it. These can be on the same drawing or scattered across the project drawing set.

Insert Pneumatic Components

AEPNEUMATIC

Inserts Pneumatic components from an on-screen icon menu. This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Project Properties dialog box. Use the Icon Menu Wizard to easily modify the menu.

Insert Hydraulic Component

AEHYDRAULIC

Inserts hydraulic components from an on-screen icon menu. This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Project Properties dialog box. Use the Icon Menu Wizard to easily modify the menu.

Insert P&ID Component

AEPID

Inserts P&ID components from an on-screen icon menu. This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Project Properties dialog box. Use the Icon Menu Wizard to easily modify the menu.


Edit Components panel

Insert Components panel
Schematic tab
Insert Wires/Wire Numbers panel
AutoCAD Electrical What's New > Ribbon Interface > Schematic tab >
Edit Components panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command

Description

Edit Component

AEEDITCOMPONENT

Edits components, PLC modules, terminal, wire numbers and signal arrows.

Add/Edit Internal Jumper

AEINTERNALJUMPER

Adds, changes, or deletes internal jumpers on a selected component. When wire numbers are inserted, these internal jumpers are read and wire numbers are assigned accordingly.

Fix/UnFix Component Tag

AEFIXTAG

Toggles selected component tag between fixed and normal.

Copy Catalog Assignment

AECOPYCAT

Inserts or edits catalog part numbers onto the currently selected component or footprint.

Edit User Table Data

AEUSERTABLE

Edits user-defined Xdata on component or wire numbers and populates the User table in project database file. You can add, edit, or remove free-form user data records attached to the selected block insert.

Delete Component

AEERASECOMP

Removes the selected component from the drawing. If you erase a parent schematic component, you have the option to search for related child components, surf to them, and delete them.

Copy Component

AECOPYCOMP

Inserts a copy of an existing component into the drawing and updates the component tags.

Copy Circuit

AECOPYCIRCUIT

Copies existing circuits and pastes the copied circuit to a specified location. The components are automatically retagged based on their new line reference locations.

Move Circuit

AEMOVECIRCUIT

Moves the selected circuit to a specified location. The components are automatically retagged based on their new line reference locations and cross-references are updated.

Save Circuit to Icon Menu

AESAVECIRCUIT

Saves windowed portions of circuitry for later reuse. Up to 24 circuits can be saved at any one time in this scratch menu.

Scoot

AESCOOT

Scoots selected components along their connected wires or scoots entire wires, including components, along the bus. A rectangle indicates the selected items.

Align

AEALIGN

Aligns selected components with a master component. All connected wires are adjusted, and wire numbers recentered if necessary. You can align vertically or horizontally by flipping the command by typing V or H at the command line.

Move Component

AEMOVE

Automatically moves the selected component to a new position.

Reverse/Flip Component

AEFLIP

Reverses or flips selected component graphics and its associated attributes

NoteThis tool only operates on a component with 2-wire connections (ex: limit switch contact symbol).

Stretch PLC Module

AESTRETCHPLC

Stretches or compresses the windowed portion of PLC modules (or any block insert) while maintaining all of the original block information, including attributes.

Split PLC Module

AESPLITPLC

Splits selected PLC module into two separate block definitions (i.e. parent and a child or a child and another child).

Retag Components

AERETAG

Retags components with contact updates. Run this when something changes on your drawing or project that affects the component tags. This can include revising the ladder line reference numbers or changing the tag format. Retag redoes each selected primary component tag, and then updates the related secondary components. You can select to update a single component, a group of components, a drawing, drawings within your project, or the entire project.

Find/Edit/Replace Component Text

AEFINDCOMPTEXT

Finds and replaces component and terminal text values or find and replace substrings within those values. You can do this on the active drawing or across the project drawing set.

Find/Replace Terminal Text

AEFINDTERMTEXT

Finds and replaces terminal number text values or find and replace sub-strings within those values. You can do this on a selection from the active drawing, the entire active drawing, or across the project drawing set.

Move/Show Attribute

AEATTSHOW

Moves the selected attributes to a picked point. The attributes remain tied to the block inserts

Edit Selected Attribute

AEEDITATT

Edits an attribute's text by picking right on the attribute. A dialog box displays and you type in a new attribute value. This utility also works on invisible attributes. It finds and displays the closest attribute to your pick point on a block insert.

Hide Attribute (Single Picks)

AEHIDEATT

Hides selected attribute; to unhide pick on block graphics and un-toggle attribute name in the list. Select the graphic of a target block insert to display a listing of all attribute names and values. You can switch attributes between hidden and visible or you can edit individual attribute values.

Hide Attributes (Window/Multiple)

AEHIDEATTRIB

Hides window selected attributes you specify in a list of names.

Unhide Attributes (Window/Multiple)

AESHOWATTRIB

Unhides window selected attributes you specify in a list of names.

Add Attribute

AEATTRIBUTE

Adds a new attribute to an existing instance of a block insert.

Rename Attribute

AERENAMEATTRIB

Adds a new attribute to an existing instance of a block insert.

Squeeze Attribute/Text

AEATTSQUEEZE

Compresses an attribute to make it fit into a tight spot (such as between closely spaced components). Each click on the attribute dynamically changes the attribute's width factor by 5%.

Stretch Attribute/Text

AEATTSTRETCH

Expands an attribute. Each click on the attribute dynamically changes the attribute's width factor by 5%.

Change Attribute Size

AEATTSIZE

Changes attribute text size when components or wire numbers have already been inserted onto your drawings.

Rotate Attribute

AEATTROTATE

Rotates the selected attribute text or MTEXT string 90 degrees from its current orientation. After rotation, press M and [space] to flip into the Move Attribute mode.

Change Attribute Justification

AEATTJUSTIFY

Changes the justification of wire number text, component description text, or attributes.

Change Attribute Layer

AEATTLAYER

Forces attribute text entities to a given layer. Select the target layer (type it in or select from the list), press OK and then select the attributes to change to the target layer.

Toggle NO/NC

AETOGGLENONC

Flips a contact from one state (open or closed) to the other. It looks at the picked contact, reads its block name, and checks the 5th character position for either 1 or 2. It then substitutes 1 or 2 for the found character.

Swap/Update Block

AESWAPBLOCK

Use to update or change blocks in place. Attribute values are retained during the swapping process. Wire connections are also maintained even if the new symbol is slightly wider or narrower than the original.

Reverse Connector

AEREVERSE

Reverses the orientation of the connector about its horizontal or vertical axis. None of the existing wire connections automatically reroute to the reverse side of the connector and you will have to resolve wiring using the wire editing tools.

Rotate Connector

AEROTATE

Rotates the connector about its insertion point in 90 degree increments. The wire connections do not reroute with each rotation of the connector. You must resolve wiring using the wire editing tools.

Stretch Connector

AESTRETCH

Increases or decreases the connector's overall shell length. You might do this to make room for new pins or to capture previously added pins that fell beyond the connector shell. You identify which end of the connector is to be altered and the measurement of displacement.

Split Connector

AESPLIT

Splits the parametric connector into two separate block definitions (i.e. parent and a child or a child and another child).

Add Connector Pins

AECONNECTORPIN

Adds pins to an existing connector.

Delete Connector Pins

AEERASEPIN

Removes a pin from an existing connector and, if the connector has a defined pin list, frees this deleted pin to be re-inserted later on this connector or on a related child of this connector.

Move Connector Pin

AEMOVEPIN

Moves connector pin associated to selected connector.

Swap Connector Pins

AESWAPPINS

Exchanges one set of connector pin numbers for another on an existing connector or between connectors on the drawing.

NoteYou cannot swap a combination connector with a single plug or receptacle connector. Additionally, you cannot use this tool to swap pins from one side of a connector to the other.

Component Cross-Reference

AEXREF

Collects and annotates groups of components that carry the same TAG text string value (such as “101CR”). Components do not have to be of the same family to be cross-referenced; they just need to have the same TAG1/TAG2/TAG_*/TAG attribute values.

Hide/Unhide Cross-Reference

AEHIDEXREF

Changes the visibility of cross-references. In most cases the cross-referencing should be visible but there are times when you may not want the cross-referencing displayed on parent symbols.

Update Stand-Alone Cross-Reference

AEUPDATESAXREF

Updates cross-reference information for two types of cross-reference symbols: wire number signal arrow symbols and standalone cross-reference symbols. It can update your source or destination signals singly, drawing-wide, or project-wide.

Change Cross-Reference to Multiple Line Text

AEXREF2TEXT

Converts a long string of relay coil or source/destination cross-reference text to a multiline text entity (MTEXT). The underlying attribute value is maintained, but flipped to visible. The MTEXT entity is created at the same XY location as the underlying attribute. The MTEXT entity updates, scoots, and behaves as if it is an attribute tied to the component block.

Cross-Reference Check

AEXREFCHECK

Displays all associated and parent components to the selected component. A complete list of components is extracted from the project drawing set. The component's tag is read, then all associated components are found and listed in the dialog box. A bill of material check can be performed to see if the item's description indicates that the quantity of contacts can be accommodated.

Child Location/Description Update

AECHILDLOCUPDATE

Updates child and panel components with installation, location, and description values carried by the associated parent schematic component.

Copy/Add Component Override

AECOPYOVERRIDE

Copies and/or adds cross-reference component overrides from another symbol. You can define components to have different cross-referencing styles. The settings specified using this tool override the drawing properties. Component overrides are copied when the component is copied; similarly they are applied to multiple inserts of the same component.

Remove Component Override

AERMOVERRIDE

Removes the component overrides so the cross-referencing commands use the settings for the drawing or project.

Cross-Reference Table

AESHOWXREFTABLE

Displays a cross-reference table for all stand-alone PLC I/O points that carry the selected component tag.

Copy Installation/Location Code Values

AECOPYINSTLOC

Performs mass copies of location, installation, group, or mount codes to all of the components you select. You either type in the desired code, pick from an on-line list, or pick a similar master component.

Associate Terminals

AEASSOCTERMINAL

Associates two or more terminal symbols together. Associating schematic terminals combines the terminals into a single terminal block property definition. The number of schematic terminals that can be combined is limited to the number of levels defined for the block properties.

Break Apart Terminal Associations

AEBREAKASSOC

Breaks one or more terminal symbols out of an existing association. Schematic terminals are removed from any multi-tier relationship and any schematic-panel relationships. Panel terminals are removed from any schematic-panel relationships.

Show Terminal Associations

AESHOWTERMASSOC

Displays terminals associated to a selected terminal.

Edit Jumper

AEJUMPER

Edits the jumper information, such as adding catalog data, or deletes the jumper.

Copy Terminal Block Properties

AECOPYTERMINALPROP

Copies terminal properties from one terminal symbol to another. If the application of the terminal properties reduces the number of levels and the number of terminal symbols exceeds the total allowed, an alert displays and the properties are not copied.

Terminal:Show Internal/External Connections

AESHOWTERMCONN

Shows internal and external terminal block connections.

Terminal:Mark Internal Connections

AEMARKTERMINT

Marks internal terminal block connections. Controls which side of a terminal receives internal wire connections.

Terminal:Mark External Connections

AEMARKTEMEXT

Marks external terminal block connections. Controls which side of a terminal receives external wire connections.

Terminal:Erase Internal/External Connections

AEERASETEMCONN

Erases internal and external terminal block connections.


Insert Wires/Wire Numbers panel

Edit Components panel
Schematic tab
Edit Wires/Wire Numbers panel
AutoCAD Electrical What's New > Ribbon Interface > Schematic tab >
Insert Wires/Wire Numbers panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Insert Wire AEWIRE | Inserts single line wire segments on a wire layer (the wire layer does not have to be the current layer).
Insert 22.5 Degree Wire AE225WIRE | Inserts an angled (22.5 degree) line wire segment on a wire layer (the wire layer does not have to be the current layer).
Insert 45 Degree Wire AE45WIRE | Inserts an angled (45 degree) line wire segments on a wire layer (the wire layer does not have to be the current layer).
Insert 67.5 Degree Wire AE675WIRE | Inserts an angled (67.5 degree) line wire segments on a wire layer (the wire layer does not have to be the current layer).
Interconnect Components AECONNECTCOMP | Inserts wires between aligned connection points on a pair of selected components.
Insert Wire Gap AEWIREGAP | Inserts a gap/loop at the point of two crossing lines. Gaps are automatically inserted when a new wire crosses another.
Multiple Wire Bus AEMULTIBUS | Inserts vertical or horizontal bus wiring. Bus spacing defaults to the default ladder rung spacing for horizontal bus. Multiple bus wiring automatically breaks and reconnects to any underlying components that it finds in its path. If it crosses any existing wiring, wire-crossing gaps automatically insert (if the drawing is so configured).
Insert Wire Numbers AEWIRENO | Inserts or updates wire numbers associated with wire line entities.
3 Phase Wire Numbers AE3PHASEWIRENO | Inserts special wire numbering generally associated with 3-phase bus and motor circuits.
PLC I/O Wire Numbers AEPLCWIRENO | Inserts wire numbers based on the I/O address that each PLC connected wire touches. Wire numbers go in as FIXED which means that they will not change if a wire number retag is run later on.
Source Signal Arrow AESOURCE | Copies wire number from a source-arrowed wire network to any/all associated destination-arrowed wire network.
Destination Signal Arrow AEDESTINATION | Retrieves the wire number for a destination-arrowed wire network from its associated source-arrowed wire network. NoteA Destination signal arrow cannot be tied to a wire network that carries a pre-assigned fixed wire number.
Fan In/Out Source AEFANINSRC | Inserts in-line source marker symbols and changes the connected wire on the fan-in side to be on a non-wire layer.
Fan In/Out Destination AEFANINDEST | Changes the connected common wires on the fan-out side to non-wire layer but leaves the individual segments on the opposite side of marker on the original wire layer.
Wire Arrows for Reference Only AEREFWIREARROWS | Inserts non intelligent, reference-only arrows.
Insert Ladder AELADDER | Inserts ladders of a set width and length onto the drawing. There is no limit to the number of ladders that can be inserted into a drawing, but ladders may not overlap each other. Multiple ladder fragments in the same vertical column need to be vertically aligned along their left-hand side. NoteThese limitations do not apply when X-Y Grid or X-Zone referencing is selected.
XY Grid Setup AEXYGRID | Inserts the X-Y grid labels for drawings that use X-Y Grid for the Format Referencing. You can also change other settings from here (such as origin) instead of going back into the Drawing Properties dialog box. Your drawing must be configured for X-Y Grids. Set the Format Referencing in the Drawing Properties dialog box to X-Y Grid.
X Zones Setup AEXZONE | Inserts the X grid labels for drawings that use X Zones for the Format Referencing. You can also change other settings from here (such as origin) instead of going back into the Drawing Properties dialog box. Your drawing must be configured for X Zones. Set the Format Referencing in the Drawing Properties dialog box to X Zones.
Wire Number Leader AEWIRENOLEADER | Repositions the wire number text with an attached leader.
Wire Color/Gauge Labels AEWIRECOLORLABEL | Inserts wire color gauge labels with a leader on your drawing's wiring.
In-Line Wire Labels AEINLINEWIRE | Inserts a reference-only in-line wire label.
Cable Markers AECABLEMARKER | Inserts cable markers onto the drawing. Cable markers carry a cable TAG value, just like any parent/child device combination. They can also carry a conductor color value (carried as a RATING1 attribute value on the marker block symbol).
Multiple Cable Markers AEMULTICABLE | Inserts all the markers for a particular cable. In addition, you can edit existing cable marker sets, or even delete cable markers from this dialog box.
Insert Dot Tee Markers AEDOTTEE | Inserts a dot tee connection symbol at a manually drawn wire intersection. If present, this replaces an existing angled wire connection symbol with a dot connection symbol. You cannot insert a tee connection symbol into empty space. A valid line wire ending (not crossing) at a tee intersection somewhere along the length of another line wire is needed. This means that it will not insert a tee connection symbol at a 90-degree wire turn.
Insert Angled Tee Markers AEANGLETEE | Inserts an angled tee connection symbol at a manually drawn wire intersection. You cannot insert a tee connection symbol into empty space. If present, this replaces an existing wire connection dot with a tee connection symbol.


Edit Wires/Wire Numbers panel

Insert Wires/Wire Numbers panel
Schematic tab
Other Tools panel
AutoCAD Electrical What's New > Ribbon Interface > Schematic tab >
Edit Wires/Wire Numbers panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command

Description

Edit Wire Number

AEEDITWIRENO

Allows manual edit of an existing wire number or insert of a new one if none exists.

Fix Wire Numbers

AEFIXWIRENO

Fixes all or many wire numbers on a drawing at their current values. Fixing a wire number means that the wire number tag is left unchanged if later processed or reprocessed by the automatic wire numbering utility.

Swap Wire Numbers

AESWAPWIRENO

Swaps wire numbers between two wire networks.

Find/Replace Wire Numbers

AEFINDWIRENO

Finds and replaces wire number text values or substrings within those values. You can do this on the active drawing or across the project drawing set.

Hide Wire Numbers

AEHIDEWIRENO

Moves the wire number to a special hide layer so that the number is no longer visible on the screen. The new hide layer is created from the wire number layer name with a “_HIDE” suffix. For example, if the wire number text layer is called WIRENO then the hide layer name is called “WIRENO_HIDE.” The layer is created automatically when needed and you are asked if you want to freeze this layer.

Unhide Wire Numbers

AESHOWWIRENO

Moves the wire number out of the hide layer so that the number is visible on the screen.

Trim Wire

AETRIM

Removes a wire segment and dots as required. You can select a single wire or draw a fence through multiple wires to trim.
Delete Wire Numbers

AEERASEWIRENUM

Deletes selected wire numbers.

NoteIf you erase a wire number and select right on an extra wire number copy, AutoCAD Electrical erases just that copy but leaves the network’s main wire number and any other copies in place.

Add Rung

AERUNG

Finds the nearest line reference location and places a ladder rung at that reference position (both bus wires must be visible on the screen for this to work. If the new rung encounters a schematic device floating in space, it tries to break the wire across the device.

Revise Ladder

AEREVISELADDER

Adjusts the line reference numbering along the side of the ladders; however it doesn't change existing ladder rung spacing.

Renumber Ladder Reference

AERENUMBERLADDER

Renumbers the ladder for the selected drawings from the active project.

Create/Edit Wire Type

AEWIRETYPE

Creates and edits wire types. Use the grid control to sort and select the wire types for easy modification.

Change/Convert Wire Type

AECONVERTWIRETYPE

Changes between wire types and converts lines to wires. Use the grid control to sort and select the wire types for easy modification.

Copy Wire Number

AECOPYWIRENO

Inserts extra wire numbers anywhere on a wire network. These copies follow the network's main wire number attribute. If AutoCAD Electrical modifies it, then any wire number copies on the network also update. Extra wire numbers go on their own layer that is defined in the Define Layers dialog box. If you assign a color to this layer that is different than the normal wire number and fixed wire number layers, then it is easy to tell them apart from the network's main wire number.

Copy Wire Number (In-Line)

AECOPYWIRENOIL

Inserts extra wire numbers such that they appear in-line with the wire rather than above or below the wire. These copies follow the network's main wire number attribute; if AutoCAD Electrical modifies it then any wire number copies on the network also update. Extra wire numbers go on their own layer that is defined in the Define Layers dialog box. If you assign a color to this layer that is different than the normal wire number and fixed wire number layers, then it is easy to tell them apart from the network's main wire number.

Adjust In-Line Wire/Label Gap

AEWIRELABELGAP

Adjusts the gap between the wire and the wire number text of wire numbers that are in-line with the wire.

Move Wire Number

AEMOVEWIRENO

Moves an existing wire number from one segment of the network to another.

Stretch Wire

AESTRETCTWIRE

Lengthens a wire until it meets another wire or an AutoCAD Electrical component.

Bend Wire

AEBENDWIRE

Bends a wire in a right angle and makes 3 right angle turns to avoid or add geometry. When a wire is defined at a right angle you can modify the wire and create a new right angle bend while maintaining the original wire connections to the components.

NoteThis tool terminates if the bend attempts to connect two different wire networks or if the bend bypasses more than a single right angle turn.

Show Wires

AESHOWWIRE

Highlights all wires and displays wire number to wire segment relationships.

Check/Trace Wire

AETRACEWIRE

Helps troubleshoot problems with unconnected or shorted wires and invalid wire crossing gap pointers by single stepping through and highlighting each connected wire of the selected wire network.

Flip Wire Number

AEFLIPWIRENO

Flips the wire number across its associated wire.

Toggle Wire Number In-line

AETOGGLEWIRENO

Switches the wire number between above or below and in-line. If the selected wire number is in-line, it toggles to above or below based on the default Wire Number Placement setting in the Drawing Properties dialog box. If it starts as above or below, the selected wire number toggles to in-line.

NoteIf there isn't room for a wire number to become an in-line wire number, it remains an above or below line wire number.

Toggle Angled Tee Markers

AETOGGLETEE

Toggles an existing angled tee connection symbol (or windowed symbols) through a total of 4 possible orientations. Right-click to toggle through the various tee connection orientations, and press ESC when the appropriate one displays. This replaces any dot tee symbols with angled tee symbols, and then toggles through the 4 possible orientations for each.

Flip Wire Gap

AEFLIPWIREGAP

Flips the gap to the other wire. AutoCAD Electrical makes the gapped wire solid and flips the gap/loop to the crossing wire(s).

Delete Wire Gap

AEERASEWIREGAP

Removes a gap/loop that is no longer needed in an existing wire.

Check/Repair Gap Pointers

AEGAPPOINTER

Verifies that the invisible Xdata pointers on both sides of a wire gap/loop are valid. If not, appropriate pointers are established.

Edit Wire Sequence

AEEDITWIRESEQUENCE

Predefines a wire network's connection sequence, either in a single drawing or across multiple drawing files.

Show Wire Sequence

AESHOWWIRESEQ

Shows the wire sequence defined using the Define Wire Sequence tool. If the wire sequence crosses multiple drawings and you try to view the sequence as an animation, a dialog box listing the off-drawing wire connection information displays so that you can indicate to go to the other drawings to continue viewing the sequence.

Update Signal References

AEUPDATESIGREF

Updates cross-reference information for two types of cross-reference symbols. Wire number signal arrow symbols and standalone cross-reference symbols.

Fan In/Out - Single Line Layer

AEFANIN

Defines a special layer or set of layers for the wires going out of a Fan In/Out source marker and the wires coming into a destination marker.

List Signal Code

AELISTSIG

Follows a signal from a specific source or destination symbol and lists the signal code references.

Show Signal Paths

AESHOWSIG

Displays signal source and destination paths on the active drawing.

Multiple Cable Markers Update

AEUPDATECABLEMARKERS

Updates cable marker assignments defined or edited in a from/to listing.


Other Tools panel

Edit Wires/Wire Numbers panel
Schematic tab
Power Check Tools panel
AutoCAD Electrical What's New > Ribbon Interface > Schematic tab >
Other Tools panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Symbol Builder AESYMBUILDER | Converts existing symbols or creates new, custom components on the fly. It works nicely for quickly building power supplies, filters, drives, controllers, and other custom devices or for converting existing non-AutoCAD Electrical symbols to make them “AutoCAD Electrical smart.” Schematic symbols created or converted using the Symbol Builder are fully compatible with AutoCAD Electrical, break wires upon insertion, and appear in the various BOM, component, and wire connection reports.
Modify Symbol Library AEUPDATESYMLIB | Performs an update of all library symbol scaling and text heights in the folder.
Icon Menu Wizard AEMENUWIZ | Launches the Icon Menu Wizard to easily modify or expand an icon menu, or replace an existing icon menu with your own custom menu. You can change the default icon menu using the Project Properties dialog box. The default icon menu can also be redefined in “wd.env.”
Drawing Properties AEPROPERTIES | Defines defaults for component and wire tag formats, signal references, cross references, and layers.
Rename Schematic Layers AERENAMELAYER | Renames layers one by one, or multiple layers at once by using the Find/Replace method. In addition to renaming the layer, this also updates the AutoCAD Electrical layer assignment information carried on the drawing's WD_M block. For example, if DEMO-WIRES is currently assigned as an AutoCAD Electrical wire layer, and you rename it using this utility, the new layer name is substituted for DEMO-WIRES in the AutoCAD Electrical wire layer name list.
Settings Compare AESHEETCOMPARE | Displays differences between drawing and project settings. Allows update.
PLC Database File Editor AEPLCDB | Creates and modifies PLC I/O module definitions. All editing and creation of PLC data is stored within the PLC database file (ACE_PLC.MDB).
Electrical Standards Database Editor AEBDEDITOR | Edits the electrical standards database file, ace_electrical_standards.mdb. The electrical standards database file sets default Circuit Builder values, defines calculations, and allows Circuit Builder to perform engineering analysis in the area of power conductor size versus energy losses
Pin List Database Editor (AEPINLISTTABLE) | Edits a pin list database table in the catalog database.
Terminal Properties Database Editor AETERMDBEDITOR | Edits a Terminal Properties table in the catalog database.
Schematic Database File Editor AESCHEMATICDB | Edits the records in the schematic_lookup.mdb file to use for mapping panel footprints and terminal representations to the equivalent schematic component block names.


Power Check Tools panel

Other Tools panel
Schematic tab
Panel tab
AutoCAD Electrical What's New > Ribbon Interface > Schematic tab >
Power Check Tools panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Power Check Tools panel is off by default.

Command

Description

Add/Edit Power Source/Load Levels

AEPOWERLOADLEVELS

Marks a component with a power source and load value. A related routine, when invoked, then scans the wire interconnections and reports if there is too much load on a given power source

Mark Component To Pass Power

AEPASSPWR

Marks a component with a PASSPWR flag. The PASSPWR flag instructs the Power Report to pass through the marked component when calculating the load on a given source. If a component carries the PASSPWR flag the Power Report program will pass through the component and continue looking for load values on the network.

NoteCertain components don't need a PASSPWR flag (such as terminals and contacts) since they are automatically passed through.

Power Load Check Report

AEPOWERLOADREPORT

Scans the wire interconnections and reports if there is too much load on a given power source.


Panel tab

Power Check Tools panel
Ribbon Interface
Insert Component Footprints panel
AutoCAD Electrical What's New > Ribbon Interface >
Panel tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert Component Footprints panel
  • Terminal Footprints panel
  • Edit Footprints panel
  • Other Tools panel
  • Conduit Tools panel


Insert Component Footprints panel

Panel tab
Panel tab
Terminal Footprints panel
AutoCAD Electrical What's New > Ribbon Interface > Panel tab >
Insert Component Footprints panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Insert Footprint (Icon Menu) AEFOOTPRINT | Inserts panel footprint selected from on-screen icon menu. This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Project Properties dialog box. Use the Icon Menu Wizard to easily modify the menu.
Insert Footprint (Schematic List) AEFOOTPRINTSCH | Inserts and annotates panel footprint by referencing the project's schematic component list. This report provides error checking between the schematics and the panel layout drawings. The program looks at the selected components, both schematic and panel, to find a match in the project. For each schematic component selected, the routine tries to find a matching panel component based on tag, location, and installation information. If a match is found, then it further compares catalog information looking for any discrepancies. The program looks at each selected panel component looking for a matching schematic component in the same way.
Insert Footprint (Manual) AEFOOTPRINTMAN | Inserts panel footprint using a generic shape or by converting an existing non intelligent AutoCAD block.
Insert Footprint (Manufacturer Menu) AEFOOTPRINTMFG | Inserts and annotates panel footprint using manufacturer-specific icon menu. This can save a lot of time if you frequently use the same vendor and panel components. You can even apply this method to create client-specific menus making it easier to use the vendor or components that each client prefers.
Insert Footprint (Catalog List) AEFOOTPRINTCAT | Inserts and annotates panel footprint from user-defined list of components with catalog assignments. The data displayed in this pick list is stored in a database in generic Microsoft Access format. The file name is wd_picklist.mdb and can be edited with Access or from Add/Edit/Delete along the bottom of the pick list's dialog box. The AutoCAD Electrical normal search path sequence is used to locate this file.
Insert Footprint (Equipment List) AEFOOTPRINTEQ | Inserts and annotates panel footprint from user-defined list of equipment.
Insert Balloon AEBALLOON | Inserts item number balloon.
Wire Annotation of Panel Footprint AEWIREANNOTATION | Annotates panel footprint symbols with wire connection information extracted from selected schematics.
Insert Panel Assembly AEPANELASM | Inserts WBlocked panel footprint assembly. Use the Insert Panel Assembly utility instead of the AutoCAD Insert/Explode command when you want to insert a WBlocked group of panel component footprints with balloons or nameplates. Since AutoCAD Electrical establishes invisible Xdata pointers when these are tied to a footprint, they are properly updated when copied using this utility.


Terminal Footprints panel

Insert Component Footprints panel
Panel tab
Edit Footprints panel
AutoCAD Electrical What's New > Ribbon Interface > Panel tab >
Terminal Footprints panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Terminal Strip Editor AETSE | Displays terminal strips inside of the active project database. The combination of Function, Location, and Terminal Strip values make a complete unique record for selection in the Terminal Strip Selection dialog box.
Terminal Strip Table Generator AETSEGENERATOR | Controls the Tabular Terminal layout format automatically. This creates a new drawing file with each section break and automatically adds them to the project listing. The terminal strip's function (installation) code, location code, and tag are written to the Page Description Field inside of the Project Listing (*.WDP).
Insert Terminal (Schematic List) AEPANELTERMINALSCH | Inserts and annotates panel terminals by referencing the project's schematic terminal list. This report provides error checking between the schematic terminals and panel layout terminals. The program looks at the selected terminals, both schematic and panel, looking for a match in the project. For each schematic terminal selected, it tries to find a matching panel terminal based on tag, location, and installation information. If a match is found, then it compares catalog information, and description information, looking for any discrepancies. The program then looks at each selected panel terminal looking for a matching schematic terminal in the same way.
Insert Terminal (Manual) AEPANELTERMINAL | Inserts and annotates panel terminal footprint using a generic shape or by converting an existing non intelligent AutoCAD block. Some schematic components may not carry manufacturer/catalog information or have a part number assigned that is not listed in the footprint lookup file. In such a case, AutoCAD Electrical cannot determine what footprint block needs to be used so you have to select to make catalog assignments, select or create a footprint, or create a lookup entry on the fly.


Edit Footprints panel

Terminal Footprints panel
Panel tab
Other Tools panel
AutoCAD Electrical What's New > Ribbon Interface > Panel tab >
Edit Footprints panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Edit Footprint AEEDITFOOTPRINT | Edits panel footprint or terminal. Converts selected block if it is not AutoCAD Electrical compatible. In some cases, a footprint update may be required due to manufacturer, catalog or assembly value changes. When asked whether to manually force a footprint change, click No to leave the existing footprint block as is or click Yes to set up a footprint lookup database file or manually draw a simple footprint representation.
Copy Footprint AECOPYFOOTPRINT | Copies selected panel footprint on active drawing. Use the Copy Footprint tool instead of AutoCAD Copy when a panel component footprint has a balloon or a nameplate associated to it. Since AutoCAD Electrical establishes invisible Xdata pointers when these are tied to a footprint, they are properly updated when copied using this utility.
Resequence Item Numbers AERESEQUENCE | Assigns or resequences item number assignments on a drawing or project. This extracts all panel components and nameplates and resequences their item numbers starting at the value you provide. Resequencing is based on the main MFG/CAT/ASSYCODE value combination. Additional multi-catalog numbers on a specific component are ignored. Only the main part number combination is used to group similar components together under a common item number.
Delete Footprint AEERASECOMP | Removes the selected footprint from the drawing. You have the option to search for related components, surf to them, and delete them.
Copy Installation Code AECOPYINST | Copies Installation Code to one or more selected panel footprints.
Copy Location Code AECOPYLOC | Copies Location Code to one or more selected panel footprints.
Copy Mount Code AECOPYMOUNTCODE | Copies Mount Code to one or more selected panel footprints.
Copy Group Code AECOPYGROUPCODE | Copies Group Code to one or more selected panel footprints.
Copy Assembly AECOPYASM | Copies one or more selected panel footprints.


Other Tools panel

Edit Footprints panel
Panel tab
Conduit Tools panel
AutoCAD Electrical What's New > Ribbon Interface > Panel tab >
Other Tools panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Symbol Builder AESYMBUILDER | Converts existing symbols or creates new, custom components on the fly. It works nicely for quickly building power supplies, filters, drives, controllers, and other custom devices or for converting existing non-AutoCAD Electrical symbols to make them “AutoCAD Electrical smart.” Schematic symbols created or converted using the Symbol Builder are fully compatible with AutoCAD Electrical, break wires upon insertion, and appear in the various BOM, component, and wire connection reports.
Icon Menu Wizard AEMENUWIZ | Launches the Icon Menu Wizard to easily modify or expand an icon menu, or replace an existing icon menu with your own custom menu. You can change the default icon menu using the Project Properties dialog box. The default icon menu can also be redefined in “wd.env.”
Panel Configuration AEPANELCONFIG | Sets panel footprint drawing defaults such as text sizes and layer assignments. Configuration settings are saved as attribute values on a non-visible block named WD_PNLM (that inserts at 0,0). If your current drawing does not have this block present when any AutoCAD Electrical panel layout command is invoked, AutoCAD Electrical pauses and asks you for permission to insert this block.
Rename Panel Layers AERENAMEPANLELLAYER | Renames panel-related layers and updates panel drawing settings. The Panel Layer Rename utility makes it easy to rename layers one by one, or multiple layers at once by using the Find/Replace method. In addition to renaming the layer, this also updates the AutoCAD Electrical layer assignment information carried on the drawing's WD_M block. For example, if DEMO-WIRES is currently assigned as an AutoCAD Electrical wire layer, and you rename it using this utility, the new layer name is substituted for DEMO-WIRES in the AutoCAD Electrical wire layer name list.
Update Footprint Layers AEFPLAYERS | Updates selected footprint layer assignments to match panel drawing settings layer assignments.
Make Xdata Visible AESHOWXDATA | Converts any piece of non-visible extended entity data (Xdata) into a visible attribute tied directly to the footprint block.
Footprint Database File Editor AEFOOTPRINTDB | Edits the catalog number and footprint block name lookup file. The footprint lookup database links a manufacturer's catalog part numbers to appropriate footprint block .dwg files. This information is in a multitable Access database file (footprint_lookup.mdb).


Conduit Tools panel

Other Tools panel
Panel tab
Reports tab
AutoCAD Electrical What's New > Ribbon Interface > Panel tab >
Conduit Tools panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Conduit Tools Panel is off by default.

Command | Description
Conduit Marker (Pick) AECONDUITMARKER | Formats an inter-wiring list from a selection of interconnected components. Inserts as a conduit tag.
Conduit Marker (From/To List) AECONDUITMARKERLIST | Formats an inter-wiring list from a subset of a component from/to report. Inserts as a conduit tag.
Edit Conduit Marker AEEDITCONDUITMARKER | Edits conduit marker tag, descriptions, and wire assignments.
Conduit Marker Report AECONDUITMARKERRPT | Extracts conduit marker information into a report. Extractable conduit marker symbols are named “WWAY*.” A conduit can be represented by a line or a polyline and by itself does not carry any intelligence. However, you can insert a conduit marker symbol and associate it to a conduit. The conduit marker symbol then carries wire information intelligence pulled from the AutoCAD Electrical drawings.
Wire/Conduit Routing Report AEROUTINGREPORT | Reports a list of conduit tag assignments that a given wire or cable passes through.
Extract Wire Data AEEXTRACTWIREDATA | Extracts schematic wiring information prior to conduit assignment.


Reports tab

Conduit Tools panel
Ribbon Interface
Schematic panel
AutoCAD Electrical What's New > Ribbon Interface >
Reports tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Schematic panel
  • Panel panel
  • Miscellaneous panel


Schematic panel

Reports tab
Reports tab
Panel panel
AutoCAD Electrical What's New > Ribbon Interface > Reports tab >
Schematic panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Schematic Reports AESCHEMATICREPORT | Generates schematic reports such as Bill of Material, Component lists, Wire From/To, PLC descriptions.
Show Missing Catalog Assignment AEMISSINGCATREPORT | Displays components that do not carry a catalog number assignment. The components are marked with diamond-shaped temporary graphics.
Electrical Audit AEAUDIT | Displays a report of detected problems or potential problems. You can save this file for reference or surf the file to view and correct the errors.
Drawing Audit AEAUDITDWG | Displays a report of detected problems or potential problems. You can save this file for reference or surf the file to view and correct the errors.
Signal Error/List Report AESIGNALERRORREPORT | Displays a signal list and exception report.


Panel panel

Schematic panel
Reports tab
Miscellaneous panel
AutoCAD Electrical What's New > Ribbon Interface > Reports tab >
Panel panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Panel Reports AEPANELREPORT | Generates panel reports such as Bill of Material, Component lists, Nameplates.


Miscellaneous panel

Panel panel
Reports tab
Import/Export Data tab
AutoCAD Electrical What's New > Ribbon Interface > Reports tab >
Miscellaneous panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Automatic Report Selection AEAUTOREPORT | Defines a list of reports and their format files to run automatically.
Report Format File Setup AEFORMATFILE | Creates and maintains report formatting files.
User Defined Attribute List AEUDA | Creates an attribute text file (*.wda) of user-defined attributes defined on AutoCAD Electrical block files. The User Defined Attribute List is used by report tools to determine which additional attributes are listed in a report. The list file name can be the same as the active project or named Default to be used by the entire system. The Default .wda file is saved in the base project folder, while the <project_name>.wda file is saved in the same folder as the project definition file (*.wdp).


Import/Export Data tab

Miscellaneous panel
Ribbon Interface
Import panel
AutoCAD Electrical What's New > Ribbon Interface >
Import/Export Data tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Import panel
  • Export panel


Import panel

Import/Export Data tab
Import/Export Data tab
Export panel
AutoCAD Electrical What's New > Ribbon Interface > Import/Export Data tab >
Import panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Unity Pro Export to Spreadsheet AEUNITYPROSS | Imports Unity Pro hardware (.xhw) and I/O variable (.xsy) files into AutoCAD Electrical to reformat the data into a PLC import spreadsheet. After the spreadsheet file is created use the Spreadsheet to PLC I/O Utility tool to automatically create PLC style drawing files.
Spreadsheet to PLC I/O Utility AESS2PLC | Creates a set of PLC I/O drawings from spreadsheet data. A project's PLC I/O requirements, in spreadsheet or database format, can drive automatic generation of the I/O schematic drawings. Your information can be read directly in Excel format (“.XLS”), as a table in an Access Database file (.MDB), or you can save your information out to a comma-delimited format (“CSV”) and then let AutoCAD Electrical construct a set of PLC I/O wiring diagrams directly from your data. Ladders and modules insert automatically, breaking at the bottom of one ladder and continuing on the next (or on to the next drawing).
Update from Spreadsheet AEIMPORTSS | Imports data from an edited spreadsheet, and retags or updates components, wire numbers, terminal text, or PLC I/O.
Update from Project Scratch Database AEIMPORTDB | Updates project drawings; attribute text only, from edits to the project's scratch database file.
Insert Spreadsheet Data to Table AEINSERTSSTABLE | Inserts comma-delimited spreadsheet data into a drawing as a table.
RSLogix 500 Export to Spreadsheet AERSLOGIX | Prepares RSLogix 500 exported data to be processed by the Spreadsheet to PLC I/O Utility.


Export panel

Import panel
Import/Export Data tab
Conversion Tools tab
AutoCAD Electrical What's New > Ribbon Interface > Import/Export Data tab >
Export panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command

Description

Autodesk Inventor Professional Export

AEAIPEXPORT

Extracts wire list information into an XML export file to be used exclusively with Autodesk Inventor Professional Cable and Harness.

NoteYou must first configure wire numbering to be On per Wire Basis for export and set up the appropriate variables before running the report.

Unity Pro Export

AEUNITYPRO

Creates the Unity Pro I/O variable file (.xsy) in the Unity Pro XML format. The XML file contains the PLC I/O addresses and descriptions for import into the Unity Pro software.

Export to Spreadsheet

AEEXPORT2SS

Exports the selected data category to a comma-delimited, Excel XLS, or Access MDB file format for editing.


Conversion Tools tab

Export panel
Ribbon Interface
Tools panel
AutoCAD Electrical What's New > Ribbon Interface >
Conversion Tools tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Tools panel
  • Schematic panel
  • Panel panel
  • Attributes panel


Tools panel

Conversion Tools tab
Conversion Tools tab
Schematic panel
AutoCAD Electrical What's New > Ribbon Interface > Conversion Tools tab >
Tools panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Promis·e Conversion AEP2E | Converts drawing files from promis·e to AutoCAD Electrical. It examines the current symbol attributes on the drawing and maps them to the equivalent AutoCAD Electrical attribute to make them AutoCAD Electrical-smart.
Add Geometry AEGEOMETRY | Adds AutoCAD geometry to a template block file to be created as part of a unique block instance. It creates a new block definition with the newly added geometry. You can subsequently create a new block file if the block is exploded.
Add Wire Connections AEWIRECONN | Adds wire connection attributes to the existing tagged block file. Select line endpoints or geometry to add the appropriate wire connection attributes to. A new block definition is created with the newly added wire connections. You can subsequently create a new block file if the block is exploded.
Special Explode AEEXPLODE | Explodes attributes and blocks to geometry and text entities while maintaining the value previously defined in the attributes. You can take advantage of the tagging tools to modify the text entities to attributes and the linking tools to make various blocks.
Convert Ladder AE2LADDER | Converts the upper-most line reference number on a non-intelligent ladder to be AutoCAD Electrical-aware.
Change/Convert Wire Type AECONVERTWIRETYPE | Changes between wire types and converts lines to wires. Use the grid control to sort and select the wire types for easy modification.
Check/Repair Gap Pointers AEGAPPOINTER | Verifies that the invisible Xdata pointers on both sides of a wire gap/loop are valid. If not, appropriate pointers are established.
Change Attribute Size AEATTSIZE | Changes attribute text size when components or wire numbers have already been inserted onto your drawings.
Xdata Editor AEXDATA | Allows display and edit of an object's “1000” type extended entity data (Xdata).
Convert to Schematic Component AEBLK2SCH | Takes non-AutoCAD Electrical blocks or graphics representing a symbol and replaces it with an AutoCAD Electrical block and transfers the attribute or text values to this new AutoCAD Electrical block.
Convert Block to Source Arrow AEBLK2SRC | Replace a non-AutoCAD Electrical source arrow with a smart AutoCAD Electrical source arrow and maps the information to the new AutoCAD Electrical source.
Convert Block to Destination Arrow AEBLK2DEST | Replaces a non-AutoCAD Electrical destination arrow with a smart AutoCAD Electrical destination arrow.
Block Replacement AEBLOCKREPLACE | Performs drawing-wide and project-wide block replacements using a user-defined spreadsheet. This automatically maps the unconverted drawing's non-AutoCAD Electrical block inserts and attributes to appropriate AutoCAD Electrical-smart component symbols drawn from a symbol library.
Swap/Update Block AESWAPBLOCK | Use to update or change blocks in place. Attribute values are retained during the swapping process. Wire connections are also maintained even if the new symbol is slightly wider or narrower than the original.
Convert Text to Wire Numbers AETEXT2WIRENO | Converts a text object to an AutoCAD Electrical compatible wire number.
Convert Text to Attribute Definition AETEXT2ATT | Converts a text object into an attribute definition object. This is not an attribute associated to an already-inserted block. This is an attribute definition possibly on a library symbol that becomes an attribute when the symbol drawing is inserted as a block into another drawing.
Add Attribute AEATTRIBUTE | Adds a new attribute to an existing instance of a block insert.
Map Attributes from Old to New AEMAPATT | Reassigns attributes from a converted block to those expected by AutoCAD Electrical. This allows you to continue what you started with Convert to Schematic Component. Use this if you did not finish mapping values from your non-AutoCAD Electrical block.
Stretch Wire AESTRETCTWIRE | Lengthens a wire until it meets another wire or an AutoCAD Electrical component.


Schematic panel

Tools panel
Conversion Tools tab
Panel panel
AutoCAD Electrical What's New > Ribbon Interface > Conversion Tools tab >
Schematic panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Tag Schematic Component AETAGSCH | Makes selected text entities an attributed block file with the TAG1 attribute visible. The template block file (HDV1_CONVERT.DWG or VDV1_CONVERT.DWG depending on the drawing properties) contains attributes for a schematic component.
Tag PLC AETAGPLC | Makes selected text entities an attributed PLC address associated to a PLC tag. The template block file (PLCIO_ADDR_CONVERT.DWG, PLCIO_CONVERT.DWG, PLCIO_V_ADDR_CONVERT.DWG, or PLCIO_V_CONVERT.DWG depending on the drawing properties) contains attributes found useful for PLC addressing. After the addressing is defined on the block, select a PLC Tag or place one into the symbol definition for use with AutoCAD Electrical.
Tag Child AETAGCHILD | Makes selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV2_CONVERT.DWG or VDV2_CONVERT.DWG depending on the drawing properties) contains attributes used for a child component.
Tag Child - N.O. AETAGNO | Makes selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV21_CONVERT.DWG or VDV21_CONVERT.DWG depending on the drawing properties) contains attributes used for a child normally open contact component.
Tag Child - N.C. AETAGNC | Makes the selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV22_CONVERT.DWG or VDV22_CONVERT.DWG depending on the drawing properties) contains attributes used for a child normally closed contact component.
Tag Child - Form C AETAGFORMC | Makes the selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV23_CONVERT.DWG or VDV23_CONVERT.DWG depending on the drawing properties) contains attributes used for a child Form C contact component.
Tag Schematic Terminal - Terminal Number AETAGTERMINAL | Makes the selected text entities an attributed block file with the TAGSTRIP and TERM01 attribute visible. The template block file (HT0T_CONVERT.DWG or VT0T_CONVERT.DWG depending on the drawing properties) contains attributes used for a terminal block component containing a terminal number.
Tag Schematic Terminal - Wire Number AETAGWIRENO | Makes the selected text entities an attributed block file with the TAGSTRIP and WIRENO attribute visible. The template block file (HT0W_CONVERT.DWG or VT0W_CONVERT.DWG depending on the drawing properties) contains attributes used for a terminal block component containing a wire number as the terminal number.
Tag Schematic Terminal - Wire Number Change AETAGWIRENOCHANGE | Makes the selected text entities an attributed block file with the TAGSTRIP and TERM01 attribute visible. The template block file (HT1T_CONVERT.DWG or VT1T_CONVERT.DWG depending on the drawing properties) contains attributes used for a terminal block component that changes the wire number. This creates a terminal number block that has a different wire number for each wire connected to it.


Panel panel

Schematic panel
Conversion Tools tab
Attributes panel
AutoCAD Electrical What's New > Ribbon Interface > Conversion Tools tab >
Panel panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Tag Panel Component AETAGPANEL | Makes selected text entities an attributed block file with the P_TAG1 attribute visible. The template block file (ACE_P_TAG1_CONVERT.DWG) contains attributes for a panel component.
Tag Nameplate AETAGNAMEPLATE | Makes selected text entities an attributed block file with the DESC1-3 attributes visible. The template block file (ACE_NP_CONVERT.DWG) contains attributes used in nameplate symbols. If the description text strings were previously defined as attributes on an AutoCAD Electrical panel component block definition, the attribute values on the panel component are hidden and the nameplate attributes DESC1-3 are added and made visible.
Tag Panel Terminal - Terminal Number AETAGPANELTERMINAL | Makes selected text entities an attributed block file with the TERM01 terminal number attribute visible. The template block file (ACE_TERMT_CONVERT.DWG) contains attributes for terminal numbers.
Tag Panel Terminal - Wire Number AETAGWIRENO | Makes selected text entities an attributed block file with the WIRENO wire number attribute visible. The template block file (ACE_TERMW_CONVERT.DWG) contains attributes for panel terminal symbols.


Attributes panel

Panel panel
Conversion Tools tab
Symbol Builder tab
AutoCAD Electrical What's New > Ribbon Interface > Conversion Tools tab >
Attributes panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Command | Description
Link Descriptions AELINKDESC | Links simple text as Description 1-3 attributes on an AutoCAD Electrical block file. You can link them as description attributes to one or more existing template block definitions. During the conversion process, the text entity is removed and replaced with the next available description attribute, up to 3.
Link PLC Address Descriptions AELINKPLC | Links simple text to a PLC address attribute as PLC I/O address description attributes. During the conversion process, the text entity is removed and replaced with the next available PLC address description attribute, up to 5.
Link Terminal Number AELINKTERMINAL | Links simple text to a TAGSTRIP attribute as a terminal number attribute on an AutoCAD Electrical terminal block symbol. During the conversion process, the text entity is removed and replaced with the TERM01 or WIRENO attribute.
Link Manufacturer AELINKMFG | Links simple text as manufacturer attributes on an AutoCAD Electrical block file. The entity value is used as the Manufacturer value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Manufacturer attribute.
Link Catalog Number AELINKCAT | Links simple text as Catalog Number attributes on an AutoCAD Electrical block file. The entity value is used as the Catalog Number value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Catalog Number attribute.
Link Location Code AELINKLOC | Links simple text as Location attributes on an AutoCAD Electrical block file. The entity value is used as the Location value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Location attribute.
Link Installation Code AELINKINST | Links simple text as Installation attributes on an AutoCAD Electrical block file. The entity value is used as the Installation value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Installation attribute.
Link Split Tag AELINKSPLITTAG | Links another string of text to a tag attribute, creating a split tag. Create the device Tag using the TAG1, TAG, or P_TAG1 attributes, and then use this tool to select the existing TAG attribute on the drawing and link another string of text, creating a split tag situation. The first TAG becomes the Part1 of the split tag while the linked portion becomes the Part2 of the split tag.
Link User AELINKUSER | Links simple text (that is not an attribute definition or part of geometry) as User (01-99) attributes on an AutoCAD Electrical block file. The entity value is used as the user value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the user attribute, up to 99. Window selection is allowed.
Link Rating AELINKRATING | Links simple text as Rating 1-12 attributes on an AutoCAD Electrical block file. The entity value is used as the rating value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the rating attribute, up to 12.
Link Item Number AELINKITEM | Links simple text as an Item Number attribute on an AutoCAD Electrical Panel block file. During the conversion process, the text entity is removed and replaced with the Item Number attribute (P_ITEM).
Show Links AESHOWLINK | Selects the tagged template block file and displays everything (such as description, location, manufacturer, and catalog number codes) that has been linked to it.
Un Link AEUNLINK | Selects an existing linked attribute and unlinks the attribute from the symbol, changing the attribute to AutoCAD text.


Symbol Builder tab

Attributes panel
Ribbon Interface
Edit panel
AutoCAD Electrical What's New > Ribbon Interface >
Symbol Builder tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Edit panel
  • Help panel


Edit panel

Symbol Builder tab
Symbol Builder tab
Help panel
AutoCAD Electrical What's New > Ribbon Interface > Symbol Builder tab >
Edit panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Symbol Builder tab is displayed automatically when you use Symbol Builder.

Command | Description
Save Symbol Definition AESAVESYM | Displays the Save Symbol Definition dialog box.
Symbol Audit AESYMAUDIT | Displays the Symbol Audit dialog box.
Show Hide Symbol Block Editor Palette AEPALETTESHOW | Switches on and off the visibility of the symbol builder attribute editor window.


Help panel

Edit panel
Symbol Builder tab
Toolbars to Ribbons
AutoCAD Electrical What's New > Ribbon Interface > Symbol Builder tab >
Help panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Symbol Builder tab is displayed automatically when you use Symbol Builder.

Command | Description
Symbol Builder Help | Displays the Symbol builder Help.


Toolbars to Ribbons

Help panel
Ribbon Interface
Main Electrical toolbar
AutoCAD Electrical What's New > Ribbon Interface >
Toolbars to Ribbons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Main Electrical toolbar
  • Main Electrical 2 toolbar
  • Panel Layout toolbar
  • Conversion toolbar
  • Conduit Marker toolbar
  • Power Check toolbar
  • Extra Libraries toolbar


Main Electrical toolbar

Toolbars to Ribbons
Toolbars to Ribbons
Main Electrical 2 toolbar
AutoCAD Electrical What's New > Ribbon Interface > Toolbars to Ribbons >
Main Electrical toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Access

Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Catalog List. Enter AECOMPONENTCAT at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Equipment List. Enter AECOMPONENTEQ at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Panel List. Enter AECOMPONENTPNL at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Terminal (Panel List). Enter AETERMINALPNL at the command prompt.
Schematic tab [image] Edit Components panel [image] Swap/Update Block. Enter AESWAPBLOCK at the command prompt.
Schematic tab [image] Edit Components panel [image] Copy Component. Enter AECOPYCOMP at the command prompt.
Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Enter AEMULTI at the command prompt.
Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Pick Master). Enter AEMULTIPICK at the command prompt.
Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Link Components with Dashed Line. Enter AELINK at the command prompt.
Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Insert Reference Arrow - To. Enter AEREFARROWTO at the command prompt.
Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Insert Reference Arrow - From. Enter AEREFARROWFROM at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert PLC drop-down [image] Insert PLC (Parametric). Enter AEPLCP at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert PLC drop-down [image] Insert PLC (Full Units). Enter AEPLC at the command prompt.
Import/Export Data tab [image] Import panel [image] Unity Pro. Enter AEUNITYPROSS at the command prompt.
Import/Export Data tab [image] Import panel [image] RSLogix 500. Enter AERSLOGIX at the command prompt.
Import/Export Data tab [image] Import panel [image] PLC I/O Utility. Enter AESS2PLC at the command prompt.
Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Enter AEPLCDB at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector (From List). Enter AECONNECTORLIST at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Reverse Connector. Enter AEREVERSE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Rotate Connector [image] Enter AEROTATE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Stretch Connector. Enter AESTRETCH at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Split Connector. Enter AESPLIT at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Add Connector Pins. Enter AECONNECTORPIN at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Delete Connector Pins. Enter AEERASEPIN at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Move Connector Pins. Enter AEMOVEPIN at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Swap Connector Pins. Enter AESWAPPINS at the command prompt.
Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Splice. Enter AESPLICE at the command prompt.
Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert WBlocked Circuit. Enter AEWBCIRCUIT at the command prompt.
Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert Saved Circuit. Enter AESAVEDCIRCUIT at the command prompt.
Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Copy Circuit. Enter AECOPYCIRCUIT at the command prompt.
Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Move Circuit. Enter AEMOVECIRCUIT at the command prompt.
Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Save Circuit to Icon Menu. Enter AESAVECIRCUIT at the command prompt.
Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Internal Jumper. Enter AEINTERNALJUMPER at the command prompt.
Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Fix/Unfix Tag. Enter AEFIXTAG at the command prompt.
Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Copy Catalog Assignment. Enter AECOPYCAT at the command prompt.
Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] User Table Data. Enter AEUSERTABLE at the command prompt.
Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Retag Components. Enter AERETAG at the command prompt.
Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Find/Edit/Replace Component Text. Enter AEFINDCOMPTEXT at the command prompt.
Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Find/Replace Terminal Text. Enter AEFINDTERMTEXT at the command prompt.
Project tab [image] Project Tools panel [image] Update/Retag. Enter AEPROJUPDATE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Scoot. Enter AESCOOT at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Align. Enter AEALIGN at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Move Component. Enter AEMOVE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Reverse/Flip Component. Enter AEFLIP at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Stretch PLC Module. Enter AESTRETCHPLC at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Split PLC Module. Enter AESPLITPLC at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Move/Show Attribute. Enter AEATTSHOW at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Edit Selected Attribute. Enter AEEDITATT at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Hide Attribute (Single Pick). Enter AEHIDEATT at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Add Attribute. Enter AEATTRIBUTE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Squeeze Attribute/Text. Enter AEATTSQUEEZE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Stretch Attribute/Text. Enter AEATTSTRETCH at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Size. Enter AEATTSIZE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Rotate Attribute. Enter AEATTROTATE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Justification. Enter AEATTJUSTIFY at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Layer. Enter AEATTLAYER at the command prompt.
Schematic tab [image] Edit Components panel [image] Toggle NO/NC. Enter AETOGGLENONC at the command prompt.
Schematic tab [image] Edit Components panel [image] Delete Component. Enter AEERASECOMP at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 22.5 Degree. Enter AE225WIRE at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 45 Degree. Enter AE45WIRE at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 67.5 Degree. Enter AE675WIRE at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wires drop-down [image] Bend Wire. Enter AEBENDWIRE at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Interconnect Components. Enter AECONNECTCOMP at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down Gap. Enter AEWIREGAP at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wire Gap drop-down Flip Wire Gap. Enter AEFLIPWIREGAP at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wire Gap drop-down Delete Wire Gap. Enter AEERASEWIREGAP at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wire Gap drop-down Check/Repair Gap Pointers. Enter AEGAPPOINTER at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wire Type drop-down Change/Convert Wire Type. Enter AECONVERTWIRETYPE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wire Type drop-down Create/Edit Wire Type. Enter AEWIRETYPE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wires drop-down Stretch Wire. Enter AESTRETCTWIRE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wires drop-down Show Wires. Enter AESHOWWIRE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Wires drop-down Check/Trace Wire. Enter AETRACEWIRE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Wire Sequence drop-down Edit Wire Sequence. Enter AEEDITWIRESEQUENCE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Wire Sequence drop-down Show Wire Sequence. Enter AESHOWWIRESEQ at the command prompt.
Schematic tab Edit Components panel Terminal: Show Internal/External Connections. Enter AESHOWTERMCONN at the command prompt.
Schematic tab Edit Components panel Terminal: Mark Internal Connections. Enter AEMARKTERMINT at the command prompt.
Schematic tab Edit Components panel Terminal: Mark External Connections. Enter AEMARKTEMEXT at the command prompt.
Schematic tab Edit Components panel Terminal: Erase Internal/External Connections. Enter AEERASETEMCONN at the command prompt.
Schematic tab Insert Wires/Wire Numbers panel Cable Markers drop-down Cable Markers. Enter AECABLEMARKER at the command prompt.
Schematic tab Insert Wires/Wire Numbers panel Cable Markers drop-down Multiple Cable Markers. Enter AEMULTICABLE at the command prompt.
Schematic tab Insert Wires/Wire Numbers panel Insert Dot, Tee Markers drop-down Insert Dot Tee Markers. Enter AEDOTTEE at the command prompt.
Schematic tab Insert Wires/Wire Numbers panel Insert Dot, Tee Markers drop-down Insert Angled Tee Markers. Enter AEANGLETEE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Toggle Angled Tee Markers. Enter AETOGGLETEE at the command prompt.
Schematic tab Insert Wires/Wire Numbers panel Insert Ladder drop-down Insert Ladder. Enter AELADDER at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Ladder drop-down Revise Ladder. Enter AEREVISELADDER at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Ladder drop-down Renumber Ladder Reference. Enter AERENUMBERLADDER at the command prompt.
Schematic tab Insert Wires/Wire Numbers panel Insert Ladder drop-down XY Grid Setup. Enter AEXYGRID at the command prompt.
Schematic tab Insert Wires/Wire Numbers panel Insert Ladder drop-down X Zones Setup. Enter AEXZONE at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Modify Ladder drop-down Add Rung. Enter AERUNG at the command prompt.
Schematic tab Edit Wires/Wire Numbers panel Trim Wire. Enter AETRIM at the command prompt.


Main Electrical 2 toolbar

Main Electrical toolbar
Toolbars to Ribbons
Panel Layout toolbar
AutoCAD Electrical What's New > Ribbon Interface > Toolbars to Ribbons >
Main Electrical 2 toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Access

Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] 3 Phase. Enter AE3PHASEWIRENO at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] PLC I/O. Enter AEPLCWIRENO at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Wire Number Leader drop-down [image] Wire Number Leader. Enter AEWIRENOLEADER at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Wire Number Leader drop-down [image] Wire Color/Gauge Labels. Enter AEWIRECOLORLABEL at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Wire Number Leader drop-down [image] In-Line Wire Labels. Enter AEINLINEWIRE at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Copy Wire Number drop-down [image] Copy Wire Number. Enter AECOPYWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Copy Wire Number drop-down [image] Copy Wire Number In-Line. Enter AECOPYWIRENOIL at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Copy Wire Number drop-down [image] Adjust In-Line Wire/Label Gap. Enter AEWIRELABELGAP at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Move Wire Number. Enter AEMOVEWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Edit Wire Number. Enter AEEDITWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Fix. Enter AEFIXWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Swap. Enter AESWAPWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Find/Replace. Enter AEFINDWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Hide. Enter AEHIDEWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Unhide. Enter AESHOWWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Flip Wire Number. Enter AEFLIPWIRENO at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Toggle Wire Number In-line. Enter AETOGGLEWIRENO at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Source Arrow. Enter AESOURCE at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Destination Arrow. Enter AEDESTINATION at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Update Signal References. Enter AEUPDATESIGREF at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Fan In Source. Enter AEFANINSRC at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Fan Out Destination. Enter AEFANINDEST at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Fan In/Out - Single Line Layer. Enter AEFANIN at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] List Signal Code. Enter AELISTSIG at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Show Signal Paths. Enter AESHOWSIG at the command prompt.
Reports tab [image] Schematic panel [image] Signal Error/List. Enter AESIGNALERRORREPORT at the command prompt.
Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Reference Only Arrows. Enter AEREFWIREARROWS at the command prompt.
Schematic tab [image] Edit Wires/Wire Numbers panel [image] Delete Wire Numbers. Enter AEERASEWIRENUM at the command prompt.
Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Enter AEMENUWIZ at the command prompt.
Project tab [image] Other Tools panel [image] Migration Utility. Enter AEMIGRATION at the command prompt.
Schematic tab [image] Edit Components panel [image] [image] [image] Associate Terminals. Enter AEASSOCTERMINAL at the command prompt.
Schematic tab [image] Edit Components panel [image] [image] [image] Break Apart Terminal Associations. Enter AEBREAKASSOC at the command prompt.
Schematic tab [image] Edit Components panel [image] [image] [image] Copy Terminal Block Properties. Enter AECOPYTERMINALPROP at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Component Cross-Reference. Enter AEXREF at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Hide/Unhide Cross-Referencing. Enter AEHIDEXREF at the command prompt.
Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Insert Stand-Alone Cross-Referencing. Enter AESAXREF at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Update Stand-Alone Cross-Referencing. Enter AEUPDATESAXREF at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Change Cross-Reference to Multiple Line Text. Enter AEXREF2TEXT at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Cross-Reference Check. Enter AEXREFCHECK at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Child Location/Description Update. Enter AECHILDLOCUPDATE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Copy/Add Component Override. Enter AECOPYOVERRIDE at the command prompt.
Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Remove Component Override. Enter AERMOVERRIDE at the command prompt.
Schematic tab [image] Insert Components panel [image] Location Box drop-down [image] Location Symbols. Enter AELOCATIONSYMBOL at the command prompt.
Schematic tab [image] Insert Components panel [image] Location Box drop-down [image] Location Box. Enter AELOCATIONBOX at the command prompt.
Schematic tab [image] Edit Components panel [image] [image] [image] Copy Installation/Location Code Values. Enter AECOPYINSTLOC at the command prompt.
Project tab [image] Other Tools panel [image] Surfer drop-down [image] Surfer. Enter AESURF at the command prompt.
Project tab [image] Other Tools panel [image] Surfer drop-down [image] Continue Surfer. Enter AESURFCONT at the command prompt.
Project tab [image] Other Tools panel [image] Previous DWG. Enter AEPREV at the command prompt.
Project tab [image] Other Tools panel [image] Next DWG. Enter AENEXT at the command prompt.
Reports tab [image] Schematic panel [image] Reports. Enter AESCHEMATICREPORT at the command prompt.
Reports tab [image] Schematic panel [image] Missing Catalog Data. Enter AEMISSINGCATREPORT at the command prompt.
Reports tab [image] Schematic panel [image] Electrical Audit. Enter AEAUDIT at the command prompt.
Reports tab [image] Schematic panel [image] DWG Audit. Enter AEAUDITDWG at the command prompt.
Reports tab [image] Miscellaneous panel [image] Report Format Setup. Enter AEFORMATFILE at the command prompt.
Reports tab [image] Miscellaneous panel [image] Automatic Reports. Enter AEAUTOREPORT at the command prompt.
Reports tab [image] Miscellaneous panel [image] User Attributes. Enter AEUDA at the command prompt.
Import/Export Data tab [image] Export panel [image] Inventor. Enter AEAIPEXPORT at the command prompt.
Import/Export Data tab [image] Export panel [image] Unity Pro. Enter AEUNITYPRO at the command prompt.
Import/Export Data tab [image] Export panel [image] To Spreadsheet. Enter AEEXPORT2SS at the command prompt.
Import/Export Data tab [image] Import panel [image] From Spreadsheet. Enter AEIMPORTSS at the command prompt.
Import/Export Data tab [image] Import panel [image] From Project MDB. Enter AEIMPORTDB at the command prompt.
Import/Export Data tab [image] Import panel [image] Spreadsheet to Table. Enter AEINSERTSSTABLE at the command prompt.
Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Rename Layers. Enter AERENAMELAYER at the command prompt.
Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Settings Compare. Enter AESHEETCOMPARE at the command prompt.
Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
Project tab [image] Project Tools panel [image] Copy. Enter AECOPYPROJECT at the command prompt.
Project tab [image] Project Tools panel [image] Update/Retag. Enter AEPROJUPDATE at the command prompt.
Project tab [image] Project Tools panel [image] Utilities. Enter AEUTILITIES at the command prompt.
Project tab [image] Project Tools panel [image] Mark/Verify DWGs. Enter AEMARKVERIFY at the command prompt.
Project tab [image] Other Tools panel [image] Language Conversion. Enter AELANG at the command prompt.
Project tab [image] Other Tools panel Edit Language Database. Enter AELANGDB at the command prompt.
tab panel Rebuild/Freshen Project Database. Enter AEREBUILDDB at the command prompt.


Panel Layout toolbar

Main Electrical 2 toolbar
Toolbars to Ribbons
Conversion toolbar
AutoCAD Electrical What's New > Ribbon Interface > Toolbars to Ribbons >
Panel Layout toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Access

Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Enter AEFOOTPRINT at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Schematic List. Enter AEFOOTPRINTSCH at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Manual. Enter AEFOOTPRINTMAN at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Manufacturer Menu. Enter AEFOOTPRINTMFG at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Catalog List. Enter AEFOOTPRINTCAT at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Equipment List. Enter AEFOOTPRINTEQ at the command prompt.
Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
Panel tab [image] Terminal Footprints panel [image] Table Generator. Enter AETSEGENERATOR at the command prompt.
Panel tab [image] Terminal Footprints panel [image] [image] [image] Insert Terminals drop-down [image] Insert Terminal (Schematic List). Enter AEPANELTERMINALSCH at the command prompt.
Panel tab [image] Terminal Footprints panel [image] [image] [image] Insert Terminals drop-down [image] Insert Terminal (Manual). Enter AEPANELTERMINAL at the command prompt.
Panel tab [image] Edit Footprints panel [image] Copy Footprint. Enter AECOPYFOOTPRINT at the command prompt.
Panel tab [image] Edit Footprints panel [image] Edit. Enter AEEDITFOOTPRINT at the command prompt.
Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Make Xdata Visible. Enter AESHOWXDATA at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Balloon. Enter AEBALLOON at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Wire Annotation. Enter AEWIREANNOTATION at the command prompt.
Reports tab [image] Panel panel [image] Reports. Enter AEPANELREPORT at the command prompt.
tab [image] panel [image] Rebuild/Freshen Project Database. Enter AEREBUILDDB at the command prompt.
Panel tab [image] Insert Component Footprints panel [image] Panel Assembly. Enter AEPANELASM at the command prompt.
Panel tab [image] Edit Footprints panel [image] Copy Assembly. Enter AECOPYASM at the command prompt.
Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Installation Code. Enter AECOPYINST at the command prompt.
Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Location Code. Enter AECOPYLOC at the command prompt.
Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Mount Code. Enter AECOPYMOUNTCODE at the command prompt.
Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Group Code. Enter AECOPYGROUPCODE at the command prompt.
Panel tab [image] Edit Footprints panel [image] Resequence Item Numbers. Enter AERESEQUENCE at the command prompt.
Panel tab [image] Other Tools panel [image] [image] [image] Footprint Database File Editor. Enter AEFOOTPRINTDB at the command prompt.
Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Schematic Database File Editor. Enter AESCHEMATICDB at the command prompt.
Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Rename Layers. Enter AERENAMEPANLELLAYER at the command prompt.
Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Update Layers. Enter AEFPLAYERS at the command prompt.
Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Configuration. Enter AEPANELCONFIG at the command prompt.


Conversion toolbar

Panel Layout toolbar
Toolbars to Ribbons
Conduit Marker toolbar
AutoCAD Electrical What's New > Ribbon Interface > Toolbars to Ribbons >
Conversion toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Access

Conversion Tools tab [image] Tools panel [image] Special Explode. Enter AEEXPLODE at the command prompt.
Conversion Tools tab [image] Tools panel [image] Block Replacement drop-down [image] Block Replacement. Enter AEBLOCKREPLACE at the command prompt.
Conversion Tools tab [image] Tools panel [image] Promis·e Conversion. Enter AEP2E at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Component. Enter AETAGSCH at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag PLC Module. Enter AETAGPLC at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Child Component. Enter AETAGCHILD at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Child Contacts drop-down [image] Tag Child - N.O.. Enter AETAGNO at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Child Contacts drop-down [image] Tag Child - N.C.. Enter AETAGNC at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Child Contacts drop-down [image] Tag Child - Form C. Enter AETAGFORMC at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Schematic Terminals drop-down [image] Tag Schematic Terminal - Terminal Number. Enter AETAGTERMINAL at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Schematic Terminals drop-down [image] Tag Schematic Terminal - Wire Number. Enter AETAGWIRENO at the command prompt.
Conversion Tools tab [image] Schematic panel [image] Tag Schematic Terminals drop-down [image] Tag Schematic Terminal - Wire Number Change. Enter AETAGWIRENOCHANGE at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Descriptions. Enter AELINKDESC at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Split Tag. Enter AELINKSPLITTAG at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link PLC Address Descriptions. Enter AELINKPLC at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Terminal Number. Enter AELINKTERMINAL at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Location Code. Enter AELINKLOC at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Installation Code. Enter AELINKINST at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Manufacturer. Enter AELINKMFG at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Catalog Number. Enter AELINKCAT at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Rating. Enter AELINKRATING at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link User. Enter AELINKUSER at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Show Links. Enter AESHOWLINK at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Un-Link. Enter AEUNLINK at the command prompt.
Conversion Tools tab [image] Tools panel [image] Add Wire Connections. Enter AEWIRECONN at the command prompt.
Conversion Tools tab [image] Tools panel [image] Add Geometry. Enter AEGEOMETRY at the command prompt.
Conversion Tools tab [image] Panel panel [image] Tag Footprint. Enter AETAGPANEL at the command prompt.
Conversion Tools tab [image] Panel panel [image] Tag Nameplate. Enter AETAGNAMEPLATE at the command prompt.
Conversion Tools tab [image] Panel panel [image] Tag Panel Terminal - Terminal Number. Enter AETAGPANELTERMINAL at the command prompt.
Conversion Tools tab [image] Panel panel [image] Tag Panel Terminal - Wire Number. Enter AETAGWIRENO at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Descriptions. Enter AELINKDESC at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Split Tag. Enter AELINKSPLITTAG at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Item Number. Enter AELINKITEM at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Location Code. Enter AELINKLOC at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Installation Code. Enter AELINKINST at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Manufacturer. Enter AELINKMFG at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Catalog Number. Enter AELINKCAT at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link Rating. Enter AELINKRATING at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Link User. Enter AELINKUSER at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Show Links. Enter AESHOWLINK at the command prompt.
Conversion Tools tab [image] Attributes panel [image] Un-Link. Enter AEUNLINK at the command prompt.
Conversion Tools tab [image] Tools panel [image] Add Wire Connections. Enter AEWIRECONN at the command prompt.
Conversion Tools tab [image] Tools panel [image] Add Geometry. Enter AEGEOMETRY at the command prompt.
Conversion Tools tab [image] Tools panel [image] Convert Ladder. Enter AE2LADDER at the command prompt.
Conversion Tools tab [image] Tools panel [image] Change/Convert Wire Type drop-down [image] Change/Convert Wire Type. Enter AECONVERTWIRETYPE at the command prompt.
Conversion Tools tab [image] Tools panel [image] Text Conversion drop-down [image] Convert Text to Wire Number. Enter AETEXT2WIRENO at the command prompt.
Conversion Tools tab [image] Tools panel [image] Schematic Conversion drop-down [image] Convert Block to Source Arrow. Enter AEBLK2SRC at the command prompt.
Conversion Tools tab [image] Tools panel [image] Schematic Conversion drop-down [image] Convert Block to Destination Arrow. Enter AEBLK2DEST at the command prompt.
Conversion Tools tab [image] Tools panel [image] Change/Convert Wire Type drop-down [image] Check/Repair Gap Pointers. Enter AEGAPPOINTER at the command prompt.
Conversion Tools tab [image] Tools panel [image] Stretch Wire. Enter AESTRETCTWIRE at the command prompt.
Conversion Tools tab [image] Tools panel [image] Change Attribute Size. Enter AEATTSIZE at the command prompt.
Conversion Tools tab [image] Tools panel [image] Add Attribute. Enter AEATTRIBUTE at the command prompt.
Conversion Tools tab [image] Tools panel [image] Text Conversion drop-down [image] Convert Text to Attribute Definition. Enter AETEXT2ATT at the command prompt.
Conversion Tools tab [image] Tools panel [image] Xdata Editor. Enter AEXDATA at the command prompt.
Conversion Tools tab [image] Tools panel [image] Schematic Conversion drop-down [image] Convert to Schematic Component. Enter AEBLK2SCH at the command prompt.
Conversion Tools tab [image] Tools panel [image] Map Attributes from Old to New. Enter AEMAPATT at the command prompt.
Conversion Tools tab [image] Tools panel [image] Block Replacement drop-down [image] Swap/Update Block. Enter AESWAPBLOCK at the command prompt.


Conduit Marker toolbar

Conversion toolbar
Toolbars to Ribbons
Power Check toolbar
AutoCAD Electrical What's New > Ribbon Interface > Toolbars to Ribbons >
Conduit Marker toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Access

Panel tab [image] Conduit Marker panel [image] Conduit Markers drop-down [image] Insert Marker. Enter AECONDUITMARKER at the command prompt.
Panel tab [image] Conduit Marker panel [image] Conduit Markers drop-down [image] Insert From List. Enter AECONDUITMARKERLIST at the command prompt.
Panel tab [image] Conduit Marker panel [image] Edit Marker. Enter AEEDITCONDUITMARKER at the command prompt.
Panel tab [image] Conduit Marker panel [image] Conduit Reports drop-down [image] Conduit Report. Enter AECONDUITMARKERRPT at the command prompt.
Panel tab [image] Conduit Marker panel [image] Conduit Reports drop-down [image] Routing Report. Enter AEROUTINGREPORT at the command prompt.
Panel tab [image] Conduit Marker panel [image] Conduit Reports drop-down [image] Extract Wire Data. Enter AEEXTRACTWIREDATA at the command prompt.


Power Check toolbar

Conduit Marker toolbar
Toolbars to Ribbons
Extra Libraries toolbar
AutoCAD Electrical What's New > Ribbon Interface > Toolbars to Ribbons >
Power Check toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Access

Schematic tab [image] Power Check panel [image] Add/Edit Source/Load. Enter AEPOWERLOADLEVELS at the command prompt.
Schematic tab [image] Power Check panel [image] Mark Components To Pass Power. Enter AEPASSPWR at the command prompt.
Schematic tab [image] Power Check panel [image] Load Check Report. Enter AEPOWERLOADREPORT at the command prompt.


Extra Libraries toolbar

Power Check toolbar
Toolbars to Ribbons
The Ribbon
AutoCAD Electrical What's New > Ribbon Interface > Toolbars to Ribbons >
Extra Libraries toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Access

Schematic tab [image] Insert Components panel [image] [image] [image] Insert Pneumatic Components. Enter AEPNEUMATIC at the command prompt.
Schematic tab [image] Insert Components panel [image] [image] [image] Insert Hydraulic Components. Enter AEHYDRAULIC at the command prompt.
Schematic tab [image] Insert Components panel [image] [image] [image] Insert P&ID Components. Enter AEPID at the command prompt.


The Ribbon

Extra Libraries toolbar
Ribbon Interface
Overview of the Ribbon
AutoCAD Electrical What's New > Ribbon Interface >
The Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

The ribbon is a palette that displays task-based commands and controls.

Topics in this section

  • Overview of the Ribbon
  • Display and Organize the Ribbon

    The ribbon is displayed horizontally or vertically.

  • Customize the Ribbon

    You can customize the ribbon depending on your needs.


The Ribbon (Procedure)

Join the Customer Involvement Program
The Ribbon
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface >
The Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To display the ribbon

To display the vertical ribbon

To minimize the ribbon

To close the ribbon

To return a floating panel to the ribbon

To display or hide a ribbon panel

To show or hide text labels on ribbon panels

To associate a tool palette group with a ribbon panel

To display the tool palette group associated with a ribbon panel


Overview of the Ribbon

The Ribbon
The Ribbon
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Overview of the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The ribbon is displayed automatically when you create or open a file, providing a compact palette of all of the tools necessary to create your file.


Display and Organize the Ribbon (Concept)

Overview of the Ribbon
The Ribbon
Customize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

The ribbon is displayed horizontally or vertically.

The horizontal ribbon is displayed across the top of the file window. You can dock the vertical ribbon to the left or right of the application window.

The vertical ribbon can also float in the file window or on a second monitor.

Ribbon Tabs and Panels

The ribbon is composed of a series of panels, which are organized into tabs labeled by task. Ribbon panels contain many of the same tools and controls available in toolbars and dialog boxes.

Some ribbon panels display a dialog box related to that panel. An icon in the lower-right corner of the panel indicates that you can display a related dialog box. Click the icon to display the associated dialog box.

To specify which ribbon tabs and panels are displayed, right-click the ribbon and, on the shortcut menu, click or clear the names of tabs or panels.

Floating Panels

If you pull a panel off of a ribbon tab and into the drawing area or onto another monitor, that panel floats where you placed it. The floating panel remains open until you return it to the ribbon, even if you switch ribbon tabs.

Expanded Panels

An arrow to the right of a panel title indicates that you can expand the panel to display additional tools and controls. By default, an expanded panel closes automatically when you click another panel. To keep a panel expanded, click the push pin icon in the bottom-left corner of the expanded panel.

Contextual Ribbon Tabs

When you execute some commands, a special contextual ribbon tab is displayed instead of a toolbar or dialog box. The contextual tab is closed when you end the command.


Display and Organize the Ribbon (Procedure)

The Ribbon
Up a level to ..
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To display the ribbon

To display the vertical ribbon

To minimize the ribbon

To close the ribbon

To return a floating panel to the ribbon

To display or hide a ribbon panel

To show or hide text labels on ribbon panels


To display the ribbon (Procedure)

Display and Organize the Ribbon
Up a level to ..
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To display the ribbon


To display the vertical ribbon (Procedure)

Display and Organize the Ribbon
Up a level to ..
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To display the vertical ribbon


To minimize the ribbon (Procedure)

Display and Organize the Ribbon
Up a level to ..
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To minimize the ribbon

  1. Click the ribbon minimize button to the right of the ribbon tabs.
  2. The minimize behavior cycles through the following minimize options:
    • Minimize to Tabs: Minimizes the ribbon so that only tab titles are displayed.
    • Minimize to Panel Titles: Minimizes the ribbon so that only tab and panel titles are displayed.
    • Show Full Ribbon: Displays tabs and full panels, including controls.
NoteMinimize behavior is available only for the horizontal ribbon.
Shortcut menu: Right-click the ribbon tab bar, click Minimize, and then click one of the minimize options.
Pointing device: Double-click the name of the active ribbon tab or anywhere in the ribbon tab bar.


To close the ribbon (Procedure)

Display and Organize the Ribbon
Up a level to ..
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To close the ribbon

  • At the Command prompt, enter ribbonclose.
Command entry: RIBBONCLOSE


To return a floating panel to the ribbon (Procedure)

Display and Organize the Ribbon
Up a level to ..
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To return a floating panel to the ribbon

  • Hover over the right side of the floating panel and click the Return Panels to Ribbon icon.


To display or hide a ribbon panel (Procedure)

Display and Organize the Ribbon
Up a level to ..
Display and Organize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To display or hide a ribbon panel

  • Right-click anywhere inside the ribbon. Under Panels, click or clear the name of a panel.


To show or hide text labels on ribbon panels (Procedure)

Display and Organize the Ribbon
Up a level to ..
Customize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Display and Organize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To show or hide text labels on ribbon panels

  • Right-click the ribbon tab bar and click Show Panel Titles.


Customize the Ribbon (Concept)

Display and Organize the Ribbon
The Ribbon
What's New in Previous Releases
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Customize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

You can customize the ribbon depending on your needs.

You can customize the ribbon in the following ways:

  • You can change the order of ribbon tabs. Click the tab you want to move, drag it to the desired position, and release.


Customize the Ribbon (Procedure)

Display and Organize the Ribbon
Up a level to ..
Customize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Customize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To associate a tool palette group with a ribbon panel

To display the tool palette group associated with a ribbon panel


To associate a tool palette group with a ribbon panel (Procedure)

Customize the Ribbon
Up a level to ..
Customize the Ribbon
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Customize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To associate a tool palette group with a ribbon panel

  1. Click Tools [image] Palettes [image] Tool Palettes.At the command prompt, enter toolpalettes
  2. On the ribbon, right-click a ribbon panel and click Tool Palette Group.
  3. Click an available tool palette group from the list.


To display the tool palette group associated with a ribbon panel (Procedure)

Customize the Ribbon
Up a level to ..
Migration Utility
AutoCAD Electrical What's New > Ribbon Interface > The Ribbon >
Customize the Ribbon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To display the tool palette group associated with a ribbon panel

  • Right-click a ribbon panel and click Show Related Tool Palette Group.


What's New in Previous Releases

Customize the Ribbon
AutoCAD Electrical What's New
What's New in 2007 Release
AutoCAD Electrical What's New >
What's New in Previous Releases
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following chart shows which features were added or enhanced in past releases of AutoCAD Electrical. Click the ‘x’ for detailed information on what was added or enhanced for a particular release.

Feature | 2007 | 2008 | 2009 | 2010
Circuit Builder |  |  | X | X
One-Line Support |  |  |  | X
Power Feed Support |  |  |  | X
Ribbon Interface |  |  |  | X
Electrical Audit |  |  |  | X
Symbol Builder |  |  | X |
Migration Utility |  |  | X |
Item Numbering |  |  | X |
Surfing |  |  | X |
Merge Utility |  |  | X |
Autodesk Inventor Professional Integration | X |  |  |
Terminal Strip Editor |  | X | X |
Terminals |  |  | X |
Engineering Design Management | X |  |  |
Catalog Content Updates | X | X |  |
Project Manager | X |  | X |
PLC I/O Libraries |  | X |  |
Wire Sequence Updates |  | X | X |
Help Updates |  | X | X | X
Connector Generation | X |  |  |
Splice Tool | X |  |  |
Wire Number Placement | X |  | X | X
Multiple Wire Bus | X |  |  |
Bend Wire Tool | X |  |  |
New Symbol Libraries | X |  |  | X
Real-time Error Checking | X |  |  |
User Defined Attributes | X |  |  |
Wire Label Report | X |  |  |
New Project Tool | X |  |  |
New Drawing Tool | X |  |  |
Wire Type Selection | X |  |  |
Autodesk Vault Integration | X |  | X |
Simplified Configuration Settings | X |  |  |
Wire Number Leaders | X |  |  |
Wire Connection Improvements | X |  | X |
Wire Collision Avoidance | X |  |  |
Cross-reference Updates | X |  |  |
Table Style Cross-reference Updates | X |  | X |
Stand-alone Cross-reference |  |  | X |
Enhanced Drawing Audit Report | X |  |  |
Improved Performance | X | X |  |
Insert Components from a Menu | X | X |  | X
Icon Menu Wizard Enhancements |  | X |  |
PLC I/O Import/Export |  | X |  |
Spreadsheet to PLC I/O Utility Enhancements |  | X | X |
Surfable Reports |  | X | X |
Direct Wire Sequencing |  | X |  |
Inserting Spare Terminals |  | X |  |
Multi-Level Terminals |  | X | X |
Terminal Jumpers |  | X | X |
Terminal Properties Database Editor |  | X | X |
Pin List Data Management |  | X |  |
Installer Improvements |  | X |  |
64-bit AutoCAD Electrical |  | X |  |
DWG Product Recognition |  | X |  |
InfoCenter |  | X |  |
User’s Guide |  | X |  |


What's New in 2007 Release

What's New in Previous Releases
AutoCAD Electrical What's New
What's New in 2008 Release
AutoCAD Electrical What's New >
What's New in 2007 Release
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Connector Generation

Automatically generate a multi-pin parametric connector on the fly with the new Insert Connector command. The parametric connector build process allows you to select number of pins, spacing, and orientation to create connector definitions in active drawing files quickly without having to build or maintain a connector library of symbols. When you click Insert an outline of the connector displays for placement on the drawing. The rounded corners are the plug side of the connector, the x' indicates the connector insertion point and the arrow indicates the plug side wire direction. You can change the connector orientation before insertion using the Tab, V key, or X key on your keyboard.

New connector editing commands add to the features versatility:

  • Scoot - (existing Scoot feature) moves the parametric connector horizontally or vertically, relative to the wires that are connected to the connector. Scoot also moves the wires and pins along the connector axis.
  • Reverse, Rotate, Stretch, Split Connector - allow you to reverse a connector about its horizontal or vertical axis, rotate a connector about its insertion point at increments of 90 degrees, increase, or decrease the overall length or width of the connector, and split the connector into two separate block definitions.
  • Add, Delete, Move, Swap Connector Pins - use to add, remove, or move the pins found inside of the connector.

Parametric Twisted Pair Symbols

The icon menus were enhanced to include parametric twisted pair symbols. To insert a twisted pair symbol, select Components [image] Insert Component. On the Insert Component icon menu, click Miscellaneous [image] Shields [image] Twisted Pair.

Wire Collision Avoidance

Instead of drawing each line segment between components on your point to point drawings, simply select the two connection points and let AutoCAD Electrical do the rest. Using the existing the Insert Wire command, select a connection point on each component and your wire is automatically routed, without running through your existing geometry.

Splices

The new Splice tool allows you create up to two wire-to-wire connections per side while maintaining connectivity throughout your drawing and project.

Wire Number Placement

AutoCAD Electrical supports the automatic placement of new wire numbers above, below, or directly in-line with the wire. You can set the wire number placement for all new wires inserted.

You can use the new Toggle Wire Number In-Line tool to switch the wire number between in-line and the drawing default (above or below the wire). If the selected wire number is in-line, it toggles to above or below the wire based on the default Wire Number Placement setting in the Drawing Properties > Wire Numbers dialog box. If it starts as above or below, the selected wire number toggles to in-line.

Wire Connection Improvements

Enhancements were made to the Insert Wire command to make generating point to point drawings easier. These include:

  • Temporary wire graphics change color to indicate when an electrical connection can be made.
  • Wire connection points display as a green 'x' at the wire connection point attributes' insertion point.
  • Wires are drawn with an angled wire connection if a wire is already connected to the selected wire connection point.

Bend Wires

Bend a wire into a right angle turn to avoid or add geometry using the new Bend Wire tool. When a wire is defined at a right angle, you can modify the wire and create a right-angle bend while maintaining the original wire connections to the components.

Reposition Wire Number Leaders

When defining wire number leaders you can type "C" at the command prompt to go into a wire leader collapse mode to collapse the wire leader back to the wire number block. You can do it immediately after inserting a leader if you determine that you do not want the leader or you can re run the Wire Number Leader command if you want to remove the leader from existing wire numbers.

Link to Autodesk Inventor Professional - Cable & Harness

You can now communicate your electrical designs bi-directionally between AutoCAD Electrical and Autodesk Inventor Professional Cable & Harness. AutoCAD Electrical users can pass electrical intent information for cables and conductors to Autodesk Inventor Professional for the automated creation of a 3D harness design. Autodesk Inventor Professional users can now pass wire connectivity information to AutoCAD Electrical for the automatic creation of the corresponding 2D schematics. Employing the widely used XML language format, you can transfer design data back and forth while maintaining structure and organization.

From the XML import from Autodesk Inventor Professional into AutoCAD Electrical, you can select from a list of connectors defined in the export and then place the connectors onto a 2D drawing file. Once the connectors were inserted onto the drawing, you can place all wire connections to all components on the drawing file. AutoCAD Electrical parses through the file data to determine all wire From and To connections. Once the wiring information is determined the wires are routed making sure to miss existing geometry on the drawing. The wire insertion tool finds the best possible route with the least amount of wire loops in between the connection and the wires are connected in the appropriate position on the connector representation.

Multi-discipline Symbol Libraries

AutoCAD Electrical now includes comprehensive symbol libraries for creating pneumatic, hydraulic, and P & ID drawings.

  • Hydraulic Symbol Library: This library includes filters, valves, cylinders, pressure switches, motors, pumps, meters, restrictors, quick disconnects, flow arrows and more, all adhering to the NFPA/T3.10.4R1-1990 and AS1101.1-1993 standards.
  • Pneumatic Symbol Library: This library includes operators, valves, flow paths, filters, regulators, cylinders, meters, motors, quick disconnects, mufflers, manifolds, flow arrows and more.
  • P & ID Symbol Library: This library includes equipment, tanks, nozzles, pumps, fittings, valves, actuators, logic functions, instrumentation, flow, and flow arrows, all strictly adhering to the ANSI/ISA's S5.1 Instrumentation Standard

Real-time Error Checking

AutoCAD Electrical monitors and alerts users to potential design errors as they occur. You can locate the problem component automatically using the Surf command.

Identify and clean up problems that might affect an AutoCAD Electrical drawing using the improved Electrical Audit tool. This tool displays a report of detected problems for the active project. You can save this file for reference or surf the file to view and correct the errors.

Multiple Wire Bus

With a single command, you can configure a new multiple wire bus that automatically routes from an existing multi-contact component or bus or in empty space. While you define the wires, temporary display graphics appear on your cursor to indicate the direction and number of wires to place on the drawing file.

User Defined Attributes

Add and define your own attributes for existing AutoCAD Electrical symbols. The newly defined metadata is easily customized and can be extracted for various reports. The new User Defined Attribute List tool allows you to determine selectively which non-AutoCAD Electrical attributes are allowed in the AutoCAD Electrical report generators; otherwise only those attributes defined inside of AutoCAD Electrical for each component category are processed in the project database and subsequent reports.

Table style cross-referencing updates

Tabular cross-referencing styles now function at the same level as graphical and text styles. Create customizable tables, updated your drawing in real-time and benefit from increased flexibility with the way you display cross-referencing information.

Cross-reference updates

Cross-reference settings are now supported at the project, drawing, and component level. During normal operation of cross-referencing commands, AutoCAD Electrical looks to the component for its settings information before using the drawing settings. If the component has settings defined, those are used. If there are both component and drawing cross-reference settings on the same drawing, the component settings are used where applied and the drawing settings are used for the rest of the components. Use the new Copy/Add Component Override tool to set display settings for a specific component that are different from the drawing or use the new Remove Component Override tool to remove component overrides so the cross-referencing commands use the settings for the drawing.

Use the new Hide/Unhide Cross-reference tool to change the visibility of cross-references. In most cases, the cross-referencing should be visible but there are times when you may not want cross-referencing displayed on parent symbols.

Wire Label Report

Use the new Wire Label report to list wire and cable labels that exist in your drawing or project. The new preformatted wire label report is ready for export and can be printed on any ASCII, Microsoft Excel, Access, CSV, or XML-compatible wire label printer. After the report is generated, you can still edit the format or change the data before exporting to your desired file format.

Enhanced Drawing Audit Report

The Drawing Audit utility can be used to clean up certain problems that might affect your design connectivity. The audit checks for wire gaps, bad wire numbers or colors, zero length wires, wire number floaters, and visually verifies all wires in your display. This report can be exported as a script file for post processing or sent directly to a printer.

Catalog Content Updates

AutoCAD Electrical ships with a manufacturer's catalog database that contains over 45,000 components from the most popular vendors in the industry. These components provide a full spectrum of input and output devices including switches, sensors, lights and numerous panel devices, such as wire way and panel enclosures. In order to support our worldwide user base, the catalog database now includes a greater number of Asia Pacific and European vendors.

Improved Performance

Improved memory management and script-based command reallocation have dramatically improved the performance of AutoCAD Electrical 2007. Drawings open more quickly, with enhanced editing and referencing speed.

New Project Command

Creating new projects and applying project properties is now easier using the New Project tool. In a single dialog box you can define the minimum requirements to create an AutoCAD Electrical project definition file (WDP), the folder in which the project is maintained, and the settings and options defined within the project. The new project automatically becomes the active project.

New Drawing Command

When you are faced with multiple customers or many one-off designs, the New Drawing tool helps reduce the hassle of configuring new drawings to specific standards. In a single dialog box, you can apply a template, add drawing name, border, drawing type, and descriptions, which are then stored and available for future use. The new drawing then automatically becomes part of the active project.

Simplified wire type selection

Managing wire properties from the Layer Manager is no longer necessary. During wire insertion, the current wire type displays at the command prompt. Now you can type in the hotkey "T" for immediate access to the Set Wire Type dialog box where you can quickly assign the wire type. You can use this hotkey with the following commands:

  • Wires > Insert Wire
  • Wires > Angle Wires > Insert 22.5 Degree Wire (also 45 or 67.5)
  • Wires > Multiple Wire Bus
  • Wires > Add Rung
  • Wires > Ladders > Insert Ladder

Use the new Create/Edit Wire Type tool to create new or edit existing wire types or use the new Change/Convert Wire Type tool to convert lines to wires.

Simplified configuration settings

Configuration settings have been condensed into a centralized Properties dialog box, where you can view and edit project settings, format styles and select default drawing settings for the entire project or a single drawing.

Autodesk Vault Integration

Autodesk Vault integration provides tools for running Vault operations on the entire project or individual drawing files listed within the project. It supports a single-user environment where the Vault working folder is local to the customer or a multiple-user environment where the Vault working folder is shared by many users on a shared network resource. Additional enhancements include:

You can now check out individual files as they are needed rather than having to check out the entire project at once while maintaining drawing file versioning.

The multi-user environment in AutoCAD Electrical now provides drawing status indicators and better control of project-wide commands when you are logged into Autodesk Vault.

You can now get previous versions of the drawing or project file.

You can now use Autodesk Vault to manage AutoCAD Electrical bill of materials (BOMs) by controlling the release and change of a design using the Change Order environment. Additional enhancements include:

Vault now supports AutoCAD Electrical components, quantities, catalog numbers, and balloon numbers.

Vault Explorer supports all Vault and AutoCAD Electrical data.

New controls in Vault make it easier to navigate to and find AutoCAD Electrical data.


What's New in 2008 Release

What's New in 2007 Release
AutoCAD Electrical What's New
What's New in 2009 Release
AutoCAD Electrical What's New >
What's New in 2008 Release
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

PLC I/O Import/Export

You can now communicate your electrical designs between AutoCAD Electrical and Unity Pro from Schneider Electric. Employing the widely used XML language format, you can transfer design data back and forth while maintaining structure and organization.

Use the new Unity Pro Export to Spreadsheet tool to import Unity Pro XML export files to aid in the creation of PLC-style ladder drawings and panel layout drawings (in both vertical and horizontal format) in the active project. The Unity Pro export files also contain catalog information. You can reformat it to generate an equipment list to aid in the creation of a rack layout drawing used in panel layouts or separate rack layout drawings.

Use the new Unity Pro Export tool to create a Unity Pro I/O variable file (*.xsy) in the Unity Pro XML format from your AutoCAD Electrical drawings. The Unity Pro export file is generated from the PLC drawings and their respective PLC symbols.

For More Information

PLC I/O Libraries Enhancements

You can quickly create PLC I/O drawings by selecting from a library of over 3,000 intelligent PLC I/O modules from the most popular manufacturers in the industry.

Spreadsheet to PLC I/O Utility Enhancements

You no longer have to create and save the starting drawing for the Spreadsheet to PLC I/O Utility tool. You can now define a starting drawing file name or start with the active drawing. Additional enhancements include:

  • Default settings are now read automatically the first time you run the tool.
  • You can select a settings file and make it the default.
  • You can have the newly created drawings added automatically to the end of the active project.

For More Information

Surfable Reports

When reports are placed into a drawing as a table, you can click various report cells to find the corresponding devices quickly within the schematic or panel layout drawings in the active project.

When surfing on a table inserted by the Terminal Strip Editor, you can click the title cell to surf on the Tagstrip value, even if the Tagstrip is not included in the title. If you select a cell that is not surfable (such as the Tag, Catalog, or Wire Number cell) the Tagstrip value is surfed for the terminal strip.

For More Information

Insert Component and Insert Footprint Enhancements

The Insert Component and Insert Footprint dialog boxes are updated to improve ease of use when selecting components to insert into your drawing. Enhanced dialog box controls include:

  • Menu tree structure

    Displays the main menu and submenus from which you can freely navigate. Clicking the menus displays the corresponding menu icons in the Symbol Preview window. The menu is created by reading the *.dat file defined in the Project Properties dialog box.

  • Symbol Preview window

    Displays the symbol icons and submenu icons corresponding to the selected menu. Clicking an icon performs one of the following functions based on the icon properties as defined in the *.dat file: insert a component or circuit, display a submenu, or execute a command.

  • Recently Used

    Displays the last components inserted during the current editing session. The most recently used icon displays at the top. This list follows the view options setting in the symbol preview window and the total number of icons displayed depends on the value specified in the Display edit box.

  • View

    Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only, or List view.

  • Tooltips

    When you move the cursor over an icon, the icon name and block/circuit/command names display as tooltip information.

Icon Menu Wizard Enhancements

Use the Icon Menu Wizard to customize the icon menus easily. You can now copy and paste icons from one submenu into another, drag and drop icons to place the icons that are commonly used at the top of the Symbol Preview window and the icons that are used less frequently at the bottom of the window, and create new icons to use when inserting components.

You can also easily modify the existing icon or menu properties like changing the name, image, or block name. Right-click the menu or icon on the Icon Menu Wizard dialog box and select Properties. The existing data is overwritten in the *.dat file with the new changes.

For More Information

Direct Wire Sequencing

You can now use the Edit Wire Sequence tool to define additional direct-to-terminal wire connection sequences in schematic networks. For example, one side of a schematic terminal might be connected to three field devices. A specific wire connection sequence can be defined to force the connection reporting, but it is limited to reporting the terminal as a common connection point for only two of the three field devices. The third must be reported as jumpered to one of the other two devices. Now, with the support for secondary direct-to-terminal sequences, the third field device can be sequenced directly to the terminal and the Wire From/To report shows all three field devices tied directly to the terminal.

For More Information

Visual Wiring Sequence Indicators

Once you define additional wire connection sequences, use the Show Wire Sequence tool to show the new sequencing graphically. When any changes are made to a wire sequence, the updated information is accurately reflected in the from/to wire list report.

For More Information

Terminal Strip Editor Enhancements

The Terminal Strip Editor provides an easy way to manage and edit terminals used throughout a project. You can now start designs with a terminal strip layout drawing representing the terminal strip. In the modified Terminal Strip Selection dialog box, you can either select a terminal strip for editing, or create a terminal strip definition in the project and maintain its properties in the graphical terminal strip layout drawing.

The Terminal Strip Editor dialog box now has an enhanced grid control with bolder grid lines that provide better visual definition for the terminal strip. Other enhancements to the dialog box include:

  • The Terminal Pin (TPin) column is now “T.”
  • The TERM column is now “Number” to indicate the terminal numbering, whether it is a wire number or user-defined number.
  • The Function column is now “Installation.”
  • A new column (on the far left side of the grid) indicates the level definition.
  • Tooltip instructions display once you move your cursor over 1 of the tool buttons in the dialog box.
  • There is better context menu support that is based on individual cells.
  • The Preview tab is now “Layout Preview.”
  • The Cable Preview tab is now “Cable Information.”

New tools are available on the Terminal Strip Editor dialog box to create associations, separate levels from a multiple level terminal block into separate terminal blocks, reverse the left and right wiring information for a terminal, and edit terminal block properties such as the number of levels and number of wires per connection.

The Layout Preview tab of the Terminal Strip Editor dialog box was enhanced to allow table objects in AutoCAD to be inserted as a terminal strip. It allows for more accurate representations of what is in the Terminal Strip Editor, more flexibility with the style, and provides a means for automatic updating.

For More Information

Inserting Spare Terminals

Extra terminal block definitions and accessory information is now maintained and saved on the graphical terminal strip layout. You can insert spare terminals and have them accurately update the Bill of Materials as well as various terminal reports.

For More Information

Multi-Level Terminals

Multi-level terminal blocks are quickly becoming an industry standard. Using AutoCAD Electrical, you can define and manage the terminal numbers and levels as well as all connectivity information with no added complexity.

You can now associate schematic terminals to build a multi-level terminal block that is limited to the number of levels defined in the block properties. Use the new Add/Modify Associations tool to search project terminal strips for existing multi-level terminal blocks so that you can define and maintain terminal associations. Terminals must be in the same terminal strip and be in the same project to associate together. You can also remove a terminal from any multi-level relationship and copy terminal properties from one terminal symbol to another.

Associating schematic terminals combines the terminals into a single terminal block property definition. The number of schematic terminals that can be combined is limited to the number of levels defined for the block property. Terminal associations can also tie together a set of schematic terminal block symbols to one panel representation of a terminal footprint.

For More Information

Terminal Properties Database Editor

Terminal properties data is now managed based on manufacturer. Use the new Terminal Properties Database Editor tool to select the manufacturer table to edit or create a new one in the catalog database for the active project.

Terminal Jumper Support

Use the new Edit Jumper tool to add, edit, or remove jumpers between terminals that share the same potential in a schematic drawing. You can display temporary line graphics between the primary terminal and secondary terminals within the same drawing.

Jumpers now display on the panel drawing so you have a visual representation of jumpers that appear on tabular terminal strips. Cells of a table row are joined with a graphical jumper that looks like two circles connected by a solid thick line. Three columns of jumpers are supported within a single jumper column in the table.

Pin List Data Management

Pin list data is now managed based on manufacturer. Use the Pin List Database Editor tool to select the pin list table to edit or create a table.

The _PINLIST table in the default_cat.mdb file now uses a single PINLIST column and a single PEER_PINLIST column. The continuation columns were removed.

For More Information

Installer Improvements for Manufacturer Content

You can now selectively install content based on manufacturer, reducing the size of the content databases and data redundancy. If you later decide you want to install content from another manufacturer, open the Add or Remove Programs tool in your Control Panel, select AutoCAD Electrical 2008, and click Change/Remove. Click Add/Remove Features, click Next on the first screen, and then select the manufacturers to install on the Manufacturer Contents Selection screen.

Catalog Content Updates

AutoCAD Electrical ships with a catalog database of a manufacturer that contains over 350,000 components from the most popular vendors in the industry. These components provide a full spectrum of input and output devices including switches, sensors, lights, and numerous panel devices, such as wireway and panel enclosures.

Improved Performance

Significant improvements in running commands that affect other drawings have dramatically improved the performance of AutoCAD Electrical 2008. Most notably, the Project Database Service (PDS) now only monitors the active project.

64-bit AutoCAD Electrical

AutoCAD Electrical now ships in 64-bit and 32-bit versions. The 64-bit version supports the same functionality as the 32-bit version.

DWG product recognition

Easily identify which Autodesk product created a DWG file and open the file with the application that owns the DWG file. For example, if the DWG file is owned by AutoCAD, double-clicking the file in Windows Explorer automatically opens the file in AutoCAD. When you move the cursor over a DWG icon, the tooltip identifies which Autodesk product and version was used to create the DWG.

Parametric Twisted Pair Symbol Enhancements

The icon menus are enhanced to include three new parametric twisted pair symbols. To insert a twisted pair symbol, click Components > Insert Component. On the Insert Component icon menu, click Miscellaneous and click Cable Markers.

User’s Guide

A User’s Guide for AutoCAD Electrical is now available in PDF format. It is accessible from the Launchpad and the home page of the Help.

InfoCenter

A new search engine, InfoCenter, is included on the title bar of the main AutoCAD Electrical window. It searches AutoCAD and AutoCAD Electrical Help systems to give you the most relevant information for any query you enter. You can filter content and add frequently used content to the Favorites section.

InfoCenter replaces the Communication Center. It provides notifications of software and content updates through a balloon notification mechanism. You can also publish internal content within your team, support RSS feeds, and easily provide feedback to Autodesk.

What’s New for Previous Releases

You can now quickly see which features were added or enhanced in past releases of AutoCAD Electrical. This PDF is accessible from the home page of the AutoCAD Electrical Help. Click the “x” for a particular feature to get more information about what functionality was added for that release.


What's New in 2009 Release

What's New in 2008 Release
AutoCAD Electrical What's New
Migration
AutoCAD Electrical What's New >
What's New in 2009 Release
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Circuit Builder

The Circuit Builder feature comes with many predefined motor control circuits. Insert a circuit by picking from the list of motors and selecting the location on your drawing. AutoCAD Electrical builds the selected circuit on-the-fly, matching the rung spacing, adding wiring between components, and annotating the circuit based on motor horsepower and industry standards. Inserting a custom motor control circuit can also be as easy as a few mouse clicks. Select the options to define the circuit, such as breaker type, control circuitry and motor horsepower. Select the location for the circuit and a custom circuit is built based on the selected options.

You can customize the Circuit Builder feature to build your custom circuits. The feature is driven by a spreadsheet and drawing templates. The spreadsheet defines the available options for the circuit and the defaults for each option. The drawing template defines the placement for the individual components and the wiring.

For More Information

Terminal Strip Editor

Enhancements to the Terminal Strip Editor make it a more comprehensive utility.

  • Controls added to insert, edit, and delete jumpers inside Terminal Strip Editor.
  • Internal jumper support for multi-level terminals based on the catalog assignment, as defined in the TERMPROPS table, or block properties.
  • Columns added for the display of internal jumpers, shown on the left of the terminal number as squares, and add-on jumpers, shown on the right as circles.
  • Option to launch Automatic Wire Numbering once terminal updates are complete if jumper changes are made.
  • New Jumper Chart option to display graphically all jumpered terminals in a table object placed on a drawing. These jumper charts are updated automatically when the graphical terminal strip is updated.
  • Additional control over the jumper circles in the table object and jumper chart.
  • Options to split the table object into multiple sections are provided. Controls for number of rows per section, number of sections per drawing, section placement, offset distance, and offset direction are available. Use the Drawing to Preview slider to preview each drawing.
  • The Table Preview now takes angle and scale into account.
  • An additional Preview is available while defining table settings. This preview reflects all table settings include drawing template. The preview includes a list of drawings if the settings result in multiple drawings.

For More Information

Symbol Builder

The Symbol Builder now takes advantage of the block editor environment. All the block editor features are available along with AutoCAD Electrical dialog boxes. It is easy to adjust the graphics of the component and add the necessary attributes for each type of AutoCAD Electrical component.

Start with a template supplied with attributes for the specific component type you want to create. All necessary attributes are immediately available for insertion along with any optional attributes. Drag them from the dialog box into your symbol.

When your symbol is ready, save it using the suggested symbol name following the AutoCAD Electrical naming standards, or enter your own symbol name. Audit your symbol to see any potential issues with your symbol.

For More Information

Migration Utility

The Migration utility replaces the Merge utility which dealt exclusively with the catalog database. The Migration utility includes the option to merge the catalog database and supports other files types and settings, including the environment file, icon menu files, lookup database files, table styles drawing, user circuits, recent projects, and so on. Some file types allow you to merge the default AutoCAD Electrical file and your custom file, other file types allow you to keep your custom file or overwrite it with the default AutoCAD Electrical file.

Select to migrate from a specific AutoCAD Electrical release. The existing files are found and listed for migration selection. Select which files to migrate, define the migration options, and your files from a previous release are ready for the latest AutoCAD Electrical release. Save the migration settings to use at a later time or to repeat the migration for another user or computer.

For More Information

Item Numbering

You can now assign an item number on a per part basis. Each multiple catalog assignment can receive its own item number. Set the item numbering options for a project:

  1. Right-click on the project name in Project Manager.
  2. Select Properties.
  3. Select the Components tab.
  4. Click Item Numbering.
  5. Click Per-Part Number Basis (excluding ASSYCODE combinations).
  6. Click OK.
NoteAn item number can be assigned to the main catalog entry and any multiple catalog entries. It cannot be assigned to a catalog entry based on an assembly code.

The Insert Balloon feature supports multiple balloons per component. Multiple balloons are inserted automatically if a component carries multiple item number assignments. When an item number is modified or removed, the item balloon is updated or deleted.

For More Information

Surfing

The ability to surf on an item number was added. Right-click an item balloon and select surf, or type the item number in the Surf dialog box. You can also surf on an item number in a report table. Run the Surf command and click the item number text in the report table.

For More Information

Cross-referencing

The graphics used to represent each contact type in the table cross-reference style are now customizable. A graphic drawing (.dwg) file is assigned to a specific contact block file name through a new cross-reference mapping table in the catalog lookup database. The assigned graphic drawing file is inserted as a block in the table cell in the TYPE column.

For More Information

Spreadsheet to PLC/IO

You can now direct the Spreadsheet to PLC/IO utility to start a new drawing before generating the next module. Enter the keyword, NEW_DWG, in the CODE column of the spreadsheet at the point where you want to start a new drawing. AutoCAD Electrical creates the drawing before generating the next module in the spreadsheet.

You can now predefine other attributes on the module like the inline device fields. For example, you want a module to have a Rack value of “2”, an Installation value of “MACH1”, and a Rating2 value of “Hazardous Duty”. In the spreadsheet, in the RACK column, enter “2;INST=MACH1;RATING2=HAZARDOUS DUTY”. When this module is generated these extra attribute values are assigned.

For More Information

Vault - Title Block Update

The project description values in Vault can now be written back to AutoCAD Electrical drawings. Assign these values to the AutoCAD Electrical project description values. Project descriptions can be used in the AutoCAD Electrical title block update and the drawing list report. If the project descriptions are out of date when these features are used, you are prompted to import the Vault values in to the project descriptions.

3-Phase Wiring

Connecting the 3-phase wiring to the motor symbol is now automatic. When you insert a motor symbol and 3-phase wiring is already present, place the symbol on or near the wires and the wires are angled and trimmed to meet the motor symbol.

NoteFor pre-2009 symbols, you must add a default attribute prompt value, “X0STRETCH”, to the X0TERMxx attributes.

Flip Component

When you use the Flip Component feature, existing dashed link lines are recalculated and reinserted if necessary.

Project Manager

You can now right-click the active project and select Close. The active project is closed, removed from the list, and the next project becomes the active project.

Toggle Wire Number

Toggling a wire number from above or below the wire to an in-line wire number now keeps its original center point, rather than centering it on the wire.

Trim Wire

You can now use the dynamic pan and zoom while using the Trim Wire command. Start the command and select the Fence option. Select the first fence point and pan the drawing to select the next fence point. All wires are trimmed that cross the fence rather than just the wires on the screen.

Edit Wire Sequence

The Edit Wire Sequence command remains active until you choose to exit the command by not selecting a wire. This feature makes it more efficient to assign a wire sequence to multiple wire networks.

Cable Conductor Table

Adding a cable with many conductors is more efficient with the Alt+A hot key. Once you type in the conductor color, press Alt+A to add the conductor to the list.

COPYTAG for Terminals

Terminals now support the COPYTAG attribute. COPYTAG is the optional TAG copy attribute. When AutoCAD Electrical updates a TAGSTRIP attribute, it also looks for and updates any COPYTAG attributes present on the symbol with a copy of the TAGSTRIP text. A special replaceable parameter, "%T", can be encoded onto the prompt value of the COPYTAG attribute definition. This replaceable parameter allows for adding a suffix and/or prefix to the TAGSTRIP text. If you need more than one extra TAGSTRIP copy on a symbol, name the attributes COPYTAG01, COPYTAG02, and so on.

Stand-alone Cross Reference

The DESC1 attribute is now supported on stand-alone cross-reference symbols. You can add a value to this attribute in the Insert/Edit Stand-alone Signal/Destination dialog boxes. The description field is an available field in the Stand-alone cross reference report.

Export to Spreadsheet

The option to export information from parent components only was added.

Catalog Content Updates

Pneumatic catalog content was added to the catalog database of over 350,000 components from the most popular vendors of the industry. Additional catalog content for terminal blocks, PLC, and limit switches, was added.

Help Updates

The New Features Workshop provides an outline and graphical view of new features this release.

A symbol library preview guide lists the library symbols supplied with AutoCAD Electrical.

For More Information

Toolbar Tooltips

Some of the commonly used AutoCAD Electrical commands now provide an additional level of information in the tooltip. Pause the mouse over the command icon. The first level of information for that command is displayed. Continue to pause the mouse over the command icon and the next level of information is displayed in the tooltip. For more information about any command, press the F1 key while the tooltip is displayed.


Migration

What's New in 2009 Release
Migration Utility
Migration
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Migration Utility

    AutoCAD Electrical Migration Utility


Migration Utility (Concept)

Migration
Migration
Project Management
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Migration Utility migrates settings and files from a previous AutoCAD Electrical release to the current release. Many files within AutoCAD Electrical are customizable. The Migration Utility migrates these custom changes to the current release. You select which files to migrate and which migration option to use. There are three migration workflows:

  • Migrate from an earlier release
  • Custom migration
  • Migrate from saved settings
NoteThe Merge Utility, used to merge database files and panel content, is no longer a separate utility. It is now part of the Migration Utility.
Files types for migration

The Migration Utility supports many files types. Various default folders are searched for these file types. The following default paths are searched by the Migration Utility. You can have the Migration Utility look in other folders.

  • Install folder - C:\Program Files\Autodesk\AcadE {version}\
  • User Support folder - C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\R17.0\{language}\Support\
  • Program Support folder - C:\Program Files\Autodesk\AcadE {version}\Support\
  • Data folder - C:\Documents and Settings\{username}\My Documents\AcadE {version}\AeData\
  • Project folder - C:\Documents and Settings\{username}\My Documents\AcadE {version}\AeData\Proj
  • Library folder - C:\Program Files\Autodesk\AcadE {version}\Libs\
  • User folder - C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\R17.0\{language}\Support\User\
  • Catalog folder - C:\Documents and Settings\{username}\My Documents\AcadE {version}\AeData\Catalogs
  • PLC folder - C:\Documents and Settings\{username}\My Documents\AcadE {version}\AeData\PLC

There are two migration options depending on the file type.

  • Merge - compare the two files and merge the data according to the selected options. If overwrite is not selected, only new lines are merged.
  • Copy - copy the file in the current version to the selected file. If overwrite is not selected, only new files are copied.

Use this table to see which files the Migration Utility supports, the default search paths, and the available migration options for each file type.

File Type | Default Folder | File | Migration Options
Environment File | Data | wd.env | Copy or Merge
Symbol menu | User Support | *.dat | Copy or Merge
Library menu images | User Support | *.dll and *.slb | Copy
Miscellaneous slide images | User Support | *.sld and *.png | Copy
Style images | PLC and Install\acade | *.bmp | Copy
Catalog database | Catalogs | default_cat.mdb | Copy or Merge
Footprint lookup database | Catalogs | footprint_lookup.mdb | Copy or Merge
Schematic lookup database | Catalogs | schematic_lookup.mdb | Copy
PLC database | PLC | ace_plc.mdb | Copy or Merge
Pick list database | Catalogs | wd_picklist.mdb | Copy
Dinrail | Catalogs | wddinrl.xls | Copy
Language conversion database | Catalogs | wd_lang1.mdb | Copy
Library symbols | Library | all folders | Copy
User circuits | User | *.dwg | Copy
Drawing templates | Registry template path | *.dwt | Copy
Table styles | Program support | tablestyle.dwg | Copy or Merge
Line types | User Support | Acade.lin | Copy or Merge
Recent project list | User Support | lastproj.fil | Copy
Installation, Location, Mount, Group code | User | *.inst, *.loc, *.mnt, *.grp | Copy
Description list | User Support | *.wdd | Copy
Rating defaults | User Support | *.wdr | Copy
External component tag list | User | *.wdx | Copy
Spreadsheet to PLC setup | User | *.wdi | Copy
Equipment list setup | User | *.wde | Copy
Wire color/gauge label | User | *.wdw | Copy
Terminal number filter | Project | *.wdn | Copy
Terminal strip table setup | User | *.tsl | Copy
Conduit setup | Program Support | *.wwl | Copy
Plot paper size | Program Support | Generic paper size.txt | Copy
Title block mapping | Project | *.wdt | Copy
Title block line label mapping | User | *.wdl | Copy
Family tag mapping | User | wd_fam.dat | Copy
PLC mapping | User Support | wdmbblks.bsf | Copy
RSlogix code mapping | Program Support | *.wdf | Copy
Unity Pro symbol mapping | User | *.map | Copy
User-defined attributes | User | *.uda | Copy
Report settings | User | *.set | Copy
Report groups | User | *.rgf | Copy
Table mapping file for catalog merges

You can choose to impose an input mapping file to direct where to place the data inside the catalog destination database. The mapping file (named ACEDBMergeUtil.map) is located in the same directory as the main executable program.

NoteThere are additional mappings for vendors, catalog numbers, and fields. See the mapping file for information about these mappings. The default file location is C:\Program Files\Autodesk\AcadE {version}\.

To consolidate all the timer relay (TD) tables into one table, use the mapping file. It controls which tables to take from the source database and place into the destination database under a single table.

[Table map]

; <SRC_TABLE>=<DEST_TABLE>

TD1N=TD

TD1NT=TD

TD1NF=TD

TD1FT=TD

Wildcard mapping for catalog database tables is allowed on the source (left) database side of the mapping file. For example, TD*=TD. When the table or wildcard mapping is used and the source database table is component-specific, the merge utility places the table name into the WDBLKNAM field of the destination database. It provides the symbol name for the initial filter used in the catalog lookup window.

Table mapping files for footprint lookup database merges

A mapping file for the footprint lookup database (ACEDBMergeUtil_footprint_lookup.map) is provided. This file follows the same rules as the mapping file for catalog merges (ACEDBMergeUtil.map). No rules are predefined in this mapping file. The file ia a framework that needs to be modified to provide customized merges.

NoteThe default file location is C:\Program Files\Autodesk\AcadE {version}\. See the file for further instructions on how to format and construct the mapping strings.
PLC Database

The Spreadsheet to PLC/IO utility uses the module category to calculate the insertion point of a module.

  • Input module - inserted near the right or bottom bus line of the ladder.
  • Output module - inserted near the left or top bus line of the ladder.
  • Combination module - inserted centered between the bus lines of the ladder.

Before AutoCAD Electrical 2009, the Spreadsheet to PLC/IO utility determined the module category based on the value in the DESCRIPTION field or the PLC database table name. For example, if the DESCRIPTION field contained the string “*IN*”, it was considered an input module. In AutoCAD Electrical 2009 and later, the PLC database contains a CATEGORY field. If the PLC database file is migrated, the Migration Utility automatically runs the PLC Database Migration utility using the following default settings.

Input | DI*,AI*,*INP*,*IN *,*IN,*IN/*
Output | DO*,AO*,D0*,A0*,*OUT*
Combination | *OTHER*,IO*,I0*

The PLC Database Migration utility compares the values in the DESCRIPTION field of the PLC database to default values for input, output, or combination. If a match is not made, the database table name is compared. If a match is made to the DESCRIPTION field or table name, the correct CATEGORY value is entered for that module.

  • 1 - Input module
  • 2 - Output module
  • 3 - Combination module

The PLC Database Migration utility updates all tables in the PLC database based on these values.

NoteBlank spaces within the text are included as part of the search string. For example, “IN{space}*” matches “IN module” but does not match “INPUT”.
wd.env merge

The wd.env file can contain settings that direct AutoCAD Electrical where to locate certain files. These files can include the catalog and lookup databases, slide libraries, and user circuits. The paths from the migrated wd.env file are used when these dependent files are migrated.

For example:

Migration Option | Previous version wd.env | Current version wd.env | Final wd.env
Merge - Overwrite | WD_CAT=n:\shared\ | WD_CAT={default path} | WD_CAT=n:\shared\
Merge | WD_CAT=n:\shared\ | WD_CAT={default path} | WD_CAT={default path}

If you also select the catalog database for migration, the data from the source catalog database is migrated to the destination catalog database based on the selected migration options, for example merge - overwrite. The suggested destination folder for the migrated catalog database is the path in the migrated wd.env.

If you change the migration status of the wd.env file, you are prompted to update these dependent files to make sure that the location of each file matches the wd.env settings.

Log file

Each time you run the Migration Utility, the migration information is written to the file acemigration.log. This log file contains the date of the migration, the user name, and information about the files migrated. The log file is stored in the User folder. The default location is:

  • Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release number}\{country code}\Support\User\
  • Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release number}\{country code}\Support\User\
Back-up copies

A back-up copy of each migrated file is made. The back-up file is created in the same directory as the original file and its name is the same as the original, but with the extension ".bak."

NoteBackup copies are not created for library symbol drawing files and slide images.


Migration Utility (Procedure)

Customize the Ribbon
Migration Utility
Migration Utility
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Migrating from an earlier release

Custom migration

Migrating from saved settings


Migration Utility (Quick Reference)

Migration Utility
Migration Utility
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical Migration Utility

Merge/Copy Options

Migration Options

Migration Review


Migrating from an earlier release (Procedure)

Migration Utility
Migration Utility
Migration Utility
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Migrating from an earlier release

The Migration Utility migrates your settings and customized files from an earlier release of AutoCAD Electrical to the current release.

  1. Click Project tab [image] Other Tools panel [image] Migration Utility. Enter AEMIGRATION at the command prompt.

    AutoCAD Electrical searches for previous installations of AutoCAD Electrical.

  2. Select the release to migrate from.

    AutoCAD Electrical searches for files from the selected release. Existing files are selected for migration by default.

  3. Click the category name in the Migration items list. The files within that category are shown in the Migration files section.
  4. Click within the Copy/Merge Option cell, and select the Browse tool to change the migration option for a file. The Copy/Merge Options dialog box opens. Different file types have different migration options.
  5. Select the Copy/Merge option, including whether to overwrite or not, and select OK.
  6. Click within the Source cell and browse to change the source file.
  7. Click within the Destination cell and browse to change the destination file.
  8. Select OK. The Migration Review dialog box opens.
  9. (optional) Select Save As to save the migration settings to a file to use to migrate from these saved settings.
  10. Review the migration items.
  11. Select OK.
  12. Review the Migration Complete information.
  13. Select Done.


Custom migration (Procedure)

Migration Utility
Migration Utility
Migration Utility
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Custom migration

Use the Migration Utility to migrate settings and customized files. When you select a custom migration, you define each file that you want to migrate. This option is useful when you have files from an earlier release that are not in the default location. This option is also used to synchronize multiple computers.

  1. Click Project tab [image] Other Tools panel [image] Migration Utility. Enter AEMIGRATION at the command prompt.
  2. Select Migrate from: <Custom>.
  3. Check the box next to the category name.
  4. Click the category name in the Migration items list.
  5. Click within the Source cell and type the file name or browse to the file you want to migrate.
  6. Click within the Destination cell and type the file name or browse to the destination file.
  7. Click within the Copy/Merge Option cell, and select the Browse tool to change the migration option for the file. The Copy/Merge Options dialog box opens. Different file types have different migration options.
  8. Select the Copy/Merge option and select OK.
  9. Repeat for each file you want to migrate.
  10. Select OK. The Migration Review dialog box opens.
  11. (optional) Select Save As to save the migration settings to a file that to use to migrate from these saved settings.
  12. Review the migration items.
  13. Select OK.
  14. Review the Migration Complete information.
  15. Select Done.


Migrating from saved settings (Procedure)

Migration Utility
Migration Utility
Overview of projects
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Migrating from saved settings

Migrating from saved settings is useful if you migrate settings and files on multiple computers. You define the migration settings on the first computer and save those settings to an external file. When you use the Migration Utility on another computer select the file containing the saved settings.

Saving the settings file

  1. Click Project tab [image] Other Tools panel [image] Migration Utility. Enter AEMIGRATION at the command prompt.
  2. Set your migration settings using either the steps for Migrating from an earlier release or a Custom migration.
  3. Select OK on the AutoCAD Electrical Migration Utility dialog box. The Migration Review dialog box opens.
  4. Select Save As to save the migration settings to a file.
  5. Enter a file name and click Save.
  6. Continue the migration or Cancel.

Migrating from the saved settings file

  1. Click Project tab [image] Other Tools panel [image] Migration Utility. Enter AEMIGRATION at the command prompt.
  2. Select External File to migrate from the saved settings.
  3. Select the saved .migr file and click Open.
  4. Review the migration items.
  5. Select OK.
  6. Review the Migration Complete information.
  7. Select Done.


Migration Utility (Quick Reference)

Migration Utility
Migration Utility
Migration Utility
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical Migration Utility

Migrates settings and files from a previous AutoCAD Electrical release to the current release.

Ribbon: Project tab [image] Other Tools panel [image] Migration Utility. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Projects [image] Extras [image] Migration UtilityDoes not exist in the menus.
Command entry: AEMIGRATION

Many files and settings within AutoCAD Electrical are customizable. Select which files and settings to migrate to the current release, and which option to use:

  • Migrate from an earlier release.
  • Custom migration.
  • Migrate from saved settings.
Migrate from

Select to migrate from a previous version of AutoCAD Electrical or to perform a custom migration. All installed AutoCAD Electrical versions, 2004 or newer, are options in the dialog box list. Click External file to browse to a previously saved migration settings file.

Migration items

Available migration items are listed in a tree structure. Select a file category check box if you want to migrate files from that category. If you are migrating from a previous version of AutoCAD Electrical, any existing files are selected for migration by default. If the category contains additional subcategories, expand the tree structure to see each level. Highlight the category name to display the individual files and migration options within the Migration files section.

Migration files

The Migration files section lists the files, and migration options, for the category highlighted in the Migration items section. Use this section to change the migration option, source file, or destination file.

Copy/Merge Options

Displays the current migration option. To change the migration option for a file, select within the Copy/Merge Options cell.

Opens the Copy/Merge Options dialog box. Copy/Merge options differ depending on the selected file type.

Source

Displays the current source file or folder for migration. To change the source file, select within the Source cell

Opens the Select source file dialog box.

Destination

Displays the current destination file or folder for migration. To change the destination file, select within the Destination cell

Opens the Select destination file dialog box.

Remove

Remove the selected files from the list of file for migration.

Preview

Opens a preview dialog box showing the migration changes for the selected file. The Preview button is available only when merging the Environment File, Symbol Menu, or Line Type. Red text indicates changed lines. Blue text indicates added lines.


Migration Utility (Quick Reference)

Migration Utility
Migration Utility
Migration Utility
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Merge/Copy Options

The Migration Utility supports various file types for migration to the current release of AutoCAD Electrical. Different file types have different migration options. There are two file migration options: copy or merge.

Copy

If the Copy option is selected, the source file is copied to the file location for the current release. You can choose to overwrite any existing destination files. If you choose not to overwrite the existing files, only new files are migrated.

Merge

If the Merge option is selected, you can choose to overwrite existing entries. You can indicate to maintain the user fields, text value field, and Web hyperlink field in overwritten records when merging catalog databases. If you choose not to overwrite existing entries, only new entries are merged.


Migration Utility (Quick Reference)

Migration Utility
Migration Utility
Migration Utility
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Migration Options

Provides options for merging the PLC database file.

The Spreadsheet to PLC/IO utility uses the module category to calculate the insertion point of a module.

  • Input module - inserted near the right or bottom bus line of the ladder.
  • Output module - inserted near the left or top bus line of the ladder.
  • Combination module - inserted centered between the bus lines of the ladder.

Before AutoCAD Electrical 2009, the Spreadsheet to PLC/IO utility determined the module category based on the value in the DESCRIPTION field or the database table name. For example, if the DESCRIPTION field contained the string “*IN*”, it was considered an input module. In AutoCAD Electrical 2009 and later, the PLC database contains a CATEGORY field.

The Migration utility compares the values in the DESCRIPTION field of the PLC database to values you assign as input, output, or combination. If a match is not made, the database table name is compared. If there is a match to the DESCRIPTION field or table name, the CATEGORY value is entered for that module.

  • 1 - Input module
  • 2 - Output module
  • 3 - Combination module
Input | Enter text, comma delimited, used to match to the DESCRIPTION value. If there is a match, the module is assigned a CATEGORY value of 1 for input.
Output | Enter text, comma delimited, used to match to the DESCRIPTION value. If there is a match, the module is assigned a CATEGORY value of 2 for output.
Combination | Enter text, comma delimited, used to match to the DESCRIPTION value. If there is a match, the module is assigned a CATEGORY value of 3 for combination.
Overwrite existing settings | Select to overwrite any existing CATEGORY values. If not selected, only blank CATEGORY fields are modified.

The Migration utility updates all tables in the PLC database based on these values.

NoteBlank spaces within the text are included as part of the search string. For example, “IN{space}*” matches “IN module” but does not match “INPUT”.

If no match is made for a module, the CATEGORY field is not modified. Use the PLC Database File Editor to assign a category to a module. Select a “Spreadsheet to PLC I/O Utility Insertion Point” option on the Module specifications dialog box.


Migration Utility (Quick Reference)

Migration Utility
Migration Utility
Overview of projects
Migration >
Migration Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Migration Review

Ribbon: Project tab [image] Other Tools panel [image] Migration Utility. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Projects [image] Extras [image] Migration UtilityDoes not exist in the menus.
Command entry: AEMIGRATION

The Migration Review dialog box opens after selecting OK on the AutoCAD Electrical Migration Utility dialog box. The dialog box displays all the migration items and the options for each item.

Files selected for migration | Status: indicates the migration option, such as Merge/Overwrite or Copy/Overwrite. Source: name and path of the file containing the data to migrate. Destination: name and path of the file to receive the values from the source file.
Save As | Opens the Save Settings dialog box. Enter a file name to save the migration settings. This file is used when migrating from an external file.


Project Management

Migration Utility
Overview of projects
Project Management
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of projects

    Create new project

  • About collaborative design
  • Create a drawing

    Create new drawing

  • Change drawing display options

    Drawing list display configuration

  • Overview of project-related files
  • Overview of the project file format
  • Archive a project

    Project zip

  • Delete a project
  • Work with Multiple Clients
  • Drawing List Report
  • IEC tag mode update

    IEC tag mode update

  • Task list

    Task list


Overview of projects (Concept)

Project Management
Project Management
About collaborative design
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A project is a set of interrelated wiring diagram drawings. An ASCII text file, called the project file, lists the AutoCAD drawing file names that make up the wiring diagram set. You can have as many projects as you wish, but only one project can be active at a time.

An AutoCAD Electrical project file:

  • Is an ASCII text file with any path and any name followed by the .WDP extension.
  • Lists the complete path to each wiring diagram drawing included in the project.
  • Carries default settings that can be referenced when new drawings are created and added to the project.

Project files default to the directory pointed to by your project subdirectory (given by the WD_PROJ setting in your environment file). It is not mandatory. When you create a project file, you can save it to any subdirectory. In some cases, you may want to store them in client-specific subdirectories to take advantage of the AutoCAD Electrical ability to access client-specific catalog files and library symbols.

Use recently opened projects

The Project Manager displays a list of recently opened projects so you can easily select another project to open without having to browse for it. The project list is dynamic with the last project you worked on appearing at the top of the list. The list of recent projects is saved in a text file called lastproj.fil in the user subdirectory.

  • Windows XP: \Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\
  • Windows Vista: \Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

Each line in this file gives the information for one project. The last piece of data in the line identifies what the project state is when AutoCAD Electrical is started: "2"=Active, "1"=listed as Open, "0"= not listed in window but available from the Recent Projects dialog box. If you adjust this file, either manually with a text editor or programmatically (see the AutoCAD Electrical API Help), you can control what project is active when AutoCAD Electrical starts up and what other projects is shown in the Project Manager window.


Overview of projects (Procedure)

Migration Utility
Overview of projects
Overview of projects
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Work with projects

Copy a project

Work with project drawings

Pick a different project


Overview of projects (Quick Reference)

Migration Utility
Overview of projects
Overview of projects
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project manager

Create new project

Copy project: step 1 - select existing project to copy


Work with projects (Procedure)

Overview of projects
Overview of projects
Overview of projects
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Work with projects

Use the Project Manager to create a project, access an existing project, add drawings to a project, or modify existing information associated with a project.

Create a project

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. On the Project Manager, click the New Project button.
    NoteYou can also create a project by right-clicking at the bottom of the tree inside the Project Manager and selecting New Project or by clicking the arrow on the Project Selection menu and selecting New Project.
  3. In the Create New Project dialog box, enter the name for the new project. The .WDP extension is automatically added to the filename.
  4. Select or create the directory where you want to save the project.
  5. (Optional) Specify an existing project file (WDP) to use. Use the default or click Browse to select a previously defined project definition file.
  6. (Optional) Click Descriptions to enter descriptions for the project. You can enter up to 12 description lines per page. You can also select the check boxes for the information to include in reports generated for the project.
  7. (Optional) Click OK-Properties to modify your project default settings for project settings, components, wire numbering, cross-references, styles, and drawing formats. All information defined in these tabs is saved to the project definition file as project and drawing defaults.
  8. Click OK.

Add a new drawing to the current project

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. On the Project Manager, click the New Drawing button.
  3. Create a new drawing and click OK.
  4. In the Project Manager, right-click the project name and select Add Active Drawing. The drawing is added to the end of the existing list.

Add existing drawings to the current project

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project name, and select Add Drawings.
  3. In the Select Files to Add dialog box, select the drawings to add to the current project. You can select multiple drawings using the Shift or Control keyboard keys.
    NoteThe order in which you select drawings determine how they are listed in the project drawing list.
  4. Click Add.

    The drawings are added to end of the project drawing list.


Copy a project (Procedure)

Overview of projects
Overview of projects
Overview of projects
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy a project

Copies an existing project and project specific files to a new name, and creates renamed copies of the drawing files.

Before you run the Copy Project operation, close the drawings you plan to copy. The copied project becomes the active project.

  1. Click Project tab [image] Project Tools panel [image] Copy. Enter AECOPYPROJECT at the command prompt.
  2. Enter the name of the project to copy.
    • Click Copy active project to copy the current project.
    • Click Browse to select a project to copy.
  3. Click OK.
  4. Select the directory where you want to save the new project.
  5. Enter the name for the new project. The .WDP extension is automatically added to the filename.
  6. Click Save.
  7. Select one or more drawings to copy to the new project.
    • Do All: Selects all drawings from the project drawing list to copy to the new project.
    • Process: Selects one or more drawings from the project drawing list to copy to the new project.
    • Reset: Moves all selected drawings back to the project drawing list.
    • Un-select: Moves one or more drawings back to the project drawing list.
    • by Section/sub-section: Selects drawings by sections and subsections.
  8. Click OK.
  9. Enter the directory path where to save the new project. If the directory does not exist, it is created.
  10. Select the project-related files to copy. (See the following list.)
  11. Click OK.
  12. Modify the new drawing file names if necessary.
  13. Click OK. The new project becomes the current project.

Project-related files to copy

On the Copy Project: Step 4 -- Enter Base Path for Project Drawings dialog box you can select the project-related files to copy to the new path. Options include:

  • Title block setup (.wdt)
  • Project line labels (.wdl)
  • Component description defaults (.wdd)
  • Catalog lookup database (cat.mdb)
  • Footprint lookup database (lookup.mdb)
  • Family code mapping (wd_fam.dat)
  • Wire color/gauge label (.wdw)
  • Schematic lookup database (schematic_lookup.mdb)
  • Location codes (.loc)
  • Installation codes (.inst)
  • Ratings defaults (.wdr)
  • Component tagging (.wdx)
  • Spreadsheet PLC I/O Utility settings (.wdi)
  • RSLogix import mapping (.wdf)
  • User-defined attributes (.wda)
  • Terminal audit filter (.wdn)


Work with project drawings (Procedure)

Overview of projects
Overview of projects
Overview of projects
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Work with project drawings

Use the Project Manager to access an existing project and modify its associated information.

Group drawings within a project

You can create groups of drawings within your project list by assigning sections and subsection codes to each drawing. The AutoCAD Electrical project-wide tagging, cross-referencing, and reporting functions can then operate on the whole project (default) or, using this section/subsection coding, on just a portion of the drawing set.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties.
  3. In the Drawing Properties dialog box, click the Settings tab.
  4. In the Sheet Values section, enter a section or subsection code for the drawing.
  5. Click OK.

    Repeat for each drawing you want to group, making sure to assign the same section or subsection code to each.

Change the order of drawings in the project

The order in which drawings appear in the drawing list of the project is the order in which AutoCAD Electrical processes them in project-wide tagging and cross-referencing operations. You can change the drawing order using the Reorder Drawings tool.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project name, and select Reorder Drawings.
  3. Find and highlight the drawing you want to move in the list.
  4. Click Move Up or Move Down until the drawing moves to the appropriate position in the list.
  5. Click OK.

Remove a drawing from the active project

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the drawing name, and select Remove.

    The drawing is instantly removed from the project but it is not deleted.

NoteYou can remove all drawings from a project by right-clicking the project name in the Project Manager, and selecting Remove Drawings. Select the drawings to remove from the Select Drawings to Process dialog box, and click OK.

Assign a description to each drawing

You can assign a 3-line description to each drawing listed in your project. You can then toggle the project drawing list back and forth between drawing preview and drawing details. Flipping the drawing list to display the drawing details can make it easier to find a specific drawing among dozens or hundreds in a project file.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties.
  3. In the Drawing Properties [image] Settings dialog box, enter a description for the drawing.

    Select from a list of predefined descriptions from the active project by clicking the arrow.

  4. Click OK.
TipThese descriptions can link to an attribute in the title block for automatic update.

Preview a drawing

You can preview a drawing from the Project Manager.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, select a drawing from the list.
  3. In the Details pane, click Preview.

    An image of the highlighted drawing displays. Once selected, the preview remains on. Each time you highlight another drawing in the project list the display updates with an image of the selected drawing.

  4. Click Details to return to the drawing description for the drawings.


Pick a different project (Procedure)

Overview of projects
Overview of projects
Create a drawing
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pick a different project

AutoCAD Electrical displays a list of recently opened projects so you can easily select another project to open without having to browse for it. The project list is dynamic with the last project you worked on appearing at the top of the list. The list of recent projects is saved in a text file called lastproj.fil in the user subdirectory.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, click the arrow on the Project Selection menu, and select Recent.
  3. In the Recent Projects dialog box, select the project from the list.
  4. Click Drawings to see a list of the drawings in the selected project.

    In the Project Drawings dialog box, double-click a drawing name to see a preview of that drawing. Click Pick Project, Open Drawing to make the selected project the active project and open the selected drawing or click Back to return to the Recent Projects dialog box.

  5. (Optional) Click Remove to remove a project from the project list.
  6. Click OK.

    The selected project becomes the active project.

NoteIf you know the drawing name but you are not sure what project the drawing is in, click Find in the Recent Projects dialog box. In the Find Drawing in Recent Projects dialog box, enter the name of the drawing (wildcards are accepted) and click Find. Once a list of possible projects is presented, select the project name and click Drawing List to see a list of the drawings contained in the project. Double-click the drawing name in the list to preview the drawing. Click Pick Project, Open Drawing to activate the project and open the selected drawing.


Overview of projects (Quick Reference)

Overview of projects
Overview of projects
Overview of projects
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project manager

Opens or creates a project of one or more drawings, and configures project-wide settings.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

Lists the drawing files associated with each open project. Add new drawings, reorder drawing files, and change project settings. Right-click the properties icon for options to move, size, close, dock, hide, or set the transparency for the Project Manager.

You can dock the Project Manager into a specific location on the screen or hide it until you want to use the project tools. Right-click the properties icon to display options to move, size, close, dock, hide, or set the transparency for the Project Manager.

NoteYou cannot have two projects open in the Project Manager with the same project name.
Right-click menu

You can right-click in empty space in the Project Manager to display the following options:

New Project | Creates a project. Once created, the new project automatically becomes the active project.
Open Project | Opens a different project from a file selection dialog box. In the Select Project File dialog box, navigate to the project to open and select it.
New Drawing | Creates a drawing file and adds it to the active project. The new drawing displays at the bottom of the project drawing list for the active project.
Project Selection menu

You can default to a predefined directory by adding an entry to your .env file. Exit AutoCAD and open the .env file with any generic text editor (such as Wordpad). Add this line:

WD_PICKPRJDLG, n:/{your directory}/, AutoCAD Electrical default pick proj

Recent | Opens a different project from a list of recent projects or from a file selection dialog box.
New Project | Creates a project. Once created, the new project automatically becomes the active project.
Open Project | Opens a different project from a file selection dialog box. In the Select Project File dialog box, navigate to the project to open and select it.
Open Project from Vault | (you must be logged into the vault) Allows you to browse to the vault to open a project and make it active inside of the Project Manager. In the Select Project dialog box, navigate to the project to open and select it. Click the arrow next to the Open button and select one of the following options: Open (Check Out), Open (Check Out All), or Open Read-only.
Buttons
New Project | Creates a project. Once created, the new project automatically becomes the active project.
New Drawing | Creates a drawing file and adds it to the active project.
Refresh | Refreshes the drawing list inside of the Project Manager. For Vault: Checks for changes in external file references and updates the Vault icons in the Project Manager. Files that have changed and are currently checked out to you are not updated. Files that are checked out to another user are updated to their current version. Files that are checked out to another user are updated to their current version on your local drive. If the Vault version is newer, then the Vault icon indicates that the file needs reloading (the Vault icon turns red).
Project Task List | Performs pending updates on any drawing files inside of the active project that have been modified.
Project-Wide Update/Retag | Updates the related line reference numbers, cross-reference text, device tagging, and signal reference updates on the selected drawing files inside of the active project.
Drawing List Display Configuration | Configures the display options. There are ten values that can be associated with the drawings listed so you can display the information based on your requirements.
Publish/Plot | Batch plots one or more drawings in the active project.
Projects

Displays all the open projects in a list. You can have as many projects open as you need, but only one project can be active at a time. The active project appears in bold text and is always found at the top of the list. Right-click the project name to display the following project editing options:

Descriptions

Edits the existing project descriptions. Displays unlimited lines describing the project. Descriptions can then be included in report headers and title blocks.

Title Block Update

Automates updating title block information for the active drawing or for the entire project drawing set.

Drawing List Report

Generates a report that lists project drawing information from the title blocks such as drawing descriptions, section, and file names.

On the Drawing List Report dialog box, select to run a new report, redisplay the previously run report or select a format .set file to use for the report.

New Drawing

Creates a drawing file and adds it to the active project.

Add Drawings

Adds one or more drawings to the active project. When prompted, specify whether to apply the project default values to the drawing settings (in the WD_M block definition).

Add Active Drawing

Adds an active drawing to the active project. The new drawing appears at the end of the project drawing list. When prompted, specify whether to apply the project default values to the drawing settings (in the WD_M block definition).

Reorder Drawings

Moves drawings up or down in the project's drawing list. The order determines how the drawings are processed for project-wide tagging and cross-referencing operations.

Remove Drawings

Removes one or more drawings from the current project.

NoteThe drawing file is not deleted, just the reference to the drawing.

Task List

Performs pending updates on any drawing files inside of the active project that have been modified.

Publish

Launches dialog boxes to plot the project, publish to the Web, publish to DWF, or create a zip file of the project.

Settings

Displays the project's settings and information about the AutoCAD Electrical environment.

Exception List

Displays a list of drawing file(s) that have different settings from the project definition file (.WDP). If all drawing files match the .wdp, the dialog box indicates that there are no exceptions. You can then use the Settings Compare tool to display the differences.

Properties

Controls project-wide settings including tagging, component cross-referencing options, and catalog lookup file preferences.

Activate

Makes an open project the active project in the AutoCAD Electrical session. This also sends the project list to the top of the dialog box.

Close

Closes an open project.

NoteYou cannot close the active project; you must first activate another project in the list.

Vault

You must be logged into the vault to see this menu in the Project Manager. The status of the selected object determines which vault commands are available for selection.

Check In All

Adds the project definition file (.wdp) along with its drawing files to the vault. You can vault just the project file using the Project Check In command or you can vault the project file along with its drawing files using the project Check In All command.

Note Files used to support the project (such as .wdl and .wdt) appear in the Vault Check In All dialog box if they share the same file name as the project.

Check Out All

Reserves and locks the project definition file along with the associated drawing files listed in the Project Manager. If the project definition file is unavailable for checkout, you can still check out the drawings available for editing.

Check In

Adds the project definition file to the vault and creates a version of the file. Use this if you want to check in only the project definition file and none of its drawing file dependencies; otherwise use Check In All.

Note Files used to support the project (such as .wdl and .wdt) appear in the Vault Check In dialog box if they share the same file name as the project.

Check Out

Reserves and locks the master project definition file. Retrieves an updated copy, if necessary. Use this if you want to check out only the project definition file and none of its drawing file dependencies; otherwise use Check Out All.

Undo Check Out/Undo Check Out All

Removes the reservation/lock from the master project definition file. The master file is now available for others to check out. Any modifications made to the local copy are not checked back into the vault.

Undo Check Out All removes the lock from all of the checked out drawing files and project definition file listed inside of the Project Manager for the selected project.

Get Latest/Get Latest All

Retrieves the latest master copy from the vault and copies it into your working folder. Older files are indicated by the status indicator displaying a red background.

Project Drawing List

Displays the drawings associated with a project. You can select multiple drawings from the project list to open, close, remove, apply project defaults, or paste properties all at once. You cannot select multiple drawings from two or more projects.

The active drawing appears in bold text in the list. By default, the selected drawing highlights in the project drawing list regardless if the Project Manager is active or not. You can turn this off by clicking the Drawing List Display Configuration button and selecting Show selection highlight only when active.

Indicates that the file is a drawing file.

Indicates that a drawing file is a reference drawing. To make a drawing a reference drawing, right-click on the drawing name and select Properties [image] Drawing Properties.

Right-click the drawing name to display the following drawing editing options:

Open

Opens the selected drawing in a new window. You can also double-click a drawing name or select a drawing name and press Enter to open the drawing.

Close

Closes the selected drawing.

Copy To

Copies the selected drawing into the same or another open project. Select the folder to copy the drawing to, enter a new file name and select the project to save the drawing to. When prompted, specify whether to apply the project default values to the drawing settings (in the WD_M block definition).

Remove

Removes the selected drawing from the current project.

Replace

Replaces the selected drawing with one that you select from a file selection dialog box.

Rename

Renames the selected drawing directly in the drawing list.

Drawing Properties

Assigns, edits, and removes section and subsection coding for a drawing. Assigns drawing descriptions to the drawing files.

Apply Project Defaults

Applies project settings to new drawing files where the project default settings for the drawing(s) were not applied at creation time.

Copy

Copies the drawing settings and options from one drawing to be applied to one or more drawing(s).

NoteDrawing-specific information (found on the Drawing Properties [image] Drawing Settings tab) cannot be copied from one drawing to another.

Paste

Applies the copied drawing settings and options from one drawing to the selected drawing(s).

Settings Compare

Displays differences between all drawing settings and their associated defaults in the project definition file.

Check In

(you must be logged into the vault) Adds a file to the vault and creates a version of the file. For a first time check in of a drawing file, the project definition file is forced to be checked in at the same time since it needs to be vaulted first to establish a location in the Vault database.

Check Out

(you must be logged into the vault) Reserves and locks the master drawing file. Retrieves an updated copy, if necessary. Checks out the drawing files when the project file is under Vault control.

Undo Check Out

(you must be logged into the vault) Removes the reservation/lock from the master drawing file. The master file is now available for others to check out. Any modifications made to the local copy are not checked back into the vault.

Get Latest

(you must be logged into the vault) Retrieves the latest master copy from the vault and copies it into your working folder. Older files are indicated by the status indicator displaying a red background.

NoteTwo projects can reference the same drawing file, however doing so can lead to conflicts if both projects try to modify the same drawing with a project-wide tagging or cross-referencing function.
Details

Switches between displaying drawing previews and drawing descriptions. The drawing details are updated when you highlight a drawing file and remain visible until a new drawing file is selected. Use the up and down arrow keys on your keyboard to switch drawings.

Details | Displays project and drawing detail based on what is highlighted in the Project pane. Information that is listed includes the status, file name, file location, file size, last saved date, and the name of the last user who modified the file.
Preview | Displays the last saved thumbnail view for the highlighted drawing in the drawing list.
Vault Status Icons

(you must be logged into the vault) The Vault Status Icons indicate the status of your local copy of the files as compared against the master copy of those same files in the vault.

The Vault Status indicate when the local copy is in sync with the master and when it is not. The tooltips help guide you to the next logical steps - especially when the local copy is no longer in sync with the master. These icons are crucial to the overall understanding of how to work in a vaulted environment.

Icon | Meaning
 | File is not in the vault.
 | File is in the vault in a checked-in state, and the version you are working on is the same as in the vault. Also referred to as the Latest Version.
 | File is in the vault in a checked-in state, but the version you are working on is newer than the master file in the vault. This typically means that your local file was changed without checking it out. The blank icon indicates that the master file is available for checkout. If you want to save these changes, check out the file, and then select the Don't get local copy option.
 | File is in the vault in a checked-in state, but the version you are working on is older than the latest version in the vault. This typically means that another user made changes since your last update. Use Reload to update to the latest available version.
 | The master file is checked out to you and the version you are working on is the same as in the vault.
 | File is checked out to you, but the version you are working on is newer than the latest version in the vault. This typically means that you made changes to the model since the last time you checked out the file, but have not checked it back in.
 | File is checked out to you, but the version you are working on is older than the master file in the vault. This typically means that you started with a version for the vault that was older than the latest, and checked it out to promote it to the latest.
 | File is checked out to another user, and the version you are working on is the same as in the vault. Also referred to as the Latest Version. This typically happens if the other user did not check changes back into the vault.
 | File is checked out to another user, and the version you are working on is newer than the file in the vault. This typically happens if the user checked in changes to the vault, but kept the file checked out. Use Refresh from Vault to update to the latest available version.
 | File is checked out to another user, but the version you are working on is older than the latest version in the vault, and another user checked out this file. Use Refresh from Vault to update to the latest available version.


Overview of projects (Quick Reference)

Overview of projects
Overview of projects
Overview of projects
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create new project

Defines the minimum requirements to create an AutoCAD Electrical project definition file (WDP), the folder in which the project is maintained, and the settings and options defined within the project.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

Click the New Project button or select New Project from the Project Selection menu.

NoteYou can also create a project by right-clicking at the bottom of the tree inside the Project Manager, and selecting New Project.
Name | Specifies the name for the new project. Enter a name to define any of the project properties. NoteThe .wdp extension is not required in the edit box.
Location | Specifies the location for a project definition file and folder definition. If left blank, the project definition file is created at the WD.ENV project location. Click Browse to pick a folder where the new project file/folder is created. NoteYou cannot have duplicate project names in the same location.
Create Folder with Project Name | Creates a folder with the same name as the project where the drawing files and project definition are stored. The folder is created following the path defined in the project location edit box.
Copy Settings from Project File | Specifies the project settings. You can select a previously defined project setting and apply it to your new project definition file. Click Browse to select a previously defined project definition file to copy over and apply settings to the new project being created.
Descriptions | Specifies the project descriptions. Descriptions can be included in report headers and title blocks
OK-Properties | Creates the project definition file in the specified location before opening the Project Properties dialog box where you can define default settings and options for your project which are saved in the project definition file.


Overview of projects (Quick Reference)

Overview of projects
Overview of projects
About collaborative design
Project Management >
Overview of projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy project: step 1 - select existing project to copy

Ribbon: Project tab [image] Project Tools panel [image] Copy. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Project [image] Copy ProjectDoes not exist in the menus.
Command entry: AECOPYPROJECT
NoteIf the active drawing is one of them to copy to a new project, cancel the dialog box, open a new drawing, and then restart the Copy Project command.
Copy Active Project | Copies the active project.
Browse | Selects another project to copy.


About collaborative design (Concept)

Overview of projects
Project Management
Create a drawing
Project Management >
About collaborative design
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

In a collaborative design environment, several people can work on a project at the same time. The project file (.WDP) lists all the drawings that are part of a project. You can use Autodesk Vault with AutoCAD Electrical for drawing management, version control, and revision labeling.

You must install Autodesk Vault to vault projects. Autodesk Vault prevents engineers from working on the original version of a project in the vault. To maintain the relationship between the drawing files that are defined in the project file, check out all files specified in a project file to modify one or more files. When edits are complete, the project can be checked back into the vault.

AutoCAD Vault ARX adds vaulting functionality to the Project Manager. Upon initial start-up of AutoCAD Electrical, you are not logged into the vault. Log into Autodesk Vault using the File [image] Vault menu to vault projects. The vault commands are available by right-clicking a project or drawing within the AutoCAD Electrical Project Manager. You can use the Project Manager to:

  • Check projects in and out of the vault

    The most basic requirement of the vault is that you never work directly on a file in the vault. The projects in the vault are the Masters and cannot be edited. Check out the project to the working folder on your local drive to edit it. When you finish working on the project, check the project back into the vault.

    TipOther people can view updates you made to a project while you continue modifying the project. Select the Keep Checked Out option on the Check In dialog box. It checks in the updates you made to the project and keeps the project checked out to you.
    NoteYou must have all references of a project file downloaded to your working folder to edit the project file.
  • View the status of files in a design.

    Vault status icons indicate the status of your local copy of the files as compared against the master copy of those same files in the vault. The vault status icons indicate when the local copy is in sync with the master and when it is not. Tooltips provide descriptions of the icons. Pause the cursor over a status icon to see a detailed description. The tooltips also help guide you to the next logical steps, especially when the local copy is no longer in sync with the master. The vault status icons are crucial to the overall understanding of how to work in a vaulted environment.

    NoteThe vault status icons are only available in the list view and only appear when you are logged into the vault.
Key Concepts
  • The master files are stored and maintained in the file store on the Vault server. The vault database is also located on the server. It can be on the same or a different server from where the file store is located. The database maintains the metadata for the files in the file store and the relationships between those files.
  • The vault is referred to as the virtual location of the files. Users do not work directly on the master files. A file must be checked out from the virtual location in the vault to a physical location in the working folder before it can be modified.
  • Each user must have a physical location on their disk mapped to the corresponding vault location. A folder that has been mapped to the root folder ("$") in a vault is called a working folder. Each Vault user can optionally set a local working folder (physical location on disk) for the root of the vault or rely on the default one (C:\My Documents\Vault) provided by Vault. Setting up a working folder creates a user-defined virtual-to-physical mapping that is maintained for as long as the user works with the vault. The working folder can be changed, but the mapping itself cannot be removed.
  • When you check out a project, that project is copied from the virtual location in the vault to the physical location in the working folder. When you are ready to check the project back in, the mapping tells the vault where to check the files in from.
  • Opening a project from the vault checks all files out to the working folder of the Vault user. In addition, you can open a file in a checked-in state as read only.

The essential rules to remember when working with AutoCAD Electrical Vault ARX are:

  • The projects in the vault are the masters.
  • You can check a project or a single drawing out of the vault to modify it.
  • To check out a project for editing, set up a working folder on the disk.

Refer to the Managing Your Data book for more information on AutoCAD Electrical Vault ARX.


About collaborative design (Quick Reference)

Overview of projects
About collaborative design
Create a drawing
Project Management >
About collaborative design
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Project manager

Opens or creates a project of one or more drawings, and configures project-wide settings.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

Lists the drawing files associated with each open project. Add new drawings, reorder drawing files, and change project settings. Right-click the properties icon for options to move, size, close, dock, hide, or set the transparency for the Project Manager.

You can dock the Project Manager into a specific location on the screen or hide it until you want to use the project tools. Right-click the properties icon to display options to move, size, close, dock, hide, or set the transparency for the Project Manager.

NoteYou cannot have two projects open in the Project Manager with the same project name.
Right-click menu

You can right-click in empty space in the Project Manager to display the following options:

New Project | Creates a project. Once created, the new project automatically becomes the active project.
Open Project | Opens a different project from a file selection dialog box. In the Select Project File dialog box, navigate to the project to open and select it.
New Drawing | Creates a drawing file and adds it to the active project. The new drawing displays at the bottom of the project drawing list for the active project.
Project Selection menu

You can default to a predefined directory by adding an entry to your .env file. Exit AutoCAD and open the .env file with any generic text editor (such as Wordpad). Add this line:

WD_PICKPRJDLG, n:/{your directory}/, AutoCAD Electrical default pick proj

Recent | Opens a different project from a list of recent projects or from a file selection dialog box.
New Project | Creates a project. Once created, the new project automatically becomes the active project.
Open Project | Opens a different project from a file selection dialog box. In the Select Project File dialog box, navigate to the project to open and select it.
Open Project from Vault | (you must be logged into the vault) Allows you to browse to the vault to open a project and make it active inside of the Project Manager. In the Select Project dialog box, navigate to the project to open and select it. Click the arrow next to the Open button and select one of the following options: Open (Check Out), Open (Check Out All), or Open Read-only.
Buttons
New Project | Creates a project. Once created, the new project automatically becomes the active project.
New Drawing | Creates a drawing file and adds it to the active project.
Refresh | Refreshes the drawing list inside of the Project Manager. For Vault: Checks for changes in external file references and updates the Vault icons in the Project Manager. Files that have changed and are currently checked out to you are not updated. Files that are checked out to another user are updated to their current version. Files that are checked out to another user are updated to their current version on your local drive. If the Vault version is newer, then the Vault icon indicates that the file needs reloading (the Vault icon turns red).
Project Task List | Performs pending updates on any drawing files inside of the active project that have been modified.
Project-Wide Update/Retag | Updates the related line reference numbers, cross-reference text, device tagging, and signal reference updates on the selected drawing files inside of the active project.
Drawing List Display Configuration | Configures the display options. There are ten values that can be associated with the drawings listed so you can display the information based on your requirements.
Publish/Plot | Batch plots one or more drawings in the active project.
Projects

Displays all the open projects in a list. You can have as many projects open as you need, but only one project can be active at a time. The active project appears in bold text and is always found at the top of the list. Right-click the project name to display the following project editing options:

Descriptions

Edits the existing project descriptions. Displays unlimited lines describing the project. Descriptions can then be included in report headers and title blocks.

Title Block Update

Automates updating title block information for the active drawing or for the entire project drawing set.

Drawing List Report

Generates a report that lists project drawing information from the title blocks such as drawing descriptions, section, and file names.

On the Drawing List Report dialog box, select to run a new report, redisplay the previously run report or select a format .set file to use for the report.

New Drawing

Creates a drawing file and adds it to the active project.

Add Drawings

Adds one or more drawings to the active project. When prompted, specify whether to apply the project default values to the drawing settings (in the WD_M block definition).

Add Active Drawing

Adds an active drawing to the active project. The new drawing appears at the end of the project drawing list. When prompted, specify whether to apply the project default values to the drawing settings (in the WD_M block definition).

Reorder Drawings

Moves drawings up or down in the project's drawing list. The order determines how the drawings are processed for project-wide tagging and cross-referencing operations.

Remove Drawings

Removes one or more drawings from the current project.

NoteThe drawing file is not deleted, just the reference to the drawing.

Task List

Performs pending updates on any drawing files inside of the active project that have been modified.

Publish

Launches dialog boxes to plot the project, publish to the Web, publish to DWF, or create a zip file of the project.

Settings

Displays the project's settings and information about the AutoCAD Electrical environment.

Exception List

Displays a list of drawing file(s) that have different settings from the project definition file (.WDP). If all drawing files match the .wdp, the dialog box indicates that there are no exceptions. You can then use the Settings Compare tool to display the differences.

Properties

Controls project-wide settings including tagging, component cross-referencing options, and catalog lookup file preferences.

Activate

Makes an open project the active project in the AutoCAD Electrical session. This also sends the project list to the top of the dialog box.

Close

Closes an open project.

NoteYou cannot close the active project; you must first activate another project in the list.

Vault

You must be logged into the vault to see this menu in the Project Manager. The status of the selected object determines which vault commands are available for selection.

Check In All

Adds the project definition file (.wdp) along with its drawing files to the vault. You can vault just the project file using the Project Check In command or you can vault the project file along with its drawing files using the project Check In All command.

Note Files used to support the project (such as .wdl and .wdt) appear in the Vault Check In All dialog box if they share the same file name as the project.

Check Out All

Reserves and locks the project definition file along with the associated drawing files listed in the Project Manager. If the project definition file is unavailable for checkout, you can still check out the drawings available for editing.

Check In

Adds the project definition file to the vault and creates a version of the file. Use this if you want to check in only the project definition file and none of its drawing file dependencies; otherwise use Check In All.

Note Files used to support the project (such as .wdl and .wdt) appear in the Vault Check In dialog box if they share the same file name as the project.

Check Out

Reserves and locks the master project definition file. Retrieves an updated copy, if necessary. Use this if you want to check out only the project definition file and none of its drawing file dependencies; otherwise use Check Out All.

Undo Check Out/Undo Check Out All

Removes the reservation/lock from the master project definition file. The master file is now available for others to check out. Any modifications made to the local copy are not checked back into the vault.

Undo Check Out All removes the lock from all of the checked out drawing files and project definition file listed inside of the Project Manager for the selected project.

Get Latest/Get Latest All

Retrieves the latest master copy from the vault and copies it into your working folder. Older files are indicated by the status indicator displaying a red background.

Project Drawing List

Displays the drawings associated with a project. You can select multiple drawings from the project list to open, close, remove, apply project defaults, or paste properties all at once. You cannot select multiple drawings from two or more projects.

The active drawing appears in bold text in the list. By default, the selected drawing highlights in the project drawing list regardless if the Project Manager is active or not. You can turn this off by clicking the Drawing List Display Configuration button and selecting Show selection highlight only when active.

Indicates that the file is a drawing file.

Indicates that a drawing file is a reference drawing. To make a drawing a reference drawing, right-click on the drawing name and select Properties [image] Drawing Properties.

Right-click the drawing name to display the following drawing editing options:

Open

Opens the selected drawing in a new window. You can also double-click a drawing name or select a drawing name and press Enter to open the drawing.

Close

Closes the selected drawing.

Copy To

Copies the selected drawing into the same or another open project. Select the folder to copy the drawing to, enter a new file name and select the project to save the drawing to. When prompted, specify whether to apply the project default values to the drawing settings (in the WD_M block definition).

Remove

Removes the selected drawing from the current project.

Replace

Replaces the selected drawing with one that you select from a file selection dialog box.

Rename

Renames the selected drawing directly in the drawing list.

Drawing Properties

Assigns, edits, and removes section and subsection coding for a drawing. Assigns drawing descriptions to the drawing files.

Apply Project Defaults

Applies project settings to new drawing files where the project default settings for the drawing(s) were not applied at creation time.

Copy

Copies the drawing settings and options from one drawing to be applied to one or more drawing(s).

NoteDrawing-specific information (found on the Drawing Properties [image] Drawing Settings tab) cannot be copied from one drawing to another.

Paste

Applies the copied drawing settings and options from one drawing to the selected drawing(s).

Settings Compare

Displays differences between all drawing settings and their associated defaults in the project definition file.

Check In

(you must be logged into the vault) Adds a file to the vault and creates a version of the file. For a first time check in of a drawing file, the project definition file is forced to be checked in at the same time since it needs to be vaulted first to establish a location in the Vault database.

Check Out

(you must be logged into the vault) Reserves and locks the master drawing file. Retrieves an updated copy, if necessary. Checks out the drawing files when the project file is under Vault control.

Undo Check Out

(you must be logged into the vault) Removes the reservation/lock from the master drawing file. The master file is now available for others to check out. Any modifications made to the local copy are not checked back into the vault.

Get Latest

(you must be logged into the vault) Retrieves the latest master copy from the vault and copies it into your working folder. Older files are indicated by the status indicator displaying a red background.

NoteTwo projects can reference the same drawing file, however doing so can lead to conflicts if both projects try to modify the same drawing with a project-wide tagging or cross-referencing function.
Details

Switches between displaying drawing previews and drawing descriptions. The drawing details are updated when you highlight a drawing file and remain visible until a new drawing file is selected. Use the up and down arrow keys on your keyboard to switch drawings.

Details | Displays project and drawing detail based on what is highlighted in the Project pane. Information that is listed includes the status, file name, file location, file size, last saved date, and the name of the last user who modified the file.
Preview | Displays the last saved thumbnail view for the highlighted drawing in the drawing list.
Vault Status Icons

(you must be logged into the vault) The Vault Status Icons indicate the status of your local copy of the files as compared against the master copy of those same files in the vault.

The Vault Status indicate when the local copy is in sync with the master and when it is not. The tooltips help guide you to the next logical steps - especially when the local copy is no longer in sync with the master. These icons are crucial to the overall understanding of how to work in a vaulted environment.

Icon | Meaning
 | File is not in the vault.
 | File is in the vault in a checked-in state, and the version you are working on is the same as in the vault. Also referred to as the Latest Version.
 | File is in the vault in a checked-in state, but the version you are working on is newer than the master file in the vault. This typically means that your local file was changed without checking it out. The blank icon indicates that the master file is available for checkout. If you want to save these changes, check out the file, and then select the Don't get local copy option.
 | File is in the vault in a checked-in state, but the version you are working on is older than the latest version in the vault. This typically means that another user made changes since your last update. Use Reload to update to the latest available version.
 | The master file is checked out to you and the version you are working on is the same as in the vault.
 | File is checked out to you, but the version you are working on is newer than the latest version in the vault. This typically means that you made changes to the model since the last time you checked out the file, but have not checked it back in.
 | File is checked out to you, but the version you are working on is older than the master file in the vault. This typically means that you started with a version for the vault that was older than the latest, and checked it out to promote it to the latest.
 | File is checked out to another user, and the version you are working on is the same as in the vault. Also referred to as the Latest Version. This typically happens if the other user did not check changes back into the vault.
 | File is checked out to another user, and the version you are working on is newer than the file in the vault. This typically happens if the user checked in changes to the vault, but kept the file checked out. Use Refresh from Vault to update to the latest available version.
 | File is checked out to another user, but the version you are working on is older than the latest version in the vault, and another user checked out this file. Use Refresh from Vault to update to the latest available version.


Create a drawing (Procedure)

Overview of projects
Create a drawing
Change drawing display options
Project Management >
Create a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Create a drawing

Use the Project Manager to create a drawing.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, click the New Drawing tool.
    NoteYou can also create a drawing by right-clicking at the bottom of the tree inside the Project Manager and selecting New Drawing or by right-clicking on the active project name and selecting New Drawing.
  3. In the Create New Drawing dialog box, enter the name for the new drawing. The .dwg extension is automatically added to the file name.
  4. Specify the template drawing to use for the creation of the drawing file. If left blank, the default ACAD.DWT file is used. Click Browse to select a template drawing or enter the path and name of a template in the box.
  5. Select or create the directory where you want to save the drawing.
  6. (Optional) Enter descriptions for the drawing. You can enter up to three description lines for the drawing file. The description displays in title block updates, custom drawing properties, and drawing list reports. Select from a list of predefined descriptions from the active project by clicking the arrow.
  7. (Optional) Specify the IEC default values for the project, installation, and location fields.
  8. (Optional) Specify the sheet and drawing number value for the WD_M block definition. Additionally, you can specify the values to use for a section or subsection.
  9. (Optional) Click OK-Properties to define settings and options for your drawing. Changes you make through the Drawing Properties dialog box are saved as attribute values on the invisible WD_M block of the drawing.
  10. Click OK.


Create a drawing (Quick Reference)

About collaborative design
Create a drawing
Change drawing display options
Project Management >
Create a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Create new drawing

Creates a drawing file to add to the active project.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

On the Project Manager, click the New Drawing button.

NoteYou can also create a drawing by right-clicking at the bottom of the tree inside the Project Manager and selecting New Drawing or by right-clicking on the active project name and selecting New Drawing.
Drawing File

Name

Specifies the file name for the new drawing. Enter a file name to define any of the drawing properties or to create a drawing.

NoteThe .dwg extension is not required in the edit box.

Template

Specifies the path and filename for an AutoCAD Electrical template drawing (.dwt) to use for the creation of a new drawing file. If left blank, the default ACAD.DWT file is used. Click Browse to select a template drawing or type in the path and name of a template.

NoteThe previously used drawing template is retained in the dialog box.

For Reference Only

Indicates that the drawing should not be included in tagging, cross-referencing, and reporting functions. If selected, the drawing is included in project-wide plotting and title block operations.

Location

Specifies the location for a drawing file. You can override the default location for the drawing file and create additional folders. If left blank, the drawing file is created at the same location as the definition file of the active project. Click Browse to pick a folder where the new drawing is created.

NoteYou cannot have duplicate drawings in the same location.

Description 1-3

Specifies up to three lines of description text for the drawing file. The description displays in title block updates and custom drawing properties. Select from a list of predefined descriptions from the active project by clicking the arrow.

NoteDrawing descriptions are disabled when you are modifying the properties of a drawing that is not in a project or if the project file is unavailable for edit.
IEC-Style Designators

Specifies IEC default values for the drawing, such as Project (%P), Installation (%I), and Location (%L) fields. When you insert a component, the %I and %L default values are used if the Installation and/or Location values would normally be blank.

Project Code | Specifies a project code for the drawing settings on all WD_M blocks. This value can be used as the replaceable parameter %P.
Installation Code | Specifies the Installation code for the WD_M block definition. This value can be used as the replaceable parameter %I.
Location Code | Specifies the Location code for the WD_M block definition. This value can be used as the replaceable parameter %L.
Drawing | Displays a list of Installation or Location codes to select from the active drawing.
Project | Displays a list of previously defined Installation or Location codes to select from the active project or from the Default.INST or Default.LOC file.
Sheet Values

Component, wire, and cross-reference tagging use replaceable parameters in their format. If you reference the sheet number or drawing number in any of your tagging formats, then specify a default drawing-wide value to use.

Sheet | Specifies the sheet number value for the drawing settings. This value can be used as the replaceable parameter %S.
Drawing | Specifies the drawing number value for the drawing settings. This value can be used as the replaceable parameter %D.
Section | Specifies the section value for the drawing file saved in the project definition file (.wdp). This value can be used as the replaceable parameter %A.
Sub-Section | Specifies the subsection value for the drawing file saved in the project definition file (.wdp). This value can be used as the replaceable parameter %B.
OK-Properties

Creates the drawing file in the specified location before opening the Drawing Properties dialog box where you can define settings and options for your drawing. Changes you make through this dialog box are saved as attribute values on the invisible WD_M block of the drawing. If your current drawing does not have this required block present when any AutoCAD Electrical schematic command is invoked, AutoCAD Electrical automatically inserts this block at 0,0.


Change drawing display options (Procedure)

Create a drawing
Change drawing display options
Archive a project
Project Management >
Change drawing display options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change drawing display options

You can use the Drawing List Display Configuration tool to change the way your drawings are listed in the Project Manager. By default drawings are identified by the drawing file name in the Project Drawing List.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. On the Project Manager, click the Drawing List Display Configuration tool.
  3. Determine which display options to show in the drawing list. Options include:
    • Installation Code (%I)
    • Location Code (%L)
    • Section
    • Sub Section
    • Sheet Number (%S)
    • Drawing Number (%D)
    • Drawing Description 1-3
    • File Name
  4. Select the display option from the Display Options list and click the >> button or add all of the options by clicking the All >> button.

    The display option you selected moves to the Current Display Order list. To rearrange this list, select an option and click Move Up or Move Down. To remove an option from the list, select the option and click the << button.

  5. (Optional) Change the character to use between the values in the listing. The default separator value is a dash (-).
  6. (Optional) Change the way the selection highlights in the listing depending on whether the Project Manager is active or not. By default the drawing file you select in the drawing list is highlighted at all times; you can select to highlight your selection only when the Project Manager drawing list is active.
  7. Click OK.

    The Project Drawing List automatically updates in the Project Manager.

Drawing List Display Example

In this example, Sheet Number (%S) and Drawing Description 1 were selected as the display options and the separator value is a dash.

Drawing List Before | Drawing List After
demo01.dwg demo02.dwg demo03.dwg | 1 - Flow and Interconnection diagram, I/O list 2 - 3-phase motor control, Control circuit 3 - Power supplies, I/O module feeds


Change drawing display options (Quick Reference)

Create a drawing
Change drawing display options
Archive a project
Project Management >
Change drawing display options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Drawing list display configuration

Configures the display options. There are ten values that can be associated with a drawing listed. You can display the information based on your requirements.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

On the Project Manager, click the Drawing List Display Configuration tool.

Display Options | Lists the values that you can associate to a drawing.
Arrow keys | Moves the selected display option into or from the Current Display Order. To add an option to the list, select the display option from the Display Options list and click the >> button or add all of the options by clicking the All >> button. To remove an option from the list, select the option and click the << button.
Current Display Order | Lists the values to display in the listing. You must have one entry specified.
Separator Value | Specifies which character to use between the values in the listing. Type the character in the input box or use the default (-).
Always show selection highlight/Show selection highlight only when active | Changes the way the selection highlights in the listing depending on whether the Project Manager is active or not. By default the drawing file you select in the drawing list is highlighted at all times; you can select to only highlight your selection when the Project Manager drawing list is active.
Move Up | Moves the selected display option up one spot in the Current Display Order list.
Move Down | Moves the selected display option down one spot in the Current Display Order list.


Overview of project-related files

Change drawing display options
Project Management
Overview of the project file format
Project Management >
Overview of project-related files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

There are some optional project-related files that AutoCAD Electrical supports. These files provide various functions such as keeping a project consistent, helping update custom title blocks across a project, or providing custom settings for various tools such as the PLC I/O module insertion tool.

Optional AutoCAD Electrical project-related files include:

Catalog lookup

Database for choosing catalog part number assignments. It is also referenced when automatically generating various bill of materials reports.

It is an Access-format MDB file that is named <project>_cat.mdb (project-specific version of a catalog lookup file) or DEFAULT_CAT.MDB (default catalog lookup file). If the project-specific .mdb file is used, it needs to be in the same folder where the <project>.wdp file is located. If a project-specific version is not found, then the DEFAULT_CAT.MDB is searched for in the same folder as the active project file, and then in the paths defined in subdirectory search sequence "C" below.

Description defaults

Lists various standard component description selections, accessible by clicking Defaults on the Insert/Edit Component and Panel Layout - Component Insert/Edit dialog boxes.

This file can be a family-specific ASCII text file with a .wdd extension (for example, "PB.WDD" for family “PB” push buttons). If the family-specific file is not found, then it searches for a file with the same path and name as the active project with a .wdd extension (<project>.wdd). If neither a family-specific or project-specific file is found, it defaults to searching for a general description file WD_DESC.WDD in the various AutoCAD Electrical search paths and AutoCAD support paths (subdirectory search sequence “A” below). If none are found, it prompts for browsing to a .wdd description file.

When you click Defaults on the Insert/Edit Component or Panel Layout - Component Insert/Edit dialog box the contents of the ASCII text file display in a dialog box where you can select a line of text to use as the description text. The selected text, up to a “;” comment delimiter if any, then displays in the description edit box on the Insert/Edit dialog box. If the selected text has one or more “|” characters, it is interpreted as having line breaks so the 2nd and 3rd description lines fill in as well.

External component

Component tagging pick list data carried in an external text file, accessed when you click External List on the Insert/Edit dialog box for schematic or panel layouts. The data in this file can be comma-delimited or space-delimited and can be in any order. When accessed, the contents of the file display in a dialog box so you can select a line of data. It is broken down and displays in a dialog box for mapping to various attributes carried by the schematic component or panel footprint symbol being edited.

The elements in the selected line of file data can be mapped to the edited schematic or footprint symbol's attributes such as tag, description, location, and catalog part number.

This text file can have a .txt, .csv or .wdx extension. If you do not browse to and select a specific file, AutoCAD Electrical searches for a file with the same path and name as the project’s .wdp file but with a .wdx extension. On subsequent command invocations, AutoCAD Electrical defaults to the previously selected file name.

Family tag code map

Overrides the family tag code of the library symbols by mapping the codes to new values. The tag code of a symbol is used in generating the tag-ID of inserted components, like the "PB" of tag-ID "PB101" or the "K" of tag-ID "-K25."

The file WD_FAM.DAT is searched for in the subdirectory search sequence "A" below. This is an ASCII text file in the format of <old>, <new>. For example, the default family tag code for a JIC library pilot light is “LT” and generates tags such as “LT101.” To override this tag code and substitute a family code of “LITE” without editing the library symbols, add this line to the wd_fam.dat: “LT, LITE.”

Footprint lookup

Database for graphical footprint assignments based on the catalog part number assignments.

A file with the same path and name as the project but with a “_FOOTPRINT_LOOKUP.MDB” suffix and extension is searched for first. If the file is not found, then the default FOOTPRINT_LOOKUP.MDB file is searched for in the same directory as the project file and then in the subdirectory search sequence "B" below.

Schematic lookup

Database for schematic components inserted from panel footprints.

A file with the same path and name as the project but with a “_SCHEMATIC_LOOKUP.MDB” suffix and extension is searched for first. If the file is not found, then the default SCHEMATIC_LOOKUP.MDB file is searched for in the same directory as the project file and then in the subdirectory search sequence "B" below.

Installation codes

Lists the default installation codes for selections found in the Insert/Edit Component and Panel Layout - Component Insert/Edit dialog boxes (select Include external list from the installation's Project list subdialog box).

A file with the same path and name as the project with an .inst extension is searched for first. If the file is not found, then the DEFAULT.INST file is searched for in the same directory as the project file and then in the subdirectory search sequence "A" below.

Location codes

Lists the default location codes for selections found in the Insert/Edit Component and Panel Layout - Component Insert/Edit dialog boxes (select Include external list from the location's Project list subdialog box).

A file with the same path and name as the project with a .loc extension is searched for first. If the file is not found, then the DEFAULT.LOC file is searched for in the same directory as the project file and then in the subdirectory search sequence "A" below.

Group codes

Lists the default group codes for selections found in the Panel Layout - Component Insert/Edit dialog box (select Include external list from the location's Project list subdialog box).

A file with the same path and name as the project with a .grp extension is searched for first. If the file is not found, then the DEFAULT.GRP file is searched for in the same directory as the project file and then in the subdirectory search sequence "A" below.

Mount codes

Lists the default mount codes for selections found in the Panel Layout - Component Insert/Edit dialog boxes (select Include external list from the location's Project list subdialog box).

A file with the same path and name as the project with a .mnt extension is searched for first. If the file is not found, then the DEFAULT.MNT file is searched for in the same directory as the project file and then in the subdirectory search sequence "A" below.

Project labels

Customizes the generic LINEx labels in the various title block and project information dialog boxes.

A file with the same path and name as the project with a .wdl extension is searched for first. If the file is not found, then the DEFAULT_WDTITLE.WDL file is searched for in the same directory as the project file and then in the subdirectory search sequence "A" below.

Rating defaults

Lists the default rating values found in the Insert/Edit Component and Panel Layout - Component Insert/Edit dialog boxes. The contents of this ASCII text file display in a dialog box. The "|" character can be used to delimit consecutive RATINGx value assignments. For example, picking an entry "30A|60A" would put "30A" into the first RATINGx attribute and "60A" into the RATING(x+1) attribute.

A file with the same path and name as the project but with a .wdr extension is searched for first. If the file is not found, then the default WD_RATINGS.WDR file is searched for in the subdirectory search sequence "A" below. Alternately, a family-specific file can be accessed (for example, PS.WDR for pressure switches).

Real time error checking

The .wdn file is a text file used specifically for auditing. Terminal numbers listed in the .wdn file are not checked for terminal number duplication. You can use wildcards to exclude a range of terminals for duplication checking such as all terminals with a tag name starting with "T" and with terminal number "1." AutoCAD Electrical searches for the <project_name>.wdn file in the same folder as the project definition file (.wdp). If <project_name>.wdn is not found, AutoCAD Electrical looks for the DEFAULT.WDN file in the project folder:

Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Proj\

Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Proj

The default .wdn file contains the terminal number filers GND, PE, and E. They are ignored when checking for duplication and are not listed in the Electrical Audit report. Edit this file with an ASCII text editor, such as WordPad.

RSLogix import

Defines the optional mapping of RSLogix codes to AutoCAD Electrical symbol block names for an RSLogix file import.

A file with the same path and name as the project but with a .wdf extension is searched for first. If the file is not found, then the file DEFAULT_RSLOGIX.WDF file is searched for in the subdirectory search sequence "A" below and, if not found, file _DEFAULT_RSLOGIX.WDF is then searched for.

Spreadsheet to PLC tool

Defines the settings for the AutoCAD Electrical Spreadsheet to PLC I/O Utility.

You are prompted to browse to a file with a .wdi extension. The default settings file is DEMOPLC.WDI.

Title block

The attribute name mapping support file for the AutoCAD Electrical title block update tool.

A file with the same path and name as the project but with a .wdt extension is searched for first. If the file is not found, then the DEFAULT.WDT file is searched for in the same directory as the project file. If the file is not found, then the file is searched for in the subdirectory search sequence "A" below.

User defined attributes

An attribute text file of user-defined attributes defined on AutoCAD Electrical blocks. The User Defined Attribute List is used by report tools to determine which additional attributes are listed in a report. The list file name can be the same as the active project or named Default to be used by the entire system. The DEFAULT.WDA file is saved in the base project folder, while the <project_name>.wda file is saved in the same folder as the project definition file (.wdp).

Wire color and gauge labels

Maps color and gauge wire descriptions based on wire layers.

A file with the same path and name as the project but with a .wdw extension is searched for first. If the file is not found, then the DEFAULT.WDW file is searched for in the same directory as the project file. If the file is not found, then the file is searched for in the subdirectory search sequence "A" below.

Subdirectory search sequence "A"
  1. Full path (if full path name given)
  2. User subdirectory

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

  3. Active project's .wdp file subdirectory
  4. AutoCAD Electrical support

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\AeData\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\AeData\

  5. AutoCAD Electrical support

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

  6. AutoCAD Electrical support (C:\Program Files [(x86)]\Autodesk\Acade {version}\Support\)
  7. AutoCAD Electrical support (C:\Program Files [(x86)]\Autodesk\Acade {version}\)
  8. All paths defined under AutoCAD Options [image] Files [image] Support Files Search Path
Subdirectory search sequence "B"
  1. Full path (if full path name given)
  2. User subdirectory

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

  3. Catalog lookup subdirectory

    Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs\

    Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs\

  4. Panel footprint library base subdirectory

    Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\panel\

    Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs\panel\

  5. AutoCAD Electrical support

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\AeData\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\AeData\

  6. AutoCAD Electrical support

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

  7. AutoCAD Electrical support (C:\Program Files [(x86)]\Autodesk\Acade {version}\Support\)
  8. AutoCAD Electrical support (C:\Program Files [(x86)]\Autodesk\Acade {version}\)
  9. All paths defined under AutoCAD Options [image] Files [image] Support Files Search Path
Subdirectory search sequence "C"
  1. Full path (if full path name given)
  2. User subdirectory

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

  3. Catalog lookup subdirectory

    Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs\

    Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs\

  4. AutoCAD Electrical support

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\AeData\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\AeData\

  5. AutoCAD Electrical support

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

  6. AutoCAD Electrical support (C:\Program Files [(x86)]\Autodesk\Acade {version}\Support\)
  7. AutoCAD Electrical support (C:\Program Files [(x86)]\Autodesk\Acade {version}\)
  8. All paths defined under AutoCAD Options [image] Files [image] Support Files Search Path
NoteIf the environment file (wd.env) has setting WD_ACADPATHFIRST uncommented and set to 1, then the last search item, the Options paths, are searched between steps 1 and 2 above instead of at the very end.
NoteIf the environment file (wd.env) has setting WD_SUP_ALT uncommented and set to a valid subdirectory path, then it is inserted into the search sequence just after User.


Overview of the project file format

Overview of project-related files
Project Management
Archive a project
Project Management >
Overview of the project file format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A “.wdp" project file is a text file that lists the drawing files to treat as a multi-drawing wiring diagram. AutoCAD Electrical manages this file automatically. Here is a general breakdown of the .wdp file format:

Project description

All lines of text marked with "*[n]" in columns 1-4 followed by the line of project data (n=1 to xxx)

Project default settings

Entries marked with "?[n]" in columns 1-4. Many of these values are mirrored on attributes carried by the invisible WD_M block of each drawing.

This current project "copy" of the drawing properties settings can migrate to each new AutoCAD Electrical drawing. It overwrites the defaults carried on the WD_M.dwg library symbol as it inserts. The WD_M block alert box displays for permission to insert into a new or non-AutoCAD Electrical drawing. The check box controls the drawing settings:

  • OFF - the settings of the drawing are the defaults carried on the WD_M.dwg library symbol.
  • ON - the settings of the drawing are set to match the "?[n]" settings listed in the .wdp file of the current project.

For example, you have an active project that is set up for a one-of-a-kind wire tagging format that is different from all your other projects. It is also different from the default carried on the WD_M.dwg block insert of the symbol library. When you start a new drawing for the project, check this switch on. The special settings of your active project update the values on the inserted WD_M block insert and cause it to match the special settings of the project. It eliminates the need to go back into the properties of a new drawing and adjust the wire tagging format setting to match the project.

Default schematic library path

Marked with "+[1]" in columns 1-4 followed by path or semicolon delimited paths. If multiple paths, the search for a given library symbol file name includes the sequence of the paths listed here in the order given.

Schematic icon menu file

Marked with "+[2]" in columns 1-4 followed by file. It can be a full path or just the icon menu file name itself (such as ACE_JIC_MENU.DAT or ACE_IEC_MENU.DAT).

Default panel library path

Marked with "+[3]" in columns 1-4 followed by base panel library path or semicolon delimited base paths. If multiple paths, the search for a given footprint library symbol includes the sequence of paths listed here in the order given.

Panel icon menu file

Marked with "+[4]" in columns 1-4 followed by file. It can be a full path or just the icon menu file name itself (such as ACE_PANEL_MENU.DAT).

Cross-Reference Options

Marked with "+[5]" followed by 1’s bit set = automatic/real-time cross-referencing mode is “on”, 2’s bit set = peer to peer cross-referencing mode is “on”, 4’s bit set = Suppress Installation/Location codes when match the drawing defaults mode is “on”. 0 or entry omitted = all options are off.

Use MISC_CAT table

Marked with "+[6]" followed by 1=always use MISC_CAT for catalog lookup, 2= use MISC_CAT if component-specific table not found, 0 or entry omitted = use component-specific only.

LINEx entries for reports

Marked with "+[9]" followed by comma-delimited list. Gives a list of project properties [image] description entries that are included as a header for generated reports.

Combined Installation/Location/Tag

Marked with "+[10]" followed by 0= Combined Installation/Location component tag mode is “off”, 1= mode is “on”, 3= mode is “on” and include Installation/Location as a tag prefix.

DESC case mode

Marked with "+[11]" followed by 0= allow entered DESC1-DESC3 to be upper/lower case, missing or 1= force all entered DESC1-DESC3 values to uppercase.

Wire network mode

Marked with "+[13]" followed by 0 or missing= wire tagging normal mode (wires combined into one wire number assignment), 1=per wire basis mode (each connected wire gets its own wire number assignment).

IEC style Installation/Location tag

Marked with "+[14]" followed by 0 or missing= add prefix to TAG when output to reports, 1=suppress adding the prefix to TAG for reports, 3=suppress Installation/Location tag prefix when match drawing-wide Installation/Location default values for reports. This option is only used when +[10] above is set to 1 or 3.

Auto-fill Installation/Location

Marked with "+[15]" followed by 1= component insert to auto-fill Installation/Location attributes with drawing defaults, 0 or missing= normal mode (do not auto-fill attribute values).

Schematic- [image] Panel wire format

Marked with "+[16]" for the format that is to deal with wire connection entries when there is no existing terminal pin number text on the panel wiring diagram device footprint, meaning annotation ends up formatted into an Mtext entity, and "+[17]" for format of data written onto target TERMxx/WIRENOxx attributes carried on the panel wiring diagram device footprint.

Auto-hide wire number

Marked with "+[18]" followed by 1= auto-hide a wire number on a wire network when a wire number terminal is present on the network (so that the same wire number does not display twice on the single wire network), 0= normal mode (do not hide any wire number text).

Wire number offset

Marked with "+[19]" followed by wire number offset value, 0 or blank or missing= normal centering of wire numbers on the wire segment, value= offset from left or upper end of wire segment.

Alternate WD.ENV

Marked with "+[20]" followed by the file name. If this alternative .env file does not exist or cannot be found, the default wd.env file is used.

Wire number by layer

Marked with "+[21]" followed by 0= wire number by layer mode is “off”, 1= mode is “on”, and "+[22]" holds the layer setup. Format of layer setup is semicolon delimited in repeating groups of four elements per layer definition. <layer name>;<tag format>;<starting wire number>;<suffix list>;...

Alternate catalog lookup

Marked with "+[23]" followed by 0= alternate catalog file not defined, 1=defined and "+[24]" holds the alternate catalog lookup file name.

Exclude wire number range

Marked with "+[27]" followed by the wire number ranges to exclude for sequential wire numbering. (blank or missing= no wire numbers excluded) For example, “100-199,500-699.”

Wire number terminal override

Marked with "+[29]" followed by 0= normal wire numbering mode or 1=calculate reference-based wire number based on the location not the first terminal in the wire network (or revert to normal wire numbering mode if no terminal in the network).

Calculation of the "CLEN" column

Marked with "+[30]" and set as a global variable (default is 0.0) to aid in the calculation of the "CLEN" column (calculated wire length) in a from/to report that is able to map schematic wire connections to panel physical layouts. This value is the extra amount to add to each end of a calculated wire segment for connection purposes.

Tag/Wire number order

Marked with "+[31]" and set in the Project Properties dialog box. The value can be blank (no sort order override) or 0-7 for the various horizontal/vertical sort orders listed in the dialog box.

Real-time error checking

Marked with "+[32]" followed by 0= real-time error checking mode is “off”, 1= mode is “on.”

Grid column headers

Marked with "+[33]" to indicate a string of column names used in grid column headers in the Wire Type commands.

Suppress dash

Marked with "+[34]" to suppress the dash (-) if it is the first character of a tag when the Combined installation/location component tag mode is “on.” See the [+10} entry.

Panel wire annotation delimiter

Marked with "+[35]" to indicate the delimiter character used to separate multiple panel wire annotation values for the same wire connection.

Item number mode

Marked with "+[36]" followed by 1= item assignments per drawing, 0 or missing= item assignments project wide.

Item assignment

Marked with "+[37]" followed by 1= allow item assignment for each part number, 0 or missing= allow item assignment for component only.

Electrical code standard

Marked with "+[38]" followed by the three character suffix which defines the Electrical Code Standard used by Circuit Builder when searching for a specific table in ace_electrical_standards.mdb.

Circuit Builder searches for a table using the following sequence:

  1. Tables with the three character Electrical code standard suffix.
  2. Tables without a suffix.
  3. Tables with an “NEC” suffix.

Project drawing list

All remaining entries give the relative path (relative to the location of the .wdp file of the project) to each drawing that is part of the project. The drawing name is given first. Then, if special assignments or descriptions are defined for the drawing, this information follows the drawing name in subsequent lines. Each line is prefixed with a code. If special "sec/sub" groupings are defined, then a drawing's "sec" is preceded by a "=" entry and "sub" by a "==" entry. If one to three lines of description are defined, each is preceded by a "===" entry. If a drawing is marked "Ref only", it is preceded by a "====REF" entry.

NoteThe following options are no longer valid since they are now drawing settings: Cross-reference fill format (+[7]), Cross-reference text between (+[8]) and Cross-reference order (+[28]). Additionally Project scratch database (+[12]) was replaced by the PDS.


Archive a project (Concept)

Overview of the project file format
Project Management
Delete a project
Project Management >
Archive a project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The zip utility creates a zip file of the current project's .wdp file and one or more drawing files it references. The zip file can optionally include a copy of the temporary database file of the project to eliminate the need to rebuild the database when the project is unzipped at a later date.

For the zip utility to function, a zip application must be installed on the system running AutoCAD Electrical.

Initial Configuration

  1. Edit the .env file to point to the zip utility.
  2. Create an entry for the utility labeled WD_ZIP followed by a comma and then the full path name to the executable zip program. For example, WD_ZIP,c:\Program Files [(x86)]\winzip\winzip32.exe.
    NoteAll drawings to be included in the zipped file must be closed before running the zip utility.

This utility can also be accessed from within some AutoCAD Electrical routines that access and modify multiple drawings.


Archive a drawing set (Procedure)

Change drawing display options
Archive a project
Delete a project
Project Management >
Archive a project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Archive a drawing set

  1. Click Project tab [image] Project Tools panel [image] Zip. Enter AEZIPPROJECT at the command prompt.
  2. Select the drawings to process and click OK.
  3. In the AutoCAD Electrical Project Zip dialog box, enter the zip name of the file to create or update.
  4. Indicate whether to include the project database.
  5. Click OK.

This utility can also be accessed from within some AutoCAD Electrical routines that access and modify multiple drawings.


Archive a project (Quick Reference)

Change drawing display options
Archive a project
IEC tag mode update
Project Management >
Archive a project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project zip

Zips the drawing list in the current project with your zipping program.

Ribbon: Project tab [image] Project Tools panel [image] Zip. Does not exist on the ribbon.
Menu: Projects [image] Zip ProjectDoes not exist in the menus.
Command entry: AEZIPPROJECT

Select the projects to zip and click OK.

Additionally, the utility can be accessed from within some AutoCAD Electrical routines that access and modify multiple drawings.

Your zip program may generate an error message if the active drawing is one of the drawings to zip.

Enter zip file name to create/update | Lists the name and location for the zip file to create. If you want to update a file, browse to the zip file.
Include project database file | Specifies to include the project database file (.mdb) in the zip file.


Delete a project (Concept)

Archive a project
Project Management
Work with Multiple Clients
Project Management >
Delete a project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Deleting a project and any of the drawings is permanent and cannot be undone. Select to delete:

  • Project definition file, .wdp
  • All project drawings
  • Specific drawings from a list of project drawings


Deleting a project (Procedure)

Archive a project
Delete a project
Work with Multiple Clients
Project Management >
Delete a project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Deleting a project

Deletes a project and provides the option to also delete the drawing files in the project.

  1. Click Project tab [image] Project Tools panel [image] Delete. Enter AEDELETEPROJECT at the command prompt.
  2. Find and select the .wdp project definition file.
  3. Click Open.
  4. Select from the available options:
    • Delete “wdp” project list file - deletes the selected .wdp file.
    • Delete project’s AutoCAD drawing files - deletes all files listed in the project definition file unless the List option is used.
    • List - select specific drawings to delete from the project drawing list. Only available if the drawing files option is selected.


Work with Multiple Clients

Delete a project
Project Management
Overview of setup for multiple clients
Project Management >
Work with Multiple Clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of setup for multiple clients


Work with Multiple Clients (Procedure)

Delete a project
Work with Multiple Clients
Overview of setup for multiple clients
Project Management >
Work with Multiple Clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Set up title block mapping files for clients

Customize labels for title blocks

Specify client-specific library symbols

Start a project for a client


Overview of setup for multiple clients (Concept)

Work with Multiple Clients
Work with Multiple Clients
Drawing List Report
Project Management > Work with Multiple Clients >
Overview of setup for multiple clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

You can set up AutoCAD Electrical to deal with multiple clients, each with its own title block and library requirements. Client-specific drawing borders, title blocks, parts libraries, and part number lookup files can be set up to be automatically selected by AutoCAD Electrical when working on the project of a specific client.

Client subdirectory structure

Set up a subdirectory structure where each client is assigned their own subdirectory. For example, it might look like the following example:

n:\campbell.nap\

n:\j-m\

n:\jeep_toledo\


Overview of setup for multiple clients (Procedure)

Work with Multiple Clients
Up a level to ..
Overview of setup for multiple clients
Project Management > Work with Multiple Clients >
Overview of setup for multiple clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Set up title block mapping files for clients

Customize labels for title blocks

Specify client-specific library symbols

Start a project for a client


Set up title block mapping files for clients (Procedure)

Overview of setup for multiple clients
Up a level to ..
Overview of setup for multiple clients
Project Management > Work with Multiple Clients >
Overview of setup for multiple clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Set up title block mapping files for clients

Use the AutoCAD Electrical Title block setup tool to create a default.wdt file for the title block of each client. Store this default.wdt in the base subdirectory of the client. For example:

n:\campbell.nap\default.wdt

One way to do it:

  1. Use AutoCAD Electrical to create a project in the base subdirectory of the client (for example: n:\campbell.nap\dummy.wdp).
  2. Open the drawing border drawing or any existing drawing that contains the title block of the client (block with attributes).
  3. Click Project tab [image] Other Tools panel [image] Title Block Setup. Enter AESETUPTITLEBLOCK at the command prompt.
  4. In the Title block link method dialog box, select the middle option listed under "Method 1" -- the DEFAULT.WDT file for any project found in subdirectory n:\campbell.nap.
  5. Click OK.
  6. Follow the dialog boxes and pick options to build the default.wdt file.


Customize labels for title blocks (Procedure)

Overview of setup for multiple clients
Up a level to ..
Overview of setup for multiple clients
Project Management > Work with Multiple Clients >
Overview of setup for multiple clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Customize labels for title blocks

Several title block-related dialog boxes in AutoCAD Electrical display generic labels like "LINE1", "LINE2", and so on. You can change these labels so that they match up with the actual link to the title block of the client. For example, in the ".wdt" mapping file, you might have linked the AutoCAD Electrical data "LINE10" value to the "DRAWN_BY" attribute on the title block of the client. What you want to see when AutoCAD Electrical displays a title block-related dialog box is not "LINE10" but "Drawn by."

  1. Create a file called default_wdtitle.wdl in the subdirectory of the client where you store the project (.wdp) files. Use any generic text editor like the Windows Notepad or Wordpad.
  2. Edit the file as necessary.

    The file should contain one line per label in the format LINEx=label. The entries do not have to be in order and line numbers may be skipped.

  3. Save and exit.

    Try updating the Title Block from the Project Manager. Notice all of the updated labels.


Specify client-specific library symbols (Procedure)

Overview of setup for multiple clients
Up a level to ..
Overview of setup for multiple clients
Project Management > Work with Multiple Clients >
Overview of setup for multiple clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Specify client-specific library symbols

If the client has special symbols or text size settings that are different from the default libraries provided with the AutoCAD Electrical product, create and maintain a client-specific symbol library subdirectory with smart AutoCAD Electrical symbols that have been adjusted to meet that standards of the client. When you start a new project for this client, set the AutoCAD Electrical Symbol Library path to point at the library of the client.

  1. In the Project Manager, right-click the project name, and select Properties.
  2. In the Project Properties [image] Project Settings dialog box, click the plus sign (+) next to Schematic Libraries. Click Add and enter the path of the library into the edit box. Make it the first or only path listed.

    It causes AutoCAD Electrical to look in the client-specific symbol library first before going to a default AutoCAD Electrical symbol library.

  3. Click OK.
NoteMake sure you also update the Panel Footprint Library path.


Start a project for a client (Procedure)

Overview of setup for multiple clients
Up a level to ..
Drawing List Report
Project Management > Work with Multiple Clients >
Overview of setup for multiple clients
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Start a project for a client

  1. Create and save the AutoCAD Electrical project .wdp file to the base subdirectory of the client where the default.wdt and wdtitle.wdl files are stored. Make sure that the new project also points at the symbol library of the client.

    The actual drawings for the project can be stored anywhere but you might want to store them in a "job number" subdirectory under the base client subdirectory. For example, for client "Campbell" you have a new project, 12345. Under the N:\campbell.nap network drive subdirectory, create subdirectory n:\campbell.nap\12345. It is where to save the drawings for that project.

  2. Create a project and save it to the base subdirectory.

    For example, create project P12345.wdp and save it to n:\campbell.nap\P12345.wdp (along with any other Campbell projects that were already created). They are all grouped in this base subdirectory, but their drawing sets are isolated into unique job number subdirectories).

With the previous setup, anytime you work on a Campbell project (project file ".wdp" stored in the n:\campbell.nap directory), AutoCAD Electrical automatically uses the client-specific title block mapping file (n:\campbell.nap\default.wdt) and the client-specific dialog box label file (n:\campbell.nap\wdtitle.wdl).


Drawing List Report (Procedure)

Overview of setup for multiple clients
Drawing List Report
Overview of project and drawing properties
Project Management >
Drawing List Report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Drawing List Report

Reports the settings of each drawing in the project, and provides the means to edit the report and update the drawing properties with the edited values.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project name, and select Drawing List Report.
  3. (Optional) In the Drawing List Report dialog box, click Format and browse to a report format file.
  4. Click New Report.
  5. Select the drawings to process.
  6. Click OK.

    The data is displayed in the Report Generator dialog box so you can change the report format, save to a file, and place the report as a table.


IEC tag mode update (Quick Reference)

Archive a project
IEC tag mode update
Task list
Project Management >
IEC tag mode update
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

IEC tag mode update

Updates component tagging based on a change in the IEC tagging mode.

Ribbon: Project tab [image] Other Tools panel [image] [image] [image] IEC Tag Mode Update. Does not exist on the ribbon.
Menu: Projects [image] IEC Tag Mode - UpdateDoes not exist in the menus.
Command entry: AEUPDATEIECTAG

If a change to the IEC component tag mode format is detected, use this tool to freshen the tag format. It makes sure that component tags are displayed per the change.

Freshen tags for | Specifies whether to freshen the entire project, the active drawing only, or selected components in the active drawing.
Freshen parent/child cross-reference annotation | Reruns the cross-reference update.
Remove any leading dash character from component tags | Indicates whether any leading "-" characters for component tags are suppressed (box checked) or added (box unchecked). It is controlled from the Project Properties [image] Components dialog box.
Force Installation and Location attributes to be visible or invisible | Switches the visibility of Installation and Location attributes on each component.


Task list (Quick Reference)

IEC tag mode update
Task list
Add new table to MDB
Project Management >
Task list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Task list

Change the drawing files that were accumulated while drawing files were unavailable for editing.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

On the Project Manager, click the Project Task List tool [image] or right-click the project name and select Task List. On the Update from dialog box, select Update: Select from list of drawings and click OK.

The tasks that still need to be performed on the selected drawings are listed in the upper portion of the dialog box. The login name of the user creating the task, file name, installation and location codes, component tag, type, status, attribute, old value and new value are all displayed. The 'x' indicates that the source of the change no longer matches the task list.

Sort | Sorts the list of tasks to be performed. You can specify four sorts to perform on the list.
Select All | Selects all of the tasks in the list. When you click OK, all of the pending tasks are performed on the selected drawings.
Remove | Removes the selected task from the list.


Drawing and Project Properties

Task list
Overview of project and drawing properties
Drawing and Project Properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of project and drawing properties

    Project properties: project settings tab

  • Use replaceable parameters
  • Save settings to the project file

    Compare drawing and project settings

  • Settings List Utility

    Edit report

  • Create a template drawing
  • Updating the WD_M Block
  • Using Layers


Overview of project and drawing properties (Concept)

Drawing and Project Properties
Drawing and Project Properties
Use replaceable parameters
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the Project Properties dialog box to define settings when creating a project. Then have the settings used for new drawings or the settings added to the project. In the Project Properties dialog box, icons indicate whether the settings apply to project settings or drawing defaults.

Settings that apply to project settings and are saved inside the project definition file (.wdp).

Settings that are saved in the project file as drawing defaults. Drawing related data to add to the project when running the Add Drawing command is saved as Drawing Custom Properties.

Use the Drawing Properties dialog box to define settings for a new or selected drawing. These settings override the project properties set in the Project Properties dialog box. If the drawing is part of a project, the project name displays in the dialog box. Otherwise text displays indicating that the drawing is not part of a project and drawing-related edit fields that are saved in the .wdp file are disabled.

You can specify settings for the project or drawing defaults, components, wire numbers, cross-references, styles, and the drawing format using either the Project Properties or Drawing Properties dialog boxes. An overview of the available options for each tab are listed in the following section.

Settings

Project settings include:

  • Library and Icon Menu paths
  • Catalog lookup file preferences
  • Real-time error checking options

Drawing settings include:

  • Drawing type and descriptions
  • IEC default values for the Project (%P), Installation (%I), and Location (%L) fields
  • Sheet values for the sheet and drawing in addition to section or subsection codes
Components

Use this tab to:

  • Specify the way new component tags are created.
  • Switch between sequential or line reference based tags.
  • Set component tag options such as using combined Installation/Location tags or suppressing the Installation/Location tag on reports.
  • Display description text in uppercase.
Wire Numbers

Use this tab to:

  • Set the wire number format.
  • Switch between sequential or line reference based wire numbers.
  • Set wire number options such as hidden numbers, excluded numbers, or displaying numbers on a per wire basis.
  • Set up wire number layer options.
  • Define wire number placement: above, below, or in-line.
  • Define wire number leaders.
Cross-references

Use this tab to:

  • Define the cross-reference annotation format.
  • Set cross-reference options such as suppressing Installation/Location codes or using real-time signal and contact cross-referencing between drawings.
  • Set component cross-reference display: text, graphical, or table. You can also change the display format setup from this dialog box.
Styles

Use this tab to:

  • Change default styles for arrows, plcs, fan-in/out markers, and wiring.
  • Add or remove layers from the layer list.
Drawing Format

Use this tab to:

  • Set the default orientation, spacing, and width values for any new ladders inserted on the drawing.
  • Specify the format referencing style: X-Y Grid, X Zones, or Reference Numbers.
  • Set the scale factor used when inserting new components or wire numbers on the drawing.
  • Set the tag/wire number sort order.
  • Define and manage wire and component layers.


Overview of project and drawing properties (Quick Reference)

Files unavailable for processing
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: project settings tab

Catalog lookup file

Project properties: components tab

Item Numbering Setup

Project properties: wire numbers tab

Project properties: cross-references tab

Project properties: styles tab

Project properties: drawing format tab

Drawing properties: drawing settings tab

Drawing properties: components tab

Drawing properties: wire numbers tab

Drawing properties: cross-references tab

Drawing properties: styles tab

Drawing properties: drawing format tab

X zones setup

X-Y grid setup


Set project or drawing properties (Procedure)

Drawing List Report
Overview of project and drawing properties
Save settings to the project file
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set project or drawing properties

You can specify settings for the project or drawing defaults, components, wire numbers, cross-references, styles, and the drawing format using either the Project Properties or Drawing Properties dialog boxes. The following steps are for setting project properties. Set drawing properties by opening the Project Manager, right-clicking the drawing name, and selecting Properties [image] Drawing Properties or by clicking the Drawing Properties tool.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project name, and select Properties.
    NoteYou can also set project properties when you create a project. Create the project and click OK -Properties in the Create New Project dialog box.
  3. In the Project Properties dialog box, select the tab to modify properties for.
  4. Click OK.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: project settings tab

Modify your project default settings for libraries, catalog lookup, and error checking. All information defined in this tab is saved to the project definition file as a project default.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project name, and select Properties. Select the Project Settings tab.

Library and Icon Menu Paths

Select which schematic library, panel library, and icon menus to use.

Libraries

To modify existing input fields in the tree structure, double-click the folder (for example, Schematic Libraries) and highlight the path to change. Then browse to the path of the schematic or base footprint symbol library to use for the project. You can also include a series of paths for AutoCAD Electrical to search in order. You can include electrical, pneumatic, or other schematic libraries in the path.

NoteThe symbol search path includes the User and Project folders (and potentially the AutoCAD search paths) before the paths listed here. In the Project Manager, right-click the project name, and select Settings to view the active search path for the project.

Icon Menu File

To use an icon menu for the project that is different from the default, enter the file name. This menu reference is saved in the project's .wdp file.

NoteYou can only specify one search path for the icon menu.

Add

Adds a new entry into the libraries tree structure.

Browse

Browses for a folder to select a symbol library or icon menu from.

Remove

Removes the selected path from the libraries tree structure.

Move Up

Moves the selected path up one spot in the libraries tree structure.

Move Down

Moves the selected path down one spot in the libraries tree structure.

Default

Brings the default paths from the environment file (WD.ENV) into the list box tree view for all search paths found underneath the highlighted folder.

Catalog Lookup File Preference
Use component-specific tables | Searches for the component name as the catalog table. If the component table is not found, the family name table is searched. If neither table is found, use the Catalog Lookup File dialog box to create a component or family table or select a different table.
Other File | Defines a secondary catalog lookup file.
Always use MISC_CAT table | Searches only the MISC_CAT table. You can search other component tables if the catalog number is not found in the MISC_CAT table.
Use MISC_CAT table only if component-specific table does not exist | Uses the MISC_CAT table if the component or family tables are not found in the catalog database.
Options

Real-time error checking

Performs real-time error checking on the project to determine if duplications of wire numbers or component tags occur in the project.

An error log file is created for every project regardless whether you chose to display the real-time warning dialog box or not. The real-time warning is saved in the log file named "<project_name>_error.log"and is saved in the User subdirectory. If a log file exists, the new content is added to the same file. A blank line separates one error record from another.

Tag/Wire Number Sort Order

Sets the default wire numbering and component tag sort order for the project.

Electrical Code Standard

Sets the Electrical code standard used by Circuit Builder. A three character suffix code is saved to the.wdp project file. The suffix is used when searching for a specific table in ace_electrical_standards.mdb.

Circuit Builder searches for a table using the following sequence:

  1. Tables with the three character Electrical Code Standard suffix.
  2. Tables without a suffix.
  3. Tables with an “NEC” suffix.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Catalog lookup file

It defines a secondary catalog lookup file to use.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

On the Project Manager, right-click on the Project name and select Properties. In the Project Properties [image] Project Settings dialog box, Catalog Lookup File Preference section, click Other File.

Single catalog lookup file

Specifies to use only one catalog lookup file. The file that is used depends on what was selected on the Project Properties [image] Project Settings dialog box.

Optional: Define a secondary catalog lookup file for this project

Specifies to define a secondary lookup file for the project. Catalog lookup files provided with AutoCAD Electrical include: default_cat.mdb, footprint_lookup.mdb, schematic_lookup.mdb, wd_lang1.mdb, and wd_picklist.mdb.

Defines a secondary catalog lookup file that functions as such:

  • For catalog part number selection, switches to a secondary catalog lookup file.
  • For BOM report generation, queries the secondary catalog lookup file when the target part number is not found in the default file.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: components tab

Modify your project default settings for components. All information defined in this tab is saved to the project definition file as project defaults and settings.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project name, and select Properties. Select the Components tab.

Component TAG Format

Tag Format

Specifies the way new component tags are created. The tag consists of a minimum of two pieces of information: a family code and an alphanumeric reference number (for example, "CR" and "100" to yield a tag like CR100 or 100CR). Optionally, a component tag might contain a sheet number or some user-specified separators. If your format includes the sheet number %S parameter or the drawing number %D parameter, enter the values in the edit boxes in the Drawing Properties [image] Drawing Settings dialog box.

NoteAutoCAD Electrical provides a predefined format for you to use or you can enter your own format using replaceable parameters.
NoteThe %N parameter is mandatory in any component tag format you define.

Search for PLC I/O address on insert

Searches for a connected PLC I/O module's I/O point. If found, the I/O address value is substituted for the "%N" part of the default component tag.

NoteThis setting is saved in the MISC_FLAGS attribute on the WD_M block of the drawing.

Sequential

Enter the beginning sequential number for the drawing. Sequential tags can continue uninterrupted from one drawing to the next if you assign the same beginning sequential number to every drawing in your project. As you insert components on any drawing of the project set, AutoCAD Electrical starts with the value you set and works its way up until it finds the next unused sequential number tag for the target component family.

NoteIf you finish a drawing and move to the next, but return to the first drawing to add another component and sequential tag, a gap appears in the numbering sequence for that drawing. Use the AutoCAD Electrical Project-wide Update/Retag tool to retag the whole drawing set.

Line Reference

Set up the unique format tag suffix list. Use this list to create unique reference-based tags when multiple components of the same family are located at the same reference location. (For example, three push buttons on the same line reference "101" could be labeled PB101, PB101A, and PB101B -- AutoCAD Electrical does this using a suffix list of " ", "A", "B", and so on).

NoteThe component tag suffix is automatically added to the end of the tag. You can force AutoCAD Electrical to insert the suffix character somewhere within the tag format. Use the Suffix position parameter, %X, in the component tag format (for example, %N%X - %F).

Suffix Setup

Displays the suffix list. The individual items in the suffix list are given in the row of edit boxes across the top of the dialog box. List suffix characters for duplicate family components on the same line reference or in the same zone (to keep tags unique). The suffix is added to the end of the component tag. To add it to the inside of the tag, use "%X" in the Tag Format. Example:

%N-%F or %N-%F%X = suffix at the end (such as 101-CRA)

%N%X-%F = add to number, before family code (such as 101A-CR)

Select from the default lists or manually enter your own suffix list in the row of edit boxes.

Component TAG Options

Combined Installation/Location tag mode

Uses the combined installation/location tag for interpreting component tag names. For example, -100CR relay contact marked with location code PNL1 is interpreted as being associated with a different relay coil than relay contact -100CR marked with location code PNL2. If this setting is not selected, both contacts are associated with the same parent relay coil, -100CR.

Suppress dash when first character of tag

Suppresses any single-dash character prefix in an IEC tag that does not have a leading Installation/Location prefix. (For example, "-K101" dash is suppressed to "K101" but "+LOC1-K101" remains unchanged.)

When switched OFF, it automatically adds a single dash character to an IEC tag that does not already have a single leading dash prefix. It also does not have a leading Installation/Location prefix. (For example, tag "K101" becomes "-K101" but "+LOC1-K101" remains unchanged._

NoteThis suppression takes place automatically in reports; and takes place graphically only when a component is inserted, edited, or retagged.

Format Installation/Location into tag

Specifies to exclude the Installation and Location code values as part of the tag when displaying. For example, if it is not on, a tag might show up as K16 in the Surf dialog box, but if selected the tag might show up +AAA-K16 (where AAA is the location).

Suppress Installation/Location in tag when match drawing default

Suppresses Location and Installation values on components if they match the drawing default values.

NoteUpdate cross-reference text using the AutoCAD Electrical Cross-reference command.

Suppress Installation/Location in tag on reports

Specifies to exclude Installation and Location values as part of the tag when displayed in reports.

Upon insert: automatic fill Installation/Location with drawing default or last used

Fills the Installation and Location edit boxes on the Insert/Edit component dialog box. The attributes on the block with drawing default or last used values (if no drawing default).If not selected, these edit boxes and attributes are not filled in and are assumed.

NoteAvoid using a mixture of drawings in the project when using the Combine Installation/Location Tag mode. For example, do not include some drawings with drawing-wide Installation or Location values and some without drawing-wide values. It can result in a disruption of the child and parent component relationship under certain circumstances.
Component Options
Description text upper case | Forces description text to upper case.
Item Numbering | Launches the Item Numbering Setup dialog box. The dialog box contains options for project or drawing wide item numbering, and per-part number or per-component item numbering.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Item Numbering Setup

Define the item numbering settings for the project.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project name, and select Properties. Select the Components tab and click Item Numbering.

Item Numbering Mode | Sets item numbering to either project-wide or per-drawing. This setting controls an Item Resequence and the “Next>>” buttons on any “Insert/Edit” dialog boxes.
Item Assignments | Per-Component Basis - allow item number assignment to the main catalog part number only. Per-Part Number Basis - allow item number assignment for each catalog entry on a component. It includes the main catalog part number and any multiple catalog part numbers. NoteItem numbers cannot be assigned to part numbers based on ASSYCODE combinations.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: wire numbers tab

Modify your project default settings for wire numbers. All information defined in this tab is saved to the project definition file as project defaults and settings

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click on the project name and select Properties. Select the Wire Numbers tab.

Wire Number Format

Wire number tags can be sequential or reference-based.

Format

Specifies the way new wire number tags are created. The wire number tag format must include the %N parameter that is the base sequential or reference-based value per the selection above. If your format includes the sheet number %S parameter or the drawing number %D parameter, you must enter the values in the edit boxes in the Drawing Properties [image] Drawing Settings dialog box.

NoteFor reference-based wire number tagging, individual items in the suffix list are applied to the wire tags to keep multiple wires in the same reference location unique. These are added to the end of the tag, but you can force AutoCAD Electrical to insert the suffix character somewhere within the tag format. Use the Suffix position parameter, %X, in the component tag format (for example, %X%N).
NoteAutoCAD Electrical provides a predefined format for you to use or you can enter your own format using replaceable parameters.

Search for PLC I/O address on insert

Specifies to use PLC I/O address values for wires that connect to an addressed I/O point. This overrides both Sequential and Reference-based tagging. New wires or wire renumbering on the current drawing will show PLC I/O address-based wire numbers automatically.

NoteLike component tags, AutoCAD Electrical uses the concept of a wire tag format string with replaceable parameters. The %N parameter must always be part of the wire format string. A typical format string might be just this %N parameter.

Sequential

Enter the starting sequential number (alpha, numeric, or alphanumeric) for the drawing. If you enter the same starting sequential number for every drawing of your wiring diagram set, AutoCAD Electrical confirms at insertion time that a new sequential wire number tag is not repeated on any other drawing.

If you set DEMO1 to 100 and DEMO2 to 200, the wire numbers on DEMO1 start at 100 and those on DEMO2 start at 200. If DEMO1 has more than 100 wire numbers it starts using wire number 200 and above while DEMO2 would begin its wire numbers where DEMO1 left off (making sure that duplicate wire numbers are not assigned).

Increment

The default is "1". Setting it to "2" with a starting sequential of "1" would yield wire numbers 1, 3, 5, 7, 9, 11, and so on.

Line Reference

Sets the wire number tag suffix. This list is used to create unique reference-based wire number tags for multiple wire networks beginning at the same reference location (such as wire network beginning at a location per line reference number, X-Y grid reference, or X-Zone reference).

Suffix Setup

Displays a suffix list. List suffix characters for wire numbers beginning on the same line reference or in the same zone (to keep wire numbers unique). Select one of the four predefined suffix lists or enter your own custom suffix list.

Wire Number Options

Based on Wire Layer

Assigns a different wire number format based on the wire layer.

Layer Setup

Overrides the default wire number format by using layer defined formats. Change the wire layer name, wire number format, starting wire sequence, and wire number suffix.

Based on Terminal Symbol Location

Specifies to use a wire number terminal on a wire network as the wire network's line reference value for calculating a reference-based wire number. For example, a wire network starts at line reference 100 and drops down and over on line reference 103. If there is a schematic terminal symbol that carries the WIRENO attribute located on line reference 103 and this option is enabled, AutoCAD Electrical calculates a reference-based wire number using 103 instead of 100. If there are multiple wire number terminals on this network, the line reference value of the upper left-most terminal is used.

Hidden on Wire Network with Terminal Displaying Wire Number

Specifies to automatically hide the wire number for a wire network that has a wire number-type terminal.

On per Wire Basis

Specifies to assign a wire number for each wire rather than the default one wire number per wire network.

Exclude

Specifies the wire number ranges to exclude if using sequential wire numbers. (applied to the %N part of the wire number tag format)

Syntax is <starting>-<ending> to show range (for example 1000-1499). Multiple ranges are allowed and must be separated with a comma or semi-colon (for example, 1000-1099;2500-2599;). You can also use 2;4;6 or 2,4,6 for values not in a range.

New Wire Number Placement
NoteThe Insert Wire Number tool does not take the current wire number setting (in-line, above or below) into account when updating existing wire numbers; this setting is used only when inserting new wire numbers. Use the Toggle Wire Number In-Line tool for flipping existing wire numbers among the three modes.
Above Wire | Places the wire number above the physical wire.
In-Line | Places the wire number in line with the wire.
Gap Setup | Defines spacing between the wire number and the wire itself.
Below Wire | Places the wire number below the physical wire.
Centered | Specifies to insert the wire number tags in the center of each wire segment.
Offset | Specifies to insert the wire number tags the specified offset distance.
Offset Distance | Specifies a fixed, user-defined offset distance from the left or top of the first wire segment found on the wire network.
Leaders | (This option is unavailable for in-line wire numbers) AutoCAD Electrical places wire numbers on leaders when it determines that the wire number text bumps into something (it does not check if the leader itself overlays another object). Select the method for inserting new wire numbers as leaders: As Required, Always, or Never. NoteThis change does not affect wire numbers that are already present on the drawing.
Wire Type

Displays the Rename User Columns dialog box that is used for renaming User1 to User20 header columns in the Set Wire Type, Create/Edit Wire Type, and Change/Convert Wire Type dialog boxes.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: cross-references tab

Modify your project default settings for cross-referencing. Any new drawing files created within the project are saved with the project default settings for cross-referencing.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project name, and select Properties. Select the Cross-References tab.

Cross-reference Format

Defines the cross-reference annotation format. One replaceable parameter, %N, must always be part of the cross-reference format string. A typical format string might be the %N parameter. Use Same Drawing for on-drawing references and Between Drawings for off-drawing references. You can use the same format for both.

NoteAutoCAD Electrical provides some predefined formats for you to use or you can enter your own format using replaceable parameters.
Cross-reference Options

Real time signal and contact cross-referencing between drawings

Automatically updates relay and wire source and destination symbols cross-referencing across multiple drawings.

NoteIf this option is not selected, you are prompted to authorize the update. The target drawing is automatically opened and updated. You then return to the active drawing. Any unauthorized update is queued up in a Project Task List. To update the pending updates, click Project Task List on the Project Manager.

Peer to Peer

Cross-references related components while using pneumatic features. Example: schematic - [image] pneumatic.

Suppress Installation/Location codes when matching the drawing defaults

Suppresses IEC prefixes.

NoteRun the Component Cross-reference command to update any existing cross-referencing text.
Component Cross-reference Display

There are different styles of cross referencing AutoCAD Electrical supports:

Text Format | Displays cross-referencing as text with any string as a separator between references on the same attribute.
Graphical Format | Displays cross-referencing using the AutoCAD Electrical graphical font or using contact mapping edit boxes while displaying each reference on a new line.
Table Format | Displays cross-referencing in a table object, that automatically gets updated in real time, so you can define the columns to display.
Setup | Displays a dialog box for setting the display defaults for each component cross-reference display format.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: styles tab

Modify your project default settings for various component styles. All information defined in this tab is saved to the project definition file as project defaults and settings.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click on the project name and select Properties. Select the Styles tab.

Arrow Style

Specifies the default wire signal arrow style. Select from the four predefined styles or a user-defined style. You can override the default style setting at insertion time.

TipFor instructions on how to add custom wire arrow styles, see Add custom signal arrow styles.

PLC Style

Specifies the default PLC module style. Select from the five predefined styles or a user-defined style.

TipFor instructions on how to add custom PLC module styles, see Add a new PLC style.

Fan-In/Out Marker Style

Defines the default Fan In/Out marker style and the layers for wires going out of a Fan In/Out Source marker and those coming into a Destination marker.

TipFor instructions on how to add custom Fan-In/Out marker styles, see Add custom fan-in/out marker styles.

Layer List

Lists the Fan In/Out layers.

Add

Defines layer names as Fan In/Out layers.

Remove

Removes the selected layer from the defined layer list.

Wire Cross

Specifies the default mode of operation when wires cross each other: insert gap with no loop, insert gap and loop, or solid (no gap).

Wire Tee

Specifies the default wire tee marker: none, dot, angle1, or angle2.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: drawing format tab

Allows you to modify your project default settings for drawings. All information defined in this tab is saved to the project definition file as a project default.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click on the project name and select Properties. Select the Drawing Format tab.

Ladder Defaults
Vertical/Horizontal | Specifies whether to create ladders horizontally or vertically.
Spacing | Specifies the spacing between each rung.
Default: insert new ladders without references | Sets the default for the Insert Ladder command. New ladders you insert do not have line reference numbering, by default.
Width | Specifies the width of the ladder.
Multi-wire Spacing | Specifies the spacing between each rung in multi-wire phases.
Format Referencing

Specifies the default referencing system. There are three modes:

X-Y Grid

All referencing is tied to an X-Y grid system of numbers and letters along the left-hand side and top of the drawing. Set the vertical and horizontal index numbers and letters of your drawing, spacing, and origin in the X-Y grid setup dialog box.

TipUse negative spacing values for Horizontal or Vertical to change the origin of the X-Y grid system to be other than the upper left-hand corner of the drawing.

X Zones

Like X-Y Grid, but there is not a Y-axis. Set the horizontal labels, spacing, and origin on the X Zones setup dialog box.

TipUse a negative zone spacing value if you want the zone reference origin to be at the right side of the drawing.

Reference Numbers

Each ladder column has a column of assigned reference numbers.

Setup

Specifies how to display reference numbers -number only, numbers in a hexagon, the sheet and number values, and so on.

Scale
Feature Scale Multiplier | Sets the scale factor used when inserting new components or wire numbers on the drawing. To insert everything 25% bigger than normal, change the edit box value from 1.00 to 1.25. This change does not affect components and wire numbers that are already present on the drawing.
inch/inch scaled to mm/mm full size | Select inch if your drawing is to use library symbols from the JIC1/JIC125 libraries or mm full size for the metric scaled symbol libraries. It adjusts the wire connection trap distance that determines whether closely spaced wire ends connector not.
Tag/Wire Number Order

Sets the default wire numbering and component tag sort order for the drawing. Your selection overrides the project settings for sort order unless you select No override.

Layers

Defines and manages wire and component layers.

NoteNo matter which layer is current, wires always go to a wire layer and components to component layers.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing properties: drawing settings tab

Sets default values for a drawing.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Drawing Settings tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Drawing Settings tab.

Sets the values you enter for drawing description, project, installation, location, sheet, and drawing code. Sets the format for component tags, wire numbers, cross-references, PLC modules, signal arrows, ladders, and layers. Overrides the project properties set in the project Properties dialog box.

Drawing File
Project | Specifies the project that the drawing is found in. NoteIf the drawing is not in any of the currently open projects, "Drawing not in open project" displays instead of the project name. If the drawing is in an open project but it cannot be edited, "Project not available for edit" displays instead of the project name. This happens when a project file is read only, it is locked by someone else, it is not checked out in Vault, or the folder where the project is located is read only. When the project is not open or available for edit, you are unable to assign a description for the drawing.
Description 1-3 | Specifies up to three lines of description text for the drawing file. The description displays in title block updates and custom drawing properties. This is saved in the project .wdp file. Select from a list of predefined descriptions from the active project by clicking the arrow or select a description from the drawing by clicking Pick.
For Reference Only | Indicates that the drawing should not be included in tagging, cross-referencing, and reporting functions. If selected, the drawing is included in project-wide plotting and title block operations. This is saved in the project .wdp file.
IEC-Style Designators

Specifies IEC default values for the drawing, such as Project (%P), Installation (%I), and Location (%L) fields. When you insert a component, the %I and %L default values are used if the Installation and/or Location values would normally be blank.

Project Code | Specifies a project code for the WD_M block definition. This value can be used as the replaceable parameter %P.
Installation Code | Specifies the installation code for the WD_M block definition. This value can be used as the replaceable parameter %I.
Location Code | Specifies the location code for the WD_M block definition. This value can be used as the replaceable parameter %L.
Drawing | Displays a list of Installation or Location codes from the active drawing.
Project | Displays a list of previously defined Installation or Location codes in the active project or from the Default.INST or Default.LOC file.
NoteAvoid using a mixture of drawings in the project when using the Combine Installation/Location Tag mode. For example, do not include some drawings with drawing-wide Installation or Location values and some without drawing-wide values. It can result in a disruption of the child and parent component relationship under certain circumstances.
Sheet Values

Component, wire, and cross-reference tagging use replaceable parameters in their format. If you reference the drawing's sheet number or drawing number in any of your tagging formats, then specify a default drawing-wide value to use.

Sheet | Specifies the sheet number value for the drawing settings. This value can be used as the replaceable parameter %S.
Drawing | Specifies the drawing number value for the drawing settings. This value can be used as the replaceable parameter %D.
Section | Specifies the section value for the drawing file saved in the project definition file (.wdp). This value can be used as the replaceable parameter %A.
Sub-Section | Specifies the subsection value for the drawing file saved in the project definition file (.wdp). This value can be used as the replaceable parameter %B.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing properties: components tab

Apply a drawing-specific component settings that are maintained inside the WD_M block of the drawing.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Components tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Components tab.

Tag Format

Specifies the way new component tags are created. The tag consists of a minimum of two pieces of information: a family code and an alphanumeric reference number (for example, "CR" and "100" to yield a tag like CR100 or 100CR). Optionally, a component tag might contain a sheet number or some user-specified separators. If your format includes the sheet number %S parameter or the drawing number %D parameter, enter the values in the edit boxes in the Drawing Properties [image] Drawing Settings dialog box.

NoteAutoCAD Electrical provides a predefined format for you to use or you can enter your own format using replaceable parameters.
NoteThe %N parameter is mandatory in any component tag format you define.

Search for PLC I/O address on insert

Searches for a connected PLC I/O module's I/O point. If found, the I/O address value is substituted for the "%N" part of the default component tag.

NoteThis setting is saved in the MISC_FLAGS attribute on the WD_M block of the drawing.

Sequential

Enter the beginning sequential number for the drawing. Sequential tags can continue uninterrupted from one drawing to the next if you assign the same beginning sequential number to every drawing in your project. As you insert components on any drawing of the project set, AutoCAD Electrical starts with the value you set and works its way up until it finds the next unused sequential number tag for the target component family.

NoteIf you finish a drawing and move to the next, but then later come back to the first drawing to add another component and sequential tag, a gap appears in the numbering sequence for that drawing. Use the AutoCAD Electrical Project-wide Update/Retag tool to retag the whole drawing set.

Line Reference

Set up the unique format tag suffix list. Use this list to create unique reference-based tags when multiple components of the same family are located at the same reference location (for example, three push buttons on the same line reference "101" could be labeled PB101, PB101A, and PB101B -- AutoCAD Electrical does this using a suffix list of " ", "A", "B", and so on).

NoteThe component tag suffix is automatically added to the end of the tag, but you can force AutoCAD Electrical to insert the suffix character somewhere within the tag format. Use the Suffix position parameter, %X, in the component tag format (for example, %N%X - %F).

Suffix Setup

Displays the suffix list. The individual items in the suffix list are given in the row of edit boxes across the top of the dialog box. List suffix characters for duplicate family components on the same line reference or in the same zone (to keep tags unique). The suffix is added to the end of the component tag. To add it to the inside of the tag, use "%X" in the Tag Format. Example:

%N-%F or %N-%F%X = suffix at the end (such as 101-CRA)

%N%X-%F = add to number, before family code (such as 101A-CR)

Select from the default lists or manually enter your own suffix list in the row of edit boxes.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing properties: wire numbers tab

Apply a drawing-specific wire number settings that are maintained inside the drawing's WD_M block.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Wire Numbers tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Wire Numbers tab.

Wire Number Format

Wire number tags can be sequential or reference-based.

Format

Specifies the way new wire number tags are created. The wire number tag format must include the %N parameter that is the base sequential or reference-based value per the selection above. If your format includes the sheet number %S parameter or the drawing number %D parameter, you must enter the values in the edit boxes in the Drawing Properties [image] Drawing Settings dialog box.

NoteFor reference-based wire number tagging, individual items in the suffix list are applied to the wire tags to keep multiple wires in the same reference location unique. These are added to the end of the tag, but you can force AutoCAD Electrical to insert the suffix character somewhere within the tag format. Use the Suffix position parameter, %X, in the component tag format (for example, %X%N).

Search for PLC I/O address on insert

Specifies to use PLC I/O address values for wires that connect to an addressed I/O point. This overrides both Sequential and Reference-based tagging. New wires or wire renumbering on the current drawing shows PLC I/O address-based wire numbers automatically.

NoteLike component tags, AutoCAD Electrical uses the concept of a wire tag format string with replaceable parameters. The %N parameter must always be part of the wire format string. A typical format string might be just this %N parameter.

Sequential

Enter the starting sequential number (alpha, numeric, or alphanumeric) for the drawing. If you enter the same starting sequential number for every drawing of your wiring diagram set, AutoCAD Electrical confirms at insertion time that a new sequential wire number tag is not repeated on any other drawing.

If you set DEMO1 to 100 and DEMO2 to 200, the wire numbers on DEMO1 start at 100 and those on DEMO2 start at 200. If DEMO1 has more than 100 wire numbers it starts using wire number 200 and above while DEMO2 would begin its wire numbers where DEMO1 left off (making sure that duplicate wire numbers are not assigned).

Increment

The default is "1." Setting it to "2" with a starting sequential of "1" would yield wire numbers 1, 3, 5, 7, 9, 11, and so on.

Line Reference

Sets the wire number tag suffix. This list is used to create unique reference-based wire number tags for multiple wire networks beginning at the same reference location (such as wire network beginning at a location per line reference number, X-Y grid reference, or X-Zone reference).

Suffix Setup

Displays a suffix list. List suffix characters for wire numbers beginning on the same line reference or in the same zone (to keep wire numbers unique). Select one of the four predefined suffix lists or enter your own custom suffix list.

New Wire Number Placement
NoteThe Insert Wire Number tool does not take the current wire number setting (in-line, above or below) into account when updating existing wire numbers; this setting is used only when inserting new wire numbers. Use the Toggle Wire Number In-Line tool for flipping existing wire numbers among the three modes.
Above Wire | Places the wire number above the physical wire.
In-Line | Places the wire number inline with the wire.
Gap Setup | Defines spacing between the inline wire number and the wire itself.
Below Wire | Places the wire number below the physical wire.
Offset | Specifies to insert the wire number tags the specified offset distance.
Centered | Specifies to insert the wire number tags in the center of each wire segment.
Offset Distance | Specifies a fixed, user-defined offset distance from the left or top of the first wire segment found on the wire network.
Leaders | (This option is unavailable for in-line wire numbers.) AutoCAD Electrical places wire numbers on leaders when it determines that the wire number text bumps into something (it does not check if the leader itself will overlay another object). Select the method for inserting new wire numbers as leaders: As Required, Always, or Never. NoteThis change does not affect wire numbers that are already present on the drawing.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing properties: cross-references tab

Apply a drawing-specific cross-reference settings that are maintained inside the WD_M block of the drawing. This overrides the project settings since cross-referencing commands look at the WD_M block as the definition for all referencing on the drawing during runtime.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Cross-References tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Cross-References tab.

Cross-reference Format

Defines the cross-reference annotation format. One replaceable parameter, %N, must always be part of the cross-reference format string. A typical format string might be just the %N parameter. Use Same Drawing for on-drawing references and Between Drawings for off-drawing references. You can use the same format for both.

NoteAutoCAD Electrical provides some predefined formats for you to use or you can enter your own format using replaceable parameters.
Component Cross-reference Display

There are different styles of cross referencing AutoCAD Electrical supports:

Text Format | Displays cross-referencing as text with any string as a separator between references on the same attribute.
Graphical Format | Displays cross-referencing using the AutoCAD Electrical graphical font or using contact mapping edit boxes while displaying each reference on a new line.
Table Format | Displays cross-referencing in a table object, that automatically gets updated in real time. You can define the columns to display.
Setup | Displays a dialog box for setting the display defaults for each component cross-reference display format.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing properties: styles tab

Apply a drawing-specific component styles settings that are maintained inside the drawing's WD_M block.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Styles tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Styles tab.

Arrow Style

Specifies the default wire signal arrow style. Select from the four predefined styles or a user-defined style. You can override the default style setting at insertion time.

TipFor instructions on how to add custom wire arrow styles, see Add custom signal arrow styles.

PLC Style

Specifies the default PLC module style. Select from the five predefined styles or a user-defined style.

TipFor instructions on how to add custom PLC module styles, see Add a new PLC style.

Fan-In/Out Marker Style

Defines the default Fan In/Out marker style and the layers for wires going out of a Fan In/Out Source marker and those coming into a Destination marker.

TipFor instructions on how to add custom Fan-In/Out marker styles, see Add custom fan-in/out marker styles.

Layer List

Lists the Fan In/Out layers.

Add

Defines layer names as Fan In/Out layers.

Remove

Removes the selected layer from the defined layer list.

Wire Cross

Specifies the default mode of operation when wires cross each other: insert gap with no loop, insert gap, and loop, or solid (no gap).

Wire Tee

Specifies the default wire tee marker: none, dot, angle1, or angle2.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing properties: drawing format tab

Apply a drawing-specific format settings that are maintained inside the WD_M block of the drawing.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Drawing Format tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Drawing Format tab.

Ladder Defaults
Vertical/Horizontal | Specifies whether to create ladders horizontally or vertically.
Spacing | Specifies the spacing between each ladder rung.
Default: insert new ladders without references | Sets the default for the Insert Ladder command. New ladders you insert do not have line reference numbering, by default.
Width | Specifies the width of the ladder.
Multi-wire Spacing | Specifies the spacing between each wire in multi-wire phases.
Format Referencing

Specifies the default referencing system. There are three modes:

X-Y Grid

All referencing is tied to an X-Y grid system of numbers and letters along the left-hand side and top of the drawing. Set the vertical and horizontal index numbers and letters, spacing, and origin in the X-Y grid setup dialog box.

TipUse negative spacing values for Horizontal or Vertical if you want to change the origin of the X-Y grid system to be other than the upper left-hand corner of the drawing.

X Zones

Like X-Y Grid, but there is not a Y-axis. Set the horizontal labels, spacing, and origin on the X Zones setup dialog box.

TipUse a negative zone spacing value if you want the zone reference origin to be at the right side of the drawing.

Reference Numbers

Each ladder column has a column of assigned reference numbers.

Setup

Specifies how to display ladder line reference numbers - number only, numbers in a hexagon, the sheet and number values, and so on.

Scale
Feature Scale Multiplier | Sets the scale factor used when inserting new components or wire numbers on the drawing. To insert everything 25% bigger than normal, change the edit box value from 1.00 to 1.25. This change does not affect components and wire numbers that are already present on the drawing.
inch/inch scaled to mm/mm full size | Select inch if your drawing is to use library symbols from the JIC1/JIC125 libraries or mm full size for the metric scaled symbol libraries. It adjusts the wire connection trap distance that determines whether closely spaced wire ends connector not.
Tag/Wire Number Order

Sort Order

Sets the default wire numbering sort order for the active drawing. You can set sorting on a per-drawing basis and override the project-wide default setting defined in Properties [image] Wire Numbers dialog box. For example, you can set the wire numbers to go in a reverse order from the I/O point on a PLC I/O drawing, but have the wire numbers going from left to right for non-PLC I/O drawings.

Layers

Define

Defines and manages wire and component layers.

NoteNo matter what layer is current, wires always go to a wire layer and components to component layers.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Overview of project and drawing properties
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

X zones setup

Use this tool to insert the X grid labels for drawings that use X Zones for the Format Referencing. You can also change other settings from here (such as origin) instead of going back into the Drawing Properties dialog box.

NoteYour drawing must be configured for X Zones. Set the Format Referencing in the Drawing Properties [image] Drawing Format dialog box to X Zones.
Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] X Zones Setup. Does not exist on the ribbon.
Toolbar: Ladders
Command entry: AEXZONE
NoteYou can also access this dialog box from the Project Properties or Drawing Properties dialog boxes. Some options are not available when you access the dialog box through the properties dialog boxes.
Origin | Specifies the origin for the X Zone grid. Click pick to select the origin on the drawing or enter X and Y values. NoteThe Pick button is not available when accessed through the properties dialog box.
Spacing | Specifies the spacing between the grid columns. Enter the horizontal value.
Zone labels | (only available when accessed from the ribbon, toolbar, or menu) Specifies the labels for the grid columns. Enter the horizontal value. You can enter the first value only or a complete list. If you enter a list, separate the values with commas - such as "A, B, C, D."
Insert zone labels | (only available when accessed from the ribbon, toolbar, or menu) Specifies whether to insert the grid labels. If you select to insert the labels, enter the column counts.


Overview of project and drawing properties (Quick Reference)

Overview of project and drawing properties
Overview of project and drawing properties
Save settings to the project file
Drawing and Project Properties >
Overview of project and drawing properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

X-Y grid setup

Use this tool to insert the X-Y grid labels for drawings that use X-Y Grid for the Format Referencing. You can also change other settings from here (such as origin) instead of going back into the Drawing Properties dialog box.

NoteYour drawing must be configured for X-Y Grids. Set the Format Referencing in the Drawing Properties [image] Drawing Format dialog box to X-Y Grid.
Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] XY Grid Setup. Does not exist on the ribbon.
Command entry: Ladders
Command entry: AEXYGRID
NoteYou can also access this dialog box from the Project Properties or Drawing Properties dialog boxes. Some options are not available when you access the dialog box through the properties dialog boxes.
Origin | Specifies the origin for the XY grid. Click pick to select the origin on the drawing or enter X and Y values. NoteThe Pick button is not available when accessed through the properties dialog box.
Spacing | Specifies the spacing between the grid columns. Enter the horizontal and vertical values.
X-Y Format | Specifies the order that is used from the X-Y grid in determining the %N part of the tag. If it is set to Horizontal, the horizontal values of the grid are used as the first part, and the vertical value as the second. If Vertical is selected then the vertical values are used for the first part and the horizontal values used for the second. For example, you have Horizontal values of A - F and Vertical values of 1 - 9 and it is set to Horizontal. You might get a %N value of "B2"; if it is set to Vertical you might get a %N value of "2B."
Grid labels | (only available when accessed from the ribbon, toolbar, or menu) Specifies the labels for the grid columns. Enter the horizontal and vertical values. You can enter the first value only or a complete list. If you enter a list, separate the values with commas - such as "A, B, C, D."
Insert X-Y grid labels | (only available when accessed from the ribbon, toolbar, or menu) Specifies whether to insert the grid labels. If you select to insert the labels, enter the horizontal and vertical column counts.


Use replaceable parameters

Overview of project and drawing properties
Drawing and Project Properties
Save settings to the project file
Drawing and Project Properties >
Use replaceable parameters
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Drawing Properties dialog box makes use of codes as replaceable parameters that are encoded on to attributes of the invisible WD_M block of the drawing. For example, if you set your component tag format to be %F%N, this format is encoded on to the TAGFMT attribute of the WD_M block. When AutoCAD Electrical assigns a TAG to a component, this format is read and the codes are replaced with the appropriate values.

Replaceable parameters are also used for device tagging, cross-referencing, wire numbering, wire annotation, and graphical terminal strips.

For device tagging, cross-referencing and wire numbering

Defined in the Drawing Properties.

%F | Component family code string (for example, "PB," "SS," "CR," "FLT," "MTR")
%S | Sheet number of the drawing (for example, "01" entered in upper right)
%D | Drawing number
%G | Wire layer name
%N | Sequential or Reference-based number applied to the component
%X | Suffix character position for reference-based tagging (not present = end of tag)
%P | IEC-style project code (default for drawing)
%I | IEC-style installation code (default for drawing)
%L | IEC-style location code (default for drawing)
%A | Project drawing list's SEC value for active drawing
%B | Project drawing list's SUB-SEC value for active drawing

The %L and %I values used for cross-referencing are the Drawing Default Location and Installation values from the corresponding Parent or Child drawing and not the Location and Installation values of the component itself.If you have a Parent on a drawing that has a default Location of “M” and its child is on a drawing that has a default Location value of “MC,” the cross-referencing on the parent shows the “MC” (drawing default location value of the drawing the child is on) and the child shows the “M” (drawing default location value of the drawing the parent is on) no matter what the location value is on either the parent or child.

NoteIf you include %I or %L in the Tag code of the component, you are prompted to recalculate the tag if you change the Installation or Location value of the component once it is inserted.

Example of Component Tags

(For relay number 50 on sheet 3)

%F%S%N = CR350

%F%N = CR50

%F-%S-%N = CR-3-50

(For 3 push buttons on line reference 101 using reference-based tagging)

%F%N = PB101, PB101A,PB101B

%N-%F = 101-PB, 101-PBA,101-PBB

%N%X%F = 101-PB, 101A-PB,101B-PB

Example of Wire Number Formats

(For wire number 50 on sheet 3)

%S/%N = 3/50

%N = 50

W-%S%N = W-350

For defining wire annotation and graphical terminal strips
%P | Terminal pin text
%Q | Terminal pin TERMDESC text
%I | IEC-style installation code
%L | IEC-style location code
%M | Mount assignment (on panel footprint equivalent)
%U | Group assignment (on panel footprint equivalent)
%W | Wire number
%C | Cable tag + conductor/core color combination (format is "tag-color")
%E | Cable tag
%J | Cable conductor/core color
%V | Cable tag substituted for wire number if cable tag is non-blank. The wire number is displayed when a cable ID does not exist.
%G | Wire color/gauge (or wire layer name)
%H | Cable wire color substituted for wire number if cable color is non-blank. The wire layer is displayed when a wire conductor in conjunction with a cable ID does not exist.
%T | Terminal strip terminal pin assignment
%K | Terminal strip TERMDESC text - useful for multi-stack terminals
%1 | Destination component tag ID. You can use only one of the (%number) parameters.
%2 | Equivalent of "%1:%P" (comp tag:term)
%3 | Equivalent of "%1:%P:%D" (comp tag:term:termdesc)
%4 | Equivalent of "%L%1" (IEC comp tag)
%5 | Equivalent of "%L%1:%P" (tag:term)
%6 | Equivalent of "%L%1:%P:%D" (tag:term:termdesc)
%7 | Equivalent of "%I%I%1" (INST prefix+IEC comp tag)
%8 | Equivalent of "%I%L%1:%P" (tag:term)
%9 | Equivalent of "%I%L%1:%P:%D" (tag:term:termdesc)

The part after the colon(:) is suppressed if the value is blank in %2 - %9 parameters (for example, %2=comp tag:term). The ":term" part is suppressed if blank.


Save settings to the project file (Procedure)

Overview of project and drawing properties
Save settings to the project file
Settings List Utility
Drawing and Project Properties >
Save settings to the project file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Save settings to the project file

The changes you make to the configuration of the current drawing are saved on the invisible WD_M block of the drawing. You can save a copy of these settings to the project file. It makes the settings available as defaults for new drawings that you might add later to the project. Alternately, you can retrieve selected settings previously saved in the project file and assign them to the current drawing.

  1. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Settings Compare. Enter AESHEETCOMPARE at the command prompt.

    AutoCAD Electrical reads both the settings on the WD_M block of the current drawing and a copy of the settings maintained in the current project's .wdp file. Any differences are displayed in a three-column dialog box.

  2. Highlight the settings you want to copy over from the drawing to the project or vice versa or click Select All to change all the settings quickly.
  3. Click Match Project to make the settings of the drawing match the project defaults or click Match Drawing to make the settings of the project match the settings of the current drawing.
  4. Click OK.
NoteChanging these settings does not automatically change components and wiring already present in your drawing.


Save settings to the project file (Quick Reference)

Overview of project and drawing properties
Save settings to the project file
Settings List Utility
Drawing and Project Properties >
Save settings to the project file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Compare drawing and project settings

Displays differences between project defaults and drawing default properties and allows an update.

Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Settings Compare. Does not exist on the ribbon.
Toolbar: Drawing Properties
Menu: Projects [image] Settings CompareDoes not exist in the menus.
Command entry: AESHEETCOMPARE

This tool compares the general/schematic settings carried on the invisible WD_M block of the drawing with a copy of the settings saved in the project's .wdp project list file. You can update selected drawing settings (multiple selection is allowed) to make them match the values carried in the master project file or vice versa.

If the Settings Description cell displays in light blue the project and drawing settings do not match. When one column is matched to the other, the cell changes in color to indicate that the record were changed. The dialog box list updates automatically when you make changes and then switch between showing all settings or showing just the different settings.

NoteChanging these settings does not automatically change components and wiring already present in your drawing.
NoteYou can also access this dialog box by right-clicking a drawing name in the Project Manager and selecting Properties [image] Settings Compare.

You can also right-click any row to access the Match Project or Match Drawing options.

Show All | Shows all of the settings in the drawing.
Show Differences | Displays settings that are different between the WD_M block and the .wdp file.
Select All | Selects all of the settings in the list so you can quickly change all settings to match either the project or the drawing.
Match Project | Changes the selected drawing setting to make it match the project. Select the settings from the list, and then click the button.
Match Drawing | Changes the selected project default setting to make it match the drawing. Select the settings from the list, and then click the button.


Settings List Utility (Quick Reference)

Save settings to the project file
Settings List Utility
Settings List Utility
Drawing and Project Properties >
Settings List Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Edit report

Update Configuration Changes


Settings List Utility (Procedure)

Save settings to the project file
Settings List Utility
Create a template drawing
Drawing and Project Properties >
Settings List Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Settings List Utility

Reports the settings of each drawing in the project, and provides the means to edit the report and update the drawing properties with the edited values.

  1. Click Project tab [image] Other Tools panel [image] [image] [image] Settings List Utility. Enter AEDWGCFG at the command prompt.
  2. Click Edit Mode.
  3. Edit the values or change the drawing order.
  4. Click OK-Return to Report.
  5. Click Close.
  6. Select the options for update.
  7. Click OK.


Settings List Utility (Quick Reference)

Settings List Utility
Settings List Utility
Settings List Utility
Drawing and Project Properties >
Settings List Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Edit report

Ribbon: Project tab [image] Other Tools panel [image] [image] [image] Settings List Utility. Does not exist on the ribbon.
Menu: Projects [image] Extras [image] Settings List UtilityDoes not exist in the menus.
Command entry: AEDWGCFG

Click Edit Mode.

If you edit the information in the Configuration Report, you have an option to update the project and drawings with the new information. Re-order the lines with the Move Up, Move Down, Move to Top, and Move to Bottom buttons. If you re-order the lines, the order of the drawing list in the project file (.WDP) can be updated to match.

Move Up | Moves the currently selected lines up one place in the report.
Move Down | Moves the currently selected lines down one place in the report.
Move to Top | Moves the currently selected lines to the top of the report.
Move to Bottom | Moves the currently selected lines to the bottom of the report.
Edit

Edits the values of the currently selected line. Double-click any line to go directly into edit.

DWGNAM | Specifies the drawing name.
SEC | If you change any of the Sec data, the Section data held in the project file (.WDP) can be updated to match.
SUBSEC | If you change any of the Sub-Sec data, the Sub-Section data held in the project file (.WDP) can be updated to match.
SH | If you change any of the SH data, the Sheet (%S) field for that drawing can be updated to match.
SHDWGNAM | If you change any of the SHDWGNAM data, the Dwg no. (%D) field for that drawing can be updated to match.
IEC_P | If you change any of the IEC_P data, the IEC Project (%P) field for that drawing can be updated to match.
IEC_I | If you change any of the IEC_I data, the IEC Installation (%I) field for that drawing can be updated to match.
IEC_L | If you change any of the IEC_L data, the IEC Location (%L) field for that drawing can be updated to match.
SH-DESC | If you change any of the SH-DESC data, the Description data held in the project file (.WDP) can be updated to match.


Settings List Utility (Quick Reference)

Settings List Utility
Settings List Utility
Create a template drawing
Drawing and Project Properties >
Settings List Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Update Configuration Changes

Ribbon: Project tab [image] Other Tools panel [image] [image] [image] Settings List Utility. Does not exist on the ribbon.
Menu: Projects [image] Extras [image] Settings List UtilityDoes not exist in the menus.
Command entry: AEDWGCFG
  1. Click Edit Mode.
  2. Edit the values or change the drawing order.
  3. Click OK-Return to Report.
  4. Click Close.

If you edit the information in the Configuration Report, you have an option to update the project and drawings with the new information. Re-order the lines with the Move Up, Move Down, Move to Top, and Move to Bottom buttons. If you re-order the lines, the order of the drawing list in the project file (.WDP) can be updated to match.

Drawing Order (in .WDP) | Update the drawing order in the project file (.WDP).
Section (in .WDP) | Update the Section data held in the project file (.WDP).
Sub-Section (in .WDP) | Update the Sub-Section data held in the project file (.WDP).
Sheet (%S) (on drawing) | Update the Sheet (%S) data on each drawing.
Drawing (%D) (on drawing) | Update the Dwg no. (%D) data on each drawing.
IEC Project (%P) (on drawing) | Update the IEC Project (%P) data on each drawing.
IEC Installation (%I) (on drawing) | Update the IEC Installation (%I) data on each drawing.
IEC Location (%L) (on drawing) | Update the IEC Location (%L) data on each drawing.
Description (in .WDP) | Update the first Description data held in the project file (.WDP).


Create a template drawing (Procedure)

Settings List Utility
Create a template drawing
Updating the WD_M Block
Drawing and Project Properties >
Create a template drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Create a template drawing

Using a template, you can start a new drawing with the WD_M block inserted, settings adjusted, and standard AutoCAD Electrical layers predefined. With this template, AutoCAD Electrical does not have to pause and ask permission to insert the block as you start each new wiring diagram drawing.

  1. Open a new drawing or start with a copy of your standard drawing border/title block drawing.
  2. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.

    It triggers AutoCAD Electrical to insert the invisible WD_M block.

  3. In the Drawing Properties dialog box, modify any drawing settings (such as layer naming conventions and tagging formats) and click OK.
  4. Select Format [image] Layer to create any layers you referenced in the Drawing Properties dialog box.
  5. In the AutoCAD Layer Properties Manager dialog box, adjust layer colors and click Apply.
  6. Save the drawing as an AutoCAD Drawing Template file with a .DWT extension.

    This template appears in the list of saved templates the next time you open a new AutoCAD Electrical drawing.


Create a template drawing (Quick Reference)

Settings List Utility
Create a template drawing
Overview of the WD_M block
Drawing and Project Properties >
Create a template drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Drawing properties: drawing settings tab

Sets default values for a drawing.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Drawing Settings tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Drawing Settings tab.

Sets the values you enter for drawing description, project, installation, location, sheet, and drawing code. Sets the format for component tags, wire numbers, cross-references, PLC modules, signal arrows, ladders, and layers. Overrides the project properties set in the project Properties dialog box.

Drawing File
Project | Specifies the project that the drawing is found in. NoteIf the drawing is not in any of the currently open projects, "Drawing not in open project" displays instead of the project name. If the drawing is in an open project but it cannot be edited, "Project not available for edit" displays instead of the project name. This happens when a project file is read only, it is locked by someone else, it is not checked out in Vault, or the folder where the project is located is read only. When the project is not open or available for edit, you are unable to assign a description for the drawing.
Description 1-3 | Specifies up to three lines of description text for the drawing file. The description displays in title block updates and custom drawing properties. This is saved in the project .wdp file. Select from a list of predefined descriptions from the active project by clicking the arrow or select a description from the drawing by clicking Pick.
For Reference Only | Indicates that the drawing should not be included in tagging, cross-referencing, and reporting functions. If selected, the drawing is included in project-wide plotting and title block operations. This is saved in the project .wdp file.
IEC-Style Designators

Specifies IEC default values for the drawing, such as Project (%P), Installation (%I), and Location (%L) fields. When you insert a component, the %I and %L default values are used if the Installation and/or Location values would normally be blank.

Project Code | Specifies a project code for the WD_M block definition. This value can be used as the replaceable parameter %P.
Installation Code | Specifies the installation code for the WD_M block definition. This value can be used as the replaceable parameter %I.
Location Code | Specifies the location code for the WD_M block definition. This value can be used as the replaceable parameter %L.
Drawing | Displays a list of Installation or Location codes from the active drawing.
Project | Displays a list of previously defined Installation or Location codes in the active project or from the Default.INST or Default.LOC file.
NoteAvoid using a mixture of drawings in the project when using the Combine Installation/Location Tag mode. For example, do not include some drawings with drawing-wide Installation or Location values and some without drawing-wide values. It can result in a disruption of the child and parent component relationship under certain circumstances.
Sheet Values

Component, wire, and cross-reference tagging use replaceable parameters in their format. If you reference the drawing's sheet number or drawing number in any of your tagging formats, then specify a default drawing-wide value to use.

Sheet | Specifies the sheet number value for the drawing settings. This value can be used as the replaceable parameter %S.
Drawing | Specifies the drawing number value for the drawing settings. This value can be used as the replaceable parameter %D.
Section | Specifies the section value for the drawing file saved in the project definition file (.wdp). This value can be used as the replaceable parameter %A.
Sub-Section | Specifies the subsection value for the drawing file saved in the project definition file (.wdp). This value can be used as the replaceable parameter %B.


Updating the WD_M Block

Create a template drawing
Drawing and Project Properties
Overview of the WD_M block
Drawing and Project Properties >
Updating the WD_M Block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of the WD_M block

    Copy active drawing settings to


Updating the WD_M Block (Procedure)

Create a template drawing
Updating the WD_M Block
Overview of the WD_M block
Drawing and Project Properties >
Updating the WD_M Block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Change the WD_M block

Add missing attributes to the WD_M block


Overview of the WD_M block (Concept)

Updating the WD_M Block
Updating the WD_M Block
Using Layers
Drawing and Project Properties > Updating the WD_M Block >
Overview of the WD_M block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A special invisible block must be present on the drawing. The WD_M.dwg is found in the default symbol library. Here is an attribute list of information that is carried on the WD_M block of the drawing, sorted by category:

Drawing layout
SHEET or SHEET_ | sheet number for the drawing (%S)
SHEETDWGNAME | optional drawing number for the drawing (%D)
IEC_PROJ | optional IEC project code (%P)
IEC_INST | optional IEC installation code (%I)
IEC_LOC | optional IEC location code (%L)
UNIT_SCL | units scaling factor (1.0 = inch, 1.0 = full-size mm, 25.4 = inch scaled up to mm)
FEATURE_SCL | scaling adjustment (0 = default, 1.25=for 25% bigger)
Ladder defaults

RUNGHORV

ladder orientation: "H" = horizontal rungs (vertical ladders); "V" = vertical rungs (horizontal ladders)

REFNUMS

reference numbering system: ladder line-reference based or X-Y grid reference based

  • 1 = line reference numbers
  • 2 = numbers with ruling
  • 3 = user-defined line reference block
  • 4 = X-Y grid reference mode
  • 5 = X-Zone reference mode

RUNGDIST

default rung spacing

DLADW

default ladder width

RUNGINC

default rung-to-rung line reference increment (default = 1)

DRWRUNG

draw ladder rungs: 0 = none, 1 = draw all rungs for new ladder, 2 = skip 1, 3 = skip 2, and so on.

PH3SPACE

3-phase bus spacing value

Component tagging
TAGMODE | tag mode value: S = sequential, R = reference-based
TAG-START | starting sequential number of the drawing -for sequential tagging only (that is, "1")
TAG-RSUF | comma-delimited component tag suffix list -for reference-based tagging only (that is, "A, B, C")
TAGFMT | component tag format specifier (default=%F%N)
Wire number tagging

WIREMODE

wire number format: S = sequential, R = reference-based

WIRE-START

starting sequential number of the drawing - for sequential tagging only (that is, "100")

WIRE-RSUF

wire tag suffix list - for reference-based tagging only (that is, "A,B,C")

WIREFMT

wire tag format specifier (default=%N)

WINC

wire number increment

WLEADERS

wire leaders: 0 = only as required, 1 = always insert wire leaders, 2 = never insert leaders

GAP_STYLE

wire gap style: 0 = wire gap, 1 = use loops across gaps, 2 = solid crossing

(no gap)

SORTMODE

retag and wire numbering sort mode

WNUM_OFFSET

wire number placement offset distance (GBL_wd_wnum_offset); same as the project-wide +[19] value in the .wdp file. 0.0 or missing= centered on wire (default), >0.0 = offset from top or left end by given distance

WNUM_FLAGS

  • 1's bit set = (GBL_wd_inline_gap global) auto in line wire gap adjust "ON" (see WNUM_GAP attribute for settings list)
  • 2's +4's bits = 00 default wire number above wire
  • 01 = below wire
Layer names
TAG_LAY | component tag layer
TAGFIXED_LAY | fixed component tag layer
DESC_LAY | description layer of the parent component
CDESC_LAY | description layer of the child component
TERM_LAY | component terminal pin numbers layer
XREF_LAY | cross-reference layer of the parent component
CXREF_LAY | cross-reference layer of the child component
LOC_LAY | component location code layer
POS_LAY | component position code layer
MISC_LAY | miscellaneous layer
COMP_LAY | layer for schematic component graphics
LINK_LAY | dashed link lines layer
LOCBOX_LAY | location box layer
WIRELAYS | valid wire layer names where "" = all valid (comma-delimited)
WIRENO_LAY | valid wire number
WIRECOPY_LAY | extra wire number layer
WIREFIXED_LAY | fixed wire layer
WIREREF_LAY | terminal and signal arrow wire number layer
Fan In/Out
FAN_INOUT_LAYS | valid layer names for Fan In/Out, single-line wires (comma-delimited)
FAN_INOUT_STYLE | Fan In/Out symbol style number
Cross-reference
XREFFMT | cross-reference format specifier (default=%N)
ALT_XREFFMT | optional cross-reference format for inter-drawing references (that is, %S-%N)
XREF_STYLE | cross-reference style: 0 = text, 1 = graphical, 2 = table
XREF_FLAGS | 1's bit = include unused contacts, 2's bit (if table)= include parent coil
XREF_UNUSEDSTYLE | 0 = separate reference, 1 = contact count totals
XREF_FILLWITH | cross-reference fill-with text
XREF_SORT | 0 = sort by line reference, 1 = sort by pin list
XREF_TXTBTWN | cross-reference text between references (text style cross-referencing)
XREF_GRAPHIC | 0 = contact mapping (text), 1 = graphic
XREF_GRAPHICSTYLE | 0 = JIC, 1 = IEC
XREF_CONTACTMAP | contact mapping list
XREF_TBLSTYLE | table style name
XREF_TBLTITLE | table title
XREF_TBLINDEX | table fields to include
XREF_TBLFLDNAMS | table available field names
XREF_TBLCOLJUST | table fields justification
Referencing
DATUMX | X coordinate origin for X-Y or X-zone
DATUMY | Y coordinate origin for X-Y or X-zone
DISTH | horizontal interval spacing for X-Y or X-zone
DISTV | vertical interval spacing for X-Y referencing
CHAR_H | horizontal starting character for X-Y or X-zone
CHAR_V | vertical starting character for X-Y referencing
HOIRZ_FIRST | X-Y referencing format: 0 = V-H, 1 = H-V
XY_DELIM | X-Y delimiter character
Styles
PLC_STYLE | PLC module style code (default = 1)
ARROW_STYLE | default signal arrow style number
Miscellaneous

WNUM_GAP

list of 3 in line wire number/label gap settings (see WNUM_FLAGS bit 1 for toggle mode); value saved to GBL_wd_inline_gapas a list. nil or "(num1 num2 num3)"

MISC_FLAGS

miscellaneous flags

  • 0 = gap
  • 1 = loop
  • 2 = no gap
  • 1's bit = mm full-size
  • 2's bit = ignore non lay0 lay vector
  • 4's bit = use plc wire numbers
  • 8's bit = insert new ladders without references
  • 16's bit = search for PLC address on component insert
  • 32+64 bit =
    • 10 = none
    • 01 = angle 1
    • 11 = angle 2
    • 00 = dot


Overview of the WD_M block (Procedure)

Updating the WD_M Block
Up a level to ..
Overview of the WD_M block
Drawing and Project Properties > Updating the WD_M Block >
Overview of the WD_M block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Change the WD_M block

Add missing attributes to the WD_M block


Overview of the WD_M block (Quick Reference)

Create a template drawing
Overview of the WD_M block
Overview of the WD_M block
Drawing and Project Properties > Updating the WD_M Block >
Overview of the WD_M block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy active drawing settings to

Alert


Change the WD_M block (Procedure)

Overview of the WD_M block
Up a level to ..
Overview of the WD_M block
Drawing and Project Properties > Updating the WD_M Block >
Overview of the WD_M block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Change the WD_M block

You can change the WD_M block so that your settings are always the default.

  1. Open an existing AutoCAD Electrical drawing and set the properties and layer names.
  2. Save the drawing.
  3. Click Project tab [image] Other Tools panel [image] [image] [image] Update Symbol Library WD_M Block. Enter AECOPY2SYMLIB at the command prompt.
  4. Select the WD_M - schematic settings to modify and click OK.

    The settings and layer names are collected from the drawing and appropriate adjustments are made to the WD_M block.

  5. Save the modified WD_M drawing.
    NoteUpdate the version of your template drawing of the inserted WD_M block if a template drawing exists for your project.
  6. Open your template file.
  7. Click Project tab [image] Other Tools panel [image] [image] [image] Update to New WD_M Block, Values, Layers. Enter AESWAPWDM at the command prompt.

    The new version of the WD_M block replaces your existing one.


Add missing attributes to the WD_M block (Procedure)

Overview of the WD_M block
Up a level to ..
Using Layers
Drawing and Project Properties > Updating the WD_M Block >
Overview of the WD_M block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add missing attributes to the WD_M block

As AutoCAD Electrical adds new features, new attributes are sometimes added to the default WD_M block. However, if your drawing was created with an older WD_M block it may not carry these attributes. AutoCAD Electrical provides an easy way to swap older WD_M blocks with the new WD_M block.

  1. Select Project tab [image] Other Tools panel. Select one of the following options:

    Update to New WD_M Block, Values, Layers

    Replaces the schematic wd_m.dwg block in the current drawing with a newer copy, and converts to the newer configuration values and layers.

    Update to New WD_M Block, No Changes

    Replaces the schematic wd_m.dwg block in the current drawing with a newer copy, but keeps existing configuration values and layer names.

    Update to New WD_PNLM Block, Values, Layers

    Replaces the panel wd_pnlm.dwg block in the current drawing with a newer copy, and converts to the newer configuration values and layers.

    Update to New WD_PNLM Block, No Changes

    Replaces the panel wd_pnlm.dwg block in the current drawing with a newer copy, but keeps existing configuration values and layer names.

  2. Select the WD_M drawing to use as the new WD_M block in the drawing.
  3. Click Open.


Overview of the WD_M block (Quick Reference)

Overview of the WD_M block
Overview of the WD_M block
Overview of the WD_M block
Drawing and Project Properties > Updating the WD_M Block >
Overview of the WD_M block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy active drawing settings to

Writes the attribute settings for the wd_m block in the current drawing to the wd_m.dwg drawing file in the symbol library.

Ribbon: Project tab [image] Other Tools panel [image] [image] [image] Update Symbol Library WD_M Block. Does not exist on the ribbon.
Menu: Projects [image] Swap WD_M or WD_PNLM Blocks [image] Update Symbol Library WD_M BlockDoes not exist in the menus.
Command entry: AECOPY2SYMLIB

The WD_M and WD_PNLM blocks carry attribute values that define the default AutoCAD Electrical settings.

WD_M | Defines the default schematic settings.
WD_PNLM | Defines the default panel settings.


Overview of the WD_M block (Quick Reference)

Overview of the WD_M block
Overview of the WD_M block
Manage layers
Drawing and Project Properties > Updating the WD_M Block >
Overview of the WD_M block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Alert

A drawing needs an invisible block, WD_M.dwg, on the drawing to be compatible with AutoCAD Electrical.

The WD_M.dwg block is located in the default symbol library. This block carries about 50 attributes that define settings, layer names, and other default settings that are referenced by AutoCAD Electrical commands.

NoteIf the drawing includes panel layout symbols, the block WD_PNLM.dwg is also needed. The WD_M and WD_PNLM blocks can be present on the same drawing.

To insert a WD_M or WD_PNLM block

  • If the WD_M block is not present in a new or existing drawing, click OK to insert the block at location 0,0.
  • If the WD_PNLM block is not present in a new or existing drawing when using panel layout symbols, click OK to insert the block.
  • To force the drawing settings to match the project settings, select the check box.


Using Layers

Overview of the WD_M block
Drawing and Project Properties
Manage layers
Drawing and Project Properties >
Using Layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Manage layers

    Define layers

  • Use wire layers
  • Change wire types


Using Layers (Procedure)

Overview of the WD_M block
Using Layers
Manage layers
Drawing and Project Properties >
Using Layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Manage layers

Create wire layers

Add existing wire layers to the drawing

Change wire types


Manage layers (Quick Reference)

Overview of the WD_M block
Manage layers
Manage layers
Drawing and Project Properties > Using Layers >
Manage layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Define layers

Rename schematic or panel layers

Panel component layers


Manage layers (Procedure)

Using Layers
Up a level to ..
Use wire layers
Drawing and Project Properties > Using Layers >
Manage layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Manage layers

AutoCAD Electrical provides tools for managing and renaming panel and schematic layers. You can use your own layer naming convention with AutoCAD Electrical, as well as change the layer naming used on an existing AutoCAD Electrical drawing using the following tools.

Manage panel layers

  1. Click Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Configuration. Enter AEPANELCONFIG at the command prompt.
  2. Click Layers Setup.
  3. Specify information for the panel component layers, non-text graphic layers, and nameplate layers.

    When AutoCAD Electrical inserts a footprint, it is modified on the fly to match the layering scheme set up in this dialog box.

  4. Click OK.

Rename panel layers

The Rename Panel Layers tool makes it easy to rename layers one by one, or multiple layers at once by using the Find/Replace method. The advantage to using the AutoCAD Electrical layer rename is that in addition to renaming the layer, AutoCAD Electrical also updates the AutoCAD Electrical layer assignment information carried on the WD_PNLM block of the drawing. For example, if DEMO-PNPG is currently assigned as the Name Plate graphics layer and you rename it to PNPG using the AutoCAD Electrical rename layer utility, the new layer name is substituted for DEMO-PNP in the AutoCAD Electrical Panel layer name list.

  1. Click Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Rename Layers . Enter AERENAMEPANLELLAYER at the command prompt.
  2. To edit an individual layer name, select the layer to edit from the list and click Edit. Enter a new layer name and click OK.
  3. To edit multiple layer names, click Find/Replace.Enter the text to find and the text to replace it with in the edit boxes. Click OK.

Manage schematic layers

  1. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
  2. In the Drawing Properties dialog box, click the Drawing Format tab.
  3. In the Layers section, click Define.
  4. In the Define Layers dialog box, specify information for the component layers and wire number layers.

    The layer names you choose are what AutoCAD Electrical uses as it inserts the parts and pieces of component symbols and wire numbers. If the layer name you enter does not exist when it comes time for AutoCAD Electrical to insert something onto that layer, AutoCAD Electrical creates that layer on the fly.

  5. Click OK.
  6. In the Drawing Properties dialog box, click OK.
NoteYou can also change layer properties using the Project Manager tool. In the Project Manager, right-click on the drawing name and select Properties [image] Drawing Properties (or to change the project default settings, right-click on the project name and select Properties. The settings are applied to new drawings). In the Drawing Format tab, Layers section, click Define.

Rename schematic layers

The Rename Schematic Layers tool makes it easy to rename layers one by one, or multiple layers at once by using the Find/Replace method.

  1. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Rename Layers. Enter AERENAMELAYER at the command prompt.
  2. To edit an individual layer name, select the layer to edit from the list and click Edit. Enter a new layer name and click OK.
  3. To edit multiple layer names, click Find/Replace.Enter the text to find and the text to replace it with in the edit boxes. Click OK.
NoteYou can also change layer properties using the Project Manager tool. In the Project Manager, right-click on the drawing name and select Properties [image] Drawing Properties (or to change the project default settings, right-click on the project name and select Properties. The settings are applied to new drawings). In the Drawing Format tab, Layers section, click Define.


Manage layers (Quick Reference)

Manage layers
Manage layers
Manage layers
Drawing and Project Properties > Using Layers >
Manage layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Define layers

AutoCAD Electrical automatically manages the wire number and component layers you set up in the drawing settings. No matter which layer is active, wires always go to a wire layer and components go to component layers.

Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing PropertiesDoes not exist in the menus.
Command entry: AEPROPERTIES

In the Drawing Properties dialog box, click the Drawing Format tab. In the Layers section, click Define.

NoteYou can also change layer properties using the Project Manager tool. In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. (To change the project default settings, right-click the project name, and select Properties. The settings are applied to new drawings). In the Drawing Format tab, Layers section, click Define.

The layer names you choose are what AutoCAD Electrical uses as it inserts the parts and pieces of component symbols and wire numbers. It does not matter what layer is current at the time. If the layer name you enter does not exist when it comes time for AutoCAD Electrical to insert something onto that layer, AutoCAD Electrical creates that layer on the fly.

Component Block Layers

Displays layer names. Type layer names into the edit boxes. A blank entry inserts that category on the current layer. Multiple categories can be tied to the same layer name (enter the same layer name into multiple edit boxes).

When a schematic component is inserted, the graphics of the block are inserted onto the layer listed in the Non text Graphics box. The attribute text of the block is automatically moved to the layers listed in the other boxes, based upon attribute function.

Non-text Graphics | Layer name for all non attribute graphics of a symbol
Component Tags | Layer name for all parent and child component name tags (for example, "CR101")
Fixed Tags | Layer name for component tags that are fixed and are not changed if processed by the retag command
Description | Layer name for parent functional description text (for example, "MASTER RELAY")
Description (Child) | Layer name for child contact functional description text (a copy of the description of the parent)
Cross-reference | Layer name for parent cross-reference text
Cross-reference (Child) | Layer name for child cross-reference text
Pin Numbers | Layer name for terminal pin number text
Installation/Location | Layer name for optional location and installation code text
Positions | Layer name for switch position text
Miscellaneous Text | Layer name for all other component annotation
Dashed Link Lines | Layer name for dashed lines that can be inserted to show multiple components linked together
Location Box | Layer name for Location Boxes
Freeze | If a given layer name exists, use this switch (Freeze/Thaw) to hide (freeze) all attributes on that layer. For example, to hide all child cross-reference text, select Freeze next to the Cross-reference (child) edit box. You can also use the AutoCAD LAYER command to do the same thing.
Apply to entities on layer "0" only | As AutoCAD Electrical inserts a component, it moves the parts and pieces of the symbol to the category layers listed in this dialog box. If you do not want an attribute or the graphics of a specific electrical symbol block to move to the defined AutoCAD Electrical layers, create your symbol with the entities on some layer other than 0, and then select this switch.
Wire Number Layers

Displays wire number layers.

Wire Numbers | Layer name for normal wire numbers
Wire Copies | Layer name for extra wire number copies
Fixed Numbers | Layer name for fixed wire numbers that do not change when other wires are renumbered
Terminal/Signal | Layer name for wire number copies that are part of a terminal or signal arrow symbol

If your current layer is BORDER, when you use the AutoCAD Electrical icon menu to insert a 2-position selector switch. The lines and circles of the switch symbol automatically go to layer SYMS, the tag of the component to layer TAGS, the description text to DESC, switch position text to POS, and soon. If a new wire number inserts as a result of the switch breaking an existing numbered wire, the wire number automatically goes to layer WIRENO. All of this happens automatically, while your layer BORDER is current.


Manage layers (Quick Reference)

Manage layers
Manage layers
Manage layers
Drawing and Project Properties > Using Layers >
Manage layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Rename schematic or panel layers

Renames schematic-related layers and updates schematic drawing layer properties.

Rename Panel Layers
Ribbon: Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Rename Layers. Does not exist on the ribbon.
Toolbar: Panel Miscellaneous
Menu: Panel Layout [image] Miscellaneous Panel Tools [image] Rename Panel LayersDoes not exist in the menus.
Command entry: AERENAMEPANLELLAYER
Rename Schematic Layers
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Rename Layers. Does not exist on the ribbon.
Toolbar: Drawing Properties
Menu: Projects [image] Rename Schematic LayersDoes not exist in the menus.
Command entry: AERENAMELAYER

The Layer Rename and Panel Layer Rename utilities make it easy to rename layers one by one, or multiple layers at once by using the Find/Replace method.In addition to renaming the layer, this also updates the AutoCAD Electrical layer assignment information carried on the drawing's WD_M block.For example, if DEMO-WIRES is currently assigned as an AutoCAD Electrical wire layer, and you rename it using this utility, the new layer name is substituted for DEMO-WIRES in the AutoCAD Electrical wire layer name list.

Layer Name | Lists the drawing layer names referenced in either the Drawing Properties dialog box or the Panel Layout Configuration dialog box.
Find/Replace | Replaces a name or substring within a layer name.
Edit | Edits the selected layer name.


Manage layers (Quick Reference)

Manage layers
Manage layers
Use wire layers
Drawing and Project Properties > Using Layers >
Manage layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Panel component layers

Sets the panel component layers, non-text graphic layers, and nameplate layers. When AutoCAD Electrical inserts a footprint, it is modified on the fly to match the layering scheme set up in this dialog box.

Ribbon: Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Configuration. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Panel ConfigurationDoes not exist in the menus.
Command entry: AEPANELCONFIG

Click the Layers Setup button.

Panel Component Layers | Lists all of the component layers. Change the layer name for a tag by entering a new name in the edit box. If you do not want an attribute moved to a PNL layer, place that attribute on some other layer than “0” on the block. Then, click the Ignore above for symbol's non-layer “0” entities toggle.
Non-text Graphic Layers | When a panel component is inserted, the block is inserted on the current layer if it is one of those listed in the "Non-text Graphics" layer list (wild-cards allowed). If the current layer is not in this list, the block is inserted on the first layer in the list. Attributes are moved to the layer defined for its type.
Nameplate Layers | Lists existing nameplate layers for the graphics, tags, and descriptions.
F | (Available if a layer exists already) Freezes or thaws any of the panel layers.
Find/Replace | Performs a global find and replace on the layer names.


Use wire layers (Concept)

Manage layers
Using Layers
Change wire types
Drawing and Project Properties > Using Layers >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Set Wire Type tool is used for setting a wire type for new wires only. The wire layer name and the associated wire properties (such as wire color, size, and whether the wire layer is to be processed for wire numbers) are saved in the drawing file. The chosen wire layer for a new wire is determined by the following:

  • When a wire is created from an existing wire, the new wire takes on the same layer as the existing wire. It ignores the current layer and the current wire type.
  • When the new wire is started in empty space but ends at an existing wire, the new wire takes on the wire layer of the ending wire, ignoring the current layer and current wire type.
  • When a new wire is started at an existing wire and ends at another existing wire, the new wire takes on the layer of the beginning wire.
  • If there are no wire layers in the drawing, the new wire is drawn in the WIRES layer.
  • When a wire starts in empty space and ends at the component wire connection point (or vice versa), the new wire is drawn on the current wire type instead of the layer of the wires already tied to the same component connection points.

Use the Create/Edit Wire Type tool to create new or edit existing wire types or use the Change/Convert Wire Type tool to convert lines to wires.


Use wire layers (Procedure)

Manage layers
Up a level to ..
Use wire layers
Drawing and Project Properties > Using Layers >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create wire layers

Add existing wire layers to the drawing


Create wire layers (Procedure)

Use wire layers
Up a level to ..
Use wire layers
Drawing and Project Properties > Using Layers >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create wire layers

Wire layer names for drawings are set up in the Create/Edit Wire Type dialog box.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Enter AEWIRETYPE at the command prompt.
  2. In the Create/Edit Wire Type dialog box, click inside the Wire Color column for a blank row and specify a value for the new wire layer.
  3. Click inside the Size column and specify a value for the size.

    The Layer Name is automatically created. If you specified Wire Color: Red and Size: 20, the name RED_20 is assigned to the wire layer you are creating.

  4. If you do not want wires on this layer processed for wire numbers, select No for the Wire Numbering option.
  5. Click Color, Linetype, or Lineweight to assign values for the new layer.
    NoteIf you want the new wire layer to be the default, click Mark Selected as Default.
  6. Click OK.


Add existing wire layers to the drawing (Procedure)

Use wire layers
Up a level to ..
Change wire types
Drawing and Project Properties > Using Layers >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add existing wire layers to the drawing

Wire layer names for drawings are set up in the Create/Edit Wire Type dialog box.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Enter AEWIRETYPE at the command prompt.
  2. In the Create/Edit Wire Type dialog box, click Add Existing Layer.
  3. In the Layers for Line "Wires" dialog box, define the layer name and click OK. You can either enter a name in the edit box or click Pick to select a name from the existing layer list.

    The layer displays in the wire type grid. If you selected the wrong wire layer, highlight the layer in the dialog box and click Remove Layer. You can then go back into the Layers for Line "Wires" dialog box and select another layer to add.

  4. In the Create/Edit dialog box, click Color, Linetype, or Lineweight to assign new values for the layer.
  5. If you do not want wires on this layer processed for wire numbers, select No for the Wire Numbering option.
  6. Click OK.


Use wire layers (Quick Reference)

Manage layers
Use wire layers
Change wire types
Drawing and Project Properties > Using Layers >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create/edit wire type

Defines and edits wire types.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Does not exist on the ribbon.
Toolbar: Wires
Menu: Wires [image] Create/Edit Wire TypeDoes not exist in the menus.
Command entry: AEWIRETYPE

The program saves the wire layer name and associated properties, such as wire color, size, and whether the wire layer is to be processed for wire numbers, in the drawing file. Use the grid control to sort and select wire types to modify.

TipUse the Change/Convert Wire Type tool to convert lines to wires or type "T" at the command prompt during wire insertion to use the Set Wire Type tool.
Wire type grid

Displays the wire types used in the active drawing. The wire layer name and the wire properties like color, size, whether the wire layer is to be processed for wire numbers, and user-defined properties are listed in the grid. An “x” in the Used column indicates that the layer name is currently used in the drawing; a blank value in this column indicates that the layer name exists in the drawing but it is not currently being used. The current wire type is highlighted with a gray background; selected wire types highlight in blue.

If you do not want wire numbers assigned to wires on a specific layer, select “No” Wire Numbering for that layer. The Insert Wire Numbers command follows these rules:

  • If all wires in the network are on layers set “No” for Wire Numbering, no new wire number is inserted.
  • If any wire in the network is on a layer set “Yes” for Wire Numbering, the existing non-fixed wire number is updated or a new wire number is inserted.
  • If a wire network already has a non-fixed wire number, it is updated regardless of the Wire Numbering setting. Use the Delete Wire Numbers command to remove the wire number.
NoteManually maintain wire layer type consistency through signal arrows.

To rename the User1- User 20 column headers, right-click the project name in the Project Manager and select Properties. In the Project Properties [image] Wire Numbers dialog box, Wire Type section, click Rename User Columns. In the Rename User Columns dialog box, specify a new column name and click OK. Renaming of user-defined columns is project-specific. You cannot rename the Color, Size, or Layer Name columns. All of the data corresponding to the header column can be copied, cut, and pasted to another column.

All text fields are editable except for the Layer Name cell. It cannot be edited for existing layers. Left-click to edit the cell or right-click in a cell to display options for modifying the cell contents. If you want to rename a layer, right-click on a cell and select Rename Layer. Right-click options include: Copy, Cut, Paste, Delete Layer, and Rename Layer. You cannot delete or remove a layer if it is the default layer.

You can select multiple layers to edit or remove by using the Shift or Ctrl keys on your keyboard while picking the wire layer in the wire type list.

You can move the wire type records inside the grid to whatever position you want using drag and drop. Select the wire type records to move and drag to the new position in the grid.

Option

Make All Lines Valid Wires

Makes all existing layers valid wire layers and displays them in the wire type grid.

Once you select to make all of the layers valid wire layers, you can deselect this option if you later decide you want some layers to be wire layers and others to be line layers. All the layers are removed from the wire type grid. Add layers again using the Add Existing Layer option.

Layer

Allows you to format the layer name, define or edit the layer color, linetype, and line weight.

Layer Name Format

Format the layer name. The program should fill the layer name automatically once you enter a value in color, size based on the format. For example if you enter BLK for color and 10AWG for size, then the layer name is filled in automatically as BLK_10AWG based on default %C_%S format. Placeholders are supported at any place in the format (that is, "CUST%C-THIN%S).

Valid wire name format codes are:

  • %C = Wire Color
  • %S = Wire Size
  • %1-%5 = User 1 - User 5

Color

Displays the AutoCAD dialog box for Layer colors election. The Select Color dialog box highlights the color corresponding to the wire type record. The default color for new records is white. Undefined colors for layers use the default color while creating the layer. Multiple selection is allowed. All wire layers that were selected can be changed to the color.

Linetype

Displays the AutoCAD dialog box for linetype selection. This Select Linetype dialog box highlights the linetype corresponding to the wire type record. The default linetype for new records is continuous. Undefined linetypes for layers use the default linetype while creating the layer. Multiple selection is allowed. All wire layers that were selected can be changed to the desired linetype.

NoteIf you need special linetypes for constructing P&ID or point to point diagrams, load the special linetypes from theacade.lin text file.

Lineweight

Displays the AutoCAD dialog box for lineweight selection. The Lineweight dialog box highlights the lineweight corresponding to the wire type record. The default lineweight for new records is default. Undefined lineweights for layers should use the default lineweight while creating the layer. Multiple selection is allowed. All wire layers that were selected can be changed to the desired lineweight.

Add Existing Layer

Displays the Layers for Line Wires dialog box for specifying a layer name. You can also click Pick to select the layer name from the existing layer list that consists of all the layers in the drawing inclusive of the non-wire layers.

Only lines on pre-selected layers are processed as wires. Enter a wire layer name in the dialog box. A wildcard used in the name selects a group of layers (for example, RED_* selects all layers that begin with "RED_").

Remove Layer

Removes the selected layer name from the wire type grid. The layer is no longer a valid wire layer, however the layer remains in the drawing as an AutoCAD line layer.

If multiple layers of one color exist in the drawing, you must select all layers of that color in the wire type grid to activate this button. For example, if there are multiple RED* layers such as RED_AWG18, RED_AWG20,and RED_AWG25, you must select all three layers in the wire type grid to enable the button.

NoteOnly unused layers in the active drawing can be deleted.

Mark Selected as Default

Makes the selected layer the default layer for new wire layers and displays the layer name in the dialog box.

OK
NoteThis is available only when one wire type record is selected in the list.

Makes the selected wire type the current wire type. If the selected wire type does not exist on the drawing, the wire layer is created on the fly and the wire layer name and properties are saved in the drawing file. In order for the layer to create the following rules apply:

  • The layer name must be unique
  • The layer name cannot be left blank
  • The layer name cannot contain special characters such as / \ " : ; ? * | , = ' > <


Change wire types (Quick Reference)

Use wire layers
Change wire types
Change wire types
Drawing and Project Properties > Using Layers >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change/convert wire type

Set wire type


Change wire types (Procedure)

Use wire layers
Up a level to ..
Split a tag name into two pieces
Drawing and Project Properties > Using Layers >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change wire types

You can change the wire type using the Change/Convert Wire Type tool or by typing a "T" at the command prompt during wire insertion commands.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Change/Convert Wire Type. Enter AECONVERTWIRETYPE at the command prompt.

    Optionally, you can right-click on an existing wire and select Change/Convert Wire Type.

  2. In the Change/Convert Wire Type dialog box, select a wire type record in the wire type list, or click Pick to select a wire type record from the drawing.

    If you right-clicked on a wire and selected Change/Convert Wire Type, in the Change/Convert Wire Type dialog box, the wire type corresponding to the selected wire layer is highlighted in the list.

  3. Make any selections in the dialog box.

    If Change all wires in the wire network is selected, all wires in the wire network are changed to the new wire type. If unselected, only the selected wire is changed.

    If Convert Lines to Wires is selected, the selected lines are changed to the new wire type. If unselected, the lines are ignored.

  4. Click OK.
  5. Select the wires or lines in the drawing to change and press Enter.
Override wire type at command prompt

During wire insertion, the current wire type displays at the command prompt. You can override this by typing in the hot key "T" and selecting a new wire type from the Set Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the wire insertion. Use the following commands:

  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire.Enter AEWIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 22.5 Degree.Enter AE225WIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 45 Degree.Enter AE45WIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 67.5 Degree.Enter AE675WIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus.Enter AEMULTIBUS at the command prompt.
  • Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Add Rung.Enter AERUNG at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder.Enter AELADDER at the command prompt.
NoteIf you select Another Bus (Multi-Wire) in the Multiple Wire Bus dialog box, the wires are drawn on the same wire layer as that of the existing wire bus; you do not have the ability to type "T" to change the wire type during wire insertion.


Change wire types (Quick Reference)

Change wire types
Change wire types
Change wire types
Drawing and Project Properties > Using Layers >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change/convert wire type

This tool converts lines to wires. Use the grid control to sort and select the wire types for easy modification.

TipUse the Create/Edit Wire Type tool to create and edit wire types or type "T" at the command prompt during wire insertion to use the Set Wire Type tool.
Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Change/Convert Wire Type. Does not exist on the ribbon.
Toolbar: Wires
Menu: Wires [image] Change/Convert Wire TypeDoes not exist in the menus.
Command entry: AECONVERTWIRETYPE

You can also right-click on an existing wire and select Change/Convert Wire Type.

Wire type grid

Displays the wire types used in the active drawing. The wire layer name and the wire properties like color, size, whether the wire layer is to be processed for wire numbers, and user-defined properties are listed in the grid. An 'x' in the Used column indicates that the layer name is currently used in the drawing; a blank value in this column indicates that the layer name exists in the drawing but it is not currently being used.

A “No” in the Wire Numbering column indicates that wires on this layer will not receive a wire number. The Insert Wire Numbers command follows these rules:

  • If all wires in the network are on layers set “No” for Wire Numbering, no new wire number is inserted.
  • If any wire in the network is on a layer set “Yes” for Wire Numbering, the existing non-fixed wire number is updated or a new wire number is inserted.
  • If a wire network already has a non-fixed wire number, it is updated regardless of the Wire Numbering setting. Use the Delete Wire Numbers command to remove the wire number.
NoteYou should manually maintain wire layer type consistency through signal arrows.

To rename the User1- User 20 column headers, right-click the project name in the Project Manager and select Properties. In the Project Properties [image] Wire Numbers dialog box, Wire Type section, click Rename User Columns. In the Rename User Columns dialog box, specify a new column name and click OK. Renaming of user-defined columns is project-specific. You cannot rename the Color, Size, or Layer Name columns. All of the data corresponding to the header column can be copied, cut, and pasted to another column.

Pick

Allows you to pick a wire or line in the active drawing. Once you pick a wire, the corresponding wire type record is highlighted. If you pick a line in the active drawing, you can add the layer where the line resides to the list of valid wire layers. A new wire type record is created automatically.

Change/Convert
Change All Wire(s) in the Network | Changes all the wires in the wire network to the selected wire type record. If unselected, only a single wire is changed to the selected wire type.
Convert Line(s) to Wire(s) | Changes the lines to the selected wire type in the wire type grid.
OK
NoteThis is available only when one wire type record is selected in the list.

Makes the selected wire type the current wire type. If the selected wire type does not already exist on the drawing, the wire layer is created on the fly and the wire layer name and properties are saved in the drawing file. In order for the layer to create the following rules apply:

  • The layer name must be unique
  • The layer name cannot be left blank
  • The layer name cannot contain special characters such as / \ " : ; ? * | , = ' > <


Change wire types (Quick Reference)

Change wire types
Change wire types
Optional ENV file assignment for current project
Drawing and Project Properties > Using Layers >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Set wire type

This tool sets wire types for new wires. Use the grid control to sort and select the wire types for easy modification.

TipUse the Create/Edit Wire Type tool to create and edit wire types or the Change/Convert Wire Type tool to convert lines to wires.

Type "T" at the command prompt during wire insertion.

Wire type grid

Displays the wire types used in the active drawing. The wire layer name and the wire properties like color, size, whether the wire layer is to be processed for wire numbers, and user-defined properties are listed in the grid. An 'x' in the Used column indicates that the layer name is currently used in the drawing; a blank value in this column indicates that the layer name exists in the drawing but it is not currently being used.

A “No” in the Wire Numbering column indicates that wires on this layer will not receive a wire number. The Insert Wire Numbers command follows these rules:

  • If all wires in the network are on layers set “No” for Wire Numbering, no new wire number is inserted.
  • If any wire in the network is on a layer set “Yes” for Wire Numbering, the existing non-fixed wire number is updated or a new wire number is inserted.
  • If a wire network already has a non-fixed wire number, it is updated regardless of the Wire Numbering setting. Use the Delete Wire Numbers command to remove the wire number.
NoteYou should manually maintain wire layer type consistency through signal arrows.

To rename the User1- User 20 column headers, right-click the project name in the Project Manager and select Properties. In the Project Properties [image] Wire Numbers dialog box, Wire Type section, click Rename User Columns. In the Rename User Columns dialog box, specify a new column name and click OK. Renaming of user-defined columns is project-specific. You cannot rename the Color, Size, or Layer Name columns. All of the data corresponding to the header column can be copied, cut, and pasted to another column.

OK
NoteThis is available only when one wire type record is selected in the list.

Makes the selected wire type the current wire type. If the selected wire type does not exist on the drawing, the wire layer is created on the fly and the wire layer name and properties are saved in the drawing file. For the layer to create, the following rules apply:

  • The layer name must be unique.
  • The layer name cannot be left blank.
  • The layer name cannot contain special characters such as / \ " : ; ? * | , = ' > <.


Symbol Libraries

Change wire types
Determine symbol block names
Symbol Libraries
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Determine symbol block names
  • Library Symbol Naming Conventions
  • Split a tag name into two pieces
  • Use multiple symbol libraries
  • Overview of one-line symbols
  • Overview of Hydraulic and P&ID symbols
  • Attribute Requirements
  • Managing Library Symbols
  • Symbol Builder


Determine symbol block names

Symbol Libraries
Symbol Libraries
Library Symbol Naming Conventions
Symbol Libraries >
Determine symbol block names
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The symbol folder contains hundreds of component symbols in standard AutoCAD ".dwg" file format. They are referenced by AutoCAD Electrical and its icon menuing system and are inserted as standard AutoCAD blocks with attributes. There are two ways to determine the block name of an existing symbol:

METHOD A

Insert the symbol from the AutoCAD Electrical icon menu and then use the AutoCAD LIST command to display the block name. Add the appropriate library path as a prefix to this block name to obtain the path to the ".dwg" file of the symbol. The default library path is

  • Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\
  • Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\
METHOD B

The icon menu file lists the symbol descriptions and file names of all components referenced in the AutoCAD Electrical icon menuing system. You can pick the symbol names from this file. Here is an example of how the data looks in this file.

"On delay coil | S2(SHTD1N) | HTD1N".

The "|" characters divide the entry into three sections. The first piece is the description that appears in the side bar of the menu, the second in a slide-library reference, and the third is the actual symbol file name. In this example, the file name of the library symbol is htd1n.dwg. The vertical version of this symbol is vtd1n.dwg.

You can select a different name for a component family by creating or editing the WD_FAM.dat file. For example, to limit switches be tagged "LIM" instead of "LS" and you want pilot lights to be "PL" instead of "LT", you would add the following two lines to the file (or create the file if it does not exist):

LS,LIM

LT,PL

The change takes effect when you exit and reload AutoCAD Electrical. New limit switch components you insert receive the "LIM" family code annotation instead of the library default of "LS," and pilot lights are tagged with "PL" instead of "LT." Use the RETAG command to update previously inserted components.


Library Symbol Naming Conventions

Determine symbol block names
Symbol Libraries
Overview of symbol naming conventions
Symbol Libraries >
Library Symbol Naming Conventions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of symbol naming conventions


Overview of symbol naming conventions

Library Symbol Naming Conventions
Library Symbol Naming Conventions
Split a tag name into two pieces
Symbol Libraries > Library Symbol Naming Conventions >
Overview of symbol naming conventions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical depends on a specific naming convention to enable some of its automation features to work. Though not mandatory, follow the naming convention outlined in the following section if you create new AutoCAD Electrical-smart symbols for use with AutoCAD Electrical. Custom symbols can take full advantage of the AutoCAD Electrical features.

Cable Marker Symbols

AutoCAD Electrical cable conductor marker symbols follow this convention:

  • The first character is "H" or "V" for horizontal wire or vertical wire insertion.
  • The next two characters are "W0." A zero (0) means that the symbol does not trigger a wire number change through it.
  • The fourth character is either 1 or 2: "1" for parent marker or "2" for child marker.
  • The remaining characters are not specified.

Examples:

HW01.dwg | Parent cable conductor marker, horizontal wire insertion
HW02.dwg | Child cable marker, horizontal wire insertion
VW01.dwg | Parent cable conductor marker, vertical wire insertion
VW02.dwg | Child cable marker, vertical wire insertion

Components - General

Schematic components such as relays, switches, pilot lights, and discrete motor control devices (but not PLC I/O symbols) follow this naming convention:

  • 32-character block name maximum, first character is either "H" or "V" for horizontal or vertical wire insertion.
  • The next two characters are reserved for family type (for example, PB for push buttons, CR for control relays, LS for limit switches). A zero (0) as the second character of the family type (for example, a 0 in the overall symbol name) means that the symbol does not trigger a wire number change through it. (For example, T0 for terminals, W0 for cable markers, C0 for connectors.)
  • The fourth character is generally a 1 or a 2: 2 for child contacts and 1 for everything else (parent or standalone component).
  • If the symbol is a contact, then the fifth character is a 1 for normally open, 2 for normally closed.
  • The remaining characters are not specified. They are used to keep names unique.

Examples:

HCR1.dwg | Control relay coil, horizontal rung insertion
VCR1.dwg | Control relay coil, vertical rung insertion
HCR21.dwg | Horizontal relay contact, N.O.
HCR22.dwg | Horizontal relay contact, N.C.
HCR22T.dwg | Horizontal relay contact, N.C., with in-line terminal numbers
VPB11.dwg | Vertical push button, parent contact, N.O.
VPB21.dwg | Vertical push button, child contact, N.O.
HLS11.dwg | Horizontal limit switch, parent, N.O.
HLS11H.dwg | Horizontal limit switch, parent, N.O. Held closed
VLT1RP.dwg | Vertical pilot light, red, press-to-test
HW01.dwg | Horizontal cable marker, no wire number change through it

Component Location Mark Symbols

AutoCAD Electrical expects the location symbol names to begin with the characters "WDXX."

Configuration and Ladder Master Line Reference Symbols

AutoCAD Electrical expects to find these block inserts:

WD_M.dwg | Block insert consisting of about 50 invisible attributes. They carry the settings of the drawing.
WD_PNLM.dwg | Optional block insert consisting of several invisible attributes. They carry the settings of the drawing for panel layout functions.
WD_MLRH.dwg | Block insert that carries the first line reference number of a ladder and additional information such as rung spacing and ladder length.
WD_MLRV.dwg | Same as previous symbol, but for a ladder that lies on its side.
WD_MLRHX.dwg | Optional, user-defined alternative to WD_MLRH.dwg. AutoCAD Electrical uses this symbol name when you select 'User Block' from the Line Reference Numbers subdialog box of the Drawing Properties [image] Drawing Format dialog box (on the Drawing Properties [image] Drawing Format dialog box, Format Referencing section, select Reference Numbers and click Setup).
WD_MLRVX.dwg | Same as previous symbol, but for a ladder that lies on its side.
NoteThe ladder line reference block used by AutoCAD Electrical is determined by the ladder reference configuration selected in the Format Referencing section of the Drawing Properties [image] Drawing Format dialog box.

Connector Symbols

  • The first character is "H" or "V" for horizontal or vertical orientation.
  • The next two characters are "CN" for connector.
  • The fourth character is either 1 or 2: 1 for parent or 2 for child.
  • The fifth character is "_"
  • The sixth character is 1-9 for the style number.
  • The seventh character:

    (Combo) specifies the plug or jack ID: P = Plug, J = Jack (Receptacle)

    (Only) specifies the wire direction: 1 = right, 2 = top, 4 = left; and 8 = bottom.

  • The eighth character is either "P" or "J": P = Plug, J = Jack (Receptacle)

Examples:

HCN1_14P.dwg | Horizontal parent - single (plug) wiring connects from left or bottom
VCN2_18P.dwg | Vertical child - single (plug) wiring connects from left or bottom
HCN1_11J.dwg | Horizontal parent - single (receptacle) wiring connects from right or top
VCN2_12P.dwg | Vertical child - single (plug) wiring connects from right or top

Upon completion of the parametric build connector, a unique new block definition is created. Each connector is labeled with a unique naming convention within the same project.

HCN1_14P_nnn | Horizontal connector; where “nnn” is a random number for uniqueness
VCN1_18P_nnn | Vertical connector; where “nnn” is a random number for uniqueness

Hydraulic Symbols

The maximum number of characters for the block name is 32.

  • The first character is "H" or "V" for horizontal wire or vertical.
  • The next two characters are the first two letters of the family name (for example, FI for filters, CY for cylinders, PM for pumps). See Overview of Hydraulic and P&ID symbols for a list of symbol family names.
  • The fourth character is "1" for hydraulic symbols - stand-alone component.
  • Use "_" and enter a meaningful name corresponding to the symbol.

Example:

HCYL1_plunger_cyl.dwg

Horizontal standalone cylinder; plunger_cyl is the meaningful name for the symbol

Inline Wire Marker Symbols

Construct dumb inline wire marker symbols with a tiny piece of "pigtail" line entity at each connection point. It can be small, but it must be present for AutoCAD Electrical to correctly "see" the in-line inserted block as it traces the wire network. Inline wire marker symbols follow this naming convention:

  • The first character is "H" or "V" for horizontal wire or vertical wire insertion.
  • The next three characters are "T0_"
  • The remaining characters are undefined.

Example:

HT0_RED.dwg

"RED" inline marker, horizontal wire insert

One-line Symbols

One-line symbols follow the same naming convention as schematic parent and child symbols. To make the symbol names unique, the one-line symbol block names have a “1-” suffix. However, the symbol name does not define the symbol as a one-line symbol. A one-line symbol is defined by the existence of a WDTYPE attribute with a value of “1-” on the symbol, or a value of “1-1” for a one-line bus-tap symbol.

The bus-tap symbol can have two functions:

  • Provide an anchor point for the one-line circuit representation that begins at this point.
  • Break into the one-line bus where the circuit connects.

On a dual circuit one-line template, there are three of these. One at the normal point where the circuit ties into the bus. There is another version of the symbol on each of the two circuit "legs", each marking the point where that part of the dual circuit starts. These bus-tap symbols allow various reports to accurately report on a one-line circuit, whether a single circuit or a dual circuit representation.

The following bus-tap symbols are supplied:

  • HDV1_BT_1-.dwg - with “dot” for horizontal one-line circuit
  • VDV1_BT_1-.dwg - with “dot” for vertical one-line circuit
  • HDV1_BTT_1-.dwg - “tee” connection for dual horizontal circuit
  • VDV1_BTT_1-.dwg - “tee” connection for dual vertical circuit
  • HDV1_BTL_1-.dwg - “corner” connection for dual horizontal circuit
  • VDV1_BTL_1-.dwg - “corner” connection for dual vertical circuit
NoteA bus-tap symbol is identified by a WDTYPE attribute with a “1-1” value.

P&ID Symbols

The maximum number of characters for the block name is 32.

  • The first character is "H" or "V" for horizontal wire or vertical.
  • The next two characters are the first two letters of the family name (for example, GV for diaphragm valves, IN for instruments, N for nozzles). See Overview of Hydraulic and P&ID symbols for a list of symbol family names.
  • The fourth character is "1" for P&ID symbols - stand-alone component.
  • Use "_" and enter a meaningful name corresponding to the symbol.

Example:

VTK1_ver_tank.dwg

Vertical standalone cyclone; ver_tank is the meaningful name for the symbol

Panel Layout Footprint Symbols

There is not a required naming convention to follow, but the name must adhere to the AutoCAD 32-character block name limit.

Parametric Twisted Pair Symbols

A parametrically generated twisted pair representation consists to two instances of the same symbol (there are no parent/child versions). This symbol must carry attribute ACE_FLAG with a value of "3." Parametric twisted pair symbols follow this naming convention:

  • The first four characters are "HT0_" or "VT0_" for horizontal or vertical parametric symbols.
  • The remaining characters can be anything (default is set to "TW")

Examples:

HT0_TW.dwg | Horizontal parametric connector symbol
VT0_TW.dwg | Vertical parametric connector symbol

PLC I/O Parametric Build Symbols

These symbols begin with "HP" or "VP" (horizontal rung versus vertical) followed by a digit 1 through 9. The digit corresponds to the selected PLC module style or look. (1 through 5 are provided in the AutoCAD Electrical library, 6 through 9 can be user-defined).

Plug/Jack Connector Pin Symbols

AutoCAD Electrical connector symbols follow this convention:

  • The first character is "H" or "V" for horizontal wire or vertical wire insertion.
  • The next two characters are "C0" if the connector does not trigger a wire number change through it. (The "0" means that the wire number does not change, or "CN" if the connector DOES trigger a wire number change.)
  • The fourth character is either 1 or 2: 1 for parent marker or a 2 for child marker.
  • The remaining characters are not specified.

Splice Symbols

Splices follow this naming convention:

  • The first four characters are "HSP1" or "VSP1" for horizontal or vertical splices.
  • The fifth through seventh characters are "001", "002", "003," and so on.

Examples:

HSP1001.dwg | Horizontal splice #1
VSP1001.dwg | Vertical splice #1
HSP1003.dwg | Horizontal splice #3

Source/Destination Wire Signal Arrow Symbols

AutoCAD Electrical wire signal arrow symbols follow this convention:

  • The first four characters of these symbol names are either "HA?S" for source signal arrows or "HA?D" for destination symbol arrows. The "?" character is the arrow style digit (1 through 4 are provided in the AutoCAD Electrical library and 5 through 9 can be user-defined).
  • Characters 5 through 11 can be user-defined.

You can create your own arrow styles using these unused digits (for example, HA5S... and HA5D...). For example, copy Autodesk\Acade {version}\Libs\jic1\ha1s*.dwg to ha5s*.dwg and Autodesk\Acade {version}\Libs\jic1\ha1d*.dwg to ha5d*.dwg. Access each copied arrow symbols in AutoCAD and edit to suit. Then, to access your new arrow style, set the default arrow style to "5" in the Drawing Properties [image] Styles dialog box.

Standalone Cross-reference Symbols:

Same naming convention as the Source/Destination Signal symbols (that is, HA?S* and HA?D*) but without a WIRENO attribute present on the symbol.

Stand-alone PLC I/O Point Symbols

These symbols begin with "PLCIO" and can be up to 32 characters long. There is no naming convention referenced by AutoCAD Electrical other than the "PLCIO" prefix.

Examples:

PLCIO50E1761-L16AWA.dwg | AB 1761 model L16-AWA with 0.5 unit rung spacing
PLCIOI1T.dwg | Standalone input point, single wire connection

Standalone Terminal Symbols

Stand-alone terminals follow this naming convention:

  • The first two characters are "HT."
  • The third character is "0" if the wire number does not change through the terminal, "1" if the terminal symbol should trigger a wire number change.
  • The fourth character is an underscore (_) if the terminal carries no attributes for AutoCAD Electrical to process (such as a dumb, unannotated terminal symbol). Otherwise, the fourth through eighth character positions of the symbol file name are user-defined.

Examples:

HT0001.dwg | Square terminal with annotation, wire number does not change
HT1001.dwg | Same as previous symbol, but wire number changes through the terminal
HT0_01.dwg | Dumb, square terminal with no annotation, no wire number change

User-defined Symbols

AutoCAD Electrical user-defined symbols follow this convention:

  • The first character is "H" or "V" for horizontal wire or vertical wire insertion.
  • The next two characters are "ZA" through "ZZ."
  • The remaining characters can be user-defined.

Wire Dot Symbols

AutoCAD Electrical expects this symbol name to be "WDDOT.dwg."

Wire Number Symbols

An AutoCAD Electrical wire number is a block insert consisting of a single wire number attribute. The origin of the block insert lies on its wire with the wire number attribute floating above, below, or off to the side of the insertion point of the block.

Examples:

WD_WNH.dwg | Wire number for horizontal wire insertion
WD_WNV.dwg | Wire number for vertical wire insertion
WD_WCH.dwg | Extra wire number copy for horizontal wire
WD_WCV.dwg | Extra wire number copy for vertical wire

AutoCAD Electrical also supports inline wire numbers that follow the value of the main wire number. An inline wire marker has a block name that follows that of a terminal symbol that does not trigger a wire number change.

Examples:

HT0_W1.dwg | Inline wire number marker, horizontal wire insertion, short wire number
HT0_W3.dwg | Inline wire number marker, horizontal wire insertion, longer wire number
VT0_W1.dwg | Inline wire number marker, vertical wire insertion, short wire number
VT0_W2.dwg | Inline wire number, vertical wire insertion, medium wire width, vertical wire insertion
Family type

The second and third characters of the symbol name are reserved for family type (for example, PB for push buttons, CR for control relays, LS for limit switches). The family type can be used to determine the catalog lookup table name and the tag name for a component. The library symbols supplied with AutoCAD Electrical use the following family types.

Family Type | Description
AM | Ammeters
AN | Buzzers, horns, bells
BA | Batteries
BV | Ball Valves
C0, CN | Connectors/pins
CA | Capacitors
CB | Circuit breakers
CR | Control relays
DB | Distribution blocks
DI | Diodes
DN | Device networks
DR | Drives
DS | Disconnect switches
DV | Device boxes
EN | Enclosures/hardware
FL | Level switches
FM | Frequency meters
FS | Flow sensors
FT | Foot switches
FU | Fuses
GV | Gate valves
LR | Latching relays
LS | Limit switches
LT | Lights, pilot lights
LV | Globe valves
MO | Motors
MS | Motor starters/contactors
OL | Overloads
PB | Push buttons
PC | Pull cord switches
PE | Photo switches
PG | A-plug switches
PM | Power meters
PS | Pressure switches
PW | Power supplies
PX | Proximity switches
RE | Resistors
SP | Splices
SS | Selector switches
SU | Surge suppressors
SV | Solenoids
SW, TG | Toggle switches
T0, T1 | Terminals
TC | Thermocouples
TD | Timer relays
TS | Temperature switches
VM | Volt meters
VR | Variable resistors
WO | Cables, multi-conductor cables
XF | Transformers


Split a tag name into two pieces (Procedure)

Change wire types
Split a tag name into two pieces
Use multiple symbol libraries
Symbol Libraries >
Split a tag name into two pieces
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Split a tag name into two pieces

TAG1_PART1, TAG1_PART2, TAG1_PARTX (as well as TAG2_PART1, TAG2_PART2, TAG2_PARTX) are alternatives to TAG1 and TAG2 that allow you to split a tag name into two pieces and, for example, position one piece above the other on the symbol. You can create drawings with a mix of both symbols having split tags and other symbols carrying just the single TAG1 or TAG2 attribute.

  1. Open up the .dwg library symbol drawing that you want to modify.
  2. Rename the TAG1 attribute definition to read TAG1_PART1.
  3. Add a new attribute definition TAG1_PART2.
  4. Position both attribute definitions inside of the circle graphics of the symbol (one above the other).

    With this setup, AutoCAD Electrical automatically splits tags like CR104 and 104CR into two pieces (where characters split from numbers to letters) and apply the pieces to these attributes.

  5. For instances where there is a delimiter between the character and number parts of a tag, and you do not want the delimiter to show on one part or the other of the visible tag, add attribute definition TAG1_PARTX to the library symbol and mark it "invisible".

    AutoCAD Electrical stores the delimiter of the split tag in the attribute.

NoteIf a parent symbol has the single TAG1 attribute, related child symbols can have split tag attributes and vice versa. If a parent symbol has split tag attributes, related child symbols do NOT have to have split tag attributes. The default value character string of the symbol for the tag should be annotated as a default value on the TAG1_PART1 attribute definition.


Use multiple symbol libraries (Concept)

Split a tag name into two pieces
Symbol Libraries
Overview of one-line symbols
Symbol Libraries >
Use multiple symbol libraries
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

You can select the library you want to use for each project. One project might require a JIC-style library, and another an IEC-style library. Each symbol library set must be in its own subdirectory, but adhere to the AutoCAD Electrical file naming convention. You cannot have duplicate symbols in the various symbol libraries.

To set a symbol library to use for a particular project, right-click the project name inside the Project Manager, and select Properties. In the Project Properties [image] Project Settings dialog box, click the plus sign (+) next to Schematic Libraries or Panel Footprint Libraries. Click Add and enter the path of the library into the edit box or click Default to use the default libraries.

NoteYou can include electrical, pneumatic, or other schematic libraries in the path.

You can also include a series of library paths for AutoCAD Electrical to use. Enter the names of the libraries (in order) with a semicolon between them. For example:

C:/Documents and Settings/All Users/Documents/Autodesk/Acade {version}/Libs/;C:/{user path}/{user library}.

AutoCAD Electrical search sequence

AutoCAD Electrical runs through specific search sequences when looking for your symbols.

  1. Looks on the drawing for a copy of the requested symbol.
  2. Checks for the specific file name if a full path name is provided.
  3. Checks in your user subdirectory (given by the WD_USER setting in the .env file).
  4. Checks in the directory where the active project's .wdp file is located.
  5. Checks in the selected library -- it is the library selected per the active project.
  6. Checks the directory containing AutoCAD Electrical support files.
  7. Checks the current directory.
  8. Checks the path given by the AutoCAD Electrical environment variable.


Use multiple symbol libraries (Procedure)

Split a tag name into two pieces
Use multiple symbol libraries
Use multiple symbol libraries
Symbol Libraries >
Use multiple symbol libraries
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

How to install additional symbol libraries

Set a symbol library as the default


How to install additional symbol libraries (Procedure)

Use multiple symbol libraries
Use multiple symbol libraries
Use multiple symbol libraries
Symbol Libraries >
Use multiple symbol libraries
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

How to install additional symbol libraries

During installation, you specified which symbol libraries to install. You can install additional symbol libraries later.

  1. From the Control Panel select Add or Remove Programs.
  2. From the Add or Remove Programs dialog box, select the latest version of AutoCAD Electrical and click the Change/Remove button.
  3. On the AutoCAD Electrical Installation Wizard, click Add or Remove Features.
  4. On the Add/Remove Features page, click Next.
  5. On the Manufacturer Content Selection page, click Next.
  6. On the Select Symbol Libraries page, select the libraries you wish to install and click Next.
  7. Click Next to continue.


Set a symbol library as the default (Procedure)

Use multiple symbol libraries
Use multiple symbol libraries
Managing Library Symbols
Symbol Libraries >
Use multiple symbol libraries
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Set a symbol library as the default

  1. Exit AutoCAD Electrical.
  2. Make a back-up copy of your environment (.env) file. To find the full name and path of your environment (.env) file, right-click a project name inside the Project Manager, and select Settings.
  3. Open the .env file in a text editor such as Wordpad.
  4. Look for a line in the environment file that begins with "WD_LIB."
  5. Edit this line to reflect the path of your default library. For example if the path to your new default library is now n:/elec/syms, change the line to read:

    WD_LIB,n:/elec/syms/,AutoCAD Electrical symbols

  6. Save and close the file.

Another method is to use an AutoCAD Electrical variable in the WD_LIB line of the .env file. You could use %ACAD_SUP_LAST% or %ACAD_SUP_FIRST% to point to the last (or first) path defined in your AutoCAD Options [image] Files [image] Support file path.

WD_LIB,%ACAD_SUP_LAST%,AutoCAD Electrical symbols

WD_LIB,%ACAD_SUP_FIRST%,AutoCAD Electrical symbols


Overview of one-line symbols

Use multiple symbol libraries
Symbol Libraries
Overview of Hydraulic and P&ID symbols
Symbol Libraries >
Overview of one-line symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The one-line symbol library consists of all the one-line symbols and is found under

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\{library}\1-
  • Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs\{library}\1-

A one-line symbol can be a parent, child, or terminal. These one-line symbols use the same attributes as the schematic parent, child, and terminal symbols but with the following exceptions.

Attribute

Description

WDTYPE

The attribute must be present and carry a value of “1-” to indicate it is a one-line symbol, or “1-1” for the one-line bus-tap symbols. A bus-tap symbol is used to mark the beginning of a one-line circuit. Schematic symbols do not carry this attribute or have the attribute but with a blank value.

RATING1

Omitted from one-line cable markers symbols since a one-line cable marker can represent multiple conductors, multiple wires, or core color assignments.

TERM01

Omitted from one-line terminal symbols since a one-line terminal can represent multiple independent terminals.

If a TERM01 attribute is added to a one-line symbol and carries a non-blank value, it can be edited in the Insert/Edit Terminal Symbol dialog box. However, terminal number text on one-line terminal symbols are not linked back to terminal number assignments on schematic or panel terminal representations.

NoteOne-line terminals are not processed by Terminal Strip Editor.

One-line symbols follow the same naming convention as schematic parent and child symbols. For convenience, the one-line symbols provided have a “1-” suffix. However, the symbol name does not define the symbol as a one-line symbol. This is defined by the WDTYPE attribute value of “1-” on the symbol, or a “1-1” on a one-line symbol.

  • Motor control one-line symbols are accessible from the icon menu.
  • Circuit Builder supports building motor control one-line circuits dynamically. It allows the design of one-line circuits, with component values and wire sizes, to conform to a given electrical code.
  • One-line component symbols can be related to parent/child counterparts on the schematic and panel layout drawings within a project. It means that they can be Surfed together and update each other when one is modified.
  • Tagging of schematic or panel components using existing commands can reference a pick list that includes components pulled from the one-line diagrams.
  • Certain component and Bill of Material reports can report only one-line diagram components.
Bus-tap symbols

The bus-tap symbol can have two functions:

  • Provide an anchor point for the one-line circuit representation that begins at this point.
  • Break into the one-line bus where the circuit connects.

On a dual circuit one-line template, there are three of these. One at the normal point where the circuit ties into the bus. There is another version of the symbol on each of the two circuit "legs", each marking the point where that part of the dual circuit starts. These bus-tap symbols allow various reports to accurately report on a one-line circuit, whether a single circuit or a dual circuit representation.

The following bus-tap symbols are supplied:

  • HDV1_BT_1-.dwg - with “dot” for horizontal one-line circuit
  • VDV1_BT_1-.dwg - with “dot” for vertical one-line circuit
  • HDV1_BTT_1-.dwg - “tee” connection for dual horizontal circuit
  • VDV1_BTT_1-.dwg - “tee” connection for dual vertical circuit
  • HDV1_BTL_1-.dwg - “corner” connection for dual horizontal circuit
  • VDV1_BTL_1-.dwg - “corner” connection for dual vertical circuit
NoteA bus-tap symbol is identified by a WDTYPE attribute with a “1-1” value.


Overview of Hydraulic and P&ID symbols

Overview of one-line symbols
Symbol Libraries
Attribute Requirements
Symbol Libraries >
Overview of Hydraulic and P&ID symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The hydraulic symbol library consists of all the hydraulic symbols and is found under

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\hyd_iso125
  • Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs\hyd_iso125
Hydraulic family names
Family Name | Description
FI | Filter
CYL | Cylinder
VAL | Valves (directional, throttle valve, pressure valve)
FC | Flow control valve
CK | Check valve
MAN | Manifolds
PS | Pressure switch
MOT | Motor
PMP | Pump
ACC, CMP | Accumulator, compensator
MTR | Meter
FS | Float switch
HE, HTR | Heat exchanger, heaters

A Piping and Instrumentation Diagram (P&ID) is a schematic illustration of functional relationship of piping, instrumentation, and system equipment. P&ID shows all of piping including the physical sequence of branches, reducers, valves, equipment, instrumentation, and control interlocks. The P&ID are used to operate the process system.

The P&ID symbol library consists of all the P&ID symbols and is found under

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\pid
  • Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs\pid
P&ID family names
Family Name | Description
CT | Equipment: Cooling tower
TK | Equipment: Cyclone
E | Equipment: Engine, exchanger
C | Equipment: Turbine, compressors
F | Equipment: Fans
M | Equipment: Mixer, agitators
TK, V | Tanks and vessels
N | Nozzles
P | Pumps
FIT | Fittings
GVA | Valves
ACT | Actuators
LOG | Logic Functions
INS | Instrumentation
FLW, FE | Flow


Attribute Requirements

Overview of Hydraulic and P&ID symbols
Symbol Libraries
Schematic attributes
Symbol Libraries >
Attribute Requirements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Schematic attributes
  • Panel attributes
  • Attributes for other symbol categories
  • Copy attributes


Schematic attributes

Attribute Requirements
Attribute Requirements
Overview of schematic attributes
Symbol Libraries > Attribute Requirements >
Schematic attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of schematic attributes
  • Overview of parent and stand-alone component attributes (TAG1)
  • Overview of child component attributes (TAG2)


Overview of schematic attributes

Schematic attributes
Schematic attributes
Overview of parent and stand-alone component attributes (TAG1)
Symbol Libraries > Attribute Requirements > Schematic attributes >
Overview of schematic attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following items are attribute requirements for various categories of schematic symbols. Some attributes are used in multiple categories.

Schematic parent and child components

Attribute

Description

TAG1

(Parent only) Attribute for required component tag name (64 characters maximum). The default value you assign to this attribute definition becomes the family code character string AutoCAD Electrical uses to build the tag name of the component when the block is inserted into your schematic. This default value character string is used as the Family Code (%F) portion of the tag format code of the drawing you set up in the Drawing Properties dialog box.

Example: The TAG1 attribute definition on the symbol carries a default value of "MCR" and the tag format of the drawing is "%F%N" where %N is the placeholder for the line reference number or next sequential number. As each instance of this symbol is inserted, it is automatically assigned a tag name with an "MCR" prefix tacked on to the reference or next sequential number.

NoteWhen a component is marked with a fixed tag, this attribute name is automatically changed with a "F" suffix (that is, TAG1 [image] TAG1F).

TAG2

(Child only) This is a copy of the parent component's tag name of the component (64 characters maximum). If no parent tag is found then AutoCAD Electrical displays the attribute default value of the definition (for example, "MCR" or "PB" or "X").

TAG1_PART1

TAG1_PART2

(Parent only) Alternate to using a single TAG1 attribute (64 characters maximum). This allows the component tag name to be split into two pieces (example: two lines - "MDOT" on first line and "123" on the second line for a full tag name of "MOT123"). AutoCAD Electrical pastes the values on these two attributes together when it processes the component. To include a delimiter character in the tag name but not show it on the drawing (for example, "MOT-123" but just show "MOT" and "123"), then a third attribute definition marked invisible, "TAG1_PARTX" can be added to carry the dash delimiter.

NoteThe default for the %F tagging parameter, as described in TAG1 previously, is carried on the TAG1_PART1 piece of the attribute pair. If a component with a split tag is marked as Fixed, the attribute names are automatically changed to "TAG1F_PART1" and "TAG1F_PART2."

TAG2_PART1

TAG2_PART2

(Child only) Same as previous but for child components (64 characters maximum).

COPYTAG

Optional attribute that can carry a copy of whatever AutoCAD Electrical assigns to the tag name attribute - TAG1 or the split tag attribute combination (64 characters maximum).

MFG

Attribute used to hold manufacturer name or code (24 characters maximum). This attribute usually marked as invisible.

MFG01 - MFG10: Optional invisible attributes for manufacturer name or code for up to 10 additional "Multiple Catalog" part number assignments (24 characters maximum each). If these attributes are not present and AutoCAD Electrical stores the additional part number information, it is saved on the inserted symbol as Xdata.

NoteMFG, CAT, and ASSYCODE generally appear on parent components only; not child contact symbols.

CAT

Attribute used to hold catalog part number assignment (60 characters maximum). This attribute is usually marked as invisible.

CAT01 - CAT10: Optional invisible attributes for catalog number code for up to 10 additional "Multiple Catalog" part number assignments (60 characters maximum each). If these attributes are not present and AutoCAD Electrical stores the additional part number information, it is saved on the inserted symbol as Xdata.

ASSYCODE

Invisible attribute for optional subassembly code that causes AutoCAD Electrical to look for subassembly items to extract into BOM reports (60 characters maximum). Define these subassembly items in the active catalog lookup file in the ASSYCODE and ASSYLIST fields. The value for this attribute is set automatically when you make a selection from the catalog lookup that carries subassembly information.

ASSYCODE01 - ASSYCODE10: Optional invisible attributes for subassembly code for up to 10 additional Multiple Catalog part number assignments (24 characters maximum each). If these attributes are not present and AutoCAD Electrical stores the additional part number information, it is saved on the inserted symbol as Xdata.

FAMILY

Invisible attribute that carries the components family type (for example, "CR", "TD", "M", "PB"; eight characters maximum). Generally, the default value of the FAMILY attribute definition is the same as the default value for the TAG1 or TAG2 attribute of the component. It is used as a check at the time child components are linked to a parent. On a family mismatch, an alert dialog box displays.

A generic child device can be linked to any type of parent symbol if the Family attribute value of the child is left blank. AutoCAD Electrical fills it in on the fly with the FAMILY code of the parent when the link is made.

DESC1

DESC2

DESC3

DESC1: Description, first or only line of description text (60 characters maximum).

DESC2: second line of description text.

DESC3: third line of description text.

INST

Optional component installation code (for example, "MACH1"; 24 characters maximum).

LOC

Optional component location code (for example, "FIELD", "JBOX2" ; 16 characters maximum).

XREFNO

XREFNC

(Parent only) Attributes to hold normally open and normally closed cross-reference annotation. These attributes automatically switch to invisible if graphical cross-referencing is applied to the component symbol.

XREF

Use this attribute in two ways. Use it for a combined list of normally open and normally closed contacts. AutoCAD Electrical underlines the closed contacts. If XREFNO and XREFNC are present, then this XREF attribute is used to carry undefined, non-NO/NC references.

NoteIf XREF is not present then non-NO/NC contacts are included with the XREFNO annotation.

CONTACT

Invisible attribute present when the symbol is a contact. The value of this attribute is the de-energized state of the contact (for example, "NO" or "NC" or any text string with an embedded "NO" or "NC" such as "NO-TC". Use "NULL" as the value of the contact attribute to exclude the contact from being included in any AutoCAD Electrical cross-reference text annotation.)

COMMON

Optional attribute that defines which TERMxx attribute receives the first PINLIST value. The attribute value is a two character string, for example “02”, that matches with one of the TERMxx attributes found on the symbol. If this attribute does not exist on the symbol, the first PINLIST value is assigned to TERM01 and the second to TERM02.

POSn

Attribute to mark switch position text where "n" is the position number digit (POS1 through POS12; 24 characters maximum). You can leave the default value blank and then fill it in at component insertion time.

STATE

Optional contact state character string to denote relationship between switch positions and open/closed contact state. It is for display only. You can leave the default value blank and then fill it in at component insertion time.

RATINGn

Optional rating / value attribute text where "n" is a digit starting with "1" (60 characters maximum). AutoCAD Electrical supports up to 12 RATINGn attributes (for example, RATING1 through RATING12) on the component symbol. These assignments can be pulled into various AutoCAD Electrical reports.

X?LINK

Optional invisible attribute that allows AutoCAD Electrical to tie in dashed link lines automatically between related components (instead of cross-reference annotation). The "?" is a digit that indicates the preferred link line connection direction and follows the wire connection convention (see X?TERMn).

PINLIST

(Parent only) Optional invisible attribute carried on a parent symbol for storing the allowed contact pin list for the child contacts of the parent (no limit on characters). If this attribute is not present then any related pin list data is automatically stored on the symbol as Xdata.

PEER_PINLIST

(Parent only) Like previous attribute, but is used to hold a second pin list temporarily that is later retrieved during insertion of a peer parent device. For example, a reversing motor starter contactor might be a single component with a single part number, but has a parent coil and a peer reversing coil. Each is to receive its own unique pin list. The catalog lookup assignment pulls both sets of pin lists to the parent. Then, inserting the peer reversing coil and referencing the parent, the pin list of the peer is retrieved from this temporary storage attribute (or Xdata) on the parent and pulled over to the peer.

WDTAGALT

(Parent only) Optional attribute carried on a parent symbol used for setting up a peer-to-peer relationship. It stores the cross-reference tag name of a related symbol shown on a different drawing type (for example, instrument drawing or pneumatic drawing vs. electrical schematic. For example, an instrument drawing might be included in an AutoCAD Electrical project drawing set with a valve marked "FY201". On the electrical schematics, the solenoid for this instrument valve is tagged "SV456". The WDTAGALT attribute carried on the schematic valve symbol can be annotated with the "FY201" instrument tag name and a WDTAGALT attribute on the symbol of the instrument diagram carries the "SV456" tag name pointing back at the schematic representation. With it in place, AutoCAD Electrical can cross-reference between them, do auto-update, and enable surfing from one drawing type to the other.

NoteFor cross-referencing to include these peer references, make sure that the Peer-to-peer toggle is turned on (under Project Properties [image] Cross-reference tab).

WDTYPE

Optional attribute used to define the component category.

  • 1- = one-line
  • 1-1 = one-line bus-tap
  • HY = hydraulic
  • PI = P&ID
  • PN = pneumatic
NoteThe WDTYPE value can be a user-defined value. AutoCAD Electrical reserves all two character values. User-defined values must be three or four characters long.

WD_WEBLINK

Attribute carried on a parent symbol for embedding Internet URL's, ".pdf", ".xls", or ".doc" links that can be surfed on. The attribute value should be the URL, .pdf, .xls, or .doc document file name that should be displayed when selected from the Surf dialog box of the component. Multiple weblink attributes can be assigned to a symbol. Use attribute names with the WD_WEBLINK prefix, for example, WD_WEBLINK1 and WD_WEBLINK2.

One-line

A one-line symbol can be a parent, child, or terminal. These one-line symbols use the same attributes as the schematic parent, child, and terminal symbols but with the following exceptions.

Attribute

Description

WDTYPE

The attribute must be present and carry a value of “1-” to indicate it is a one-line symbol, or “1-1” for the one-line bus-tap symbols. A bus-tap symbol is used to mark the beginning of a one-line circuit. Schematic symbols do not carry this attribute or have the attribute but with a blank value.

RATING1

Omitted from one-line cable markers symbols since a one-line cable marker can represent multiple conductors, multiple wires, or core color assignments.

TERM01

Omitted from one-line terminal symbols since a one-line terminal can represent multiple independent terminals.

If a TERM01 attribute is added to a one-line symbol and carries a non-blank value, it can be edited in the Insert/Edit Terminal Symbol dialog box. However, terminal number text on one-line terminal symbols are not linked back to terminal number assignments on schematic or panel terminal representations.

NoteOne-line terminals are not processed by Terminal Strip Editor.

Wire connection/terminal pin number pairs

Attribute

Description

X?TERMn

Invisible wire connection attributes where an external wire connects to the origin point of the attribute. The "n" character is an incremented digit starting at "01" used to keep multiple wire connection point attribute names unique. It also provides a link to an associated terminal number (TERMn) and a terminal description (TERMDESCn) attribute. The "?" character position is used to identify the preferred wire connection direction:

  • 1: wire connects to the attribute from the right
  • 2: wire connects to the attribute from above
  • 4: wire connects to the attribute from the left
  • 8: wire connects to the attribute from below
  • 0: special for motor connections that radiate from a circle.
    NoteWhen a component is inserted with, nearby wires try to connect to this type of attribute only if it has a default prompt value of “X0STRETCH”

If more than 99 terminals are present on a single symbol, the "n" value can continue with double alpha letters/numbers such as "A0," "A1," "AZ," "B0" and so on.

NoteX?TERMn attributes can be stand-alone, meaning there is not an associated TERMn attribute.

X?TERMDESCn

Optional wire connection description attributes that match up with X?TERMn wire connection attributes (128 characters maximum). The value assigned to each termination description attribute can be extracted into various wire connection reports or merged onto panel wiring diagram representations of schematic symbols.

Use these attributes to define a terminal as an internal or external connection.

TERMn

Optional terminal pin number attribute where "n" is a two-digit number (starting at 01) that is used to match up with the corresponding X?TERMn wire connection attribute (ten characters maximum).

A single TERMn attribute can have two, three, or four wire connection attributes associated with it. For example, a round, stand-alone terminal symbol having a single terminal in number attribute TERM01 can carry four wire connection attributes to allow connection from any direction. All four wire number attribute names would end with 01 to link them all to the common terminal pin number attribute.

WD_JUMPERS

Optional internal wire jumpers attribute that can be encoded to link sets of terminals together so AutoCAD Electrical considers them internally jumpered when calculating wire number assignments and processing wire connection and from/to reports. For example, a WD_JUMPERS attribute value of ((01 02)) flags AutoCAD Electrical to treat wire connection X?TERM01 as electrically jumpered to XD?TERM02. WD_JUMPERS attribute value of ((01 04)(02 05 06)) means that wire connection X?TERM01 and X?TERM04 are treated as internally jumpered together and X?TERM02, X?TERM05, and X?TERM06 are viewed as jumpered together.

NoteYou can keep jumpers from displaying in Wire From/To reports by placing the jumpers on a layer that contains the substring "JUMPER."

Schematic connector parametric build symbols

The parametric connector is made up of a series of master symbols; one parent and multiple children (default library symbol names HCN1_1*.dwg, VCN1_1*.dwg, HCN2_1*.dwg, VCN2_1*.dwg). See the following list of attributes for these symbol types.

Parent and Child Pin symbol attributes

(parent symbol has "1" and child has "2" as fourth character of the symbol name)

Attribute | Description
TAG1 | (Parent only) Same as the FAMILY attribute definition.
TAG2 | (Child only) Same as the FAMILY attribute definition.
INST LOC | Same as the FAMILY attribute definition.
MFG CAT ASSYCODE | (Parent only) Same as the FAMILY attribute definition.
FAMILY | Same as the FAMILY attribute definition.
GENDER | Invisible attribute with blank value.
ACE_FLAG | Invisible attribute with a value of "2" for all parametric connector symbols and a value of "1" for splice symbols (1 character maximum).
DESC1 DESC2 DESC3 | Same as the FAMILY attribute definition.
X?LINK | Same as the FAMILY attribute definition.
WDBLKNAM | (Parent only) Invisible attribute with a value of "HC0" (0 = zero; 32 characters maximum). Flags access of the "C0" connector table in the catalog lookup database file.

Parametric Connector - Wire Connection attributes

Attribute | Description
TERM01P | Attribute for terminal pin number (for plug pin number).
TERM01J | Attribute for terminal pin number (for receptacle pin number).
X?TERM01P X?TERM01J | Invisible wire connection attributes for plug and receptacle side respectively. The "?" is the wire connection direction digit (1, 2, 4, or 8).
X?TERMDESC01P X?TERMDESC01J | Attribute for terminal pin description for plug side and receptacle side respectively. The "?" digit is same as the FAMILY attribute definition.
X?WIRE01P X?WIRE01J | Attribute for wire connection annotation for plug side and receptacle side respectively. The "?" digit is same as the FAMILY attribute definition.
X?_TINY_DOT_DONT_REMOVE_01P X?_TINY_DOT_DONT_REMOVE_01J | Visible attribute, small, single character value (a ".") that must remain visible and must be placed at the exact insertion location of the XnTERM01P and XnTERM01J attributes. Maintains wire connection integrity if a connector pin is moved beyond the end of the connector shell. The "?" digit is same as the FAMILY attribute definition.

Schematic terminal symbols

Use the following attributes for terminal symbols or multi-connection sequence terminal symbols (default library symbol block names HT00*.dwg, VT00*.dwg, HT10*.dwg, VT10*.dwg, HT0W*.dwg, VT0W*.dwg).

Attribute | Description
TAGSTRIP | Attribute to carry terminal strip tag name (24 characters maximum).
X?TERM01 | Attribute for wire connection (up to four attributes positioned at each end of the horizontal and vertical axes of the symbol with the "?" part giving the wire connection direction digit as described previously).
X?TERMDESC01 | Optional attribute for wire connection description.
STRIPSEQ | Attribute used internally by the Terminal Strip Editor command to sort a terminal strip.
LINKTERM | Attribute used internally to associate schematic terminals within one multi-level terminal or to associate a schematic terminal to its panel representation.
WIRENO or TERM01 | Attribute to carry the terminal number assignment (24 characters maximum). If the terminal is to display the wire number value of the wire network that it is inserted into, then WIRENO attribute must be present. Otherwise, if the attribute is to carry a terminal pin assignment independent of the wire number, attribute TERM01 must be used.
INST | Same as previous attribute.
LOC | Same as previous attribute.
MFG CAT ASSYCODE | Same as previous attribute.
WDBLKNAM | Optional invisible attribute with value of "TRMS" to force access of the TRMS table in catalog lookup (32 characters maximum).

Special Multiple Connection Sequence Terminal symbol

Use the following attributes for this special type of terminal symbol. This single symbol instance can be used to define a series of up to six terminal strip inter-connections (example, a wire that passes through a series of shipping split terminal strips). Default library symbol block names H--1_multi*.dwg, V--1_multi*.dwg.

Attribute | Description
WD_#_TAGSTRIP | Attribute to carry terminal strip number (16 characters maximum). Use WD_1_TAGSTRIP for the first terminal strip number and select from WD_2_TAGSTRIP through WD_6_TAGSTRIP for the next terminal number in the sequence.
WD_#_TERMNO | Attribute to carry optional terminal number. Use WD_1_TERMNO for the first terminal strip number and select from WD_2_TERMNO through WD_6_TERMNO for the next terminal number in the sequence.
WD_#_INFO | Attribute to carry additional information such as installation, location, catalog, and item number assignments; and any connected cable information. Use WD_1_INFO for the first terminal strip number and select from WD_2_INFO through WD_6_INFO for the next terminal number in the sequence.
X?TERM01 X?TERM02 | Attribute for wire connections on each end of the symbol, the "?" character is the wire connection direction, same as previous attribute.

Source/Destination wire signal symbols

These symbols allow a wire to jump from one place to another, either within a drawing or across multiple drawing. Default library symbol names are HAxSn.dwg, HAxDn.dwg where "x" = style digit and "n" = orientation 1, 2, 3 or 4.

Attribute | Description
SIGCODE | Attribute carries unique signal code that is user defined as the symbol is inserted (32 characters maximum). This value is used to match up each source signal symbol with it one or more destination signal symbols.
WIRENO | Attribute carries a copy of the wire number that gets assigned to the wire that the signal symbol is attached to (24 characters maximum). This attribute can be hidden.
XREF | Attribute carries the reference location for the matching source or destination symbols. Updates automatically with the Update Signal References tool or Auto Wire Numbers tool.
DESC1 | Optional description attribute (60 characters maximum).
SHEET | Optional attribute for the SHEET (%S) value assigned in the Drawing Settings (12 characters maximum). Updates automatically with the Update Signal References tool or Auto Wire Numbers tool.
DWGNAM | Optional attribute for the DWGNAM (%D) value assigned in the Drawing Settings (40 characters maximum). Updates same as previous attribute.
X?TERM01 | Attribute for wire connection where the "?" character is the wire connection direction, same as previous attribute.

Stand-alone Source/Destination cross-reference symbols

These symbols are like the previous ones, except there is no wire connection attribute and no WIRENO attribute. Default library symbol names are HAxS1_REF.dwg, HAxD1_REF.dwg where "x" = style digit.

In-line wire labels or wire numbers

These symbols insert into a wire, break the wire, and reconnect at each end. They carry a text label or wire number in the gap between the connected wire ends. They symbols can dynamically adjust their gap to accommodate the width of the in-line text. Default library symbol block names are HT0_*.dwg, VT0_*.dwg.

Attribute

Description

COLOR

or WIRENO

Visible attribute for the text label (COLOR) or in-line wire text (WIRENO) (24 characters maximum). This attribute is center or middle justified and placed midway between the pair of wire connection attributes listed below.

X?TERM01

Pair of invisible wire connection attributes where the wires connect. Connection is made to the origin point of each attribute. The "?" character position in each attribute name identifies the wire connection direction:

  • 1: wire connects to the attribute from the right
  • 2: wire connects to the attribute from above
  • 4: wire connects to the attribute from the left
  • 8: wire connects to the attribute from below

X?_TINY_DOT_DONT_REMOVE

Visible attribute, small, single character value (a ".") that must remain visible and must be placed at the exact insertion location of each of the XnTERM01 attributes. This attribute allows the gap to auto-adjust to text width and to maintain connectivity through the symbol if the in-line label or wire number text is blanked or grows small compared to the total gap width in the wire.

PLC single I/O point symbols

These attributes must be present on single, stand-alone I/O symbols with one or two wire connections. Default library symbol block names are PLCIOI*.dwg and PLCIOO*.dwg.

Attribute | Description
TAG1 TAG2 | Attribute for PLC I/O module tag name (parent / child) with the default attribute definition value for the parent symbol becoming the "%F" part of the tag name format (64 characters maximum).
TAGA01 | Attribute for the I/O address (32 characters maximum).
INST LOC | Same as above.
XREF | Same as above.
TERM01L TERM01R | Attribute for terminal pin number on each side (ten characters maximum). If just a single wire connection then the attribute name is TERM01.
X?TERM01L X?TERM01R | Attributes for wire connections on each side. If just a single wire connection then the attribute name is X?TERM01 where the "?" character is the wire connection direction.
TERMDESC01L TERMDESC01R | Optional terminal pin description attribute on each side of the symbol (128 characters maximum). If just a single wire connection then the attribute name is TERMDESC01.
MFG CAT ASSYCODE | (Parent only) Same as above.
DESCA01 - DESCE01 | Attributes to hold up to five lines of description text (60 characters maximum).
LINE1 LINE2 | Optional attributes to hold two lines of general text (example: "Rack" and "Slot" address numbers; 24 characters maximum).
DESC | (Parent only) Optional attribute for general description purposes (60 characters maximum).
FAMILY | Same as above - default value "PLC" (eight characters maximum).

Splice symbols

Attribute | Description
XnWIRE01 | Attribute for wire annotation.
XnWIRE02 | Attribute for wire annotation.
TERMDESCxx | Attribute for wire connection description (128 characters maximum).
ACE_FLAG | Invisible attribute (value set to "1" to identify a splice symbol) used for export to Autodesk Inventor Professional (1 character maximum).

Parametric Twisted Pair symbols

Attribute

Description

X?TERM01

Pair of invisible wire connection attributes where the wires connect. Connection is made to the origin point of each attribute. The "?" character position in each attribute name identifies the wire connection direction:

  • 1: wire connects to the attribute from the right
  • 2: wire connects to the attribute from above
  • 4: wire connects to the attribute from the left
  • 8: wire connects to the attribute from below

X?_TINY_DOT_DONT_REMOVE

Visible attribute, small, single character value (a ".") that must remain visible and must be placed at the exact insertion location of each of the XnTERM01 attributes. This attribute is needed to allow the gap to auto-adjust to text width and to maintain connectivity through the symbol if the in-line label or wire number text is blanked or grows small compared to the total gap width in the wire.

ACE_OFFSET

Invisible attribute that carries the vertex offset distance measured from the midpoint of the symbol's two wire connection points. A positive value extends the twist through the gap. A negative value (default) decreases the height of the twist. A value of 0.0 makes the twist come up to the wire-gap midpoint.

To change the height of the twist, open the symbol drawing file and edit this attribute definition. The next time you insert a twisted pair symbol into a new drawing, the twisted part takes on the new value.

ACE_FLAG

Invisible attribute set to a value of 3 to identify a twisted pair symbol (1 character maximum).


Overview of parent and stand-alone component attributes (TAG1)

Overview of schematic attributes
Schematic attributes
Overview of child component attributes (TAG2)
Symbol Libraries > Attribute Requirements > Schematic attributes >
Overview of parent and stand-alone component attributes (TAG1)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical puts the tag name of the component on this attribute, names like "PB101" or "CR-55" (24 characters maximum). The default value you assign to this attribute definition at the library symbol level (that is, ".dwg" file of the symbol opened and displayed in AutoCAD) becomes the family code character string AutoCAD Electrical uses to build the tag name of the component when the block is inserted into your wiring diagram. This default value character string is used as the Family Code (%F) portion of the tag format code of the drawing you set up in the Drawing Properties [image] Components dialog box (example %F%N).

For example, use "PB" for a default value of the attribute definition TAG1 if the family name you want AutoCAD Electrical to use is "PB" (examples: "PB100", "100-PB", "PB4-100"). You can override this family name at component insertion time, a later edit, or automatically by use of the "wd_fam.dat " mapping file.

NoteIf the TAG1 attribute carries no default value then AutoCAD Electrical uses the FAMILY attribute value of that symbol.


Overview of child component attributes (TAG2)

Overview of parent and stand-alone component attributes (TAG1)
Schematic attributes
Panel attributes
Symbol Libraries > Attribute Requirements > Schematic attributes >
Overview of child component attributes (TAG2)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical puts a copy of the parent tag name of the component on the child component attribute (TAG2). During the AutoCAD Electrical tagging operation, AutoCAD Electrical takes the parent tag name of the coil (carried on its TAG1 attribute) and copies it to the TAG2 attribute of this contact. If no parent tag is found then AutoCAD Electrical displays the attribute default value of the definition.


Panel attributes

Overview of child component attributes (TAG2)
Attribute Requirements
Overview of panel attributes
Symbol Libraries > Attribute Requirements >
Panel attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of panel attributes


Overview of panel attributes

Panel attributes
Panel attributes
Attributes for other symbol categories
Symbol Libraries > Attribute Requirements > Panel attributes >
Overview of panel attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical does not have attribute or naming requirements for the mechanical footprint block symbols. As AutoCAD Electrical inserts a footprint symbol into the drawing, it copies various data to the footprint block such as component/device tag name, description, manufacturer code, and catalog number. It first looks for target attributes to copy the data to, but if not found, AutoCAD Electrical simply inserts the schematic values as standard AutoCAD, nonvisible extended entity data (Xdata).

Some manufacturers provide free, to-scale mechanical libraries of their control components, all in AutoCAD format. Or you may have your own in-house footprints set up. In either case, since AutoCAD Electrical does not have naming or attribute requirements, these libraries can be used as is. When AutoCAD Electrical inserts such a block footprint symbol, it immediately becomes AutoCAD Electrical smart.

Footprint block attribute/Xdata names

The following table is a list of footprint block data names that can be inserted or read by AutoCAD Electrical. If the footprint block has an attribute with any name listed here, AutoCAD Electrical uses that attribute to carry the specific piece of data. Otherwise, AutoCAD Electrical uses extended entity data with names based on the data names listed here but with a WD_ prefix (ex: "WD_DESC1").

FP | identifies block as a component footprint
FPT | identifies block as a terminal footprint
NP | identifies block as a nameplate
P_TAG1 | panel component tag (used on component footprints and nameplates)
DESC1-3 | description line 1 - 3 (60 char max)
P_ITEM | item/detail number
MFG | manufacturer name (24 char max)
CAT | catalog number (60 char max)
ASSYCODE | optional assembly code
INST | installation code (24 char max)
LOC | location code (16 char max)
MOUNT | mount location code (24 char max)
GROUPWITH | group location code (24 char max)
WDBLKNAM | schematic symbol block name (used for catalog lookup)
RATING1-12 | rating values (60 char max each)
P_TAGSTRIP | terminal strip ID (terminal footprints only)
TERM | terminal number (terminal footprints only)
WIRENO | wire number (terminal footprints only)
Minimum attribute/Xdata requirements

The following tables are the minimum requirements for AutoCAD Electrical to recognize a block as a panel footprint, terminal, or nameplate.

Component footprint - block must carry a minimum of one of the following:

Xdata name | VIA_WD_FP
Attribute | FP (blank value)
Attribute | P_TAG1 (and no attribute NP present)

Terminal footprint - block must carry a minimum of one of the following:

Xdata name | VIA_WD_FPT
Attribute | FPT (blank value)

Panel nameplate - block must carry a minimum of one of the following:

Xdata name | VIA_WD_NP
Attribute | NP (blank value)
Terminal block footprint symbols

Terminal block footprint symbols require special attributes in their definitions to help facilitate the Terminal Strip Editor graphical layout. AutoCAD Electrical generates a physical layout of the terminal strips. It annotates the terminal number, wire number, and destination device of what is connected to the terminal block from the attributes. To accomplish this annotation, attributes are needed to accommodate the position of text relative to the terminal block symbol.

Attribute | Description
P_TAGSTRIP | Invisible attribute to carry terminal strip number (24 character maximum) for terminal footprint.
LOC | Invisible attribute for optional terminal location code (for example, “JBOX1”; 16 characters maximum).
INST | Invisible attribute for optional terminal installation code (for example, “MACH1”; 24 characters maximum).
TERM or WIRENO | Attribute to carry the terminal pin number assignment (ten characters maximum). It can be related to the attached wire number or independent of the wire number.
MFG | Invisible attribute for optional manufacturer name or code (24 characters maximum).
CAT | Invisible attribute for optional catalog number (60 character maximum).
ASSYCODE | Invisible attribute for optional subassembly code that causes AutoCAD Electrical to look for subassembly items to extract into BOM reports (60 characters maximum). These subassembly items must be defined in the active catalog lookup file in the ASSYCODE and ASSYLIST fields. The value for this attribute is set automatically when you make a selection from the catalog "Lookup" that carries subassembly information.
WDBLKNAM | Invisible attribute that specifies the WD block name for catalog lookup (32 characters maximum). Default for terminals is "TRMS."
FP | Invisible attribute or Xdata. Identifies the block insert as a panel item (that is, a physical footprint representation).
FPT | Invisible attribute or Xdata. Identifies the block insert as a panel terminal footprint representation.
WIRENOR WIRENOL | Optional attributes for schematic interconnection annotation (24 characters maximum).
TERMDESCR TERMDESCL | Optional attributes for schematic interconnection annotation (128 characters maximum).


Attributes for other symbol categories

Overview of panel attributes
Attribute Requirements
Overview of attributes for other symbol categories
Symbol Libraries > Attribute Requirements >
Attributes for other symbol categories
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of attributes for other symbol categories


Overview of attributes for other symbol categories

Attributes for other symbol categories
Attributes for other symbol categories
Copy attributes
Symbol Libraries > Attribute Requirements > Attributes for other symbol categories >
Overview of attributes for other symbol categories
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

WDTYPE attribute

The WDTYPE attribute value specifies a component category for a non-schematic, non-panel component. It is limited to four characters and can be user-defined. For some schematic reports, you can select a component category for the report based on the WDTYPE value.

NoteAutoCAD Electrical reserves all two-character values. User-defined values must be three or four characters long.

AutoCAD Electrical uses the following WDTYPE attribute values.

Attribute Value | Symbol category
1- | One-line
1-1 | One-line bus-tap
HY | Hydraulic
PN | Pneumatic
PI | P&ID

One-line symbols

A one-line symbol can be a parent, child, or terminal. These one-line symbols use the same attributes as the schematic parent, child, and terminal symbols but with the following exceptions.

Attribute

Description

WDTYPE

The attribute must be present and carry a value of “1-” to indicate it is a one-line symbol, or “1-1” for the one-line bus-tap symbols. A bus-tap symbol is used to mark the beginning of a one-line circuit. Schematic symbols do not carry this attribute or have the attribute but with a blank value.

RATING1

Omitted from one-line cable markers symbols since a one-line cable marker can represent multiple conductors, multiple wires, or core color assignments.

TERM01

Omitted from one-line terminal symbols since a one-line terminal can represent multiple independent terminals.

If a TERM01 attribute is added to a one-line symbol and carries a non-blank value, it can be edited in the Insert/Edit Terminal Symbol dialog box. However, terminal number text on one-line terminal symbols are not linked back to terminal number assignments on schematic or panel terminal representations.

NoteOne-line terminals are not processed by Terminal Strip Editor.

Hydraulic and P&ID symbols

Attribute

Description

TAG1

Attribute for required component tag name (64 characters maximum). The default value you assign becomes the family code character string AutoCAD Electrical uses to build the tag name of the component when the block is inserted into your wiring diagram. This default value character string is used as the Family Code (%F) portion of the tag format code of the drawing you set up in the Drawing Properties [image] Components dialog box (example %F%N).

INST

Optional attribute for component installation code (for example, "MACH1"; 24 characters maximum).

LOC

Optional attribute for component location code (for example, "FIELD"; "JBOX2"; 16 characters maximum).

FAMILY

Invisible attribute that carries the components family type (for example, "FI", "INS"; eight characters maximum). Generally, the default value of the FAMILY attribute definition is the same as the default value for the TAG1 or TAG2 attribute of the component.

A generic child device can be linked to any type of parent symbol when the Family attribute value of the child is left blank. AutoCAD Electrical fills it in on the fly with the FAMILY code of the parent when the link is made.

CAT

Invisible attribute for optional catalog number (60 characters maximum).

MFG

Invisible attribute for optional manufacturer name or code (24 characters maximum).

ASSYCODE

Invisible attribute for optional subassembly code that causes AutoCAD Electrical to extract subassembly items into BOM reports (60 characters maximum). AutoCAD Electrical, not the user, sets the value for this attribute.

RATING1

Optional attribute for rating/value text (60 characters maximum).

DESC1, DESC2, DESC3

DESC1: Description, first or only line of description text (60 characters maximum).

DESC2: second line of description text.

DESC3: third line of description text.

WDTYPE

Optional attribute used to define the component category.

  • 1- = one-line
  • 1-1 = one-line bus-tap
  • HY = hydraulic
  • PI = P&ID
  • PN = pneumatic
NoteThe WDTYPE value can be a user-defined value. AutoCAD Electrical reserves all two character values. User-defined values must be three or four characters long.

WDTAGALT

Attribute carried on a parent symbol used for setting up a "peer-to-peer" relationship (64 characters maximum). It stores the cross-reference tag name of a related symbol shown on a different drawing type (for example, instrument drawing or pneumatic drawing vs. electrical schematic). For example, an instrument drawing might be included in an AutoCAD Electrical project drawing set with a valve marked "FY201". On the electrical schematics, the solenoid for this instrument valve is tagged "SV456". You can annotate the The WDTAGALT attribute carried on the schematic valve symbol with the "FY201" instrument tag name. A WDTAGALT attribute on the symbol of the instrument diagram carries the "SV456" tag name pointing back at the schematic representation. AutoCAD Electrical can cross-reference between them, do auto-update, and enable surfing from one drawing type to the other.

XREF

Attribute used for a combined list of normally open and normally closed contacts (if XFREFNO and XREFNC are present). Or, used for non-NO/NC contacts (if XREFNO and XREFNC are not present). AutoCAD Electrical underlines the closed contacts.

TERM

Optional terminal pin number attribute (ten characters maximum). Make sure to keep terminal pin number text paired with its wire connection attributes.

X?TERMn

Invisible wire connection attributes where an external wire connects to the origin point of the attribute. The 'n' character is an incremented digit starting at "01" used to keep multiple wire connection point attribute names unique. The "?" character position is used to identify the preferred wire connection direction:

  • 1: wire connects to the attribute from the right
  • 2: wire connects to the attribute from above
  • 4: wire connects to the attribute from the left
  • 8: wire connects to the attribute from below
  • 0: special for motor connections

If more than 99 terminals are present on a single symbol, the 'n' value can continue with double alpha letters/numbers such as "A0," "A1," "AZ," "B0" and so on.


Copy attributes

Overview of attributes for other symbol categories
Attribute Requirements
Managing Library Symbols
Symbol Libraries > Attribute Requirements >
Copy attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

COPYTAG is the optional TAG copy attribute. When AutoCAD Electrical updates a TAG1, TAG2 or TAGSTRIP attribute, it also looks for and updates any COPYTAG attributes present on the symbol with a copy of the TAG text. A special replaceable parameter, "%T", can be encoded onto the COPYTAG attribute prompt value of the definition. It allows for adding a suffix and/or prefix to the TAG text. If you need more than one extra TAG copy on a symbol, name the attributes COPYTAG01, COPYTAG02, and so on. If there is no prompt value encoded on the attribute definition, AutoCAD Electrical simply applies a copy of the tag-ID to the COPYTAG* attributes.

For example, you create a large "drive" schematic symbol with a TAG1 attribute for the tag-ID of the drive. You want some other parts of this single symbol to carry the TAG1 value plus a suffix like "-POT" and "-DBRES". On your library symbol, insert an attribute definition "COPYTAG01" with a prompt value of "%T-POT" near the potentiometer graphic of the symbol and "COPYTAG02" with a prompt value of "%T-DBRES" near the dynamic braking resistor graphic. When this symbol is inserted on a schematic drawing, and a TAG is assigned, AutoCAD Electrical automatically updates each COPYTAG* attribute accordingly.


Managing Library Symbols

Copy attributes
Symbol Libraries
Substitute symbols in the library
Symbol Libraries >
Managing Library Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Substitute symbols in the library
  • Change appearance of existing library symbols

    Edit miscellaneous and non-AutoCAD Electrical attributes

  • Predefine symbol annotation
  • Swap blocks

    Swap block/update block/library swap

  • Create a library symbol


Managing Library Symbols (Procedure)

Use multiple symbol libraries
Managing Library Symbols
Change appearance of existing library symbols
Symbol Libraries >
Managing Library Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Change appearance of existing library symbols

Predefine symbol annotation

Update or change blocks in place

Create a library symbol


Substitute symbols in the library

Managing Library Symbols
Managing Library Symbols
Change appearance of existing library symbols
Symbol Libraries > Managing Library Symbols >
Substitute symbols in the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can temporarily substitute an altered symbol for a symbol that is found in the standard library. Put the .dwg file of the altered symbol in your USER subdirectory (right-click a project name inside the Project Manager and select Settings to find the full path). The AutoCAD Electrical component insertion command always looks at this directory for the requested symbol before going to the selected symbol library.

NoteAutoCAD Electrical uses regular AutoCAD blocks. If you insert a block from one library and then try to insert the same block name from a different library, you get a copy of the original version of the block. Use the Swap/Update Block command in AutoCAD Electrical to make the change.


Change appearance of existing library symbols (Procedure)

Managing Library Symbols
Up a level to ..
Predefine symbol annotation
Symbol Libraries > Managing Library Symbols >
Change appearance of existing library symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change appearance of existing library symbols

The AutoCAD Electrical symbol libraries are installed in

  • Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\
  • Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\

The default {library} folder depends on installation choices, for example JIC or IEC. You can modify the ".dwg" version of each symbol to comply with your specific standards or client requirements.

  1. Open each symbol up in its native AutoCAD .dwg format (using File [image] Open).
  2. Move the tag, description, location, and cross-reference annotation attribute definitions to different locations to satisfy your drafting standards (attribute definitions look like text entities).
  3. Adjust attribute definition text size to meet your requirements but avoid deleting any of the existing attribute definitions.

    Attributes give the symbol full compatibility with AutoCAD Electrical features.

  4. Insert additional non-AutoCAD Electrical attributes that your applications might need.
  5. Edit these attributes by clicking Show/edit miscellaneous on the AutoCAD Electrical edit dialog boxes.
NoteBefore you spend a lot of time modifying each library symbol, you may want to look at the AutoCAD Electrical Modify Symbol Library tool. This tool provides a way to make mass changes to the library of symbols. It has some options, including scaling each symbol, changing attribute height based on AutoCAD Electrical attribute type, and picking a different text font for the AutoCAD Electrical text style.
Tips and Hints

Leave all symbol attribute definitions and geometry on layer "0" and that entity color assignments are by layer. Let AutoCAD Electrical manage what layers the various parts and pieces of your symbol get put on at insertion time. This layer naming scheme is set up in the Define Layers dialog box If you want certain layer naming maintained on your inserted components, select Apply to entities on layer "0" only. With it checked, non-layer "0" entities maintain their existing layer names as the component inserts into the drawing.


Change appearance of existing library symbols (Quick Reference)

Optional ENV file assignment for current project
Change appearance of existing library symbols
Swap blocks
Symbol Libraries > Managing Library Symbols >
Change appearance of existing library symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Edit miscellaneous and non-AutoCAD Electrical attributes

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

Click Show/edit miscellaneous on any of the Insert/Edit dialog boxes.

The attributes that can be modified depend on which Insert/Edit dialog box you are working in.


Predefine symbol annotation (Procedure)

Change appearance of existing library symbols
Up a level to ..
Swap blocks
Symbol Libraries > Managing Library Symbols >
Predefine symbol annotation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Predefine symbol annotation

You can have certain symbols insert with switch position text, terminal pin numbers, or BOM catalog numbers prefilled with default values.

  1. Open the .dwg file of the symbol in AutoCAD. The default symbol library path is

    Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\{library}\

    Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\Libs\{library}\

  2. Use the DDEDIT or PROPERTIES command to change the default attribute values of the symbol.

For example, let's say that you always want your N.O. limit switch symbol to insert showing the two terminal pin numbers labeled as "1" and "2." In AutoCAD, call up and edit these symbol files: HLS11.DWG, VLS11.DWG, HLS21.DWG, and VLS21.DWG (modify both the jic1 and jic125 versions). In each case use DDEDIT to change the TERM01 and TERM02 attribute default values to be "1" and "2" respectively. At insertion time, these values show up as defaults.

NoteYou can override the default values at insertion time.


Swap blocks (Concept)

Predefine symbol annotation
Managing Library Symbols
Create a library symbol
Symbol Libraries > Managing Library Symbols >
Swap blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The block swapper tool can operate in several different modes:

  • Swap Block: Exchanges one block for another, retaining the scale of the old block, rotation, wire connections, attribute values, and attribute positions (if Retain is selected). For example, use the tool to swap out a red standard pilot light with a green one, or drawing-wide, swap out all standard red pilot lights with red press-test pilot lights.
  • Update: Updates all instances of a given block with an updated version of the same block. Again, all attribute values and wire connections are retained. For example, an old AutoCAD Electrical project set must be used on a new project but the client likes the limit switches drawn a bit differently. Simply make client-specific versions of the limit switch symbols. Then use the Update option; select any limit switch on the drawing, and then reference the path to the new version of the symbol. AutoCAD Electrical quickly replaces all instances of the symbol it finds on the drawings with the new version of the same symbol. The Library mode works the same way as the Update mode, but swaps out all the blocks on the drawings.

When you swap or update a block there may be times when you want the values of certain attributes mapped to different attribute names. For example, you may be doing a Library Update and the library symbols you are swapping out do not use standard AutoCAD Electrical attribute names. You want a quick way to update the library symbols, but you do not want to lose information held on the current attributes.


Swap blocks (Quick Reference)

Change appearance of existing library symbols
Swap blocks
Swap blocks
Symbol Libraries > Managing Library Symbols >
Swap blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Swap block/update block/library swap

Library swap -- all drawing

Update block - path\filename of new block


Update or change blocks in place (Procedure)

Predefine symbol annotation
Up a level to ..
Create a library symbol
Symbol Libraries > Managing Library Symbols >
Swap blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Update or change blocks in place

  1. Click Schematic tab [image] Edit Components panel [image] Swap/Update Block. Enter AESWAPBLOCK at the command prompt.
  2. Determine whether you want to exchange one block for another (Option A) or update all instances of a given block with an updated version of the same block (0ption B).

    Option A: Select to swap a block one at a time, drawing-wide, or project-wide.

    • Indicate whether to pick a new block from the icon menu, pick a new block just like another block, or pick a new block from the File dialog box.
    • Determine whether you want to retain old attribute locations, old block scales, or retag if parent swap causes family changes.

    Option B: Select to update a block by replacing it with a new version or substitute new versions of all blocks.

    • Specify the file name of the block that to substitute for all instances of the selected block.
    • Determine whether you want to retain old attribute locations, old block scales, or copy the attribute values of the old block to new swapped block.
  3. Select whether to use the same attribute names or use an attribute mapping file.
  4. Click OK.
  5. If you selected to pick a new block from the icon menu, select the icon from the Insert Component dialog box.
  6. Select the component to swap out.
  7. If you chose to do a project-wide swap, select the drawings to process and click OK.

    The chosen component is replaced with the symbol selected in the Insert Component dialog box.


Swap blocks (Quick Reference)

Swap blocks
Swap blocks
Swap blocks
Symbol Libraries > Managing Library Symbols >
Swap blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Swap block/update block/library swap

Swaps or updates a block insert instance, and maintains existing attribute text values.

Ribbon: Schematic tab [image] Edit Components panel [image] Swap/Update Block. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Component Miscellaneous [image] Swap/Update BlockDoes not exist in the menus.
Command entry: AESWAPBLOCK
  • Swap Block: Exchanges one block for another. Select Retain to keep the scale of the old block, rotation, wire connections, attribute values, and attribute positions.
  • Update: Updates all instances of a given block with an updated version of the same block.

Wire connections are also maintained even if the new symbol is slightly wider or narrower than the original.

Swap Block (swap to different block name)
Swap a block - one at a time | Exchanges one block for another one block at a time.
Swap a block - drawing wide | Exchanges one block for another throughout the drawing.
Swap a block - project wide | Exchanges one block for another throughout the project.
Pick new block from icon menu | Specifies to select a new block from the icon menu.
Pick new block "just like" | Specifies to select a new block like the original block.
Browse to new block from file selection dialog box | Specifies to select a new block from the file selection dialog box.
Retain old attribute locations | Specifies to retain the attribute locations from the original block.
Retain old block scale | Specifies to retain the scale value from the original block.
Allow undefined Wire Type line reconnections | Specifies to include non-wire lines for reconnection when the new block swaps in.
Auto retag if parent swap causes family change | Automatically retags the component if the Family code of a component changed due to the swap. Otherwise, the tag remains the same even if it does not match the new component's Family code of the new component.
Update block (revised or different version of same block name)
Update a block | Updates all instances of a given block with an updated version of the same block.
Library swap | Updates all instances of a library symbol with an updated version of the same symbol
Attribute mapping
Use same attribute names | Uses the same attribute names from the original block.
Use attribute mapping file | Allows the values of certain attributes to be mapped to different attribute names.
Mapping file | Determines how AutoCAD Electrical should map the attributes. The file should have two columns of attribute names. The first column should contain the current attribute name and the second column the new attribute name. The mapping file may be an Excel spreadsheet, a comma-delimited file (.CSV), or a simple text file with a space separating the current attribute name from the new attribute name.


Swap blocks (Quick Reference)

Swap blocks
Swap blocks
Swap blocks
Symbol Libraries > Managing Library Symbols >
Swap blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Library swap -- all drawing

Updates all instances of a library symbol with an updated version of the same symbol on the active drawing or in a project.

Ribbon: Schematic tab [image] Edit Components panel [image] Swap/Update Block. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Component Miscellaneous [image] Swap/Update BlockDoes not exist in the menus.
Command entry: AESWAPBLOCK

Select the Library Swap option and click OK.

Path to new block library

Specifies the path for the symbol library that is referenced for the block substitution. To use a different library, enter its path or click Browse. Check Include subfolders if the symbols are in folders within the specified path. It is true for panel footprint symbols.

Insertion scale
Scale | Specifies which scale factor to use. 1.0 = full scale; Configuration Scale = the scale setting in the Drawing Properties [image] Drawing Format dialog box; 25.4 = inch to millimeter scale factor; and 1/25.4 = millimeter to inch scale factor.
Retain old block scale | Specifies to retain the scale value from the original block.
Retain old attribute locations | Specifies to retain the attribute locations from the original block.
Copy attribute values of old block to new swapped block

Specifies whether to copy the attribute values to the new block, to discard all old values, or to copy the old values only if the new value is blank.


Swap blocks (Quick Reference)

Swap blocks
Swap blocks
Symbol Builder
Symbol Libraries > Managing Library Symbols >
Swap blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Update block - path\filename of new block

Substitutes a new version of a component block for all inserted instances of that block found on a drawing or in a project.

Ribbon: Schematic tab [image] Edit Components panel [image] Swap/Update Block. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Component Miscellaneous [image] Swap/Update BlockDoes not exist in the menus.
Command entry: AESWAPBLOCK

Select the Update a Block option and click OK.

Path\filename of new block

Specifies the path\filename of the block to substitute for all instances of the selected block. Enter a file name or click Browse.

Insertion scale
Scale | Specifies which scale factor to use. 1.0 = full scale; Configuration Scale = the scale setting in the Drawing Properties [image] Drawing Format dialog box; 25.4 = inch to millimeter scale factor; and 1/25.4 = millimeter to inch scale factor.
Retain old block scale | Specifies to retain the scale value from the original block.
Retain old attribute locations | Specifies to retain the attribute locations from the original block.
Copy attribute values of old block to new swapped block

Specifies whether to copy the attribute values to the new block, to discard all old values, or to copy the old values only if the new value is blank.


Create a library symbol (Procedure)

Swap blocks
Up a level to ..
Symbol Builder
Symbol Libraries > Managing Library Symbols >
Create a library symbol
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Create a library symbol

AutoCAD Electrical uses stock AutoCAD blocks and attributes in its library symbols. The symbols can be any size and width. You do not have to edit an external support file or database to register a symbol for use in an AutoCAD Electrical wiring diagram drawing.

NoteYou can also use the Symbol Builder tool, but the quickest way to create a symbol might be to start with an existing AutoCAD Electrical compatible symbol. Start with a copy of a similar type and then modify to suit. Avoid deleting the existing attribute definitions. Reposition and edit their default values as required.
  1. Open a new drawing using the appropriate symbol name.
  2. Insert an exploded copy of an existing AutoCAD Electrical symbol that somewhat resembles what you need in the new symbol. Consider the number of wire connection points, rating attributes, and whether your new symbol is a parent symbol (attribute TAG1) or a child symbol (attribute TAG2).
  3. Clean up the graphics. Keep everything on layer 0.
  4. Reuse attribute definitions from the exploded symbol. Reposition them as required. Make sure that you keep terminal pin number text paired with its wire connection attribute (the last two digits of each attribute name must match, "X4TERM01" wire connection point attribute matched with "TERM01" terminal pin number text attribute).
  5. Use DDEDIT to change the TAG1 or TAG2 and the FAMILY attribute values to the family code. Insert any pre-defined terminal pin, description, or catalog number attribute values.
  6. Delete unneeded attribute definitions and graphics.
  7. Save your work to the jic1, jic125, or user subdirectory (right-click a project name inside the Project Manager and select Settings to find the full path). To test it, call up a new or existing AutoCAD Electrical drawing. Try to insert your new symbol into an existing piece of wire. You can manually enter the file name of the new symbol using Type it on the main icon menu page.
Tips and Hints

Pigtails

Avoid putting wire pigtails on your new symbols. Pigtails can defeat the AutoCAD Electrical SCOOT command and automatic wire numbering when two symbols with pigtails bump up against each other. A wire connection pigtail is mandatory when you insert a short pigtail at a wire connection point that has no other visible symbol geometry nearby since AutoCAD Electrical must see something tangible on a symbol at a wire connection point.

Symbol origin

The AutoCAD Electrical library symbols generally have their origin points centered between the first (or only) pair of wire connection point attributes. Though it is not mandatory, it helps AutoCAD Electrical determine the correct orientation for alignment with an underlying wire at insertion time.

Symbol width

There are no restrictions. Every symbol can have a different width. At insertion time the width of the symbol is determined by reading the locations of its wire connection attributes (attributes with name X?TERMn).

Wire connection points

A symbol can have hundreds of connection points and a terminal pin number attribute tied to each (use suffix codes beginning with "01" and ending with "ZZ").

Component description text

You can insert three lines of description text up to 60 characters long. The attribute names are DESC1, DESC2, and DESC3 and generally appear on both parent/stand-alone and child contact symbols. You can insert additional DESCn attributes on your symbol and edit them with any attribute editing tool, but AutoCAD Electrical does not process them.


Symbol Builder

Create a library symbol
Symbol Libraries
Symbol Builder
Symbol Libraries >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Symbol Builder

    Select Symbol / Objects


Symbol Builder (Procedure)

Create a library symbol
Symbol Builder
Symbol Builder
Symbol Libraries >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Creating a symbol

Inserting Attributes

Inserting Wire Connections

Inserting Link Line Attributes

Converting Text

Saving the Symbol


Symbol Builder (Concept)

Symbol Builder
Symbol Builder
Symbol Preview Guide
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines new AutoCAD Electrical component, terminal, and panel layout library symbols.

You can convert symbols or create custom components on the fly. Symbols created or converted using Symbol Builder are fully compatible with AutoCAD Electrical. They break wires upon insertion, and appear in the bill of material and various component and wire connection reports.

You can exit the Symbol Builder command and re-enter it at any time. You can also exit the command and use regular AutoCAD commands to edit or finish the symbol you are creating. The AutoCAD Wblock command writes it to disk. Each time you re-enter the Symbol Builder tool, select objects from within the Select Symbol/Objects dialog box. Selecting the objects allows the tool to track what standard attributes and wire connection points you already inserted.

New symbols you create are inserted with the AutoCAD Electrical Insert Component or Insert Panel Component commands. You can add your new symbol to the icon menu. You can also select it from the Type it or Browse options in the bottom left-hand corner of the icon menu.

Symbol Types
Schematic Parent | Schematic symbol is used as a stand-alone symbol or a parent component with related secondary contacts. Must have a TAG1, TAG, or split TAG1 attribute.
Schematic Child | Schematic secondary symbol that is related to a parent component. Must have a TAG2 attribute.
Schematic Terminal | Schematic terminal with terminal number. Must have a TERMNO attribute.
Schematic Terminal | Schematic terminal that follows the wire number rather than having a terminal number of its own. Must have a WIRENO attribute.
Panel Footprint | Panel symbol that is not used as a terminal or nameplate. Must have a P_TAG1 and FP attribute or xdata.
Panel Terminal | Panel terminal symbol. Must have a P_TAGSTRIP and FPT attribute or xdata.
Panel Nameplate | Panel nameplate symbol. Must have a P_TAG1 and NP attribute or xdata.
NotePanel symbols do not require any attributes but uses xdata for any missing attributes. This xdata is added when the symbol is inserted using the appropriate AutoCAD Electrical panel insertion command. All xdata values have a VIA_WD_ prefix followed by the name of the attribute it takes the place of. For example, if a panel footprint does not have a P_TAG1 attribute it gets a VIA_WD_P_TAG1 xdata when inserted.
Block Editor Environment

Once you make the initial selections, you enter to the Block Editor environment. Your initial selections can include symbol type, attribute template, existing objects, and insertion point. In addition to the Block Editor menus for adding and modifying the symbol graphics, a Symbol Builder Attribute Editor is available for inserting and modifying the AutoCAD Electrical attributes.

Attribute Template

AutoCAD Electrical expects certain attributes for each symbol type, schematic parent, schematic child, and so on. Symbol builder uses attribute templates to facilitate adding these attributes to your symbol. Attribute template drawings are AutoCAD drawings with AutoCAD Electrical attributes. There are different attribute templates for different types of symbols and for different family codes. The supplied attribute templates are in the symbol library folders and all attribute template drawing names begin with “AT_”.

When you select your symbol type, the associated attribute template is used to create a list of attributes. The attribute template can contain attributes defined as required and others as optional. The required attributes are expected on the specific symbol type you are building. Optional attributes are attributes that may not be necessary on this symbol type but are supported. For example rating or switch position attributes. You can insert the attributes individually as needed, or you can insert all the attributes from the template at one time.

Attribute templates follow the naming convention, AT_{symbol}_{type}. The {symbol} string is displayed in the Symbol list in the Select Symbol/Objects dialog box and the {type} string is displayed in the Type list. You can also map abbreviations for the {type} in the _FAMILY_DESCRIPTION table of the catalog database, default_cat.mdb. For more information see Create a Symbol Builder attribute template.

NoteThe attribute templates do not carry wire connection attributes. Add wire connection attributes to your symbol as needed. You can create your own wire connection templates which are used when inserting wire connections.


Symbol Builder (Procedure)

Symbol Builder
Up a level to ..
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creating a symbol

Inserting Attributes

Inserting Wire Connections

Inserting Link Line Attributes

Converting Text

Saving the Symbol


Symbol Builder (Quick Reference)

Swap blocks
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Symbol / Objects

Symbol Configuration

Symbol Builder Attribute Editor

Insert / Edit Attributes

Insert Wire Connections

Convert Text to Attribute

Save Symbol

Symbol Audit


Creating a symbol (Procedure)

Symbol Builder
Up a level to ..
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creating a symbol

Creating an AutoCAD Electrical symbol includes adding the necessary attributes based on the symbol type, and for a schematic symbol, selecting an appropriate file name. Symbol builder uses attributes templates to facilitate adding the attributes. If you select a schematic symbol type, symbol builder suggests a file name based on the AutoCAD Electrical naming conventions.

  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  2. Select options on the Select Symbol / Objects dialog box making sure to select the attribute template library path, symbol, and type.
  3. Click OK to enter the block editor environment.
  4. Insert attributes using the Symbol Builder Attribute Editor.
  5. (schematic symbol) Insert wire connection attributes.
  6. (schematic symbol) Insert link line attributes.
  7. (optional) Audit to see any potential issues with the symbol.
  8. Save the symbol.


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Symbol / Objects

Use this dialog box to define the type of symbol you are creating or editing, select existing objects, and define the insertion point. Select an existing block to edit or use it as the starting point for a new symbol.

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
Name

Lists all block definitions in the current drawing. Select an existing block to edit or use as a starting point for a new symbol. Select <unnamed> to create a symbol from scratch. Browse to select a drawing file not listed in the current drawing.

Select From Drawing

Select any existing objects that are to be part of the symbol you want to create or edit. Existing objects can include an existing block, attributes, attribute definitions, and any symbol graphics. Select Specify on Screen to select objects after selecting OK, before entering the Block Editor.

Insertion Point

Enter the insertion point coordinates for the symbol or select Pick Point to select on the drawing. Select Specify on Screen to specify the insertion point after selecting OK, before entering the Block Editor. These coordinates become the 0,0,0 insertion base point for the symbol.

Attribute Template

Library path

Select a path to the symbol builder attribute templates. Browse to the folder or select from a list of the library paths for the current project.

NoteTo create a one-line symbol, select the one-line folder which by default is “1-” under the schematic library folder.

Symbol

Specify a symbol category such as Horizontal Parent. The category specifies the horizontal or vertical orientation of the symbol. It also defines whether it is schematic or panel, and within those categories parent, child, terminal, and so on.

NoteThe list is built dynamically based on the attribute templates in the selected folder. Attribute template block names begin with “AT_”.

Type

Select the type used to find the appropriate attribute template.

Preview

Displays a preview of the selected named block or the objects selected on the drawing. Selected blocks are shown exploded.


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Symbol Configuration

Use this dialog box to select a different attribute template or redefine the insertion point.

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
  1. Select options on the Select Symbol / Objects dialog box.
  2. Click OK to enter the block editor environment.
  3. Select the Symbol Configuration tool.

Library path

Select a path to the symbol builder attribute templates. Browse to the folder or select from a list of the library paths for the current project.

Symbol

Specify a symbol category such as Horizontal Parent. The category specifies the horizontal or vertical orientation of the symbol. It also defines whether it is schematic or panel, and within those categories parent, child, terminal, and so on.

NoteThe list is built dynamically based on the attribute templates in the selected folder. Attribute template block names begin with “AT_”.

Type

Select the type. This value is used to find the appropriate attribute template.

Insertion Point

Enter the insertion point coordinates for the symbol or select Pick point to select on the drawing. Select Specify on Screen to specify the insertion point after selecting OK, before entering the Block Editor. The coordinates become the 0,0,0 insertion base point for the symbol.


Inserting Attributes (Procedure)

Symbol Builder
Up a level to ..
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserting Attributes

  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  2. Select options on the Select Symbol / Objects dialog box.
  3. Click OK to enter the block editor environment.
  4. If the Symbol Builder Attribute Editor is not visible, click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. enter AEPALETTESHOW at the command prompt.
  5. Select the attribute you want to insert.
  6. Click the Insert Attribute tool.
    NoteYou can also right-click and select Insert Attribute or drag the attribute to insert it.
  7. Select an insertion point for the attribute.
Add an attribute to the list
  1. Select the Add Attribute tool.
  2. Define the attribute tag and properties on the Insert/Edit Attributes dialog box.
  3. Click Insert to insert the new attribute or click OK to add it to the list.


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Symbol Builder Attribute Editor

Use the Symbol Builder Attribute Editor to add, modify, and remove attributes on the symbol. Menu sections which differ depending on the symbol type.

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
  1. Select options on the Select Symbol / Objects dialog box.
  2. Click OK to enter the block editor environment.
Common Tools

The Symbol Builder Attribute Editor provides a few tools that are common to any symbol type.

Opens the Symbol Configuration dialog box with options to change the attribute template.

Opens the Convert Text to Attribute dialog box to map text objects to attributes.

Opens the Symbol Audit dialog box to find any potential issues with the symbol.

NoteA right-click menu is available containing functions appropriate for the selected attributes.
Required/Optional Attributes Tools

Insert the selected attributes.

NoteYou can also drag to insert the selected attributes.

Opens the Insert/Edit Attributes dialog box to set the properties for the selected attributes.

Convert existing text objects to the selected attributes.

Add an attribute to the list and define its properties.

Remove the selected attributes from the list.

Delete the selected attributes from the symbol.

Indicates the attribute exists on the symbol.

NoteA right-click menu is available containing functions appropriate for the selected attributes.
Wire Connection Tools

Wire connection attributes are inserted based on a style and direction selection. Select the style/direction you want to insert and select the Insert tool. Selecting Others from the Direction/Style list opens the Insert Wire Connection dialog box. Select the style, make it the default, define related pin attribute values, and add multiple wire connections.

Direction/Style | Select from a list of wire connection styles and direction. Select Others to launch the Insert Wire Connections dialog box.
 | Insert the selected wire connection attribute.
NoteA right-click menu is available containing functions appropriate for the selected attributes.
Pin Tools

Pin attributes are added automatically when you add a wire connection attribute. You can also insert them individually. Use this section to add optional wire connection attributes, fill in default attribute values, or change attribute properties.

Opens the Insert/Edit Attributes dialog box to set the properties for the selected attributes.

Convert existing text objects to the selected attributes.

Move a wire connection attribute and its related pin attributes.

Add the optional terminal description attribute to the selected wire connection.

Remove the selected attributes from the list.

Delete the selected attributes from the symbol.

NoteA right-click menu is available containing functions appropriate for the selected attributes.
Link Line Tools

Link line attributes are inserted based on a direction selection. Select the direction you want to insert and select the insert tool.

Direction | Select from a list of link line directions.
 | Insert the selected link line attribute.
 | Indicates the attribute exists on the symbol.
NoteA right-click menu is available containing functions appropriate for the selected attributes.
Rating/Position Tools

AutoCAD Electrical allows up to 12 rating and position attributes. To insert the next available attribute, select the Add Next tool and pick an insertion point.

Add the next attribute to the list and prompt for the insertion point.

Indicates the attribute exists on the symbol.

NoteA right-click menu is available containing functions appropriate for the selected attributes.


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert / Edit Attributes

Use this dialog box to enter default attribute values or modify attribute properties.

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
  1. Select options on the Select Symbol / Objects dialog box.
  2. Click OK to enter the block editor environment.
  3. Select an attribute in the grid and click the Property tool, or double-click an attribute in the grid.
NoteThe Insert button is only available for new attributes added to the list using the Add tool.


Inserting Wire Connections (Procedure)

Symbol Builder
Up a level to ..
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserting Wire Connections

Symbol Builder inserts a wire connection template drawing when adding a wire connection to your symbol. The list of wire connection options is built dynamically based on the template drawings found in the symbol library path.

  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  2. Select options on the Select Symbol / Objects dialog box.
  3. Click OK to enter the block editor environment.
  4. If the Symbol Builder Attribute Editor is not visible, click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. enter AEPALETTESHOW at the command prompt.
  5. Click the arrow on the Wire Connection section of the Symbol Builder Attribute Editor to expand the wire connection section.
  6. Click the Direction/Style list to expand the list of wire connection options.
  7. Select a wire connection.
    NoteOnly the options for the default style are shown in the list. To see other styles, or to change the default style, select Others.
  8. Click the Insert Wire Connection tool.
  9. Select an insertion point for the attribute.
    NoteIf the wire connection template contains the optional TERMn and TERMDESCn attributes, they are inserted with the wire connection attribute and added to the Pins section.
Others

Selecting Others on the Wire Connection Direction/Style list opens the Insert Wire Connection dialog box. On the Insert Wire Connection dialog box you can insert multiple wire connection attributes, select from a style other than the default, or change the default style.

  1. Define the style and direction.
  2. Enter the number of wire connections.
  3. (optional) Select an attribute in the Pin Information section and click Convert. Select the text for conversion as prompted.
  4. (optional) Select an attribute in the Pin Information section and click Delete. The attribute is removed from the list and is not inserted with the wire connection attribute.
  5. (optional) Select an attribute in the Pin Information section and click Properties to define the properties for the attribute using the Insert/Edit dialog box.
    NotePin attributes added with each wire connection may differ based on symbol type.
  6. Click Insert.
  7. Select the wire connection attribute insertion points. The related pin attributes are inserted relative to the wire connection attribute based on the wire connection template.


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert Wire Connections

Use this dialog box to insert multiple wire connection attributes at a time or to select a style other than the default.

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
  1. Select options on the Select Symbol / Objects dialog box.
  2. Click OK to enter the block editor environment.
  3. Expand the Wire Connection section and select Others from the Direction/Style list.
Configuration
Terminal Style | Select the wire connection style from the list. The list is built dynamically based on the wire connection templates in the library folder. Wire connection templates start with “BB”. NoteSee Creating a custom wire connection style to add terminal styles.
Connection Direction | Select the direction the wire connects from. The direction determines the connection attribute name.
Scale | Enter the insertion scale for the wire connection template.
Use this configuration as default | Use the terminal style as the default in the Direction/Style list in the symbol builder attribute editor. Use the scale value as the default insertion scale for wire connection attributes. Select Apply to save the current settings. Settings are saved automatically when Insert is selected.
Number and Offset Distance
Number | Enter the number of wire connection attributes to insert.
Select on screen | Select the insertion point for each wire connection after clicking Insert.
Row offset | Enter the X distance between each wire connection.
Column offset | Enter the Y distance between each wire connection.
Pin Information
Name/Default | List of optional related pin attributes inserted with the wire connection attributes. Modify the default values.
Convert | Dismisses the dialog box. Select a text object for conversion to the selected attribute.
Delete | Removes the selected attributes from the list so they are not inserted with the wire connection attributes.
Properties | Opens the Insert/Edit Attributes dialog box used to define the properties for the selected attributes.
See Also
    • Wire connection/terminal pin number pairs


Inserting Link Line Attributes (Procedure)

Symbol Builder
Up a level to ..
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserting Link Line Attributes

AutoCAD Electrical uses invisible attributes to tie in dashed link lines automatically between related components (instead of cross-reference annotation). The attributes are named X?LINK. The "?" is a digit that indicates the preferred link line connection direction.

  • 1: connects to the attribute from the right
  • 2: connects to the attribute from above
  • 4: connects to the attribute from the left
  • 8: connects to the attribute from below
  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  2. Select options on the Select Symbol / Objects dialog box.
  3. Click OK to enter the block editor environment.
  4. If the Symbol Builder Attribute Editor is not visible, click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. enter AEPALETTESHOW at the command prompt.
  5. Click the arrow on the Link Lines section of the Symbol Builder Attribute Editor to expand the section.
  6. Click the Direction list to expand the list of link line options.
  7. Select a direction.
  8. Click the Insert Link Line tool.
  9. Select an insertion point for the attribute.


Converting Text (Procedure)

Symbol Builder
Up a level to ..
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converting Text

You can convert text objects to attribute definitions on your symbol. The text value becomes the default value for the attribute when the block is inserted on a drawing.

  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  2. Select options on the Select Symbol / Objects dialog box making sure to select the existing text objects.
  3. Click OK to enter the block editor environment.
Converting a single text object to an attribute definition
  1. If the Symbol Builder Attribute Editor is not visible, click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. enter AEPALETTESHOW at the command prompt.
  2. Select the attribute from the list.
  3. Click the Convert Text tool at the top of the section for the attribute.
  4. Select the text object.
Converting multiple text objects to attribute definitions
  1. Select the Text Convert tool at the top of the Symbol Builder Attribute Editor to launch the Convert Text to Attribute dialog box.
  2. Select the text within the Text list.
  3. Select the arrow next to the attribute name in the Attribute list.
  4. Repeat for each text object you want to convert.
  5. Click OK.


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Convert Text to Attribute

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
  1. Select options on the Select Symbol / Objects dialog box.
  2. Click OK to enter the block editor environment.
  3. Select the Text Convert tool.

If you selected existing text entities, this option converts the existing text entities to AutoCAD Electrical attributes "in place." Use this dialog box to map the text objects to attributes for the selected symbol type.

Text | Lists all existing text objects in the symbol.
Attribute | Lists attributes from the symbol builder attribute editor grids that do not exist on the symbol.

To convert an existing text object to an attribute, select the text and click the arrow pointing at the attribute. The text string is used as the default value for the attribute and the text object is deleted.


Saving the Symbol (Procedure)

Symbol Builder
Up a level to ..
Insert PLC modules
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saving the Symbol

Once you have added the attributes and completed the symbol graphics, you are ready to save your library symbol. The following steps save your symbol as a .dwg file for insertion on a drawing. They also create an icon image to use when you add this symbol to an icon menu.

  1. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.

    The Save Symbol dialog box is displayed.

  2. Select WBlock in the Destination section.
  3. Modify the block name as needed.
  4. Modify the wblock File path as needed.
  5. Specify the base point for symbol insertion.
  6. Check Icon image to create a .png file. This image file can be used if you add the symbol to the icon menu.
    NoteThe symbol is not automatically added to the icon menu but can be added using the Icon Menu Wizard.
  7. Modify the image name as needed.
  8. Modify the image File path as needed. The default path is the image folder for the current icon menu.
  9. Click Details to examine any errors found in the symbol audit.
  10. Click OK to save the symbol.
NoteIf you close the block editor without saving, the dialog box opens automatically. Select the No button to close the block editor without saving the symbol changes.
See Also
    • Overview of the Icon Menu Wizard


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Symbol Builder
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Save Symbol

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
  1. Select options on the Select Symbol / Objects dialog box.
  2. Click OK to enter the block editor environment.
  3. Modify the symbol as needed as described in related topics.
  4. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.

    The Save Symbol dialog box is displayed.

NoteIf you close the block editor without saving, this dialog box opens automatically. The No button on this dialog box closes the block editor without saving the symbol changes.
Symbol

Block/Wblock

Select Block to insert your new component into your drawing or Wblock to save a copy of your new symbol. If Wblock is selected, the File path is available.

NoteThe Block option is not available if you browsed to an existing symbol on the Select Symbol / Objects dialog box. It is because the drawing file for the library symbol is opened.

Orientation

The first character of the symbol, “H” for horizontal or “V” for vertical.

Catalog name

Symbol Name: The next two characters of the symbol name indicate the family type and can match the symbol to a catalog lookup table.

NoteSchematic terminals use “T1” for a terminal that triggers a wire number change. They use “T0” for a terminal that does not trigger a wire number change.

WDBLKNAM: On a schematic symbol, the WDBLKNAM value overrides the catalog lookup table defined by the second and third characters of the symbol name. The WDBLKNAM value is always used on panel footprint symbols to match the symbol to a catalog lookup table.

Type

The fourth character of the symbol name can be a “1” for a parent symbol, “2” for a child symbol, or user-defined for other symbol types.

Contact

If the symbol is a schematic child, the fifth character is “1” for normally open or “2” for normally closed, otherwise it is user-defined.

Unique identifier

Additional characters added to the symbol name to make it unique.

Symbol name

The symbol file name. Symbol Builder suggests a file name based on the orientation, catalog lookup, type, contact, and unique identifier. Edit the symbol name as needed.

File path

The name of the folder for the symbol. Browse to a folder or enter in the folder name.

Details

Opens the Symbol Audit dialog box to view the specific errors.

Base point

Enter the base point coordinates for the symbol or select Pick point to select on the drawing. Select Specify on Screen to specify the base point after selecting OK. The coordinates become the insertion base point for the symbol.

Image
Icon image | Create an image to use if you add this new symbol to an icon menu. See Also: Overview of the Icon Menu Wizard
Name | The image file name. Image files are created as a .png file type.
File path | The name of the folder for the image file. Browse to a folder or enter in the folder name.
See Also
    • Overview of symbol naming conventions


Symbol Builder (Quick Reference)

Symbol Builder
Symbol Builder
Generate PLC layout modules
Symbol Libraries > Symbol Builder >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Symbol Audit

This dialog box provides audit information on the attributes and symbol name. The audit information is based on the symbol type.

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Symbol BuilderDoes not exist in the menus.
Command entry: AESYMBUILDER
  1. Select options on the Select Symbol / Objects dialog box.
  2. Click OK to enter the block editor environment.
  3. Add attributes as needed.
  4. Select the Audit tool.

The tree structure lists categories of errors found on the symbol. The number of errors for each category is displayed in parentheses or, (OK) if no errors exist within the category.

Missing required attributes | Lists attributes that are in the required group, based on the attribute template, but are not present on the symbol.
Duplicated attributes | Lists attributes with duplicated tags present on the symbol.
Missing values | Lists attributes with default values defined on the attribute template but are missing on the attributes on the symbol.
Missing prompts | Lists attributes with default prompts defined on the attribute template but are missing on the attributes on the symbol.
Missing group attributes | Lists attributes missing from common groups, such as MFG, CAT, ASSYCODE.
Template mismatch | Lists the attributes on the attribute template but removed from the list.
Layers | Lists layers other than 0 containing entities.
Insertion point | This error condition exists if neither the X or Y value of the insertion point matches the insertion point of at least one of the wire connection attributes.
Orientation | This error condition exists for a horizontal symbol without left or right wire connection attributes. It also exists for a vertical symbol without top or bottom wire connection attributes.

Select Save As to save the error information as an .xml file for reference.


Symbol Preview Guide

Symbol Builder
JIC Symbols
Symbol Preview Guide
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • JIC Symbols
  • IEC Symbols


JIC Symbols

Symbol Preview Guide
Symbol Preview Guide
Push Buttons
Symbol Preview Guide >
JIC Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Push Buttons
  • Selector Switches
  • Fuses, Circuit Breakers, Transformers
  • Relays and Contacts
  • Timers
  • Motor Control
  • Pilot Lights
  • PLC I/O
  • Terminals and Connectors
  • Limit Switches
  • Pressure and Temperature Switches
  • Flow and Level Switches
  • Miscellaneous Switches
  • Solenoids
  • Instrumentation
  • Miscellaneous
  • One-Line Components


Push Buttons

JIC Symbols
JIC Symbols
Selector Switches
Symbol Preview Guide > JIC Symbols >
Push Buttons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPB11 | VPB11 | Push Button Normally Open
HPB12 | VPB12 | Push Button Normally Closed
HPB11M | VPB11M | Mushroom Head Normally Open
HPB12M | VPB12M | Mushroom Head Normally Closed
HPB11L | VPB11L | Illuminated Push Button Normally Open
HPB12L | VPB12L | Illuminated Push Button Normally Closed
HPB11ML | VPB11ML | Illuminated Mushroom Head Normally Open
HPB12ML | VPB12ML | Illuminated Mushroom Head Normally Closed
HPB21 | VPB21 | 2nd+ Normally Open Contact
HPB22 | VPB22 | 2nd+ Normally Closed Contact
HPB2R | VPB2R | 2nd+ Red Light
HPB2G | VPB2G | 2nd+ Green Light
HPB2A | VPB2A | 2nd+ Amber Light
HPB2Y | VPB2Y | 2nd+ Yellow Light
HPB2B | VPB2B | 2nd+ Blue Light
HPB2W | VPB2W | 2nd+ White Light
HPB2C | VPB2C | 2nd+ Clear Light
NoteLights will receive text to indicate the color at the time of insertion.


Selector Switches

Push Buttons
JIC Symbols
Selector Switches
Symbol Preview Guide > JIC Symbols >
Selector Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Selector Switches
  • Illuminated Selector Switches


Selector Switches
Selector Switches
Illuminated Selector Switches
Symbol Preview Guide > JIC Symbols > Selector Switches >
Selector Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSS112 | VSS112 | 2 Position Maintain, Normally Open
HSS122 | VSS122 | 2 Position Maintain, Normally Closed
HSS112L | VSS112L | 2 Position Normally Open Return From Left
HSS122L | VSS122L | 2 Position Normally Closed Return From Left
HSS112R | VSS112R | 2 Position Normally Open Return From Right
HSS122R | VSS122R | 2 Position Normally Closed Return From Right
HSS113 | VSS113 | 3 Position Normally Open
HSS123 | VSS123 | 3 Position Normally Closed
HSS113L | VSS113L | 3 Position Normally Open Return From Left
HSS123L | VSS123L | 3 Position Normally Closed Return From Left
HSS113R | VSS113R | 3 Position Normally Open Return From Right
HSS123R | VSS123R | 3 Position Normally Closed Return From Right
HSS113B | VSS113B | 3 Position Normally Open Return From Both
HSS123B | VSS123B | 3 Position Normally Closed Return From Both
HSS114 | VSS114 | 4 Position Normally Open
HSS124 | VSS124 | 4 Position Normally Closed
HSS116 | VSS116 | 6 Position Normally Open
HSS126 | VSS126 | 6 Position Normally Closed
HSS118 | VSS118 | 8 Position Normally Open
HSS128 | VSS128 | 8 Position Normally Closed
HSS21 | VSS21 | 2nd+ Normally Open Contact
HSS22 | VSS22 | 2nd+ Normally Closed Contact


Illuminated Selector Switches

Selector Switches
Selector Switches
Fuses, Circuit Breakers, Transformers
Symbol Preview Guide > JIC Symbols > Selector Switches >
Illuminated Selector Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSS112I | VSS112I | 2 Position Normally Open
HSS122I | VSS122I | 2 Position Normally Closed
HSS112LI | VSS112LI | 2 Position Normally Open Return From Left
HSS122LI | VSS122LI | 2 Position Normally Closed Return From Left
HSS112RI | VSS112RI | 2 Position Normally Open Return From Right
HSS122RI | VSS122RI | 2 Position Normally Closed Return From Right
HSS113I | VSS113I | 3 Position Normally Open
HSS123I | VSS123I | 3 Position Normally Closed
HSS113LI | VSS113LI | 3 Position Normally Open Return From Left
HSS123LI | VSS123LI | 3 Position Normally Closed Return From Left
HSS113RI | VSS113RI | 3 Position Normally Open Return From Right
HSS123RI | VSS123RI | 3 Position Normally Closed Return From Right
HSS113BI | VSS113BI | 3 Position Normally Open Return From Both
HSS123BI | VSS123BI | 3 Position Normally Closed Return From Both
HSS2R | VSS2R | Red Light
HSS2G | VSS2G | Green Light
HSS2A | VSS2A | Amber Light
HSS2Y | VSS2Y | Yellow Light
HSS2B | VSS2B | Blue Light
HSS2W | VSS2W | White Light
HSS2C | VSS2C | Clear Light


Fuses, Circuit Breakers, Transformers

Illuminated Selector Switches
JIC Symbols
Fuses and Transformers
Symbol Preview Guide > JIC Symbols >
Fuses, Circuit Breakers, Transformers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Fuses and Transformers
  • Circuit Breakers and Disconnects


Fuses and Transformers

Fuses, Circuit Breakers, Transformers
Fuses, Circuit Breakers, Transformers
Circuit Breakers and Disconnects
Symbol Preview Guide > JIC Symbols > Fuses, Circuit Breakers, Transformers >
Fuses and Transformers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HFU1 | VFU1 | Fuse (Tag)
HFU0 | VFU0 | Fuse
HFU2 | VFU2 | 2nd+ Fuse
HDS11FR | VDS11FR | Fuse Switch (Right)
HDS11FL | VDS11FL | Fuse Switch (Left)
HDS21FR | VDS21FR | 2nd+ Fuse Switch(Right)
HDS21FL | VDS21FL | 2nd+ Fuse Switch (Left)
HXF1 | VXF1 | Transformer
HXF1D | VXF1D | Transformer Dual
HXF1CT | VXF1CT | Circuit Transformer
HXF1PT | VXF1PT | Potential Transformer


Circuit Breakers and Disconnects

Fuses and Transformers
Fuses, Circuit Breakers, Transformers
Relays and Contacts
Symbol Preview Guide > JIC Symbols > Fuses, Circuit Breakers, Transformers >
Circuit Breakers and Disconnects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCB1 | VCB1 | Circuit Breaker 1 Pole
HCB11TH | VCB11TH | Thermal Circuit Breaker
HCB11M | VCB11M | Motor Circuit Protector
HCB11ML | VCB11ML | Motor Circuit Protector with Fuse
HCB2 | VCB2 | 2nd+ Circuit Breaker 1 Pole
HCB21TH | VCB21TH | 2nd+ Thermal Circuit Breaker
HCB21M | VCB21M | 2nd+ Motor Circuit Protector
HCB21ML | VCB21ML | 2nd+ Motor Circuit Protector with Fuse
HCB21IT | VCB21IT | Circuit Breaker Auxilary Contact Normally Open
HDS11 | VDS11 | Disconnect Switch
HDS11F | VDS11F | Fused Disconnect Switch
HDS21IT |  | Disconnect Switch Auxilary Contact Normally Open
HDS21 | VDS21 | 2nd+ Disconnect Switch
HDS21F | VDS21F | 2nd+ Fused Disconnect Switch


Relays and Contacts

Circuit Breakers and Disconnects
JIC Symbols
Relays and Contacts
Symbol Preview Guide > JIC Symbols >
Relays and Contacts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Relays and Contacts
  • Latch Relay Coils


Relays and Contacts
Relays and Contacts
Latch Relay Coils
Symbol Preview Guide > JIC Symbols > Relays and Contacts >
Relays and Contacts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCR1 | VCR1 | Relay Coil
HCR21 | VCR21 | Relay Normally Open Contact
HCR22 | VCR22 | Relay Normally Closed Contact
HCR1T | VCR1T | Standard Coil with Pins
HCR21T | VCR21T | Relay Normally Open Contact with Pins
HCR22T | VCR22T | Relay Normally Closed Contact with Pins


Latch Relay Coils

Relays and Contacts
Relays and Contacts
Timers
Symbol Preview Guide > JIC Symbols > Relays and Contacts >
Latch Relay Coils
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLR1 | VLR1 | Latch Relay Coil
HLR1T | VLR1T | Latch Relay Coil with pins
HLR1U | VLR1U | UnLatch Relay Coil
HLR1UT | VLR1UT | UnLatch Relay Coil with pins


Timers

Latch Relay Coils
JIC Symbols
Time Delay Relays
Symbol Preview Guide > JIC Symbols >
Timers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Time Delay Relays
  • OFF-Delay Timers


Time Delay Relays

Timers
Timers
OFF-Delay Timers
Symbol Preview Guide > JIC Symbols > Timers >
Time Delay Relays
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HTD1N | VTD1N | ON Delay Coil
HTD1NT | VTD1NT | ON Delay Coil with Pins
HTD1NM |  | ON Delay Starter
HTD21N | VTD21N | ON Delay Normally Open - TC
HTD22N | VTD22N | ON Delay Normally Closed - TO
HTD21NT | VTD21NT | ON Delay Normally Open - TC with Pins
HTD22NT | VTD22NT | ON Delay Normally Closed - TO with Pins
HTD21I | VTD21I | Instantaneous Normally Open
HTD22I | VTD22I | Instantaneous Normally Closed
HTD21IT | VTD21IT | Instantaneous Normally Open with Pins
HTD22IT | VTD22IT | Instantaneous Normally Closed with Pins


OFF-Delay Timers

Time Delay Relays
Timers
Motor Control
Symbol Preview Guide > JIC Symbols > Timers >
OFF-Delay Timers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HTD1F | VTD1F | OFF Delay Coil
HTD1FT | VTD1FT | OFF Delay Coil with Pins
HTD1FM |  | OFF Delay Starter
HTD21F | VTD21F | OFF Delay Normally Open-TO
HTD22F | VTD22F | OFF Delay Normally Closed-TC
HTD21FT | VTD21FT | OFF Delay Normally Open-TO with Pins
HTD22FT | VTD22FT | OFF Delay Normally Closed-TC with Pins
HTD21IF | VTD21IF | Instantaneous Normally Open
HTD22IF | VTD22IF | Instantaneous Normally Closed
HTD21ITF | VTD21ITF | Instantaneous Normally Open with Pins
HTD22ITF | VTD22ITF | Instantaneous Normally Closed with Pins


Motor Control

OFF-Delay Timers
JIC Symbols
Pilot Lights
Symbol Preview Guide > JIC Symbols >
Motor Control
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HMS1 | VMS1 | Motor Starter Coil
HMS1T | VMS1T | Motor Starter Coil with Pins
HOL11 | VOL11 | Overload
HMO13 | VMO13 | 3 Phase Motor
HMS21 | VMS21 | 2nd+ Starter Contact Normally Open
HMS21T | VMS21T | 2nd+ Starter Contact Normally Open with Pins
HOL21 | VOL21 | 2nd+ Overload
HMO12 | VMO12 | 1 Phase Motor
HMS22 | VMS22 | 2nd+ Starter Contact Normally Closed
HMS22T | VMS22T | 2nd+ Starter Contact Normally Closed with Pins
HOL21I | VOL21I | 2nd+ Overload Contact Normally Open
HOL22I | VOL22I | 2nd+ Overload Contact Normally Closed
HCA11 | VCA11 | KVAR Capacitor
HCA113 | VCA113 | 3 Phase KVAR
HCA21 | VCA21 | 2nd+ KVAR Capacitor
NoteMulti-pole devices are constructed using parent and child symbols to adhere to the underlying ladder spacing.


Pilot Lights

Motor Control
JIC Symbols
Pilot Lights
Symbol Preview Guide > JIC Symbols >
Pilot Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Pilot Lights
  • Master Test Pilot Lights
  • Neon Pilot Lights


Pilot Lights
Pilot Lights
Master Test Pilot Lights
Symbol Preview Guide > JIC Symbols > Pilot Lights >
Pilot Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1R | VLT1R | Red Standard
HLT1G | VLT1G | Green Standard
HLT1A | VLT1A | Amber Standard
HLT1Y | VLT1Y | Yellow Standard
HLT1B | VLT1B | Blue Standard
HLT1W | VLT1W | White Standard
HLT1C | VLT1C | Clear Standard
HLT1RP | VLT1RP | Red Press To Test
HLT1GP | VLT1GP | Green Press To Test
HLT1AP | VLT1AP | Amber Press To Test
HLT1YP | VLT1YP | Yellow Press To Test
HLT1BP | VLT1BP | Blue Press To Test
HLT1WP | VLT1WP | White Press To Test
HLT1CP | VLT1CP | Clear Press To Test
NoteLights receive text to indicate the color at the time of insertion.


Master Test Pilot Lights

Pilot Lights
Pilot Lights
Neon Pilot Lights
Symbol Preview Guide > JIC Symbols > Pilot Lights >
Master Test Pilot Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1RM | VLT1RM | Red Master Test
HLT1GM | VLT1GM | Green Master Test
HLT1AM | VLT1AM | Amber Master Test
HLT1YM | VLT1YM | Yellow Master Test
HLT1BM | VLT1BM | Blue Master Test
HLT1WM | VLT1WM | White Master Test
HLT1CM | VLT1CM | Clear Master Test
NoteLights receive text to indicate the color at the time of insertion.


Neon Pilot Lights

Master Test Pilot Lights
Pilot Lights
PLC I/O
Symbol Preview Guide > JIC Symbols > Pilot Lights >
Neon Pilot Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1RN | VLT1RN | Red Standard
HLT1AN | VLT1AN | Amber Standard
HLT1CN | VLT1CN | Clear Standard
NoteLights receive text to indicate the color at the time of insertion.


PLC I/O

Neon Pilot Lights
JIC Symbols
Terminals and Connectors
Symbol Preview Guide > JIC Symbols >
PLC I/O
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
PLCIOI1T | PLCIOI1TV | IN, 1st Point, 1 Wire
PLCIOI2T | PLCIOI2TV | IN, 1st Point, 2 Wires
PLCIOO1T | PLCIOO1TV | OUT, 1st Point, 1 Wire
PLCIOO2T | PLCIOO2TV | OUT, 1st Point, 2 Wires
PLCIOI1 | PLCIOI1V | IN, 2nd+ Child, one Wire
PLCIOI2 | PLCIOI2V | IN, 2nd+ Child, 2 Wires
PLCIOO1 | PLCIOO1V | OUT, 2nd+ Child, 1 Wire
PLCIOO2 | PLCIOO2V | OUT, 2nd+ Child, 2 Wires


Terminals and Connectors

PLC I/O
JIC Symbols
Terminals
Symbol Preview Guide > JIC Symbols >
Terminals and Connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Terminals
  • In-Line Wire Labels
  • Power Distribution Blocks
  • Connectors - No Wirenumber Changes
  • Connectors - Wirenumber Changes


Terminals

Terminals and Connectors
Terminals and Connectors
In-Line Wire Labels
Symbol Preview Guide > JIC Symbols > Terminals and Connectors >
Terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HT0_01 | VT0_01 | Square
HT0W01 | VT0W01 | Square with Wire Number
HT0001 | VT0001 | Square with Terminal Number
HT1001 | VT1001 | Square with Wire Number Change
HT0_02 | VT0_02 | Round
HT0W02 | VT0W02 | Round with Wire Number
HT0002 | VT0002 | Round with Terminal Number
HT1002 | VT1002 | Round with Wire Number Change
HT0_03 | VT0_03 | Hexagon
HT0W03 | VT0W03 | Hexagon with Wire Number
HT0003 | VT0003 | Hexagon with Terminal Number
HT1003 | VT1003 | Hexagon with Wire Number Change
HT0_04 | VT0_04 | Diamond
HT0W04 | VT0W04 | Diamond with Wire Number
HT0004 | VT0004 | Diamond with Terminal Number
HT1004 | VT1004 | Diamond with Wire Number Change
HT0_05 | VT0_05 | Triangle
HT0W05 | VT0W05 | Triangle with Wire Number
HT0005 | VT0005 | Triangle with Terminal Number
HT1005 | VT1005 | Triangle with Wire Number Change


In-Line Wire Labels

Terminals
Terminals and Connectors
Power Distribution Blocks
Symbol Preview Guide > JIC Symbols > Terminals and Connectors >
In-Line Wire Labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HT0_LGENERIC | VT0_LGENERIC | In-Line Wire Label
HT0_WGENERIC | VT0_WGENERIC | Wire Number Copy


Power Distribution Blocks

In-Line Wire Labels
Terminals and Connectors
Connectors - No Wirenumber Changes
Symbol Preview Guide > JIC Symbols > Terminals and Connectors >
Power Distribution Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDB1350 | VDB1350 | 3 Terminal, 0.5 Spacing
HDB1375 | VDB1375 | 3 Terminal, 0.75 Spacing
HDB13100 | VDB13100 | 3 Terminal, 1.0 Spacing


Connectors - No Wirenumber Changes

Power Distribution Blocks
Terminals and Connectors
Connectors - No Wirenumber Changes
Symbol Preview Guide > JIC Symbols > Terminals and Connectors >
Connectors - No Wirenumber Changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Connectors - No Wirenumber Changes
  • Connectors - No Wirenumber Changes - Spare/Single Side


Connectors - No Wirenumber Changes
Connectors - No Wirenumber Changes
Connectors - No Wirenumber Changes - Spare/Single Side
Symbol Preview Guide > JIC Symbols > Terminals and Connectors > Connectors - No Wirenumber Changes >
Connectors - No Wirenumber Changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HC01PJ | VC01PJ | Plug/Jack
HC01JP | VC01JP | Jack/Plug
HC01PJ1 | VC01PJ1 | Plug/Jack (Combined Tag-Pin)
HC01JP1 | VC01JP1 | Jack/Plug (Combined Tag-Pin)
HC02PJ | VC02PJ | 2nd+ Plug/Jack
HC02JP | VC02JP | 2nd+ Jack/Plug
HC02PJ1 | VC02PJ1 | 2nd+ Plug/Jack (Combined Tag-Pin)
HC02JP1 | VC02JP1 | 2nd+ Jack/Plug (Combined Tag-Pin)


Connectors - No Wirenumber Changes - Spare/Single Side

Connectors - No Wirenumber Changes
Connectors - No Wirenumber Changes
Connectors - Wirenumber Changes
Symbol Preview Guide > JIC Symbols > Terminals and Connectors > Connectors - No Wirenumber Changes >
Connectors - No Wirenumber Changes - Spare/Single Side
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HC01P_ | VC01P_ | Plug Right or up
HC01_J | VC01_J | Jack Left or Down
HC01P_1 | VC01P_1 | Plug Right or up (Combined tag/pin)
HC01_J1 | VC01_J1 | Jack Left or Down (Combined)
HC02P_ | VC02P_ | 2nd+ Plug Right or up
HC02_J | VC02_J | 2nd+ Jack Left or Down
HC02P_1 | VC02P_1 | 2nd+ Plug Right or up (Combined)
HC02_J1 | VC02_J1 | 2nd+ Jack Left or Down (Combined)
HC01J_ | VC01J_ | Jack Right or up
HC01_P | VC01_P | Plug Left or Down
HC01J_1 | VC01J_1 | Jack Right or up (Combined)
HC01_P1 | VC01_P1 | Plug Left or Down (Combined)
HC02J_ | VC02J_ | 2nd+ Jack Right or up
HC02_P | VC02_P | 2nd+ Plug Left or Down
HC02J_1 | VC02J_1 | 2nd+ Jack Right or up (Combined)
HC02_P1 | VC02_P1 | 2nd+ Plug Left or Down (Combined)


Connectors - Wirenumber Changes

Connectors - No Wirenumber Changes - Spare/Single Side
Terminals and Connectors
Connectors - Wirenumber Changes
Symbol Preview Guide > JIC Symbols > Terminals and Connectors >
Connectors - Wirenumber Changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Connectors - Wirenumber Changes
  • Connectors - Wirenumber Changes - Spare/Single Side


Connectors - Wirenumber Changes
Connectors - Wirenumber Changes
Connectors - Wirenumber Changes - Spare/Single Side
Symbol Preview Guide > JIC Symbols > Terminals and Connectors > Connectors - Wirenumber Changes >
Connectors - Wirenumber Changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCN1PJ | VCN1PJ | Plug/Jack
HCN1JP | VCN1JP | Jack/Plug
HCN2PJ | VCN2PJ | 2nd+ Plug/Jack
HCN2JP | VCN2JP | 2nd+ Jack/Plug


Connectors - Wirenumber Changes - Spare/Single Side

Connectors - Wirenumber Changes
Connectors - Wirenumber Changes
Limit Switches
Symbol Preview Guide > JIC Symbols > Terminals and Connectors > Connectors - Wirenumber Changes >
Connectors - Wirenumber Changes - Spare/Single Side
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCN1P_ | VCN1P_ | Plug Right or up
HCN1_J | VCN1_J | Jack Left or Down
HCN1P_1 | VCN1P_1 | Plug Right or up (Combined tag/pin)
HCN1_J1 | VCN1_J1 | Jack Left or Down (Combined)
HCN2P_ | VCN2P_ | 2nd+ Plug Right or up
HCN2_J | VCN2_J | 2nd+ Jack Left or Down
HCN2P_1 | VCN2P_1 | 2nd+ Plug Right or up (Combined)
HCN2_J1 | VCN2_J1 | 2nd+ Jack Left or Down (Combined)
HCN1J_ | VCN1J_ | Jack Right or up
HCN1_P | VCN1_P | Plug Left or Down
HCN1J_1 | VCN1J_1 | Jack Right or up (Combined)
HCN1_P1 | VCN1_P1 | Plug Left or Down (Combined)
HCN2J_ | VCN2J_ | 2nd+ Jack Right or up
HCN2_P | VCN2_P | 2nd+ Plug Left or Down
HCN2J_1 | VCN2J_1 | 2nd+ Jack Right or up (Combined)
HCN2_P1 | VCN2_P1 | 2nd+ Plug Left or Down (Combined)


Limit Switches

Connectors - Wirenumber Changes - Spare/Single Side
JIC Symbols
Pressure and Temperature Switches
Symbol Preview Guide > JIC Symbols >
Limit Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLS11 | VLS11 | Limit Switch Normally Open
HLS12 | VLS12 | Limit Switch Normally Closed
HLS11H | VLS11H | Limit Switch Normally Open Held Closed
HLS12H | VLS12H | Limit Switch Normally Closed Held Open
HLS21 | VLS21 | 2nd+ Normally Open Contact
HLS22 | VLS22 | 2nd+ Normally Closed Contact
HLS21H | VLS21H | 2nd+ Normally Open Contact Held Closed
HLS22H | VLS22H | 2nd+ Normally Closed Contact Held Open


Pressure and Temperature Switches

Limit Switches
JIC Symbols
Flow and Level Switches
Symbol Preview Guide > JIC Symbols >
Pressure and Temperature Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPS11 | VPS11 | Pressure Switch, Normally Open
HPS12 | VPS12 | Pressure Switch, Normally Closed
HTS11 | VTS11 | Temperature Switch, Normally Open
HTS12 | VTS12 | Temperature Switch, Normally Closed
HPS21 | VPS21 | 2nd+ Pressure Normally Open Contact
HPS22 | VPS22 | 2nd+ Pressure Normally Closed Contact
HTS21 | VTS21 | 2nd+ Temperature Normally Open Contact
HTS22 | VTS22 | 2nd+ Temperature Normally Closed Contact


Flow and Level Switches

Pressure and Temperature Switches
JIC Symbols
Miscellaneous Switches
Symbol Preview Guide > JIC Symbols >
Flow and Level Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HFS11 | VFS11 | Flow Switch Normally Open
HFS12 | VFS12 | Flow Switch Normally Closed
HFL11 | VFL11 | Level Switch Normally Open
HFL12 | VFL12 | Level Switch Normally Closed
HFS21 | VFS21 | 2nd+ Flow Normally Open Contact
HFS22 | VFS22 | 2nd+ Flow Normally Closed Contact
HFL21 | VFL21 | 2nd+ Level Normally Open Contact
HFL22 | VFL22 | 2nd+ Level Normally Closed Contact


Miscellaneous Switches

Flow and Level Switches
JIC Symbols
Miscellaneous Switches
Symbol Preview Guide > JIC Symbols >
Miscellaneous Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Miscellaneous Switches
  • Single Pole Double Throw Switches


Miscellaneous Switches
Miscellaneous Switches
Single Pole Double Throw Switches
Symbol Preview Guide > JIC Symbols > Miscellaneous Switches >
Miscellaneous Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPX11 | VPX11 | Proximity Switch Normally Open
HPX12 | VPX12 | Proximity Switch Normally Closed
HPX21 | VPX21 | 2nd+ Proximity Normally Open Contact
HPX22 | VPX22 | 2nd+ Proximity Normally Closed Contact
HFT11 | VFT11 | Foot Switch Normally Open
HFT12 | VFT12 | Foot Switch Normally Closed
HFT21 | VFT21 | 2nd+ Foot Normally Open Contact
HFT22 | VFT22 | 2nd+ Foot Normally Closed Contact
HTG11 | VTG11 | Toggle Switch Normally Open
HTG12 |  | Toggle Switch Normally Closed
HTG21 | VTG21 | 2nd+ Toggle Normally Open Contact
HTG22 | VTG22 | 2nd+ Toggle Normally Closed Contact
HPC11 | VPC11 | Pull cord Switch Normally Open
HPC12 | VPC12 | Pull cord Switch Normally Closed
HPC21 | VPC21 | 2nd+ Pull Cord Normally Open Contact
HPC22 | VPC22 | 2nd+ Pull Cord Normally Closed Contact
HPG11 | VPG11 | A-Plug Normally Open
HPG12 | VPG12 | A-Plug Normally Closed
HPG21 | VPG21 | 2nd+ A-Plug Normally Open Contact
HPG22 | VPG22 | 2nd+ A-Plug Normally Closed Contact
HPE11 | VPE11 | Photo Eye Switch Normally Open
HPE12 | VPE12 | Photo Eye Switch Normally Closed


Single Pole Double Throw Switches

Miscellaneous Switches
Miscellaneous Switches
Solenoids
Symbol Preview Guide > JIC Symbols > Miscellaneous Switches >
Single Pole Double Throw Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HTG112 | VTG112 | Single Pole Double Throw Maintained
HTG112D | VTG112D | Single Pole Double Throw Return From Down
HTG112U | VTG112U | Single Pole Double Throw Return From Up
HTG112B | VTG112B | Single Pole Double Throw Return From Both
HTG212 | VTG212 | 2nd+ Maintained
HTG212D | VTG212D | 2nd+ Return From Down
HTG212U | VTG212U | 2nd+ Return From Up
HTG212B | VTG212B | 2nd+ Return From Both
HTG112R | VTG112R | Single Pole Double Throw Maintained
HTG112DR | VTG112DR | Single Pole Double Throw Return From Down
HTG112UR | VTG112UR | Single Pole Double Throw Return From Up
HTG112BR | VTG112BR | Single Pole Double Throw Return From Both
HTG212R | VTG212R | 2nd+ Maintained
HTG212DR | VTG212DR | 2nd+ Return From Down
HTG212UR | VTG212UR | 2nd+ Return From Up
HTG212BR | VTG212BR | 2nd+ Return From Both


Solenoids

Single Pole Double Throw Switches
JIC Symbols
Instrumentation
Symbol Preview Guide > JIC Symbols >
Solenoids
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSV1 | VSV1 | Solenoid
HSV1M | VSV1M | Manual Reset Solenoid
HSV21 | VSV21 | Normally Open Contact
HSV22 | VSV22 | Normally Closed Contact


Instrumentation

Solenoids
JIC Symbols
Miscellaneous
Symbol Preview Guide > JIC Symbols >
Instrumentation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HTC1L | VTC1L | Thermocouple
HTC1R | VTC1R | Thermocouple
HTC1LTB | VTC1LTB | Thermocouple with Terminal Board
HTC1RTB | VTC1RTB | Thermocouple with Terminal Board
HBV1M | VBV1M | Ball valve
HGV1M | VGV1M | Gate valve
HLV1M | VLV1M | Globe valve
HVM1 | VVM1 | Volt Meter
HAM1 | VAM1 | Amp Meter


Miscellaneous

Instrumentation
JIC Symbols
Miscellaneous
Symbol Preview Guide > JIC Symbols >
Miscellaneous
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Miscellaneous
  • Electronics
  • Cable Markers
  • Power Receptacles
  • Generic Device Boxes
  • Stand-alone Cross-reference Symbols
  • Wire Arrows - Reference Only


Miscellaneous
Miscellaneous
Electronics
Symbol Preview Guide > JIC Symbols > Miscellaneous >
Miscellaneous
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HAN1B | VAN1B | Bell
HAN1Z | VAN1Z | Buzzer
HAN1H | VAN1H | Horn
HGND2 | VGND2 | Ground
HGND1 | VGND1 | Earth/Ground
HBA1 | VBA1 | Battery
HBA1R | VBA1R | Battery (Flipped)
HSU1 | VSU1 | Suppressor (tag)
HSU0 | VSU0 | Suppressor
HLT1ENC | VLT1ENC | Enclosure Light
HSP1001 | VSP1001 | Splice


Electronics

Miscellaneous
Miscellaneous
Cable Markers
Symbol Preview Guide > JIC Symbols > Miscellaneous >
Electronics
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HRE1 | VRE1 | Fixed Resistor
HRE1B | VRE1B | Fixed Resistor (Box)
HRE1T | VRE1T | Fixed Resistor with Pins
HRE1TB | VRE1TB | Fixed Resistor (Box) with Pins
HVR1TZ | VVR1TZ | Variable Resistor
HVR1TZR | VVR1TZR | Variable Resistor
HVR1 | VVR1 | Variable Resistor
HVR1R | VVR1R | Variable Resistor
HDI1 | VDI1 | Diode
HDI1R | VDI1R | Diode
HDI1T | VDI1T | Diode with Pins
HDI1TR | VDI1TR | Diode with Pins
HDI1Z | VDI1Z | Zener Diode
HDI1ZR | VDI1ZR | Zener Diode
HDI1TZ | VDI1TZ | Zener Diode with Pins
HDI1TZR | VDI1TZR | Zener Diode with Pins
HCA1 | VCA1 | Capacitor
HCA1T | VCA1T | Capacitor with Pins


Cable Markers

Electronics
Miscellaneous
Power Receptacles
Symbol Preview Guide > JIC Symbols > Miscellaneous >
Cable Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HW01 | VW01 | Cable Marker
HW02 | VW02 | 2nd+ Child Marker
HT0_CABLE | VT0_CABLE | Extra Marker
HT0_TW | VT0_TW | Twisted Pair


Power Receptacles

Cable Markers
Miscellaneous
Generic Device Boxes
Symbol Preview Guide > JIC Symbols > Miscellaneous >
Power Receptacles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCN1RDUP | VCN1RDUP | Duplex Receptacle
HCN1RSGL | VCN1RSGL | Single Receptacle


Generic Device Boxes

Power Receptacles
Miscellaneous
Stand-alone Cross-reference Symbols
Symbol Preview Guide > JIC Symbols > Miscellaneous >
Generic Device Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDV1TFL | VDV1TFL | 4 Terminals
HDV1TC | VDV1TC | 3 Terminals
HDV1TB | VDV1TB | 3 Terminals
HDV1T6 | VDV1T6 | 2 Terminals
HDV1TF | VDV1TF | 4 Terminals
HDV1TE | VDV1TE | 3 Terminals
HDV1T7 | VDV1T7 | 3 Terminals


Stand-alone Cross-reference Symbols

Generic Device Boxes
Miscellaneous
Wire Arrows - Reference Only
Symbol Preview Guide > JIC Symbols > Miscellaneous >
Stand-alone Cross-reference Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
HA2S1_REF | Source Rectangle
HA3S1_REF | Source Hexagon
HA5S1_REF | Source Ellipse
HA2D1_REF | Destination Rectangle
HA3D1_REF | Destination Hexagon
HA5D1_REF | Destination Ellipse


Wire Arrows - Reference Only

Stand-alone Cross-reference Symbols
Miscellaneous
One-Line Components
Symbol Preview Guide > JIC Symbols > Miscellaneous >
Wire Arrows - Reference Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
HA1X1 | Generic Arrow - Left
HA1X2 | Generic Arrow - Up
HA1X3 | Generic Arrow - Right
HA1X4 | Generic Arrow - Down
HA1X1Y | Arrow Tail - Left
HA1X2Y | Arrow Tail - Up
HA1X3Y | Arrow Tail - Right
HA1X4Y | Arrow Tail - Down


One-Line Components

Wire Arrows - Reference Only
JIC Symbols
Connector
Symbol Preview Guide > JIC Symbols >
One-Line Components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Connector
  • Motor Control
  • Transformer
  • Terminal
  • Cable Marker
  • Bus-tap
  • Miscellaneous


Connector

One-Line Components
One-Line Components
Motor Control
Symbol Preview Guide > JIC Symbols > One-Line Components >
Connector
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HC01PJ_1- | VC01PJ_1- | Jack/Plug


Motor Control

Connector
One-Line Components
Transformer
Symbol Preview Guide > JIC Symbols > One-Line Components >
Motor Control
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCB11_1- | VCB11_1- | Circuit breaker
HCB11M_1- | VCB11M_1- | Motor circuit protector
HCB11TH_1- | VCB11TH_1- | Thermal circuit breaker
HDS11_1- | VDS11_1- | Disconnect
HDS11F_1- | VDS11F_1- | Fused disconnect
HFU1_1- | VFU1_1- | Fuse
HMO13_1- | VMO13_1- | Motor
HMS11_1- | VMS11_1- | Motor starter
HOL1_1- | VOL1_1- | Overload
 | VCA113_1- | Capacitor


Transformer

Motor Control
One-Line Components
Terminal
Symbol Preview Guide > JIC Symbols > One-Line Components >
Transformer
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HXF1_1- | VXF1_1- | Transformer 1
HXF2_1- | VXF2_1- | Transformer 2


Terminal

Transformer
One-Line Components
Cable Marker
Symbol Preview Guide > JIC Symbols > One-Line Components >
Terminal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HT0001_1- | VT0001_1- | Square terminal
HT0002_1- | VT0002_1- | Round terminal


Cable Marker

Terminal
One-Line Components
Bus-tap
Symbol Preview Guide > JIC Symbols > One-Line Components >
Cable Marker
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HW01_1- | VW01_1- | Cable marker


Bus-tap

Cable Marker
One-Line Components
Miscellaneous
Symbol Preview Guide > JIC Symbols > One-Line Components >
Bus-tap
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDV1_BT_1- | VDV1_BT_1- | Bus-tap - main/dot
HDV1_BTT_1- | VDV1_BTT_1- | Bus-tap - dual/tee
HDV1_BTL_1- | VDV1_BTL_1- | Bus-tap - dual/corner


Miscellaneous

Bus-tap
One-Line Components
IEC Symbols
Symbol Preview Guide > JIC Symbols > One-Line Components >
Miscellaneous
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HC01WR_1- | VC01WR_1- | Power receptacle
HDV1_1- | VDV1_1- | Generic load


IEC Symbols

Miscellaneous
Symbol Preview Guide
Push Buttons
Symbol Preview Guide >
IEC Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Push Buttons
  • Selector Switches
  • Breakers, Disconnects
  • Fuses, Transformers, Reactors
  • Relays, Contacts
  • Time Delay Relays
  • Motor Control
  • Pilot Lights
  • PLC I/O
  • Terminals, Connectors
  • Limit Switches
  • Pressure and Temperature Switches
  • Proximity Switches
  • Miscellaneous Switches
  • Solenoids
  • Instrumentation and Sensors
  • Qualifying Symbols
  • Miscellaneous
  • One-Line Components


Push Buttons

IEC Symbols
IEC Symbols
Push Buttons
Symbol Preview Guide > IEC Symbols >
Push Buttons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Push Buttons
  • Illuminated Push Buttons


Push Buttons
Push Buttons
Illuminated Push Buttons
Symbol Preview Guide > IEC Symbols > Push Buttons >
Push Buttons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPB11 | VPB11 | Push Button Normally Open
HPB12 | VPB12 | Push Button Normally Closed
HPB11L | VPB11L | Push Button Normally Open Latching
HPB12L | VPB12L | Push Button Normally Closed Latching
HPB11M | VPB11M | Mushroom Head Normally Open
HPB12M | VPB12M | Mushroom Head Normally Closed
HPB11ML | VPB11ML | Mushroom Head Normally Open Latching
HPB12ML | VPB12ML | Mushroom Head Normally Closed Latching
HPB11MTL | VPB11MTL | Mushroom Head Normally Open Twist Latch
HPB12MTL | VPB12MTL | Mushroom Head Normally Closed Twist Latch
HPB11S80 | VPB11S80 | Mushroom Head Normally Open Latching, Pull to Disengage
HPB12S80 | VPB12S80 | Mushroom Head Normally Closed Latching, Pull to Disengage
HPB11S82 | VPB11S82 | Mushroom Head Normally Open Latching, Key Operated
HPB12S82 | VPB12S82 | Mushroom Head Normally Closed Latching, Key Operated
HPB11RE | VPB11RE | Normally Open Push Button Recessed
HPB12RE | VPB12RE | Normally Closed Push Button Recessed
HPB11REL | VPB11REL | Normally Open Push Button Recessed Latched
HPB12REL | VPB12REL | Normally Closed Push Button Recessed Latched
HPB11PM | VPB11PM | Normally Open Push Button Positive Make
HPB12PB | VPB12PB | Normally Closed Push Button Positive Break
HPB21 | VPB21 | 2nd+ Normally Open Contact
HPB22 | VPB22 | 2nd+ Normally Closed Contact
HPB11S75 | VPB11S75 | Illuminated Push Button Normally Open
HPB12S75 | VPB12S75 | Illuminated Push Button Normally Closed


Illuminated Push Buttons

Push Buttons
Push Buttons
Selector Switches
Symbol Preview Guide > IEC Symbols > Push Buttons >
Illuminated Push Buttons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPB11S76 | VPB11S76 | Non-Auto Return Illuminated Push Button Normally Open
HPB12S76 | VPB12S76 | Non-Auto return Illuminated Push Button Normally Closed


Selector Switches

Illuminated Push Buttons
IEC Symbols
Selector Switches
Symbol Preview Guide > IEC Symbols >
Selector Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Selector Switches
  • 3 Position Selector Switches
  • 4 Position Selector Switches


Selector Switches
Selector Switches
3 Position Selector Switches
Symbol Preview Guide > IEC Symbols > Selector Switches >
Selector Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSS112 | VSS112 | 2 Position Maintain, Normally Open
HSS122 | VSS122 | 2 Position Maintain, Normally Closed
HSS112L | VSS112L | 2 Position Normally Open Return From Left
HSS122L | VSS122L | 2 Position Normally Closed Return From Left
HSS112R | VSS112R | 2 Position Normally Open Return From Right
HSS122R | VSS122R | 2 Position Normally Closed Return From Right
HSW11S77 | VSW11S77 | 2 Position Normally Open with Lamp
HSW12S77 | VSW12S77 | 2 Position Normally Closed with Lamp
HSS2121F | VSS2121F | Normally Open Contact with Manual Unlatching
HSS2122F | VSS2122F | Normally Open Contact with Maintained Position
HSS217F | VSS217F | Normally Open Anticipated Contact
HSS218F | VSS218F | Normally Open Delayed Contact
HSS2221F | VSS2221F | Normally Closed Contact with Manual Unlatching
HSS2222F | VSS2222F | Normally Closed Contact with Maintained Position
HSS227F | VSS227F | Normally Closed Anticipated Contact
HSS228F | VSS228F | Normally Closed Delayed Contact
HSS11NL | VSS11NL | Non-Latched, Normally Open
HSS12NL | VSS12NL | Non-Latched, Normally Closed
HSS21 | VSS21 | 2nd+ Normally Open Contact
HSS22 | VSS22 | 2nd+ Normally Closed Contact


3 Position Selector Switches

Selector Switches
Selector Switches
4 Position Selector Switches
Symbol Preview Guide > IEC Symbols > Selector Switches >
3 Position Selector Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSS113 | VSS113 | 3 Position Maintain, Normally Open
HSS123 | VSS123 | 3 Position Maintain, Normally Closed
HSS113L | VSS113L | 3 Position Normally Open Return From Left
HSS123L | VSS123L | 3 Position Normally Closed Return From Left
HSS113R | VSS113R | 3 Position Normally Open Return From Right
HSS123R | VSS123R | 3 Position Normally Closed Return From Right
HSS113B | VSS113B | 3 Position Normally Open Return From Both
HSS123B | VSS123B | 3 Position Normally Closed Return From Both
HSS11S31 | VSS11S31 | 3 Position Normally Open Neutral 0
HSS12S31 | VSS12S31 | 3 Position Normally Closed Neutral 0
HSS11S32 | HSS11S32 | 3 Position Normally Open Neutral 1
HSS12S32 | HSS12S32 | 3 Position Normally Closed Neutral 1
HSS11S33 | HSS11S33 | 3 Position Normally Open Neutral 2
HSS12S33 | HSS12S33 | 3 Position Normally Closed Neutral 2
HSS11S40 | HSS11S40 | 3 Position Normally Open Key Operated Neutral 0
HSS12S40 | HSS12S40 | 3 Position Normally Closed Key Operated Neutral 0
HSS11S41 | HSS11S41 | 3 Position Normally Open Key Operated Neutral 1
HSS12S41 | HSS12S41 | 3 Position Normally Closed Key Operated Neutral 1
HSS11S42 | HSS11S42 | 3 Position Normally Open Key Operated Neutral 2
HSS12S42 | HSS12S42 | 3 Position Normally Closed Key Operated Neutral 2
HSS11S43 | HSS11S43 | 3 Stable Position Normally Open Key Operated Neutral 0
HSS12S43 | HSS12S43 | 3 Stable Position Normally Closed Key Operated Neutral 0
HSS11S44 | HSS11S44 | 3 Stable Position Normally Open Key Operated Neutral 1
HSS12S44 | HSS12S44 | 3 Stable Position Normally Closed Key Operated Neutral 1
HSS11S45 | HSS11S45 | 3 Stable Position Normally Open Key Operated Neutral 2
HSS12S45 | HSS12S45 | 3 Stable Position Normally Closed Key Operated Neutral 2


4 Position Selector Switches

3 Position Selector Switches
Selector Switches
Breakers, Disconnects
Symbol Preview Guide > IEC Symbols > Selector Switches >
4 Position Selector Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSS114 | VSS114 | 4 Position Maintain, Normally Open
HSS124 | VSS124 | 4 Position Maintain, Normally Closed
HSS11S46 | VSS11S46 | 4 Position Key Selector Normally Open
HSS12S46 | VSS12S46 | 4 Position Key Selector Normally Closed
HSS11S49 | VSS11S49 | 4 Stable Positions Key Selector Normally Open
HSS12S49 | VSS12S49 | 4 Stable Positions Key Selector Normally Closed
HSS11S50 | VSS11S50 | 4 Stable Positions Key Selector Normally Open-Rotating in 2 Ways
HSS12S50 | VSS12S50 | 4 Stable Positions Key Selector Normally Closed-Rotating in 2 Ways
HSS11S51 | VSS11S51 | 4 Stable Positions Key Selector Normally Open-Rotating CW
HSS12S51 | VSS12S51 | 4 Stable Positions Key Selector Normally Closed-Rotating CW


Breakers, Disconnects

4 Position Selector Switches
IEC Symbols
1 Pole Circuit Breakers
Symbol Preview Guide > IEC Symbols >
Breakers, Disconnects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • 1 Pole Circuit Breakers
  • 2nd+ Pole Circuit Breakers
  • Power Switches
  • Fusible Disconnects
  • Disconnect 1 Pole


1 Pole Circuit Breakers

Breakers, Disconnects
Breakers, Disconnects
2nd+ Pole Circuit Breakers
Symbol Preview Guide > IEC Symbols > Breakers, Disconnects >
1 Pole Circuit Breakers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCB1 | VCB1 | Circuit Breaker 1 Pole
HCB11TH | VCB11TH | Thermal Circuit Breaker
HCB11THI | VCB11THI | Current Limit/Thermal
HCB11Q9 | VCB11Q9 | Magneto/Thermal
HCB11Q13 | VCB11Q13 | Magneto/Thermal with Differential
HCB11Q17 | VCB11Q17 | Differential
HCB11Q29 | VCB11Q29 | With Current Protection
HCB11Q33 | VCB11Q33 | With Current Protection and Lack of Voltage Protection
HCB11Q37 | VCB11Q37 | With Max. Current and Min. Voltage Protection
HCB11Q41 | VCB11Q41 | With Max. Thermal/Current and Min. Voltage Protection
HCB11Q45 | VCB11Q45 | With Max. Thermal and Min. Voltage Protection
HCB11Q21 | VCB11Q21 | With Max. Thermal and Current Protection
HCB11Q25 | VCB11Q25 | With Max. Thermal Protection and Differential
HCB11Q146 | VCB11Q146 | 1 Pole Auto Switch with Magneto
HCB11Q134 | VCB11Q134 | 1 Pole Auto Magneto-Thermal Switch/Disconnect
HCB11Q138 | VCB11Q138 | 1 Pole Auto Disconnect Switch with Electronic Relay


2nd+ Pole Circuit Breakers

1 Pole Circuit Breakers
Breakers, Disconnects
Power Switches
Symbol Preview Guide > IEC Symbols > Breakers, Disconnects >
2nd+ Pole Circuit Breakers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCB2 | VCB2 | Circuit Breaker 2nd+ Pole
HCB21TH | VCB21TH | Thermal 2nd+ Pole
HCB21THI | VCB21THI | Current Limit/Thermal 2nd+ Pole
HDS21 | VDS21 | Disconnect 2nd+ Pole
HDS21AUX | VDS21AUX | Disconnect Normally Open Auxiliary Contact
HDS22AUX | VDS22AUX | Disconnect Normally Closed Auxiliary Contact
HCB2120F | VCB2120F | Auto Return
HCB2121F | VCB2121F | With Mechanical Block and Manual Unlatching
HCB2122F | VCB2122F | With Maintained Position
HCB217F | VCB217F | Anticipated Contact
HCB218F | VCB218F | Delayed Contact
HCB21 | VCB21 | Circuit Breaker Normally Open Auxiliary Contact
HCB22 | VCB22 | Circuit Breaker Normally Closed Auxiliary Contact
HCB2220F | VCB2220F | Auto Return
HCB2221F | VCB2221F | With Mechanical Block and Manual Unlatching
HCB2222F | VCB2222F | With Maintained Position
HCB227F | VCB227F | Anticipated Contact
HCB228F | VCB228F | Delayed Contact
HCB1Q142 | VCB1Q142 | 2 P Magneto-Thermal Switch, 1P Protected
HCB1Q143 | VCB1Q143 | 4 P Magneto-Thermal Switch, 3P Protected
HCB1Q144 | VCB1Q144 | 2 P Magneto-Thermal Switch with Differential, 1P Protected
HCB1Q145 | VCB1Q145 | 4 P Magneto-Thermal Switch with Differential, 3P Protected
HDS1Q93 | VDS1Q93 | 3 P 2 Way Disconnect Switch with Fuses


Power Switches

2nd+ Pole Circuit Breakers
Breakers, Disconnects
Fusible Disconnects
Symbol Preview Guide > IEC Symbols > Breakers, Disconnects >
Power Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCB11Q53 | VCB11Q53 | 1P with Semiconductors
HCB11Q57 | VCB11Q57 | 1P with Semiconductors - unidirectional
HCB11Q50 | VCB11Q50 | 2P Power Switch


Fusible Disconnects

Power Switches
Breakers, Disconnects
Disconnect 1 Pole
Symbol Preview Guide > IEC Symbols > Breakers, Disconnects >
Fusible Disconnects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDS11F | VDS11F | Fused switch
HDS21F | VDS21F | 2nd+ Pole Fused Switch
HDS21AUX | VDS21AUX | Auxiliary Contact, Normally Open
HDS22AUX | VDS22AUX | Auxiliary Contact, Normally Closed
HDS1OL | VDS1OL | 1 Pole on load
HDS2OL | VDS2OL | 2nd+ Pole on load
HDS11Q81 | VDS11Q81 | 1 Phase Disconnect with Fuse
HDS11Q85 | VDS11Q85 | 1 Phase maneuver Switch/Disconnect with Fuse


Disconnect 1 Pole

Fusible Disconnects
Breakers, Disconnects
Fuses, Transformers, Reactors
Symbol Preview Guide > IEC Symbols > Breakers, Disconnects >
Disconnect 1 Pole
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDS11Q65 | VDS11Q65 | Disconnect 1 Pole
HDS11 | VDS11 | Disconnect 1 Pole Non-Fused
HDS11Q119 | VDS11Q119 | Maneuver Switch with Fuse
HDS11Q123 | VDS11Q123 | PE Earthing Switch
HDS11Q5 | VDS11Q5 | Power Auto Switch/Disconnect
HDS11Q69 | VDS11Q69 | Maneuver Switch/Disconnect
HDS11Q73 | VDS11Q73 | Disconnect with Lock Device
HDS11Q77 | VDS11Q77 | Switch/Disconnect with Lock Device
HDS11Q89 | VDS11Q89 | Two Way Disconnect with 3 Positions


Fuses, Transformers, Reactors

Disconnect 1 Pole
IEC Symbols
Reactors
Symbol Preview Guide > IEC Symbols >
Fuses, Transformers, Reactors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Reactors
  • Fuses
  • Fuse Switches
  • Transformers
  • Current Transformers
  • 3 Phase Transformers


Reactors

Fuses, Transformers, Reactors
Fuses, Transformers, Reactors
Fuses
Symbol Preview Guide > IEC Symbols > Fuses, Transformers, Reactors >
Reactors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HRT1 | VRT1 | Reactors - General
HRT1IC | VRT1IC | Reactors - Iron cored
HRT1L3 | VRT1L3 | Inductor With Magnetic Core Air Gap
HRT1L4 | VRT1L4 | Inductor With Magnetic Core Continuously Variable


Fuses

Reactors
Fuses, Transformers, Reactors
Fuse Switches
Symbol Preview Guide > IEC Symbols > Fuses, Transformers, Reactors >
Fuses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HFU1 | VFU1 | Fuse
HFU21 | VFU21 | Fuse Auxiliary Contact, Normally Open
HFU22 | VFU22 | Fuse Auxiliary Contact, Normally Closed
HFU1ST | VFU1ST | Stiker
HFU1AC | VFU1AC | With alarm contact
HFU1LS | VFU1LS | With separate alarm contact
HFU2LS | VFU2LS | 1 Pole - Live Side


Fuse Switches

Fuses
Fuses, Transformers, Reactors
Transformers
Symbol Preview Guide > IEC Symbols > Fuses, Transformers, Reactors >
Fuse Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HFU1FS | VFU1FS | 1 Pole
HFU2FS | VFU2FS | 1 Pole Child


Transformers

Fuse Switches
Fuses, Transformers, Reactors
Current Transformers
Symbol Preview Guide > IEC Symbols > Fuses, Transformers, Reactors >
Transformers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HXF1 | VXF1 | Transformer
HXF1D | VXF1D | Transformer Dual
HXF1DR | VXF1DR | Transformer Dual (flipped)
HXF1PT | VXF1PT | Potential Transformer
HXF1P1AUTO | VXF1P1AUTO | Single phase auto
HXF1T18 | VXF1T18 | 1 Phase Autotransformer
HXF1T19 | VXF1T19 | 3 Phase Autotransformer Star Connected
HXF1T2 | VXF1T2 | Power Transformer 1 with 2 Windings
HXF1T4 | VXF1T4 | Power Transformer 2 with 2 Windings
HXF1T3 | VXF1T3 | Power Transformer with 2 Windings and Screen
HXF1T6 | VXF1T6 | Power Transformer with 3 Windings
HXF1T5 | VXF1T5 | Adjustable Power Transformer with 2 Windings
HXF1T34 | VXF1T34 | Voltage Transformer


Current Transformers

Transformers
Fuses, Transformers, Reactors
3 Phase Transformers
Symbol Preview Guide > IEC Symbols > Fuses, Transformers, Reactors >
Current Transformers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HXF1CT | VXF1CT | CT Current Transformer
HXF1CTR | VXF1CTR | CT (Flipped)
HXF1T1 | VXF1T1 | Current Transformer 2
HXF1T30 | VXF1T30 | With 2 Secondaries - Independent Magnetic Circuits
HXF1T31 | VXF1T31 | With 2 Secondaries - Common Magnetic Circuit
HXF1T32 | VXF1T32 | With Tapped Secondary Winding
HXF1T33 | VXF1T33 | With Conductor Indication


3 Phase Transformers

Current Transformers
Fuses, Transformers, Reactors
Relays, Contacts
Symbol Preview Guide > IEC Symbols > Fuses, Transformers, Reactors >
3 Phase Transformers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HXF1P3 | VXF1P3 | 3 Phase
HXF1P3SD | VXF1P3SD | 3 Phase Star/Delta
HXF1T11 | VXF1T11 | 3 Phase Star/Delta Primary with Sockets
HXF1T12 | VXF1T12 | 3 Phase Star/Zigzag
HXF1T13 | VXF1T13 | 3 Phase Delta/Delta
HXF1T14 | VXF1T14 | 3 Phase Delta/Star
HXF1T15 | VXF1T15 | 3 Phase Star/Star/Delta with 3 Windings
HXF1T20 | VXF1T20 | 3 Phase Delta/Delta
HXF1T7 | VXF1T7 | 3 Phase Star/Star
HXF1T8 | VXF1T8 | 3 Phase Star/Star Secondary with Neutral
HXF1T9 | VXF1T9 | 3 Phase Star/Star Primary with Plugs
HXF1T21 | VXF1T21 | 3 Phase Dy5
HXF1T22 | VXF1T22 | 3 Phase Dd6
HXF1T23 | VXF1T23 | 3 Phase Yd5
HXF1T24 | VXF1T24 | 3 Phase Yy6
HXF1T25 | VXF1T25 | 3 Phase Yd11
HXF1T26 | VXF1T26 | 3 Phase Dy11
HXF1T27 | VXF1T27 | 3 Phase Dz0
HXF1T28 | VXF1T28 | 3 Phase Yz5
HXF1T29 | VXF1T29 | 3 Phase Dz6
HXF1T30 | VXF1T30 | 3 Phase Yz11


Relays, Contacts

3 Phase Transformers
IEC Symbols
Relays and Contacts
Symbol Preview Guide > IEC Symbols >
Relays, Contacts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Relays and Contacts
  • Relays with Surpression
  • Current Protection Relays
  • Voltage Protection Relays
  • Counter Relays
  • Miscellaneous Relays


Relays and Contacts

Relays, Contacts
Relays, Contacts
Relays with Surpression
Symbol Preview Guide > IEC Symbols > Relays, Contacts >
Relays and Contacts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCR21 | VCR21 | Relay Normally Open Contact
HCR22 | VCR22 | Relay Normally Closed Contact
HCR23R | VCR23R | Relay Form C
HCR23 | VCR23 | Relay Form C Flipped
HCR1 | VCR1 | Relay Coil
HLR1 | VLR1 | Latch Relay Coil
HLR2 | VLR2 | Latch relay (child coil)
HCR1SSD | VCR1SSD | Solid State
HCR1HSP | VCR1HSP | High Speed
HCR1ACU | VCR1ACU | AC Unaffected
HCR1AC | VCR1AC | AC
HCR1POL | VCR1POL | Polarized
HCR1MSR | VCR1MSR | Measuring
HCR2121F | VCR2121F | With Mechanical Block and Manual Unlatching
HCR2122F | VCR2122F | With Maintained Position
HCR217F | VCR217F | Anticipated Contact
HCR218F | VCR218F | Delayed Contact
HCR2221F | VCR2221F | With Mechanical Block and Manual Unlatching
HCR2222F | VCR2222F | With Maintained Position
HCR227F | VCR227F | Anticipated Contact
HCR228F | VCR228F | Delayed Contact
HCR1F34 | VCR1F34 | Magnetic Protection


Relays with Surpression

Relays and Contacts
Relays, Contacts
Current Protection Relays
Symbol Preview Guide > IEC Symbols > Relays, Contacts >
Relays with Surpression
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCR1K33 | VCR1K33 | Relay with Integrated Block Diode
HCR1K35 | VCR1K35 | Relay with Integrated Block Diode and Integrated LED
HCR1K37 | VCR1K37 | Relay with Capacitor
HCR1K39 | VCR1K39 | Relay with RC Circuit


Current Protection Relays

Relays with Surpression
Relays, Contacts
Voltage Protection Relays
Symbol Preview Guide > IEC Symbols > Relays, Contacts >
Current Protection Relays
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCR1F28 | VCR1F28 | Come Back Current Protection
HCR1F29 | VCR1F29 | Differential Current Protection
HCR1F30 | VCR1F30 | Differential Current Protection - Relative Value
HCR1F25 | VCR1F25 | Maximum Current Protection
HCR1F26 | VCR1F26 | Minimum Current Protection
HCR1F27 | VCR1F27 | Minimum and Maximum Current Protection
HCR1F32 | VCR1F32 | In Neutral
HCR1F33 | VCR1F33 | In Neutral between 2 Multi-Phase Systems
HCR1F37 | VCR1F37 | Ground Failure Current Protection


Voltage Protection Relays

Current Protection Relays
Relays, Contacts
Counter Relays
Symbol Preview Guide > IEC Symbols > Relays, Contacts >
Voltage Protection Relays
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCR1F35 | VCR1F35 | Minimum Voltage Protection
HCR1F36 | VCR1F36 | Maximum Voltage Protection
HCR1F38 | VCR1F38 | Residual Voltage Protection
HCR1F31 | VCR1F31 | Ground Failure Voltage Protection
HCR1F39 | VCR1F39 | Lack of Voltage Protection


Counter Relays

Voltage Protection Relays
Relays, Contacts
Miscellaneous Relays
Symbol Preview Guide > IEC Symbols > Relays, Contacts >
Counter Relays
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCR1CNN | VCR1CNN | Counter No Reset
HCR1CNM | VCR1CNM | Counter Manual Reset
HCR1CNE | VCR1CNE | Counter Electronic Reset


Miscellaneous Relays

Counter Relays
Relays, Contacts
Time Delay Relays
Symbol Preview Guide > IEC Symbols > Relays, Contacts >
Miscellaneous Relays
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCR1F40 | VCR1F40 | Frequency Relay
HCR1F41 | VCR1F41 | Minimum Impedance Relay
HCR1F42 | VCR1F42 | Relay Sensing Lack of Phase in Three Phase System
HCR1F43 | VCR1F43 | Minimum Active Power Relay
HCR1F44 | VCR1F44 | Insulating Relay
HCR1K1 | VCR1K1 | Quick Relay Coil
HCR1K11 | VCR1K11 | Mechanical Resonance Relay


Time Delay Relays

Miscellaneous Relays
IEC Symbols
Motor Control
Symbol Preview Guide > IEC Symbols >
Time Delay Relays
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HTD1N | VTD1N | ON Delay Coil
HTD1F | VTD1F | OFF Delay Coil
HCR1OOD | VCR1OOD | ON/OFF Delay
HTD1K25 | VTD1K25 | 3 Clamp Delay Relay - Energized
HTD1K27 | VTD1K27 | 3 Clamp Delay Relay - De-energized
HTD1K29 | VTD1K29 | 3 Clamp Delay Relay - Energized/De-energized
HTD1K5 | VTD1K5 | Latency Relay
HTD21N | VTD21N | ON Delay Normally Open(Delay Close)
HTD22N | VTD22N | ON Delay Normally Closed(Delay Open)
HTD21F | VTD21F | OFF Delay Normally Open (Instant Close/Delay Open)
HTD22F | VTD22F | OFF Delay Normally Closed (Instant Open/Delay Close)
HTD21I | VTD21I | Normally Open Contact (Instant)
HTD22I | VTD22I | Normally Closed Contact (Instant)
HTD21IF | VTD21IF | Normally Open Contact (Instant-for Delay Close)
HTD22IF | VTD22IF | Normally Closed Contact (Instant-for Delay Close)
HTD21DOO | VTD21DOO | Normally Open Delay ON/OFF
HTD22DOO | VTD22DOO | Normally Closed Delay ON/OFF


Motor Control

Time Delay Relays
IEC Symbols
Motor Control
Symbol Preview Guide > IEC Symbols >
Motor Control
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Motor Control
  • 1 Phase Motors
  • 3 Phase Motors
  • DC Motors
  • Generators
  • Motor Starters


Motor Control
Motor Control
1 Phase Motors
Symbol Preview Guide > IEC Symbols > Motor Control >
Motor Control
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HOL1 | VOL1 | Overload, 1 Pole
HOL2 | VOL2 | 2nd+ Overload Pole
HOL21 | VOL21 | 2nd+ Overload, Normally Open Contact
HOL22 | VOL22 | 2nd+ Overload, Normally Closed Contact
HCA113 | VCA113 | 3 Phase KVAR Capacitor
NoteMulti-pole devices are constructed using parent and child symbols to adhere to the underlying ladder spacing.


1 Phase Motors

Motor Control
Motor Control
3 Phase Motors
Symbol Preview Guide > IEC Symbols > Motor Control >
1 Phase Motors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HMO12 | VMO12 | 1 Phase Motor
HMO1M3M | VMO1M3M | 1 Phase Motor with Fan
HMO1M9 | VMO1M9 | 1 Phase AC Motor
HMO1M10 | VMO1M10 | 1 Phase AC Motor in Series Connection
HMO1M16 | VMO1M16 | 1 Phase Synchronous AC Motor


3 Phase Motors

1 Phase Motors
Motor Control
DC Motors
Symbol Preview Guide > IEC Symbols > Motor Control >
3 Phase Motors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HMO13 | VMO13 | 3 Phase Motor
HMO14 | VMO14 | 3 Phase Motor (4 Connections)
HMO1M2 | VMO1M2 | 3 Phase Motor with Fan
HMO1M3 | VMO1M3 | 3 Phase Asynchro Motor with Series Excitation
HMO1M4 | VMO1M4 | 3 Phase Asynchro Wound-Rotor Motor
HMO1M5 | VMO1M5 | 3 Phase Asynchro Star Connected Stator Auto Starter on Rotor
HMO1M11 | VMO1M11 | 3 Phase Asynchro Motor - 6 Pole
HMO1M17 | VMO1M17 | 3 Phase Synchronous AC Motor


DC Motors

3 Phase Motors
Motor Control
Generators
Symbol Preview Guide > IEC Symbols > Motor Control >
DC Motors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HMO1M6 | VMO1M6 | DC Motor
HMO1M13 | VMO1M13 | DC Motor with Permanent Magnets
HMO1M14 | VMO1M14 | DC Motor - Linear with Permanent Magnets
HMO1M15 | VMO1M15 | DC Motor - Stepping with Permanent Magnets
HMO1M7 | VMO1M7 | DC Motor - Series Excitation
HMO1M8 | VMO1M8 | DC Motor - Derived Excitation
HMO1M12 | VMO1M12 | DC Motor - Independent Excitation


Generators

DC Motors
Motor Control
Motor Starters
Symbol Preview Guide > IEC Symbols > Motor Control >
Generators
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPW1G9 | VPW1G9 | DC Generator
HPW1G10 | VPW1G10 | DC Generator with Compound Excitation
HPW1G6 | VPW1G6 | 3 Phase Synchro Generator with Permanent Magnets
HPW1G7 | VPW1G7 | 3 Phase Synchro Generator 1
HPW1G8 | VPW1G8 | 3 Phase Synchro Generator 2


Motor Starters

Generators
Motor Control
Pilot Lights
Symbol Preview Guide > IEC Symbols > Motor Control >
Motor Starters
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HMS1 | VMS1 | Motor Starter Coil
HMS21P | VMS21P | Motor Starter 1 Pole Normally Open (Power)
HMS22P | VMS22P | Motor Starter 1 Pole Normally Closed (Power)
HMS21 | VMS21 | 2nd+ Motor Starter Normally Open
HMS22 | VMS22 | 2nd+ Motor Starter Normally Closed
NoteMulti-pole devices are constructed using parent and child symbols to adhere to the underlying ladder spacing.


Pilot Lights

Motor Starters
IEC Symbols
Pilot Lights
Symbol Preview Guide > IEC Symbols >
Pilot Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Pilot Lights
  • Standard Lights
  • Transformer Lights
  • Push to Test Lights
  • LEDs
  • Beacons - Flashing
  • Beacons - Rotating


Pilot Lights
Pilot Lights
Standard Lights
Symbol Preview Guide > IEC Symbols > Pilot Lights >
Pilot Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1H21 | VLT1H21 | Blinking Device
HLT1H22 | VLT1H22 | Neon Lamp
HLT1H24 | VLT1H24 | Incandescent Lamp


Standard Lights

Pilot Lights
Pilot Lights
Transformer Lights
Symbol Preview Guide > IEC Symbols > Pilot Lights >
Standard Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1R | VLT1R | Red Standard
HLT1G | VLT1G | Green Standard
HLT1A | VLT1A | Orange Standard
HLT1Y | VLT1Y | Yellow Standard
HLT1B | VLT1B | Blue Standard
HLT1W | VLT1W | White Standard
HLT1C | VLT1C | Clear Standard
NoteLights receive text to indicate the color at the time of insertion.


Transformer Lights

Standard Lights
Pilot Lights
Push to Test Lights
Symbol Preview Guide > IEC Symbols > Pilot Lights >
Transformer Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1H10 | VLT1H10 | Blinking Light - Bulb with Transformer
HLT1H23A | VLT1H23A | Indicator Lamp Energized by Built-in Transformer
HLT1RT | VLT1RT | Red
HLT1GT | VLT1GT | Green
HLT1AT | VLT1AT | Orange
HLT1YT | VLT1YT | Yellow
HLT1BT | VLT1BT | Blue
HLT1WT | VLT1WT | White
HLT1CT | VLT1CT | Clear
NoteLights receive text to indicate the color at the time of insertion.


Push to Test Lights

Transformer Lights
Pilot Lights
LEDs
Symbol Preview Guide > IEC Symbols > Pilot Lights >
Push to Test Lights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1RP | VLT1RP | Red Press To Test
HLT1GP | VLT1GP | Green Press To Test
HLT1AP | VLT1AP | Orange Press To Test
HLT1YP | VLT1YP | Yellow Press To Test
HLT1BP | VLT1BP | Blue Press To Test
HLT1WP | VLT1WP | White Press To Test
HLT1CP | VLT1CP | Clear Press To Test
NoteLights receive text to indicate the color at the time of insertion.


LEDs

Push to Test Lights
Pilot Lights
Beacons - Flashing
Symbol Preview Guide > IEC Symbols > Pilot Lights >
LEDs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLT1H13 | VLT1H13 | Blinking LED
HLT1H25 | VLT1H25 | LED Indicator Lamp
HLT1RL | VLT1RL | Red
HLT1RLR | VLT1RLR | Red 180
HLT1GL | VLT1GL | Green
HLT1GLR | VLT1GLR | Green 180
HLT1AL | VLT1AL | Orange
HLT1ALR | VLT1ALR | Orange 180
HLT1YL | VLT1YL | Yellow
HLT1YLR | VLT1YLR | Yellow 180
HLT1BL | VLT1BL | Blue
HLT1BLR | VLT1BLR | Blue 180
HLT1WL | VLT1WL | White
HLT1WLR | VLT1WLR | White 180
HLT1CL | VLT1CL | Clear
HLT1CLR | VLT1CLR | Clear 180
NoteLights receive text to indicate the color at the time of insertion.


Beacons - Flashing

LEDs
Pilot Lights
Beacons - Rotating
Symbol Preview Guide > IEC Symbols > Pilot Lights >
Beacons - Flashing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HBE1RFL | VBE1RFL | Red
HBE1GFL | VBE1GFL | Green
HBE1AFL | VBE1AFL | Orange
HBE1YFL | VBE1YFL | Yellow
HBE1BFL | VBE1BFL | Blue
HBE1WFL | VBE1WFL | White
HBE1CFL | VBE1CFL | Clear
NoteLights receive text to indicate the color at the time of insertion.


Beacons - Rotating

Beacons - Flashing
Pilot Lights
PLC I/O
Symbol Preview Guide > IEC Symbols > Pilot Lights >
Beacons - Rotating
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HBE1RRT | VBE1RRT | Red
HBE1GRT | VBE1GRT | Green
HBE1ART | VBE1ART | Orange
HBE1YRT | VBE1YRT | Yellow
HBE1BRT | VBE1BRT | Blue
HBE1WRT | VBE1WRT | White
HBE1CRT | VBE1CRT | Clear
NoteLights receive text to indicate the color at the time of insertion.


PLC I/O

Beacons - Rotating
IEC Symbols
Terminals, Connectors
Symbol Preview Guide > IEC Symbols >
PLC I/O
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
PLCIOI1T | PLCIOI1TV | IN, 1st Point, 1 Wire
PLCIOI2T | PLCIOI2TV | IN, 1st Point, 2 Wires
PLCIOO1T | PLCIOO1TV | OUT, 1st Point, 1 Wire
PLCIOO2T | PLCIOO2TV | OUT, 1st Point, 2 Wires
PLCIOI1 | PLCIOI1V | IN, 2nd+ Child, 1 Wire
PLCIOI2 | PLCIOI2V | IN, 2nd+ Child, 2 Wires
PLCIOO1 | PLCIOO1V | OUT, 2nd+ Child, 1 Wire
PLCIOO2 | PLCIOO2V | OUT, 2nd+ Child, 2 Wires


Terminals, Connectors

PLC I/O
IEC Symbols
Terminals
Symbol Preview Guide > IEC Symbols >
Terminals, Connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Terminals
  • In-Line Wire Labels
  • Power Distribution Blocks
  • Connectors - No Wirenumber Changes
  • Connectors - Wirenumber Changes


Terminals

Terminals, Connectors
Terminals, Connectors
In-Line Wire Labels
Symbol Preview Guide > IEC Symbols > Terminals, Connectors >
Terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HT0_01 | VT0_01 | Square
HT0W01 | VT0W01 | Square with Wire Number
HT0001 | VT0001 | Square with Terminal Number
HT1001 | VT1001 | Square with Wire Number Change
HT0_02 | VT0_02 | Round
HT0W02 | VT0W02 | Round with Wire Number
HT0002 | VT0002 | Round with Terminal Number
HT1002 | VT1002 | Round with Wire Number Change
HT0_03 | VT0_03 | Hexagon
HT0W03 | VT0W03 | Hexagon with Wire Number
HT0003 | VT0003 | Hexagon with Terminal Number
HT1003 | VT1003 | Hexagon with Wire Number Change
HT0_04 | VT0_04 | Diamond
HT0W04 | VT0W04 | Diamond with Wire Number
HT0004 | VT0004 | Diamond with Terminal Number
HT1004 | VT1004 | Diamond with Wire Number Change
HT0_05 | VT0_05 | Triangle
HT0W05 | VT0W05 | Triangle with Wire Number
HT0005 | VT0005 | Triangle with Terminal Number
HT1005 | VT1005 | Triangle with Wire Number Change


In-Line Wire Labels

Terminals
Terminals, Connectors
Power Distribution Blocks
Symbol Preview Guide > IEC Symbols > Terminals, Connectors >
In-Line Wire Labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HT0_LGENERIC | VT0_LGENERIC | In-Line Wire Label
HT0_WGENERIC | VT0_WGENERIC | Wire Number Copy


Power Distribution Blocks

In-Line Wire Labels
Terminals, Connectors
Connectors - No Wirenumber Changes
Symbol Preview Guide > IEC Symbols > Terminals, Connectors >
Power Distribution Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDB1308 | VDB1308 | 3 Terminal, 10 Unit Spacing
HDB1312 | VDB1312 | 3 Terminal, 15 Unit Spacing
HDB1316 | VDB1316 | 3 Terminal, 20 Unit Spacing


Connectors - No Wirenumber Changes

Power Distribution Blocks
Terminals, Connectors
Connectors - Wirenumber Changes
Symbol Preview Guide > IEC Symbols > Terminals, Connectors >
Connectors - No Wirenumber Changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HC01PJ | VC01PJ | Plug/Jack
HC01PJ1 | VC01PJ1 | Plug/Jack (common pin number)
HC01P_ | VC01P_ | Plug Up or Left
HC01_J | VC01_J | Jack Down or Right
HC02PJ | VC02PJ | 2nd+ Plug/Jack
HC02PJ1 | VC02PJ1 | 2nd+ Plug/Jack (common pin number)
HC02P_ | VC02P_ | 2nd+ Plug Up or Left
HC02_J | VC02_J | 2nd+ Jack Down or Right
HC01JP | VC01JP | Jack/Plug
HC01JP1 | VC01JP1 | Jack/Plug (common pin number)
HC01_P | VC01_P | Plug Down or Right
HC01J_ | VC01J_ | Jack Up or Left
HC02JP | VC02JP | 2nd+ Jack/Plug
HC02JP1 | VC02JP1 | 2nd+ Jack/Plug (common pin number)
HC02_P | VC02_P | 2nd+ Plug Down or Right
HC02J_ | VC02J_ | 2nd+ Jack Up or Left
HCN1PJ | VCN1PJ | Plug/Jack
HCN1PJ1 | VCN1PJ1 | Plug/Jack (common pin number)
HC01P_ | VC01P_ | Plug Up or Left
HC01_J | VC01_J | Jack Down or Right
HCN2PJ | VCN2PJ | 2nd+ Plug/Jack
HCN2PJ1 | VCN2PJ1 | 2nd+ Plug/Jack (common pin number)
HC02P_ | VC02P_ | 2nd+ Plug Up or Left
HC02_J | VC02_J | 2nd+ Jack Down or Right


Connectors - Wirenumber Changes

Connectors - No Wirenumber Changes
Terminals, Connectors
Limit Switches
Symbol Preview Guide > IEC Symbols > Terminals, Connectors >
Connectors - Wirenumber Changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCN1PJ | VCN1PJ | Plug/Jack
HCN1PJ1 | VCN1PJ1 | Plug/Jack (common pin number)
HC01P_ | VC01P_ | Plug Up or Left
HC01_J | VC01_J | Jack Down or Right
HCN2PJ | VCN2PJ | 2nd+ Plug/Jack
HCN2PJ1 | VCN2PJ1 | 2nd+ Plug/Jack (common pin number)
HC02P_ | VC02P_ | 2nd+ Plug Up or Left
HC02_J | VC02_J | 2nd+ Jack Down or Right
HCN1JP | VCN1JP | Jack/Plug
HCN1JP1 | VCN1JP1 | Jack/Plug (common pin number)
HC01_P | VC01_P | Plug Down or Right
HC01J_ | VC01J_ | Jack Up or Left
HCN2JP | VCN2JP | 2nd+ Jack/Plug
HCN2JP1 | VCN2JP1 | 2nd+ Jack/Plug (common pin number)
HC02_P | VC02_P | 2nd+ Plug Down or Right
HC02J_ | VC02J_ | 2nd+ Jack Up or Left


Limit Switches

Connectors - Wirenumber Changes
IEC Symbols
Pressure and Temperature Switches
Symbol Preview Guide > IEC Symbols >
Limit Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HLS11 | VLS11 | Limit Switch Normally Open
HLS12 | VLS12 | Limit Switch Normally Closed
HLS11C | VLS11C | Limit Switch, Roller Normally Open
HLS12C | VLS12C | Limit Switch, Roller Normally Closed
HLS11S13 | VLS11S13 | Limit Switch Normally Open - Cam Driven
HLS12S13 | VLS12S13 | Limit Switch Normally Closed - Cam Driven
HLS11S16 | VLS11S16 | Limit Switch Normally Open - Events Driven
HLS12S16 | VLS12S16 | Limit Switch Normally Closed - Events Driven
HLS11S78 | VLS11S78 | 2 Position Switch Normally Open with Detents and Lamp
HLS12S78 | VLS12S78 | 2 Position Switch Normally Closed with Detents and Lamp
HLS11S84 | VLS11S84 | Bi-directional Lever Actuated - Normally Open
HLS12S84 | VLS12S84 | Bi-directional Lever Actuated - Normally Closed
HLS11S85 | VLS11S85 | Four-directional Lever Actuated - Normally Open
HLS12S85 | VLS12S85 | Four-directional Lever Actuated - Normally Closed
HLS11S87 | VLS11S87 | Bi-directional Lever Actuated - Normally Open with Detent
HLS12S87 | VLS12S87 | Bi-directional Lever Actuated - Normally Closed with Detent
HLS11S88 | VLS11S88 | Four-directional Lever Actuated - Normally Open with Detent
HLS12S88 | VLS12S88 | Four-directional Lever Actuated - Normally Closed with Detent
HLS21 | VLS21 | 2nd+ Normally Open Contact
HLS22 | VLS22 | 2nd+ Normally Closed Contact


Pressure and Temperature Switches

Limit Switches
IEC Symbols
Proximity Switches
Symbol Preview Guide > IEC Symbols >
Pressure and Temperature Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPS11 | VPS11 | Pressure Switch, Normally Open
HPS12 | VPS12 | Pressure Switch, Normally Closed
HTS11 | VTS11 | Temperature Switch 1, Normally Open
HTS12 | VTS12 | Temperature Switch 1, Normally Closed
HTS11S18 | VTS11S18 | Temperature Switch 2, Normally Open
HTS12S18 | VTS12S18 | Temperature Switch 2, Normally Closed
HTS11S74 | VTS11S74 | Temperature Switch 3, Normally Open
HTS12S74 | VTS12S74 | Temperature Switch 3, Normally Closed
HSW21 | VSW21 | 2nd+ Normally Open Contact
HSW22 | VSW22 | 2nd+ Normally Closed Contact


Proximity Switches

Pressure and Temperature Switches
IEC Symbols
Inductive Switches
Symbol Preview Guide > IEC Symbols >
Proximity Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Inductive Switches
  • Capacitive Switches
  • Magnetic Switches
  • Photoelectric Emitter Switches
  • Photoelectric Receiver Switches
  • Photoelectric Emitter/Receiver Switches
  • Ultrasonic Switches
  • Touch Switches


Inductive Switches

Proximity Switches
Proximity Switches
Capacitive Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Inductive Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPX1I | VPX1I | Ferrous
HPX11I | VPX11I | Ferrous Proximity Switch, Normally Open
HPX12I | VPX12I | Ferrous Proximity Switch, Normally Closed
HPX11IN3 | VPX11IN3 | Normally Open 3 Wire
HPX11IN3R | VPX11IN3R | Normally Open 3 Wire 180
HPX12IN3 | VPX12IN3 | Normally Closed 3 Wire
HPX12IN3R | VPX12IN3R | Normally Closed 3 Wire 180
HPX11IN3C | VPX11IN3C | Normally Open 3 Wire with connector
HPX11IN3RC | VPX11IN3RC | Normally Open 3 Wire 180 with connector
HPX12IN3C | VPX12IN3C | Normally Closed 3 Wire with connector
HPX12IN3RC | VPX12IN3RC | Normally Closed 3 Wire 180 with connector


Capacitive Switches

Inductive Switches
Proximity Switches
Magnetic Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Capacitive Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPX1C | VPX1C | Capacitive
HPX11C | VPX11C | Capacitive Switch, Normally Open
HPX12C | VPX12C | Capacitive Switch, Normally Closed
HPX11C3 | VPX11C3 | Normally Open 3 Wire
HPX11C3R | VPX11C3R | Normally Open 3 Wire 180
HPX12C3 | VPX12C3 | Normally Closed 3 Wire
HPX12C3R | VPX12C3R | Normally Closed 3 Wire 180
HPX11C3C | VPX11C3C | Normally Open 3 Wire with connector
HPX11C3RC | VPX11C3RC | Normally Open 3 Wire 180 with connector
HPX12C3C | VPX12C3C | Normally Closed 3 Wire with connector
HPX12C3RC | VPX12C3RC | Normally Closed 3 Wire 180 with connector


Magnetic Switches

Capacitive Switches
Proximity Switches
Photoelectric Emitter Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Magnetic Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPX1M | VPX1M | Magnetic
HPX11M | VPX11M | Magnetic Proximity Switch, Normally Open
HPX12M | VPX12M | Magnetic Proximity Switch, Normally Closed
HPX11M3 | VPX11M3 | Normally Open 3 Wire
HPX11M3R | VPX11M3R | Normally Open 3 Wire 180
HPX12M3 | VPX12M3 | Normally Closed 3 Wire
HPX12M3R | VPX12M3R | Normally Closed 3 Wire 180
HPX11M3C | VPX11M3C | Normally Open 3 Wire with connector
HPX11M3RC | VPX11M3RC | Normally Open 3 Wire 180 with connector
HPX12M3C | VPX12M3C | Normally Closed 3 Wire with connector
HPX12M3RC | VPX12M3RC | Normally Closed 3 Wire 180 with connector


Photoelectric Emitter Switches

Magnetic Switches
Proximity Switches
Photoelectric Receiver Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Photoelectric Emitter Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPE1B14 | VPE1B14 | Emitter - AC Driven
HPE1B15 | VPE1B15 | Emitter - DC Driven
HPE13B16SC | VPE13B16SC | Emitter - Receiver with Form C
HPE1B20 | VPE1B20 | Emitter - DC Driven
HPE11PE4 | VPE11PE4 | Normally Open 4 wire
HPE11PE4R | VPE11PE4R | Normally Open 4 wire 180
HPE12PE4 | VPE12PE4 | Normally Closed 4 wire
HPE12PE4R | VPE12PE4R | Normally Closed 4 wire 180
HPE11PE4C | VPE11PE4C | Normally Open 4 wire with connector
HPE11PE4RC | VPE11PE4RC | Normally Open 4 wire 180 with connector
HPE12PE4C | VPE12PE4C | Normally Closed 4 wire with connector
HPE12PE4RC | VPE12PE4RC | Normally Closed 4 wire 180 with connector


Photoelectric Receiver Switches

Photoelectric Emitter Switches
Proximity Switches
Photoelectric Emitter/Receiver Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Photoelectric Receiver Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPE11PE2 | VPE11PE2 | Normally Open Receiver 2 wire
HPE12PE2 | VPE12PE2 | Normally Closed Receiver 2 wire
HPE11PE2C | VPE11PE2C | Normally Open Receiver 2 wire with connector
HPE12PE2C | VPE12PE2C | Normally Closed Receiver 2 wire with connector
HPE11PE3 | VPE11PE3 | Normally Open Receiver 3 wire
HPE11PE3R | VPE11PE3R | Normally Open Receiver 3 wire 180
HPE12PE3 | VPE12PE3 | Normally Closed Receiver 3 wire
HPE12PE3R | VPE12PE3R | Normally Closed Receiver 3 wire 180
HPE11PE3C | VPE11PE3C | Normally Open Receiver 3 wire with connector
HPE11PE3RC | VPE11PE3RC | Normally Open Receiver 3 wire 180 with connector
HPE12PE3C | VPE12PE3C | Normally Closed Receiver 3 wire with connector
HPE12PE3RC | VPE12PE3RC | Normally Closed Receiver 3 wire 180 with connector
HPE11B14 | VPE11B14 | Normally Open Receiver - AC Driven
HPE12B14 | VPE12B14 | Normally Closed Receiver - AC Driven
HPE11B15 | VPE11B15 | Normally Open Receiver - DC Driven
HPE12B15 | VPE12B15 | Normally Closed Receiver - DC Driven


Photoelectric Emitter/Receiver Switches

Photoelectric Receiver Switches
Proximity Switches
Ultrasonic Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Photoelectric Emitter/Receiver Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPE11B16 | VPE11B16 | Normally Open Emitter-Receiver - DC Driven
HPE12B16 | VPE12B16 | Normally Closed Emitter-Receiver - DC Driven
HPE11B22 | VPE11B22 | Normally Open Emitter-Receiver AC/DC Driven 2 PIN
HPE12B22 | VPE12B22 | Normally Closed Emitter-Receiver AC/DC Driven 2 PIN
HPE11B23 | VPE11B23 | Normally Open Emitter-Receiver AC Driven 3 PIN
HPE12B23 | VPE12B23 | Normally Closed Emitter-Receiver AC Driven 3 PIN
HPE11B24 | VPE11B24 | Normally Open Emitter-Receiver DC Driven 3 PIN
HPE12B24 | VPE12B24 | Normally Closed Emitter-Receiver DC Driven 3 PIN
HPE11B25 | VPE11B25 | Normally Open Emitter-Receiver AC Driven 4 PIN
HPE12B25 | VPE12B25 | Normally Closed Emitter-Receiver AC Driven 4 PIN
HPE11B26 | VPE11B26 | Normally Open Emitter-Receiver DC Driven 4 PIN
HPE12B26 | VPE12B26 | Normally Closed Emitter-Receiver DC Driven 4 PIN
HPE13B25SC | VPE13B25SC | FORM C Emitter-Receiver AC Driven 5 PIN
HPE13B26SC | VPE13B26SC | FORM C Emitter-Receiver DC Driven 5 PIN


Ultrasonic Switches

Photoelectric Emitter/Receiver Switches
Proximity Switches
Touch Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Ultrasonic Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPX1U | VPX1U | Ultrasonic
HPX11U | VPX11U | Ultrasonic Switch, Normally Open
HPX12U | VPX12U | Ultrasonic Switch, Normally Closed
HPX11U3 | VPX11U3 | Normally Open 3 Wire
HPX11U3R | VPX11U3R | Normally Open 3 Wire 180
HPX12U3 | VPX12U3 | Normally Closed 3 Wire
HPX12U3R | VPX12U3R | Normally Closed 3 Wire 180
HPX11U3C | VPX11U3C | Normally Open 3 Wire with connector
HPX11U3RC | VPX11U3RC | Normally Open 3 Wire 180 with connector
HPX12U3C | VPX12U3C | Normally Closed 3 Wire with connector
HPX12U3RC | VPX12U3RC | Normally Closed 3 Wire 180 with connector


Touch Switches

Ultrasonic Switches
Proximity Switches
Miscellaneous Switches
Symbol Preview Guide > IEC Symbols > Proximity Switches >
Touch Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HPX1TS | VPX1TS | Touch
HPX11TS | VPX11TS | Touch Sense Proximity Switch, Normally Open
HPX12TS | VPX12TS | Touch Sense Proximity Switch, Normally Closed
HPX11TS3 | VPX11TS3 | Normally Open 3 Wire
HPX11TS3R | VPX11TS3R | Normally Open 3 Wire 180
HPX12TS3 | VPX12TS3 | Normally Closed 3 Wire
HPX12TS3R | VPX12TS3R | Normally Closed 3 Wire 180
HPX11TS3C | VPX11TS3C | Normally Open 3 Wire with Connector
HPX11TS3RC | VPX11TS3RC | Normally Open 3 Wire 180 with Connector
HPX12TS3C | VPX12TS3C | Normally Closed 3 Wire with Connector
HPX12TS3RC | VPX12TS3RC | Normally Closed 3 Wire 180 with connector


Miscellaneous Switches

Touch Switches
IEC Symbols
Solenoids
Symbol Preview Guide > IEC Symbols >
Miscellaneous Switches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSW11 | VSW11 | Generic Switch, Normally Open
HSW12 | VSW12 | Generic Switch, Normally Closed
HFL11 | VFL11 | Float/Level Switch, Normally Open
HFL12 | VFL12 | Float/Level Switch, Normally Closed
HPB11KS | VPB11KS | Key Switch, Normally Open
HPB12KS | VPB12KS | Key Switch, Normally Closed
HPB11KSL | VPB11KSL | Key Switch Latched, Normally Open
HPB12KSL | VPB12KSL | Key Switch Latched, Normally Closed
HPC11 | VPC11 | Pull Cord Switch, Normally Open
HPC12 | VPC12 | Pull Cord Switch, Normally Closed
HPC11L | VPC11L | Pull Cord Switch Latched, Normally Open
HPC12L | VPC12L | Pull Cord Switch Latched, Normally Closed
HFT11 | VFT11 | Foot Switch, Normally Open
HFT12 | VFT12 | Foot Switch, Normally Closed
HFT11L | VFT11L | Foot Switch Latched, Normally Open
HFT12L | VFT12L | Foot Switch Latched, Normally Closed
HPB11LS | VPB11LS | Lever Switch, Normally Open
HPB12LS | VPB12LS | Lever Switch, Normally Closed
HPB11LSL | VPB11LSL | Lever Switch Latched,Normally Open
HPB12LSL | VPB12LSL | Lever Switch Latched,Normally Closed
HFS11 | VFS11 | Flow Switch Normally Open
HFS12 | VFS12 | Flow Switch Normally Closed
HFS11S20 | VFS11S20 | Flow Switch Normally Open - Gas
HFS12S20 | VFS12S20 | Flow Switch Normally Closed - Gas
HSW1S90 | VSW1S90 | 3 Voltage Phase Switch
HSW1S91 | VSW1S91 | 3 Voltage Phase-to-Neutral Switch
HSW1S92 | VSW1S92 | 3 Voltage Phase-to-Phase and Phase-to-Neutral Switch
HSW1S93 | VSW1S93 | 3 Voltage, 2-Network Phase-to-Phase Switch
HSW1S94 | VSW1S94 | Current Switch For 3 Measurement Points
HSW1S95 | VSW1S95 | Current Switch For 4 Measurement Points
HSW1SC21_F | VSW1SC21_F | Change-Over Contact with Mechanical Block and Manual Unlatching
HSW1SC7_F | VSW1SC7_F | Transfer Make Before Break Contact
HSW1S53 | VSW1S53 | Voltmetric Commutator
HSW21 | VSW21 | 2nd+ Normally Open Contact
HSW22 | VSW22 | 2nd+ Normally Closed Contact


Solenoids

Miscellaneous Switches
IEC Symbols
Instrumentation and Sensors
Symbol Preview Guide > IEC Symbols >
Solenoids
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSV1 | VSV1 | Standard Solenoid Valve
HSVC1 | VSVC1 | Standard Solenoid Valve with Connection
HSV1Y1 | VSV1Y1 | Open Solenoid Valve - Closing
HSV1Y1A | VSV1Y1A | Open Solenoid Valve - Closing According to Solenoid
HSV1Y3 | VSV1Y3 | Magnetic Brake
HSV1Y4 | VSV1Y4 | Electromagnetic Brake
HSV21 | VSV21 | Solenoid Valve Auxiliary Normally Open Contact
HSV22 | VSV22 | Solenoid Valve Auxiliary Normally Closed Contact


Instrumentation and Sensors

Solenoids
IEC Symbols
Qualifying Symbols
Symbol Preview Guide > IEC Symbols >
Instrumentation and Sensors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HVM1 | VVM1 | Voltage Meter
HAM1 | VAM1 | Amperage Meter
HIN1PFM | VIN1PFM | Power Factor Meter
HIN1PHM | VIN1PHM | Phase Meter
HIN1FRM | VIN1FRM | Frequency Meter
HIN1THM | VIN1THM | Thermometer
HIN1TAC | VIN1TAC | Tachometer
HIN1HRM | VIN1HRM | Hour Meter
HIN1AHM | VIN1AHM | Ampere-Hour meter
HIN1P17 | VIN1P17 | Recording Wattmeter
HIN1P21 | VIN1P21 | Varmeter
HIN1P11 | VIN1P11 | Synchronoscope
HTC1L | VTC1L | Thermocouple
HTC1R | VTC1R | Thermocouple
HTC1LTB | VTC1LTB | Thermocouple with Terminal Board
HTC1RTB | VTC1RTB | Thermocouple with Terminal Board
HIN1P19 | VIN1P19 | Active Power Indicator
HIN1P25 | VIN1P25 | Thermometer/Pyrometer
HIN1P29 | VIN1P29 | Clock
HIN1P33 | VIN1P33 | Normally Open Clock Closing Every Minute
HVM1P7 | VVM1P7 | Differential Voltmeter
HPW1G4 | VPW1G4 | Accumulator Battery
HIN1B10 | VIN1B10 | Pressure/Current Converter
HIN1G1 | VIN1G1 | AC-DC Current Converter Single Phase
HIN1B11 | VIN1B11 | Tachometric Dynamo
HIN1B12 | VIN1B12 | Tachometric Dynamo - Impulse
HIN1B13 | VIN1B13 | Tachometric Dynamo - Optical Type


Qualifying Symbols

Instrumentation and Sensors
IEC Symbols
Operating Devices
Symbol Preview Guide > IEC Symbols >
Qualifying Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Operating Devices
  • Linear Direction of Force or Motion
  • Rotative Direction of Force or Motion
  • Propagation Flow or Signal
  • Energy Flow
  • Effect
  • Radiation
  • Fault
  • Winding
  • Mechanical Controls
  • Mechanical Controls, Latching Device
  • Mechanical Controls, Coupling


Operating Devices

Qualifying Symbols
Qualifying Symbols
Linear Direction of Force or Motion
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Operating Devices
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q070109 | Positive Operation Direction
Q021301 | Manual Command General Sign
Q021302 | Manual Command with Protected Access
Q021305 | Push Button Command
Q021308 | Emergency Command
Q021304 | Rotary Command
Q021313 | Command with Key
Q021310 | Foot Actuated Command
Q021311 | Lever Command
Q021214 | Crank Command
Q021312 | Fixed Manual Command
Q021309 | Manual Command with Wheel
Q021401 | Actuated by the Level of a Fluid
Q021402 | Actuated by the Number of Events
Q021403 | Actuated by a Flow of Fluid
Q021404 | Actuated by a Gas Flow
Q021326 | Motorized Command
Q021327 | Timing Command
Q021315 | Command with Roll
Q021316 | Command with Cam
Q021317 | Cam Profile
Q070106 | Switch Position Function
Q070106R | Switch Position (Flipped)
Q070103 | Disconnector Isolator
Q070104 | Switch Disconnector Isolator
Q070102 | Circuit Breaker Function
Q070101 | Power Contactor Function
Q070105 | Auto Trip Function
Q070107 | Auto Return (Spring Return)
Q070108 | Non Auto Return (Stay)


Linear Direction of Force or Motion

Operating Devices
Qualifying Symbols
Rotative Direction of Force or Motion
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Linear Direction of Force or Motion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q020401 | One Way Force Or Movement
Q020402 | Two Way Force Or Movement
Q101101 | Transition


Rotative Direction of Force or Motion

Linear Direction of Force or Motion
Qualifying Symbols
Propagation Flow or Signal
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Rotative Direction of Force or Motion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q020403 | One Way Force Or Movement
Q020404 | Two Way Force Or Movement
Q020405 | Limited Two Way Force Or Movement


Propagation Flow or Signal

Rotative Direction of Force or Motion
Qualifying Symbols
Energy Flow
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Propagation Flow or Signal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q020501 | One Way Propagation
Q020502 | Two Way Simultaneous Transmission Propagation
Q020503 | Two Way Alternate Transmission Propagation
Q020504 | Signal Transmission
Q020505 | Signal Reception


Energy Flow

Propagation Flow or Signal
Qualifying Symbols
Effect
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Energy Flow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q020506 | Outbound Energy Flux
Q020507 | Inbound Energy Flux
Q020508 | Inbound and Outbound Energy Flux


Effect

Energy Flow
Qualifying Symbols
Radiation
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Effect
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q020801 | Thermal Effect
Q020802 | Magnetic Effect
Q020803 | Magnetostriction Effect
Q020804 | Magnetic Field Effect


Radiation

Effect
Qualifying Symbols
Fault
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Radiation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q020901 | Non Ionizing Coherent Electromagnetic Radiation
Q020902 | Non Ionizing Coherent Radiation
Q020903 | Ionizing Radiation


Fault

Radiation
Qualifying Symbols
Winding
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Fault
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q021701 | Indication Of Presumed Location Of Failure
Q021702 | Failure For Lack Of Insulation


Winding

Fault
Qualifying Symbols
Mechanical Controls
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Winding
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q060201 | 2 Phase Winding
Q060202 | 3 Phase Partial V Winding
Q060203 | 4 Phase Winding with Accessible Ground
Q060204 | 3 Phase T Winding
Q060205 | 3 Phase Delta Winding
Q060206 | 3 Phase Open Delta Winding
Q060207 | 3 Phase Star Winding
Q060208 | 3 Phase Star Winding with Accessible Ground
Q060209 | 3 Phase Zigzag Winding
Q060210 | Esaphase Winding with Double Delta
Q060211 | Esaphase Polygonal Winding
Q060212 | Esaphase Star Winding
Q060213 | Esaphase Double Zigzag Winding with Accessible Ground
Q020201 | DC Direct Current Indication
Q020203 | DC Direct Current Indication
Q020212 | Indication of Rectified Current with an Alternate Component
Q020204 | AC Alternate Current Indication


Mechanical Controls

Winding
Qualifying Symbols
Mechanical Controls, Latching Device
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Mechanical Controls
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q021207 | Auto Return
Q021208 | Auto Non Return Stop Latch
Q021209 | Stop Latch in Neutral Position
Q021210 | Stop Latch Engaged
Q021211 | Interlock Between Two Devices


Mechanical Controls, Latching Device

Mechanical Controls
Qualifying Symbols
Mechanical Controls, Coupling
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Mechanical Controls, Latching Device
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q021212 | Latch Device Engaged
Q021213 | Latch Device in Neutral Position
Q1020603 | Two Ways Latch Device
Q1020604 | Latch Device with Manual Unlatching
Q1029603 | Two Ways Latch Device with Key


Mechanical Controls, Coupling

Mechanical Controls, Latching Device
Qualifying Symbols
Miscellaneous
Symbol Preview Guide > IEC Symbols > Qualifying Symbols >
Mechanical Controls, Coupling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
Q021216 | Clutch Joint
Q021217 | Disconnected Joint
Q021218 | Engaged Joint
Q021219 | Engaged Joint
Q021223 | Gear Joint


Miscellaneous

Mechanical Controls, Coupling
IEC Symbols
Miscellaneous
Symbol Preview Guide > IEC Symbols >
Miscellaneous
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Miscellaneous
  • Electronics
  • Cable Markers
  • Power Receptacles
  • Generic Device Boxes
  • Stand-alone Cross-reference Symbols
  • Wire Arrows - Reference Only
  • Splice Symbols
  • Annunciations


Miscellaneous
Miscellaneous
Electronics
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Miscellaneous
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HAN1B | VAN1B | Bell
HAN1Z | VAN1Z | Buzzer
HAN1H | VAN1H | Horn
HAN1S | VAN1S | Siren
HAN1W | VAN1W | Whistle
HGND2 | VGND2 | Earth/Ground
HGND3 | VGND3 | Functional Earth
HGND4 | VGND4 | Protective Earth
HGND5 | VGND5 | Protective equipotential bond
HGND1 | VGND1 | Functional Equipotential Bond
HBA1 | VBA1 | Battery
HBA1R | VBA1R | Battery (Flipped)
HPW1_1PH | VPW1_1PH | Power Source 1 Phase
HPW1_3PH | VPW1_3PH | Power Source 3 Phase


Electronics

Miscellaneous
Miscellaneous
Cable Markers
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Electronics
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HRE1B | VRE1B | Fixed Resistor
HVR1B | VVR1B | Variable Resistor
HVR1BR | VVR1BR | Variable Resistor
HVR1R2 | VVR1R2 | Variable Resistor 2
HRE1LDR | VRE1LDR | Light dependent
HRE1HT | VRE1HT | Heater Element
HRE2HT | VRE2HT | 2nd+ Element
HRE1RCN | VRE1RCN | RC Network
HVR1R3 | VVR1R3 | Varistor
HVR1R4 | VVR1R4 | Resistor with Mobile Contact
HVR1R5 | VVR1R5 | Resistor with Mobile Contact and Disconnecting Position
HVR1R7 | VVR1R7 | Shunt
HVR1R8 | VVR1R8 | Variable Resistor with Carbon Disks
HDI1 | VDI1 | Diode
HDI1R | VDI1R | Diode 180
HDI1B4 | VDI1B4 | Diode Photosensitive
HDI1B5 | VDI1B5 | Diode Photosensitive 2
HDI1V2 | VDI1V2 | Zener Diode - One Way
HDI1V3 | VDI1V3 | Diac Diode Two Way
HDI1BR | VDI1BR | Bridge rectifier
HDI1V5 | VDI1V5 | 3 Phase Bridge Rectifier
HDI1V4 | VDI1V4 | SCR
HCA1 | VCA1 | Capacitor
HCA1EL | VCA1EL | Electrolytic
HCA1ELR | VCA1ELR | Electrolytic 180
HCA1C2 | VCA1C2 | Feedthrough Capacitor
HDV1B6 | VDV1B6 | Photosensitive PNP Transistor


Cable Markers

Electronics
Miscellaneous
Power Receptacles
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Cable Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HW01 | VW01 | Cable Marker
HW02 | VW02 | 2nd+ Child Marker
HT0_CABLE | VT0_CABLE | Extra Marker
HT0_TW | VT0_TW | Twisted Pair


Power Receptacles

Cable Markers
Miscellaneous
Generic Device Boxes
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Power Receptacles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCN1RDUP | VCN1RDUP | Duplex Receptacle
HCN1RSGL | VCN1RSGL | Single Receptacle


Generic Device Boxes

Power Receptacles
Miscellaneous
Stand-alone Cross-reference Symbols
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Generic Device Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDV1TFL | VDV1TFL | 4 Terminals
HDV1TC | VDV1TC | 3 Terminals
HDV1TB | VDV1TB | 3 Terminals
HDV1T6 | VDV1T6 | 2 Terminals
HDV1TF | VDV1TF | 4 Terminals
HDV1TE | VDV1TE | 3 Terminals
HDV1T7 | VDV1T7 | 3 Terminals


Stand-alone Cross-reference Symbols

Generic Device Boxes
Miscellaneous
Wire Arrows - Reference Only
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Stand-alone Cross-reference Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
HA2S1_REF | Source Rectangle
HA3S1_REF | Source Hexagon
HA5S1_REF | Source Ellipse
HA2D1_REF | Destination Rectangle
HA3D1_REF | Destination Hexagon
HA5D1_REF | Destination Ellipse


Wire Arrows - Reference Only

Stand-alone Cross-reference Symbols
Miscellaneous
Splice Symbols
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Wire Arrows - Reference Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Symbol | Description
HA1X1 | Generic Arrow - Left
HA1X2 | Generic Arrow - Up
HA1X3 | Generic Arrow - Right
HA1X4 | Generic Arrow - Down
HA1X1Y | Arrow Tail - Left
HA1X2Y | Arrow Tail - Up
HA1X3Y | Arrow Tail - Right
HA1X4Y | Arrow Tail - Down


Splice Symbols

Wire Arrows - Reference Only
Miscellaneous
Annunciations
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Splice Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HSP1001 | VSP1001 | Splice


Annunciations

Splice Symbols
Miscellaneous
One-Line Components
Symbol Preview Guide > IEC Symbols > Miscellaneous >
Annunciations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HAN1B7 | VAN1B7 | Loudspeaker
HAN1B8 | VAN1B8 | Loudspeaker - Microphone
HAN1B9 | VAN1B9 | Microphone


One-Line Components

Annunciations
IEC Symbols
Connector
Symbol Preview Guide > IEC Symbols >
One-Line Components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Connector
  • Motor Control
  • Transformer
  • Terminal
  • Cable Marker
  • Bus-tap
  • Miscellaneous


Connector

One-Line Components
One-Line Components
Motor Control
Symbol Preview Guide > IEC Symbols > One-Line Components >
Connector
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HC01PJ_1- | VC01PJ_1- | Jack/Plug


Motor Control

Connector
One-Line Components
Transformer
Symbol Preview Guide > IEC Symbols > One-Line Components >
Motor Control
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HCB11_1- | VCB11_1- | Circuit breaker
HCB11_1M- | VCB11_1M- | Motor circuit protector
HCB11TH_1- | VCB11TH_1- | Thermal circuit breaker
HDS11_1- | VDS11_1- | Disconnect
HDS11F_1- | VDS11F_1- | Fused disconnect
HFU1_1- | VFU1_1- | Fuse
HMO13_1- | VMO13_1- | Motor
HMS11_1- | VMS11_1- | Motor starter
HOL1_1- | VOL1_1- | Overload
HCA113_1- | VCA113_1- | Capacitor


Transformer

Motor Control
One-Line Components
Terminal
Symbol Preview Guide > IEC Symbols > One-Line Components >
Transformer
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HXF1_1- | VXF1_1- | Transformer 1
HXF2_1- | VXF2_1- | Transformer 2


Terminal

Transformer
One-Line Components
Cable Marker
Symbol Preview Guide > IEC Symbols > One-Line Components >
Terminal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HT0001_1- | VT0001_1- | Square terminal
HT0002_1- | VT0002_1- | Round terminal


Cable Marker

Terminal
One-Line Components
Bus-tap
Symbol Preview Guide > IEC Symbols > One-Line Components >
Cable Marker
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HW01_1- | VW01_1- | Cable marker


Bus-tap

Cable Marker
One-Line Components
Miscellaneous
Symbol Preview Guide > IEC Symbols > One-Line Components >
Bus-tap
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HDV1_BT_1- | VDV1_BT_1- | Bus-tap - main/dot
HDV1_BTT_1- | VDV1_BTT_1- | Bus-tap - dual/tee
HDV1_BTL_1- | VDV1_BTL_1- | Bus-tap - dual/corner


Miscellaneous

Bus-tap
One-Line Components
PLC
Symbol Preview Guide > IEC Symbols > One-Line Components >
Miscellaneous
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Horizontal Symbol | Vertical Symbol | Description
HC01WR_1- | VC01WR_1- | Power receptacle
HDV1_1- | VDV1_1- | Generic load


PLC

Miscellaneous
Generate PLC layout modules
PLC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Generate PLC layout modules

    PLC parametric selection

  • Insert PLC modules

    Edit PLC module

  • Overview of the PLC database file

    PLC database file editor

  • Single, Stand-alone I/O Points
  • Work with PLC styles
  • Create PLC I/O Drawings from Spreadsheets


Generate PLC layout modules (Concept)

PLC
PLC
Insert PLC modules
PLC >
Generate PLC layout modules
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AutoCAD Electrical can generate any of hundreds of different PLC I/O modules on demand, in a variety of different graphical styles, all without a single, complete I/O module library symbol resident on the system. Modules automatically adapt to the underlying ladder rung spacing, whatever that value is, and can stretch or break into two or more pieces at insertion time. It is possible because AutoCAD Electrical generates PLC I/O modules through a parametric generation technique driven by a PLC database (ACE_PLC.MDB).

The PLC database contains the stack sequence and text values to annotate onto each symbol in the stack. As AutoCAD Electrical builds the module, it reads the underlying ladder rung spacing and spreads out the stack or compresses it to match the rung spacing. During the insertion process, you can interrupt it to break the module and then restart it at a different location.

Parametric PLC symbols vs. Full Units

Parametric PLC symbols are stored in

  • Windows XP: \Documents and Settings\All Users\Documents\\Autodesk\Acade {version}\libs\{library}\
  • Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\

The file names begin with the characters "HP" (Horizontal ladder rungs / PLC) or "VP" (Vertical ladder rungs) followed by a digit that corresponds to a PLC I/O style number. Each symbol is a building block with a different arrangement of attributes and wire connection points. AutoCAD Electrical selects the appropriate symbols to use, stacks them together in the order defined by the data file, and produces a completed I/O module.

The PLC database file (ace_plc.mdb) is used to drive the PLC I/O module generation process. You can modify the PLC database file manually or using the PLC Database File Editor (recommended method). The AutoCAD Electrical PLC database file (ace_plc.mdb) is installed in

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Plc
  • Windows Vista:C:\Users\{username}\Documents\Acade {version}\AeData\Plc

Each Parametric PLC symbol is a building block with a different arrangement of attributes and wire connection points. AutoCAD Electrical selects the appropriate symbols to use, stacks them together in the order defined by the parametric data file, and produces a completed I/O module. AutoCAD Electrical inserts the symbols based upon the rung spacing of the underlying ladder, explodes them, draws a rectangular box around the entire assembly, creates a single block out of the collection, and annotates the attributes of the new module.

Some PLC units may not lend themselves well to parametric generation. If a PLC module symbol is built with the appropriate attributes in place and the symbol name follows naming convention of AutoCAD Electrical (the block name begins with "PLCIO"), it can be inserted as a single unit using the Insert PLC (Full Units) command. The selected unit inserts into the ladder, breaks the wires, and then reconnects.


Generate PLC layout modules (Quick Reference)

Symbol Builder
Generate PLC layout modules
Generate PLC layout modules
PLC >
Generate PLC layout modules
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

PLC parametric selection

Module layout


Generate PLC layout modules (Quick Reference)

Generate PLC layout modules
Generate PLC layout modules
Generate PLC layout modules
PLC >
Generate PLC layout modules
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

PLC parametric selection

Inserts a parametrically generated PLC I/O module.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert PLC drop-down [image] Insert PLC (Parametric). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert PLC Modules [image] Insert PLC (Parametric)Does not exist in the menus.
Command entry: AEPLCP

Generate PLC I/O modules on demand in a variety of graphical styles with no complete I/O module library symbols. Modules adapt to the underlying ladder rung spacing. You can stretch or break them into two or more pieces at insertion time. A PLC database, ACE_PLC.MDB, drives generation. It contains the stack sequence and the text values to annotate onto each symbol in the stack.

Manufacturer Catalog tree

Provides a complete list of the PLC modules available to AutoCAD Electrical. The Manufacturer Catalog tree is compiled from the database file, "ace_plc.mdb."

Module List

Displays the defined modules. Once you select a module type or a specific module from the Manufacturer Catalog tree, AutoCAD Electrical reads through the information contained in the database. Select from this list to begin the PLC module insertion process.

Graphics Style

Specifies the graphical appearance of the PLC module. Styles 1-5 are provided with AutoCAD Electrical. Styles 6-9 may be user-defined. Select a style number and a sample portion of a PLC module displays.

To create a user-defined style: There are about two dozen symbols associated with each style. They are located in

  • Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\{library}\
  • Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\Libs\{library}\

The symbols carry the file name "HP?*.dwg" or "VP?*.dwg" where "?" is the style number. An easy way to create a style is to copy the symbols of an existing style to one of the unused style numbers (6, 7, 8, or 9) and edit each library symbol.

Scale

Specifies the scale for the PLC module. You can also specify to apply a border to the PLC module upon insertion.


Generate PLC layout modules (Quick Reference)

Generate PLC layout modules
Generate PLC layout modules
Insert PLC modules
PLC >
Generate PLC layout modules
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Module layout

Ribbon: Schematic tab [image] Insert Components panel [image] Insert PLC drop-down [image] Insert PLC (Parametric). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert PLC Modules [image] Insert PLC (Parametric)Does not exist in the menus.
Command entry: AEPLCP

Select the PLC module to insert, click OK, and place the PLC in the drawing.

Spacing

Specifies the spacing for the module. The module defaults to the underlying rung spacing. If you wish to override this spacing, modify the number shown in the spacing edit box. The arrows below this box increment the number by the rung spacing. For example, if the rung spacing is 0.5 then each time you click ">" the number increases by 0.5.

I/O points

Specifies whether to include all of the points or break the module into many pieces. You can break a module into as many pieces as you want at insertion time. It is useful for a module that does not fit into a single ladder column. You can also add extra space between adjacent I/O points. It allows for the extra room needed for parallel components. Select Allow Spacers/Breaks and after each I/O you have the opportunity to insert a space, break the module, or insert the rest normally. If the module's definition (in the Attributes column of the Module Terminal Information table of the ace_plc.mdb file or by selecting the check box in the Break After column of the PLC Database File Editor dialog box) carries a ";\SPECIAL=BREAK" flag, then the Note highlights and the module automatically prompts you for permission to break at the correct point during module insertion.

Include unused/extra connections

Specifies to include all of the extra connections to the PLC. Some modules may have terminals that are not used (that is, dummy terminals with no electrical connection). Unused terminals are skipped by default. This results in the most compact representation of the module, but you can set up the PLC modules to show unused terminals optionally. It is done by adding in "\SPECIAL=INCLUDE" and "\SPECIAL=EXCLUDE" flags (in the Attributes column of the Module Terminal Information table of the ace_plc.mdb file) or by selecting "When Including Unused" or "When Excluding Unused" in the Show column of the PLC Database File Editor dialog box.


Insert PLC modules (Procedure)

Symbol Builder
Insert PLC modules
Overview of the PLC database file
PLC >
Insert PLC modules
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert PLC modules

In AutoCAD Electrical, you can insert either PLC I/O points as independent symbols or as a complete PLC module into your drawing.

  1. Click Schematic tab [image] Insert Components panel [image] Insert PLC drop-down [image] Insert PLC (Full Units). Enter AEPLC at the command prompt.
  2. In the PLC Fixed Units dialog box, select the PLC module to insert.
  3. Specify the insertion point on the drawing.
  4. Add or edit any information in the Edit PLC Module dialog box, and click OK.


Insert PLC modules (Quick Reference)

Generate PLC layout modules
Insert PLC modules
Overview of the PLC database file
PLC >
Insert PLC modules
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Edit PLC module

Use this dialog box when inserting or editing a PLC module. Specify the values you need and press OK. The values are then annotated onto the selected module.

NoteEditing the first address, I/O point address, or catalog information for a plc module that was imported using the Unity Pro Export to Spreadsheet tool may result in problems when you export the data back to Unity Pro. An alert displays to ask whether you want to proceed with the changes.
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the PLC module to edit.

Addressing
First Address | Specifies the first I/O address for the PLC module.
List | Lists the available I/O addresses to select from. When you select an I/O address from the list the I/O Point Description: Address automatically updates.
Used: Drawing or Project | Lists any I/O points already assigned to the drawing or project. Select a tag from the list to copy, or to increment for this new component.
Tag

Specifies a unique identifier assigned to each I/O point. The tag value can be manually typed in the edit box.

Options

Substitutes a fixed text string for the %F part of the tag format. Retag Component can then use this override format value to calculate a new tag for the PLC module. For example, a certain PLC module must always have an "IO" family tag value instead of "PLC" so that retag, for example, assigns IO-100 instead of PLC100. To achieve this tag override you would enter "IO-%N" for the tag override format.

Line1/Line2

Specifies optional description text for the module. May be used to identify the relative location of the module in the I/O assembly (example: Rack # and Slot #).

Manufacturer

Lists the manufacturer number for the I/O point. Enter a value or select one from the Catalog lookup.

Catalog

Lists the catalog number for the I/O point. Enter a value or select one from the Catalog lookup.

Assembly

Lists the assembly code for the I/O point. The Assembly code is used to link multiple part numbers together.

Catalog Lookup

Opens the I/O point's PLCIO table in the catalog database from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected cable. Database queries are set up in the 3 lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Description

Optional line of description text. May be used to identify the module type (for example, "16 Discrete Inputs - 24VDC")

I/O Point Description
Address | Specifies the I/O address assignment.
Description 1-5 | Optional description text. Enter up to five lines of description attribute text.
Next/Pick | Selects a description from a module on the current drawing.
List descriptions | Lists the I/O point descriptions currently assigned to each I/O point on the module or connected, wired devices in a pick list. Selecting one of the buttons next to this displays a different list of description in the box below.
I/O | Lists I/O point descriptions used so far on the module. Pick to copy.
Wired Devices | Lists descriptions of wired devices that are found to be connected to the I/O module. Pick to copy the description.
External File | Displays contents of an external comma-delimited ASCII text file of I/O point descriptions. Pick an entry in the file and then copy the values to edit boxes in the Edit dialog box.
Installation/Location codes

Changes the installation or location code s. You can search the current drawing or entire project for installation and location codes. A quick read of all the current or selected drawing files is done and a list of codes used so far is returned. Select from the list to update the module automatically with the installation or location code.

Pins

Assigns pin numbers to the pins that are physically located on the module.

Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

Ratings

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a module. Select Defaults to display a list of default values.

NoteIf Ratings is unavailable, the module you are editing does not carry rating attributes.


Overview of the PLC database file (Concept)

Insert PLC modules
PLC
Single, Stand-alone I/O Points
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can modify the PLC database file manually or using the PLC Database File Editor (recommended method). The AutoCAD Electrical PLC database file (ace_plc.mdb) is installed in

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Plc
  • Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Plc

By default the AutoCAD Electrical PLC database file contains the "PLC_Manufacturer", "PLC_MSG" and "PLC_Styles" tables in addition to several module specification and module terminal information tables.

NotePLC Parametric build symbols are best used on ANSI D-Size and IEC A1 page sizes.
PLC_Manufacturer | This table lists the Manufacturer, Series, Type, and Table Name.
PLC_MSG | This table is for internal use only. We recommend that you do not edit this table.
PLC_Styles | This table lists the box settings on a per-style basis.

There are two tables for each module type. The Module Specification table contains information such as the model number, type, description, rating, and rectangle offset values. The Module Terminal Information table (ends with "_Data") contains terminal information such as code value, terminal sequence number, block name, and terminal attributes.

Module Specification table

Example: "allen-bradley_1746_analog_input"

This file lists information that appears in the selection line of the module listed in the bottom half of the PLC Module Selection dialog box.

CODE

Model number

TYPE

Module type

POINTS

Number of I/O points

DESCRIPTION

Description displayed in selection dialog box

ADDRESS_BASE

Base numbering value (octal, decimal, hex)

ADDRESS_FORMAT

Reserved for future use; currently empty

OPTIONAL_BLOCK

Optional block to insert at bottom of module (i.e. DIP switches)

RATING

Voltage rating

LISP

AutoLISP file to run at module insertion time

BOX_RIGHT, BOX_LEFT, BOX_TOP_BOX_BOTTOM

BOX_SPLIT_BOTTOM, BOX_SPLIT_TOP

METRIC_BOX_RIGHT, METRIC_BOX_LEFT, METRIC_BOX_TOP, METRIC_BOX_BOTTOM

METRIC_BOX_SPLIT_BOTTOM, METRIC_BOX_SPLIT_TOP

Offsets (right, left, top, and bottom) for the rectangle that is drawn around the finished stack of symbols to create an overall module.

Note You can suppress the rectangular box around the finished module by removing these entries from the specification table of a module.

CATEGORY

Specifies the insertion position for the module when inserted during the Spreadsheet to PLC I/O utility.

  • 1 = inserted near the right or bottom bus line of the ladder.
  • 2 = inserted near the left or top bus line of the ladder.
  • 3 = inserted centered between the bus lines of the ladder.

The following are optional parameters for parametric build symbol placement:

Box color/linetype/layer

You can instruct AutoCAD Electrical to draw the rectangular box using non-default line properties for color, layer, linetype, or ltscale. Encode this information as a series of keywords as if you were using the CHPROP command in AutoCAD to make the change. The keywords are encoded into the "BOX_RIGHT", "BOX_LEFT", "BOX_TOP" and "BOX_BOTTOM" entries in the specification table of a module. For example, the following makes the left and right-hand sides of the enclosing box cyan using linetype 'Hidden2' and the top and bottom blue using the default linetype:

BOX_RIGHT=0.5 COLOR CYAN LTYPE HIDDEN2

BOX_LEFT=0.5 COLOR CYAN LTYPE HIDDEN2

BOX_TOP=0.5 COLOR BLUE

BOX_BOTTOM=0.375 COLOR BLUE

Module Terminal Information table (ends with _Data)

Example: "allen-bradley_1746_analog_input_Data"

This file contains terminal information for the module type.

CODE | Catalog number of the module
SEQUENCE | Terminal sequence number
BLOCK | Block name used for insertion. The "?" gets filled in during insertion and the block name uses either a "H" or "V" depending on the selected orientation.
ATTRIBUTES | Optional attributes for the terminal. Includes user attributes, %%x prompt values, address prefix or suffix, non-sequential addresses, breaks, reprompt of I/O address, including unused terminals and special spacing.

The following are optional parameters for parametric build symbol placement:

Use of %%x prompt values

After entering values such as rack, group or slot, the values are available for use on any subsequent I/O point of the module. If you want to use each I/O point's TERMDESC_ attribute to carry the I/O address in Rack/Group, bit number format, do the following:

  1. Prompt for Rack and Group values in the first entry of the module.

    %%1PROMPT=Rack number;%%2PROMPT=Group number.

  2. Encode the TERMDESC_ value using %%1, %%2, and a bit number suffix.

    TERMDESC_=1:%%1%%2/00 for the first I/O point

    TERMDESC_=1:%%1%%2/01 for the 2nd I/O point

User Attributes

You can add and annotate your own attributes to the parametric symbols if they are referenced in the Module Terminal Information table.

Address prefix or suffix

You can include a prefix or suffix to each address value that is inserted. For example, if you want "IN-" to come in as a prefix for inputs on a given module you would edit the database file and add ";TAGA_=IN-%%N" to each I/O parametric data entry in the block of data of the module. The %%N represents the calculated I/O address and the "IN-" is the prefix that gets added.

Dealing with non-sequential addresses

Some modules may have I/O address assignments that do not sequentially increment from one terminal to the next. Use the "%%A" flag to represent the beginning address of the module. In the example shown below, the address sequence is non-sequential. Note the use of the "TAGA_=%%A+ <some value>" flags.

CODE | BLOCK | ATTRIBUTES
D2-08ND3 | HP?--WLR | TERM_=C,C;MFG=PLC-DIRECT;CAT=D2-08ND3;...
D2-08ND3 | HP?WA-DQ | TERM_=0
D2-08ND3 | HP?WA-DR | TERM_=4;TAGA_=%%A+4
D2-08ND3 | HP?WA-DQ | TERM_=1;TAGA_=%%A+1
D2-08ND3 | HP?WA-DR | TERM_=5;TAGA_=%%A+5
D2-08ND3 | HP?WA-DQ | TERM_=2;TAGA_=%%A+2
D2-08ND3 | HP?WA-DR | TERM_=6;TAGA_=%%A+6
D2-08ND3 | HP?WA-DQ | TERM_=3;TAGA_=%%A+3
D2-08ND3 | HP?WA-DR | TERM_=7;TAGA_=%%A+7

Forcing a break

You can pre-define a module break point in the Module Terminal Information table. Add "\SPECIAL=BREAK" on the line where you want the break to occur.

20 terminals are allowed on the parametric build symbols by default. If the module exceeds 20 terminals the break is placed in a logical location; such as after a grouping of I/O addressing. For example, a 32 I/O point card could have 36 terminals on it, the module definition would run the break command at 18 (after the first set of 16 I/O addresses). If you want to break the module sooner you can use the PLC Database File Editor to add the break command or do the following in the Module Terminal Information table.

HP?WA-D;TERM_07\SPECIAL=BREAK

Triggering for reprompt of I/O address

Some modules include inputs and outputs. You can trigger AutoCAD Electrical to prompt for a new beginning address number when the parametric build flips from inputs to outputs or vice versa. Add "\SPECIAL=ADDR_OUT" on the line where you want a prompt for a new output address or add "\SPECIAL=ADDR_IN" if you want a prompt for a new beginning input address.

Including unused terminals

Some modules may have terminals that are not used. Unused terminals are skipped by default, resulting in a compact representation of the module. You can set up the PLC database file to show unused terminals optionally by adding "\SPECIAL_INCLUDE" and "\SPECIAL_EXCLUDE" in the Module Terminal Information table.

Special spacing

Normally when AutoCAD Electrical generates a PLC module, it uses the current rung spacing for I/O and wire connection point spacing. You can override it by using the "\SPECIAL=SPACINGFACTOR=<val> in the Module Terminal Information table. When AutoCAD Electrical sees it on an I/O point or wire connection entry line, it uses a factor of the rung spacing. For example, a "\SPECIAL=SPACINGFACTOR=0.5" for a given I/O or wire connection entry flags AutoCAD Electrical to insert this point down 0.5 rung spacing instead of a full rung spacing. A value of 1.5 inserts the point down an extra half run spacing than normal while 0.0 inserts the I/O point at the same location as the preceding one.

For example, the following four lines in a parametric data file inserts four points spread out over four-ladder rung spaces:

HP?WA-D;TERM_=01

HP?W--;TERM_=COM

HP?W--;TERM_=VDC

HP?WA-D;TERM_=02

If you want the two middle terminal symbols to group into one rung space instead of taking up two spaces, edit the file to read:

HP?WA-D;TERM_=01

HP?W--;TERM_=COM;\SPECIAL=SPACINGFACTOR=0.5

HP?W--;TERM_=VDC;\SPECIAL=SPACINGFACTOR=0.5

HP?WA-D;TERM_=02


Overview of the PLC database file (Procedure)

Insert PLC modules
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy modules

Adjust the terminal information


Overview of the PLC database file (Quick Reference)

Insert PLC modules
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

PLC database file editor

PLC selection

Module box dimensions

Select terminal information

New module

Terminal block settings

Style box dimensions

Module specifications

Prompts at module insertion time

PLC Database Migration Utility


Copy modules (Procedure)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy modules

You can copy an entire module into a new module using the PLC Database File Editor.

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Enter AEPLCDB at the command prompt.
  2. In the PLC selection list, right-click on the module that you want to copy from and select Copy.
  3. Right-click the Type in the tree that you want to copy to.

    For example, if you want to copy the new module to Allen-Bradley, 1746, Discrete Input, you would find Discrete Input under Allen Bradley [image] 1746 in the tree.

  4. Select Paste Module.

    If you attempt to copy a PLC Module part number into a PLC Type that already has a module with the same name, the PLC Database File Editor prompts you to change the name of the new module being copied.

  5. To change the name for the module, right-click the module, select Rename, and enter a new name.


Adjust the terminal information (Procedure)

Overview of the PLC database file
Overview of the PLC database file
Single, Stand-alone I/O Points
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adjust the terminal information

When you highlight an exiting module part number in the PLC Database File Editor tree structure, the terminal grid control becomes populated with the terminal information previously defined for the module.

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Enter AEPLCDB at the command prompt.
  2. Select the module to modify from the tree structure.

    Inside the terminal grid control there are drop-down list boxes, text boxes, and context menus that you can use to modify the terminal information.

  3. Select the terminals to modify. You can select multiple fields to edit at the same time by dragging your mouse across contiguous fields or by holding down the Control key while selecting non-contiguous fields. You can also select multiple terminals if you want the terminals to carry the same information.
    • If you want to modify the terminals one at a time, either make your changes on the PLC Database File Editor dialog box (using the drop-down list boxes or text boxes) or select a single terminal (making sure to select the entire row if you want to change more than one field), click the right mouse button, and select Edit Terminal from the menu.
    • If you want to modify multiple terminals at the same time, select the terminals, click the right mouse button, and select Edit Terminal from the menu.
  4. In the Select Terminal Information dialog box, make any modifications to the selected terminals. Changes that you make in this box will be applied to all of the selected terminals in the terminal grid control.
  5. Click OK to save your changes and return to the PLC Database File Editor.
  6. Click Done to save your changes and exit the dialog box or click Done/Insert to save your changes and insert the PLC module into your drawing.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

PLC database file editor

This tool creates and modifies PLC modules. All editing and creation of PLC data is stored within the PLC Database File (ACE_PLC.MDB).

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB
PLC Selection List

Provides a complete list of the PLC data files available to AutoCAD Electrical. The PLC Selection list uses an expandable and collapsible tree structure for the PLC categories. These PLC categories are: Manufacturer, Series, Type, and Part Number. The tree structure supports right-click controls for copying, renaming, deleting, and creating PLC data.

The right-click controls for the selection list are:

New Manufacturer | (available only for the PLC branch of the tree structure) Defines a new manufacturer. The manufacturer then appears in the PLC Selection tree structure in alphabetical order.
New Series | (available only for the Manufacturer branch of the tree structure) Defines a new PLC series underneath the respective Manufacturer. The series then appears in the PLC Selection tree structure in alphabetical order.
New Type | (available only for the Series branch of the tree structure) Defines a new PLC type underneath the respective Manufacturer and Series. The type then appears in the PLC Selection tree structure in alphabetical order.
New Module | (available only for the Type and Module/Code branches of the tree structure) Defines a new PLC module underneath the respective Manufacturer, Series, and Type. The module then appears in the PLC Selection tree structure in alphabetical order.
Paste Module | (available only for the Type branch of the tree structure) Copies the PLC module to the highlighted PLC Type branch. This option becomes active after you copy or cut a PLC module inside the Module/Code branch of the tree structure.
Delete | Deletes an entire PLC module, type, series, or manufacturer from the tree structure and the PLC database (ACE_PLC.MDB).
Rename | Renames a PLC module, type, series, or manufacturer in the tree structure. You cannot have duplicate names in the same branch of the tree structure.
Cut | (available only for the Module branch of the tree structure) Cuts the highlighted module code from the tree structure. You can then paste the code into the same PLC Type, or a new PLC Type category.
Copy | (available only for the Module branch of the tree structure) Copies the highlighted module code from the tree structure into the same PLC Type, or a new PLC Type.
NoteIf you attempt to copy a PLC Module part number into a PLC Type that already has a module with the same name, the PLC Database File Editor prompts you to change the name of the new module being copied.
Terminal Grid Control

Highlight a module from the PLC Selection tree structure to populate the Terminal Grid Control with the terminal information that was previously defined for the module. When creating a PLC module, the PLC Database File Editor lists as many blank Terminal Type fields since are terminals defined within the New Module dialog box.

Terminal Type | Specifies the type for the terminal. Select from the various predetermined types of addressable terminals and non-addressable terminals.
Show | Shows terminals that are not used. If Include Unused/Extra Connections in the Module Layout dialog box is selected, all terminal entries marked (in the PLC Database File Editor dialog box) with 'when excluding unused' are skipped and all terminal entries marked with "when including unused" are shown.
Optional Re-prompt | Prompts for a new beginning address number when the parametric build flips from inputs to outputs or from outputs to inputs. On the line where you want AutoCAD Electrical to prompt for a new output address, select Output. If you want AutoCAD Electrical to prompt for a new input address, select Input from the list.
Break After | Specifies for the module to break automatically after a specific terminal type. To activate the prompt for an automatic break in the PLC module, select Break After.
Spacing Factor | Overrides the current rung spacing for I/O and wire connection point spacing. For example, a value of two inserts the point down two times the rung spacing instead of a full rung spacing.

You can right-click any row in the grid control to activate a menu of commands that allows you to edit the terminal, insert a new terminal before or after the selected terminal in the grid control, or delete a terminal from the grid control. You can select multiple fields to update at the same time by dragging your mouse across contiguous fields or by holding down the Control key while selecting non-contiguous fields.

Terminal Attributes

Displays attributes associated to the selected terminal. These attributes can have predefined values, including some values that you specify at insertion time.

New Module

Opens a dialog box for defining the module descriptions and parameters. A series of boxes are used to type in or select the values required to define the module.

NoteIf you right-click a type or module in the PLC Selection window and select New Module, the New Module dialog box opens with data already specified for the Manufacturer, Series, and Series Type.
Module Specifications

Opens a dialog box for modifying some of the specifications previously defined during the creation of a new module.

NoteThe Manufacturer, Series, Series Type, Code, and Terminals fields are not active since they are under the control of the tree structure in the PLC Selection window and the total number of terminals listed in the Terminal Type grid control.
Save Module

Saves the module to the PLC database file. If you exit the PLC Database File Editor without clicking Save Module, you get a prompt asking whether to save your changes.

Style Box Dimensions

Opens a dialog box for defining the module box dimensions (such as the offset values and line properties) based upon the style number used when the PLC was created.

NoteThe Module Box Dimensions override the style dimensions.
Settings

Opens a dialog box for adding or updating the symbols available to build a module.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

PLC selection

Selects a module to add to the terminal blocks from. Select the module from the list and click OK.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Click the Settings button, then click the Add Blocks From Module button.

The dialog box provides a complete list of the PLC modules available to AutoCAD Electrical. The Manufacturer Catalog list is compiled from the "ace_plc.mdb" file.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Module box dimensions

Defines the outer box dimensions of the module. The box dimensions are calculated from the insertion point of the parametrically built PLC symbols.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Click the New Module or Module Specifications button, and then click the Module Box Dimensions button.

NoteA value for the Split Top and Split Bottom dimensions must be set before you can specify their line properties.
Module Box Dimensions
NoteEnter at least one of the Top, Bottom, Left or Right dimension values to assign settings specific to this module.

Sets the right, left, top, and bottom offsets for the rectangle that surrounds the module. The optional Split Top and Split Bottom specify the offsets for a split module where Split Top specifies the offset for the top of a split module and Split Bottom specifies the offset for the bottom of the split module. If left blank, AutoCAD Electrical uses the rectangle Top and Bottom values.

Line Properties

Sets the properties for the lines that make up the box. You can set the color and linetype using the properties fields. To predefine the color, enter "COLOR colorname" into the box. For linetype, enter "LTYPE linetypename" into the box. See the CHPROP command in the AutoCAD Help for more information about the various properties you can set.

If you do not want the line drawn, enter the keyword “ERASE” or “_E”. If you want to apply some special procedure to the drawn line, for example, break the line across terminal graphics, you can reference your custom AutoLISP function in this box. Within your function use "(entlast)" to reference the drawn line entity.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select terminal information

Adds or modifies the type of terminal being used. You can select multiple fields to edit at the same time by dragging your mouse across contiguous fields or by holding down the Control key while selecting non-contiguous fields.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Right-click in the terminal grid control section of the dialog box, and select Edit Terminal from the menu.

The dialog box options enable depending on the fields selected at the time the dialog box was activated. For example, if you select the Show and Spacing Factor fields for multiple terminal entries in the Terminal Grid Control section of the PLC Database File Editor dialog box and then you activate this dialog box, you can update both fields through this dialog box for the selected terminals.

Category

Lists the terminal categories to select from. Top Input and Top Output are addressable terminals, while the Top Terminal category consists of non-addressable terminals. Other categories to select from are Input, Output, and Terminal.

Types for Category

Displays the types for the terminal category. Browse the list of images to determine which terminal type is appropriate for the terminal.

Recently Used

Shows an image of the terminals that were recently used.

Show

Specifies whether to show terminals that are not used. If the 'Include unused/extra connections' option in the Module Layout dialog box is selected, all terminal entries marked (in the PLC Database File Editor dialog box) with 'when excluding unused' are skipped.

Optional Re-prompt Address

Specifies whether to prompt for a new beginning address number when the parametric build flips from inputs to outputs or from outputs to inputs. On the line where you want AutoCAD Electrical to reprompt for a new output address, select Output. If you want AutoCAD Electrical to reprompt for a new input address, select Input from the list.

Break After

Specifies for the module to break automatically after a specific terminal type. To activate the prompt for an automatic break in the PLC module, check the Break After check box.

Spacing Factor

Overrides the current rung spacing for I/O and wire connection point spacing. For example, a value of 2 causes AutoCAD Electrical to insert the point down two times the rung spacing instead of a full rung spacing.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New module

Defines the module descriptions and parameters. A series of boxes are used to type in or select the values required to define the module.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Click New Module.

New Module Controls

Specifies the Manufacturer, Series, Series Type, and Code (Catalog Number) for the new module. Select from the list or enter the name in the edit box.

NoteIf you right-click a type or module in the PLC Selection window and select New Module, the New Module dialog box opens with data already specified for the Manufacturer, Series, and Series Type.
PLC Selection Expanded Description Listing Controls

These controls display as an expanded description when the module is highlighted in the tree structure of the PLC Selection dialog box. They include:

Description | Describes the PLC module being defined.
Module Type | Gives an abbreviated type to the PLC module.
Base Addressing | Specifies whether the PLC module addressing follows an industry standard. Select from Octal, Decimal, Hexadecimal, and Prompt. Prompt asks you at module insertion time for Octal, Decimal, and Hexadecimal.
Rating | Specifies the power rating value for the PLC module.
Terminals | Specifies the total number of terminals defined on the PLC module. NoteIt is not active since it is under the control of the total number of terminals listed in the Terminal Type grid control.
Addressable Points | Specifies the total number of termination points on the PLC module that receives the PLC address attributes.
AutoCAD Block to insert

Specifies an AutoCAD block file to insert directly below the last I/O point inserted parametrically. They are typically used for block files that represent DIP switch settings and notes on how to configure the PLC module.

AutoLISP file to run at module insertion time

Specifies an AutoCAD Lisp routine to run after the program executes the parametric build of the PLC module. They are typically used for inserting groups of symbols and wires, or modifying attributes on symbols to accommodate a more custom PLC module build.

Module Box Dimensions

Opens a dialog box for defining the outer box dimensions of the module. The box dimensions are calculated from the insertion point of the parametrically built PLC symbols.

Module Prompts

Opens a dialog box for defining up to nine prompts to use at the time of module insertion. You can specify the prompt number and the accompanying text, or you can remove prompts from this dialog box.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal block settings

Adds or updates the symbols available to build a module.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Click Settings.

You can add a terminal to the list by clicking in any box in the last entry of the list. A blank entry line is added to the bottom of the list. Define the block name, assign it to a terminal category for selection, give it a description, and assign a bitmap to uses for dialog box displays.

Block File Name

Defines the AutoCAD drawing file name that is inserted if this terminal is included in your PLC module. These PLC symbols are stored in the symbol library of the active project with the other AutoCAD Electrical component symbols. Their file names begin with the characters "HP" (Horizontal ladder rungs/PLC) or "VP" (Vertical ladder rungs/PLC) followed by a digit that corresponds to a PLC I/O style number.

Category

Defines the category for the terminal. When you add a new terminal, you select from a list of terminal categories and that group of terminals is displayed. There are some categories by default (such as Input or Output) but you can add your own by typing in the edit box. This new category is added to the list.

Unique Description

Specifies the description that appears underneath the terminal in the Select Terminal Information dialog box.

Sample Bitmap File

Specifies the bitmap file for the terminal type. They are visible on the Select Terminal Information dialog box. If you are adding your own terminals, you can create corresponding bitmap files. Enter your bitmap name in the box or Browse for it. The next time you select a terminal type, the bitmap is displayed.

Graphics Style

Specifies the graphical appearance of the PLC module. Styles 1-5 are predefined, styles 6-9 may be user-defined. Select a style number - a sample portion of a PLC module displays.

There are about two dozen symbols (with a file name "HP?*.dwg" where "?" is the style number) associated with each style. They are located in

  • Windows XP: \Documents and Settings\All Users\Documents\\Autodesk\Acade {version}\libs\{library}\
  • Windows Vista: \Users\Public\Documents\\Autodesk\Acade {version}\libs\{library}\

To create a style, copy symbols of an existing style to one of the unused style numbers (6-9) and edit each library symbol.

View Drawing or View Bitmap

Displays the AutoCAD .dwg or bitmap file for the selected terminal. You can see the attributes of a specific terminal and the placement of each.

Add Blocks From Module

Opens a dialog box for selecting a module to add terminal blocks from. Select the module from the list and click OK.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Style box dimensions

Defines the module box dimensions (such as the offset values and line properties) based upon the style number used when the PLC was created.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Click Style Box Dimensions.

NoteSet a value for the Split Top and Split Bottom dimensions before specifying their line properties.
Graphics Style

Specifies the graphical appearance of the PLC module. Styles 1-5 are predefined, styles 6-9 may be user defined. Select a style number - a sample portion of a PLC module displays.

There are about two dozen symbols (with a file name "HP?*.dwg" where "?" is the style number) associated with each style. They are located in

  • Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\
  • Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\

To create a style, copy symbols of an existing to one of the unused style numbers (6-9) and edit each library symbol.

Module Box Dimensions for Selected Style

Sets the right, left, top, and bottom offsets for the rectangle that surrounds the module. The optional Split Top and Split Bottom specify the offsets for a split module where Split Top specifies the offset for the top of a split module and Split Bottom specifies the offset for the bottom of the split module. If left blank, the rectangle Top and Bottom values are used.

Line Properties

Sets the properties for the lines that make up the box. You can set the color and linetype using the properties fields. To predefine the color, enter "COLOR colorname" into the box. For linetype, enter "LTYPE linetypename" in the box.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Module specifications

Modifies specifications previously defined during the creation of a new module.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Click Module Specifications.

Module Controls

Specifies the Manufacturer, Series, Series Type, and Code (Catalog Number) for the module.

NoteThese fields are not active since they are under the control of the tree structure in the PLC Selection window.
PLC Selection Expanded Description Listing Controls

These controls display as an expanded description when the module is highlighted in the tree structure of the PLC Selection dialog box. They include:

Description | Describes the PLC module being defined.
Module Type | Gives an abbreviated type to the PLC module.
Base Addressing | Specifies whether the PLC module addressing follows an industry standard. Select from Octal, Decimal, Hexadecimal, and Prompt. Prompt asks you at module insertion time for Octal, Decimal, and Hexadecimal.
Rating | Specifies the power rating value for the PLC module.
Terminals | Specifies the total number of terminals defined on the PLC module. NoteIt is not active since it is under the control of the total number of terminals listed in the Terminal Type grid control.
Addressable Points | Specifies the total number of termination points on the PLC module that receives the PLC address attributes.
AutoCAD Block to insert

Specifies an AutoCAD block file to insert directly below the last I/O point inserted parametrically. They are typically used for block files that represent DIP switch settings and notes on how to configure the PLC module.

AutoLISP file to run at module insertion time

Specifies an AutoCAD Lisp routine to run after the program executes the parametric build of the PLC module. They are typically used for inserting groups of symbols and wires, or modifying attributes on symbols to accommodate a more custom PLC module build.

Spreadsheet to PLC I/O Utility Insertion Position

Specifies the insertion position for this module when inserted during the Spreadsheet to PLC I/O utility. Select from the list of options, Center, Left/Top, or Right/Bottom.

  • Center - inserted centered between the bus lines of the ladder.
  • Left/Top - inserted near the left or top bus line of the ladder.
  • Right/Bottom - inserted near the right or bottom bus line of the ladder.
Module Box Dimensions

Opens a dialog box for defining the outer box dimensions of the module. The box dimensions are calculated from the insertion point of the parametrically built PLC symbols.

Module Prompts

Opens a dialog box for defining up to nine prompts to use at the time of module insertion. You can specify the prompt number and the accompanying text, or you can remove prompts from this dialog box.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Overview of the PLC database file
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Prompts at module insertion time

Defines up to nine prompts to use at the time of module insertion. You can specify the prompt number and the accompanying text, or you can remove prompts from this dialog box.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

Click the New Module or Module Specifications button, then click the Module Prompts button.

You can define up to nine different prompts at insertion time.

  • To assign a prompt, select the prompt number from the list, enter the prompt text in the edit box, and click Change.
  • To modify a prompt, select the prompt number from the list, modify the text in the edit box, and click Change.
  • To remove a prompt, select the prompt number from the list and click the Remove Selected Prompt button.
Example

If you assigned RACK NUMBER to the prompt %%1 and SLOT NUMBER to the prompt %%2. At insertion time, the I/O Point dialog box opens. Enter values for the RACK NUMBER and SLOT NUMBER fields right before the module is built. The value you enter in the RACK NUMBER edit box is temporarily saved in memory under the variable name %%1. The SLOT NUMBER value is saved under the %%2 variable name.

Use these prompts in the attribute grid to fill in attribute values or partial attribute values at module insertion time.


Overview of the PLC database file (Quick Reference)

Overview of the PLC database file
Overview of the PLC database file
Modify single, stand-alone PLC layout symbols
PLC >
Overview of the PLC database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

PLC Database Migration Utility

The Spreadsheet to PLC/IO utility uses the module category to calculate the insertion point of a module.

  • Input module - inserted near the right or bottom bus line of the ladder.
  • Output module - inserted near the left or top bus line of the ladder.
  • Combination module - inserted centered between the bus lines of the ladder.

Before AutoCAD Electrical 2009, the Spreadsheet to PLC/IO utility determined the module category based on the value in the DESCRIPTION field or the database table name. For example, if the DESCRIPTION field contained the string “*IN*”, it was considered an input module. In AutoCAD Electrical 2009 and later, the PLC database contains a CATEGORY field.

PLC Database Migration Utility
Ribbon: Project tab [image] Other Tools panel [image] [image] [image] PLC Database Migration Utility. Does not exist on the ribbon.
Command entry: AEPLCMIGRATE
PLC Database File Editor
Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] PLC Database File EditorDoes not exist in the menus.
Command entry: AEPLCDB

When you use the PLC Database Editor, if the CATEGORY field is not present in the table for the selected series type, you are prompted to run the PLC Database Migration utility.

The PLC Database Migration utility compares the values in the DESCRIPTION field of the PLC database to values you assign as input, output, or combination. If a match is not made, the database table name is compared. If there is a match to the DESCRIPTION field or table name, the CATEGORY value is entered for that module.

  • 1 - Input module
  • 2 - Output module
  • 3 - Combination module
Input | Enter text, comma delimited, used to match to the DESCRIPTION value. If there is a match, the module is assigned a CATEGORY value of 1 for input.
Output | Enter text, comma delimited, used to match to the DESCRIPTION value. If there is a match, the module is assigned a CATEGORY value of 2 for output.
Combination | Enter text, comma delimited, used to match to the DESCRIPTION value. If there is a match, the module is assigned a CATEGORY value of 3 for combination.
Overwrite existing settings | Select to overwrite any existing CATEGORY values. If not selected, only blank CATEGORY fields are modified.

The PLC Database Migration utility updates all tables in the PLC database based on these values.

NoteBlank spaces within the text are included as part of the search string. For example, “IN{space}*” matches “IN module” but does not match “INPUT”.

If no match is made for a module, the CATEGORY field is not modified. Use the PLC Database File Editor to assign a category to a module. Select a “Spreadsheet to PLC I/O Utility Insertion Point” option on the Module specifications dialog box.

How to re-run the PLC Database Migration Utility

If you do not get the desired results you can run this utility again.

  1. Using Microsoft Access, open the PLC database file ace_plc.mdb.
  2. Open the table for the series type.
  3. Remove the CATEGORY field from the table.
  4. Save the database file.
  5. In AutoCAD Electrical, run the PLC Database Migration Utility.
  6. Enter the text strings for each category.
  7. Click OK.


Single, Stand-alone I/O Points

Overview of the PLC database file
PLC
Modify single, stand-alone PLC layout symbols
PLC >
Single, Stand-alone I/O Points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Modify single, stand-alone PLC layout symbols

    Edit PLC I/O point


Single, Stand-alone I/O Points (Procedure)

Overview of the PLC database file
Single, Stand-alone I/O Points
Modify single, stand-alone PLC layout symbols
PLC >
Single, Stand-alone I/O Points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert PLC layout points

Annotate stand-alone I/O points


Modify single, stand-alone PLC layout symbols (Concept)

Single, Stand-alone I/O Points
Single, Stand-alone I/O Points
Work with PLC styles
PLC > Single, Stand-alone I/O Points >
Modify single, stand-alone PLC layout symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The single, stand-alone PLC I/O symbols are in

  • Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\
  • Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\

The symbols do not follow the normal AutoCAD Electrical naming convention. Their file names must start with "PLCIO" in order for AutoCAD Electrical to find and process them along with the full PLC modules in the various BOM and PLC reports. The last three characters need not follow any naming convention.

Open each in AutoCAD and modify the appearance to suit your needs. Here are the file names of the default symbols:

PLCIOI1T.dwg | First input, single wire left
PLCIOI1.dwg | 2+ input, single wire left
PLCIOI2T.dwg | First input, wire left, and right
PLCIOI2.dwg | 2+ input, wire left, and right
PLCIOO1T.dwg | First output, wire right
PLCIOO1.dwg | 2+ output, wire right
PLCIOO2T.dwg | First output, wire left, and right
PLCIOO2.dwg | 2+ output, wire left, and right


Modify single, stand-alone PLC layout symbols (Procedure)

Single, Stand-alone I/O Points
Up a level to ..
Modify single, stand-alone PLC layout symbols
PLC > Single, Stand-alone I/O Points >
Modify single, stand-alone PLC layout symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert PLC layout points

Annotate stand-alone I/O points


Insert PLC layout points (Procedure)

Modify single, stand-alone PLC layout symbols
Up a level to ..
Modify single, stand-alone PLC layout symbols
PLC > Single, Stand-alone I/O Points >
Modify single, stand-alone PLC layout symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert PLC layout points

PLC I/O points can be inserted as independent symbols spread out over your drawing set. AutoCAD Electrical provides a small set of single I/O point library symbols that you can expand and modify to suit your needs.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. On the main icon menu select PLC I/O.
    NoteSingle I/O points are selected from the second and third rows of the sub dialog box.
  3. Select the component to insert and specify an insertion point.
    NoteSelect from the upper row for the first I/O point of a module. These symbols carry attributes for catalog BOM assignment. Select from the bottom row for the second through nth points of a module (which are children symbols of the first symbol parent).
  4. Add or edit any information in the Edit PLC I/O Point dialog box and click OK.


Annotate stand-alone I/O points (Procedure)

Modify single, stand-alone PLC layout symbols
Up a level to ..
Create PLC I/O Drawings from Spreadsheets
PLC > Single, Stand-alone I/O Points >
Modify single, stand-alone PLC layout symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Annotate stand-alone I/O points

The Edit PLC I/O Point dialog box appears when a stand-alone I/O point symbol is inserted or edited. Use this dialog box to change your selected I/O point.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. Select to insert PLC I/O points (found on the second and third rows of the sub dialog box) and specify an insertion point.

    To edit a point, right-click on an I/O point and select Edit Component from the context menu.

  3. Change the I/O point.
  4. (Optional) To assign the I/O address, click Used: Drawing or Used: Project to select an I/O address that was used already on a module.
  5. (Optional) To assign the description, click External File to select the description from a comma-delimited ASCII text file of available I/O point descriptions.
  6. Click OK and the values are annotated onto the I/O point.


Modify single, stand-alone PLC layout symbols (Quick Reference)

Overview of the PLC database file
Modify single, stand-alone PLC layout symbols
Overview of the PLC spreadsheet/database format
PLC > Single, Stand-alone I/O Points >
Modify single, stand-alone PLC layout symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit PLC I/O point

Use this dialog box when inserting or editing a stand-alone I/O point symbol. Specify the values you need and press OK. The values are then annotated onto the selected I/O point.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select to insert a PLC I/O point. Specify the insertion point on the drawing.

Address
I/O Address | Searches for a wire connection to a nearby PLC I/O address and, if found, uses the PLC address number in the tag name of the component.
Used: Drawing or Project | Lists any I/O addresses already assigned. Select a tag from the list to copy, or to increment for this new component.
Parent/Sibling | Transfers all information from the parent component to the child component being inserted or edited. If the parent is visible on the screen, click Parent/Sibling, and select the parent (or another related contact).
Module Tag/Description

Tag | Specifies a unique identifier assigned to each I/O point. The tag value can be manually typed in the edit box.
Line1/ Line2 | Optional description text for the I/O point. May be used to identify the relative location of the point in the I/O assembly (for example, Rack # and Slot #).
Manufacturer | Lists the manufacturer number for the I/O point. Enter a value or select one from the Catalog lookup.
Catalog | Lists the catalog number for the I/O point. Enter a value or select one from the Catalog lookup.
Assembly | Lists the assembly code for the I/O point. The Assembly code is used to link multiple part numbers together.
Catalog Lookup | Opens the catalog database of the I/O point from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected cable. Database queries are set up in the 3 lists across the top of the dialog box with the database hits listed in the main window of the dialog box.
Options | Substitutes a fixed text string for the %F part of the tag format. Retag Component can then use this override format value to calculate a new tag for the PLC module. For example, a certain PLC module must always have an "IO" family tag value instead of "PLC" so that retag, for example, assigns IO-100 instead of PLC100. To achieve this tag override, enter "IO-%N" for the tag override format.
Description | Optional line of description text. May be used to identify the PLC type (for example, "16 Discrete Inputs - 24VDC")
I/O Point Description
Description 1-5 | Specifies optional description text. Enter up to five lines of description attribute text.
Pick | Selects a description from a module on the current drawing.
List descriptions: External file | Displays contents of an external comma-delimited ASCII text file of I/O point descriptions. Pick an entry in the file, and then copy the values to edit boxes in the Edit dialog box.
Installation/Location codes

Changes the installation or location codes. You can search the current drawing or entire project for installation and location codes. A quick read of all the current or selected drawing files is done and a list of codes used so far is returned. Select from the list to update the module automatically with the installation or location code.

Pins

Assigns pin numbers to the pins that are physically located on the module.

Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

Ratings

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a module. Select Defaults to display a list of default values.

NoteIf Ratings is unavailable, the module you are editing does not carry rating attributes.


Work with PLC styles

Modify single, stand-alone PLC layout symbols
PLC
Create PLC I/O Drawings from Spreadsheets
PLC >
Work with PLC styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Modify a PLC appearance style

There are 5 predefined PLC styles provided with AutoCAD Electrical, numbered 1 through 5. If one or more of these do not appeal to you or if you have a client with specific requirements not met by any of the 5 styles, you can pick one of the existing styles and modify it.

There are about 3 dozen symbols associated with each style. They are located in the jic1 subdirectory (or jic125 for the uniform 0.125 text height version). They carry the file name "HP?*.dwg" where "?" is the style number.

Create a PLC style

An easy way to create a PLC style is to copy the library symbols of an existing PLC style to one of the unused style numbers (6, 7, 8, or 9) and then edit each one to suit your needs.

For example, copy style 1 to style 6 by copying "\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\hp1*.dwg" to "\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\hp6*.dwg" (or, if you are using Windows Vista, copy "\Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\hp1*.dwg" to "\Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\hp6*.dwg"). Open the hp6*.dwg drawing files in AutoCAD and modify as required. To access your new style, select "6" in the style sub dialog box when you prepare to select and insert a new PLC module.

Add a new PLC style

The icon menu graphics that display for the various PLC styles are bitmap files saved to your \Program Files [(x86)]\Autodesk\Acade {version}\Acade\ folder where AutoCAD Electrical's Insert PLC and Drawing Properties tools can access them.

  1. Create the style in AutoCAD.
  2. Zoom in to the new PLC style.
  3. Save the file as a bitmap using the following name definition:
    • For the Drawing Properties dialog box: the graphic must have the name P_STYLExH.bmp or P_STYLExV.bmp where 'x' is the PLC style number (1-9) and H or V indicate the module orientation (horizontal or vertical)
    • For the Insert PLC dialog box: the file name must be STYLExH.bmp or STYLExV.bmp where 'x' is the PLC style number (1-9) and H or V indicate the module orientation (horizontal or vertical)
    NoteIf the resulting bitmap is too small or off-center, open the source drawing in AutoCAD again. Resize your AutoCAD graphics window so that it is more square. Center the image and resave. Repeat until you are satisfied with the result.


Create PLC I/O Drawings from Spreadsheets

Work with PLC styles
PLC
Overview of the PLC spreadsheet/database format
PLC >
Create PLC I/O Drawings from Spreadsheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of the PLC spreadsheet/database format

    Spreadsheet to PLC I/O utility

  • Create PLC spreadsheets using RSLogix

    RSLogix 500 import

  • Create PLC drawings from Unity Pro

    Unity Pro import

  • Create XML files for export to Unity Pro

    Unity Pro export


Create PLC I/O Drawings from Spreadsheets (Procedure)

Modify single, stand-alone PLC layout symbols
Create PLC I/O Drawings from Spreadsheets
Overview of the PLC spreadsheet/database format
PLC >
Create PLC I/O Drawings from Spreadsheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Automatically generate I/O schematic drawings

Change and use PLC I/O settings

Export I/O information using RSLogix

Import Unity Pro files to a spreadsheet

Export a file in the Unity Pro XML format


Overview of the PLC spreadsheet/database format (Concept)

Create PLC I/O Drawings from Spreadsheets
Create PLC I/O Drawings from Spreadsheets
Create PLC spreadsheets using RSLogix
PLC > Create PLC I/O Drawings from Spreadsheets >
Overview of the PLC spreadsheet/database format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The PLC information can be read from a Microsoft Excel spreadsheet, Access database table, or a comma-delimited file. AutoCAD Electrical expects to find certain columns containing the information needed to generate the drawings. The columns can be in any order defined by your settings. All columns are optional except the Module part number (Code) column. Three example PLC data files are found in the User folder: DEMOPLC.XLS, DEMOPLC.CSV, and DEMOPLC_IEC.XLS. A settings file is also provided to run the Spreadsheet to PLC I/O Utility: DEMOPLC_IEC.WDI.

Use the Spreadsheet to PLC I/O Utility tool to assign spreadsheet or table column numbers to the following data categories.

Module data
Module part numbers (Code) | This can be the code for a parametrically generated module, or for a full module's library symbol. It can even be a non-PLC symbol such as a variable speed drive.
Address (ADDR) | The I/O address for each I/O point. This value gets annotated to the "TAGA_" attribute.
Rack numbers (R) | The rack number of the module, used for the attribute assigned to the %%1 Prompt from the parametric data file.
Group numbers (G) | The group number of the module, used for the attribute assigned to the %%2 Prompt from the parametric data file.
Slot numbers s | The slot number of the module, used for the attribute assigned to the %%3 Prompt from the parametric data file.
Remote terminal panel (RTP) | The remote terminal panel ID number of the module, used for the attribute assigned to the %%4 Prompt from the parametric data file.
Wire numbers | The wire number used for each I/O point.
Module's tag | The value assigned to the TAG attribute of the module.
Module's Installation | The value assigned to the installation attribute of the module.
Module's Location | The value assigned to the location attribute of the module.
Description 1-5 (DESC1-DESC5) | The values assigned to the module's 5 description attributes.
Voltage/Input/Output (VOLTAGE) | The value used to determine if a module is an input or output module if it cannot be determined from the parametric data file. For input modules, AutoCAD Electrical looks for DI, AI, or IN as part of the text string. For output modules, AutoCAD Electrical looks for DO, AO, or OUT as part of the text string. For combination modules, it looks for IO, Other, or both IN and OUT in the text string.
Special PLC values

There are some special values that can be placed in a row to direct special PLC module features:

BREAK | Insert this keyword in the ADDRESS column of the spreadsheet where you want the PLC module to break and continue on the next ladder column. There should not be any other data in the spreadsheet row; only the word “BREAK” in the address column.
SPACER | Insert this keyword in the ADDRESS column of the spreadsheet where you want to add extra space between adjacent I/O points. There should not be any other data in the spreadsheet row; only the word “SPACER” in the address column.
SKIP | Insert this keyword into the CODE module part number column right after the end of the data on the spreadsheet of the previous module. This keyword triggers the utility to skip a ladder before it begins the next module in the spreadsheet. There should not be any other data in the spreadsheet row; only the word “SKIP” in the part number code column.
NEW_DWG | Insert this keyword into the CODE module part number column right after the end of the data on the spreadsheet of the previous module. This keyword triggers the utility to skip to the next sheet before it begins the next module in the spreadsheet. There should not be any other data in the spreadsheet row; only the word “NEW_DWG” in the part number code column.
* | Place an asterisk (*) in front of a device block name to trigger an Insert Circuit instead of an Insert Component. Any associated TAG, DESC, MFG, and CAT column values for this entry are annotated onto the first AutoCAD Electrical symbol found on the inserted circuit.

You can predefine other attributes on the module, such as Installation, Location, and Ratings, using the format "mainval;attributename2=attributevalue2,” and so on. For example, you want the module to have a Rack value of “2”, an Installation value of “MACH1”, and a Rating2 value of “Hazardous Duty”. In the spreadsheet, in the RACK column, enter “2;INST=MACH1;RATING2=HAZARDOUS DUTY”. When the module is generated these extra attribute values are assigned.

Inline component data

The PLC Generator supports up to 9 inline components. Replace the numeric value “n” with the next incrementing number; the first component would have a tag of D1TAG while the second component would have the tag of D2TAG. The columns of data are as follows:

Tag (DnTAG)

The value to use for the TAG attribute of the component. For terminals, use this column to encode both the TAG and Terminal Number. Use this format TAGSTRIP:TERM where the colon character separates the terminal's TAG-ID value from the terminal number to apply to the TERM attribute. For example, "TB1:25" in the component tag column puts "TB1" on the TAGSTRIP attribute and "25" on the TERM attribute.

You can also use the colon delimiter to add pin number assignments to terminal symbols. Whatever follows the colon is inserted into the terminal’s TERM01 attribute; in this case, the pin number in your drawing. For example, if the terminal’s tag name is “TB1” and the pin number assignment is “1A” you would enter “TB1:1A” into the DnTAG field.

Description (DnDESC)

The values assigned to the DESC attributes of the component. Use the | symbol to separate text and assign it to DESC1, DESC2, or DESC3. For example, if you use "CYCLE|START" in the description field, "CYCLE" is assigned to DESC1 and "START" to DESC2.

Block (DnBLK)

The .dwg file name for the component you want to use.

Location (DnLOC)

The value assigned to the location (LOC) attribute of the component.

Installation

The value assigned to the installation (INST) attribute of the component.

Manufacturer

The value assigned to the manufacturer (MFG) attribute of the component.

Catalog

The value assigned to the catalog (CAT) attribute of the component.

Assembly

The value assigned to the assembly code (ASSYCODE) attribute of the component.

You can predefine other attribute values (such as pin number assignments) using the format "mainval;attributename2=attributevalue2;attributename3=attributevalue3,” and so on. Enter it in any inline component column except the Block column defining the block name of the component. For example, to annotate pins as “21” and “22”, you can modify the DnLOC field by entering “Field; TERM01=21;TERM02=22”; where “Field” is the main attribute value and “TERM01=21” assigns a value of 21 to the component’s TERM01 attribute and “TERM02=22” assigns a value of 22 to the component’s TERM02 attribute.

Components for input modules are inserted left-to-right, while components for output modules are inserted right-to-left. The spacing between devices (as defined in your settings) is maintained even if no component is defined for a particular column.

Special wiring for inline components

Normally each inline component is wired in series connected from the bus to the I/O point. AutoCAD Electrical also supports jumpers between adjacent rungs. To direct AutoCAD Electrical to use a jumper, you encode the jumper as one of the available inline devices. Use the "|" character as the symbol block name for the jumper. To control removal of wire connections, follow the "|" character with four characters to cover upper left, upper right, lower left, and lower right connections. Use "W" to keep the wire connection and "X" to remove. For example, a block name of "|WWXW" inserts a jumper and trims the lower left wire connection. "|XWXW" trims away the left-hand wire connections of both top and bottom. Just a "|" for the block name is the same as "|WWWW", all wire connection retained.

Wiring to analog input or output modules might need to loop back to a return terminal instead of going all the way across to a power bus. You can direct the generator to pop in a vertical short wire to loop back around. For looping back to the right, insert "|XWXW" as the first inline device. To loop back to the left use "|WXWX".


Overview of the PLC spreadsheet/database format (Procedure)

Create PLC I/O Drawings from Spreadsheets
Up a level to ..
Overview of the PLC spreadsheet/database format
PLC > Create PLC I/O Drawings from Spreadsheets >
Overview of the PLC spreadsheet/database format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Automatically generate I/O schematic drawings

Change and use PLC I/O settings


Overview of the PLC spreadsheet/database format (Quick Reference)

Modify single, stand-alone PLC layout symbols
Overview of the PLC spreadsheet/database format
Overview of the PLC spreadsheet/database format
PLC > Create PLC I/O Drawings from Spreadsheets >
Overview of the PLC spreadsheet/database format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Spreadsheet to PLC I/O utility

Spreadsheet to PLC I/O utility setup


Automatically generate I/O schematic drawings (Procedure)

Overview of the PLC spreadsheet/database format
Up a level to ..
Overview of the PLC spreadsheet/database format
PLC > Create PLC I/O Drawings from Spreadsheets >
Overview of the PLC spreadsheet/database format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Automatically generate I/O schematic drawings

The PLC I/O requirements of a project, in spreadsheet or database format, can drive automatic generation of the I/O schematic drawings.

  1. Click Import/Export Data tab [image] Import panel [image] PLC I/O Utility. Enter AESS2PLC at the command prompt.
  2. Select the spreadsheet and click Open.
  3. In the Spreadsheet to PLC I/O Utility dialog box, enter a value for the beginning line reference number for the first ladder of the drawing. Specify any other options to use for the ladder reference numbers.
  4. Specify how you want the module to be placed in the drawing.
  5. Click Start.

    AutoCAD Electrical constructs a set of PLC I/O drawings based on the information carried in the PLC spreadsheet. Ladders and modules insert automatically, breaking at the bottom of one ladder and continuing on the next.


Change and use PLC I/O settings (Procedure)

Overview of the PLC spreadsheet/database format
Up a level to ..
Create PLC spreadsheets using RSLogix
PLC > Create PLC I/O Drawings from Spreadsheets >
Overview of the PLC spreadsheet/database format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Change and use PLC I/O settings

You have control over many aspects of how these drawings auto-generate. You also can adapt this tool to an existing spreadsheet or database format that is different from the example demoplc.xls file format. You can change these settings each time you run the program or change them once and save your settings for future use.

Change and save the settings

  1. Click Import/Export Data tab [image] Import panel [image] PLC I/O Utility. Enter AESS2PLC at the command prompt.
  2. Select the spreadsheet and click Open.
  3. In the Spreadsheet to PLC I/O Utility dialog box, do one of the following:
    • Click Setup to define how the drawings should be set up (based on the default settings). It includes how many ladders you want inserted, the type and orientation of the ladders, spacing, and number of rungs. You can also define the module placement, style, scale, and in-line device placement and spacing.
    • Click Browse to select an existing setting file that you can then edit and save.
    • Click Setup then click Spreadsheet/Table Columns to define what column in your spreadsheet or database table goes with what data value in the utility. The first page of this dialog box deals with the overall module information. The sub-dialog box (accessed from clicking the More button) identifies the column data for up to nine in-line connected devices for each I/O point.
  4. Click Save to save the settings to a file for future use.
  5. Enter a file name for the settings (the file extension is ".WDI") and click Save.

Read the settings

  1. Click Import/Export Data tab [image] Import panel [image] PLC I/O Utility. Enter AESS2PLC at the command prompt.
  2. Select the spreadsheet and click Open.
  3. In the Spreadsheet to PLC I/O Utility dialog box, click Browse.
  4. Select a previously created file (it has a ".WDI" file extension) and click Open.

    Your settings are now restored and are used for the drawings generated from the selected spreadsheet or database table.


Overview of the PLC spreadsheet/database format (Quick Reference)

Overview of the PLC spreadsheet/database format
Overview of the PLC spreadsheet/database format
Overview of the PLC spreadsheet/database format
PLC > Create PLC I/O Drawings from Spreadsheets >
Overview of the PLC spreadsheet/database format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Spreadsheet to PLC I/O utility

Creates a set of PLC I/O drawings from spreadsheet data.

Ribbon: Import/Export Data tab [image] Import panel [image] PLC I/O Utility. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] Spreadsheet to PLC I/O UtilityDoes not exist in the menus.
Command entry: AESS2PLC

Select the spreadsheet output file and click Open.

The PLC I/O requirements in spreadsheet or database format can drive automatic generation of the I/O schematic drawings. The program finds the columns containing the information necessary to generate the drawings. Your settings can define the order of the columns. All columns are optional except for Module part number (Code).

AutoCAD Electrical reads in your information (.xls, .mdb, or .csv format) and then constructs a set of PLC I/O wiring diagrams directly from your data. Ladders and modules insert automatically, breaking at the bottom of one ladder and continuing on the next (or on to the next drawing).

Settings

Select a PLC settings file (.wdi) to use. The default is to use the settings in the WDIO.LSP file. Specify the settings to use by entering a file name in the box or clicking Browse to select a file. The path to the selected WDI file displays underneath the edit box. If you enter the name of the .wdi file, AutoCAD Electrical searches for the file in the standard search locations in the following order:

  1. User subdirectory

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

  2. Active project's .wdp file subdirectory
  3. Symbol library paths defined for the active project
  4. AutoCAD Electrical lookup subdirectory

    Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\

    Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\

  5. AutoCAD Electrical support (C:\Program Files [(x86)]\Autodesk\Acade {version}\Support\.)
  6. Current Directory
  7. All paths defined under AutoCAD Options [image] Files [image] Support Files Search Path

Click Setup to display the Spreadsheet to PLC I/O Utility Setup dialog box. Use it to modify and save new setting configurations.

NoteIf you select the .wdi file to use after you make changes in the Spreadsheet to PLC I/O Utility Setup dialog box, the settings in the .wdi file are used and the setup changes are not applied.
Ladder Reference Numbering
Start | Specifies the value for the beginning line reference number for the first ladder of the first drawing. Leading zeros and embedded alpha characters are supported for line reference numbering.
Index | Defines if you want your line reference numbers to sequence by 1 (default) or by some other amount.
Column to column | Indicates whether to use the next sequential number for the first ladder on each successive column or to use the specified value to skip for the first ladder reference of the next column.
Drawing to drawing | Indicates whether to use the next sequential number for the first ladder on each successive drawing or to use the specified value to skip for the first ladder reference of the next drawing.
Module Placement

There are three options related to module placement. Define if you want each I/O module to start at the top of a ladder, if you want the module built in a ladder with the previous module only if it fits completely, or if you want the module to be built in the same ladder with the previous module and split if necessary to fill the ladder.

Include unused/extra connections You may have PLC modules with terminal connections that are unused. Usually AutoCAD Electrical leaves them out and the module is built without showing these terminal connections. Select it to include the connections in the PLC module.

If you select to place modules within the same ladder, enter the number of rungs to skip between modules.

NoteWhen a module is selected that contains some of these terminals, they are included if you select this option.
If you want to show these connections, include them in the Attributes column of the Module Terminal Information table of the ace_plc.mdb file with ";\\SPECIAL=INCLUDE" following the block information or by selecting "When Including Unused" or "When Excluding Unused" in the Show column of the PLC Database File Editor dialog box.
Allow pre-defined breaks Your PLC modules automatically break at a given point when a "\\SPECIAL=BREAK" code is encountered in the block of parametric data of the module.
Drawing File Creation
Use active drawing | Indicates to use the open and active drawing file to begin the PLC placement process. NoteIt is unavailable if a Starting file name is specified.
Starting file name | Specifies the drawing file to begin with for your PLC drawings. Enter a name or click Browse to select a file. The .dwg extension is not required and the file is saved in the same folder as the active .wdp file.
Pause between drawings/Free run | Your spreadsheet may contain enough information to generate multiple drawings. Select Pause between drawings to stop between each drawing or select Free run if you want the program to run completely to the end without stopping. NoteWhen you select Pause Between Drawings, a single drawing is generated and then a dialog box opens allowing you to adjust settings, select to do a free run, or continue with a pause between drawings. The Use active drawing option is disabled.
Sheet | If your ladders use the AutoCAD Electrical Sheet parameter you can enter a value for the optional sheet number.
Add new drawing to active project | Adds newly created drawings to the active project. The new drawings are added to the end of the project’s drawing list.
Save

Saves the setup information and settings in a .wdi file to reuse.


Overview of the PLC spreadsheet/database format (Quick Reference)

Overview of the PLC spreadsheet/database format
Overview of the PLC spreadsheet/database format
Create PLC spreadsheets using RSLogix
PLC > Create PLC I/O Drawings from Spreadsheets >
Overview of the PLC spreadsheet/database format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Spreadsheet to PLC I/O utility setup

Defines how to set up the drawings. Includes how many ladders you want inserted, the type and orientation of the ladders, spacing, and number of rungs. You can also define the module placement, style, scale, and inline device placement and spacing.

Ribbon: Import/Export Data tab [image] Import panel [image] PLC I/O Utility. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] Spreadsheet to PLC I/O UtilityDoes not exist in the menus.
Command entry: AESS2PLC

Select the spreadsheet output file and click Open. In the Spreadsheet to PLC I/O Utility dialog box, click Setup.

NoteNew default values can be programmed into the source file. The program source file name is "wdio.lsp." Open the file with any ASCII text editor and carefully edit the values near the top of the file.
Ladder

Origin

Specifies the insertion point for first (or only) ladder on the drawing. Corresponds to the upper left-hand corner of the ladder.

Orientation

Specifies to create a vertical bus ladder (with horizontal wires) or horizontal bus ladder (with vertical wires).

Reference numbers

Specifies the default referencing system:

  • Numbers Only
  • Numbers Ruling
  • User Blocks
  • X-Y Grid: All referencing is tied to an X-Y grid system of numbers and letters along the left-hand side and top of the drawing. Set the vertical and horizontal index numbers and letters, spacing, and origin in the X-Y grid setup dialog box.
    TipUse negative spacing values for horizontal or vertical to change the origin of the XY grid system to be other than the upper left-hand corner of the drawing.
  • X Zones: Like X-Y Grid, but there is not a Y-axis. Set your horizontal labels, spacing, and origin of the drawing on the X Zones setup dialog box.
    TipUse a negative zone spacing value if you want the zone reference origin to be at the right side of the drawing.

Width

Specifies the width of each ladder (offset distance between the ladder's two bus wires) from left to right rail.

Distance between

Specifies the offset distance from the insertion point of one ladder to the insertion point of the next ladder.

Ladders per drawing

Specifies the number of ladders to insert. Vertical ladders insert left to right. Horizontal ladders insert top to bottom.

Rungs per ladder

Specifies the quantity of line reference / wire rungs per ladder. This value multiplied by the "Spacing - ladder rung to rung" value determines the length of the inserted ladders.

Rung spacing

Specifies the distance from one rung to the next rung on a ladder.

Rung count skip for I/O start

Specifies the quantity of rungs to skip before inserting a PLC module (0=no skip)

Suppression

Indicates whether to include/exclude bus rails and rungs.

Signal arrow style

Specifies the default wire signal arrow style. Select from the four predefined styles or a user-defined style. You can override the default style setting at insertion time.

Module

PLC graphical style

Specifies the default PLC module style. Select from the five predefined styles or a user-defined style.

Input offset from neutral

Specifies the Input module insertion offset distance (vertical ladder orientation - measured in +X direction from right-hand vertical bus; horizontal ladder orientation - measured in +Y direction from lower horizontal bus).

Output offset from hot bus

Specifies the Output module insertion offset distance (vertical ladder orientation - measured in -X direction from the left-hand vertical bus; horizontal ladder orientation - measured in the -Y direction from the upper horizontal bus).

NoteIf module type cannot be determined or if it is combination Input and Output, then the module is inserted down the middle of the ladder.

Maximum I/O per ladder

Specifies the maximum number of module I/O points to insert into each ladder without breaking the module and continuing it in the next ladder.

I/O point spacing

Specifies the insertion point offset distance between one in-line device and the next.

Scale

Specifies the PLC module scale override value (default = 1.0). Applies a scale factor to the PLC module insertion except for the "Spacing - I/O point to I/O point" value defined previously. If Apply this scale to module outline only is selected, then this scaling factor is applied only to the outline of the module.

In Line Devices
First input device from hot bus | Specifies the starting offset distance from the left-hand or upper bus for the first (or only) in-line device defined for each Input module I/O point.
First output device from neutral bus | Specifies the starting offset distance from the right-hand or lower bus for the first (or only) in-line device defined for each Output module I/O point.
Spacing between multiple devices | Specifies the insertion point offset distance between one in-line device and the next.
Spreadsheet/Table Columns

Displays the Spreadsheet to PLC I/O Drawing Generator dialog box for reviewing and mapping spreadsheet columns to attributes on the PLC module symbol.

Drawing Template

You can force the tool to use a specific template for new drawings. Enter the template drawing file name with the full path or click Browse to search for an existing template (it looks in the AutoCAD template folder where all of the user drawing templates are saved). For the current default template, leave the value blank. If you do not want to use a template drawing, enter a single dot in the edit box.

NoteMake sure that your template does not have any existing ladders.
Save

Saves the spreadsheet information in a .wdi file to reuse. Once you save the new .wdi file, the Spreadsheet to PLC I/O Utility dialog box redisplays and the new .wdi file name displays in the Settings edit box.


Create PLC spreadsheets using RSLogix (Concept)

Overview of the PLC spreadsheet/database format
Create PLC I/O Drawings from Spreadsheets
Create PLC drawings from Unity Pro
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC spreadsheets using RSLogix
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

RSLogix is a PLC programming software package for programming various Allen-Bradley PLCs. This program has an output function that can write the I/O information out to an ASCII file. AutoCAD Electrical imports this information and creates a regular spreadsheet from the data that can then be used to create PLC drawing files.

Using the RSLogix 500 Import dialog box, you can omit PLC cards, reserve future locations for PLC cards in drawings, and browse to select a PLC code from the PLC database. Once you modify the .eas file and apply the PLC data to categories you can save the data into a PLC import spreadsheet that is used to create the PLC drawing files.


Create PLC spreadsheets using RSLogix (Quick Reference)

Overview of the PLC spreadsheet/database format
Create PLC spreadsheets using RSLogix
Create PLC spreadsheets using RSLogix
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC spreadsheets using RSLogix
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

RSLogix 500 import

RSLogix 500 import change module


Export I/O information using RSLogix (Procedure)

Overview of the PLC spreadsheet/database format
Up a level to ..
Create PLC drawings from Unity Pro
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC spreadsheets using RSLogix
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Export I/O information using RSLogix

Creates a Microsoft Excel spreadsheet file from a RSLogix file to import into AutoCAD Electrical using the Spreadsheet to PLC I/O Utility tool.

  1. In RSLogix, export your RSLogix 500 file into .EAS format.
  2. Click Import/Export Data tab [image] Import panel [image] RSLogix 500. Enter AERSLOGIX at the command prompt.
  3. Select an .EAS or .CSV file and click Open.
  4. In the RSLogix 500 Import dialog box, select whether the I/O points should be displayed in 8, 16, or 32-point groupings.
  5. Pick an I/O module for each set of I/O points. Enter it in the edit box, select from the PLC dialog box using Browse, or select from the already used list once you have some modules selected.
  6. Click OK to assign the module and move on to the next set of points.
  7. (Optional) To change a module assignment, select the module assignment and click Change. In the RSLogix 500 Import Change Module dialog box, change the selected module part number by entering the new module name in the edit box, selecting it from the PLC dialog box using Browse, or selecting it from the already used list once you have some modules selected. Click OK to assign the module and return to the Input Module dialog box.
  8. (Optional) Click Omit to skip a set of points, or click Future to skip the points and add information so AutoCAD Electrical adds a blank column when generating the drawing from the spreadsheet.
  9. Enter a name for the spreadsheet once a module was assigned for each set of points. Click Save.

    Use Microsoft Excel to modify your spreadsheet as needed.

  10. To create the PLC drawing click Import/Export Data tab [image] Import panel [image] PLC I/O Utility. enter AESS2PLC at the command prompt.


Create PLC spreadsheets using RSLogix (Quick Reference)

Create PLC spreadsheets using RSLogix
Create PLC spreadsheets using RSLogix
Create PLC spreadsheets using RSLogix
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC spreadsheets using RSLogix
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

RSLogix 500 import

Imports I/O information from RSLogix and create a regular spreadsheet from the data to use for the Spreadsheet to PLC I/O generator.

Ribbon: Import/Export Data tab [image] Import panel [image] RSLogix 500. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] RSLogix 500 Export To SpreadsheetDoes not exist in the menus.
Command entry: AERSLOGIX

Select an .EAS or .CSV file and click Open.

The text “Input Module x of x” displays underneath the dialog box title bar to keep track of which module you are editing out of the total number of modules found in the RSLogix import file.

8pt, 16pt, or 32 pt slot addressing | Specifies whether the I/O points displayed should be in 8-pt, 16-pt, or 32-pt groupings.
Default to | Specifies to display the module in octal or decimal format.
Module assignment so far | Displays the I/O modules already picked for each set of I/O points. Enter the module name in the edit box, select it from the PLC dialog box using Browse, or select it from the already used list once you have some modules selected. Click OK to assign the module and move on to the next set of points.
Omit | Skips a set of points.
Future | Skips the points and adds information so AutoCAD Electrical adds a blank column when generating the drawing from the spreadsheet.


Create PLC spreadsheets using RSLogix (Quick Reference)

Create PLC spreadsheets using RSLogix
Create PLC spreadsheets using RSLogix
Create PLC drawings from Unity Pro
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC spreadsheets using RSLogix
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

RSLogix 500 import change module

Ribbon: Import/Export Data tab [image] Import panel [image] RSLogix 500. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] RSLogix 500 Export To SpreadsheetDoes not exist in the menus.
Command entry: AERSLOGIX

Select an .EAS or .CSV file and click Open. Select one of the module assignments and click Change.

The text “Change Module x” displays underneath the dialog box title bar to keep track of which module you are changing.

Select below for module part number assignment | Displays the I/O modules already picked for each set of I/O points. Change the selected module part number by entering the new module name in the edit box, selecting it from the PLC dialog box using Browse, or selecting it from the already used list once you have some modules selected. Select OK to assign the module and return to the RSLogix 500 Import dialog box.
Omit | Skips a set of points.
Future | Skips the points and adds information so AutoCAD Electrical adds a blank column when generating the drawing from the spreadsheet.


Create PLC drawings from Unity Pro (Concept)

Create PLC spreadsheets using RSLogix
Create PLC I/O Drawings from Spreadsheets
Create XML files for export to Unity Pro
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC drawings from Unity Pro
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical imports Unity Pro XML files to aid in the creation of various types of PLC and Panel Layout drawings in the active project. Unity Pro supports numerous Schneider Electrical PLC cards, PLC racks, power supplies, and various accessories.

Unity Pro exports two XML files (.xhw and .xsy) to use in the automatic creation of AutoCAD Electrical PLC ladder-style drawings. The .xhw file contains the PLC hardware information such as catalog numbers and starting addressing information. The .xsy file contains the information about the software such as variable types (input/output) and i/o addressing information.

These files also contain catalog information that can be reformatted to generate an equipment list to help in the creation of a rack layout drawing used in Panel Layouts or separate Rack Layout drawings using the Unity Pro Export to Spreadsheet tool.

Data structure from the Unity Pro Hardware Configuration File

The tree structure data that displays in the Hardware File section of the Unity Pro Import dialog box is as follows:

Project node

The Project node is the topmost node defined in the tree structure. The label given to the node is the file name of the hardware configuration (.xhw) file that was defined during the export from Unity Pro. The name of the hardware configuration file can be different from that of the I/O configuration file.

Bus Name node

The Bus Name node consists of the Bus Name Description and the Bus Number ID.

Example: Bus 1 Local Quantum Bus

  • Bus Name Description: displays the name of the bus and is specified in the busType element in the .xhw file. (that is, Local Quantum Bus)
  • Bus Number ID: displays the number of the bus and is specified in the position element of the .xhw file. (that is, Bus 1)

Rack Location and Catalog Number node

The Rack Location node consists of descriptions, location information, and a catalog number.

Example: Rack \1.1\1 140XBP0600

  • Rack Description: displays the description of the rack and is specified in the family element of the .xhw file. (i.e. Rack)
  • Rack Location: displays the location of the rack and is specified in the topoAddress element of the .xhw file. (i.e. \1.1\1)
  • Rack Catalog Number: displays the catalog number of the rack and is specified in the partNumber element of the .xhw file. (that is, 140XBP0600)

Module Location and Catalog Number node

The Module Location node consists of descriptions, location information, and a catalog number.

Example: Supply \1.1\1.1 140CPS21400

  • Module Description: displays the description of the module and is specified in the family element of the .xhw file. (that is, Supply)
  • Module Location: displays the location of the module in the rack and is specified in the topoAddress of the .xhw file. (that is, 1.1\1.1)
  • Module Catalog Number: displays the catalog number of the module and is specified in the partNumber element of the .xhw file. (that is, 140CPS21400)
Unity Pro to AutoCAD Electrical Mapping File

The Unity Pro to AutoCAD Electrical mapping file, DEFAULT_UNITY.MAP, allows you to define the text strings to be placed in the custom field of the Unity Pro Data Editor to map directly to an AutoCAD Electrical schematic symbol name.

AutoCAD Electrical Symbol Mapping File Example:

;This file is to be used for mapping of Unity Pro custom strings

;for PLC I/O devices to AutoCAD Electrical schematic symbol names

;Syntax: Value in Custom Field,Symbol Block File Name

;Example: PBNO,HPB11

; PBNC,HPB12

PB NC,HPB12

*2POS*,HSS112

*3POS*,HSS113

The comment fields (marked with ;) at the top of the file are used for information. The custom field supports spaces in the string and wild cards.

NoteThe distance the remote component is located from the PLC and hot bus rail is determined by the PLC settings file.
Equipment List Structure and Data

When you click OK on the Unity Pro Import dialog box, a PLC Spreadsheet file is created along with an Equipment List spreadsheet file. The Equipment List file includes all of the catalog information in the .xhw file. The structure of the Equipment List is:

  • Column 1 = CATALOG; partNumber variable from the .xhw file
  • Column 2 = MANUFACTURER; found in Default_cat.mdb (PLCIO table)
  • Column 3 = ASSYCODE; column defined (left blank)
  • Column 4 = TAG; column defined (left blank)
  • Column 5 = LOC; column defined (left blank)
  • Column 6 = INST; column defined (left blank)
  • Column 7 = DESC1; partFamily variable from the .xhw file
  • Column 8 = WDBLKNAM; PLCIO


Import Unity Pro files to a spreadsheet (Procedure)

Create PLC spreadsheets using RSLogix
Up a level to ..
Create XML files for export to Unity Pro
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC drawings from Unity Pro
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Import Unity Pro files to a spreadsheet

  1. In Unity Pro, right-click the configuration file in the project browser and select Export.
  2. Enter a file name for the .xhw file and click Export.
  3. Right-click the Variables & FB Instances file in the project browser and select Export.
  4. Enter a file name for the .xsy file and click Export.
    NoteWe recommend that you export the files into the same location as the AutoCAD project (.wdp) file.

    If the export was successful, the Unity Pro command window states that the file was exported with 0 errors or warnings.

  5. Click Import/Export Data tab [image] Import panel [image] Unity Pro. Enter AEUNITYPROSS at the command prompt.
  6. Select the Unity Pro hardware configuration file (.xhw) and click Open.
  7. Select the Unity Pro I/O configuration file (.xsy) and click Open.

    Upon successful validation of the files selected for import, the Unity Pro Import dialog box displays.

  8. In the Unity Pro Import dialog box, modify the selected files to create a spreadsheet for PLC import. You can right-click on a module or rack in the tree structure and select to include or exclude it from being saved into the spreadsheet file. Do any of the following optional steps:
    • Indicate whether to display only modules in the .xhw file that contains I/O addressing (PLCs).
    • Indicate whether to include inner or outer terminals. Select whether to place the terminal symbol names in every row or only the names that have a defined I/O point.
    • In the Hardware File section, select the module to modify. The data relative to the I/O variable file for the selected module displays in the I/O Variable File section of the dialog box. If you select a module that does not have addresses (such as power supplies or CPUs) the grid remains empty.
    • Change the symbol name or device tag for any of the I/O points using the right-click menu options. The Select Symbol option displays the icon menu from which you can select the symbol name.
    • Specify the symbol name to insert for inner and outer terminals in the spreadsheet. The default symbol name is HT0001 (a terminal that maintains the wire number potential, has a tag strip ID and terminal number, and is square). Click the Select from Icon Menu button to select a terminal to use from the icon menu
  9. Click OK.
  10. Specify a file name and location for the PLC spreadsheet file and click Save.
  11. Specify a file name and location for the Equipment List file and click Save.
  12. To create the PLC drawing click Import/Export Data tab [image] Import panel [image] PLC I/O Utility. enter AESS2PLC at the command prompt.


Create PLC drawings from Unity Pro (Quick Reference)

Create PLC spreadsheets using RSLogix
Create PLC drawings from Unity Pro
Create XML files for export to Unity Pro
PLC > Create PLC I/O Drawings from Spreadsheets >
Create PLC drawings from Unity Pro
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Unity Pro import

Prepares Unity Pro exported data for the Spreadsheet to PLC I/O utility.

Ribbon: Import/Export Data tab [image] Import panel [image] Unity Pro. Does not exist on the ribbon.
Toolbar: Insert PLC
Menu: Components [image] Insert PLC Modules [image] Unity Pro Export to SpreadsheetDoes not exist in the menus.
Command entry: AEUNITYPROSS

Imports Unity Pro hardware (.xhw) and I/O variable (.xsy) files and formats the data into a PLC import spreadsheet in preparation for the Spreadsheet to PLC I/O utility. After you create the spreadsheet file, create PLC style drawing files automatically with the Spreadsheet to PLC I/O utility.

When you click OK, you are prompted to enter a name for the PLC spreadsheet file. You can save this file in .xls (preferred), .mdb or .csv format. Once you enter a name (or accept the default) and click Save, you are then prompted to create an equipment list spreadsheet file. You can save this file in .xls, .mdb (preferred) or .csv format. The suggested file name is the name of the hardware import file with the suffix ‘(Equipment).’

Hardware File

The path and file name of the hardware file created from Unity Pro (.xhw) displays at the top of this section of the dialog box.

Hardware file information

Allows you to view and select the hardware configuration from the Unity Pro export files. The tree structure has four nodes:

  • Unity Project (export file name)
  • Bus name
  • Rack location and catalog number
  • Module location and catalog number

Right-click on a node to include or exclude modules from being saved into the spreadsheet file. Upon exclusion the module icon changes to indicate that it was excluded. You can exclude or include an entire rack node. Multiple node selection is allowed.

Changed icons:

NoteIf you choose to include modules that do not contain any I/O addressing, the module catalog number appears in the Code column of the spreadsheet.

Show only I/O modules

Indicates to display only modules in the .xhw file that contains I/O addressing (PLCs). If a rack node only includes modules that are not PLC I/O modules, the entire rack is removed from the tree structure. If a rack node contains modules with and without I/O addressing, the modules that do not have I/O addresses are removed.

Include inner terminals

Defines a terminal symbol to place into the spreadsheet on the inner side of the in-line component (between the I/O point and the in-line component).

  • All I/O addresses: Places the terminal symbol name into the row of every I/O address listed in the import spreadsheet.
  • I/O addresses defined: Places the terminal symbol name into every row where an I/O point is defined from Unity Pro. The defined address from Unity Pro is the topographical address coming from the I/O variable file that contains a value for the address string.

Include outer terminals

Defines a terminal symbol to place into the spreadsheet on the outer side of the in-line component (between the I/O component and the wire connected to the ladder rail).

  • All I/O addresses: Places the terminal symbol name into the row of every I/O address listed in the import spreadsheet.
  • I/O addresses defined: Places the terminal symbol name into every row where an I/O point is defined from Unity Pro. The defined address from Unity Pro is the topographical address coming from the I/O variable file that contains a value for the address string.
I/O Variable File

Once you select a module node from the tree selection the data relative to the I/O variable file displays for viewing and editing. The path and file name of the I/O variable file created from Unity Pro (.xsy) displays at the top of this section of the dialog box.

I/O variable file grid

Displays a list of the I/O variables found inside of the Unity Pro I/O Variable export file (.xsy). Remains empty if the selected module does not have addresses (such as power supplies and CPUs).

All I/O points for the respective PLC card display in the grid (including the points that are undefined). The total number of I/O points and the order of the data is determined from the topological address in the .xsy file in combination with the PLC definition inside of the AutoCAD Electrical PLC database file (ACE_PLC.MDB).

NoteSingle and multiple row selection is allowed.
  • Address: Displays the address string from the Unity Pro I/O Variable export file. This field is not editable in the dialog box.
  • Description: Displays the comment field string associated to the address from the Unity Pro I/O Variable export file. This field is not editable in the dialog box.
  • Terminal: Defines the placement of a terminal symbol in line with the PLC I/O point. Select the check box to place a terminal symbol in the spreadsheet and drawing file. Since it is not defined in the Unity Pro export files, it must be defined before creating the AutoCAD Electrical import spreadsheet.
  • Symbol Name: Displays the AutoCAD Electrical schematic symbol file name to place in line with the PLC I/O points. If the symbol is not found in the schematic symbol library or the custom string is not mapped to a symbol name in the mapping file, the name displays in red. Right-click in this column to select a file name from the icon menu or to clear the symbol name.

    The symbol name is derived from the value in the Custom field of the Unity Pro data and the symbol file name that it is mapped to in the mapping file.

  • Device Tag: Displays the tag value. If left blank, the normal tagging method for parent components is followed while children components remain untagged. Click in the column to enter a value or right-click to copy, cut, or paste a value into the cell.

Inner terminal symbol

Specifies the symbol name to insert for inner terminals in the spreadsheet. The default symbol name is HT0001 (a terminal that maintains the wire number potential, has a tag strip ID and terminal number, and is square). Click the Select from Icon Menu button to select a terminal to use from the icon menu.

Outer terminal symbol

Specifies the symbol name to insert for outer terminals in the spreadsheet. The default symbol name is HT0001. Click the Select from Icon Menu button to select a terminal to use from the icon menu.

I/O variable grid right-click options

Right-clicking in the I/O variable grid control allows you to edit the file before creating the PLC I/O spreadsheet. Multiple selection is allowed.

Select Symbol | Displays the icon menu for selection of symbol file names. Selecting a symbol file name fills in an empty grid cell or overwrites the existing text in a cell.
Select All | Selects every row in the grid control
Clear All | Removes every row from selection.
Select All Defined I/O | Makes a selection in the grid for the rows that are defined with I/O addresses.
Cut | (single selection only) Cuts the selected value (description, symbol name, or device tag).
Copy | Copies the selected value from one or more grid cells.
Paste | Pastes in the selected value from one or more grids into the selected grids.
Apply Terminal Inner | Selects all inner terminals in the grid.
Apply Terminal Outer | Selects all outer terminals in the grid.
OK + Run

Displays the Save As dialog box where you can quickly save the data to a spreadsheet and start the PLC drawing creation automatically. The Spreadsheet to PLC I/O Utility dialog box then opens with the saved spreadsheet already selected.


Create XML files for export to Unity Pro (Concept)

Create PLC drawings from Unity Pro
Create PLC I/O Drawings from Spreadsheets
Circuits
PLC > Create PLC I/O Drawings from Spreadsheets >
Create XML files for export to Unity Pro
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Unity Pro Export command creates the Unity Pro I/O variable file (.xsy) in the Unity Pro XML format. You can create the file for the active project or active drawing. AutoCAD Electrical suggests naming the XML data file based on whether you select to export for the project or a drawing. The default file name is either “Projectname.xml” or “Drawing filename.xml.”

The Unity Pro export file is generated from the PLC drawings and their respective PLC symbols. To ensure the proper importing and editing of the I/O variable file in Unity Pro, the variable name and variable type are maintained inside of the PLC drawings. Variable names and types are defined inside of Unity Pro and are the required for bidirectional updates.

NoteThese values are maintained on the PLC module. If you delete the module from the drawing, the variable name and type are also removed.

Variable names and types are created for new I/O addresses for import back into Unity Pro. During the AutoCAD Electrical import process, the rest of the addressing is filled in based on the available I/O points on the module. These additional I/O points receive a variable name and type upon import into AutoCAD Electrical.

Variable Name | Takes on the address string as the value.
Variable Type | Takes on the same type as the other defined I/O addresses on the module. If I/O points are not defined on the module then Boolean characters are used.


Export a file in the Unity Pro XML format (Procedure)

Create PLC drawings from Unity Pro
Up a level to ..
Circuit Builder
PLC > Create PLC I/O Drawings from Spreadsheets >
Create XML files for export to Unity Pro
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Export a file in the Unity Pro XML format

The AutoCAD Electrical Unity Pro export file is generated from the PLC drawings and their respective PLC symbols. The variable names and types are maintained on the PLC module so that the file can be imported back into Unity Pro.

  1. Click Import/Export Data tab [image] Export panel [image] Unity Pro. Enter AEUNITYPRO at the command prompt.
  2. In the Unity Pro Export dialog box, select to create an export file (.xsy) for the project or the active drawing and click OK.
  3. If you selected Project, select the drawings to process and click OK.
  4. In the Save As dialog box, specify the file name and click Save.

    By default the file is saved in the My Documents folder. AutoCAD Electrical suggests a file name for the XML export file depending on whether you are creating the file for the project or the active drawing.


Create XML files for export to Unity Pro (Quick Reference)

Create PLC drawings from Unity Pro
Create XML files for export to Unity Pro
Electrical standards database editor
PLC > Create PLC I/O Drawings from Spreadsheets >
Create XML files for export to Unity Pro
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Unity Pro export

This tool creates the Unity Pro I/O variable file (.xsy) in the Unity Pro XML format. The XML file contains the PLC I/O addresses and descriptions for import into the Unity Pro software.

Ribbon: Import/Export Data tab [image] Export panel [image] Unity Pro. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Unity Pro ExportDoes not exist in the menus.
Command entry: AEUNITYPRO

Select whether to create an XML export file for the project or for the active drawing.


Circuits

Create XML files for export to Unity Pro
Circuit Builder
Circuits
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Circuit Builder
  • Use circuitry

    Save circuit to icon menu


Circuit Builder

Circuits
Circuits
Circuit Builder overview
Circuits >
Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Circuit Builder overview
  • Spreadsheet
  • Drawing templates
  • Electrical standards database file
  • Electrical standards database editor

    Electrical standards database editor

  • Use Circuit Builder

  • Recalculate wire size

    Recalculate wire size

  • Reference an existing circuit


Circuit Builder (Procedure)

Create XML files for export to Unity Pro
Circuit Builder
Electrical standards database editor
Circuits >
Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Open and close a table

Copy and paste a table

Delete a table

Edit a table

Insert a 3-phase circuit

Configure a 3-phase circuit

Insert a power feed circuit

Configure a power feed circuit

Configure a dual power feed circuit

Insert a one-line circuit

Configure a one-line circuit

Configure a dual one-line circuit

Recalculating wire size

Reference an existing circuit


Circuit Builder overview

Circuit Builder
Circuit Builder
Spreadsheet
Circuits > Circuit Builder >
Circuit Builder overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Circuit Builder tool comes prepopulated with data to build and annotate a sampling of motor control circuits and power feed circuits. This includes 3-phase, single-phase, and one-line circuit representations. Each circuit is built dynamically, adjusting the power bus to match the wire bus for the drawing, adding wiring between components, and annotating the elements with suggested values based upon the selected load. Each time a circuit is configured, it is added to a history list of circuits. This provides for quick re-insertion at a later time.

The feature is controlled by three things:

  • The spreadsheet defines the available circuits, circuit types, and defaults for each option within a circuit.
  • The template (.dwg file) for a selected circuit defines the wiring and the placement position for the individual components on that wiring.
  • The electrical standards database provides suggested values used to annotate components of the circuit and the wire size and type of the power wiring.

Circuit Builder is customizable. You can add new circuit definitions and edit existing ones.

Workflow

  1. Circuit Builder opens the spreadsheet and reads in the first sheet named “ACE_CIRCS”.
  2. Circuit Builder shows the list of defined circuits in the Circuit Selection dialog box.
  3. Select a circuit to insert or configure. The associated line from the ACE_CIRCS sheet provides the base drawing template name, and the name of a circuit code sheet. This is a separate sheet within the Circuit Builder spreadsheet.
  4. The base drawing template for the circuit inserts at your selected location.
  5. Circuit Builder finds and reads the attributes on all the special marker blocks on the inserted drawing template.
  6. Circuit Builder matches each marker block to a specific section in the circuit codes sheet. This section can be a single spreadsheet row or multiple consecutive rows in the circuit codes sheet. The section identifies one of the following:
    • The action taken at this marker block location in the circuit. For example, calculate a wire type, insert a wire number, or adjust rung spacing.
    • Provides a list of component insertion options that can be inserted at this point in the circuit. For example, presents a selection list containing a fuse, circuit breaker, or disconnect switch symbol.

    Each marker block is processed in sequence, controlled by an ORDER attribute value carried on each marker block

  7. A marker block can trigger a nested template to be inserted into the main circuit template. If the nested template carries its own marker blocks, these are added to the overall list of marker blocks to process. When all marker blocks have been processed, the circuit is complete.
See Also
    • Customize Circuit Builder


Spreadsheet

Circuit Builder overview
Circuit Builder
Drawing templates
Circuits > Circuit Builder >
Spreadsheet
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Circuit Builder spreadsheet, ace_circuit_builder.xls, along with the template drawings that it references, control what is displayed in the Circuit Selection and Circuit Configuration dialog box options. The first sheet in the spreadsheet, ACE_CIRCS, contains the main circuit categories, for example “3ph Motor Circuit”, and types, for example “Horizontal - FVNR - non reversing”. Along with this first sheet are one or more circuit code sheets. These sheets contain the information needed to insert or configure a specific circuit selected from the first sheet.

The ace_circuit_builder.xls circuit builder spreadsheet can be relocated into any of the normal AutoCAD Electrical or AutoCAD support paths.

The default location for the spreadsheet is:

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Support\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Support\

The default spreadsheet name, “ace_circuit_builder.xls”, can be overridden by setting the environment variable, WD_CIRCBUILDER_FNAM, in the wd.env file.

ACE_CIRCS sheet

Circuit Builder reads the list of circuit categories and types from the first sheet in the spreadsheet, ACE_CIRCS. This appears in a tree-structure selection window in the Circuit Selection dialog box. The ACE_CIRCS sheet contains the following columns.

CATEGORY | A major circuit category displayed at the highest level of the tree structure in the Circuit Selection dialog box.
TYPE | The specific type of circuit within a major category. The circuit types appear at the second level of the tree structure.
DWG_TEMPLATE | The drawing template that is inserted when this circuit is selected. A .dwg extension is assumed if it is not present.
SHEET_NAME | The circuit code sheet name that is referenced for the selected circuit template. This circuit code sheet carries the definitions for all of the marker blocks in the selected drawing template and any nested templates.
ANNO_CODE | Code maps to the ANNO_CODE table in the spreadsheet. Allows you to predefine the description, installation, location, and other key information, for the motor or load and the individual components that might be inserted into the circuit.
Circuit code sheets

Once a circuit is selected from the Circuit Selection dialog box (the CATEGORY and TYPE fields from the ACE_CIRC sheet), the associated drawing template is inserted (the DWG_TEMPLATE field), and a related circuit code sheet is ready for reference (the SHEET_NAME field).

The inserted drawing template contains special marker blocks. Each marker block contains a CODE attribute with a value. This CODE value is used to match up with a section in the circuit code sheet. The matching section in the circuit code sheet provides the key information on what action is required at this physical location in the circuit.

Each circuit code sheet contains the following columns.

CODE

Value is matched to the CODE attribute value on the marker block. Each code corresponds to one circuit element in the list or an action/decision that takes place at the insertion point of the marker block.

COMMENTS

Text displayed in the Circuit Elements list in the Circuit Configuration dialog box.

UI_DEF

The default option for a circuit element is marked with an “X”. When a circuit is inserted rather than configured, all elements marked with "X" are used to build the selected circuit.

UI_TITLE

Title for the group of options in the middle Select section of the Circuit Configuration dialog box. Each circuit element may have one or more groups of options. For example, the main disconnecting means might have two groups of options, the disconnecting means itself and an optional auxiliary contact.

This field may also contain a predefined code to bring up a separate dialog instead of driving the middle Select section of the main Circuit Configuration dialog box. There are two pre-defined codes:

  • !MCC_CTRL - invokes the Select Motor dialog box when the Browse button on the Motor Setup section of the Circuit Configuration dialog box is selected. It must be combined with the ace_cb_motor_select API call in the LOOKUP_CMD entry.
  • !PF_CTRL - invokes the Select Load dialog box when the Browse button on the Load Setup section of the Circuit Configuration dialog box is selected. It must be combined with the ace_cb_power_feed_select API call in the LOOKUP_CMD entry.
    NoteInclude the ace_cb_wire_select API call in the LOOKUP_CMD entry to invoke the Wire Size Lookup dialog box when the Browse button in the Wire Setup section of the Circuit Configuration dialog box is selected.

UI_PROMPT_LIST

The text to display in the middle Select section for each option within this group.

UI_VAL

A numerical value assigned to the selection from each group. These numerical values are added up and matched to the value in the UI_SEL column.

NoteThis value must be inserted as a text value in the spreadsheet and not as a number. An apostrophe character in front of the number forces the spreadsheet software to interpret it as a text value. You can also format the cells specifically as text. The text should appear left justified in the cell.

UI_SEL

A numerical value matched to the sum total of the values in the UI_VAL column for each selection made within a group. The COMMAND_LIST value from this row is used to insert the selected options.

NoteThis value must be inserted as a text value in the spreadsheet and not as a number. An apostrophe character in front of the number forces the spreadsheet software to interpret it as a text value. You can also format the cells specifically as text. The text should appear left justified in the cell.

COMMAND_LIST

The command calls to insert the selected options.

NoteThese calls are generally set up using standard AutoLISP format. Multiple calls can be concatenated in the same cell or in subsequent rows of the sheet. If multiple rows are used, the UI_SEL value cell should be repeated. Anything after a semi-colon character is interpreted as a comment

ANNOTATE_LIST

Optional command calls to annotate the circuit element. The ANNOTATE_LIST calls execute after all rows of the COMMAND_LIST calls have executed.

LOOKUP_CMD

Optional command calls to perform the electrical standards database or catalog lookups for the selected circuit element. This controls the right-hand side of the Circuit Configuration dialog.

TABLEn

Optional catalog lookup table name. If the option contains multiple components, such as a disconnect switch and a fuse, there are multiple columns where “n” increments for each component.

TITLEn

The title for the component within the Setup & Annotation section on the Configuration dialog box. If the option contains multiple components, such as a disconnect switch and a fuse, there are multiple columns where “n” increments for each component.

ANNO_CODE sheet

Allows you to predefine the description, installation, location, and other key information for the motor or load and the individual components inserted into the circuit.

ANNO_CODE | Value is matched to the ANNO_CODE value from the ACE_CIRCS sheet.
CODE | Value is matched to the CODE value of the marker block on the circuit template.
ATTRIBUTE | Attribute name on the component inserted at the position of the marker block.
PROMPT | Text prompt displayed in the Annotation Presets dialog box.
DEFAULT | The default value for the attribute if annotation presets are listed or applied. This value can be a text value or an AutoLISP expression that returns a text value.
OPTIONS | Future

How Annotation Presets work

  1. Make a selection from the Circuit Selection dialog box, for example "Horizontal - FVNR - non reversing". This selection has a value in the ANNO_CODE cell, "ANNO_3M".
  2. Circuit Builder finds the group of entries that match up with code "ANNO_3M" in the ANNO_CODE sheet of ace_circuit_builder.xls.
  3. If any matching entries are found, the Special Annotation: Presets section of the Circuit Selection dialog box, is enabled.
  4. If you select Presets and click the Presets List button, the Annotation Presets dialog box displays. The rows displaying the entries with non-blank DEFAULT values are initially marked as Selected.
  5. Edit the attribute values as necessary and click OK.
  6. Select to Insert or Configure the circuit.
  7. Circuit Builder processes each marker block on the circuit template. If the CODE value matches the CODE value from the ANNO_CODE rows, the attribute values marked as Selected in the Annotation Presets dialog box are applied to the target attributes of the inserted component. If a target attribute is not found, the value is inserted as an Xdata value.


Drawing templates

Spreadsheet
Circuit Builder
Electrical standards database file
Circuits > Circuit Builder >
Drawing templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Each circuit starts with a main drawing template. These main circuit template drawings are named “ace_cb1*.dwg”. Branching or nested circuit drawing templates are named “ace_cb2*.dwg”. A branching circuit is a circuit inserted as an option on to the main circuit, for example a control transformer circuit or a power factor correction circuit.

The circuit drawing templates use the following naming convention.

  • ace_cb1_*.dwg - primary circuit drawing templates
  • ace_cb2_*.dwg - branching or nested circuit drawing templates

The default location for the circuit drawing templates is the schematic library folder:

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Libs\{library}\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Libs\{library}\

One-line template drawings have a “1-” suffix. The default location is in a “1-” folder under the schematic library folder.

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Libs\{library}\1-
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Libs\{library}\1-
NoteThis template drawing naming convention is recommended but is not required for Circuit Builder to function.

A circuit template contains the wiring framework for the circuit and special marker blocks. These marker blocks are nothing more than instances of a standard AutoCAD block, ace_cb_marker_block, carrying three attributes. These marker blocks tell Circuit Builder that some action or decision is required at the insertion point of the marker block. The action can be:

  • Insert a component.
  • Insert a multi-pole component.
  • Make a wire type assignment to the underlying wire.
  • Insert a wire number on the underlying wire.
  • Decide if a branching circuit is needed.
  • Decide if an underlying wire should be stretched and connect to a nearby power bus.
  • Decide if underlying wire bus spacing should be adjusted.
  • Decide if an underlying wire should be trimmed.
  • Set up the circuit annotation.
NoteIf you choose to Insert a circuit, bypassing the Circuit Configuration dialog box, the default options, as defined in the Spreadsheet, for each circuit element are used.
Marker block attributes

CODE

This attribute value provides the link between the marker block on the circuit template drawing and a section in the circuit codes sheet. The value on this attribute matches with the CODE column value in the circuit codes sheet for the selected template.

ORDER

This attribute value controls the sequence of circuit element display and insertion within the circuit. Marker blocks are processed in order, from low to high. Assigning the same order value to multiple marker blocks links multiple marker blocks together that should be processed as a group. For example, to adjust the spacing between multiple wires of a 3-phase bus there are three marker blocks with a common CODE value and a common ORDER value. The ORDER value can be an integer or a decimal number value. Support for decimal number order values makes it easy to add a marker block between two others without having to reorder everything.

MISC1

This attribute value contains miscellaneous annotation values, actions, and flags. Annotation values are in the format <attribute name>=<attribute value>. Actions might include embedded AutoLISP expressions or programs. Flags are key words that include enabling child contacts to link to parents and overriding multi-pole build directions.

Flag codes include the following

  • _TAGFMT=<value> - override the drawing property component tag format or wire number format setting for this one instance.
  • _PRETAG=<value> - predefine a default alias tag for parent child linking. This can be used for situations when the child component is inserted before the parent. The marker block for the child contact might have "_PRETAG=MR". When the parent coil is inserted, its marker block also has "_PRETAG=MR". As the circuit completes, the actual tag value of the parent annotates on to the child contact. This is based upon the matching "MR" alias assigned to each.
  • _WIRENO=<value> - predefine a fixed wire number.
  • WIRENUMBERS=0 - if a required wire type does not exist, create it and mark it as No Wire Numbering. If a required wire type does not exist and this flag is missing or has a value of 1, create it and mark it as Wire Numbering.
  • _WIRETYPE=<value> - predefine the wire type layer name.
  • _WIRESKIP=<value> - number of wires to skip over when trying to connect to another wire.
  • _MAXTRAPCOUNT=<value> - maximum search distance to look for a wire connection, given in wire connection trap units. The wire connection trap value is fixed and is displayed on the Drawing properties: drawing format tab for the active drawing.
  • _BASE - indicates a base wire, the one that does not move, when setting up to adjust multiple bus wire spacing. If not defined, the wire that is co-linear with the insertion point of the template becomes the default base wire.
  • _L =<value>- each sublist, delimited by "|" characters, can predefine attribute values for individual poles of a multi-pole component, set of terminals, or set of cable markers.
  • _D=<value> - define the build direction override for a multi-pole component. 1=build right, 2=build up, 4=build left, 8=build down. Without an override, the build direction is down for horizontal inserts, and from left to right for vertical inserts.
  • X=<value or AutoLISP expression> - reposition the marker block in the "X" direction. For example, "_X=(* 0.5 DIST01)" means adjust the position of this marker block in the X direction by an amount equal to 0.5 times the bus spacing distance defined by marker block with a CODE attribute value of "DIST01". This example might be used to position a marker block for a single phase motor insertion point, halfway between two power bus wires.
  • _Y=<value or AutoLISP expression> - reposition the marker block in the "Y" direction.
NoteThe flags defined in the circuit drawing marker blocks override any spreadsheet settings.
Marker block functions

All marker blocks have the same block name, ace_cb_marker_block, but can have a wide variety of functions. The specific function assigned to a marker is based on its CODE attribute value and what this code value maps back to in the circuit code sheet for the circuit template. Here are the categories of marker block functions:

Setup | Blocks that define the circuit properties, such as motor selection.
Wire Type | Blocks that define the wire type layers layer to assign to the wire network under the block.
Wire Number | Blocks that define a wire number to assign to the wire under the block.
Nested Circuit | Blocks that define the placement of a branching or nested circuit such as a control circuit at the insertion point of the marker block.
Component | Blocks that define the placement of a component, connector, terminal, cable marker, or a multi-pole component at the insertion point of the marker block.
Bus Spacing | Blocks that control rung spacing adjustment for the wires under these blocks. Blocks that are to be processed as a group must carry common CODE and ORDER attribute values.
Wire Connections | Blocks that control stretching a wire segment to connect to another wire.
NoteThe name of the marker block cannot be changed. The Circuit Builder command only processes marker blocks named "ace_cb_marker_block".
One-line circuit templates

One-line circuit templates use the same marker block concept as three-phase motor and power feed circuit templates. However, there are a few differences. There is a single line wire that represents a multi-wire bus. Most of the one-line circuit templates contain a special "bus-tap" symbol.

The bus-tap symbol can have two functions:

  • Provide an anchor point for the one-line circuit representation that begins at this point.
  • Break into the one-line bus where the circuit connects.

On a dual circuit one-line template, there are three of these. One at the normal point where the circuit ties into the bus. There is another version of the symbol on each of the two circuit "legs", each marking the point where that part of the dual circuit starts. These bus-tap symbols allow various reports to accurately report on a one-line circuit, whether a single circuit or a dual circuit representation.

The following bus-tap symbols are supplied:

  • HDV1_BT_1-.dwg - with “dot” for horizontal one-line circuit
  • VDV1_BT_1-.dwg - with “dot” for vertical one-line circuit
  • HDV1_BTT_1-.dwg - “tee” connection for dual horizontal circuit
  • VDV1_BTT_1-.dwg - “tee” connection for dual vertical circuit
  • HDV1_BTL_1-.dwg - “corner” connection for dual horizontal circuit
  • VDV1_BTL_1-.dwg - “corner” connection for dual vertical circuit
NoteA bus-tap symbol is identified by a WDTYPE attribute with a “1-1” value.


Electrical standards database file

Drawing templates
Circuit Builder
Electrical standards database editor
Circuits > Circuit Builder >
Electrical standards database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Circuit Builder uses an electrical standards database to define default values, define engineering calculations, annotate circuits, and provide wire size recommendations. The electrical standards database, ace_electrical_standards.mdb, is located in the catalog folder. The default location is:

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs\
  • Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs\

Sizing and wire type values are based on information from the electrical standards database. Circuit Builder looks for a match on the motor size, supply voltage, and phase. On a match, Circuit Builder provides the Full Load Amp value, recommended motor power conductor size, and suggested rating values for various branch circuit protection elements such as circuit breakers, fuses, and disconnect switches.

The electrical standards database also allows Circuit Builder to provide engineering estimates and “green” calculations in the area of power conductor size versus energy losses. Designing to meet minimum code requirements can conflict with green design. For example, designing to the minimum conductor size for a given load may provide short-term savings on material cost but run up longer-term expense due to higher heating loses in the wiring. Over the life of the installation, the energy lost in heating up the minimum-sized wiring, instead of reaching the load to do useful work, could be substantial.

During wiring sizing, Circuit Builder displays not only a list of the valid wire sizes meeting the ampacity requirements of the load, but also a list of the estimated maximum energy loss cost for each wire size. This set of calculations allows you to make better green design decisions. For example, you might want to oversize the conductors for a motor to reduce conductor heating losses. This results in a higher initial cost, material and installation labor, which is recovered many times over in reduced energy losses in the wiring during the life of the installation.

NoteThe ace_electrical_standards.mdb file replaces the mcc.mdb file used in previous versions of Circuit Builder.

The electrical standards database contains multiple tables used by Circuit Builder.

MOTOR | Contains the values used to populate the Select Motor dialog box.
FEED | Contains the values used to populate the Select Load dialog box. This table name can have an optional suffix to relate it to a specific electrical standards code.
OPT | Options tables contain values defining defaults and options lists specific to an electrical standard. For example, default to copper wiring, AWG size standard, and feet for conductor length units.
AMP_{wire type}_{wire size standard} | Wire ampacity tables contain the ampacity ratings for different conductor sizes and insulation temperature ratings.
AMPG_{wire type}_{wire size standard} | Grounding conductor sizing tables contain the maximum ampacity ratings for different grounding conductor sizes. This information is used to retrieve the minimum grounding conductor size and provide a selection list of larger sizes.
INSUL_{wire type}_{wire size standard} | Wire insulation tables lists the insulation types, the maximum temperature rating for each, and de-rating factors for each based on a series of temperatures.
XL&R_{wire type}_{wire size standard} | Conductor Reactance/AC Resistance tables contain values used to estimate single-phase and three-phase voltage drop values.
XL&R_DESC | Conduit/raceway descriptions list used in conjunction with the XL&R_{wire type}_{wire size standard} tables.
FILL | Fill tables contain the ampacity de-rating factors used when there is more than one current carrying conductor (power wiring, not ground, neutral, or control wires) in the same conduit, duct, or raceway.
MOTOR_I_DESC | Lists the component type descriptions whose sizing ties directly into the full load amps value (FLA) of the motor or load. The CODE value maps to the MOTOR_I_CALC and MOTOR_I_MAP tables.
MOTOR_I_CALC | Lists the formula to calculate the maximum amp value for various types of components on a per motor type basis.
MOTOR_I_MAP | Maps the calculated FLA for a component to a specific rating value and an optional catalog assignment.
NoteEach table name can have an optional suffix to relate it to a specific electrical standards code.
Motor table

The data in the Motor table is used to populate the Select Motor dialog box. The selection list can be filtered by type, voltage, and frequency. The load and FLA values for the selected motor are passed back to the Circuit Configuration dialog box and are used in wire size calculations. The values are also used to calculate breaker size, fuse size, and disconnect switch rating, for the selected motor.

The MOTOR table follows this table naming convention:

  • MOTOR - the default table name to use if no specific electrical standards table is found.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed MOTOR table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.
Feed table

The data in the Feed table is used to populate the Select Load dialog box. The selection list can be filtered by type, voltage, and frequency. The load and FLA values for the selected feed are passed back to the Circuit Configuration dialog box and are used in wire size calculations. The values are also used to calculate breaker size, fuse size, and disconnect switch rating, for the selected load.

The FEED table follows this table naming convention:

  • FEED - the default table name to use if no specific electrical standards table is found
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed FEED table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.
Options tables

Options tables contain values defining defaults and options lists specific to an electrical standard. For example, default to copper wiring, AWG size standard, and feet for conductor length units.

The OPT table follows this table naming convention:

  • OPT - default table name to use if no specific electrical standards table is found.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed OPT table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

Name

Description

FLA_MULT

Default full load amps multiplier value used to determine a maximum load. For example, the full load amps for a motor is rated at 10 amps and the FLA_MULT default is set to 1.25. The minimum wire size calculation for the wiring for the motor is based upon an ampacity rating of not 10 amps but 12.5 amps (10 amps x 1.25).

The FLA_MULT factor displays in the Select Motor and Wire Size Lookup dialog boxes.

C_LOAD

Continuous load correction factor for wire size ampacity de-rating. If the electrical load is anticipated to be classified as a continuous load, a default de-rating factor can be automatically applied to the wire size ampacity calculation.

For example, a given electrical code defines the Continuous load correction factor at a value of 0.8. This means that a given wire size that normally has a maximum rated ampacity value of 20 amps should be de-rated to a maximum ampacity of 16 amps when the wiring is to power a motor that is expected to be a continuous load. The wire size calculation may need to select the next larger wire size.

W_METAL

Default wire metal value used to determine appropriate wire ampacity and wire insulation table names. For example, “CU” to define copper wiring as the default, “AL” to define aluminum wiring as the default.

W_STD

Default wire type standard used to determine appropriate wire ampacity and wire insulation table names. For example, “AWG” or “MM2”.

V_DROP

Maximum allowable % voltage drop in power wiring. This can be used to help calculate an appropriate wire size when the wire run distance is also defined.

W_INSUL

Default insulation type used to determine the ambient temperature correction factor.

LEN_LIST

Wire run distance values for pick list in the Wire Size Lookup dialog box. The run distance is used for estimated voltage drop calculations in the motor or load power wiring.

LEN_UNITS

Run distance units for power conductors and values for units pick list in the Wire Size Lookup dialog box. Run distance is used in the estimated voltage drop calculation. Units are either "FT" for feet or "M" for meters.

KWH_COST

Unit cost per kWh. This value is used for estimating a maximum annual cost of energy loss in the power wiring for a motor or load, assuming a continuous full load.

KWH_COST_UNITS

KWh cost units character used in the Wire Size Lookup dialog box showing the wire loss estimates. For example, “$” for dollar, “€” for euro.

SHORTNAME

The code for the electrical standards name for this table. This code is saved in the project .wdp file when the standard is applied to a project.

FULLNAME

The full name of the electrical standards name for this table. This value extracted from all the OPT tables provide the values for the pick list when setting an Electrical Code Standard for a project from the Project properties: project settings tab.

LEN_UNITS

Run distance units for power conductors and values for units pick list in the Wire Size Lookup dialog box. Run distance is used in the voltage drop calculation.

VOLTS

Default supply voltage value and values for voltage pick list in the Wire Size Lookup dialog box.

PHASE

Default supply phase value and values for phase pick list in the Wire Size Lookup dialog box. For example, “1” for single-phase, “3” for three-phase.

PARALLEL_MIN_SIZE

Default value for the minimum wire size when displaying paralleled wire option in the Wire Size Lookup dialog box. For example, “1-0 AWG”.

PARALLEL_MAX_CNT

Default value for the maximum number of wire conductors when displaying paralleled wire option in the Wire Size Lookup dialog box. For example, “4” for up to four paralleled wires per phase.

T_AMBIENT

Default ambient temperature correction factor. This value is used in wire type sizing. It must match up with one of the temperature de-rating column labels found in the INSUL_* tables. For example, “30C”.

M_POWERFACTOR

Default power factor for a motor. This value is used in estimated voltage drop calculations. For example, “0.85”.

F_POWERFACTOR

Default power factor for a power feed. This value is used in estimated voltage drop calculations. For example, “0.85”.

AMPG_MAX

Defines the expression to calculate the minimum grounding conductor ampacity size. The “I” in the expression represents the motor or load full load amps (FLA). The result of the expression is then applied to the appropriate AMPG table to determine the minimum grounding conductor size.

Wire ampacity tables

The wire ampacity tables provide the wire conductor sizes, descriptions, and maximum FLA ampacity values based on wire size and standard insulation temperature ratings. This information is used in the following ways:

  • Automatically select a default wire size based upon the maximum load amp value displayed in the Select Motor or Select Load dialog boxes.
  • Automatically calculate or recalculate suggested wire sizes in the Wire Size Lookup dialog box as various parameters and de-rating factors are applied.

The wire ampacity tables use the following naming convention:

  • AMP - the table name prefix.
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named AMP_CU_AWG_NEC contains the wire ampacity information for copper, AWG sizes, and parallels what is found in the National Electrical Code.

Name | Description
SIZE | Wire size code. This value can be automatically pushed into a wire type layer name. For example, “12”, “250KCMIL”.
SIZE_DESC | Wire size description shown on the Wire Size Lookup dialog box. For example, “12 AWG”, “250 KCMIL”.
CIRC_MIL | Imperial cross-section value for the wire conductor size.
60C, 75C, 90C | Maximum ampacity rating values for the wire conductor size for each of these standard ambient temperature ratings. Additional columns can be added or an existing column can be deleted. For example, if 90C is not supported by local electrical codes, this field can be removed from the table and will not show up as an option in the Wire Size Lookup dialog box.

Grounding conductor sizing tables

The grounding conductor sizing tables provide the grounding wire conductor sizes and maximum FLA ampacity values. This information is used in the following ways:

  • Provide a suggested minimum grounding conductor size based on the amp value returned by the expression defined in the AMPG_MAX entry in the OPT table.
  • Provide a selection list on the Wire Size Lookup dialog box giving this minimum suggested size plus all larger grounding conductor sizes.

The grounding conductor sizing tables use the following naming convention:

  • AMPG - the table name prefix
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named AMPG_CU_AWG_NEC contains the grounding conductor sizing information for copper, AWG sizes, and parallels values found in the National Electrical Code.

Name | Description
SIZE | Wire size code. This value can be automatically pushed into a wire type layer name for the ground wire. For example, “12”, “250KCMIL”.
SIZE_DESC | Wire size description shown on the Wire Size Lookup dialog box. For example, “12 AWG”, “250 KCMIL”.
MAX | Maximum amp value associated to this grounding wire size. The value comes from the result of the expression held in the AMPG_MAX entry of the OPT table.
Wire insulation tables

The wire insulation tables provide the option to de-rate wire conductor ampacity based upon expected maximum ambient temperature.

  • Automatically select a default wire size based upon the maximum load amp value, displayed in the Select Motor or Select Load dialog boxes, and the default insulation type and ambient temperature rating defined in the W_INSUL and T_AMBIENT entries of the OPT table.
  • Automatically calculate or recalculate suggested wire sizes in the Wire Size Lookup dialog box as various insulation and temperature de-rating factors are applied.

The wire insulation tables use the following naming convention:

  • INSUL - the table name prefix.
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named INSUL_CU_AWG_NEC contains the wire insulation information for copper, AWG sizes, and parallels values found in the National Electrical Code.

Name | Description
INSUL | Insulation type code.
INSUL_DESC | Insulation type description shown on the Wire Size Lookup dialog box.
TEMP | Standard, maximum temperature rating for the insulation type.
25C-80C | A series of wire conductor ampacity de-rating factor values for maximum ambient temperature. Columns may be added or deleted. For example, if 30C is the minimum ambient temperature rating, the 25C column can be removed.

Conductor Reactance / AC Resistance tables

The optional conductor reactance/AC resistance tables provide the reactance and resistance values for wire size based on conduit type. These values are used to calculate the voltage drop percentage in power wiring when a run distance is supplied.

There are two types of tables for this feature. A conduit type description table and the reactance/resistance data tables.

Conduit type description table

The description table, XL&R_DESC, contains the labels used on the Wire Size Lookup dialog box for the conduit or raceway type selection list and map to the columns in the data tables.

Data tables

The conductor reactance/AC resistance data tables use the following naming convention:

  • XL&R - the table name prefix
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named XL&R_CU_AWG_NEC contains the conductor reactance/AC resistance information for copper, AWG sizes, and parallels values found in the National Electrical Code.

Name

Description

SIZE

Wire size code.

C1-C3

A set of reactance and resistance values, semi-colon delimited for the conduit type. The first element is the estimated reactance and the second element is the AC resistance.

Notesee the XL&R_DESC table for the corresponding label for each. Data for additional conduit/raceway types can be added to this table with a corresponding entry added to the XL&R_DESC table.

NoteSee Wire Size Lookup for the voltage drop calculation.
Fill tables

When multiple current carrying wire conductors are in the same conduit, duct, or raceway, the wire ampacity may need to be de-rated. Current carrying wire conductors are defined as power wiring, not ground, neutral, or control wires. The Fill table provides the de-rating factor based on the maximum number of power wire conductors.

The FILL table follows this naming convention:

  • FILL - the table name prefix.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed FILL table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

MOTOR_I* tables

A set of three tables that contain values used for calculating suggested breaker size, fuse size, and disconnect switch ratings for a given motor or load amp value. Each table name can have an optional suffix to relate it to a specific electrical standards code such as “_NEC” for National Electrical Code.

MOTOR_I_DESC

Lists the component type descriptions whose sizing ties directly into the full load amps value (FLA) of the motor or load. The CODE value maps to the MOTOR_I_CALC and MOTOR_I_MAP tables.

MOTOR_I_CALC

Lists the formula to calculate the maximum amp value for various types of components on a per motor type basis. Each row gives a motor type followed by columns marked with the codes given in the MOTOR_I_DESC table. Each cell contains an expression to calculate a FLA value. The FLA value for the selected motor corresponds to the symbol "I" in the expression.

Valid operations are +-*/^. The “^” character is the exponential function. For example, I^2 is I squared, while I^0.5 is the square root of I.

If-then-else statements are supported including one level of nested statements. For example,

  • (if (I > 400) then (I * 8) else (I * 11)) - the calculated amp value is eight times FLA current for 0-400 amps and 11 times for greater than FLA of 400 amps. One level of nesting is supported.
  • (if (I >= 9.0) then (I * 1.25) else if (I < 2.0) then (I * 3.0) else (I * 1.67) - the calculated value is set to (I * 1.67) if I is less than 9 but greater or equal to 2.0 amps. If I is less than 2.0 amps the calculated value is (I * 3.0), and if greater than or equal to 9.0 amps, it is (I * 1.25).

Valid Boolean operations are >, <. >=. <=, =.

MOTOR_I_MAP

Maps the calculated FLA for a component to a specific rating value and an optional catalog assignment. The rating value is annotated to the symbol using the API call c:ace_cb_anno2 in the circuit builder spreadsheet.

The optional catalog assignment is defined in the Default field. Use the following format:

MFG={manufacturer};CAT={catalog};ASSYCODE={assembly code}

If the ASSYCODE value is not needed, use the format:

MFG={manufacturer};CAT={catalog}

CATALOGSEL table

Circuit Builder uses the CATALOGSEL table to save the catalog selections made for the motor and other components. The catalog information is saved based on the motor size. If this same motor size is used later on another circuit, these previous catalog selections become the default values when they match up with the configured selections. For example, if the previous circuit was configured with a 10HP motor with time-delay fuses, and a 10HP motor with time-delay fuses is selected for the new circuit, the previously used catalog selection appears as the default.

If the circuit is configured using the Reference an existing circuit feature, the values are not used from the CATALOGSEL table but from the referenced circuit. However, if a new motor is then selected from the Select Motor dialog box, the CATALOGSEL tables values are checked for a match.


Electrical standards database editor (Concept)

Electrical standards database file
Circuit Builder
Use Circuit Builder
Circuits > Circuit Builder >
Electrical standards database editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The electrical standards database editor provides these basic functions to modify the electrical standards database file.

  • Open a table
  • Copy and paste a table
  • Delete a table
  • Edit the contents of a table

For additional capabilities, use Microsoft Access.

See Also
    • Electrical standards database file


Electrical standards database editor (Procedure)

Circuit Builder
Up a level to ..
Electrical standards database editor
Circuits > Circuit Builder >
Electrical standards database editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Open and close a table

Copy and paste a table

Delete a table

Edit a table


Open and close a table (Procedure)

Electrical standards database editor
Up a level to ..
Electrical standards database editor
Circuits > Circuit Builder >
Electrical standards database editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Open and close a table

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Electrical Standards Database Editor. Enter AEDBEDITOR at the command prompt.
  2. Expand the tree list on the left-hand side of the dialog box.
  3. Select the table you want to open.
  4. Right-click and select Open on the context menu.
    NoteYou can also double-click a table name to open it.
  5. To close a table, move the mouse over the tab for the table. An X is displayed. Click the X.
  6. Select Yes to save the changes if prompted.


Copy and paste a table (Procedure)

Electrical standards database editor
Up a level to ..
Electrical standards database editor
Circuits > Circuit Builder >
Electrical standards database editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy and paste a table

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Electrical Standards Database Editor. Enter AEDBEDITOR at the command prompt.
  2. Expand the tree list on the left-hand side of the dialog box.
  3. Select the table you want to copy and paste.
    NoteUse the shift or ctrl keys to select multiple tables.
  4. Right click and select Copy on the context menu.
  5. Right click again and select Paste.

    The Copying Table dialog box displays.

  6. Enter the name for the new table. If multiple tables were selected to copy, enter a name for each table as prompted.

    To paste a table into a different electrical standard, add the appropriate suffix to the table name. For example, if you want to paste the default OPT table to the NEC standard, enter the name OPT_NEC. If the NEC standard does not exist in the database file, it is created.

NoteSee Electrical standards database file for table naming rules.


Delete a table (Procedure)

Electrical standards database editor
Up a level to ..
Electrical standards database editor
Circuits > Circuit Builder >
Electrical standards database editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Delete a table

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Electrical Standards Database Editor. Enter AEDBEDITOR at the command prompt.
  2. Expand the tree list on the left-hand side of the dialog box.
  3. Select the table you want to delete.
    NoteUse the shift or ctrl keys to select multiple tables.
  4. Right click and select Delete on the context menu.

    The Delete Tables task dialog displays.

  5. Click Yes.
NoteThis change is written to the database file immediately and cannot be canceled or undone.


Edit a table (Procedure)

Electrical standards database editor
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Electrical standards database editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit a table

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Electrical Standards Database Editor. Enter AEDBEDITOR at the command prompt.
  2. Expand the tree list on the left-hand side of the dialog box.
  3. Select the table you want to open.
  4. Right-click and select Open on the context menu.
NoteYou can also double-click a table name to open it.
Edit contents
  1. Click the cell to edit and type to overwrite the contents.

    Double-click the cell to edit the contents.

  2. Click Save.
Add a record
  1. Click to the left of a row to highlight a row.
  2. Right-click to display the context menu.
  3. Click Add New Record.

    The new record is added at the end of the table.

  4. Enter values in each cell of the new row.
  5. Click Save.
Delete a record
  1. Click to the left of a row to highlight a row.
  2. Right-click to display the context menu.
  3. Click Delete Record.
  4. Click Save.
Copy and paste
  1. Click to the left of a row to highlight a row.
  2. Right-click to display the context menu.
  3. Click Copy.

    The contents of the row are placed in memory.

  4. Right-click to display the context menu.
  5. Click Paste.

    The copied record is added at the end of the table.

  6. Edit the contents of the cells.
  7. Click Save.
Add a column
  1. Click a column label.
  2. Right-click to display the context menu.
  3. Click Insert Column.

    The Insert Column dialog box displays.

  4. Enter a name for the column.
  5. Select the column type, Text, or Number.
  6. Click OK.

    The column is added at the end.

  7. Enter the cell values.
  8. Click Save.
NoteColumns can only be added to the AMP, INSUL, MOTOR_I_CALC, and XL&R tables.
Delete a column
  1. Click a column label.
  2. Right-click to display the context menu.
  3. Click Delete Column.

    The Delete Column task dialog displays.

  4. Click Yes.
    NoteThis change is written to the database file immediately and cannot be canceled or undone.
NoteColumns can only be deleted from the AMP, INSUL, MOTOR_I_CALC, and XL&R tables.
Sorting
  1. Double-click a column to sort by the contents of that column.
NoteSorting is temporary and is not saved to the file.


Electrical standards database editor (Quick Reference)

Create XML files for export to Unity Pro
Electrical standards database editor
Use Circuit Builder
Circuits > Circuit Builder >
Electrical standards database editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Electrical standards database editor

Edits the electrical standards database file.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Electrical Standards Database Editor. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Extras [image] Electrical Standards Database EditorDoes not exist in the menus.
Command entry: AEDBEDITOR

Tree structure

The left-hand side lists the existing tables in a tree structure. The highest level is separated by electrical standard as defined by the table suffix. Any tables without a suffix are listed under Default. A right-click context menu is available for the following functions.

Open | Select a table, right-click, and select Open. Double-click the table name to open.
Delete | Select a table, right-click, and select Delete. Use the Shift and Ctrl keys to select multiple tables to delete.
Copy | Select a table, right-click, and select Copy. Use the Shift and Ctrl keys to select multiple tables to delete.
Paste | Right-click and select Paste. Enter the new table name. If multiple tables were copied, you are prompted for each table name. Enter a new suffix to create a new electrical standard level.

Table

The right-hand side displays the content of a table for modifying.

Close the table | Move the mouse to the tab for the table. Click the X.
Cut | Click to the left of a row to highlight a row. Right-click and select Cut. Use the Shift and Ctrl keys, or drag the mouse, to select multiple records to cut.
Copy | Click to the left of a row to highlight a row. Right-click and select Copy. Use the Shift and Ctrl keys, or drag the mouse, to select multiple records to copy.
Paste | After cutting or copying, right-click and select Paste. The records are appended to the end of the table.
Add New Record | Right-click to the left of a row and select Add New Record. A blank record is appended to the end of the table.
Delete Record | Click to the left of a row to highlight a row. Right-click and select Delete Record.
Edit contents | Click the cell to edit. Type to overwrite the contents. Double-click the cell to edit the contents.
Insert Column | Place the mouse over a column label. Right-click and select Insert Column. A blank column is appended to the table. NoteColumns can only be added to the AMP, INSUL, MOTOR_I_CALC, and XL&R tables.
Delete Column | Click the column label. Right-click and select Delete Column. NoteColumns can only be deleted from the AMP, INSUL, MOTOR_I_CALC, and XL&R tables.
Sort | Double-click a column label to sort the table by the values in that column. NoteThe sorted order is not saved to the database file.
Save | Select the Save button to save all open and modified tables. Select Save Current to save the current or only open table. Select Save All to save changes on all open tables.
Close | Select the Close button to exit the editor. The Close dialog displays for each open and modified table prompting you to save the changes for that table.


Use Circuit Builder (Concept)

Electrical standards database editor
Circuit Builder
Recalculate wire size
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Circuit Builder tool comes prepopulated with data to build and annotate a sampling of motor control circuits and power feed circuits. It includes three-phase, single-phase, and one-line circuit representations. Each circuit is built dynamically with the following features:

  • Connects to an adjacent power bus.
  • Adds wiring between components.
  • Annotates selected components with suggested values based upon the selected load.

Each time a circuit is configured, it is added to a history list of circuits. This list provides for quick re-insertion at a later time.

You can customize Circuit Builder to insert other circuit types.

One-line motor control

Circuit Build supplies and uses a one-line symbol library when building a one-line circuit. Each one-line symbol has a WDTYPE attribute with a value of “1-” or “1-1”. The WDTYPE attribute value distinguishes the one-line symbol from a schematic symbol. A schematic symbol either has no WDTYPE attribute or a blank WDTYPE attribute value. One-line symbols follow the same symbol naming conventions and have the same attribute requirements as schematic symbols with a few attribute exceptions.

Attribute

Description

WDTYPE

The attribute must be present and carry a value of “1-” to indicate it is a one-line symbol, or “1-1” for the one-line bus-tap symbols. A bus-tap symbol is used to mark the beginning of a one-line circuit. Schematic symbols do not carry this attribute or have the attribute but with a blank value.

RATING1

Omitted from one-line cable markers symbols since a one-line cable marker can represent multiple conductors, multiple wires, or core color assignments.

TERM01

Omitted from one-line terminal symbols since a one-line terminal can represent multiple independent terminals.

If a TERM01 attribute is added to a one-line symbol and carries a non-blank value, it can be edited in the Insert/Edit Terminal Symbol dialog box. However, terminal number text on one-line terminal symbols are not linked back to terminal number assignments on schematic or panel terminal representations.

NoteOne-line terminals are not processed by Terminal Strip Editor.


Use Circuit Builder (Procedure)

Electrical standards database editor
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a 3-phase circuit

Configure a 3-phase circuit

Insert a power feed circuit

Configure a power feed circuit

Configure a dual power feed circuit

Insert a one-line circuit

Configure a one-line circuit

Configure a dual one-line circuit


Use Circuit Builder (Quick Reference)

Electrical standards database editor
Use Circuit Builder
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Circuit Selection

Annotation Presets

Circuit Configuration

Select Motor

Select Load

Wire Size Lookup


Insert a 3-phase circuit (Procedure)

Use Circuit Builder
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a 3-phase circuit

Builds a circuit based on your selection from a list of available circuits and circuit elements.

The circuit builds dynamically and matches the rung spacing, adds wiring between components, and can annotate the circuit with calculated values based upon the assigned load amperage of the circuit. Circuit Builder extracts these annotation values from a database based on engineering standards, motor horsepower, and supply voltage.

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the circuit from the Circuits list. For example:

    Circuits: 3ph Motor Circuit, Horizontal - FVNR - non reversing

    NoteYou can also select History to display the list of previously configured circuits.

    A circuit inserted from the Circuits list contains all default circuit elements as defined in the circuit template and circuit builder spreadsheet. See Set circuit element defaults to change the default circuit setup.

    A circuit inserted from the History list contains all circuit elements and values of the previously configured circuit.

  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template drawing.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Enter a Horizontal Rung Spacing.
  6. (Optional) Enter a Vertical Rung Spacing.
  7. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project. The state of the Retag new components check box controls the retagging of the components within the new circuit. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  8. Select Insert.
  9. Select an insertion point location on the drawing.


Configure a 3-phase circuit (Procedure)

Use Circuit Builder
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure a 3-phase circuit

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the circuit from the Circuits list. For example:

    Circuits: 3ph Motor Circuit, Horizontal - FVNR - non reversing

    NoteYou can also select History to display the list of previously inserted circuits.
  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Enter a Horizontal Rung Spacing.
  6. (Optional) Enter a Vertical Rung Spacing.
  7. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project. The state of the Retag new components check box controls the retagging of the components within the new circuit. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  8. Select Configure.
  9. Select an insertion point location on the drawing. The template drawing for the selected circuit is inserted at the specified location. The template drawing contains marker blocks. Each block is marked with a code value that links to instructions for either inserting a component, wire number, or adjusting the wiring of the circuit.

    The dialog box has three sections, Circuit Elements, Select, and Setup & Annotations. The options differ depending on the circuit and circuit element selected.

  10. Select a circuit element, for example:

    Circuit Elements: Motor Setup

  11. Click the Motor Setup Browse button to display the Select Motor dialog box. This dialog box is where you select the motor and horsepower or KW size from the electrical standards database. For other components, the Catalog lookup dialog box displays. You can also type in values for each entry.
  12. Click the Wire Setup Browse button to display the Wire Size Lookup dialog box. This dialog box is where you select or adjust the wire size based on an analysis of the load and various installation parameters. You can also type in values for each entry.
  13. Select a circuit element, for example:

    Circuit Elements: Disconnecting means

    The options for this circuit element, defined in the circuit builder spreadsheet, are displayed in the Select section.

  14. Select the options for this circuit element, for example:

    Main Disconnect: Circuit breaker

    Include N.O. auxiliary contact: Yes

  15. (Optional) Modify values in the Setup & Annotations section for the selected circuit element.
    NoteDepending upon how this circuit element is set up in the circuit builder spreadsheet, this section may not be available for circuit element modification.

    Select the Browse button to make a part number assignment from the Catalog lookup dialog box. The “TABLE” entry defines the catalog lookup table for the component in the circuit builder spreadsheet. You can also type in values for each entry.

  16. Repeat to configure each circuit element.
  17. (Optional) Enter a name for the circuit. This name is added to the History list on the Circuit Selection dialog box and makes it easier to find this same circuit for future re-insertion.
  18. Select from one of three ways to insert the circuit elements.

    Click to insert just the highlighted circuit element.

    Click to insert all the circuit elements up to and including the highlighted circuit element.

    Click to insert all the circuit elements.

    NoteIf the circuit contains a nested template, the circuit elements tree structure may expand when the nested circuit is inserted into the overall circuit. You may need to go back and configure the circuit elements that are part of the nested template.
  19. Select Done. The circuit is finalized by:
    • Remaining untagged child components are matched up with parent components and tags are assigned.
    • The selection information for the circuit is applied to the main component of the circuit, for example the motor or load symbol.
    • The remaining marker blocks are removed from the circuit template for any circuit elements not inserted.
NoteThe Circuit Elements list is built dynamically based on the template for the selected circuit. As the circuit elements are inserted, if the element contains a nested circuit, the circuit element becomes expandable so you can configure the nested circuit elements.


Insert a power feed circuit (Procedure)

Use Circuit Builder
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a power feed circuit

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the power feed circuit. For example:

    Circuits: 3ph Power Feed, Horizontal - Single feed

    NoteYou can also select History to display the list of previously inserted circuits.

    A circuit inserted from the Circuits list contains all default circuit elements as defined in the circuit template and circuit builder spreadsheet. See Customize Circuit Builder to change the default circuit setup.

    A circuit inserted from the History list contains all circuit elements and values of the previously inserted circuit.

  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Enter a Horizontal Rung Spacing.
  6. (Optional) Enter a Vertical Rung Spacing.
  7. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project. The state of the Retag new components check box controls the retagging of the components within the new circuit. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  8. Select Insert.
  9. Select an insertion point location on the drawing.


Configure a power feed circuit (Procedure)

Use Circuit Builder
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure a power feed circuit

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the circuit from the Circuits list. For example:

    Circuits: 3ph Power Feed, Horizontal - Single feed.

    NoteYou can also select History to display the list of previously inserted circuits.
  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Enter a Horizontal Rung Spacing.
  6. (Optional) Enter a Vertical Rung Spacing.
  7. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project. The state of the Retag new components check box controls the retagging of the components within the new circuit. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  8. Select Configure.
  9. Select an insertion point location on the drawing. The template drawing for the power feed is inserted at the specified location. The template drawing contains marker blocks, with instructions for building the circuit, and the circuit wiring.

    The dialog box has three sections, Circuit Elements, Select, and Setup & Annotations. The options differ depending on the circuit selected.

  10. Select a circuit element, for example:

    Circuit Elements: Load

    The options for this circuit element, driven from the circuit builder spreadsheet, are displayed in the Select section.

  11. Select the option for this circuit element, for example:

    Load: Generic box

  12. Select another circuit element, for example:

    Circuit Elements: Load Setup

  13. Click the Load Setup Browse button to display the Select Load dialog box. This dialog box is where you select the load from the electrical standards database. For other components, the Catalog lookup dialog box displays. You can also type in values for each entry.
  14. Click the Wire Setup Browse button to display the Wire Size Lookup dialog box. This dialog box is where you select or adjust the wire size based on an analysis of the load and various installation parameters. You can also type in values for each entry.
  15. Repeat to configure each circuit element.
  16. (Optional) Enter a name for the circuit. This name is added to the History list on the Circuit Selection dialog box and makes it easier to find for future re-insertion.
  17. Select from one of three ways to insert the circuit elements.

    Click to insert just the highlighted circuit element.

    Click to insert all the circuit elements up to and including the highlighted circuit element.

    Click to insert all the circuit elements.

    NoteIf the circuit contains a nested template, go back and configure the circuit elements in the nested template.
  18. Select Done. The circuit is finalized by:
    • Remaining untagged child components are matched up with parent components and tags are assigned.
    • The selection information for the circuit is applied to the main component of the circuit.
    • The remaining marker blocks are removed from the circuit template for any circuit elements not inserted.


Configure a dual power feed circuit (Procedure)

Use Circuit Builder
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure a dual power feed circuit

A dual power feed circuit has two distinct circuits running off the same bus-tap. Each circuit can be independently configured.

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the circuit from the Circuits list. For example:

    Circuits: 3ph Power Feed, Horizontal - Dual feed.

    NoteYou can also select History to display the list of previously inserted circuits.
  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Enter a Horizontal Rung Spacing.
  6. (Optional) Enter a Vertical Rung Spacing.
  7. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project. The Retag new components check box controls the retagging of the components. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  8. Select Configure.
  9. Select an insertion point location on the drawing. The template drawing for the dual power feed is inserted at the specified location. The template drawing contains marker blocks, with instructions for building the circuit, and the circuit wiring.

    The dialog box has three sections, Circuit Elements, Select, and Setup & Annotations. The options differ depending on the circuit selected.

    NoteThe circuit elements with a “(2)” prefix make up the second circuit.
  10. Select a circuit element, for example:

    Circuit Elements: Load

    The options for this circuit element, driven from the circuit builder spreadsheet, are displayed in the Select section.

  11. Select the option for this circuit element, for example:

    Load: Generic box

  12. Select another circuit element, for example:

    Circuit Elements: Load Setup

  13. Click the Load Setup Browse button to display the Select Load dialog box. This dialog box is where you select the load from the electrical standards database. For other components, the Catalog lookup dialog box displays. You can also type in values for each entry.
  14. Click the Wire Setup Browse button to display the Wire Size Lookup dialog box. This dialog box is where you select or adjust the wire size based on an analysis of the load and various installation parameters. You can also type in values for each entry.
  15. Repeat to configure each circuit element including the ones with the “(2)” prefix indicating they are part of the second circuit.
  16. (Optional) Enter a name for the circuit. This name is added to the History list on the Circuit Selection dialog box and makes it easier to find for future re-insertion.
  17. Select from one of three ways to insert the circuit elements.

    Click to insert just the highlighted circuit element.

    Click to insert all the circuit elements up to and including the highlighted circuit element.

    Click to insert all the circuit elements.

    NoteIf the circuit contains a nested template you, go back and configure the circuit elements in the nested template.
  18. Select Done. The circuit is finalized by:
    • Remaining untagged child components are matched up with parent components and tags are assigned.
    • The selection information for the circuit is applied to the main component of the circuit.
    • The remaining marker blocks are removed from the circuit template for any circuit elements not inserted.


Insert a one-line circuit (Procedure)

Use Circuit Builder
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a one-line circuit

Builds a one-line circuit based on your selection from a list of available circuits and circuit elements.

Circuit Builder builds the circuit dynamically and annotates the circuit. Annotation values are extracted from a database based on engineering standards, motor horsepower, and supply voltage.

NoteAdd the one-line library search path to the project so Circuit Builder can find the one-line circuit templates. By default, the one-line library is installed in a 1- folder under the schematic library folder.
  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select a one-line circuit from the Circuits list. For example:

    Circuits: One-line Motor Circuit, Vertical - FVNR - non reversing.

    NoteYou can also select History to display the list of previously inserted circuits.
  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project. The state of the Retag new components check box controls the retagging of the components within the new circuit. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  6. Select Insert.

    A circuit inserted from the Circuits list contains all default circuit elements as defined in the circuit template and circuit builder spreadsheet. See Set circuit element defaults to change default circuit setup.

  7. Select an insertion point location on the drawing.


Configure a one-line circuit (Procedure)

Use Circuit Builder
Up a level to ..
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure a one-line circuit

Configures and builds a one-line circuit based on your selection from a list of available circuits and circuit elements.

NoteAdd the one-line library search path to the project so Circuit Builder can find the one-line circuit templates. By default, the one-line library is installed in a 1- folder under the schematic library folder.
  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the circuit from the Circuits list. For example:

    Circuits: One-line Motor Circuit, Vertical - FVNR - non reversing

    NoteYou can also select History to display the list of previously inserted circuits.
  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project. The state of the Retag new components controls the retagging of the components within the new circuit. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  6. Select Configure.
  7. Select an insertion point location on the drawing. The template drawing for the selected circuit is inserted at the specified location. The template drawing contains marker blocks, with instructions for building the circuit, and the circuit wiring.

    The dialog box has three sections, Circuit Elements, Select, and Setup & Annotations. The options differ depending on the circuit and circuit element selected.

  8. Select a circuit element, for example:

    Circuit Elements: Motor Setup

  9. Click the Motor Setup Browse button to display the Select Motor dialog box. This dialog box is where you select the motor and horsepower or KW size from the electrical standards database. For other components, the Catalog lookup dialog box displays. You can also type in values for each entry.
  10. Click the Wire Setup Browse button to display the Wire Size Lookup dialog box. This dialog box is where you select or adjust the wire size based on an analysis of the load and various installation parameters. You can also type in values for each entry.
  11. Select a circuit element, for example:

    Circuit Elements: Disconnecting means

    The options for this circuit element, defined in the circuit builder spreadsheet, are displayed in the Select section.

  12. Select the options for this circuit element, for example:

    Main Disconnect: Disconnect switch and fuses

  13. (Optional) Modify values in the Setup & Annotations section for the selected circuit element.
    NoteDepending upon how this circuit element is set up in the circuit builder spreadsheet, this section may not be available for circuit element modification.

    Select the Browse button to make a part number assignment from the Catalog lookup dialog box. The “TABLE” entry for the component in the circuit builder spreadsheet defines the catalog lookup table. You can also type in values for each entry.

  14. Repeat to configure each circuit element.
  15. (Optional) Enter a name for the circuit. This name is added to the History list on the Circuit Selection dialog box and makes it easier to find for future re-insertion.
  16. Select from one of three ways to insert the circuit elements.

    Click to insert just the highlighted circuit element.

    Click to insert all the circuit elements up to and including the highlighted circuit element.

    Click to insert all the circuit elements.

    NoteIf the circuit contains a nested template, go back and configure the circuit elements in the nested template.
  17. Select Done. The circuit is finalized by:
    • Remaining untagged child components are matched up with parent components and tags are assigned.
    • The selection information for the circuit is applied to the main component of the circuit.
    • The remaining marker blocks are removed from the circuit template for any circuit elements not inserted.


Configure a dual one-line circuit (Procedure)

Use Circuit Builder
Up a level to ..
Recalculate wire size
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure a dual one-line circuit

NoteAdd the one-line library search path to the project so Circuit Builder can find the one-line circuit templates. By default, the one-line library is installed in a 1- folder under the schematic library folder.
  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the circuit from the Circuits list. For example:

    Circuits: One-line Motor Circuit, Vertical - Dual FVNR - non reversing

    NoteYou can also select History to display the list of previously inserted circuits.
  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Select to apply some specific annotation:
    • Presets - defined in the ANNO_CODE sheet of the Circuit Builder spreadsheet file that map to the selected circuit.
    • Reference an existing circuit - reference values from an existing circuit selected from a list of circuits extracted from the active project.The state of the Retag new components controls the retagging of the components within the new circuit. Values can include catalog assignment, component descriptions, annotation values, and more.
      NoteThis option is not available if the circuit is selected from the History list.
  6. Select Configure.
  7. Select an insertion point location on the drawing. The template drawing for the selected circuit is inserted at the specified location. The template drawing contains marker blocks, with instructions for building the circuit, and the circuit wiring.

    The dialog box has three sections, Circuit Elements, Select, and Setup & Annotations. The options differ depending on the circuit and circuit element selected.

    NoteThe circuit elements with a “(2)” prefix make up the second circuit.
  8. Select a circuit element, for example:

    Circuit Elements: Motor Setup

  9. Click the Motor Setup Browse button to display the Select Motor dialog box. This dialog box is where you select the motor and horsepower or KW size from the electrical standards database. For other components, the Catalog lookup dialog box displays. You can also type in values for each entry.
  10. Select the Wire Setup Browse button to display the Wire Size Lookup dialog box. This dialog box is where you select or adjust the wire size based on an analysis of the load and various installation parameters. You can also type in values for each entry.
  11. Select a circuit element, for example:

    Circuit Elements: Disconnecting means

    The options for this circuit element, defined in the circuit builder spreadsheet, are displayed in the Select section.

  12. Select the options for this circuit element, for example:

    Main Disconnect: Disconnect switch and fuses

  13. (Optional) Modify values in the Setup & Annotations section for the selected circuit element.
    NoteDepending upon how this circuit element is set up in the circuit builder spreadsheet, this section may not be available for circuit element modification.

    Select the Browse button to make a part number assignment from the Catalog lookup dialog box. The “TABLE” entry for the component in the circuit builder spreadsheet defines the catalog lookup table. You can also type in values for each entry.

  14. Repeat to configure each circuit element including the ones with the “(2)” prefix indicating they are part of the second circuit.
  15. (Optional) Enter a name for the circuit. This name is added to the History list on the Circuit Selection dialog box for future insertion.
  16. Select from one of three ways to insert the circuit elements.

    Click to insert just the highlighted circuit element.

    Click to insert all the circuit elements up to and including the highlighted circuit element.

    Click to insert all the circuit elements.

    NoteIf the circuit contains a nested template, go back and configure the circuit elements in the nested template.
  17. Select Done. The marker blocks are removed from the circuit template for any circuit elements not inserted.


Use Circuit Builder (Quick Reference)

Use Circuit Builder
Use Circuit Builder
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Circuit Selection

Select to insert a circuit. A circuit is built based on a circuit template assigned to the selected circuit type. The rung spacing of the circuit adjusts to match the rung spacing setting for the drawing (Drawing properties: drawing format tab). Each individual device is inserted at a location predefined on the circuit template. Devices are annotated based on values in the Circuit Builder spreadsheet. The spreadsheet file name is displayed near the top of the Circuit Selection dialog box.

Ribbon: Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Circuit BuilderDoes not exist in the menus.
Command entry: AECIRCBUILDER

Circuits

The tree structure is created by reading the ACE_CIRCS sheet of the circuit builder spreadsheet and constructing the tree from the data found in columns CATEGORY and TYPE. The default spreadsheet file is ace_circuit_builder.xls.

The tree has two levels. The first level is the circuit category, for example 3-phase Motor Circuit. The second level is the circuit type, for example Horizontal - Full Voltage Non-reversing.

History>>

Expands the dialog box to show the history of configured and inserted circuits.

History<<

Collapses the dialog box to hide the history of configured and inserted circuits.

History

Select a previously inserted circuit, including all annotation values, to insert or configure. Select a circuit from this history list and then select Insert or Configure. Select Delete to remove the displayed circuit from the history listing.

NoteThis option is not available if Reference existing circuit is selected.

Circuit Scale

Sets an insertion scale value for the entire template.

Component Scale

Sets an insertion scale value for the individual components inserted while building the circuit.

Horizontal Rung Spacing

Sets the 3-phase horizontal rung spacing for the circuit. The ladder rung spacing for the drawing is the default value.

Vertical Rung Spacing

Sets the 3-phase vertical rung spacing for the circuit. The multi-wire spacing for the drawing is the default value.

None

Specifies to ignore special annotation options.

Presets

Specifies whether to use the preset annotation values from the circuit builder spreadsheet.

Presets - List

Displays the Annotation dialog box. Use this dialog box to specify which annotation values from the spreadsheet ANNO_CODE sheet to apply.

Reference existing circuit

Specifies whether to use annotation values from an existing circuit.

NoteThis option is not available if the circuit is selected from the history list. Select <Default> from the History list to re-enable the Reference existing circuit option.

Reference existing circuit - List

Displays the Existing Circuits dialog box showing the existing circuits found in the active project. Select a circuit from the list. The values from the selected circuit are applied to the new circuit.

Retag new components

When Reference existing circuit is selected, specifies whether to retag the components inserted as part of the new circuit.

Insert

Inserts the circuit with all default circuit elements and settings.

Configure

Opens the Circuit Configuration dialog box. Modify the options for the circuit and insert it.


Use Circuit Builder (Quick Reference)

Use Circuit Builder
Use Circuit Builder
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Annotation Presets

Predefine component attribute values in the ANNO_CODE sheet of the Circuit Builder spreadsheet file. The values are applied to the components when the circuit is inserted.

Selection grid | Specifies which preset annotation values to apply. Double click to edit a value. Highlight a row before selecting Drawing or Project to display a dialog with a list of used values for the attribute.
Clear all | Clears all selections.
Drawing | Displays a dialog box with a list of values used on the active drawing for the highlighted attribute.
Project | Displays a dialog box with a list of values used within the project for the highlighted attribute.


Use Circuit Builder (Quick Reference)

Use Circuit Builder
Use Circuit Builder
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Circuit Configuration

This dialog box provides options to configure a circuit before inserting it. You can configure the circuit both in terms of the physical devices and the device annotation values.

Ribbon: Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Circuit BuilderDoes not exist in the menus.
Command entry: AECIRCBUILDER

On the Select Circuit dialog box, select a circuit and click Configure.

Name | Enter a name for the circuit. This name is added to the History list on the Circuit Selection dialog box for future insertion.
Circuit Elements | Displays the circuit elements for the selected circuit for configuring. The tree structure is created dynamically based on the circuit template. Select a circuit element to configure it.
Select | Select the options for the highlighted circuit element. NoteThe displayed options, along with default values, are defined in the circuit builder spreadsheet.
Setup & Annotation | Enter device annotation values, rung spacing, and wire type for the circuit. NoteThe displayed values for the circuit are based on a motor or load lookup in the electrical standards database.
 | Inserts only the highlighted circuit element.
 | Inserts all the circuit elements up to and including the highlighted circuit element.
 | Inserts all the circuit elements.
 | Reverses the most recently inserted circuit element.
Motor or Load Setup | Displays the Select Motor or Select Load dialog box. Use this dialog box to specify settings by selecting from a list of predefined parameters.
Motor or Load Setup | Temporarily closes the dialog box so that you can select an existing motor or power feed and reuse the existing values.
Wire Setup | Displays the Wire Size Lookup dialog box. Use this dialog to select a wire size based on load and various other parameters.


Use Circuit Builder (Quick Reference)

Use Circuit Builder
Use Circuit Builder
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Motor

Browse the motor lookup table in the electrical standards database, ace_electrical_standards.mdb, and select the appropriate motor and annotation values. You can also modify the motor lookup table from this dialog box.

Ribbon: Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Circuit BuilderDoes not exist in the menus.
Command entry: AECIRCBUILDER

On the Select Circuit dialog box, select a circuit, click Configure, and then select the Motor Setup Browse button.

Type | Filter the listing based on motor type. Select <All> from the list to turn off filtering for this field.
Voltage (V) | Filter the listing based on motor voltage. Select <All> from the list to turn off filtering for this field.
Frequency (HZ) | Filter the listing based on motor frequency. Select <All> from the list to turn off filtering for this field.
Selection grid | Select a motor to pass the values back to the Circuit Configuration dialog box.
Edit or add records | Specifies whether you can edit or select the values. Values you edit are written back to the electrical standards database file.
 | Temporarily closes the dialog box so that you can select an existing motor symbol and reuse the values from the motor.
FLA | Displays or sets the full load amps (FLA) value. The FLA value is multiplied by the FLA Multiplier value to calculate the Maximum load value.
FLA multiplier | Sets the multiplier factor. The FLA value is multiplied by this value to calculate the Maximum load value.
Maximum load | Displays the calculated maximum load based on the product of FLA and FLA multiplier.
NoteThe initial default values used for Voltage and the FLA multiplier are controlled from the active OPT table in the electrical standards database file.


Use Circuit Builder (Quick Reference)

Use Circuit Builder
Use Circuit Builder
Use Circuit Builder
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Load

Browse the load table, named FEED in the electrical standards database file, ace_electrical_standards.mdb, and select the appropriate load and annotation values. You can also modify the lookup table from this dialog box.

Ribbon: Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Circuit BuilderDoes not exist in the menus.
Command entry: AECIRCBUILDER

On the Select Circuit dialog box, select a power feed circuit, click Configure, and then select the Load Setup Browse button.

Type | Filter the listing based on load type. Select <All> from the list to turn off filtering for this field.
Voltage (V) | Filter the listing based on voltage. Select <All> from the list to turn off filtering for this field.
Phase | Filter the listing based on phase. Select <All> from the list to turn off filtering for this field.
Selection grid | Select a load to pass the values back to the Circuit Configuration dialog box.
Edit or add records | Specifies whether you can edit or select the values. Values you edit are written back to the electrical standards database file.
 | Temporarily closes the dialog box so that you can select an existing power feed load symbol and reuse its values.
FLA | Displays or sets the full load amps (FLA) value. The FLA value is multiplied by the FLA Multiplier value to calculate the Maximum load value.
FLA multiplier | Sets the multiplier factor. The FLA value is multiplied by this value to calculate the Maximum load value.
Maximum load | Displays the calculated maximum load based on the product of FLA and FLA multiplier.
NoteThe initial default values used for Voltage and the FLA multiplier are controlled from the active OPT table in the electrical standards database file.


Use Circuit Builder (Quick Reference)

Use Circuit Builder
Use Circuit Builder
Recalculate wire size
Circuits > Circuit Builder >
Use Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Wire Size Lookup

Specify the wire parameters and select a wire size from a list of wire sizes that meet or exceed the parameters. Estimated energy losses per wire size can provide valuable information in this selection.

Ribbon: Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Circuit BuilderDoes not exist in the menus.
Command entry: AECIRCBUILDER

On the Select Circuit dialog box, select a circuit, click Configure, enter the Motor Setup parameters, and then select the Wire Setup Browse button.

Load
Voltage | Sets the voltage for the wire conductor.
Phase | Sets the phase of the electrical power.
FLA | Sets the full load amps carried by the wire conductors.
FLA multiplier | Sets the value that is multiplied by the FLA value to calculate the maximum load for the wire conductors.
Other | Sets the amp value of any additional loads to be combined with the main motor or load and fed from this common branch circuit set of conductors. This value is added to the product of the FLA times FLA multiplier.
Maximum load | Displays the calculated maximum load for the conductors. It is based on the FLA (Other) value added to the product of the FLA times the FLA multiplier value.
NoteControls are disabled if the values are predefined on the Circuit Configuration dialog.

Wire
Size standard | Sets the wire standard. Directs Circuit Builder to use specific tables from the electrical standards database for that wire size standard. The available values are extracted from the electrical standards database table names.
Type/method | Sets the wire metal type. Directs Circuit Builder to use specific tables from the electrical standards database for that wire metal type. The available values are extracted from the electrical standards database table names.
Insulation | Sets the wire insulation and temperature rating type. The available values are extracted from the electrical standards database file.
De-rating factors

Continuous load correction

Specifies whether to include a continuous load de-rating factor in the calculation of the wire ampacity. For example, continuous equals three hours or longer.

When Continuous load correction is on, sets the de-rating factor. This value is used in the total de-rating factor used to calculate wire ampacity.

Fill correction

Specifies whether to include a fill correction de-rating factor in the calculation of the wire ampacity.

When Fill correction is on, sets the range of current carrying conductors that are grouped in a common conduit, raceway, or cable.

When Fill correction is on, sets the de-rating factor for the selected fill range. This value is used in the total de-rating factor used to calculate wire ampacity.

Ambient temperature correction

Specifies whether to use a de-rating factor for an elevated ambient temperature.

When Ambient temperature correction is on, sets the range of maximum ambient temperature.

When Ambient temperature correction is on, sets the correction factor value. This value is used in the total de-rating factor used to calculate wire ampacity.

Total correction

Displays the calculated total correction factor based on the individual de-rating settings. You can manually set the total de-rating value. The value is multiplied with the defined ampacity to calculate the actual de-rated ampacity of the wire.

Parameters
Run distance | Specifies whether to consider the length of the wire run in calculation of the voltage drop. When Run distance is on, sets the distance.
Units | When Run distance is on, sets the distance units.
Via | When Run distance is on, sets the type of conduit or raceway which affects the voltage drop calculation. The available types are extracted from the electrical standards database file.
Power factor | When Run distance is on, sets the power factor value used to calculate the voltage drop.
Maximum % voltage drop | Specifies whether to apply a maximum percent voltage drop limit on what size wires are appropriate. When Maximum voltage drop is on, sets the acceptable maximum percentage of voltage drop along the wire length.
Paralleled wires
Include paralleled wire options | Specifies whether to include paralleled wire options in the display. When on, the display includes entries consisting of two or more smaller size conductors per phase to meet the ampacity requirement of the load.
Maximum paralleled wire count | When Include paralleled wire options is on, sets the maximum conductors per phase to use in the calculation and display.
Minimum paralleled wire size | When Include paralleled wire options is on, sets the minimum wire size to use for paralleled conductor calculations.
Cost per kwh

Sets the cost per kilowatt hour used in the wire loss calculations.

Wire grid

Displays the available wire conductors, extracted from the electrical standards database, for selection. Wires that do not meet the ampacity requirements are shown in red.

Size

Wire sizes extracted from the wire ampacity table in the electrical standards database.

Count

When Include Paralleled Wire options is on, indicates the number of conductors per phase.

Fill

When Include Paralleled Wire options is on, indicates the fill calculation which takes into account the fill correction.

NoteThis value is displayed regardless of the state of the Fill correction check box when the Include Paralleled Wire options is on.

Ampacity

Calculated ampacity for the conductor. It is the ampacity, extracted from the wire ampacity table, multiplied by the total correction de-rating factor.

%Ampacity

The Maximum load value divided by the Ampacity. It indicates if the wire is close to being fully loaded.

Voltage Drop

The calculated voltage drop from one end of the power run to the other. It can only be calculated if the conductor length is defined.

%Voltage Drop | The Voltage Drop value divided by the applied voltage and multiplied by 100.
Wire KW Loss | Calculated from the Voltage Drop and FLA.

Wire Loss estimate (maximum annual cost)

Maximum cost of wire losses for continuous use at rated load.

Show all

Specifies whether to display entries where the %Ampacity value is greater than 100%. When Show all is on, values that are greater than 100% are shown in red. Entries >= 300% ampacity are never shown in the list.

Grounding conductor size

Displays the minimum size grounding conductor based on the FLA of the motor or power feed. Select a larger conductor size from the list.

The suggested wire conductor size is determined from the appropriate AMPG* table in the electrical standards database file.

Save as
Save as | Saves the current settings, wire options, and identifying values from the Select Motor dialog box as an external file.
Description | Assigns a description for the parameters and wire options. Uses this description when you select Save as to save the current settings and wire options as an external file.


Recalculating wire size (Procedure)

Use Circuit Builder
Up a level to ..
Reference an existing circuit
Circuits > Circuit Builder >
Recalculate wire size
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Recalculating wire size

Displays Wire Size Lookup dialog box with previous calculated data for selected motor or power feed load representation.

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Recalculate Wire Size. Enter AEEDITWS at the command prompt.
  2. Select the motor or power feed load symbol.

    The Wire Size Lookup dialog box displays.

    NoteIf the necessary load xdata does not exist on the selected motor or load symbol, the Select Motor or Select Load dialog box displays first.
  3. Adjust the parameters as necessary.
  4. Select a wire conductor size from the list.
  5. Select a grounding conductor size. A suggested minimum size is preselected. This is controlled by the appropriate AMPG* table in the electrical standards database file.
  6. (Optional) Enter a description for the parameters, click Save As, and enter a name for the output file

    The input parameters, wire sizes, and selected wire size are saved to an external file. This can be either a new file or appended to an existing file in xls, csv, or text format.

  7. Click OK.

The new wire layer name is determined, preserving any color substring in the existing layer name, and the connected wires are updated.


Recalculate wire size (Quick Reference)

Use Circuit Builder
Recalculate wire size
Use circuitry
Circuits > Circuit Builder >
Recalculate wire size
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Recalculate wire size

Displays Wire Size Lookup dialog box with previous calculated data for selected motor or power feed load representation.

Ribbon: Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Recalculate Wire Size. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Wires [image] Recalculate Wire SizeDoes not exist in the menus.
Command entry: AEEDITWS

When Circuit Builder inserts a circuit, the parameters used to size the wires are saved on the motor or load symbol as xdata. To recalculate the wire size, select the motor or load symbol when prompted. The Wire Size Lookup dialog box displays the existing values as defaults. Make design decisions, adjusting parameters as needed, and select an appropriate wire size. The wire layer name is updated to reflect the selected size.

NoteIf the xdata does not exist on the selected motor or load symbol, the Select Motor or Select Load dialog box displays first.


Reference an existing circuit (Concept)

Recalculate wire size
Circuit Builder
Use circuitry
Circuits > Circuit Builder >
Reference an existing circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

When a new circuit is inserted, you can reference an existing circuit picked from a list of circuits pulled from the active project. The components, values, descriptions, and tag assignments from the selected circuit, become defaults for the new circuit.

This feature can be especially useful when inserting 3-phase circuits based on existing one-line circuits. The components for each circuit element for the one-line circuit become the default for the new 3-phase circuit. The tag assignments and values are pulled across from the referenced one-line circuit. Alternately, new component tags are generated if the option “Retag new component” is selected.

Referencing an existing circuit uses xdata (AutoCAD Extended Entity Data) added on the motor or load symbol by Circuit Builder when the circuit is inserted.

  • VIA_WD_CB_CIRCCODES - semi-colon delimited list of template marker codes, inserted component handles, and spreadsheet UI_VAL selection values. The template marker code maps the values from the components in the existing circuit to the components in the new circuit.
  • VIA_WD_CB_CIRCPARAMS - comma-delimited list that includes data returned from any Select Motor or Select Load dialog box.
  • VIA_WD_CB_CIRCPARAMS2 - list of motor or load wire size assignments.
  • VIA_WD_CB_CIRCSELECT - comma-delimited list that includes the template name, spreadsheet file name, and sheet name.
NoteIf there are no existing circuits in the active project that carry the VIA_WD_CB_CIRCCODE xdata, the “Reference Existing Circuit” option is disabled.

Referencing an existing circuit depends on:

  • Marker block CODE values
  • UI_VAL values from the circuit builder spreadsheet

Marker Block CODE values

Referencing an existing circuit depends on finding matching marker block CODE values used in both the referenced circuit and the circuit being inserted or configured. For example, a referenced one-line circuit used marker block code Q001 to trigger insertion of the main disconnecting means. The new three-line schematic circuit being inserted needs to have a marker block code Q001 marking where the three-pole disconnecting means is to be inserted. The result is that component values from the referenced circuit are applied to components in the new circuit when the marker block codes match.

Spreadsheet UI_VAL values

The default circuit element options are controlled by both the CODE value and the UI_VAL from the circuit codes sheet of the circuit builder spreadsheet. There may be multiple options for a particular CODE value. For example, the main disconnecting means may have the following options, each with a UI_VAL assigned.

Main Disconnecting Means Option | UI_VAL
Disconnect switch - non-fused | 2
Disconnect switch and fuses | 4
Disconnect switch and fuses (time-delay) | 6
Fuses | 8
Fuses (time-delay) | 10
Circuit Breaker | 12
Circuit Breaker-thermal/inverse-time | 14
Circuit Breaker-magnetic/instantaneous | 16
None | 0

For example, the one-line circuit used the Disconnect switch and fuses (time-delay) option with a UI_VAL of “6”. When the 3-phase circuit references this one-line circuit, the disconnecting means option with a UI_VAL of “6” becomes the default. If a matching UI_VAL is not found for a particular marker block CODE value, the default as defined by the “X” in the UI_DEF column is used.


Reference an existing circuit (Procedure)

Recalculate wire size
Up a level to ..
Use circuitry
Circuits > Circuit Builder >
Reference an existing circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Reference an existing circuit

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. Select the circuit from the Circuits list or select History to display the list of previously configured circuits.
  3. (Optional) Enter a Circuit Scale. This value sets an insertion scale value for the circuit template.
  4. (Optional) Enter a Component Scale. This value sets an insertion scale value for the individual components inserted while building the circuit.
  5. (Optional) Enter a Horizontal Rung Spacing.
  6. (Optional) Enter a Vertical Rung Spacing.
  7. Select Reference Existing Circuit.
  8. Select the List button. The Existing Circuits dialog box displays with a row for each circuit carrying the necessary xdata.
  9. Select a circuit row.
  10. Select OK.
  11. Select to Retag new components or use the same tags as the referenced circuit.
  12. Select Insert or Configure. Default circuit elements and values for the circuit are based on the referenced circuit.
  13. Continue as described in Insert a 3-phase circuit or Configure a 3-phase circuit.
  14. Select Done.


Use circuitry (Concept)

Reference an existing circuit
Circuits
Component Tools
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can save groupings of components, wires, ladders, and other entities as circuits. Like blocks, saved circuits are inserted as a single object. Saved circuits save time when your projects require common arrangements of components, such as motor starters or control circuits.

When you use any of the AutoCAD Electrical Insert Circuit commands to insert a circuit, the circuit explodes. Wire numbers and component tags are updated according to the tag settings of the current drawing. However, fixed tags are not updated.


Use circuitry (Procedure)

Reference an existing circuit
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy circuitry

Move circuitry

Save circuit portions for later use

Insert a saved circuit

Insert a WBlocked circuit


Use circuitry (Quick Reference)

Recalculate wire size
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert component

Save circuit to icon menu

Circuit scale


Copy circuitry (Procedure)

Use circuitry
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copy circuitry

Copies windowed circuitry in the active drawing, and includes automatic update of the component tag.

The components are retagged automatically based on their new line reference locations. If the circuit you copied contains fixed wire numbers or component tags, you have the options to keep them or update them based on the new line reference locations.

  1. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Copy Circuit. Enter AECOPYCIRCUIT at the command prompt.
  2. Select the components and wires to copy. Carefully window (from left to right) around the circuit, making sure to capture the connection wires and dots that tie in to the vertical bus.
  3. Press Enter.
  4. (Optional) Press M to make multiple copies of the selected circuit.
  5. Select the base point and then the second point for the copy.
    NoteIf the circuit you copied contains any fixed wire numbers or component tags, specify to keep them, blank them out, retag all the found tags, or keep all orphan contacts.


Move circuitry (Procedure)

Use circuitry
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Move circuitry

This tool moves the selected circuit to a specified location. The components are automatically retagged based on their new line reference locations and cross-references are updated.

  1. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Move Circuit. Enter AEMOVECIRCUIT at the command prompt.
  2. Select the circuit to move. Carefully window (from left to right) around the circuit, making sure to capture the connection wires and dots that tie in to the vertical bus.
  3. Press Enter.
  4. Select the base point, and then the second point for the move.


Save circuit portions for later use (Procedure)

Use circuitry
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Save circuit portions for later use

Use this tool to save circuit portions for later use.

NoteYou can also use the AutoCAD WBLOCK command to save circuits to disk and then use the Insert Wblocked Circuit tool to insert the circuit.
  1. Zoom around the circuit to save so that it fills your screen.
  2. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Save Circuit To Icon Menu. Enter AESAVECIRCUIT at the command prompt.
  3. On the Save Circuit to Icon Menu dialog box, right-click in the Symbol Preview window and select Add icon [image] New circuit.
    NoteYou can also click the arrow on the Add tab and select New circuit.
  4. On the Create New Circuit dialog box, specify:
    • Name of the icon.
    • Image file to use. Make sure to select Create PNG from current screen image.
    • Circuit drawing file name.
      NoteIf you did not zoom in on the circuit in the previous step 1, you can click Zoom on the Create New Circuit dialog box to zoom around the circuit to save.
  5. Click OK.
  6. Select the insertion base point of the circuit.
  7. Window around the circuit (from left to right), capturing all the appropriate components and wiring and press Enter.

    AutoCAD Electrical processes the circuit and saves it to your AutoCAD Electrical user subdirectory.

    NoteYou can overwrite the user subdirectory using the wd_usercktdir setting in the environment (.env) file. For example, if wd_usercktdir is enabled and set to “N:\Electrical\Circuits”, the new circuit and image file are saved to N:\Electrical\Circuits.

    AutoCAD Electrical creates and adds a new circuit icon (.png) of your circuit to the bottom of the symbol preview window.

Add existing circuits to the icon menu

Use the Save Circuit to Icon Menu tool to add existing circuits to the icon menu. You can then select the circuit from the Insert Component dialog box for insertion into a drawing.

  1. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Save Circuit To Icon Menu. Enter AESAVECIRCUIT at the command prompt.
  2. On the Save Circuit to Icon Menu dialog box, right-click in the Symbol Preview window and select Add icon [image] Add circuit.
    NoteYou can also click the arrow on the Add tab and select Add circuit.
  3. On the Add Existing Circuit dialog box, specify:
    • Name of the icon.
    • Image file to use. Make sure to select Create PNG from current screen image.
    • Existing circuit name.
  4. Click OK.

    The existing circuit is added to the bottom of the symbol preview window.


Insert a saved circuit (Procedure)

Use circuitry
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a saved circuit

You can insert circuits you saved using the Save Circuit to Icon Menu tool or circuits that you saved using WBLOCK command in AutoCAD. After you specify an insertion point, the circuit inserts and the component tags update. You can then edit the component tags, run the wire numbering tool, or add or delete components and wiring. This circuit behaves as if you had drawn it by hand, one component, and one wire at a time.

  1. Click Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert Saved Circuit. Enter AESAVEDCIRCUIT at the command prompt.
  2. On the Insert Component dialog box, select the circuit you want to insert into the drawing from the Symbol Preview window.
  3. Click OK.
  4. On the Circuit Scale dialog box, click OK to use the defaults or specify a scale and then click OK.
  5. Specify the insertion point on the drawing.


Insert a WBlocked circuit (Procedure)

Use circuitry
Use circuitry
Insert schematic components
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a WBlocked circuit

Inserts WBlocked circuitry (external drawing file) with automatic update of the component tag.

Inserts a previously saved group of components, wires, ladders, and other entities as circuits. Saved circuits insert as a single object and are then exploded. Component tags update according to the tag settings in the drawing. Fixed tags do not update. Saved circuits provide common arrangements of components, such as motor starters or control circuits in projects.

  1. Click Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert WBlocked Circuit. Enter AEWBCIRCUIT at the command prompt.
  2. On the Insert WBlocked Circuit dialog box, select the circuit you want to insert into the drawing and click Open.
  3. On the Circuit Scale dialog box, click OK to use the defaults or specify a scale and then click OK.
  4. Specify the insertion point on the drawing.


Use circuitry (Quick Reference)

Use circuitry
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Use circuitry (Quick Reference)

Use circuitry
Use circuitry
Use circuitry
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Save circuit to icon menu

You can save windowed portions of circuitry for later reuse. Up to 24 circuits can be saved at any one time in this scratch menu. You can change the user circuit menu number (default is 19) by editing this command in the CUI editor.

TipTo get a good icon picture for the circuit button, zoom in close to the circuit you plan to save so that it fills the screen.
Ribbon: Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Save Circuit To Icon Menu. Does not exist on the ribbon.
Toolbar: Circuits
Menu: Components [image] Save Circuit To Icon MenuDoes not exist in the menus.
Command entry: AESAVECIRCUIT

Menu

The tree structure is created by reading the icon menu file (*.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only, or List view.
  • Add: Modifies the icon menu by adding icons for circuits or a new submenu.

Symbol Preview window

Displays the symbol images corresponding to the menu or the submenu selected in the Menu section.

You can drag icons within the Symbol Preview window for rearrangement (multiple selection is allowed). For example, place commonly used icons at the top and rarely used icons at the bottom of the window.

Symbol Preview right-click menu

Right-click in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window. The current view option is marked with a check mark. Options include: Icon with text, Icon only, or List view.
  • Add Icon: Adds new circuit icons or an existing circuit into the Symbol Preview window.
  • New Submenu: Creates a submenu in the Symbol Preview window and the tree structure.
  • Cut: Removes the selected icon from the Symbol Preview window. You can then paste the icon into the desired submenu.
  • Copy: Makes a copy of the highlighted icon and stores it in the Paste clipboard. You can then paste the icon into the desired submenu.
  • Paste: Adds the copied or cut icon to the highlighted submenu.
  • Delete: Deletes the icon.
  • Properties: Opens a Properties dialog box to modify the existing symbol icon properties like the icon name, image, or block names. The existing data in the *.dat file is overwritten with your changes.


Use circuitry (Quick Reference)

Use circuitry
Use circuitry
Insert schematic components
Circuits >
Use circuitry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Circuit scale

Use this tool to specify the scale and options for circuit insertion.

Insert Saved Circuit
Ribbon: Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert Saved Circuit. Does not exist on the ribbon.
Toolbar: Circuits
Menu: Components [image] Insert Saved CircuitDoes not exist in the menus.
Command entry: AESAVEDCIRCUIT
Insert WBlocked Circuit
Ribbon: Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert WBlocked Circuit. Does not exist on the ribbon.
Toolbar: Circuits
Menu: Components [image] Insert WBlocked CircuitDoes not exist in the menus.
Command entry: AEWBCIRCUIT
Custom scale | Specifies the insertion scale.
Move all lines to wire layers | Moves all non-layer "0" line entities to a valid wire layer.
Keep all fixed wire numbers | Indicates not to erase wire numbers if they are fixed.
Keep all source arrows | Indicates not to erase the source arrows of the circuit.
Update circuit's text layers as required | Updates the layers of the circuit per AutoCAD Electrical assignment.
Don't blank out orphan contacts | Leaves the tag ID alone if parent is not found.


Component Tools

Use circuitry
Insert schematic components
Component Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Insert schematic components

    Insert/edit component

  • Insert or edit child components

    Insert or edit child component

  • Insert a copy of a component
  • Insert from catalog lists

    Add or edit record

  • The schematic lookup file

    Edit

  • Insert from equipment lists

    Schematic equipment in

  • Insert from panel lists

    Panel layout list -> schematic components insert

  • Manipulate Components
  • Swap contact states
  • Component Cross-References
  • Insert dashed link lines
  • Follow signals

    Signal code

  • Show signal paths

    Show signal path

  • Overview of DIN Rails

    Din rail

  • Overview of user data records

    Edit user table data

  • Wire Jumpers


Insert schematic components (Quick Reference)

Use circuitry
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert component

Insert/edit component

Insert/edit component: IEC

Multiple bill of material information

Multiple catalog part number assignments

Tags in use

Panel tag list

Option: tag format "family" override

Component annotation from external file

Descriptions

Select description from AutoCAD Electrical language table

Select description text format

Pin numbers in use


Insert schematic components (Procedure)

Use circuitry
Insert schematic components
Insert a copy of a component
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert schematic components

Inserts a component you select from the icon menu.

Pick an insertion point on the drawing. The orientation of the symbol tries to match the underlying wire. The wire breaks automatically if the symbol lands on it or very near it.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. In the Insert Component dialog box, select the starting orientation for the component: horizontal or vertical.
  3. (Optional) If you want to turn off the Insert/Edit Component dialog box when inserting symbols onto the drawing select No Edit dialog box.
  4. (Optional) If you want to insert the component, untagged (for example, without assigning a unique Component Tag) select No Tag. The untagged value that displays is the TAG1/TAG2 default value of the component.
  5. Select the component to insert (such as Push Buttons [image] Push Button N.O.) Select an icon picture or the component type from the left-hand list.

    The right-hand column of the menu displays the last ten components inserted during the current editing session.

  6. Specify the insertion point in the drawing.

    The orientation of the symbol tries to match the underlying wire. The wire breaks automatically if the symbol lands on it.

  7. On the Insert/Edit Component dialog box, annotate the component.
  8. Click OK.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert/edit component

Edits a component, PLC module, terminal block, wire number, or signal arrow.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit.

You can go back to a component at any time and edit values such as tag, catalog assignment, location, installation, descriptions, ratings, and miscellaneous values. Related components update to match the new values.

While inserting a component for the first time you establish its tag definition inside of the project. If the component could potentially reference other components found on different drawing files in the project, the relationship must be established before editing. The steps to link the new component with related components are:

  1. Insert a new component and change the component tag as needed.
  2. Click OK and insert the component on the drawing.
  3. Right-click the component and select Edit Component.
  4. Change the description, catalog data, and so on, as needed.
  5. Click OK.
  6. In the Update Related Components dialog box, click Yes-Update to update the related components with your changes. Click Skip to update only the component you edited.
NoteSome options are not available depending on whether you are inserting a single component or multiple components.
Component Tag

Any existing tags appear in the edit box. To define the component tag, edit the existing tag or type a specific tag in the edit box. Select Fixed if you do not want this tag to update on a retag.

If you enter an existing component tag during the insert/edit process, a warning dialog box displays. (Turn off the warning in the Project Properties [image] Project Settings dialog box. It temporarily disables the warning dialog box for the current session of AutoCAD Electrical). It alerts you of the duplication and suggests alternative tag names based on the user-defined format. You can select whether to use the duplicated tag or use a new tag that is suggested (or you can type in a new tag).

NoteAn error log file is created for every project regardless of whether you chose to display the real-time warning dialog box or not. The real-time warning is saved in the log file named "<project_name>_error.log" and is saved in the User subdirectory.
Use PLC Address | Searches for a wire connection to a nearby PLC I/O address and, if found, uses the PLC address number in the tag name of the component.
Tags Used: Schematic | Lists used component tag names. Select a tag from the list to copy, or to increment for this new component. Initially, the list includes schematic parent components in the same family as the current component. Select to include children, all families, panel, and one-line components in the list.
Tags Used: Panel | Lists used panel component tag names. Select a tag from the list to copy, to this new component. An “x” in front of the tag indicates there is a schematic component already inserted. An “o” in front of the tag indicates a schematic component exists but there is mismatch on Catalog and Manufacturer values between the two.
External List | Assigns a tag from an external list file. You can reference an ASCII text file in comma or space delimited format to help annotate the component's description, tag, catalog, and other information of the component.
Options | Substitutes a fixed text string for the %F part of the tag format. Enter a tag format override in the edit box. Retag Component uses this override format value to calculate a new tag for the selected component.
Catalog Data

You can do a drawing-wide or project-wide listing of similar components with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each component type you insert into your wiring diagram is remembered. When you insert another component of that type, the previous catalog assignment of the component is set as the default (assuming a previous one was made during the current editing session).

Manufacturer

Lists the manufacturer number for the component. Enter a value or select one from the Catalog lookup.

Catalog

Lists the catalog number for the component. Enter a value or select one from the Catalog lookup.

Assembly

Lists the assembly code for the component. The Assembly code is used to link multiple part numbers together.

Item

Specifies a unique identifier assigned to each component. The tag value can be manually typed in the edit box.

Count

Specifies the quantity number for the part number (blank=1). This value gets inserted into the "SUBQTY" column of the BOM report.

Lookup

Opens the catalog database of the component from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected component. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Previous

Scans the previous project to find an instance of the selected component and returns the component values. You can then make your catalog assignment by picking from the dialog box list.

Drawing

Lists the part numbers used for similar components in the current drawing.

Project

Lists the part numbers used for similar components in the project. You can search in the active project, another project, or an external file.

  • Active project: All the drawings in the current project are scanned and the results are listed in a dialog box. Select from the list to assign your new component with a catalog number that is consistent with other similar components in the project.
  • Other project: Scans each listed drawing in a previous project for the target component type and returns the catalog information in a subdialog box. Make your catalog assignment by picking from the dialog box list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the appropriate entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. They are displayed in the left-hand dialog box list. For each relevant item, highlight it, and then pick the appropriate category button in the center column. The highlighted item is transferred to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Multiple Catalog

Inserts or edits extra catalog part numbers on to the selected component. You can add up to 99 part numbers to any component. These multiple BOM part numbers appear as sub-assembly part numbers to the main catalog part number in the various BOM and component reports.

Catalog Check

Displays what the selected item looks like in a Bill of Material template.

Ratings

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a component. Select Defaults to display a list of default values.

NoteIf Ratings is unavailable, the component you are editing does not carry rating attributes.
Description

Up to three lines of description attribute text can be entered.

Drawing | Displays a list of descriptions found in the current drawing so you can pick similar descriptions to edit.
Project | Displays a list of descriptions found in the project so you can pick similar descriptions to edit.
Defaults | Opens an ASCII text file from which you can select standard descriptions.
Pick | Picks a description from a component on the current drawing.

If a symbol does not have the DESC1-3 attributes, the description edit boxes are unavailable. To put descriptions on fuse symbols (or other symbols without these attributes), open the fuse library symbols in AutoCAD Electrical and add the DESC1, DESC2, and DESC3 attribute definitions. Fuse symbol file names are HFU*.dwg and VFU*.dwg.

Cross-Reference
Component override | Overrides the WD_M block settings of the drawing with component-specific cross-reference settings. Click Setup to edit the component cross-reference settings manually.
Reference NO/ Reference NC | A pin list database table is consulted when a part number is added or an existing part number is changed on a parent symbol. If a match on the Manufacturer, Catalog, and Assembly values of the part number in the database table is found, the associated contact count and pin number information is retrieved and placed on the parent component. Click NO/NC Setup to view or manually edit pin list data values.
Installation Code

Changes the installation codes. You can search the current drawing or entire project for installation codes. A quick read of all the current or selected drawing files is done and a list of installation codes used so far is returned. Select from the list to update the component with the installation code automatically.

Assign short installation codes to components like "PNL" and "FIELD" so you can create installation-specific BOM and component lists later.

Location Code

Changes the location codes. You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing file is done and a list of location codes used so far is returned. Select from the list to update the component with the location code automatically.

Assign short location codes to components like "PNL" and "FIELD" so you can extract cable from/to reports and location-specific BOM reports later. (For example, BOM for all field cables, BOM for all PNL cables.)

Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

Pins

Assigns pin numbers to the pins that are physically located on the component.

For Connectors: Once a connector is inserted onto the block definition of the drawing file, you can edit the connector pins found inside of the connector. Click List to display the Connector Pin Numbers in Use dialog box where you can edit the pin numbers and descriptions.

Switch Positions

Labels the positions of a selector switch.

OK-Repeat

(not available when editing components) Inserts the new component onto the drawing and then inserts another 'just like' component.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert/edit component: IEC

Assign values on the component such as tag, catalog, location, installation, descriptions, ratings, and miscellaneous values. Related components update to match the new values.

The Insert/Edit Component dialog box is for working in IEC mode. If you are working in JIC mode, the dialog box displays differently.

While inserting a component for the first time you establish its tag definition inside of the project. If the component could potentially reference other components found on different drawing files in the project, the relationship must be established before editing. The steps to link the new component with related components are:

  1. Insert a new component and change the component tag as needed.
  2. Click OK and insert the component on the drawing.
  3. Right-click the component and select Edit Component.
  4. Change the description, catalog data, and so on, as needed.
  5. Click OK.
  6. In the Update Related Components dialog box, click Yes-Update to update the related components with your changes. Click Skip to update only the component you edited.
Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit.

You can go back to any component at any time and make changes.

NoteSome options are not available depending on whether you are inserting a single component or multiple components. To insert multiple components, select Components [image] Multiple Insert [image] Multiple Insert (Icon Menu).
Installation

Changes the installation codes. You can search the current drawing or entire project for installation codes. A quick read of all the current or selected drawing file is done and a list of installation codes used so far is returned. Select from the list to update the component automatically with the installation code.

Assign short installation codes to components like "PNL" and "FIELD" so you can create installation-specific BOM and component lists later.

Location

Changes the location codes. You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing files is done and a list of location codes used so far is returned. Select from the list to update the component automatically with the location code.

Assign short location codes to components like "PNL" and "FIELD" so you can extract cable from/to reports and location-specific BOM reports later. (For example, BOM for all field cables, BOM for all PNL cables.)

Component Tag

Any existing tags appear in the edit box. To define the component tag, edit the tag or type a specific tag in the edit box. Select Fixed if you do not want this tag to update on a retag.

If you enter an existing component tag during the insert/edit process, a warning dialog box displays. This alerts you of the duplication and suggests alternative tag names based on the user-defined format. You can select whether to use the duplicated tag or use a new tag that is suggested (or you can type in a new tag).

NoteThe combined value of the component tag, installation code, and location code is used for error checking in IEC mode.
Use PLC Address | Searches for a wire connection to a nearby PLC I/O address and, if found, uses the PLC address number in the tag name of the component.
Tags Used: Schematic | Lists used component tag names. Select a tag from the list to copy, or to increment for this new component. Initially, the list includes schematic parent components in the same family as the current component. Select to include children, all families, panel, and one-line components in the list.
Tags Used: Panel | Lists used panel component tag names. Select a tag from the list to copy, to this new component. An “x” in front of the tag indicates there is a schematic component already inserted. An “o” in front of the tag indicates a schematic component exists but there is mismatch on Catalog and Manufacturer values between the two.
External List | Assigns a tag from an external list file.
Options | Substitutes a fixed text string for the %F part of the tag format. Enter a tag format override in the edit box. Retag Component uses this override format value to calculate a new tag for the selected component.
Description

Up to three lines of description attribute text can be entered.

Drawing | Displays a list of descriptions found in the current drawing so you can pick similar descriptions to edit.
Project | Displays a list of descriptions found in the project so you can pick similar descriptions to edit.
Defaults | Opens an ASCII text file from which you can quickly pick standard descriptions.
Pick | Picks a description from a component on the current drawing.
Catalog Data

You can do a drawing-wide or project-wide listing of similar components with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each component type you insert into your wiring diagram is remembered. When you insert another component of that type, the previous catalog assignment of the component is set as the default (assuming a previous one was made during the current editing session).

Manufacturer | Lists the manufacturer number for the component. Enter a value or select one from the Catalog lookup.
Catalog | Lists the catalog number for the component. Enter a value or select one from the Catalog lookup.
Assembly | Lists the assembly code for the component. The Assembly code is used to link multiple part numbers together.
Item | Specifies a unique identifier assigned to each component. The tag value can be manually typed in the edit box.
Count | Specifies the quantity number for the part number (blank=1). This value gets inserted into the "SUBQTY" column of the BOM report.
Lookup | Opens the catalog database of the component from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected component. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.
Previous | Scans the previous project to find an instance of the selected component and returns the component values.
Drawing | Lists the part numbers used for similar components in the current drawing.
Project | Lists the part numbers used for similar components in the project.
Multiple Catalog | Inserts or edits extra catalog part numbers on to the selected component. You can add up to ten part numbers to any component. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.
Catalog Check | Displays what the selected item looks like in a Bill of Material template.
Cross-Reference
Component override | Overrides the WD_M block settings of the drawing with component-specific cross-reference settings. Click Setup to edit the component cross-reference settings manually.
Reference NO/ Reference NC | A pin list database table is consulted when a part number is added or an existing part number is changed on a parent symbol. If a match on Manufacturer, Catalog, and Assembly values in the database table of the part number is found, the associated contact count and pin number information is retrieved and placed on the parent component. Click NO/NC Setup to view or manually edit pin list data values.
Ratings

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a component. Select Defaults to display a list of default values.

NoteIf Ratings is unavailable, the component you are editing does not carry rating attributes.
Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

Pins

Assigns pin numbers to the pins that are physically located on the component.

For Connectors: Once a connector is inserted onto the block definition of the drawing file, you can edit the connector pins found inside of the connector.

Pins | Displays pairs of pins in the first column, the plug pin values in the second column, and the receptacle pin values in the last column.
Edit | Enter a new pin number value in the edit boxes or click the arrows to either increase or decrease both plug and receptacle values by one.
List | Lists all the pins previously used in the project and the next available pin assignment that can be used.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Multiple bill of material information

This tool allows you to insert or edit extra catalog part numbers on to the currently selected component or footprint. You can add up to 99 additional part numbers to any schematic or panel component on-the-fly. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.

On the Insert/Edit Component or Panel Layout - Component Insert/Edit dialog box, Catalog Data section, click Multiple Catalog.

NoteYou can also access this dialog box by clicking Multiple Catalog on the Copy Catalog Assignment dialog box.

The additional catalog part numbers are saved on the symbol as MFGn/CATn/ASSYCODEn attribute values where "n" is the sequential code value "01" through "99" selected in the top list box. If these attributes are not present on the symbols, AutoCAD Electrical saves the information as Extended Entity Data (Xdata) on the symbol's block insert.

Sequential code

Adds up to 99 extra part numbers (in addition to the main catalog part number). Pick which one you want to add or inspect/edit. Click the list button to show all extra part numbers carried on the component.

Catalog Data

Specifies the catalog part number information such as the manufacturer and catalog number.

Count

Specifies the quantity number for the extra part number (blank=1). This value gets inserted into a BOM report's "SUBQTY" column.

Unit

Specifies the unit of measure, which can be displayed in the component list report.

Parts Catalog Lookup

Lists the catalog database table that is to be referenced for the description information for the given Manufacturer/Catalog/Assembly combination. For each catalog entry, you must provide a name for the catalog look-up table. For the main catalog entry, this information is provided on the symbol itself but may not be there for these catalog entries. Select List to pick from a list of tables that are contained in your catalog database file or Misc to use the MISC_CAT table.

Catalog Lookup

Checks for and displays catalog table information in the Parts Catalog dialog box for the selected component type.

Catalog Check

Quickly performs a Bill of Material check and displays the result.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Multiple catalog part number assignments

This displays the order in which the extra part numbers will appear in the various AutoCAD Electrical reports. You can add up to 99 additional part number assignments to a component.

On the Insert/Edit Component or Panel Layout - Component Insert/Edit dialog box, Catalog Data section, click Multiple Catalog. Click Sequential Code: List on the Multiple Bill of Material Information dialog box.

NoteYou can also access this dialog box by clicking Multiple Catalog on the Copy Catalog Assignment dialog box and then clicking Sequential Code: List.

To change the order, highlight the part number and click Move Up or Move Down to move it in the list.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Tags in use

Displays a listing of all component tags found on the schematic for the project.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, click Tags Used: Schematic.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. In the Insert/Edit Component dialog box, click Tags Used:Schematic.

Sort | Sorts the list by component tag, drawing sequence, or description.
Show parent/stand-alone references | Shows all parent components for related family codes in the project. (Default)
Show child references | Shows the children along with the parent for related family codes in the project.
Show all components for all families | Shows all devices from all families in the project.
Show all panel components | Displays all panel components.
Show one-line components | Shows all one-line components for related family codes in the project.
Freshen | Changes the current drawing visible in the tag list and updates the data in the project database.
Copy Tag | Applies the selected line to the edited component.
Calculate Next | Provides the next available tag (sequence or line reference number) for the device type selected in the dialog box.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Panel tag list

Displays a listing of all component tags found on the panel drawings for the project.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, click Tags Used: Panel.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. In the Insert/Edit Component dialog box, click Tags Used: Panel.

Sort | Sorts the list by component tag, installation code, location code, or sheet number.
Freshen | Changes the current drawing visible in the tag list and updates the data in the project database.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Option: tag format "family" override

AutoCAD Electrical provides a way to override a component tag but still update the reference number portion on a retag.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, click the Options button in the Component Tag area.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. In the Insert/Edit Component dialog box, click the Options button in the Component Tag area.

You can substitute a fixed text string for the %F part of the tag format for a component. Retag can then use the override format value to calculate a new tag for the component. For example, a certain relay component must always have an "MC-R" family tag value instead of "CR" so that retag assigns MC-R100 instead of CR100. To achieve this tag override, enter "MC-R%N" for the tag format.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Component annotation from external file

This tool pulls information from a selected line in an external space or comma-delimited text file and assigns its text to a specific attribute/xdata on the component. The default extension for this file is ".wdx" but can also be ".csv" or ".txt." The file format is free-form.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, click External List. Select the .wdx, .csv, or .txt file to reference and click Open. Select a line of data from the list and click OK.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. In the Insert/Edit Component dialog box, click External List. Select the .wdx, .csv, or .txt file to reference and click Open. Select a line of data from the list and click OK.

Select a value from the list of data elements on the left, then click one of the buttons next to the attribute name to assign the value to.

Overwrite | Overwrites the existing value in the edit box with the selected value.
Add | Adds the selected value to the edit box. The value is appended to any existing value.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Descriptions

Standard Description lists can be created in ASCII text files with a .WDD file extension. You may create project-related list, component family lists, a generic list, or any type of description list.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. Click Defaults in the Description section of the Insert/Edit Component dialog box.

Highlight an entry from the list and click OK, or click Pick File to select a different file and description list.

Descriptions panel | Displays the values for the description file.
Pick File | Selects a different file and description list.
Language | Displays the Language Database file (WD_LANG1.MDB) for the AutoCAD Electrical Language Conversion tool.
Project | Displays a project .wdd file (if not already displayed).
Family | Displays a family .wdd file (if not already displayed). For example, if the component has the family code “PB” for push buttons and a file called PB.WDD exists, it displays when you click Family.
General | Displays a generic file (WD_DESC.WDD) if not already displayed.
Add/Edit | Opens a dialog box for adding or editing description text (DESC1, DESC2, and DESC3) for the file. Enter a value or click Edit File to edit the file using WordPad.
OK-Description 1 | Inserts the selected text into line Description 1. Any existing text in description lines 2 and 3 is left untouched (for example, inserting dual language descriptions).
OK-Description 2 | Inserts the selected text into line Description 2. Any existing text in description lines 1 and 3 is left untouched.
OK-Description 3 | Inserts the selected text into line Description 3. Any existing text in description lines 1 and 2 is left untouched.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Select description from AutoCAD Electrical language table

Opens the current language table for review. The default table is wd_lang1.mdb

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. Click the Defaults button in the Description section of the Insert/Edit Component dialog box, and click Language.

NoteUse the Edit Language Database File tool to modify the language table.
Select language | Selects a predefined language. NoteLanguage matches are not case sensitive, but phrase substitutions are made exactly as entered in the language table.
Phrase list in selected language | Displays a phrase list for the selected language.
Pick language/Phrase to use | Specifies which language to use for the selected phrase.
Pick File | Selects a different file and description list.
Project | Displays a project .wdd file (if not already displayed).
Family | Displays a family .wdd file (if not already displayed). For example, if the component has the family code “PB” for push buttons and a file called PB.WDD exists, it displays when you click Family.
Generic | Displays a generic file (WD_DESC.WDD) if not already displayed.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert schematic components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Select description text format

Specifies how to handle description text in the selected language.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. In the Insert/Edit Component dialog box, Description section, click Defaults. In the Descriptions dialog box, click Language. Select the phrase and language to edit and click OK.

1 Line, 2 Lines, 3 Lines | Specifies whether to display the selected description text in one line or across multiple lines. Examples of what the description looks like appear next to the options.
Manual edit/override | Overrides the selected description text. You can use the default text or type modifications in the edit box. The "|" character forces a line break.
OK [image] Description 1 | Inserts selected description text into the first description text line of the component, leaving any existing text in lines 2 and 3 as is. However, if you selected two Lines above and click OK [image] Description 1, the description text displays in description lines 1 and 2 in the Insert/Edit Component dialog box.
OK [image] Description 2 | Inserts selected description text into the second description text line of the component, leaving any existing text in lines 1 and 3 as is.
OK [image] Description 2,3 | Inserts text starting at the second description text line of the component, leaving any existing text in the first line as is.
NoteThese components are useful for inserting description text in dual languages.


Insert schematic components (Quick Reference)

Insert schematic components
Insert schematic components
Insert or edit child components
Component Tools >
Insert schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Pin numbers in use

Lists all the pins previously used in the project and the available pins that can be assigned to a component. The component tag displays below the title bar in the dialog box.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. In the Insert/Edit Component dialog box, Pins section, click List.

Pin List | The three lists display all available pins to assign to the component. The number in parenthesis () indicates the single or pair of pins for the component. Pins can be Unused NO Pairs, Unused Form-C contacts, and undefined.
Sheet, Reference | Displays the sheet number and potential reference line number where the connector definition is located in the project.
Type | Displays the contact type (for example, "NO" or "NC"). It is the value carried by the CONTACT attribute of the component. If no attribute is present or this attribute is blank, then this field is blank.
Pins | Displays the pin numbers already in use in the project.
Wire Numbers | Displays the wire numbers carried on wires attached to each of the pins above. If no wire connection to the pin, or if the wire does not carry a wire number assignment, then this field is blank.


Insert or edit child components (Quick Reference)

Insert schematic components
Insert or edit child components
Insert or edit child components
Component Tools >
Insert or edit child components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Insert or edit child component

Insert or edit child component: IEC


Insert or edit child components (Quick Reference)

Insert or edit child components
Insert or edit child components
Insert or edit child components
Component Tools >
Insert or edit child components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Insert or edit child component

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the child component type to insert and specify the insertion point on the drawing.

Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI

Select the child component type to insert and select the fence points on the drawing for insertion at each point where the fence crosses an underlying wire.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the child component to edit.

You can go back to any component at any time and make changes.

Component Tag

The parent tag value can be manually typed into the edit box or selected from a drawing-wide or project-wide list of similar components. If the parent is visible on the screen, click Parent/Sibling and select the parent (or another related contact). This transfers all information automatically to the child contact being inserted or edited.

NoteOnly components of the same category are displayed in the Drawing or Project lists. For example, if the child is a one-line component, only one-line components are listed. The category for a component is defined by the WDTYPE attribute value. If this attribute is missing or blank, category "schematic" is assumed.
Ratings

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a component. Select Defaults to display a list of default values.

NoteIf Ratings is grayed out, the component you are editing does not carry rating attributes.
Description

Up to 3 lines of description attribute text can be entered. These lines are automatically filled with a copy of the parent's description text if the parent Tag name is picked using one of the methods above. You can enter descriptions or select a description from a component on the current drawing.

Cross-reference

AutoCAD Electrical automatically fills in cross-reference text when the cross-reference command is run.

NoteIf the Cross-reference edit box is grayed out, the component you are editing does not carry an XREF attribute.
Installation Code

Changes the installation code(s). You can search the current drawing or entire project for installation codes. AutoCAD Electrical does a quick read of all the current or selected drawing files and returns a list of all installation codes used so far. Pick from the list to automatically update the component with the installation code.

Assigning short installation codes to components like "PNL" and "FIELD" allow you to later create installation-specific BOM and component lists.

Location Code

Changes the location code(s). You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing files is done and a list of location codes used so far is returned. Pick from the list to automatically update the component with the location code.

Assigning short location codes to components like "PNL" and "FIELD" allow you to later extract cable from/to reports and location-specific BOM reports (ex: BOM for all field cables, BOM for all PNL cables).

Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

Pins

Assigns pin numbers to the pins that are physically located on the component.

OK-Repeat

(not available when editing components) Inserts the new component onto the drawing and then inserts another 'just like' component.


Insert or edit child components (Quick Reference)

Insert or edit child components
Insert or edit child components
Insert from catalog lists
Component Tools >
Insert or edit child components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Insert or edit child component: IEC

This is Insert/Edit Child Component dialog box for working in IEC mode. If you are working in JIC mode, the dialog box will display differently.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the child component type to insert and specify the insertion point on the drawing.

Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI

Select the child component type to insert and select the fence points on the drawing for insertion at each point where the fence crosses an underlying wire.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the child component to edit.

You can go back to any component at any time and make changes.

Installation

Changes the installation codes. You can search the current drawing or entire project for installation codes. A quick read of all the current or selected drawing files is done and a list of installation codes used so far is returned. Select from the list to automatically update the component with the installation code.

Assign short installation codes to components like "PNL" and "FIELD" so you can create installation-specific BOM and component lists later.

Location

Changes the location codes. You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing files is done and a list of location codes used so far is returned. Select from the list to automatically update the component with the location code.

Assign short location codes to components like "PNL" and "FIELD" so you can extract cable from/to reports and location-specific BOM reports later. (For example, BOM for all field cables, BOM for all PNL cables.)

Component Tag

The parent tag value can be manually typed into the edit box or selected from a drawing-wide or project-wide list of similar components. If the parent is visible on the screen, Click Parent/Sibling and select the parent (or another related contact). This transfers all information automatically to the child contact being inserted or edited.

NoteOnly components of the same category are displayed in the Drawing or Project lists. For example, if the child is a one-line component, only one-line components are listed. The category for a component is defined by the WDTYPE attribute value.
Description

Up to 3 lines of description attribute text can be entered. These lines are automatically filled with a copy of the parent's description text if the parent Tag name is picked using one of the methods described previously. You can enter descriptions or select a description from a component on the current drawing.

Ratings

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a component. Select Defaults to display a list of default values.

NoteIf Ratings is grayed out, the component you are editing does not carry any rating attributes.
Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

Cross-reference

AutoCAD Electrical automatically fills in cross-reference text when the cross-reference command is run.

NoteIf the Cross-reference edit box is grayed out, the component you are editing does not carry an XREF attribute.
Pins

Assigns pin numbers to the pins that are physically located on the component.


Insert a copy of a component (Procedure)

Insert schematic components
Insert a copy of a component
Insert a copy of a component
Component Tools >
Insert a copy of a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert a copy of an existing component

Insert similar components at fence crossing points

Copy a component to fence crossing points


Insert a copy of an existing component (Procedure)

Insert a copy of a component
Insert a copy of a component
Insert a copy of a component
Component Tools >
Insert a copy of a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert a copy of an existing component

Copies a component you select in a drawing to a point you specify, and includes automatic update of the component tag.

A copied component automatically breaks any underlying wires. You can edit the component values brought over from the original component.

  1. Click Schematic tab [image] Insert Components panel [image] Copy Component. Enter AECOPYCOMP at the command prompt.
  2. Select a component from the drawing just like the new one you want to insert.
  3. Select the insertion point.

    This inserts a copy of the symbol you selected and then displays the Insert/Edit Component dialog box, so you can finish annotating the component.

  4. Click OK.


Insert similar components at fence crossing points (Procedure)

Insert a copy of a component
Insert a copy of a component
Insert a copy of a component
Component Tools >
Insert a copy of a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert similar components at fence crossing points

Inserts a component selected from the icon menu at points where the fence you define crosses a wire.

Each point where the fence crosses a wire is an optional insertion point. The operation inserts each component and breaks any underlying wires. You can edit the component values.

  1. Click Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Enter AEMULTI at the command prompt.
  2. Select the component type from the Insert Component: Schematic Symbols dialog box.
  3. Select the component from the selection dialog box.
  4. Select a point above the first wire that you want to process.
  5. Select a point below the final wire for processing, and then right-click to end the command.
  6. With each possible insertion point (that is, fence crossing point with a wire) a dialog box displays, prompting you to decide whether to keep the insertion, keep all of the insertions, or skip to the next one.

    If you keep the insertion point, the regular Insert/Edit dialog box is displayed, where you finish annotating the component.

  7. Click OK to complete the operation.


Copy a component to fence crossing points (Procedure)

Insert a copy of a component
Insert a copy of a component
Insert from catalog lists
Component Tools >
Insert a copy of a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Copy a component to fence crossing points

Inserts copies of a selected component at each point a defined fence crosses a wire.

  1. Click Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Pick Master). Enter AEMULTIPICK at the command prompt.
  2. Select the component to copy.
  3. Select a point above the first wire that you want to process.
  4. Select a point below the final wire for processing, and then right-click to end the command.
  5. With each possible insertion point (that is, fence crossing point with a wire) a dialog box displays, prompting you to decide whether to keep the insertion, keep all of the insertions, or skip to the next one.

    If you keep the insertion point, the regular Insert/Edit dialog box is displayed, where you finish annotating the component.

  6. Click OK to complete the operation.


Insert from catalog lists (Quick Reference)

Insert or edit child components
Insert from catalog lists
Insert from catalog lists
Component Tools >
Insert from catalog lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Schematic component or panel footprint

Add or edit record


Insert components from catalog lists (Procedure)

Insert a copy of a component
Insert from catalog lists
The schematic lookup file
Component Tools >
Insert from catalog lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert components from catalog lists

Use this to annotate the selected schematic (or panel) component with the catalog number or a component description selected from a user-defined pick list and insert it into the drawing.

NoteThis procedure uses schematic tools, but the same procedure can be done using panel tools.
  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Catalog List. Enter AECOMPONENTCAT at the command prompt.
  2. Sort the component list by catalog, description, or manufacturer.
  3. Select the component to insert.
  4. (Optional) Click Edit to make any changes to the catalog record. Modify the record in the Edit Record dialog box and click OK.
  5. (Optional) Click Add to create a new record. If the new record is similar to an existing record, highlight the existing record before you click Add. Modify the record in the Add Record dialog box and click OK.
  6. Click OK.
  7. Specify an insertion point in the active drawing.
  8. Make any changes in the Insert/Edit Component dialog box and click OK.


Insert from catalog lists (Quick Reference)

Insert from catalog lists
Insert from catalog lists
Insert from catalog lists
Component Tools >
Insert from catalog lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Schematic component or panel footprint

Inserts schematic or panel symbols by choosing a catalog number or a component description from a user-defined pick list. The data displayed in this pick list is stored in a database in generic Access format. The file name is wd_picklist.mdb and can be edited with Access or from Add/Edit/Delete along the bottom of the pick list's dialog box. The AutoCAD Electrical normal search path sequence is used to locate this file.

Insert Component (Catalog List)
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Catalog List. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Insert Component (Lists) [image] Insert Component (Catalog List)Does not exist in the menus.
Command entry: AECOMPONENTCAT
Insert Footprint (Catalog List)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Catalog List. Does not exist on the ribbon.
Toolbar: Insert Footprint (Lists)
Menu: Panel Layout [image] Insert Footprint (Lists) [image] Insert Footprint (Catalog List)Does not exist in the menus.
Command entry: AEFOOTPRINTCAT

Both schematic and panel layout symbols can be included in the pick list database but only schematic or panel entries are displayed at a time depending on whether the routine is called from the AutoCAD Electrical or Panel Layout toolbar.

Sort by | Specifies how to sort the record list. You can sort by description, catalog number, or manufacturer code.
Add | Opens a dialog box for creating a record. If the footprint block is not in an AutoCAD or an AutoCAD Electrical search path, include the part of the path that needs to be appended to one of these search paths (or you can enter the full path). If the new record is similar to an existing record, highlight the existing record before you click Add.
Edit | Opens a dialog box for editing a record. Highlight the record and click Edit. Modify the record in the displayed dialog box.
Delete | Removes an existing record.


Insert from catalog lists (Quick Reference)

Insert from catalog lists
Insert from catalog lists
The schematic lookup file
Component Tools >
Insert from catalog lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Add or edit record

Insert Component (Catalog List)
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Catalog List. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Insert Component (Lists) [image] Insert Component (Catalog List)Does not exist in the menus.
Command entry: AECOMPONENTCAT

Click Add or Edit.

Insert Footprint (Catalog List)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Components drop-down [image] Catalog List. Does not exist on the ribbon.
Toolbar: Insert Footprint (Lists)
Menu: Panel Layout [image] Insert Footprint (Lists) [image] Insert Footprint (Catalog List)Does not exist in the menus.
Command entry: AEFOOTPRINTCAT

Click Add or Edit.

NoteWhen you add a record you must indicate if the component or circuit is Schematic or Panel and you need to indicate if it should be inserted as a block or exploded upon insert (as you would for a circuit). Then, at a minimum, you need to define the block name and either the catalog number or description.
Select Schematic or Panel Device

Specifies if the component (or circuit) is Schematic or Panel.

Single block or explode on insert

Specifies if it should be inserted as a block or exploded upon insert (as you would for a circuit).

Minimum of Block Name and either Description or Catalog
  • Block/Assembly/Circuit: The Block value can be a symbol name or AutoLISP expression. If the footprint block is not in an AutoCAD search path or an AutoCAD Electrical search path, include the part of the path that needs to be appended to one of these search paths (or enter the full path to the footprint block). Use Browse to locate the block name.
  • Description: Specifies the optional comment for the footprint record. This is for reference in this file only. It does not get extracted into any AutoCAD Electrical report
  • Catalog: (not used for exploded inserts) The Catalog value may contain wildcards. Wild card characters include:

    * = match any characters

    ? = match any single character

    # = match any single numeric digit

    @ = match any single alphabetic character

    NoteIf the catalog number actually has a character in it like #, then precede it with the ` char, example "F120#10" would be "F120`#10"
Optional Values

(These options are not available for exploded inserts) Options for specifying the manufacturer code, assembly code, and text values. If the catalog information includes an ASSYCODE value, include it in the record to ensure a complete match. If the same footprint is used no matter what the ASSYCODE value is (ex: different combinations of contact blocks on a base relay) then use " * " wildcard character for the ASSYCODE value in the record.

The TEXTVALS value can be used to filter your pick list based on the component's FAMILY code value. For this to work, the text substring "FAMILY=<family code>" needs to be somewhere in each line of text to be displayed. The TEXTVALS field can also be used to auto-fill attribute values on insertion. For example, if the line includes the substring "MFG=AB;CAT=1492;LOC=PNL1" then the MFG, CAT, and LOC edit boxes will auto-fill with the values "AB", "1492", and "PNL1" respectively.


The schematic lookup file (Concept)

Insert from catalog lists
Component Tools
Insert from equipment lists
Component Tools >
The schematic lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The schematic lookup file maps catalog information from a panel component or equipment list to a specific schematic component library symbol. AutoCAD Electrical supplies a starter lookup file called schematic_lookup.mdb in Access ".mdb" file format. Within the database file are tables based on Manufacturer codes. When you select a panel footprint from an AutoCAD Electrical extract file or select a panel footprint from a catalog lookup file, it carries a manufacturer code, on the MFG attribute. AutoCAD Electrical takes this MFG code, goes to the matching table name in the schematic lookup database and tries to find a match on the manufacturer, catalog number and assembly code (if non-blank). If a match is found, AutoCAD Electrical retrieves the component block path/name (or AutoCAD Electrical command list) from the matching record and inserts the schematic component representation into the drawing.

You must expand and modify these tables to meet your specific schematic needs. You can do this using tools provided with AutoCAD Electrical or through the use of a database program that can read/write the Access file format. You may use the MDB file (schematic_lookup.mdb) or a project-specific schematic lookup file, called <project>_schematic_lookup.mdb. If the project-specific .mdb file is used, it needs to be in the same subdirectory as the <project>.wdp file.

Lookup file naming convention: AutoCAD Electrical takes the target footprint's MFG code and looks for a table, in your Access schematic_lookup.mdb file with that name. For example, if the footprint's MFG value is SQD, then AutoCAD Electrical searches for a schematic lookup table called SQD; manufacturer code of AB yields the table name AB.

Lookup file format

All fields contain characters except for RECNUM, which is automatically numbered in the list for you. Fields may be blank and may use wildcards, with the exception of SCHEMATIC_BLKNAM. Each record consists of these fields (in this order):

MANUFACTURER | Manufacturer name (same as attribute value)
CATALOG | Catalog part number
ASSEMBLYCODE | Assembly code part number link
FUNCTION_DESCRIPTION | Assigned description text (DESC1-DESC3)
PANEL_BLKNAM | Block name of the panel footprint insert
CATEGORY | Blank for component queries, 'T' or 'W' for terminal queries
WDBLKNAM | Name used to tie into catalog lookup table (ex. PB11, CR)
SCHEMATIC_BLKNAM | Schematic symbol block name or special insert command flag
COMMENTS | Description of the schematic block name
RECNUM | Record number (automatically numbered in the list)
Table query sequence

Queries on this database can be multi-level until a hit is returned. The first level is a query on the MFG/CAT/ASSYCODE fields. If 0 records are returned, a second query is done on just the CATALOG field (or the CATEGORY field if working with terminals). If 0 records are returned, a third query is done on the WDBLKNAM field. If this fails to return any records, a final query is made on keywords in the FUNCTION_DESCRIPTION field.

Note When querying panel terminals, the second query is on the CATEGORY field, which contains a 'T' or 'W'. This query determines which symbols to display in the Insert dialog box. The 'T' displays a list of terminal symbols for terminal numbers, while the 'W' displays a list of terminal symbols for wire number terminals.

When multiple block name choices are returned, they are displayed in a pick list along with any comments from each matching record. If a match is not found or if matches are found and you choose not to use any of them, the displayed Insert dialog box offers several other options. You can:

  • Pick from AutoCAD Electrical's icon menu
  • Browse to the symbol file (available from the icon menu)
  • Enter a symbol name into the edit box (available from the icon menu)
  • Pick a 'just like schematic component to get the schematic block name


The schematic lookup file (Quick Reference)

Insert from catalog lists
The schematic lookup file
The schematic lookup file
Component Tools >
The schematic lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit

Edit record


Edit schematic lookup files (Procedure)

Insert from catalog lists
The schematic lookup file
Insert from equipment lists
Component Tools >
The schematic lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit schematic lookup files

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Schematic Database File Editor. Enter AESCHEMATICDB at the command prompt.
  2. (Optional) Click Sort to sort the database fields so that you can quickly find the record you are looking for.
  3. (Optional) Click Find or Replace to jump to the next occurrence of the specified text or to replace the existing text.
  4. (Optional) Click Filter to filter the listing based on certain values in the table. After you define the values to filter, apply the filter in the database editing window.
  5. Decide if you want to edit an existing record or add a new one.
    • If you decide to edit an existing record, select the record to edit and click Edit on the Edit dialog box or double-click the record in the list.
    • If you decide to add a new record, click Add New or Add Copy on the Edit dialog box.
  6. Add or edit the record values and click OK.

    Your new record is added to the list. You can also immediately see any changes you made to an existing record.

  7. Click Save/Exit.


The schematic lookup file (Quick Reference)

The schematic lookup file
The schematic lookup file
The schematic lookup file
Component Tools >
The schematic lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit

Use this tool to add or modify records in the schematic_lookup.mdb file to use for mapping panel footprints and terminal representations to the equivalent schematic component block names.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Schematic Database File Editor. Does not exist on the ribbon.
Toolbar: Panel Miscellaneous
Menu: Panel Layout [image] Database File Editor [image] Schematic Database File EditorDoes not exist in the menus.
Command entry: AESCHEMATICDB

This lookup database table is a catalog lookup Access .mdb file that can be expanded as needed. Use either Microsoft Access or this dialog box to add new entries, edit or delete entries from the table.

Sort | Sorts the list of database records using either an alphanumeric sort or number values. You can specify four sorts to perform on the list.
Find | Specifies the value to find and then jumps to the next occurrence of the specified text. This searches in a specific column or in the entire table.
Replace | Indicates to replace the find value with the new text string that you specify.
Filter | Filters the listing based on certain values in the table. Picking the blank entry in the list removes the filter for that field. After you define the values to filter, apply the filter in the database editing window.
Edit | Displays the Edit Record dialog box for modifying the existing record in the database.
Add New | Displays the Edit New Record dialog box for entering a new record into the database.
Add Copy | Displays the Edit Copied Record dialog box for modifying and copying the record to make a new record. You cannot have two duplicate copies in the database.
Delete | Removes the selected record from the database.


The schematic lookup file (Quick Reference)

The schematic lookup file
The schematic lookup file
Insert from equipment lists
Component Tools >
The schematic lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit record

Edit new, existing, or copied records in the schematic_lookup.mdb database.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Schematic Database File Editor. Does not exist on the ribbon.
Toolbar: Panel Miscellaneous
Menu: Panel Layout [image] Database File Editor [image] Schematic Database File EditorDoes not exist in the menus.
Command entry: AESCHEMATICDB

Click Add New, Add Copy, or Edit or double-click on a record in the Edit dialog box.

MANUFACTURER | Manufacturer name (same as attribute value)
CATALOG | Catalog part number
ASSEMBLYCODE | Assembly code part number link
FUNCTION_DESCRIPTION | (Optional) Assigned description text (DESC1-DESC3)
PANEL_BLKNAM | Block name of the panel footprint insert
CATEGORY | Blank for component queries, 'T' or 'W' for terminal queries
WDBLKNAM | Name used to tie into catalog lookup table (ex. PB11, CR)
SCHEMATIC_BLKNAM | Schematic symbol block name or special insert command flag. Click Command List to add a command rather than a single block name.
COMMENTS | Description of the schematic block name


Insert from equipment lists (Concept)

The schematic lookup file
Component Tools
Insert from panel lists
Component Tools >
Insert from equipment lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

This tool lists BOM data extracted from your equipment list and finds the appropriate schematic symbol by querying the schematic_lookup.mdb. It inserts the schematic components at your pick point. Each line or record in the equipment list represents a single entry into the Equipment in dialog box for schematic component selection. The quantity for a selected catalog number is not considered when inserting schematic components.


Insert from equipment lists (Quick Reference)

The schematic lookup file
Insert from equipment lists
Insert from equipment lists
Component Tools >
Insert from equipment lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Settings

Schematic equipment in

Insert


Insert components from equipment lists (Procedure)

The schematic lookup file
Insert from equipment lists
Insert from panel lists
Component Tools >
Insert from equipment lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert components from equipment lists

Use this to annotate the selected schematic (or panel) component with the panel footprint or equipment list data and insert it into the drawing.

NoteThis procedure uses schematic tools, but the same procedure can be done using panel tools.
  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Equipment List. Enter AECOMPONENTEQ at the command prompt.
  2. Select the spreadsheet file to use and click Open.
  3. If multiple sheets/tables were found in the data file, select the table to edit.
  4. Click OK.
  5. On the Settings dialog box, determine whether to use the default settings or select a file of previously saved settings.
    • Default Settings: The View/Edit Settings options become available to modify the default settings. Modify the settings or click OK to continue with the insert using the default settings.
    • Read Settings: Select the file (*.wde) to read the settings from and click Open.
  6. (Optional) Click Spreadsheet/Table columns to define the order of the data in the selected equipment list file.

    On the Equipment List Spreadsheet Settings dialog box, assign column numbers to the data categories (such as Manufacturer, Catalog, and Installation).

  7. (Optional) Click Save Settings to save the settings to a file for later recall.
  8. On the Settings dialog box, click OK.
  9. In the Schematic equipment in (or the Panel equipment in) dialog box, review the components by sorting or performing a catalog check.
  10. Select the component to insert on the drawing.
  11. Make any changes to the scale, orientation, or rotation angle for the component.
  12. Select the method for inserting the component into the drawing:
    • Insert: Finds and inserts a schematic (or panel) component for the highlighted equipment list component.
    • Pick File: Picks a file for the insert. Select an existing AutoCAD Electrical extracted equipment list component list file or extract a fresh copy of panel component data from the database for the current project.
    • Convert Existing: (for Panel components only) Inserts the data for the selected entry on an existing non-AutoCAD Electrical block insert. This instantly converts the block to a smart AutoCAD Electrical footprint.
  13. In the Insert dialog box, select the block name to insert from the list.
  14. Click OK.


Insert from equipment lists (Quick Reference)

Insert from equipment lists
Insert from equipment lists
Insert from equipment lists
Component Tools >
Insert from equipment lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Settings

This spreadsheet organizes the selected user-created equipment list and presents the list in a pick list. As you pick an item from the pick list, the appropriate schematic symbol is found and inserted in the drawing at your pick point. Your equipment list can be an AutoCAD Electrical-generated Component report, or it can be a list of motors giving horsepower and starter type along with motor ID and descriptions.

NoteYou can open a comma-delimited file, Excel spreadsheet, or Access database file for input.
Insert Component (Equipment List)
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Equipment List. Does not exist on the ribbon.
Toolbar: Insert Component (Lists)
Menu: Components [image] Insert Component (Lists) [image] Insert Component (Equipment List)Does not exist in the menus.
Command entry: AECOMPONENTEQ

Select the spreadsheet file to use and click Open. Click the table to edit and click OK.

Insert Footprint (Equipment List)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Equipment List. Does not exist on the ribbon.
Toolbar: Insert Footprint (Lists)
Menu: Panel Layout [image] Insert Footprint (Lists) [image] Insert Footprint (Equipment List)Does not exist in the menus.
Command entry: AEFOOTPRINTEQ

Select the spreadsheet file to use and click Open. Click the table to edit and click OK.

Default settings | Uses the default settings for managing equipment lists.
Read settings | Reads and uses the settings for a previously saved file.
Spreadsheet/Table columns | Defines the order of the data in the selected equipment list file. Assign column numbers to data categories (such as Manufacturer, Catalog, and Installation) in the Equipment List Spreadsheet Settings dialog box.
Save settings | Saves the column information in a text file to be reused. The filename is user-defined with the extension WDE.


Insert from equipment lists (Quick Reference)

Insert from equipment lists
Insert from equipment lists
Insert from equipment lists
Component Tools >
Insert from equipment lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic equipment in

You can select to insert a single schematic component or multiple components from the equipment list.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Equipment List. Does not exist on the ribbon.
Toolbar: Insert Component (Lists)
Menu: Components [image] Insert Component (Lists) [image] Insert Component (Equipment List)Does not exist in the menus.
Command entry: AECOMPONENTEQ

Select the spreadsheet file to use and click Open. Specify to use default or previously saved settings and click OK.

Sort List

Sorts the list of components. You can specify four sorts to perform on the list.

Catalog Check

Performs a Bill of Material check and displays the result. This is enabled if the selected equipment list item contains catalog data.

TAG Options

Specifies whether to use the component tag as listed in the equipment list or recalculate the schematic tag based on the tagging settings of the drawing. When a component that doesn't have a tag is selected from the list, this switch is automatically set to Use auto-generated schematic TAG.

Use auto-generated schematic TAG | Modifies the schematic component tag based upon the drawing settings.
Use Equipment List TAG | Maintains the tag as defined in the component listing and sets the tag to fixed in the schematic.
Scale

Specifies the block insert scale. (1.0 = full)

Vertical/Horizontal

Changes the default drawing orientation.

Insert

Finds and inserts a schematic component for the highlighted equipment list component. The query of the schematic_lookup.mdb file returns one or more block names based on data that appears in the pick list. The results are displayed in the Insert dialog box along with a short description of each choice.

Pick File

Picks a file for the insert. Select an existing AutoCAD Electrical extracted equipment list component list file or extract a fresh copy of panel component data from the current project's database.


Insert from equipment lists (Quick Reference)

Insert from equipment lists
Insert from equipment lists
Insert from panel lists
Component Tools >
Insert from equipment lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert

This dialog box displays the result of a query on the schematic_lookup.mdb file. Select the appropriate block to insert from the list and click OK. The selected schematic component is then annotated with the panel footprint or equipment list data and inserted into the drawing. You can also select one of the methods below to insert an alternative symbol.

Click Insert on the Panel terminals, Panel components, or Schematic equipment list in dialog boxes.

Icon Menu | Displays the icon menu from which you can select the schematic component to insert. This is different than the schematic symbols in the list and should not be considered another way to select the same components.
Copy Component | Copies a "just like" component and annotates it with the panel data.


Insert from panel lists (Concept)

Insert from equipment lists
Component Tools
Manipulate Components
Component Tools >
Insert from panel lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Let your project set of panel layout drawings help drive the schematic wiring diagrams. AutoCAD Electrical finds a match for the panel footprint in the schematic lookup database to determine the correct schematic symbol to insert.

If a copy of the panel data is not in memory, then AutoCAD Electrical prompts you to select which panel data you want to extract. Make your selection in the dialog box and click OK. A list of all panel footprints is extracted. Select from the panel list and place the schematic symbol on the wiring diagram.


Insert from panel lists (Quick Reference)

Insert from equipment lists
Insert from panel lists
Insert from panel lists
Component Tools >
Insert from panel lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel layout list -> schematic components insert

Panel components

Panel terminal list -> schematic terminals insert

Panel terminals


Insert components or terminals from panel lists (Procedure)

Insert from equipment lists
Insert from panel lists
Manipulate Components
Component Tools >
Insert from panel lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert components or terminals from panel lists

After the schematic component is selected and inserted in the drawing, all panel-related information is copied to the schematic. Use the Insert/Edit Component dialog box to make any additional changes to the new schematic component.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Panel List. Enter AECOMPONENTPNL at the command prompt.

    or to insert terminals

    Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Terminal (Panel List).Enter AETERMINALPNL at the command prompt.
  2. Specify whether to extract the panel component/terminal list for the active drawing or the active project.
  3. Specify any installation or location codes to extract.
  4. Click OK.
  5. If you are extracting for the entire project, select which drawing files to process, and click OK.
  6. On the Panel Components (or Panel Terminals) dialog box, select from the list of panel components/terminals to insert the schematic symbol on the schematic drawing.

    To modify the pick list so you can easily find the component or terminal to select, click Sort List, Display, or Mark Existing.

  7. Click Insert.
  8. On the Insert dialog box, select which block name to insert from the list.

    If you want to insert an alternative block that is not in the list, click Icon Menu to select a component from the icon menu or click Copy Component to insert a component 'just like' another existing component.

  9. Click OK.
  10. Select the insertion point on the drawing.
  11. Make any changes to the inserted component in the Insert/Edit Component dialog box and click OK.


Insert from panel lists (Quick Reference)

Insert from panel lists
Insert from panel lists
Insert from panel lists
Component Tools >
Insert from panel lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel layout list -> schematic components insert

This tool lists panel components extracted from your panel drawing, finds the appropriate schematic symbol, and inserts the schematic components at your pick point.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Panel List. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Insert Component (Panel List)Does not exist in the menus.
Command entry: AECOMPONENTPNL
Extract component list for | Specifies to export the data for the active drawing or the entire active project.
Save list to external file | Creates a comma-delimited file of the panel component data. The extracted file name is the same as the project by default (project_name.WD4). You can display this data in spreadsheet format (open it in comma-delimited "CSV" format), edit, and then save.
Browse | Uses a previous project's panel component list to create a spreadsheet listing. After the initial extraction, a list of panel components displays for selection.
Installation Codes to extract | Extracts only the information for components with specific installation values. Once you pick Named Installations, you can type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes.
Location Codes to extract | Extracts only the information for components with specific location values. Once you pick Named Location, you can type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes.


Insert from panel lists (Quick Reference)

Insert from panel lists
Insert from panel lists
Insert from panel lists
Component Tools >
Insert from panel lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel components

This presents a list of all panel components extracted from the project's panel layout drawings. As you pick an item from the pick list, the appropriate schematic symbol is found and inserted in the drawing at your pick point. After the selection of the schematic component and the annotation of the device tag, all panel-related information such as descriptions, installation, and location codes are copied to the schematic.

You can select to insert a single schematic component or multiple components from the panel list.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Panel List. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Insert Component (Panel List)Does not exist in the menus.
Command entry: AECOMPONENTPNL

Select Project and click OK. Select the files to process and click OK.

Sort List

Sorts the list of panel components. You can specify four sorts to perform on the list.

Reload

Reopens the Panel Layout List [image] Schematic Components Insert dialog box so you can re-extract data or select a saved external file to use.

Mark Existing

Matches panel components extracted from the project database with schematic components previously placed into the drawing and marks any existing components. An "x" displays in left-hand column for any listed panel component tag that already has its schematic component inserted on the drawing and there is an exact match on catalog and manufacturer values between the two. An "o" displays if the tags match but there is mismatch on catalog and manufacturer values between the two.

Display

Specifies to show all extracted panel data or hide the panel data that has a matching schematic component.

Catalog Check

Performs a Bill of Material check and displays the result. This is enabled if the selected panel item contains catalog data.

TAG Options

Specifies whether to use the panel tag as is, or recalculate the schematic tag based on the tagging settings of the drawing. When a component that doesn't have a tag is selected from the list, this switch is automatically set to Use auto-generated schematic TAG.

Use auto-generated schematic TAG | Modifies the schematic component tag based on the drawing settings. If a new tag is generated when inserting the schematic component, the source panel footprint is updated with the generated tag. The active drawing is automatically updated, while updates on other drawings are maintained inside of the update task file (project_name.upd) for later modification of the panel drawings to match the new schematic component tag.
Use panel footprint TAG | Maintains the tag as defined in the panel component listing and sets the tag to fixed in the schematic.
Scale

Specifies the block insert scale. (1.0 = full) The drawing scale is used as the default.

Vertical

Changes the default drawing orientation.

Insert

Finds and inserts a schematic component for the highlighted panel component. The query of the schematic_lookup.mdb file returns one or more block names based on data that appears in the pick list. The results are displayed in the Insert dialog box along with a short description of each choice.

Pick File

Picks a file for the insert. Select an existing AutoCAD Electrical extracted panel component list file or extract a fresh copy of panel component data from the current project's database.


Insert from panel lists (Quick Reference)

Insert from panel lists
Insert from panel lists
Insert from panel lists
Component Tools >
Insert from panel lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel terminal list -> schematic terminals insert

This report provides error checking between the schematics and the panel layout drawings. The program looks at the selected drawings, both schematic and panel, looking for a match. For each panel component, the routine tries to find a matching schematic component based on tag, location, and installation information. If a match is found, then it compares catalog information looking for any discrepancies.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Terminal (Panel List). Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Insert Terminal (Panel List)Does not exist in the menus.
Command entry: AETERMINALPNL
Extract terminal list for | Specifies to export the data for the active drawing or multiple drawings in the active project.
Save list to external file | Creates a comma-delimited file of the panel component data. The extracted file name is the same as the project by default (project_name.WD4). You can display this data in spreadsheet format (open it in comma-delimited "CSV" format), edit, and then save.
Browse | Uses a previous project's terminal list to create a spreadsheet listing. After the initial extraction, a list of terminals displays for selection.
Installation Codes to extract | Extracts only the information for panel terminals with specific installation values. Once you pick Named Installation, you can type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes.
Location Codes to extract | Extracts only the information for panel terminals with specific location values. Once you pick Named Location, you can type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes.


Insert from panel lists (Quick Reference)

Insert from panel lists
Insert from panel lists
Manipulate components
Component Tools >
Insert from panel lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel terminals

This presents a list of all panel terminals extracted from the project's panel layout drawings. As you pick an item from the pick list, the appropriate schematic terminal is found and inserted in the drawing at your pick point. After the selection of the schematic terminal and the annotation of the device tag, all panel-related information such as descriptions, installation, and location codes are copied to the schematic.

You can select to insert a single terminal block or multiple terminal blocks from the panel list.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Terminal (Panel List). Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Insert Terminal (Panel List)Does not exist in the menus.
Command entry: AETERMINALPNL

Select Project and click OK. Select the files to process and click OK.

Sort List | Sorts the list of panel terminals. You can specify four sorts to perform on the list.
Reload | Reopens the Panel Terminal List [image] Schematic Terminals Insert dialog box so you can re-extract data or select a saved external file to use.
Mark Existing | Matches schematic components extracted from the project database with panel terminal components and marks any existing components. An "x" displays in left-hand column for any listed panel component tag that already has its schematic inserted on the drawing and there is an exact match on catalog and manufacturer values between the two. An "o" displays if the tags match but there is mismatch on catalog and manufacturer values between the two.
Display | Specifies to show all extracted panel data or hide the panel data that has a matching schematic component.
Catalog Check | Performs a Bill of Material check and displays the result. This is enabled if the selected panel terminal contains catalog data.
Last symbol used | Displays the last symbol selected through the insert process. You can clear the selection and go back through the insert process to select the schematic terminal symbol or you can automatically insert the last symbol used by not making any changes.
Scale | Specifies the block insert scale. (1.0 = full)
Rotate | Changes the default drawing orientation.
Insert | Finds and inserts a schematic terminal for the highlighted panel terminal. A query of the schematic_lookup.mdb file returns one or more block names based on data that appears in the pick list. The results are displayed in the Insert dialog box along with a short description of each choice.
Pick File | Specifies to pick a file for the insert. Select an existing AutoCAD Electrical extracted panel terminal list file or extract a fresh copy of panel component data from the current project's database.


Manipulate Components

Insert from panel lists
Component Tools
Manipulate components
Component Tools >
Manipulate Components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Manipulate components

    Split block

  • Annotate ratings attributes

    Ratings defaults


Manipulate Components (Procedure)

Insert from panel lists
Manipulate Components
Manipulate components
Component Tools >
Manipulate Components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Delete components

Scoot components/wire segments

Align components/wire numbers

Move components

Stretch PLC modules

Split PLC modules

Reverse/flip components

Annotate ratings attributes


Manipulate components (Concept)

Manipulate Components
Manipulate Components
Annotate ratings attributes
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can manipulate components by moving, stretching, splitting, aligning, or deleting them.

Delete components

The Delete Component command lets you remove the selected component. The broken wires are repaired and any resulting instances of multiple wire numbers now assigned to a single wire network are reconciled. In the case of a child contact, AutoCAD Electrical looks for its parent on the current drawing and removes the deleted contact from the parent's cross-reference annotation (if the parent is on some other drawing then a separate run of the Cross-reference command may be required on the drawing set). If you erase a parent schematic component you will have the option to search for related child components, surf to them, and optionally delete them.

Scoot components/wire segments

The Scoot command lets you quickly reposition components and wire segments. Select directly on a component to slide just that component along its connected wire(s). Wires remain connected to components and existing wire numbers re-center. The component’s movement will be constrained along the wire segment. To scoot a ladder rung, including all its components and wire numbers, select directly on any wire segment that makes up the rung. Scoot works on wire numbers, components, terminals, PLC I\O modules, jogs in dashed link lines, signal arrows, wires, and wires with wire-crossing loops.

NoteComponents constrained by connected wiring at right angles will not scoot.

Align components/wire numbers

The Align Components command aligns the selected component with a master component that you select. All connected wires will be adjusted, and wire numbers re-centered if necessary. You can align vertically or horizontally by flipping the command with a V or H character and a [space] entered on the command line.

NoteThe Align Component command can be used on panel layout symbols.

Move components

The Move Component command removes the selected component from its current location/wire connection and inserts it into the new position you pick. AutoCAD Electrical uses a rotated version of the symbol, if necessary, as it breaks and reconnects any underlying wires. AutoCAD Electrical attempts to repair the broken wires and reconcile multiple wire numbers left over in the component's vacated position. If you use this command and select on a panel footprint, AutoCAD Electrical issues the normal AutoCAD Move command.

Move component attributes

The Move/Show Attributes command removes the selected attribute from its current location and inserts it into the new position you pick. If you accidentally pick on the block's graphics instead of an attribute, this move command will kick into the attribute Display/Edit mode instead.

Stretch PLC modules

The Stretch PLC Module command is a very handy feature, especially for PLC modules. Let's say you have a PLC module and you need to add a couple components in parallel on a particular rung and you did not leave enough room between the I/O points. What do you do? You could erase everything and rebuild the module and then reinsert the components, redo the wiring, etc. or you could use the Stretch PLC Module command.

NoteThe block name itself is changed to make it unique.

Split PLC modules

The Split PLC Module command is especially handy for splitting PLC modules once they have been built or inserted. Maybe you need to move the last few I/O terminal points to another ladder to make room for some other devices.


Manipulate components (Procedure)

Manipulate Components
Up a level to ..
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Delete components

Scoot components/wire segments

Align components/wire numbers

Move components

Stretch PLC modules

Split PLC modules

Reverse/flip components


Manipulate components (Quick Reference)

Insert from panel lists
Manipulate components
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Split block

Reverse/flip component


Delete components (Procedure)

Manipulate components
Up a level to ..
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Delete components

Deletes the components you select, and corrects resulting wire gaps.

For a child contact, Delete Component updates the cross-reference on the parent. If you erase a parent schematic component, you have the option to search for related components and delete them.

  1. Click Schematic tab [image] Edit Components panel [image] Delete Component. Enter AEERASECOMP at the command prompt.
  2. Select the components to delete.
  3. Press Enter.
NoteIf you erase a parent schematic component, you have the option to search for related child components, surf to them, and delete them.


Scoot components/wire segments (Procedure)

Manipulate components
Up a level to ..
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Scoot components/wire segments

Scoots wire numbers, components, wire segments, link lines, PLC text, and signal arrows.

Scoot quickly repositions components and wire segments. Click a component to slide just that component along its connected wires. Wires remain connected and existing wire numbers center themselves. To scoot a ladder rung, including all its components and wire numbers, click any wire segment.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Scoot . Enter AESCOOT at the command prompt.
  2. Select the component to scoot along its connected wires or select the wire segment to scoot the entire wire, including components, along the bus. A rectangle indicates the selected items.
  3. Move your cursor to the appropriate position and click. The items scoot and reconnect.
NoteYou can run the Auto-Retag operation on the components if they move to a new line reference, or update the child cross-references only.


Align components/wire numbers (Procedure)

Manipulate components
Up a level to ..
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Align components/wire numbers

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Align. Enter AEALIGN at the command prompt.
  2. Select the master component to align with. A temporary line appears showing the alignment position.
  3. Select the components to move into alignment with the selected master component. You can select the components individually or by windowing.

    All connected wires are adjusted, and wire numbers recentered if necessary. You can align vertically or horizontally by flipping the command with a V or H character and a [space] entered on the command line.


Move components (Procedure)

Manipulate components
Up a level to ..
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Move components

Moves a component you select in a drawing to a point you specify, and includes automatic update of the component tag.

A Move Component operation breaks and reconnects any underlying wires, and inserts a rotated version of the symbol, if necessary. It repairs broken wires and removes unnecessary wire numbers left in the position the component vacated.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Move Component. Enter AEMOVE at the command prompt.
  2. Select the component to move.
  3. Select the insertion point for the move. The component automatically moves to the selected position.


Stretch PLC modules (Procedure)

Manipulate components
Up a level to ..
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Stretch PLC modules

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Stretch PLC Module. Enter AESTRETCHPLC at the command prompt.
  2. Select the blocks to stretch using a crossing window or crossing polygon window.
  3. Press Enter.
  4. Select your base and second point of displacement.

    The exploded blocks stretch and are then rebuilt (maintaining all the original block information, including attributes).


Split PLC modules (Procedure)

Manipulate components
Up a level to ..
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Split PLC modules

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Split PLC Module. Enter AESPLITPLC at the command prompt.
  2. Select the block to split.
  3. Select the split point or enter “M” to select the objects for the new child component using a crossing window or crossing polygon.

    Keep windowing until all objects are selected. To cancel the selection of any object, press U and select as usual.

  4. Define the origin point for the new block. You can enter the coordinates or click Pick Point and select the origin point on the drawing.
  5. Set the break type: no lines, straight lines, jagged lines, or draw it.
  6. (Optional) Select to reposition the child block to move it as part of this command.
  7. Click OK.
  8. To reposition the child block, select a point on the screen to place the block.


Manipulate components (Quick Reference)

Manipulate components
Manipulate components
Manipulate components
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Split block

Use this tool to split blocks or parametric connectors into 2 separate block definitions (for example, parent and a child or a child and another child).

Split PLC Module
Ribbon: Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Split PLC Module. Does not exist on the ribbon.
Toolbar: Scoot
Menu: Components [image] Component Miscellaneous [image] Split PLC ModuleDoes not exist in the menus.
Command entry: AESPLITPLC

Select the block to split and specify the split point.

Split Connector
Ribbon: Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Split Connector. Does not exist on the ribbon.
Toolbar: Insert Connector
Menu: Components [image] Insert Connector [image] Split ConnectorDoes not exist in the menus.
Command entry: AESPLIT

Select the connector to split and specify the split point.

Child Base Point | Specifies the origin point for the new block. The default is in-line with the first set of pins on the split-off piece. If you do not want to accept the default, enter the coordinates or click Pick Point and select the origin point on the drawing.
Break Type | Specifies the break type: no lines, straight lines, jagged lines, or draw it. The default is set to jagged lines. Click Draw to manually draw the break type on the drawing.
Layer | Specifies the layer for the child block. You can accept the default or click List to select the layer from a list of existing layers.
Reposition Child Block | Specifies to reposition the child block to move it as part of this command.


Reverse/flip components (Procedure)

Manipulate components
Up a level to ..
Annotate ratings attributes
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverse/flip components

Use this tool to reverse or flip selected component graphics and its associated attributes.

NoteThis tool only operates on a component with 2-wire connections (for example, limit switch contact symbol).
  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Reverse/Flip Component. Enter AEFLIP at the command prompt.
  2. Select whether to reverse or flip the component.
    NoteComponents are reversed perpendicular to the axis formed by the two wire connections or flipped along the axis of the wire connection.
  3. (Optional) Select to reverse or flip the graphics only.


Manipulate components (Quick Reference)

Manipulate components
Manipulate components
Annotate ratings attributes
Component Tools > Manipulate Components >
Manipulate components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverse/flip component

This tool reverses or flips selected component graphics and its associated attributes.

NoteThis tool only operates on a component with 2-wire connections (for example, limit switch contact symbol).
Ribbon: Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Reverse/Flip Component. Does not exist on the ribbon.
Toolbar: Scoot
Menu: Components [image] Reverse/Flip ComponentDoes not exist in the menus.
Command entry: AEFLIP
Reverse | Reverses the component graphics and the attributes perpendicular to the axis formed by the two wire connections.
Flip | Flips the component graphics and the attributes along the axis of the wire connection (for example, from top-side of the wire to the bottom and vice versa).
Graphics only | Specifies to reverse or flip only the graphics; component attributes are not modified.


Annotate ratings attributes (Procedure)

Manipulate components
Up a level to ..
Swap contact states
Component Tools > Manipulate Components >
Annotate ratings attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Annotate ratings attributes

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  2. Click the Show All Ratings button in the Insert/Edit Components dialog box.

    The View/Edit Rating Value dialog box displays, letting you enter values for each ratings attribute.

  3. Click the Defaults button next to the edit box to display the list of default values.
  4. Select a line from the file to map its values to the available rating attributes.

    Notice that a single line may carry multiple values with each value separated by a "|" character. Any text that follows a semi-colon is considered a comment and will be ignored.

  5. Choose whether to select a different file or add a new entry to the ratings defaults file.
  6. Click OK to finish the operation.

You may create multiple .WDR files. AutoCAD Electrical will look for a generic defaults file called WD_RATINGS.WDR stored in the AutoCAD Electrical support directory. You may also create a project specific file with the same name and path as the project with the .WDR extension. You may also have Family specific files named for the Family code of the component with the .WDR extension. For example, if the component has the family code "PB" for push buttons and a file called PB.WDR exists, it will display when you select the "Family" button.

NoteIf the Show All Ratings button is disabled, the component you are editing does not have a rating attribute.


Annotate ratings attributes (Quick Reference)

Manipulate components
Annotate ratings attributes
Cross-Referencing
Component Tools > Manipulate Components >
Annotate ratings attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Ratings defaults

AutoCAD Electrical allows up to 12 Ratings attributes on a component. To help you annotate these attributes AutoCAD Electrical lets you pick from a list of defaults. To take advantage of this feature you need to create/modify a text file with a .WDR extension. This file is a simple text file and can be edited with any editor such as WordPad.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Click the Show All Ratings button, and then click Defaults.

Ratings panel | Displays the values for the rating attribute.
Pick File | Selects a different file and description list.
Project | Displays a project .WDD file (if it is not already displayed).
Family | Displays family-specific files named for the Family code of the component. For example, if the component has the family code "PB" for push buttons and a file called PB.WDD exists, it will display when you select the Family button.
Generic | Displays a generic file (WD_DESC.WDD) if it is not already displayed.
Add/Edit | Adds a new entry to the rating defaults file. Enter a value in the dialog box or click Edit File to edit the file using WordPad.


Swap contact states (Procedure)

Annotate ratings attributes
Swap contact states
Component Cross-References
Component Tools >
Swap contact states
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Swap contact states

Switches a selected component between the Normally Open and Normally Closed contact states.

The program looks at the selected contact, reads its block name, and checks the fifth character for either 1 or 2. It looks for a matching block name with the opposite 1 or 2, and swaps this block for the existing block.

  1. Click Schematic tab [image] Edit Components panel [image] Toggle NO/NC. Enter AETOGGLENONC at the command prompt.
  2. Select the component to toggle.
  3. (Optional) Type Ctrl + Z to undo the contact swap if you selected the wrong component.

    Existing attribute text is preserved on the flipped contact. If the maximum contact counts are carried by the parent symbol, the maximum counts are checked so that they are not exceeded by the flip.


Component Cross-References

Swap contact states
Component Tools
Cross-Referencing
Component Tools >
Component Cross-References
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Cross-Referencing

    Component cross-reference

  • Check coil/contact count

    Component reference listing

  • Overview of cross-reference settings

    Cross-reference component override

  • Overview of graphical cross-reference formats

    Graphical cross-reference format setup

  • Overview of table cross-reference formats

    Edit cross-reference symbol mapping table

  • Update cross-reference tables
  • Use stand-alone cross-reference symbols

    Stand-alone source or destination cross-reference symbol


Component Cross-References (Procedure)

Swap contact states
Component Cross-References
Cross-Referencing
Component Tools >
Component Cross-References
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Cross-Reference

Surfing on Cross-Reference Exception reports

Change cross-reference visibility

Exclude contacts when cross-referencing

Set cross-referencing display

Set cross-referencing display

Insert stand-alone cross-reference symbols

Create stand-alone cross-reference symbols


Cross-Referencing (Concept)

Component Cross-References
Component Cross-References
Check coil/contact count
Component Tools > Component Cross-References >
Cross-Referencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cross-referencing is based on collecting and annotating groups of components that carry the same TAG text string value (for example, 101CR). Components do not have to be of the same family to be cross-referenced, but they must have the same TAG1/TAG2/TAG_*/TAG attribute values.

Cross-reference data is annotated on to attributes XREFNO and XREFNC for N.O and N.C. references respectively. Alternately, if attribute XREF is present, both N.O. and N.C. references are combined into a single cross-reference text string.

The AutoCAD Electrical Component Cross-reference tool creates two text reports in the process of annotating components with cross-reference information. The Cross-reference report gives a listing of each component and quantity and locations of child contacts. The Exception/Error report lists the exceptions AutoCAD Electrical found as it processed the drawing or drawing set. Exceptions include child contact with no parent and parent relay coil with no child contacts found.


Cross-Referencing (Procedure)

Component Cross-References
Up a level to ..
Cross-Referencing
Component Tools > Component Cross-References >
Cross-Referencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cross-Reference

Surfing on Cross-Reference Exception reports

Change cross-reference visibility

Exclude contacts when cross-referencing


Cross-Reference (Procedure)

Cross-Referencing
Up a level to ..
Cross-Referencing
Component Tools > Component Cross-References >
Cross-Referencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cross-Reference

  1. Click Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Component Cross-Reference. Enter AEXREF at the command prompt.
  2. Select to process:
    • Project - select from a list of project drawings to process.
    • Active drawing (all) - process all components on the active drawing.
    • Active drawing (pick) - select components to process.
  3. Click OK.
  4. If Active drawing (all) is not selected, select the components or drawings to process.

    The components are cross-referenced and the Cross-Reference Report or Error/Exception Report dialog box displays.

  5. Select from the options:
    • Cross-reference - display the Cross-Reference Report which gives a listing of each component and quantity and locations of child contacts.
    • Exception - display the Error/Exception Report which lists the exceptions found. Exceptions include child contacts with no parent and parent relay coils with no child contacts.
    • Surf - surf to components listed in the Error/Exception report.
    • Print - print the displayed report.
  6. Click Close.


Surfing on Cross-Reference Exception reports (Procedure)

Cross-Referencing
Up a level to ..
Cross-Referencing
Component Tools > Component Cross-References >
Cross-Referencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surfing on Cross-Reference Exception reports

  1. Click Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Component Cross-Reference. Enter AEXREF at the command prompt.
  2. Select to process: the project, active drawing, or selected components.
    • Project - select from a list of project drawings to process.
    • Active drawing (all) - process all components on the active drawing.
    • Active drawing (pick) - select components to process.
  3. Click OK.
  4. If the Active drawing (all) option is not selected, select the components or drawings to process.

    The components are cross-referenced and the Cross-Reference Report or Error/Exception Report dialog box displays.

  5. Select Exception to display the Error/Exception Report.
  6. Select Surf.

    AutoCAD Electrical changes to surfer mode.

  7. Double-click any listed error/exception entry in the Surf dialog box. AutoCAD Electrical surfs to the appropriate drawing and zooms up on the offending contact.
  8. Click Edit to correct the error, and then surf to the next one.


Change cross-reference visibility (Procedure)

Cross-Referencing
Up a level to ..
Cross-Referencing
Component Tools > Component Cross-References >
Cross-Referencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Change cross-reference visibility

This tool changes the visibility of the cross-reference XREF attribute. In most cases, the cross-referencing should be visible but there are times when you may not want the cross-referencing displayed on parent symbols.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Hide/Unhide Cross-Referencing. Enter AEHIDEXREF at the command prompt.
  2. Select the objects whose cross-referencing you want to hide or display. Single selection, window selection, or multiple selection is allowed.
  3. Right-click to end the selection and apply the command.


Exclude contacts when cross-referencing (Procedure)

Cross-Referencing
Up a level to ..
Overview of cross-reference settings
Component Tools > Component Cross-References >
Cross-Referencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Exclude contacts when cross-referencing

You can exclude the contact from being included in any AutoCAD Electrical cross-reference text annotation.

  1. Enter ATTEDIT at the command line.
  2. Select the contact that you want to exclude from cross-referencing.
  3. Change the CONTACT attribute value to “NULL”.
  4. Click OK.
NoteRun the Cross-reference command to update the cross-referencing on the parent symbol.


Cross-Referencing (Quick Reference)

Annotate ratings attributes
Cross-Referencing
Check coil/contact count
Component Tools > Component Cross-References >
Cross-Referencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component cross-reference

Adds or updates cross-reference text on related parent and child components.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Component Cross-Reference. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Components [image] Cross-Reference [image] Component Cross-ReferenceDoes not exist in the menus.
Command entry: AEXREF

The drawing properties define the cross-referencing format. Component Cross-reference creates both a listing of each component with the quantity and locations of child contacts, and an exception report.

Cross-referencing is based upon collecting and annotating groups of components that carry the same TAG text string value (such as "101CR"). Components do not have to be of the same family to be cross-referenced; they must have the same TAG1/TAG2/TAG_*/TAG attribute values.

Cross-reference data is annotated on to attributes "XREFNO" and "XREFNC" for N.O and N.C. references respectively. Alternately, if attribute XREF is present, both N.O. and N.C. references are combined into a single cross-reference text string.

Run Cross-Reference on | Specifies to run the report on selected components, the current drawing, or the entire project.
Cross-reference | Displays the last Cross-Reference report.
Exception | Displays the last Exception/Error report.
Using other dialog boxes to set cross-reference options
  • The cross-reference format is set up on the Drawing Properties [image] Cross-Reference dialog box. It is on a per-drawing basis and can include sheet and drawing ID, line or grid-reference location, and fixed punctuation.
  • A project-wide option to fill unused contact references with a user-defined text string is available using the Project Manager tool. Right-click the project name and select Properties. In the Project Properties [image] Cross-References dialog box, Component Cross-Reference Display section, select Text Format and click Setup.
  • Real-time cross-reference update can be turned on or off on the Project Properties [image] Cross-References dialog box.


Check coil/contact count (Concept)

Cross-Referencing
Component Cross-References
Overview of cross-reference settings
Component Tools > Component Cross-References >
Check coil/contact count
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Using the Cross-Reference Check tool, AutoCAD Electrical first extracts a complete list of components from the project drawing set. Then it prompts you to select a component to check. AutoCAD Electrical reads the tag of the component, finds all associated child components, and lists them in a dialog box. It also displays the assigned catalog number of the parent (if one exists). You can do a catalog check to see if the description of the item indicates that the quantity of contacts can be accommodated.


Check coil/contact count (Quick Reference)

Cross-Referencing
Check coil/contact count
Overview of cross-reference settings
Component Tools > Component Cross-References >
Check coil/contact count
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Component reference listing

The Cross-Reference Check tool displays all associated and parent components to the selected component.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Cross-Reference Check. Does not exist on the ribbon.
Toolbar: Cross-Reference
Menu: Components [image] Cross-Reference [image] Cross-Reference CheckDoes not exist in the menus.
Command entry: AEXREFCHECK

A complete list of components is extracted from the project drawing set. The tag of the component is read, then all associated components are found and listed in the dialog box. A bill of material check can be performed to see if the description of the item indicates that the quantity of contacts can be accommodated.

References
  • N.O. references: Lists the number of normally open contacts assigned to the selected component.
  • N.C. references: Lists the number of normally closed contacts assigned to the selected component.
  • Other references: Lists the number of child devices that are neither NO or NC contacts. They can include pins of a connector, form C contacts, or general devices that are being referenced.
  • Reference listing: Lists the type, number, location, installation, and description text for the reference.
Parent Information
  • Manufacturer code: Lists the associated manufacturing code of the parent (if one exists).
  • Catalog number: Lists the associated catalog number of the parent (if one exists).
  • Assembly code: Lists the associated assembly code of the parent (if one exists).
  • Catalog Check: Creates a BOM description for the selected component using the catalog number of the parent component.

    Comparing the description (2 available) with the contact count (3 required) reveals a needed adjustment.

  • Catalog lookup: Opens the parts catalog to look up component-specific catalog information.


Overview of cross-reference settings (Concept)

Check coil/contact count
Component Cross-References
Overview of graphical cross-reference formats
Component Tools > Component Cross-References >
Overview of cross-reference settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cross-reference settings are supported at the project, drawing, and component level.

Project Cross-Reference Settings | Settings are maintained inside of the project definition file (.wdp). Once settings are created for the project, AutoCAD Electrical applies those settings to new, existing, and copied drawings inside of the project. Ultimately, cross-reference settings are written to the WD_M block of the drawing file to use during normal operations.
Drawing Cross-Reference Settings | Settings are maintained on the WD_M block of the drawing. When the cross-reference command is run, AutoCAD Electrical uses the drawing settings to determine the cross-reference types. During program runtime, the cross-reference command looks at the WD_M block as the definition for all referencing on the drawing.
Component Cross-Reference Settings | Settings are maintained at the component to override the drawing's WD_M block settings of the drawing. During program runtime, the cross-reference command first looks to the component definition before the WD_M block as the definition for referencing the component on the drawing.

During normal operation of cross-referencing commands, AutoCAD Electrical looks to the component for its settings information before using the drawing settings. If the component has settings defined, they are used. If there are both component and drawing cross-reference settings on the same drawing, the component settings are used where applied and the drawing settings are used for the rest of the components.


Overview of cross-reference settings (Quick Reference)

Check coil/contact count
Overview of cross-reference settings
Overview of cross-reference settings
Component Tools > Component Cross-References >
Overview of cross-reference settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cross-reference component override

Remove component overrides

Text cross-reference format setup


Set cross-referencing display (Procedure)

Cross-Referencing
Up a level to ..
Update cross-reference tables
Component Tools > Component Cross-References >
Overview of cross-reference settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set cross-referencing display

Cross-reference settings are supported at the project, drawing, and component level. Changes you make to the settings are automatically updated in real time.

TipTo set display settings for a specific component that are different from the drawing, use the Copy/Add Component Override tool.
  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project or drawing name, and select Properties.
    NoteSelecting the project applies changes to the project definition file and not the drawing. You must later apply the settings to drawings to see display changes.
  3. Click the Cross-references tab. In the Component Cross-reference Display section, select Text, Graphical, or Table Format and click Setup.
    • Text Format: Displays cross-referencing as text with any user-defined string as a separator between references on the same attribute.
    • Graphical Format: Displays cross-referencing using the AutoCAD Electrical graphical font or using contact mapping edit boxes while displaying each reference on a new line.
    • Table Format: Displays cross-referencing in a table object so you can define the columns to display.
  4. Specify the format for the cross-reference display.

    The Preview box shows an image that shows an example of the cross-referencing format being defined.

  5. Select the display options.
    TipSee the Reference topics for each cross-reference display format to learn about the various display options.
  6. If you selected to use the Table Format style, specify the table style and table title. Select a table style from the list. The list initially displays table styles from the active drawing and from the table styles drawing. Click Browse to select a drawing with the desired table style. Once selected, the table style is applied to the Table Styles drawing.

    To set the table title, select the allowable replaceable parameter entry from the selection list, enter the replaceable parameter to use, or enter text for the table title.

  7. Click OK.

    If you selected to use the Table Format style, the table location is based on the cross reference attribute position, but you can move the table to any location on the drawing and the table will remain in the new position for that symbol.


Overview of cross-reference settings (Quick Reference)

Overview of cross-reference settings
Overview of cross-reference settings
Overview of cross-reference settings
Component Tools > Component Cross-References >
Overview of cross-reference settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cross-reference component override

You can define components to have different cross-referencing styles. The settings specified using this tool override the drawing properties. Component overrides are copied when the component is copied; similarly they are applied to multiple inserts of the same component.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Copy/Add Component Override. Does not exist on the ribbon.
Toolbar: Cross-Reference
Menu: Components [image] Cross-Reference [image] Copy/Add Component OverrideDoes not exist in the menus.
Command entry: AECOPYOVERRIDE
NoteYou can also access this when you use Insert Component. Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, Cross-Reference section, select Component override and click Setup.

Select the component with settings to copy or override.

Cross-Reference Format

Defines the cross-reference annotation format. One replaceable parameter, %N, must always be part of the cross-reference format string. A typical format string might be just the %N parameter. Use the upper section for on-drawing references and the bottom section for off-drawing references. You can use the same format for both.

NoteIf your format includes the sheet number %S parameter or the drawing number %D parameter, enter the values in the edit boxes in Sheet Values section of the Drawing Properties [image] Drawing Settings dialog box.

Component Cross-Reference Display

There are different styles of cross referencing AutoCAD Electrical supports:

  • Text Format: Displays cross-referencing as text with any user-defined string as a separator between references on the same attribute.
  • Graphical Format: Displays cross-referencing using the AutoCAD Electrical graphical font or contact mapping edit boxes while displaying each reference on a new line.
  • Table Format: Displays cross-referencing in a table object, that automatically gets updated in real time, while allowing you to define the columns to display.

Click Setup to display a dialog box for setting the display defaults for each component cross-reference display format.


Overview of cross-reference settings (Quick Reference)

Overview of cross-reference settings
Overview of cross-reference settings
Overview of cross-reference settings
Component Tools > Component Cross-References >
Overview of cross-reference settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Remove component overrides

You can apply overrides to a component so its settings override those of the drawing or project. Use this tool to remove the component overrides so the cross-referencing commands use the settings for the drawing or project.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Remove Component Override. Does not exist on the ribbon.
Toolbar: Cross-Reference
Menu: Components [image] Cross-Reference [image] Remove Component OverrideDoes not exist in the menus.
Command entry: AERMOVERRIDE

Select to remove the component overrides on the project, active drawing, or selected components on the drawing.

Project and Active drawing (all) remove overrides on all components on the drawings while Active drawing (pick) removes overrides for selected components only.


Overview of cross-reference settings (Quick Reference)

Overview of cross-reference settings
Overview of cross-reference settings
Overview of graphical cross-reference formats
Component Tools > Component Cross-References >
Overview of cross-reference settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Text cross-reference format setup

This format displays cross-referencing as text with any user-defined string as a separator between references on the same cross-reference attribute.

NoteMtext cross-referencing can still be used on selected components that use text cross-referencing.
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project or drawing name and select Properties. Click the Cross-References tab. In the component Cross-Reference Display section, select Text Format, and click Setup.

NoteYou can also access this when you use Insert Component. Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, Cross-Reference section, select Component override and click Setup. In the Cross-reference component override dialog box, select Text Format, and click Setup.
Format

The Reference Separator edit box allows you to define any string as a separator between references on the same attribute. Spaces are allowed. The default separator is a comma. Use "|" anywhere in the edit box to change the XREF attribute to multi-line text and add a carriage return after each reference. The separator value is applied to the drawing settings in the WD_M block definition or the component to override the drawing settings.

When there are 2 or more references on the same cross-reference attribute each reference is separated by the specified separator. If you use a comma as the separator the references would look like the following examples:

NO 412,633

NO 20.3,21.3

Preview

Displays an image that shows an example of the cross-referencing format being defined.

Options
Display Unused Children (Contacts) | Displays the child symbols that are not referenced or being used in the project pin list.
Separate Reference | Displays each unused child symbol in its own reference.
Contact Count Totals | Displays the total count of all unused child symbols in a single reference.
Fill Reference With | Specifies what should be displayed in the unused reference position for both Separate and Contact Count options. If left empty, a space appears where the referencing would be displayed. For example if you enter the text "SP" for spares, "SP" displays in the referencing.
Cross-Referencing Sorted by Line Reference | Displays the referencing in the order that the contacts are found in the line reference of the project.
Cross-Referencing Sorted by Pin List Order | Displays the referencing in the order that the Pin List is defined on the parent component. It is sorted regardless if the pins are displayed as part of the referencing.


Overview of graphical cross-reference formats (Concept)

Overview of cross-reference settings
Component Cross-References
Overview of table cross-reference formats
Component Tools > Component Cross-References >
Overview of graphical cross-reference formats
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

When you use the graphical cross-reference format style, the preview image changes to show what the cross-reference looks like in the drawing.

Graphic Font Format:

Displays the cross-reference format using the JIC or IEC/GB/JIS graphical font. The setting is applied to the graphical font regardless of the tagging mode assigned in the project properties. This setting is taken from drawing properties if there are no cross-reference overrides specified on the inserted component.

JIC

IEC

The following example displays cross-referencing next to the symbol in the graphic font format while the unused children (contacts) are displayed as separate references. The Fill Reference With value is “SP.”

JIC

IEC

Contact Mapping Format:

Displays the cross-reference format using cross-referencing type values (NO, NC, NONC).

JIC

IEC


Overview of graphical cross-reference formats (Quick Reference)

Overview of cross-reference settings
Overview of graphical cross-reference formats
Overview of table cross-reference formats
Component Tools > Component Cross-References >
Overview of graphical cross-reference formats
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Graphical cross-reference format setup

This format displays cross-referencing using the AutoCAD Electrical graphical font or using contact mapping edit boxes while displaying each reference on a new line.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project or drawing name and select Properties. Click the Cross-References tab. In the component Cross-Reference Display section, select Graphical Format, and click Setup.

NoteYou can also access this when you use Insert Component. Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, Cross-Reference section, select Component override, and click Setup. In the Cross-reference component override dialog box, select Graphical Format, and click Setup.
Format

In the event where there are 2 or more references for the same component, each reference is entered into a new line.

Graphic Font | Displays the cross-reference format using a graphical font. Select to use the JIC font or the IEC font. The setting is applied to the graphical font regardless of the tagging mode assigned in the project properties.
 | The JIC image font style displays the cross-referencing using the JIC style normally open, normally close, and Form C contact types.
 | The IEC/GB/JIS image font style displays the cross-referencing using the IEC style normally open, normally close, and Form C contact types.
Contact Mapping | Displays the cross-reference format using cross-referencing type values (NO, NC, NONC). Enter the format into the edit boxes.
Preview

Displays an image that shows an example of the cross-referencing format being defined.

Options
Display Unused Children (Contacts) | Displays the child symbols that are not referenced or being used in the project pin list.
Separate Reference | Displays each unused child symbol in its own reference. It is dependent on pin list count.
Contact Count Totals | Displays the total count of all unused child symbols in a single reference.
Fill Reference With | Specifies what to display in the unused reference position for both Separate and Contact Count options. If left empty, a space appears where the referencing would be displayed. For example if you enter the text "SP" for spares, "SP" displays in the referencing.


Overview of table cross-reference formats (Concept)

Overview of graphical cross-reference formats
Component Cross-References
Update cross-reference tables
Component Tools > Component Cross-References >
Overview of table cross-reference formats
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

When you use the table cross-reference format style, the preview image changes to show what the cross-reference looks like in the drawing.

Graphic Font Format:

Displays the cross-reference format using the JIC or IEC graphical font. The setting is applied to the graphical font regardless of the tagging mode assigned in the project properties.

The following examples display the table cross-referencing using the graphic font format inside the table style. The Fill Reference With value is "SP" for unused children (contacts).

JIC

IEC

Contact Mapping Format:

Displays the cross-reference format using cross-referencing type values (NO, NC, NONC).

JIC

IEC

Symbol Mapping Format:

Displays the cross-reference format using an AutoCAD block (.dwg) file to represent the contact type. The _XREF_GRAPHICS table in the catalog lookup database defines the symbol mapping. The schematic library folders for the active project are searched for the mapped symbols for insertion.

JIC

IEC

Form C contacts and tables

A typical type of contact is a Form C contact type. It is comprised of 2 contacts; 1 open and 1 closed where they share a common terminal pin number. You can choose to insert both of the Form C contacts as two individual symbols, or together as one symbol.

Example: Two symbols make up the Form C contact

The common pin is on the right-hand side next to the referencing column and displays in the P2 column of the table.

JIC

IEC

NoteIf using the symbol mapping method, a single symbol represents the form-c contact even if two separate contacts are inserted.

Example: Single symbol makes up the Form C contact

The common pin is on the right-hand side next to the referencing column and displays in the P2 column of the table.

JIC

IEC


Overview of table cross-reference formats (Quick Reference)

Overview of graphical cross-reference formats
Overview of table cross-reference formats
Overview of table cross-reference formats
Component Tools > Component Cross-References >
Overview of table cross-reference formats
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Table cross-reference format setup

Edit cross-reference symbol mapping table


Overview of table cross-reference formats (Quick Reference)

Overview of table cross-reference formats
Overview of table cross-reference formats
Overview of table cross-reference formats
Component Tools > Component Cross-References >
Overview of table cross-reference formats
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Table cross-reference format setup

This format displays cross-referencing in a table object that automatically gets updated in real time, so you can define the columns to display. To display component cross-referencing in a table, you must select a predefined table style and define the column labels to display.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project or drawing name, and select Properties. Click the Cross-references tab. In the component Cross-reference Display section, select Table Format, and click Setup.

If new contacts are added to the component, the cross-referencing table automatically updates. The table location is based on cross-reference attributes, but you can move the table to any location on the drawing and the table remains in the new position.

If you change the table setup once a table has been inserted onto the drawing, you must run the Component Cross-reference tool to update the table.

NoteYou can also access this by selecting Schematic tab [image] Insert Components panel [image] Icon Menu. Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, Cross-reference section, select Component override, and click Setup. In the Cross-reference component override dialog box, select Table Format, and click Setup.
Format
Graphic Font | Displays the cross-reference format using a graphical font. Select to use the JIC font or the IEC/GB/JIS font. The setting is applied to the graphical font regardless of the tagging mode assigned in the project properties.
 |  | The JIC image font style displays the cross-referencing using the JIC style normally open, normally close, and Form C contact types.
 |  | The IEC/GB/JIS image font style displays the cross-referencing using the IEC style normally open, normally close, and Form C contact types.
Contact Mapping | Displays the cross-reference format using cross-referencing type values (NO, NC, NONC). Enter the format into the edit boxes.
Symbol Mapping | Displays the cross-reference format using mapped graphic block drawings. Click Edit to modify the mapping settings.

See Learn about table cross-reference formats for examples of the format styles.

Preview

Displays an image that shows an example of the cross-referencing format being defined.

Options
Display Parent (Coil) | Displays the parent component's reference information inside the cross-reference format.
Display Unused Children (Contacts) | Displays the child symbols that are not referenced or being used in the project pin list.
Separate Reference | Displays each unused child symbol in its own reference.
Contact Count Totals | Displays the total count of all unused child symbols in a single reference.
Fill Reference With | Specifies what should be displayed in the unused reference position for both Separate and Contact Count options. If left empty, a space appears where the referencing would be displayed. For example if you enter the text "SP" for spares, "SP" displays in the referencing.
Table Style

Table styles are defined within a drawing file to determine the size, shape, style, and font of a table object. There is always a table style on a drawing. The standard table style cannot be deleted. Various style drawing files that determine the drawing-related settings are provided with AutoCAD Electrical. The Table Styles drawing (TableStyle.dwg) defines a series of table objects that are used in the selection process and then copied to the drawing files.

Select a table style from the list. The list initially displays table styles from the active drawing and the TableStyle.dwg. Click Browse to select a drawing with the desired table style. Once selected, the table style can be applied to the Table Styles drawing. If the selected style does not exist on the TableStyle.dwg it will be copied to it. When a drawing is referenced the style is then copied from the TableStyle.dwg.

Click Define Columns to open the Cross-reference Table Data Fields to Display dialog box to define the columns to be used in the table cross-referencing.

Table Title

Controls the replaceable parameters and carriage returns. Select the allowable replaceable parameter entry from the selection list, enter the replaceable parameter to use, or enter text for the table title. Add a carriage return inside of the string by using "|" anywhere in the Table Title edit box.

NoteIf the replaceable parameter does not include a value from the drawing, a blank space is displayed in the table title. If the title line is left blank, the table will not show the title row.


Overview of table cross-reference formats (Quick Reference)

Overview of table cross-reference formats
Overview of table cross-reference formats
Update cross-reference tables
Component Tools > Component Cross-References >
Overview of table cross-reference formats
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Edit cross-reference symbol mapping table

AutoCAD Electrical checks a cross-reference symbol mapping table when the cross-reference table uses the symbol mapping format. This table maps a contact block name to a graphic drawing name. This graphic drawing is inserted as a block in the TYPE column of the cross-reference table for the contact.

Project Manager
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

Right-click the project or drawing name, and select Properties. Click the Cross-References tab. In the component Cross-Reference Display section, select Table Format and click Setup. On the Cross-Reference Format Setup dialog box select Symbol Mapping, and click Edit.

Drawing Properties
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing PropertiesDoes not exist in the menus.
Command entry: AEPROPERTIES

Click the Cross-References tab. In the component Cross-Reference Display section, select Table Format and click Setup. On the Cross-Reference Format Setup dialog box select Symbol Mapping, and click Edit.

NoteYou can also access this when you use Insert Component. Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, Cross-Reference section, select Component override, and click Setup. In the Cross-reference component override dialog box, select Table Format, and click Setup. On the Cross-Reference Format Setup dialog box select Symbol Mapping, and click Edit.

This database table is a table within the catalog lookup Access .mdb file. The default file name is default_cat.mdb, table _XREF_GRAPHICS, and is populated with a sample of symbol mapping data. Expand this table as needed. Use your copy of Microsoft Access or use this dialog box to add new entries, add entries based on existing entries, edit, and delete entries from the table.

Sort | Sorts the list of database records using either an alphanumeric sort or number values. You can specify four sorts to perform on the list.
Find | Find the next instance of the text you enter. Select to look in the entire table or a specific field. Select to match the entire field, part of the field, or the beginning of the field with the entered text. Make it case sensitive by clicking Match case.
Replace | Indicates to replace the find value with the new text string that you specify.
Filter | Filters the listing based on certain values in the table. Picking the blank entry in the list removes the filter for that field. After you define the values to filter, apply the filter in the database editing window.
Edit | Displays the Edit Record dialog box for modifying the existing record in the database.
Add New | Displays the Edit New Record dialog box for entering a new record into the database.
Add Copy | Displays the Edit Copied Record dialog box for modifying and copying the record to make a new record. You cannot have two duplicate copies in the database.
Delete | Removes the selected record from the database.
Table Format

SEARCHORDER

Arranges the order of the records so that certain wildcard patterns are used before others. For example, the contact symbol HCR217F.dwg matches two different SYMBOL values, “*217F*” and “*21*”. Since “*217F*” has a lower SEARCHORDER value, its GRAPHIC symbol is used in the cross-reference table.

SYMBOL

The contact symbol block name or wild card to map to a graphic block name. The following codes are supported to handle special cases.

  • A+B map one graphic block where two separate NO/NC contacts exist for a given coil and the pins match up with a Form-C in the PINLIST for that coil.
  • SP=NO map a spare normally open contact
  • SP=NC map a spare normally closed contact
  • SP=<> map a spare convertible contact
  • SP=NONC map a spare form-c contact
  • SP=NO2 map a spare normally open contact that is part of a form-c definition
  • SP=NC2 map a spare normally closed contact that is part of a form-c definition
NoteThe spare contacts are shown only if the
cross-reference option to display the unused child contacts is selected.

GRAPHIC

The name of the block (.dwg) file that is inserted into the table cell when the block name of the contact matches the SYMBOL value.

COMMENTS

Explains the purpose of the wild-card pattern and graphic.


Update cross-reference tables (Concept)

Overview of table cross-reference formats
Component Cross-References
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Update cross-reference tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The table style cross-referencing provides support for replaceable parameters to define and display in the table title. Some AutoCAD Electrical commands take it into account when modifications are made to the drawing and the cross-reference table is later updated.

Delete Component | If a component with a cross-reference table is deleted, the table is also deleted from the drawing.
Component Retag | If a component is retagged (retag, move component, move circuit, edit component) the cross-reference table updates if the tag is part of the title.
Edit Component | If a replaceable parameter is modified for a component that has a cross-reference table, the table title updates to reflect the changes.
Copy Catalog Assignment | When copying a different catalog number to a parent symbol, the PINLIST and contact count may update and the cross-reference table updates in real time.
IEC Tagging Mode | If IEC drawing-wide Location or Installation values change, the cross-reference table title updates to reflect the changes.
Copy Circuit | If a circuit with a cross-reference table is copied, the table title updates with the new tag values.
Insert Component | If inserting a parent component with a cross-reference table, the table inserts at the cross-reference attribute locations (XREF and XREFNO). If inserting a child component, the cross-reference table updates for the parent component.
Scoot | If scooting a parent component with a cross-reference table, the table also scoots along the wire.
NoteIf you change the component catalog number or add a multiple BOM catalog number to the component (both change the Pin List data) the cross-reference table updates as soon as you exit out of the Insert/Edit Component dialog box. Additionally, if you modify the Pin List manually on the parent component, the cross-reference table updates with the new pin numbers and the modified contact count once the Insert/Edit Component dialog box is exited.

Commands that do not support real-time cross-reference updates include:

  • Component Find and Replace
  • Spreadsheet Export and Import


Set cross-referencing display (Procedure)

Overview of cross-reference settings
Up a level to ..
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Update cross-reference tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set cross-referencing display

Cross-reference settings are supported at the project, drawing, and component level. Changes you make to the settings are automatically updated in real time.

TipTo set display settings for a specific component that are different from the drawing, use the Copy/Add Component Override tool.
  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project or drawing name, and select Properties.
    NoteSelecting the project applies changes to the project definition file and not the drawing. You must later apply the settings to drawings to see display changes.
  3. Click the Cross-references tab. In the Component Cross-reference Display section, select Text, Graphical, or Table Format and click Setup.
    • Text Format: Displays cross-referencing as text with any user-defined string as a separator between references on the same attribute.
    • Graphical Format: Displays cross-referencing using the AutoCAD Electrical graphical font or using contact mapping edit boxes while displaying each reference on a new line.
    • Table Format: Displays cross-referencing in a table object so you can define the columns to display.
  4. Specify the format for the cross-reference display.

    The Preview box shows an image that shows an example of the cross-referencing format being defined.

  5. Select the display options.
    TipSee the Reference topics for each cross-reference display format to learn about the various display options.
  6. If you selected to use the Table Format style, specify the table style and table title. Select a table style from the list. The list initially displays table styles from the active drawing and from the table styles drawing. Click Browse to select a drawing with the desired table style. Once selected, the table style is applied to the Table Styles drawing.

    To set the table title, select the allowable replaceable parameter entry from the selection list, enter the replaceable parameter to use, or enter text for the table title.

  7. Click OK.

    If you selected to use the Table Format style, the table location is based on the cross reference attribute position, but you can move the table to any location on the drawing and the table will remain in the new position for that symbol.


Update cross-reference tables (Quick Reference)

Overview of table cross-reference formats
Update cross-reference tables
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Update cross-reference tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Table cross-reference format setup

This format displays cross-referencing in a table object that automatically gets updated in real time, so you can define the columns to display. To display component cross-referencing in a table, you must select a predefined table style and define the column labels to display.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project or drawing name, and select Properties. Click the Cross-references tab. In the component Cross-reference Display section, select Table Format, and click Setup.

If new contacts are added to the component, the cross-referencing table automatically updates. The table location is based on cross-reference attributes, but you can move the table to any location on the drawing and the table remains in the new position.

If you change the table setup once a table has been inserted onto the drawing, you must run the Component Cross-reference tool to update the table.

NoteYou can also access this by selecting Schematic tab [image] Insert Components panel [image] Icon Menu. Select the component type to insert and specify the insertion point on the drawing. In the Insert/Edit Component dialog box, Cross-reference section, select Component override, and click Setup. In the Cross-reference component override dialog box, select Table Format, and click Setup.
Format
Graphic Font | Displays the cross-reference format using a graphical font. Select to use the JIC font or the IEC/GB/JIS font. The setting is applied to the graphical font regardless of the tagging mode assigned in the project properties.
 |  | The JIC image font style displays the cross-referencing using the JIC style normally open, normally close, and Form C contact types.
 |  | The IEC/GB/JIS image font style displays the cross-referencing using the IEC style normally open, normally close, and Form C contact types.
Contact Mapping | Displays the cross-reference format using cross-referencing type values (NO, NC, NONC). Enter the format into the edit boxes.
Symbol Mapping | Displays the cross-reference format using mapped graphic block drawings. Click Edit to modify the mapping settings.

See Learn about table cross-reference formats for examples of the format styles.

Preview

Displays an image that shows an example of the cross-referencing format being defined.

Options
Display Parent (Coil) | Displays the parent component's reference information inside the cross-reference format.
Display Unused Children (Contacts) | Displays the child symbols that are not referenced or being used in the project pin list.
Separate Reference | Displays each unused child symbol in its own reference.
Contact Count Totals | Displays the total count of all unused child symbols in a single reference.
Fill Reference With | Specifies what should be displayed in the unused reference position for both Separate and Contact Count options. If left empty, a space appears where the referencing would be displayed. For example if you enter the text "SP" for spares, "SP" displays in the referencing.
Table Style

Table styles are defined within a drawing file to determine the size, shape, style, and font of a table object. There is always a table style on a drawing. The standard table style cannot be deleted. Various style drawing files that determine the drawing-related settings are provided with AutoCAD Electrical. The Table Styles drawing (TableStyle.dwg) defines a series of table objects that are used in the selection process and then copied to the drawing files.

Select a table style from the list. The list initially displays table styles from the active drawing and the TableStyle.dwg. Click Browse to select a drawing with the desired table style. Once selected, the table style can be applied to the Table Styles drawing. If the selected style does not exist on the TableStyle.dwg it will be copied to it. When a drawing is referenced the style is then copied from the TableStyle.dwg.

Click Define Columns to open the Cross-reference Table Data Fields to Display dialog box to define the columns to be used in the table cross-referencing.

Table Title

Controls the replaceable parameters and carriage returns. Select the allowable replaceable parameter entry from the selection list, enter the replaceable parameter to use, or enter text for the table title. Add a carriage return inside of the string by using "|" anywhere in the Table Title edit box.

NoteIf the replaceable parameter does not include a value from the drawing, a blank space is displayed in the table title. If the title line is left blank, the table will not show the title row.


Use stand-alone cross-reference symbols (Concept)

Update cross-reference tables
Component Cross-References
Insert dashed link lines
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You use stand-alone cross-reference symbols just as you would wire source/destination arrow symbols but without the wires. Insert a source reference symbol, and then tie one or more destination reference symbols to it. They can be on the same drawing or scattered across the project drawing set.


Use stand-alone cross-reference symbols (Procedure)

Update cross-reference tables
Up a level to ..
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert stand-alone cross-reference symbols

Create stand-alone cross-reference symbols


Use stand-alone cross-reference symbols (Quick Reference)

Update cross-reference tables
Use stand-alone cross-reference symbols
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert component

Stand-alone source or destination cross-reference symbol

Update wire signal and stand-alone cross-reference


Insert stand-alone cross-reference symbols (Procedure)

Use stand-alone cross-reference symbols
Up a level to ..
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert stand-alone cross-reference symbols

You use stand-alone cross-reference symbols just as you would wire source/destination arrow symbols but without the wires. Insert a source reference symbol, and then tie one or more destination reference symbols to it. They can be on the same drawing or scattered across the project drawing set.

  1. Click Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Insert Stand-Alone Cross-Referencing. Enter AESAXREF at the command prompt.
  2. On the Insert Component dialog box, select the cross-reference symbol to insert from the Symbol Preview window.

    You can also enter the symbol to insert in the Type it edit box or click Browse to select a symbol to insert.

  3. Specify the insertion point on the drawing.
  4. On the Stand-alone Source Cross-Reference Symbol dialog box, specify the unique name for the source/destination pair. You can select the code:
    • From a list of recently used codes.
    • From a list of codes on the active drawing.
    • From a list of codes in the active project.
    • From a destination cross-reference symbol.
  5. Click OK.


Create stand-alone cross-reference symbols (Procedure)

Use stand-alone cross-reference symbols
Up a level to ..
Insert dashed link lines
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create stand-alone cross-reference symbols

  1. Create a blank drawing file and save it following the library symbol naming conventions.
  2. Copy a .dwg file of an existing symbol to the new file.
  3. Edit and save the file.
  4. Add the file to the icon menu.

Update stand-alone cross-reference symbol annotations

  1. Click Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Update Stand-Alone Cross-Referencing. Enter AEUPDATESAXREF at the command prompt.

    The Update Wire Signal and Stand-Alone Cross-Reference dialog box displays.

  2. Specify whether to update the cross-reference annotation between pairs of stand-alone cross-reference symbols.
  3. Specify to update the cross-references for the entire drawing or one at a time.
  4. Click OK.


Use stand-alone cross-reference symbols (Quick Reference)

Use stand-alone cross-reference symbols
Use stand-alone cross-reference symbols
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Use stand-alone cross-reference symbols (Quick Reference)

Use stand-alone cross-reference symbols
Use stand-alone cross-reference symbols
Use stand-alone cross-reference symbols
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Stand-alone source or destination cross-reference symbol

You use stand-alone cross-reference symbols just as you would wire source/destination arrow symbols but without the wires. Insert a source reference symbol and then tie one or more destination reference symbols to it. They can be on the same drawing or scattered across the project drawing set.

Ribbon: Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Insert Stand-Alone Cross-Referencing. Does not exist on the ribbon.
Toolbar: Cross-Reference
Menu: Components [image] Cross-Reference [image] Insert Stand-Alone Cross-ReferenceDoes not exist in the menus.
Command entry: AESAXREF

Select the cross-reference component to insert and place it on the drawing.

Code | Specifies the unique name for the source/destination pair. This links each source cross-reference symbol to its destination cross-reference symbols.
Sheet | (for Hexagon symbols only) Displays the sheet (Drawing Property) value for the drawing the matching symbol.
Reference | Displays the line reference value for the matching symbol.
Description | (optional) Specifies the description for the symbol.
Recent | Provides a list of source or destination symbols inserted this AutoCAD session.
Drawing | Displays drawing-wide pick lists of all source/destination codes used so far.
Project | Displays project-wide pick lists of all source/destination codes used so far.
Pick | Picks the matching symbol from the active drawing.
OK+ Update Destination | Saves changes and updates the related destination symbols with any changes.


Use stand-alone cross-reference symbols (Quick Reference)

Use stand-alone cross-reference symbols
Use stand-alone cross-reference symbols
Follow signals
Component Tools > Component Cross-References >
Use stand-alone cross-reference symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Update wire signal and stand-alone cross-reference

There are times when you must update your source or destination signals singly, drawing-wide, or project-wide. This utility updates cross-reference information for two types of cross-reference symbols: wire number signal arrow symbols and stand-alone cross-reference symbols.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Update Signal References. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] Update Signal ReferencesDoes not exist in the menus.
Command entry: AEUPDATESIGREF
Wire Signals
Update source/destination cross-references | Updates the from/to cross-reference annotation on each wire network source and destination arrow symbol.
Update source/destination wire number tags | Makes the wire number tags on the destination end match the wire number carried on the source end of each wire signal pair.
Stand-Alone Cross-Reference Symbols

Set up the desired cross-reference format in the Cross-Reference Format section of the Drawing Properties [image] Cross-Reference dialog box. It is on a per-drawing basis.

Update stand-alone cross-reference symbols

Updates the cross-reference annotation between pairs of stand-alone cross-reference symbols. They are wire number signal symbols, but without a WIRENO attribute and do not attach to wires. They can float. See Stand-alone source or destination cross-reference symbol.


Insert dashed link lines (Procedure)

Use stand-alone cross-reference symbols
Insert dashed link lines
Insert dashed link lines
Component Tools >
Insert dashed link lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert a dashed link line

Insert dashed link lines to arrows

Insert dashed link lines from arrows


Insert a dashed link line (Procedure)

Insert dashed link lines
Insert dashed link lines
Insert dashed link lines
Component Tools >
Insert dashed link lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert a dashed link line

Links selected components with a dashed line.

The TAG, description, and cross-referencing attributes of the second through nth components you select for linking become invisible. The Unhide Attribute command turns the visibility of the selected attributes back on. Components must have X?LINK attributes to link.

  1. Click Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Link Components with Dashed Line. Enter AELINK at the command prompt.
  2. Select the contacts in the order you want the dashed link line drawn.

    AutoCAD Electrical changes the contact's annotation to invisible and draws a dashed link line from the bottom of the upper contact to the top of the new contact. The line is a polyline drawn on the layer name defined on the Define Layers dialog box.

  3. (Optional) Use the AutoCAD Layer command to assign a different line type to the layer.
  4. (Optional) Use the Scoot command to reposition any jog in the dashed link line.
  5. (Optional) To remove a dashed link line, run the command again, selecting in the same order as before.

    The dashed line toggles off and the hidden attribute annotation reappears.

See Also
    • Overview of schematic attributes


Insert dashed link lines to arrows (Procedure)

Insert dashed link lines
Insert dashed link lines
Insert dashed link lines
Component Tools >
Insert dashed link lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert dashed link lines to arrows

This tool draws a dashed line from a component to a "To" arrow symbol.

  1. Click Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Insert Reference Arrow - To. Enter AEREFARROWTO at the command prompt.
  2. Select the contact to draw the line from.
  3. Select where the arrow endpoint should be on the drawing.
  4. Insert a description for the dashed link line in the Description dialog box and click OK.

    The line is a polyline drawn on the layer name defined on the Drawing Properties [image] Drawing Format [image] Layers:Define [image] Define Layers dialog box.

  5. (Optional) Use the AutoCAD Layer command to assign a different line type to the layer.
  6. (Optional) Use the Scoot command to reposition any jog in the dashed link line.
  7. (Optional) Use the AutoCAD Erase command to remove the dashed link line.


Insert dashed link lines from arrows (Procedure)

Insert dashed link lines
Insert dashed link lines
Follow signals
Component Tools >
Insert dashed link lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert dashed link lines from arrows

This tool draws a dashed line from a component to a "From" arrow symbol.

  1. Click Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Insert Reference Arrow - From. Enter AEREFARROWFROM at the command prompt.
  2. Select the contact to draw the line from.
  3. Select where the arrow endpoint should be on the drawing.
  4. Insert a description for the dashed link line in the Description dialog box and click OK.

    The line is a polyline drawn on the layer name defined on the Drawing Properties [image] Drawing Format [image] Layers:Define [image] Define Layers dialog box.

  5. (Optional) Use the AutoCAD Layer command to assign a different line type to the layer.
  6. (Optional) Use the Scoot command to reposition any jog in the dashed link line.
  7. (Optional) Use the AutoCAD Erase command to remove the dashed link line.


Follow a signal for a source or destination signal (Procedure)

Insert dashed link lines
Follow signals
Wire Jumpers
Component Tools >
Follow signals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Follow a signal for a source or destination signal

Use the List Signal Code tool to follow a signal from a specific source or destination symbol.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] List Signal Code. Enter AELISTSIG at the command prompt.
  2. Select the signal marker to list. The signal code dialog box appears. All source and destination references for the signal code are listed in the three boxed groups.
  3. Review the references for the signal code.
  4. Click the Surf button to navigate to any of the references.
  5. Click Cancel when you are finished reviewing the signal references.


Follow signals (Quick Reference)

Use stand-alone cross-reference symbols
Follow signals
Show signal paths
Component Tools >
Follow signals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Signal code

Follows a signal from a specific source or destination symbol and lists the signal code references.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] List Signal Code. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] List Signal CodeDoes not exist in the menus.
Command entry: AELISTSIG

All source and destination references for the signal code are listed in the three boxed groups:

Previous drawings (sheet/reference) | Shows the references on upstream (previous) drawings.
Current drawing | Shows the references on the current drawing.
Downstream drawings (sheet/reference) | Shows references on downstream (next) drawings.
Surf | Navigates to any of the references.


Show signal paths (Quick Reference)

Follow signals
Show signal paths
Overview of DIN Rails
Component Tools >
Show signal paths
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Show signal path

Displays signal source and destination paths on the active drawing.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Show Signal Paths. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] Show Signal PathsDoes not exist in the menus.
Command entry: AESHOWSIG

Signal paths are drawn using temporary graphics. Redraw to erase.


Overview of DIN Rails (Concept)

Show signal paths
Component Tools
Overview of user data records
Component Tools >
Overview of DIN Rails
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The Din Rail is generated based on data held in a Microsoft Excel spreadsheet called WDDINRL.XLS. Each row in the main worksheet, DIN_RAIL, represents a rail type. The Manufacturer, Catalog, and Description fields are used to create the drop-down list on the dialog box. In addition, each rail type has a corresponding worksheet named to match the catalog number. This worksheet defines some parameters based on the number of slots calculated from the rail length.

Spreadsheet fields
MFG | Manufacturer.
CAT | Catalog Number.
ASSYCODE | Assembly code.
DESC | Description used for dialog listing only.
RAILWID | Din rail width; distance between the top and bottom rail lines.
RAILCEN | Distance between the din rail centerlines.
RAILCEN1 | Distance between the din rail centerlines; used for nonsymmetrical din rails.
RAILCEN2 | Distance between bottom center line and the slot centers; used for nonsymmetrical din rails.
RAIL2SLOTCEN | Distance from the origin of the din rail to the center of the slots; used for off-center din rails.
RAIL2ENDBASE | Distance from the origin of the din rail to the din rail bottom; used for off-center din rails.
RAILLENSTD | Standard length of din rail.
RAILLENMIN | Minimum length of rail piece.
SLOTOFS | Distance from the beginning of the din rail to the center of the first slot.
SLOTCEN2CEN | Distance between slots measured from the center of each slot.
SLOTLEN | Length of each slot. Enter a SLOTLEN of 0.0 to generate a block without slots.
SLOTWID | Width of each slot.
CHANNEL | Distance from channel line to the origin; repeated for each channel line.
CHANNEL_END | Distance from origin to channel end for each channel.
MIN_SHIFT | Length of rail to shift from one piece of rail to the next to make sure last piece is not less than the minimum length.
NCHOLE | Name of AutoCAD block for the drill hole.
BRKT | Allow standoff brackets, Yes or No. If No, then the button is disabled on the dialog. If Yes, the button is enabled and you can select standoff brackets.
BRKT_NAME | Name of AutoCAD block for standoff bracket.
BRKT_MFG | Manufacturer for standoff bracket. Added as Multi-BOM on the created Din Rail block.
BRKT_CAT | Catalog number for standoff bracket. Added as Multi-BOM on the created Din Rail block.
BRKT_ASMB | Assembly code for standoff bracket. Added as Multi-BOM on the created Din Rail block.
CATALOG_TABLE | Name used to tie into the catalog lookup table. Values are either DIN or WW based on whether the spreadsheet record is a din or wire way. This determines whether the DIN or WW table (of the default_cat.mdb) displays when you click Catalog Lookup on the Panel Layout - Component Insert/Edit dialog box.
Parametric building of wire ways

You can create generic wire way records in the spreadsheet (wddinrl.xls) for parametric building of wire ways. To do so, add the following records in the spreadsheet:

  • MFG = PANDUIT
  • CAT = Generic
  • DESC = Wire duct, 3.25"x3.11" tall, slotted
  • RAILLENSTD = 72
  • WDBLKNAM = WW
  • MFG = PANDUIT
  • CAT = Generic
  • DESC = Wire duct, 3.92"x1.89" tall, slotted
  • RAILLENSTD = 78.72
  • WDBLKNAM = WW

In the Din Rail dialog box, select one of these records as the Rail Type and click OK. In the Panel Layout - Component Insert/Edit dialog box, Catalog section, click Catalog Lookup. The Parts catalog dialog box now displays wire ways with Manufacturer = PANDUIT and Type = Slotted. Select a suitable wire way from the list.

Line properties

There may be times that you want to specify a Color, Linetype, or Layer for a particular line entity that makes up the Din Rail. You can do this with a few optional spreadsheet fields. For the 2 end lines, you add 2 columns in your spreadsheet, each called END_PROP. The first one is for the left end, the second is for the right end. The format is COLOR colorname LAYER layername LTYPE linetype. For example, COLOR 9 LAYER MISC LTYPE HIDDEN2. It is expecting a single space between the values. If you leave the field blank, or leave out one of the properties, it draws the lines using the current defaults. For the channel lines, it works similarly, but the columns should be called CHANNEL_PROP. Put them in the same order as the CHANNEL values. For example, you want the inner lines to be font HIDDEN2 and the CHANNEL columns are in this order, 0.69 0.49 -0.49 -0.69, this means the inner lines are the second and third channel columns. So the CHANNEL_PROP columns are:

  • First column: leave blank
  • Second column LTYPE HIDDEN2
  • Third column: LTYPE HIDDEN2
  • Fourth column: blank
END_PROP | Use this field to define the properties for the end lines.
CHANNEL_PROP | Use this field to define the properties for the channel lines.


Overview of DIN Rails (Quick Reference)

Show signal paths
Overview of DIN Rails
Overview of user data records
Component Tools >
Overview of DIN Rails
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Din rail

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Insert Footprint (Icon Menu)Does not exist in the menus.
Command entry: AEFOOTPRINT

Select DIN Rail from the list.

Once the information is entered and you click OK, the Din Rail is generated. Each Din Rail section is created as a separate block. If you selected Standoff brackets, each bracket is a separate block. Some AutoCAD Electrical information is added to each block so it can be treated as an AutoCAD Electrical Panel entity. The AutoCAD Electrical edit dialog appears for the first Din Rail section and the first bracket, if applicable.

Rail Type | Lists the rail types to select from.
Origin and length | Specifies the origin and length of the component. Type the information into each edit box or click Pick Rail Info to pick the origin on your drawing and then drag the mouse to define the rail length.
Orientation | Specifies to orient the din rail horizontally or vertically.
Scale | Specifies the scale to use for the din rail.
Panel mounting | Specifies to mount the panel at NC holes, standoffs, or none.


Overview of user data records (Concept)

Overview of DIN Rails
Component Tools
Wire Jumpers
Component Tools >
Overview of user data records
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AutoCAD Electrical supports a user table in the project database. You can add your own application data to any AutoCAD Electrical block insert (components, footprints, wire numbers, terminals, wire jump arrows). A copy of this information is extracted and maintained in a USER table in the project database. This allows you to do queries on the project database file (in Microsoft Access format) and access all of this user information carried on all entities project-wide. This data is stored on the entities as invisible extended entity data. You are free to use this data in any way you see fit.

Examples: storing explicit wire sequencing information, cable or wire lengths, routing information, storing special parts information, descriptions, or MRP data, storing engineering notes, setup, or maintenance information, and so on.

Each application data record that you add to an entity can be up to 255 characters long. A single AutoCAD Electrical entity can carry several hundred of these records. Each record is tracked on the entity by entity handle plus a three digit record number beginning at "000". This same information is automatically maintained, project-wide, by AutoCAD Electrical in the user table of the project's database file.


Overview of user data records (Quick Reference)

Overview of DIN Rails
Overview of user data records
Define wire jumpers
Component Tools >
Overview of user data records
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Edit user table data

You can add, edit, or remove free-form user data records attached to the selected block insert. These records are stored in a user database table in the project database file.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] User Table Data. Does not exist on the ribbon.
Toolbar: Edit Component
Menu: Components [image] Component Miscellaneous [image] Edit User Table DataDoes not exist in the menus.
Command entry: AEUSERTABLE
Record number | Lists the record number for the selected block insert.
Data | Lists the user data for the record number.
Edit | Specifies the new data for the selected record number. Note that there is a 255 character maximum per record.
Add new | Adds a new user data record. A separate dialog box displays where you can enter the record data and number.
Delete record | Removes the selected record number from the database. If no user data records are found on the block insert, an alert is displayed in the dialog box prompting you to add a new record.


Wire Jumpers

Overview of user data records
Component Tools
Define wire jumpers
Component Tools >
Wire Jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Define wire jumpers

    Wire jumpers


Wire Jumpers (Procedure)

Follow signals
Wire Jumpers
Define wire jumpers
Component Tools >
Wire Jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Define wire jumpers


Define wire jumpers (Procedure)

Wire Jumpers
Up a level to ..
Edit attribute values
Component Tools > Wire Jumpers >
Define wire jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Define wire jumpers

You can create internal jumpers on a selected component using the Add/Edit Internal Jumper tool. When wire numbers are inserted using AutoCAD Electrical, these internal jumpers are read and wire numbers are assigned accordingly.

If you select to jumper two pins on a component together, an alert displays indicating that internal jumpering will cause a conflict with the existing wire number assignments. If you click Continue, an internal jumper inserts between the two pins on the component; you need to rerun the Insert Wire Numbers tool to reconcile these two different wire numbers now jumpered together. If you click Cancel, the internal jumper data is not inserted.

NoteYou can keep jumpers from displaying in Wire From/To reports by placing the jumpers on a layer that contains the substring "JUMPER."

Add wire jumpers from a list

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Internal Jumper. Enter AEINTERNALJUMPER at the command prompt.
  2. Select the component.
  3. Select terminals from the list.

    Drag your mouse to select contiguous terminals or use the CTRL button to select noncontiguous terminals.

  4. Click Add.

Add wire jumpers by picking

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Internal Jumper. Enter AEINTERNALJUMPER at the command prompt.
  2. Select the component.
  3. Click Pick. The dialog closes. You can select as many terminals as you want.

    Try to select as near the terminal as you can since AutoCAD Electrical finds the closest connection terminal to your selected point.

  4. After you select the terminals, press Enter and the dialog displays.

    Notice that the selected terminals are highlighted in the list.

  5. Click Add to finish defining the jumper.

Change an existing jumper assignment

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Internal Jumper. Enter AEINTERNALJUMPER at the command prompt.
  2. Select the component.
  3. Select the jumper from the list on the right.

    Once selected, the terminals that are part of this jumper assignment are highlighted on the terminal list.

  4. Reselect the terminals to be jumpered, using the Shift and CTRL keys as needed.
  5. Click Update once the appropriate terminals are highlighted.


Define wire jumpers (Quick Reference)

Overview of user data records
Define wire jumpers
Edit attribute values
Component Tools > Wire Jumpers >
Define wire jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Wire jumpers

You can add, change, or delete internal jumpers on a selected component. When wire numbers are inserted, these internal jumpers are read and wire numbers are assigned accordingly.

If you select to jumper two pins on a component together, an alert displays indicating that internal jumpering will cause a conflict with the existing wire number assignments. If you click Continue, an internal jumper inserts between the two pins on the component; you need to rerun the Insert Wire Numbers tool to reconcile these two different wire numbers now jumpered together. If you click Cancel, the internal jumper data is not inserted.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Internal Jumper. Does not exist on the ribbon.
Toolbar: Edit Component
Menu: Components [image] Component Miscellaneous [image] Add/Edit Internal JumperDoes not exist in the menus.
Command entry: AEINTERNALJUMPER
Add | Adds an internal jumper assignment.
Update | Changes an existing jumper assignment.
Delete | Removes the selected jumper assignment from the list.
Pick | Selects the terminals to add to a jumper assignment. Try to select as close to the terminal as you can. AutoCAD Electrical finds the closest connection terminal to your selected point.
Show Jumpers | Displays the current jumper assignments. AutoCAD Electrical draws temporary lines between the jumpered terminals. These graphics disappear the next time you do a Regen.


Component Attribute Tools

Define wire jumpers
Edit attribute values
Component Attribute Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Edit attribute values

    Edit attribute

  • Force attributes to layers

    Force attribute/text to a different layer

  • Manipulate component text

    Find/edit/replace (drawing or project)

  • Manipulate terminal text

    Find/replace terminal text

  • Move description values
  • Move attributes
  • Hide attributes
  • Show attributes
  • Rotate attributes
  • Change attribute justification

    Change attribute/text justification

  • Change attribute text style
  • Change attribute text size

    Change attribute size

  • Rename an attribute
  • Add attributes to blocks

    Add attribute

  • Set tags to fixed

    Fixed/unfix component tag

  • Retag components

    Retag components

  • Change to multi-line text
  • Add location codes
  • Update child codes

    Child contact and panel update from schematic parent

  • Location Mark Symbols
  • Modify library symbols

    Symbol library attribute text/scale resize


Edit the attribute text value of a component (Procedure)

Define wire jumpers
Edit attribute values
Force attributes to layers
Component Attribute Tools >
Edit attribute values
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Edit the attribute text value of a component

You can use three different tools to edit component information.

Using the Edit Component tool

The standard way is to use the regular Edit Component command and edit the tag value from the Insert/Edit Component dialog box.

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  2. Select the component to edit.
  3. Edit the tag value in the Insert/Edit Component dialog box.
  4. Click OK to complete the edit.
Using the Edit Selected Attribute tool

Lets you pick right on the attribute. This tool also works on invisible attributes. It finds and displays the closest attribute to your pick point on a block insert.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Edit Selected Attribute. Enter AEEDITATT at the command prompt.
  2. Select the attribute to edit.

    A dialog box displays and lets you type in a new attribute value.

  3. Enter a new attribute value in the Edit Attribute dialog box.

    Click Pick to select another attribute whose text you want to use for the selected attribute. You can also click the arrow keys to increment or decrement the attribute value.

  4. Click OK.

To edit an invisible attribute: pick on the block insert near where the invisible attribute is located. AutoCAD Electrical finds and displays the nearest attribute of your pick point. AutoCAD Electrical displays an "x" at the origin of the attribute.

Using the Move/Show Attribute tool

You can use the AutoCAD Electrical Move/Show Attribute command to edit the attribute text of a component.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Move/Show Attribute. Enter AEATTSHOW at the command prompt.
  2. Pick on the graphics of the component (not on the attribute text itself; otherwise it flips into Attribute Move mode). If there are no graphics to pick on (such as wire number block/attribute or ladder line reference block/attribute), type "B" and space and then pick on any attribute on the block insert. This forces the command into attribute display mode.

    The Show/Hide Attributes dialog box opens, listing all of the attributes and their values of the component.

  3. Check the Edit Attributes box in the upper right-hand corner of the dialog box.
  4. Select the attribute you want to edit from the list.

    A dialog box opens and lets you type in a new attribute value.

  5. Type in a new attribute value in the Edit Attribute dialog box.

    You can click the arrow keys to increment or decrement the attribute value.

  6. Click OK.
NoteYou can also use any attribute editing command to edit an AutoCAD Electrical attribute values of the component. For example, use the AutoCAD DDATTE command.


Edit attribute values (Quick Reference)

Define wire jumpers
Edit attribute values
Force attributes to layers
Component Attribute Tools >
Edit attribute values
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Edit attribute

This tool lets you edit the text an attribute by picking right on the attribute. A dialog box pops up and you type in a new attribute value. This tool also works on invisible attributes. It finds and displays the closest attribute to your pick point on a block insert.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Edit Selected Attribute. Does not exist on the ribbon.
Toolbar: Edit Attributes
Menu: Components [image] Attributes [image] Edit Selected AttributeDoes not exist in the menus.
Command entry: AEEDITATT
Attribute value | Specifies the attribute text. You can click the arrow keys to increment or decrement the attribute value.
Pick | Selects another attribute whose text you want to use for the selected attribute.


Force attributes to a different layer (Procedure)

Edit attribute values
Force attributes to layers
Manipulate component text
Component Attribute Tools >
Force attributes to layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Force attributes to a different layer

This tool changes the layer assignment for selected attributes.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Layer. Enter AEATTLAYER at the command prompt.
  2. Specify the target layer:
    • Type the name in the box.
    • Click List to select from a list of layers in the active drawing.
    • Click Wires to change to the layer used for wire numbers on wires. The default layer is WIRENO. It is defined on the WIRENO_LAY attribute of the WD_M block.
    • Click Terminals to change to the layer used for wire numbers on terminals and source or destination signal arrows. The default layer is WIREREF. It is defined on the WD_M WIREREF_LAY attribute of WD_M block.
  3. Click OK.
  4. Select the attributes to change to the target layer.
    NoteWindowing of attributes is not supported. You must pick them individually.


Force attributes to layers (Quick Reference)

Edit attribute values
Force attributes to layers
Manipulate component text
Component Attribute Tools >
Force attributes to layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Force attribute/text to a different layer

This tool changes the layer assignment for selected attributes.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Layer. Does not exist on the ribbon.
Toolbar: Edit Attributes
Menu: Components [image] Attributes [image] Change Attribute LayerDoes not exist in the menus.
Command entry: AEATTLAYER
Change to Layer | Specifies the target layer.
List | Lists the layers in the active drawing. Select a layer from this list or enter the layer name in the Change to Layer box.
Wires | Forces the tool to change to the layer used for wire number text placed on wires. The default layer is WIRENO. It is defined on the WIRENO_LAY attribute of the WD_M block.
Terminals | Forces the tool to change to the layer used for wire number text placed on terminals and source or destination signal arrows. The default layer is WIREREF. It is defined on the WIREREF_LAY attribute of the WD_M block.


Manipulate component text (Quick Reference)

Force attributes to layers
Manipulate component text
Manipulate component text
Component Attribute Tools >
Manipulate component text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find/edit/replace (drawing or project)

Find/edit/replace component text


Find, edit, or replace component text (Procedure)

Force attributes to layers
Manipulate component text
Manipulate terminal text
Component Attribute Tools >
Manipulate component text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find, edit, or replace component text

  1. Click Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Find/Edit/Replace Component Text. Enter AEFINDCOMPTEXT at the command prompt.
  2. Choose to process either the current drawing or the project and click OK.

    The drawing or project set is scanned to find all the AutoCAD Electrical components and the current attribute text values.

    • If you chose to process the project, select the drawings to process and add them to the Drawings to Process list. Click OK to continue the operation.
    • If you chose to process the drawing by picks, select the components to process and press Enter.

      The Find/Edit/Replace dialog box displays, allowing you to define your search and replace parameters.

  3. Click the Find check box next to the attribute you want to find.
  4. Enter the attribute value or click the List button to select the value from a list of current text values.
  5. Click the Replace check box for the selected attribute and type a new text string in the edit box.
  6. Select to find and replace the exact text value or substrings within the attribute value.
  7. Click Start Search to begin the find and replace operation. Each found match is displayed in a separate dialog box. You can edit, replace, skip to the next, or replace all of the found values.
An example of search criteria

To change all of the Location Codes marked "PNL1" to "PNL2A" you would:

  • Set the Location Code find value to "PNL1."
  • Set the Location Code replace value to "PNL2A."
  • Click All so the text is only replaced if the entire text value matches the find value.


Manipulate component text (Quick Reference)

Manipulate component text
Manipulate component text
Manipulate component text
Component Attribute Tools >
Manipulate component text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find/edit/replace (drawing or project)

This tool finds and replaces component and terminal text values or substrings within those values. You can do it on the current drawing or across the project drawing set.

Ribbon: Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Find/Edit/Replace Component Text. Does not exist on the ribbon.
Toolbar: Retag
Menu: Components [image] Component Tagging [image] Find/Edit/Replace Component TextDoes not exist in the menus.
Command entry: AEFINDCOMPTEXT

Select to process the drawing or project and click OK.

Find | Specifies the value to find. Initially, only the Find (F) toggles are enabled.
Replace | Replaces the find value with the new text string that you specify.
List | Displays a list of the current text values for the selected attribute. Select from this list to define your find parameter.
All | Replaces the text only if the entire text value matches the find value.
Part | Replaces the text if any part of the text value matches the find value.
Start search | Starts the search in the drawing or project for the find values that are specified. Each found match is displayed. You can edit, replace, skip to the next, or replace all of the values with the specified replace value.
NoteThis tool does not support wildcard characters.


Manipulate component text (Quick Reference)

Manipulate component text
Manipulate component text
Manipulate terminal text
Component Attribute Tools >
Manipulate component text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find/edit/replace component text

Use this tool to find and replace component and terminal text values or find and replace substrings within those values. You can do it on the active drawing or across the project drawing set.

Ribbon: Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Find/Edit/Replace Component Text. Does not exist on the ribbon.
Toolbar: Retag
Menu: Components [image] Component Tagging [image] Find/Edit/Replace Component TextDoes not exist in the menus.
Command entry: AEFINDCOMPTEXT

Decide if you want to run the component retag across selected components, the active drawing, or the entire project.


Find or replace terminal text (Procedure)

Manipulate component text
Manipulate terminal text
Move description values
Component Attribute Tools >
Manipulate terminal text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find or replace terminal text

  1. Click Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Find/Replace Terminal Text. Enter AEFINDTERMTEXT at the command prompt.
  2. Select to replace the Full, exact match, or a substring match.
  3. If you chose to perform a substring match, select whether only the first occurrence within the text value should be replaced.
  4. Define your find and replace with values.
  5. Click OK to begin the find and replace operation.
  6. Choose to process either the current drawing or the project and click OK.
    • If you chose to process the project, select the drawings to process and add them to the Drawings to Process list. Click OK to continue the operation.
    • If you chose to process the drawing by picks, select the components to process and press Enter.
  7. The drawing or project set is scanned to find all the terminals and the current terminal text values. The find value is replaced with the specified replace value.


Manipulate terminal text (Quick Reference)

Manipulate component text
Manipulate terminal text
Change attribute justification
Component Attribute Tools >
Manipulate terminal text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find/replace terminal text

This tool lets you find and replace terminal number text values or find and replace substrings within those values. You can do it on a selection from the active drawing, the entire active drawing, or across the project drawing set.

Ribbon: Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Find/Replace Terminal Text. Does not exist on the ribbon.
Toolbar: Retag
Menu: Components [image] Component Miscellaneous [image] Find/Replace Terminal TextDoes not exist in the menus.
Command entry: AEFINDTERMTEXT
Full,exact match | Specifies to replace the text only if the entire text value matches the find value.
Substring match | Specifies to replace the text if any part of the text value matches the find value.
First occurrence only | Specifies that only the first occurrence within the text value should be replaced.
Find | Specifies the value you wish to find.
Replace with | Specifies the text string to replace the find value with.


Push descriptions up or down (Procedure)

Manipulate terminal text
Move description values
Move attributes
Component Attribute Tools >
Move description values
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Push descriptions up or down

AutoCAD Electrical supports three lines of description text on schematic components. If some only have one or two lines of description, the description may seem to float too high above the device. You can use these tools to move the description attribute values up or down to another position.

  1. Enter AEUPATTRIBDESC at the command prompt.

    or

    Enter AEDOWNATTRIBDESC at the command prompt.

  2. Select the schematic components to process.
    • Push Description Up: DESC2 and DESC3 are pushed up to the DESC1 and DESC2 attribute positions when blanks are found.
    • Push Description Down: DESC1 and DESC2 are pushed up to the DESC2 and DESC3 attribute positions when blanks are found.


Move component attributes (Procedure)

Move description values
Move attributes
Hide attributes
Component Attribute Tools >
Move attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Move component attributes

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Move/Show Attribute. Enter AEATTSHOW at the command prompt.
  2. Select the attributes to move and press Enter.

    You can pick the components individually or by windowing. The attributes highlight with a rectangular box drawn around them.

  3. Select the base and insertion points for the move. The attribute follows your cursor and is automatically moved to the selected position.

    The attributes remain tied to the block inserts.


Hide attributes (Procedure)

Move attributes
Hide attributes
Show attributes
Component Attribute Tools >
Hide attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Hide attributes

Pick on the graphic of a target block insert to display a listing of all attribute names and values. You can switch attributes between hidden and visible or you can edit individual attribute values.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Hide Attributes (Single Picks). Enter AEHIDEATT at the command prompt.

    or

    Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Hide Attributes (Window/Multiple). Enter AEHIDEATTRIB at the command prompt.
  2. Select the attributes to hide or pick on block graphics to display a list of attributes. The attribute is hidden immediately after it is selected.

    You can window attributes to hide by typing W and [space]. Do a crossing window (right to left) to capture the attributes you want to hide.

  3. (Optional) Type U and [space] to unhide the attribute.


Show attributes (Procedure)

Hide attributes
Show attributes
Rotate attributes
Component Attribute Tools >
Show attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Show attributes

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Unhide Attributes (Window/Multiple). Enter AESHOWATTRIB at the command prompt.
  2. Select the attributes to display by drawing a crossing window around the attributes on the drawing.
  3. Press Enter.
  4. Select one or more attribute to flip to visible from the list.
  5. Click OK.


Rotate component attributes (Procedure)

Show attributes
Rotate attributes
Change attribute justification
Component Attribute Tools >
Rotate attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Rotate component attributes

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Rotate Attribute. Enter AEATTROTATE at the command prompt.
  2. Select the attribute text, text, or MTEXT string to rotate 90 degrees from its current orientation.

    After rotation, press M and [space] to flip into the Move Attribute mode.


Change attribute justification (Procedure)

Rotate attributes
Change attribute justification
Change attribute text style
Component Attribute Tools >
Change attribute justification
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change attribute justification

Use this tool to change the justification of wire number text, component description text, or any attribute.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Justification. Enter AEATTJUSTIFY at the command prompt.
  2. Select the appropriate justification from the list, or click Pick Master to select an attribute on the drawing that has the justification you want to use.
  3. Select the attributes or text objects one at a time, or enter W, and then window your objects.
  4. Click OK.


Change attribute justification (Quick Reference)

Manipulate terminal text
Change attribute justification
Change attribute text size
Component Attribute Tools >
Change attribute justification
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change attribute/text justification

Use this tool to change the justification of wire number text, component description text, or attributes.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Justification. Does not exist on the ribbon.
Toolbar: Edit Attributes
Menu: Components [image] Attributes [image] Change Attribute JustificationDoes not exist in the menus.
Command entry: AEATTJUSTIFY
Select Justification | Lists the justification choices to choose from.
Pick Master | Selects an attribute or text entity on the drawing whose justification you want to use.

Once you select your attributes or text objects, each object updates to match the selected justification.


Change attribute text style (Procedure)

Change attribute justification
Change attribute text style
Change attribute text size
Component Attribute Tools >
Change attribute text style
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Change attribute text style

Use this tool to adjust the font assignment (either project-wide or drawing-wide) to the text style “WD” or “WD_IEC.”

  1. Click Project tab [image] Project Tools panel [image] Utilities. Enter AEUTILITIES at the command prompt.
  2. In the Project-Wide Utilities dialog box, Change Attribute section, select Change Style and click Setup.
  3. In the Project-Wide AutoCAD Electrical Style Change dialog box, select the font name to apply to text style WD or WD_IEC and click OK.
  4. In the Project-Wide Utilities dialog box, click OK.
  5. In the Batch Process Drawings dialog box, select to process the project and click OK.
  6. In the Select Drawings to Process dialog box, select to process specific files or click Do All to process all of the drawings in the active project. Click OK.

    AutoCAD Electrical processes the selected drawings and adjusts the text style WD or WD_IEC to the specified font name.


Change attribute text size (Procedure)

Change attribute text style
Change attribute text size
Rename an attribute
Component Attribute Tools >
Change attribute text size
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change attribute text size

To make permanent changes to the symbol text heights, adjust the attribute definitions on the library symbols themselves.

Use the change attribute size utility
  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Size. Enter AEATTSIZE at the command prompt.
  2. Select your new attribute size by either picking on a similar text or attribute entity or by manually entering the size value into the edit box.
  3. Enter the new width factor into the edit box. Make sure that you click to apply the width.
  4. Select to change the attribute name by picking individual attributes, by type, or by typing a specific attribute name.
    • If you chose to select one attribute at a time, select the attributes in the drawing. The attribute text automatically changes to the new attribute size.
    • If you chose to change all attributes of a certain type, select an example attribute and window the entire drawing. It finds and adjusts all attributes of the same name to your specified size.
    • If you chose to type in an attribute name, type the name in the edit box. (Wildcards are allowed.) You can include a series of attribute names to match by separating each attribute name with a semicolon.
  5. Press OK and window the entire drawing.
  6. Press Enter.
Use the project-wide utilities
  1. Click Project tab [image] Project Tools panel [image] Utilities. Enter AEUTILITIES at the command prompt.
  2. In the Project-Wide Utilities dialog box, Change Attribute section, select Change Attribute Size and click Setup.
  3. In the Project-Wide Attribute Size Change dialog box, select the attribute types to change.
  4. Enter the text height and optional width factor and click OK.
  5. In the Project-Wide Utilities dialog box, click OK.
  6. In the Batch Process Drawings dialog box, select to process the project and click OK.
  7. In the Select Drawings to Process dialog box, select the drawings to process and click OK.

    AutoCAD Electrical processes the selected drawings and adjusts the target attributes to the specified value.

Use the squeeze and stretch text utilities

Use the Squeeze attribute tool to compress an attribute to make it fit into a tight spot (such as between closely spaced components). Use the Stretch attribute tool to expand an attribute. Each click on the attribute dynamically changes the width factor of the attribute by 5%.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Squeeze Attribute/Text. Enter AEATTSQUEEZE at the command prompt.
  2. Select the attribute text to change.

    The text is automatically compressed.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Stretch Attribute/Text. Enter AEATTSTRETCH at the command prompt.
  2. Select the attribute text to change.

    The text automatically stretches.


Change attribute text size (Quick Reference)

Change attribute justification
Change attribute text size
Add attributes to blocks
Component Attribute Tools >
Change attribute text size
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change attribute size

Use this tool to change attribute text size quickly when components or wire numbers were already inserted onto your drawings.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Change Attribute Size. Does not exist on the ribbon.
Toolbar: Edit Attributes
Menu: Components [image] Attributes [image] Change Attribute SizeDoes not exist in the menus.
Command entry: AEATTSIZE

Pick

Selects the new attribute size by picking a similar text or attribute.

Size

Specifies the attribute size value.

Width

Specifies the attribute width value.

Apply

Applies the new size or width values to the selected attributes.

Single

Changes the size of the attributes as you select them.

By name

Changes all attributes of a certain type. Select an example attribute for AutoCAD Electrical to determine the name of the attribute. All attributes of the same name are found and adjusted to your specified size.

Type it

Specifies an attribute name for AutoCAD Electrical to match, wildcard characters are allowed. Window an area containing the attributes you want changed. All attributes that match the typed name are found and adjusted to the specified size.

For example, you want to change all the description attributes on all the PLC modules on your drawing. Select "Type it," and then enter "DESC*" for the attribute name. Window the entire drawing. You can include a series of attribute names to match by separating each attribute name with a semi-colon. (Example: "DESC*;TAG*")


Rename attribute (Procedure)

Change attribute text size
Rename an attribute
Add attributes to blocks
Component Attribute Tools >
Rename an attribute
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Rename attribute

Renames an attribute on a single instance of an inserted block.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Rename Attribute. Enter AERENAMEATTRIB at the command prompt.
  2. Select directly on the attribute you want to rename.
  3. Enter the new attribute name.
  4. Press Enter.


Add an attribute to a block (Procedure)

Rename an attribute
Add attributes to blocks
Set tags to fixed
Component Attribute Tools >
Add attributes to blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Add an attribute to a block

Use this tool to add an attribute to one insert instance of a block. The block does not need to be an AutoCAD Electrical block.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Add Attribute. Enter AEATTRIBUTE at the command prompt.
  2. Select the block.
  3. Define the attribute name, value, height, justification, and visibility.
  4. Click OK to create the attribute.
  5. Select the attribute location on the drawing.
NoteAdded attributes do not become part of the block definition. They disappear during the Explode command and when inserting another instance of the same block.


Add attributes to blocks (Quick Reference)

Change attribute text size
Add attributes to blocks
Set tags to fixed
Component Attribute Tools >
Add attributes to blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Add attribute

Adds a new attribute to an instance of an AutoCAD Electrical block already inserted into the drawing file. The attribute can be user-defined or an AutoCAD Electrical-specific attribute.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Add Attribute. Does not exist on the ribbon.
Toolbar: Edit Attributes
Menu: Components [image] Attributes [image] Add AttributeDoes not exist in the menus.
Command entry: AEATTRIBUTE
Name | Specifies text used to identify the attribute (attribute tag).
Value | Specifies the attribute text. This value is displayed on the drawing and used in reports. NoteIt can be left blank.
Height | Specifies the height for the attribute value.
Justification | Specifies the justification for the attribute value.
Invisible | Indicates whether the attribute is visible on the drawing.


Set component tags to fixed (Procedure)

Add attributes to blocks
Set tags to fixed
Change to multi-line text
Component Attribute Tools >
Set tags to fixed
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Set component tags to fixed

Fix selected tags

NoteTo unfix a component tag, in the Fixed/Unfixed Component Tag Marking dialog box, select Force selected tags to unfixed (normal), click OK, and select the tag to unfix.
  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Fix/Unfix Tag. Enter AEFIXTAG at the command prompt.
  2. In the Fixed/Unfixed Component Tag Marking dialog box, select whether to force selected tags to fixed or switch a tag between being fixed or unfixed and click OK.
    • Force selected tags to fixed: Select the component to fix. Right-click to accept the selection.
    • Single edit switch fixed/unfixed: Select the component to fix. In the Fix/Unfix Component Tag dialog box, select Make it Fixed and click OK.

Fix tags project-wide

  1. Click Project tab [image] Project Tools panel [image] Utilities. Enter AEUTILITIES at the command prompt.
  2. In the Project-Wide Utilities dialog box, Component Tags section, select Set all Parent Component Tags to fixed.

    To unfix tags project-wide, select Set all Parent Component Tags to normal.

  3. Click OK.
  4. In the Batch Process Drawings dialog box, select to process the project, and click OK.
  5. In the Select Drawings to Process dialog box, select the drawings to process, and click OK.


Set tags to fixed (Quick Reference)

Add attributes to blocks
Set tags to fixed
Retag components
Component Attribute Tools >
Set tags to fixed
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Fixed/unfix component tag

Use this tool to mark a component tag as fixed. The tag is unaffected if the drawing is later reprocessed by a Retag command.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Fix/Unfix Tag. Does not exist on the ribbon.
Toolbar: Edit Component
Menu: Components [image] Component Tagging [image] Fix/UnFix Component TagDoes not exist in the menus.
Command entry: AEFIXTAG

Select whether to force selected tags to fixed, force selected tags to unfixed, or switch a tag between being fixed or unfixed.

AutoCAD Electrical changes the attribute of the component to a fixed layer as defined in the Define Layers dialog box.


Retag components (Concept)

Set tags to fixed
Component Attribute Tools
Change to multi-line text
Component Attribute Tools >
Retag components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Retag recalculates each selected primary component tag, and updates the related components. You can update a single component, a group of components, a drawing, drawings within your project, or the entire project.

Run Retag Components when something changes on your drawing or project that affects the component tags. It can include revising the ladder line reference numbers or changing the tag format. Retag recalculates each selected primary component tag, and then updates the related components. The Tag format is set up on the Drawing Properties [image] Components dialog box.

The introduction of one-line components has added an additional type of primary component. Within a project you can represent a component with both a schematic parent symbol and a one-line parent symbol. These are considered peer components. The retag function uses the following rules when retagging these peer components:

  • If you retag a schematic parent, the tag value of the one-line parent is updated to match.
  • If you retag a one-line parent, the tag value of the schematic parent is updated to match.
  • If you run a project-wide retag, the first one encountered gets retagged and the peer is updated to match.
  • If you run a project-wide retag and either the schematic parent tag or the one-line parent tag is fixed, the components are not retagged.
NoteAll one-line components are identified by a WDTYPE “1-” attribute value.


Retag components (Quick Reference)

Set tags to fixed
Retag components
Update child codes
Component Attribute Tools >
Retag components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Retag components

Retags single, windowed, drawing wide, and project-wide components with contact updates.

Ribbon: Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Retag Components. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Component Tagging [image] Retag ComponentsDoes not exist in the menus.
Command entry: AERETAG

Retag recalculates each selected primary component tag, and updates the related components. You can update a single component, a group of components, a drawing, drawings within your project, or the entire project.


Convert text to a multi-line text entity (Procedure)

Set tags to fixed
Change to multi-line text
Add location codes
Component Attribute Tools >
Change to multi-line text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Convert text to a multi-line text entity

This tool converts a long string of relay coil or source/destination cross-reference text to a multiline text entity (MTEXT). The underlying attribute value is maintained, but flipped to visible. The MTEXT entity is created at the same XY location as the underlying attribute. The MTEXT entity updates, scoots, and behaves as if it is an attribute tied to the component block.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Change Cross-Reference to Multiple Line Text. Enter AEXREF2TEXT at the command prompt.
  2. Select the text string to change.
  3. Type a new text string for the selected text.

    Use the Text Formatting dialog box to change the text style and size. You can also right-click and select from the context menu options.

  4. Use the grips or double-click the text to bring up text formatting options to reformat the reference string into multiple lines.
  5. Click OK.


Add location codes to components (Procedure)

Change to multi-line text
Add location codes
Update child codes
Component Attribute Tools >
Add location codes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Add location codes to components

You can add Location codes to components after they were created or you can set a default Location code to use for all components that are inserted into a drawing.

Add Location codes on a per-drawing basis

First, set your project to use automatic fill for Location values, and then set the default for the drawing. You have a default Location value for each new component that you insert (whether field or panel) on the same drawing.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project name, and select Properties.
  3. In the Project Properties [image] Components dialog box, Component TAG Options section, select Upon insert: automatic fill Installation/Location with drawing default or last used. Click OK.
  4. Open the drawing to set the default location value for.
  5. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
  6. In the Drawing Properties [image] Drawing Settings dialog box, IEC - Style Designators section, enter a default Location value. Click OK.
    TipYou can click Drawing or Project to select a Location value that was already in either the active drawing or project.

    The next time you insert a new component on this drawing, the Location code are prefilled with the drawing default.

Add a Location code to a saved component

  1. Open a .dwg file of the saved symbol in AutoCAD.
  2. Use the ATTDEF command to add the new attribute or copy an attribute definition and rename it.
  3. Save the drawing file.

    The symbol now contains an AutoCAD Electrical Location value attribute.


Update child location codes (Procedure)

Add location codes
Update child codes
Location Mark Symbols
Component Attribute Tools >
Update child codes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Update child location codes

A child contact should carry the same location code that is present on its parent component. If relay coil CR101 is marked "PNL1," then all CR101 contacts should also carry this location code. In addition, if a child component carries MFG and CAT attributes, they should carry the same information as the parent.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Child Location/Description Update. Enter AECHILDLOCUPDATE at the command prompt.
  2. Select the values to match to those values carried on the schematic parent component.
  3. Click OK.
  4. Select the components to update in your drawing and right-click or type "ALL" to process the entire drawing.

    AutoCAD Electrical quickly extracts a listing of all parent components and pertinent codes from all drawings listed in the current project and applies them to the child contacts you selected on the active drawing.


Update child codes (Quick Reference)

Retag components
Update child codes
Substitute location mark symbols for text location codes
Component Attribute Tools >
Update child codes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Child contact and panel update from schematic parent

This tool updates child and panel components with installation, location, and description values carried by the associated parent schematic component.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Child Location/Description Update. Does not exist on the ribbon.
Toolbar: Cross-Reference
Menu: Components [image] Cross-Reference [image] Child Location/Description UpdateDoes not exist in the menus.
Command entry: AECHILDLOCUPDATE
Installation/Location Attributes
Installation codes | Specifies to update the child and panel components with the parent installation code.
Location codes | Specifies to update the child and panel components with the parent location code.
Description text | Specifies to update the child and panel components with the parent description text.
Description to always match parent | Specifies that the description should always match the parent description text.
Description update only if child blank | Specifies that the description should only be updated to match the parent description text if the child description values are blank.
Rating values | Specifies to update the child and panel components with the parent rating values.
Manufacturer/Catalog part number values
Manufacturer/Catalog part number values | Specifies to update the child and panel components with the parent Manufacturer/Catalog part number values.
Manufacturer/Catalog to always match schematic parent | Specifies that the Manufacturer/Catalog should always match the parent Manufacturer/Catalog values.
Manufacturer/Catalog update only if child is blank | Specifies that the Manufacturer/Catalog should only be updated to match the parent Manufacturer/Catalog text if the child Manufacturer/Catalog values are blank.
NoteIf you choose to update the Manufacturer/Catalog, it does not carry to the children unless they carry the Manufacturer and Catalog attributes.


Location Mark Symbols

Update child codes
Component Attribute Tools
Substitute location mark symbols for text location codes
Component Attribute Tools >
Location Mark Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Substitute location mark symbols for text location codes

    Location symbols


Location Mark Symbols (Procedure)

Update child codes
Location Mark Symbols
Substitute location mark symbols for text location codes
Component Attribute Tools >
Location Mark Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Substitute location mark symbols for text location codes


Substitute location mark symbols for text location codes (Procedure)

Location Mark Symbols
Up a level to ..
Modify library symbols
Component Attribute Tools > Location Mark Symbols >
Substitute location mark symbols for text location codes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Substitute location mark symbols for text location codes

You can insert location marks on symbols that are identified with location code in text form.

Add a location code to a component

If you try to insert a location mark symbol on a component with a blank location code, you are prompted to enter the location code before selecting a marker. Once you insert a location code, a location mark symbol can be associated to it and the component.

  1. Click Schematic tab [image] Insert Components panel [image] Location Box drop-down [image] Location Symbols. Enter AELOCATIONSYMBOL at the command prompt.
  2. Select a component to add the symbol to and press Enter.

    If a location code is not associated to the component, the Add Location to Component dialog box displays.

  3. Specify the location code by typing it, clicking component that carries the location value, or by selecting from a list of location codes used on the drawing or in the project.
  4. Click OK.

Insert a location mark symbol

  1. Click Schematic tab [image] Insert Components panel [image] Location Box drop-down [image] Location Symbols. Enter AELOCATIONSYMBOL at the command prompt.
  2. Select a component to add the symbol to and press Enter.
  3. From the Location Symbols dialog box, select the symbol to associate with the component and click OK.

    The attribute text becomes invisible and the location symbol inserts at its location.

You can reposition the location marks with the AutoCAD Move command. If you scoot the symbol, the mark moves with it.

NoteYou cannot assign the same mark to two different locations.

Remove a location mark symbol

  1. Click Schematic tab [image] Insert Components panel [image] Location Box drop-down [image] Location Symbols. Enter AELOCATIONSYMBOL at the command prompt.
  2. Select a component to remove the symbol from and press Enter.

    The location mark symbols are removed and the original location attribute is visible again.

Add a new symbol to the menu

The Location Symbols menu is driven by a text file (wd_locs.dat) that you can modify.

  1. Create the mark symbol, save it to

    Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\{library}\

    Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\Libs\{library}\

    with a file name that begins with "WDXX" (for example, "WDXXSQ1.DWG")

    Create an AutoCAD slide of the symbol and save the resulting .sld file.

  2. Open the drawing in AutoCAD and center it on the screen.
  3. Type MSLIDE at the command prompt.
  4. Enter

    Windows XP: \Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\wdxxsq1.sld

    Windows Vista: \Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\wdxxsq1.sld

    as the file name to create.

  5. Click Save.
  6. Make a backup copy of

    Windows XP: \Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\wd_locs.dat

    Windows Vista: Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\wd_locs.dat

  7. Edit wd_locs.dat with a text file editor (such as Wordpad).
  8. Add the reference to the new mark symbol (for example, "Special Square | WDXXSQ1.SLD | WDXXSQ1").
NoteYou can also do this using the AutoCAD Electrical Icon Menu Wizard.


Substitute location mark symbols for text location codes (Quick Reference)

Update child codes
Substitute location mark symbols for text location codes
Location box
Component Attribute Tools > Location Mark Symbols >
Substitute location mark symbols for text location codes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Location symbols

Location mark symbols are block inserts with block names that begin with "WDXX". Default symbols are included in the AutoCAD Electrical symbol library (ex: in JIC1 subdirectory). You can edit the symbol appearance by just calling up in AutoCAD and modifying to suit. You can substitute "smart" geometric symbols for text "location" code values. The location text is hidden and replaced by a geometric shape. They are smart in that they update if the underlying component location code changes.

Ribbon: Design Schematic tab [image] Insert Components panel [image] Location Box drop-down [image] Location Symbols. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Components [image] Component Tagging [image] Location SymbolsDoes not exist in the menus.
Command entry: AELOCATIONSYMBOL

Select a component to add the symbol to and press Enter.

Some location symbol options include: Filled Triangle, Filled Square, Filled Diamond, Filled Circle, 1/2 Filled Triangle, 1/2 Filled Square, 1/2 Filled Diamond, and 1/2 Filled Circle.

Adding custom symbols to menu

You can create additional symbols if you wish. Follow the WDXX... naming convention and add to the icon menu as illustrated in the following section. The icon menu is driven by an ASCII text file, wd_locs.dat. Edit this file to add references for your own location mark symbols. You can also add additional submenu pages to the menu in a manner like that of the Insert Component icon menu file.

Example WD_LOCS.DAT file with user-added submenus 100 and 101:

**M0

L4

L O C A T I O N S Y M B O L S

Filled Triangle | loc2(s_wdxxt) | wdxxt

Filled Square | loc2(s_wdxxs) | wdxxs

Filled Diamond | loc2(s_wdxxd) | wdxxd

Filled Circle | loc2(s_wdxxc) | wdxxc

Remote station syms | remote.sld | $S=M100

Customer symbols | cust.sld | $S=M101

**M100

L4W

R E M O T E S T A T I O N S Y M B O L S

Main Operator sta | wdxx_mos | wdxx_mos

Wash-down sta | wdxx_wds | wdxx_wds

**M101

L2

C U S T O M E R S Y M B O L S

Customer power | wdxx_cp | wdxx_cp

Customer furnished | wdxx_cf | wdxx_cf

NoteYou only need to define the L*W row if you plan on using this .dat file in a version of AutoCAD Electrical before AutoCAD Electrical 2008.


Change library symbol attribute size (Procedure)

Substitute location mark symbols for text location codes
Modify library symbols
Use wire layers
Component Attribute Tools >
Modify library symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change library symbol attribute size

Use the Modify Symbol Library tool to change the attribute description size for library symbols.

NoteMake a backup copy of the library you plan to modify (such Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\jic1 library, or Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\jic1 ). If the conversion does not give you the results you expect you can restore the symbols, adjust the settings, and then rerun.
  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Modify Symbol Library. Enter AEUPDATESYMLIB at the command prompt.
  2. Select the folder containing the library symbols you wish to convert and press OK.

    The Symbol Library Attribute Text/Scale Resize dialog box displays. You can change the attribute size based on the AutoCAD Electrical attribute type.

  3. Select the attributes to change. Notice that you can change the attributes for parent/stand-alone symbols separate from the child/contact symbols.
  4. Enter the new value and click Start.

    The first library symbol is immediately opened. Changes are made to the selected attributes. The drawing is saved, and the operation moves on to the next symbol. I t continues until each symbol is updated.

NoteYou can also use this tool to change the default text width or the text font used for the text style of AutoCAD Electrical.


Modify library symbols (Quick Reference)

Location box
Modify library symbols
Use wire layers
Component Attribute Tools >
Modify library symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Symbol library attribute text/scale resize

Ribbon: Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Modify Symbol Library. Does not exist on the ribbon.
Menu: Components [image] Symbol Library [image] Modify Symbol LibraryDoes not exist in the menus.
Command entry: AEUPDATESYMLIB

Select the folder and click OK.

Re-scale symbol | Specifies the new scale for the symbol. A value of 1.0 = no change.
Change polyline width | Specifies the new polyline width for the symbol. It is useful when modifying the polyline width for the one-line library symbols but works on any symbol with polylines.
Run AutoLISP “(command...)” expression | Specifies which command to run using the built-in AutoLISP programming in AutoCAD Electrical. Enter the AutoLISP code in the edit box.
Force attributes to fixed text width | Specifies the new width for the attribute text.
Change “WD” style | Specifies the default text width and font used for the text style in AutoCAD Electrical. Choose the desired style from the list.
Do a save even if no change | Specifies to perform a save even if you did not modify the symbol library.
Force attributes to fixed text heights | Specifies the text height for the following attributes: parent or child components, installation and location codes, position, state, component terminal pins, parent and child descriptions and cross-references.


Wire/Wire Number Tools

Modify library symbols
Overview of wires
Wire/Wire Number Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of wires
  • Use wire layers
  • Change wire types
  • Insert wires
  • Insert multiple wires

    Multiple wire bus

  • Interconnect components
  • Trim wires

    Trim wire

  • Stretch wires
  • Bend wires at right angles
  • Overview of wire color/gauge labels

    Insert wire color/gauge labels

  • Insert in-line wire markers
  • Cable Markers
  • Wire Gaps
  • Ladder Tools
  • Wire Numbers
  • Signal Arrows
  • Wire Sequencing


Overview of wires

Wire/Wire Number Tools
Wire/Wire Number Tools
Use wire layers
Wire/Wire Number Tools >
Overview of wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical treats line entities as wires when the lines are found on an AutoCAD Electrical-defined wire layer. You can have many wire layers set up on your drawing. Each wire layer has a descriptive name like "RED_16" or "BLK_14_THW" and is assigned a screen color to mimic the wire color visually. Wires do not have to begin or end at snap points, and they do not have to be orthogonal (they can be skewed at any angle).

A wire network is one or more wire line segments and optional branches that interconnect and form an electrically unbroken conductor. Wire segments of the network may contain in-line terminals and wire crossing gaps. All segments of a wire network receive the same wire number unless you select On per Wire Basis in the Wire Number Options section of the Project Properties [image] Wire Numbers dialog box (on the Project Manager, right-click the project name and select Properties). When multiple wires are tied to a common wire connection point, each wire is treated as an independent wire network and receives its own unique wire number assignment by AutoCAD Electrical

NoteA wire connection point should only have up to three wire connections tied to it. Adding more wires to a single point prevents the angled wire connection to tie uniquely to the wire connection point.


Use wire layers (Concept)

Overview of wires
Wire/Wire Number Tools
Change wire types
Wire/Wire Number Tools >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Set Wire Type tool is used for setting a wire type for new wires only. The wire layer name and the associated wire properties (such as wire color, size, and whether the wire layer is to be processed for wire numbers) are saved in the drawing file. The chosen wire layer for a new wire is determined by the following:

  • When a wire is created from an existing wire, the new wire takes on the same layer as the existing wire. It ignores the current layer and the current wire type.
  • When the new wire is started in empty space but ends at an existing wire, the new wire takes on the wire layer of the ending wire, ignoring the current layer and current wire type.
  • When a new wire is started at an existing wire and ends at another existing wire, the new wire takes on the layer of the beginning wire.
  • If there are no wire layers in the drawing, the new wire is drawn in the WIRES layer.
  • When a wire starts in empty space and ends at the component wire connection point (or vice versa), the new wire is drawn on the current wire type instead of the layer of the wires already tied to the same component connection points.

Use the Create/Edit Wire Type tool to create new or edit existing wire types or use the Change/Convert Wire Type tool to convert lines to wires.


Use wire layers (Procedure)

Modify library symbols
Use wire layers
Use wire layers
Wire/Wire Number Tools >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create wire layers

Add existing wire layers to the drawing


Create wire layers (Procedure)

Use wire layers
Use wire layers
Use wire layers
Wire/Wire Number Tools >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create wire layers

Wire layer names for drawings are set up in the Create/Edit Wire Type dialog box.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Enter AEWIRETYPE at the command prompt.
  2. In the Create/Edit Wire Type dialog box, click inside the Wire Color column for a blank row and specify a value for the new wire layer.
  3. Click inside the Size column and specify a value for the size.

    The Layer Name is automatically created. If you specified Wire Color: Red and Size: 20, the name RED_20 is assigned to the wire layer you are creating.

  4. If you do not want wires on this layer processed for wire numbers, select No for the Wire Numbering option.
  5. Click Color, Linetype, or Lineweight to assign values for the new layer.
    NoteIf you want the new wire layer to be the default, click Mark Selected as Default.
  6. Click OK.


Add existing wire layers to the drawing (Procedure)

Use wire layers
Use wire layers
Change wire types
Wire/Wire Number Tools >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add existing wire layers to the drawing

Wire layer names for drawings are set up in the Create/Edit Wire Type dialog box.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Enter AEWIRETYPE at the command prompt.
  2. In the Create/Edit Wire Type dialog box, click Add Existing Layer.
  3. In the Layers for Line "Wires" dialog box, define the layer name and click OK. You can either enter a name in the edit box or click Pick to select a name from the existing layer list.

    The layer displays in the wire type grid. If you selected the wrong wire layer, highlight the layer in the dialog box and click Remove Layer. You can then go back into the Layers for Line "Wires" dialog box and select another layer to add.

  4. In the Create/Edit dialog box, click Color, Linetype, or Lineweight to assign new values for the layer.
  5. If you do not want wires on this layer processed for wire numbers, select No for the Wire Numbering option.
  6. Click OK.


Use wire layers (Quick Reference)

Modify library symbols
Use wire layers
Change wire types
Wire/Wire Number Tools >
Use wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create/edit wire type

Defines and edits wire types.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Does not exist on the ribbon.
Toolbar: Wires
Menu: Wires [image] Create/Edit Wire TypeDoes not exist in the menus.
Command entry: AEWIRETYPE

The program saves the wire layer name and associated properties, such as wire color, size, and whether the wire layer is to be processed for wire numbers, in the drawing file. Use the grid control to sort and select wire types to modify.

TipUse the Change/Convert Wire Type tool to convert lines to wires or type "T" at the command prompt during wire insertion to use the Set Wire Type tool.
Wire type grid

Displays the wire types used in the active drawing. The wire layer name and the wire properties like color, size, whether the wire layer is to be processed for wire numbers, and user-defined properties are listed in the grid. An “x” in the Used column indicates that the layer name is currently used in the drawing; a blank value in this column indicates that the layer name exists in the drawing but it is not currently being used. The current wire type is highlighted with a gray background; selected wire types highlight in blue.

If you do not want wire numbers assigned to wires on a specific layer, select “No” Wire Numbering for that layer. The Insert Wire Numbers command follows these rules:

  • If all wires in the network are on layers set “No” for Wire Numbering, no new wire number is inserted.
  • If any wire in the network is on a layer set “Yes” for Wire Numbering, the existing non-fixed wire number is updated or a new wire number is inserted.
  • If a wire network already has a non-fixed wire number, it is updated regardless of the Wire Numbering setting. Use the Delete Wire Numbers command to remove the wire number.
NoteManually maintain wire layer type consistency through signal arrows.

To rename the User1- User 20 column headers, right-click the project name in the Project Manager and select Properties. In the Project Properties [image] Wire Numbers dialog box, Wire Type section, click Rename User Columns. In the Rename User Columns dialog box, specify a new column name and click OK. Renaming of user-defined columns is project-specific. You cannot rename the Color, Size, or Layer Name columns. All of the data corresponding to the header column can be copied, cut, and pasted to another column.

All text fields are editable except for the Layer Name cell. It cannot be edited for existing layers. Left-click to edit the cell or right-click in a cell to display options for modifying the cell contents. If you want to rename a layer, right-click on a cell and select Rename Layer. Right-click options include: Copy, Cut, Paste, Delete Layer, and Rename Layer. You cannot delete or remove a layer if it is the default layer.

You can select multiple layers to edit or remove by using the Shift or Ctrl keys on your keyboard while picking the wire layer in the wire type list.

You can move the wire type records inside the grid to whatever position you want using drag and drop. Select the wire type records to move and drag to the new position in the grid.

Option

Make All Lines Valid Wires

Makes all existing layers valid wire layers and displays them in the wire type grid.

Once you select to make all of the layers valid wire layers, you can deselect this option if you later decide you want some layers to be wire layers and others to be line layers. All the layers are removed from the wire type grid. Add layers again using the Add Existing Layer option.

Layer

Allows you to format the layer name, define or edit the layer color, linetype, and line weight.

Layer Name Format

Format the layer name. The program should fill the layer name automatically once you enter a value in color, size based on the format. For example if you enter BLK for color and 10AWG for size, then the layer name is filled in automatically as BLK_10AWG based on default %C_%S format. Placeholders are supported at any place in the format (that is, "CUST%C-THIN%S).

Valid wire name format codes are:

  • %C = Wire Color
  • %S = Wire Size
  • %1-%5 = User 1 - User 5

Color

Displays the AutoCAD dialog box for Layer colors election. The Select Color dialog box highlights the color corresponding to the wire type record. The default color for new records is white. Undefined colors for layers use the default color while creating the layer. Multiple selection is allowed. All wire layers that were selected can be changed to the color.

Linetype

Displays the AutoCAD dialog box for linetype selection. This Select Linetype dialog box highlights the linetype corresponding to the wire type record. The default linetype for new records is continuous. Undefined linetypes for layers use the default linetype while creating the layer. Multiple selection is allowed. All wire layers that were selected can be changed to the desired linetype.

NoteIf you need special linetypes for constructing P&ID or point to point diagrams, load the special linetypes from theacade.lin text file.

Lineweight

Displays the AutoCAD dialog box for lineweight selection. The Lineweight dialog box highlights the lineweight corresponding to the wire type record. The default lineweight for new records is default. Undefined lineweights for layers should use the default lineweight while creating the layer. Multiple selection is allowed. All wire layers that were selected can be changed to the desired lineweight.

Add Existing Layer

Displays the Layers for Line Wires dialog box for specifying a layer name. You can also click Pick to select the layer name from the existing layer list that consists of all the layers in the drawing inclusive of the non-wire layers.

Only lines on pre-selected layers are processed as wires. Enter a wire layer name in the dialog box. A wildcard used in the name selects a group of layers (for example, RED_* selects all layers that begin with "RED_").

Remove Layer

Removes the selected layer name from the wire type grid. The layer is no longer a valid wire layer, however the layer remains in the drawing as an AutoCAD line layer.

If multiple layers of one color exist in the drawing, you must select all layers of that color in the wire type grid to activate this button. For example, if there are multiple RED* layers such as RED_AWG18, RED_AWG20,and RED_AWG25, you must select all three layers in the wire type grid to enable the button.

NoteOnly unused layers in the active drawing can be deleted.

Mark Selected as Default

Makes the selected layer the default layer for new wire layers and displays the layer name in the dialog box.

OK
NoteThis is available only when one wire type record is selected in the list.

Makes the selected wire type the current wire type. If the selected wire type does not exist on the drawing, the wire layer is created on the fly and the wire layer name and properties are saved in the drawing file. In order for the layer to create the following rules apply:

  • The layer name must be unique
  • The layer name cannot be left blank
  • The layer name cannot contain special characters such as / \ " : ; ? * | , = ' > <


Change wire types (Quick Reference)

Use wire layers
Change wire types
Change wire types
Wire/Wire Number Tools >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change/convert wire type

Set wire type


Change wire types (Procedure)

Use wire layers
Change wire types
Insert wires
Wire/Wire Number Tools >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change wire types

You can change the wire type using the Change/Convert Wire Type tool or by typing a "T" at the command prompt during wire insertion commands.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Change/Convert Wire Type. Enter AECONVERTWIRETYPE at the command prompt.

    Optionally, you can right-click on an existing wire and select Change/Convert Wire Type.

  2. In the Change/Convert Wire Type dialog box, select a wire type record in the wire type list, or click Pick to select a wire type record from the drawing.

    If you right-clicked on a wire and selected Change/Convert Wire Type, in the Change/Convert Wire Type dialog box, the wire type corresponding to the selected wire layer is highlighted in the list.

  3. Make any selections in the dialog box.

    If Change all wires in the wire network is selected, all wires in the wire network are changed to the new wire type. If unselected, only the selected wire is changed.

    If Convert Lines to Wires is selected, the selected lines are changed to the new wire type. If unselected, the lines are ignored.

  4. Click OK.
  5. Select the wires or lines in the drawing to change and press Enter.
Override wire type at command prompt

During wire insertion, the current wire type displays at the command prompt. You can override this by typing in the hot key "T" and selecting a new wire type from the Set Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the wire insertion. Use the following commands:

  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire.Enter AEWIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 22.5 Degree.Enter AE225WIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 45 Degree.Enter AE45WIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] 67.5 Degree.Enter AE675WIRE at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus.Enter AEMULTIBUS at the command prompt.
  • Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Add Rung.Enter AERUNG at the command prompt.
  • Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder.Enter AELADDER at the command prompt.
NoteIf you select Another Bus (Multi-Wire) in the Multiple Wire Bus dialog box, the wires are drawn on the same wire layer as that of the existing wire bus; you do not have the ability to type "T" to change the wire type during wire insertion.


Change wire types (Quick Reference)

Change wire types
Change wire types
Change wire types
Wire/Wire Number Tools >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change/convert wire type

This tool converts lines to wires. Use the grid control to sort and select the wire types for easy modification.

TipUse the Create/Edit Wire Type tool to create and edit wire types or type "T" at the command prompt during wire insertion to use the Set Wire Type tool.
Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Change/Convert Wire Type. Does not exist on the ribbon.
Toolbar: Wires
Menu: Wires [image] Change/Convert Wire TypeDoes not exist in the menus.
Command entry: AECONVERTWIRETYPE

You can also right-click on an existing wire and select Change/Convert Wire Type.

Wire type grid

Displays the wire types used in the active drawing. The wire layer name and the wire properties like color, size, whether the wire layer is to be processed for wire numbers, and user-defined properties are listed in the grid. An 'x' in the Used column indicates that the layer name is currently used in the drawing; a blank value in this column indicates that the layer name exists in the drawing but it is not currently being used.

A “No” in the Wire Numbering column indicates that wires on this layer will not receive a wire number. The Insert Wire Numbers command follows these rules:

  • If all wires in the network are on layers set “No” for Wire Numbering, no new wire number is inserted.
  • If any wire in the network is on a layer set “Yes” for Wire Numbering, the existing non-fixed wire number is updated or a new wire number is inserted.
  • If a wire network already has a non-fixed wire number, it is updated regardless of the Wire Numbering setting. Use the Delete Wire Numbers command to remove the wire number.
NoteYou should manually maintain wire layer type consistency through signal arrows.

To rename the User1- User 20 column headers, right-click the project name in the Project Manager and select Properties. In the Project Properties [image] Wire Numbers dialog box, Wire Type section, click Rename User Columns. In the Rename User Columns dialog box, specify a new column name and click OK. Renaming of user-defined columns is project-specific. You cannot rename the Color, Size, or Layer Name columns. All of the data corresponding to the header column can be copied, cut, and pasted to another column.

Pick

Allows you to pick a wire or line in the active drawing. Once you pick a wire, the corresponding wire type record is highlighted. If you pick a line in the active drawing, you can add the layer where the line resides to the list of valid wire layers. A new wire type record is created automatically.

Change/Convert
Change All Wire(s) in the Network | Changes all the wires in the wire network to the selected wire type record. If unselected, only a single wire is changed to the selected wire type.
Convert Line(s) to Wire(s) | Changes the lines to the selected wire type in the wire type grid.
OK
NoteThis is available only when one wire type record is selected in the list.

Makes the selected wire type the current wire type. If the selected wire type does not already exist on the drawing, the wire layer is created on the fly and the wire layer name and properties are saved in the drawing file. In order for the layer to create the following rules apply:

  • The layer name must be unique
  • The layer name cannot be left blank
  • The layer name cannot contain special characters such as / \ " : ; ? * | , = ' > <


Change wire types (Quick Reference)

Change wire types
Change wire types
Insert multiple wires
Wire/Wire Number Tools >
Change wire types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Set wire type

This tool sets wire types for new wires. Use the grid control to sort and select the wire types for easy modification.

TipUse the Create/Edit Wire Type tool to create and edit wire types or the Change/Convert Wire Type tool to convert lines to wires.

Type "T" at the command prompt during wire insertion.

Wire type grid

Displays the wire types used in the active drawing. The wire layer name and the wire properties like color, size, whether the wire layer is to be processed for wire numbers, and user-defined properties are listed in the grid. An 'x' in the Used column indicates that the layer name is currently used in the drawing; a blank value in this column indicates that the layer name exists in the drawing but it is not currently being used.

A “No” in the Wire Numbering column indicates that wires on this layer will not receive a wire number. The Insert Wire Numbers command follows these rules:

  • If all wires in the network are on layers set “No” for Wire Numbering, no new wire number is inserted.
  • If any wire in the network is on a layer set “Yes” for Wire Numbering, the existing non-fixed wire number is updated or a new wire number is inserted.
  • If a wire network already has a non-fixed wire number, it is updated regardless of the Wire Numbering setting. Use the Delete Wire Numbers command to remove the wire number.
NoteYou should manually maintain wire layer type consistency through signal arrows.

To rename the User1- User 20 column headers, right-click the project name in the Project Manager and select Properties. In the Project Properties [image] Wire Numbers dialog box, Wire Type section, click Rename User Columns. In the Rename User Columns dialog box, specify a new column name and click OK. Renaming of user-defined columns is project-specific. You cannot rename the Color, Size, or Layer Name columns. All of the data corresponding to the header column can be copied, cut, and pasted to another column.

OK
NoteThis is available only when one wire type record is selected in the list.

Makes the selected wire type the current wire type. If the selected wire type does not exist on the drawing, the wire layer is created on the fly and the wire layer name and properties are saved in the drawing file. For the layer to create, the following rules apply:

  • The layer name must be unique.
  • The layer name cannot be left blank.
  • The layer name cannot contain special characters such as / \ " : ; ? * | , = ' > <.


Insert wires (Procedure)

Change wire types
Insert wires
Insert multiple wires
Wire/Wire Number Tools >
Insert wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert wires

Inserts wire with automatic connection and wire crossing gaps or loops.

Inserts a line or series of lines on a defined wire layer in AutoCAD Electrical. A drawing can have multiple wire layers. Wires do not have to begin or end at snap points, and can be at any angle. A wire network is one or more wire segments and optional branches that interconnect and form an electrically unbroken conductor.

You can insert single or angled (22.5, 45, or 67.5 degree) line wire segments on a wire layer (the wire layer does not have to be the current layer). AutoCAD Electrical supports scooting components along angled wires.

NoteThe AutoCAD Insert Line command can also be used to insert AutoCAD Electrical wires on a valid wire layer.
  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.

    Click the Insert Wires drop-down to access the Insert 22.5, 45, or 67.5 Degree Wire tools.

  2. Select the starting point of the wire. You can start a wire segment in empty space, from an existing wire segment, or from an existing component. If you start from a component, the wire segment is started at the nearest wire connection terminal to your pick point on that symbol.

    During wire insertion, the current wire type displays at the command prompt. You can override it by typing in the hotkey "T" and selecting a new wire type from the Set/Edit Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the wire insertion.

    You can also type "X" during wire insertion to show the wire connection points in the drawing.

  3. Select the ending point of the wire. You can end the wire segment or angled segment in empty space, from an existing wire segment, or from an existing component. If it ends at a wire segment, a dot (wddot.dwg) is applied, if appropriate. If it ends at another component, the nearest wire connection terminal is found and connected to your pick point on that symbol.
    NoteIf the distance between two horizontal wires is relatively small, the vertical wire crossing them avoids inserting loop gaps. The wire trap distance setting is used to see whether wire loop gaps are possible or not. Reduce the scale factor or increase the distance between two wires to insert gap loops.

    If the wire was an angled wire, press “N” to switch to normal 90-degree wire mode. The wire picks up at the end of the angled wire segment and defaults to horizontal or vertical. To view wire connection terminal locations position the cursor near the target component, press "S" followed by a [space]. Green Xs appear on the screen at the wire connection point locations.

NoteA wire connection point has up to three wire connections tied to it. Adding more wires to a single point prevents the angled wire connection to tie uniquely to the wire connection point.


Insert multiple wires (Procedure)

Insert wires
Insert multiple wires
Interconnect components
Wire/Wire Number Tools >
Insert multiple wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert multiple wires

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  2. Set the horizontal and vertical spacing for the wires.
  3. Specify where to start the wires.
  4. Set the number of wires to 3, and click OK.

    During wire insertion, the current wire type displays at the command prompt. The current wire type indicates the layer name in which the new wires are drawn. You can override it by typing "T" and selecting a new wire type from the Set/Edit Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the wire insertion.

  5. If starting at a component or bus, select the component. Drag the cursor slowly to the right as the second and third phases latch on to their appropriate vertical wires. You can see the three wires stretch straight across the screen.

    As you pull the 3-phase wire out, you can turn a corner by moving your cursor out of line with the bus. To reverse the phase sequence of the turn, press F.

  6. Right-click to terminate the wires. The wires and wire connection dots insert, and loops are automatically inserted at wire crossing points.
    NoteIf the distance between two horizontal wires is relatively small, the vertical wire crossing them avoids inserting loop gaps. The wire trap distance setting is used to see whether wire loop gaps are possible or not. Reduce the scale factor or increase the distance between two wires to insert gap loops.

    To tie the new 3-phase wire to an existing bus, but with reversed sequence, start the new 3-phase wire connected at the last wire on the existing bus. Move the cursor backward across the other wires until the connections are made, and then move the cursor forward again. This results in a reversed sequence connection.

TipIf you have trouble connecting a new 3-phase wire to an existing bus, start the command and select the starting point on the existing bus. Move the cursor slowly across the other wires of the bus. AutoCAD Electrical has a better chance of finding them and correctly connecting the new wiring.


Insert multiple wires (Quick Reference)

Change wire types
Insert multiple wires
Trim wires
Wire/Wire Number Tools >
Insert multiple wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Multiple wire bus

Inserts a multiple wire bus with automatic connections.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Does not exist on the ribbon.
Toolbar: Wires
Menu: Wires [image] Multiple Wire BusDoes not exist in the menus.
Command entry: AEMULTIBUS

Multiple bus wiring breaks automatically and reconnects to any underlying components in its path. If it crosses existing wiring, wire-crossing gaps insert automatically based on the drawing properties. You define the number of wires.

Inserts vertical or horizontal bus wiring. Bus spacing defaults to the default ladder rung spacing for horizontal bus. For a vertical bus, the spacing is the default value defined in the Ladder Defaults section in the Drawing Properties [image] Drawing Format dialog box.

NoteYou can use the Scoot command to adjust bus spacing after insertion.
Horizontal | Specifies the horizontal spacing between the wires.
Vertical | Specifies the vertical spacing between the wires.


Interconnect components (Procedure)

Insert multiple wires
Interconnect components
Trim wires
Wire/Wire Number Tools >
Interconnect components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Interconnect components

Inserts wires between aligned connection points on a pair of selected components.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Interconnect Components. Enter AECONNECTCOMP at the command prompt.
  2. Select the first component.
  3. Select the second component.
NoteWires are added only if the wire connection points are aligned.


Trim wires (Procedure)

Interconnect components
Trim wires
Stretch wires
Wire/Wire Number Tools >
Trim wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Trim wires

Use this tool to remove a wire segment and wire tees as required. You can pick on a single wire or draw a fence through multiple wires to trim.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Trim Wire. Enter AETRIM at the command prompt.
  2. Select the wire segment to remove on the drawing or type F followed by a [space] to remove multiple wires at once.
  3. If you are removing multiple wires, draw a fence through the wires to trim.

A Zoom Extents is triggered when a wire runs off the screen. If this zooming back and forth becomes annoying during multiple trims, then zoom back so that all the circuitry is shown on the screen. Or press Z and [space] at the trim prompt. It triggers a Zoom Extents that persists through the rest of the trimming edits.

NoteYou can use the AutoCAD Erase command to remove wires, but wire connection dots or tees are not removed automatically.


Trim wires (Quick Reference)

Insert multiple wires
Trim wires
Overview of wire color/gauge labels
Wire/Wire Number Tools >
Trim wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Trim wire

Trims wire between wire connections.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Trim Wire. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Wires [image] Trim WireDoes not exist in the menus.
Command entry: AETRIM

Removes a wire segment and any wire tees or dots. Pick on a single wire, draw a fence, or draw a crossing window to select the wires to trim.

Fence | Draw a fence line through all wire segments to trim.
Zext | Zoom Extents so that all wire segments are visible on the screen.
Crossing | Draw a crossing window selecting all wire segments to trim.
Select wire to trim | Select a single wire segment to trim.


Stretch wires (Procedure)

Trim wires
Stretch wires
Bend wires at right angles
Wire/Wire Number Tools >
Stretch wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Stretch wires

Stretches or trims the end of a wire segment to the nearest wire or in-line component wire connection point.

Select the wire, and the program automatically finds the wire or component in its path.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wires drop-down [image] Stretch Wire. Enter AESTRETCTWIRE at the command prompt.
  2. Select the end of the wire to stretch.


Bend wires at right angles (Procedure)

Stretch wires
Bend wires at right angles
Overview of wire color/gauge labels
Wire/Wire Number Tools >
Bend wires at right angles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Bend wires at right angles

Bends a wire in a right angle and makes three right angle turns to avoid or add geometry.

You can modify the wire defined at a right angle. You can replace the right angle bend while maintaining the original wire connections to the components.

NoteThis tool terminates if the bend attempts to connect two different wire networks or if the bend bypasses more than a single right-angle turn.
  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wires drop-down [image] Bend Wire. Enter AEBENDWIRE at the command prompt.
  2. Select one of the two wires that make up a right-angle turn.
  3. Select the opposing wire that makes up the right-angle turn.

    The additional wire segments are added based on the right-angle direction.

  4. Right-click to exit the command.


Overview of wire color/gauge labels (Concept)

Bend wires at right angles
Wire/Wire Number Tools
Insert in-line wire markers
Wire/Wire Number Tools >
Overview of wire color/gauge labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select a wire to label, AutoCAD Electrical reads the layer name of the wire, retrieves the matching text label, and inserts it as a label/leader on the drawing. The resulting wire color/gauge label is automatically revised if you change the wire layer of a labeled wire.

The mapping file is an ASCII text file with a ".wdw" extension. The default mapping file, default.wdw, is referenced if a project-specific .wdw file is not found. The mapping file lists each wire layer name followed by the wire color/gauge label text to assign to that wire layer.

You can easily set up or edit these labels. Select the wire color/gauge tool and select Setup to display the setup dialog. All the valid layer names of the current drawing are listed in the upper dialog box list along with any matching labels found in the ".wdw" file (if it exists). Highlight any layer name and type in the label you want to associate with it. Use the "|" character to trigger a line break within your label text. For example, "RED_14_THHN:RED|AWG#14" causes wire labels for layer "RED_14_THHN" to display as two-line "RED" and "AWG#14" labels. Your entries are saved to the ".wdw" file for instant reference as you insert wire color/gauge labels.

About automatic wire leaders

AutoCAD Electrical places wire numbers on leaders when it determines that the wire number text bumps into something (it does not check if the leader itself collides with something). AutoCAD Electrical first makes 15 tiny step checks in the "up" direction. If it fails it checks 15 steps in the down direction. If it fails, it tries at approximately 60-degree angles. If all checks fail, it leaves the wire number where it originally was going to put it. This entire process takes just a split second.

Leader checks are triggered when wire numbers are inserted or they re-center due to an adjacent SCOOT operation. If a component is scooted and the result is enough room for a wire number on a leader to do without the leader, AutoCAD Electrical automatically removes the leader and positions the wire number just above the wire.


Map wire type labels to each wire layer (Procedure)

Bend wires at right angles
Overview of wire color/gauge labels
Insert in-line wire markers
Wire/Wire Number Tools >
Overview of wire color/gauge labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Map wire type labels to each wire layer

This tool maps a wire color/gauge/wire type label to each wire layer.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Wire Number Leader drop-down [image] Wire Color/Gauge Labels. Enter AEWIRECOLORLABEL at the command prompt.
  2. Click Setup to change the text size, arrow style, and layers for the label.
    • Select the layer name to add/modify the default color/gauge text string for wire labels and leaders.

      To add or modify the default color/gauge text string, select the layer name from the list in the Wire label color/gauge setup dialog box. To add new wire layer names, use the Create/Edit Wire Type dialog box.

    • Set the text size, arrow size, arrow type, and gap size for the leader.

      The label text size follows the current AutoCAD DIMTXT setting and the arrow size defaults to the current AutoCAD DIMASZ setting.

    • Specify the leader layer and text layer.
    • Click OK to apply the changes to the wire labels. The specified leader and text layers are displayed in the dialog box under the Setup button.
  3. Select how to place the label in the drawing: automatic placement by AutoCAD Electrical, by picking the leader location point, or by picking the location for the text label with no leader. If you picked Auto placement, AutoCAD Electrical looks for a clear spot and insert the leader/label automatically.


Overview of wire color/gauge labels (Quick Reference)

Trim wires
Overview of wire color/gauge labels
Insert in-line wire markers
Wire/Wire Number Tools >
Overview of wire color/gauge labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert wire color/gauge labels

This tool inserts labels on the wiring of the drawing.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Wire Number Leader drop-down [image] Wire Color/Gauge Labels. Does not exist on the ribbon.
Toolbar: Wire Leaders
Menu: Wires [image] Wire Numbers Miscellaneous [image] Wire Color/Gauge LabelsDoes not exist in the menus.
Command entry: AEWIRECOLORLABEL

Setup

Sets the default color/gauge text string, text size, arrow size, gap size, and arrow type for the wire label/leaders.

To add or modify the default color/gauge text string, select the layer name from the list in the Wire label color/gauge setup dialog box. To add new wire layer names, use the Wires [image] Create/Edit Wire Type dialog box.

Manual/No Leader

Places the text label (with no leader) at the location you pick.

Auto Placement

Places the label on the drawing automatically. AutoCAD Electrical looks for a good spot to place the label and the label is automatically placed without any picking on your part.

Manual

Places the label at the leader location point you pick.


Insert in-line wire markers (Procedure)

Overview of wire color/gauge labels
Insert in-line wire markers
Cable Markers
Wire/Wire Number Tools >
Insert in-line wire markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert in-line wire markers

You can insert a special in-line marker into any wire. This marker can be used to identify a special signal name or conductor color. These reference-only markers are ignored for wire numbering and reporting.

NoteThe wire breaks around the inline marker.
  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Wire Number Leader drop-down [image] In-Line Wire Labels. Enter AEINLINEWIRE at the command prompt.

    The Insert Component dialog displays with a selection of predefined in-line markers and user-defined markers.

  2. Select a marker and place it on a wire.
    NoteIf the label is too wide, use the Squeeze Attribute/Text tool. You can also use the Adjust In-Line Wire/Label Gap tool to adjust the gap width rather than squeezing the attribute to fit the gap.
  3. Press ESC to exit the command.
Tip You can also create wider marker symbols by following the block naming convention for terminal symbols. For example, the horizontal Red marker's file name is C:\Documents and Settings\All Users\Documents\Autodesk\Acade 2007\Libs\Jic1\jic1\HTO_RED.dwg and the vertical version is C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\Jic1\jic1\VTO_RED.dwg. Libraries are in C:\Users\Public\Documents\Autodesk\Acade 2007\Libs\ on a Windows Vista installation. AutoCAD Electrical keys off of the first four characters of the block/drawing name.


Insert in-line wire markers (Quick Reference)

Overview of wire color/gauge labels
Insert in-line wire markers
Insert cable markers into wires
Wire/Wire Number Tools >
Insert in-line wire markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Cable Markers

Insert in-line wire markers
Wire/Wire Number Tools
Insert cable markers into wires
Wire/Wire Number Tools >
Cable Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Insert cable markers into wires

    Insert or edit cable marker (parent wire)

  • Multiple cable markers

    Multiple cable markers

  • Edit the cable conductor database
  • Edit the list of generic colors
  • Insert shield symbols


Cable Markers (Procedure)

Insert in-line wire markers
Cable Markers
Insert cable markers into wires
Wire/Wire Number Tools >
Cable Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert cable markers into wires

Insert multiple cable markers

Edit the list of generic colors

Insert shield symbols


Insert cable markers into wires (Concept)

Cable Markers
Cable Markers
Multiple cable markers
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can insert parent and child cable marker symbols into wires. These markers carry a cable TAG value, just like any parent/child device combination. They can also carry a conductor color value on the RATING1 attribute value. The parent symbol can have catalog part number information. If the catalog for the cable is referenced in the cable conductor database table, AutoCAD Electrical can track conductors used versus conductors available.


Insert cable markers into wires (Quick Reference)

Insert in-line wire markers
Insert cable markers into wires
Insert cable markers into wires
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert component

Insert or edit cable marker (parent wire)

Insert or edit cable marker (parent wire): IEC

Insert or edit cable marker (2nd+ wire of cable)

Insert or edit cable marker (2nd+ wire of cable): IEC


Insert cable markers into wires (Procedure)

Cable Markers
Up a level to ..
Multiple cable markers
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert cable markers into wires

You can insert parent and child cable markers into wires. These markers carry a cable TAG value, just like any parent/child device combination.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Cable Markers. Enter AECABLEMARKER at the command prompt.
  2. In the Insert Component dialog box, select the cable marker to insert and pick the insertion point on the drawing.

    The Insert/Edit Cable Marker dialog box displays.

  3. Set the cable tag by keeping the default, using the buttons, or typing in a new tag.

    Select Fixed to mark this tag that it is not updated on a future retag.

  4. Define the wire color by selecting it from a list or typing the color ID in the edit box.
    NoteIf this area is unavailable, the component you are editing does not carry a RATING1 attribute. The one-line cable marker symbols by default do not have a RATING1 attribute.

    Subsequent insertions of child cable markers, tied back to the parent through any of the normal methods, causes AutoCAD Electrical to offer the next conductor color of the cable as a default.

  5. Assign the catalog information, description, location and installation codes, and references for the tag.
  6. Click OK.

    If a parent cable marker was inserted, the Insert Some Child Components dialog box displays. Insert child cable markers automatically that are tied to the parent.

    NoteIf the parent is a one-line symbol, the Insert Some Child Components dialog box does not display.
  7. If you want to insert child markers, change the dialog box and click Ok insert Child. If you do not want any child markers to be associated with the parent marker, click Close.
NoteYou can use the Dashed Link Line command to insert linked lines between the symbols.


Insert cable markers into wires (Quick Reference)

Insert cable markers into wires
Insert cable markers into wires
Insert cable markers into wires
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Insert cable markers into wires (Quick Reference)

Insert cable markers into wires
Insert cable markers into wires
Insert cable markers into wires
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert or edit cable marker (parent wire)

Inserts parent and child cable markers.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Cable Markers. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Wires [image] Cables [image] Cable Markers Does not exist in the menus.
Command entry: AECABLEMARKER

In the Insert Component dialog box, select the marker to insert from the Symbol Preview window and specify the insertion point.

A cable marker carries a component tag value, like any parent/child device combination. It also carries a conductor color value, carried on the RATING1 attribute on the marker block symbol. The parent symbol can carry catalog part number information. If the cable is referenced in the cable conductor database table in the catalog database, the application can track conductors used versus conductors available.

NoteA one-line cable marker symbol, as defined by a WDTYPE attribute value of “1-”, does not carry the RATING1 attribute.
Cable Tag

There are a few ways to define the tag for this cable. If there is an existing tag, it appears in the edit box. If not, you can type a specific tag in the edit box. Make sure that you select Fixed if you want AutoCAD Electrical to mark this tag so it is not updated on a retag.

Use PLC Address | Searches for a wire connection to a nearby PLC I/O address and, if found, uses the PLC address number in the tag name of the component.
Use End Locations | Uses the location codes of the connecting components.
Tags: Used so far | Lists any cable tag names in the same family as the current cable. Select a tag from the list to copy, or to increment for this new cable marker.
External List | Assigns a tag from an external list file. You can reference an ASCII text file in comma or space delimited format to help annotate the description, tag, catalog, and other information of the component.
Wire Color/ID

Set the conductor color code by manually entering it in the edit box or selecting from the project, drawing, or generic pick list.

Generic | Select from a list of colors. The list is defined in the file, cblcolor.dat.
Drawing | Lists the wire colors used for similar cable markers in the current drawing.
Project | Lists the wire colors used for similar cable markers in the project.
NoteIf this area is unavailable, the component you are editing does not carry a RATING1 attribute.
Catalog Data

You can instruct AutoCAD Electrical to do a drawing-wide or project-wide listing of similar cable markers with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each component type you insert into your wiring diagram is remembered. When you insert another component of that type, the catalog assignment of the previous component is set as the default. (The assumption is that a previous one was made during the current editing session).

Manufacturer

Lists the manufacturer number for the cable marker. Enter a value or select one from the Catalog lookup.

Catalog

Lists the catalog number for the cable marker. Enter a value or select one from the Catalog lookup.

Assembly

Lists the assembly code for the cable marker. The Assembly code is used to link multiple part numbers together.

Item

Specifies a unique identifier assigned to each cable marker. The tag value can be manually typed in the edit box.

Count

Specifies the quantity number for the part number (blank=1). This value gets inserted into the "SUBQTY" column of the BOM report.

Lookup

Opens the catalog database of the cable marker from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected cable marker. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Previous

Scans the previous project to find an instance of the selected cable marker and returns the marker values. You can then make your catalog assignment by picking from the dialog box list.

Drawing

Lists the part numbers used for similar cable markers in the current drawing.

Project

Lists the part numbers used for similar cable markers in the project. You can search in the active project, another project, or in an external file.

  • Active project: All the drawings in the current project are scanned and the results are listed in a dialog box. Select from the list to assign your new cable marker with a catalog number that is consistent with other similar cable markers in the project.
  • Other project: Scans each listed drawing in a previous project for the target cable marker type and returns the catalog information in a subdialog box. Make your catalog assignment by picking from the dialog box list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the desired entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. They are displayed in the left-hand dialog box list. For each relevant item, highlight it and then pick the appropriate category button in the center column. The highlighted item is transferred to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Multiple Catalog

Inserts or edits extra catalog part numbers on to the selected cable markers. You can add up to ten part numbers to any cable markers. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.

Catalog Check

Displays what the selected item looks like in a Bill of Material template.

Description

One, two, or three lines of description attribute text can be entered.

Drawing | Displays a list of descriptions found in the current drawing so you can pick similar descriptions to edit.
Project | Displays a list of descriptions found in the project so you can pick similar descriptions to edit.
Defaults | Opens an ASCII text file from which you can select standard descriptions.
Pick | Picks a description from a cable marker on the current drawing.
Child conductor references
Component override | Overrides the WD_M block settings of the drawing with component-specific cross-reference settings. Click Setup to edit the component cross-reference settings manually.
Cross Reference | AutoCAD Electrical automatically fills in cross-reference text when the cross-reference command is run.
Installation Code

Changes the installation codes. You can search the current drawing or entire project for installation codes. AutoCAD Electrical does a quick read of all the current or selected drawing files and returns a list of all installation codes used so far. Pick from the list to update the component automatically with the installation code.

Assign short installation codes to components like "PNL" and "FIELD." Later, you can take full advantage of the AutoCAD Electrical ability to create location-specific BOM and component lists.

Location Code

Changes the location codes. You can search the current drawing or entire project for location codes. AutoCAD Electrical does a quick read of all the current or selected drawing files and returns a list of all location codes used so far. Pick from the list to update the component with the location code automatically.

Assign short location codes to components like "PNL" and "FIELD." Later, you can take full advantage of the AutoCAD Electrical ability to extract wire and cable from/to reports, and location-specific BOM reports. (For example, BOM for all field cables, BOM for all PNL cables.)

Show/edit miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.


Insert cable markers into wires (Quick Reference)

Insert cable markers into wires
Insert cable markers into wires
Insert cable markers into wires
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert or edit cable marker (parent wire): IEC

Cable markers carry a cable TAG value, just like any parent/child device combination. They can also carry a conductor color value (carried as a RATING1 attribute value on the marker block symbol). The parent symbol has provision to carry MFG/CAT part number information. If the particular cable is referenced in the AutoCAD Electrical cable conductor database table (_W0_CBLWIRES within your Access catalog file), AutoCAD Electrical can track conductors used versus conductors available.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Cable Markers. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Wires [image] Cables [image] Cable Markers Does not exist in the menus.
Command entry: AECABLEMARKER

Select Cable Marker from the list.

It is Insert/Edit Cable Marker (Parent wire) dialog box for working in IEC mode. If you work in JIC mode, the dialog box displays differently.

Installation

Changes the installation codes. You can search the current drawing or entire project for installation codes. A quick read of all the current or selected drawing files is done and a list of installation codes used so far is returned. Select from the list to update the component with the installation code automatically.

Assign short installation codes to components like "PNL" and "FIELD" so you can create location-specific BOM and component lists later.

Location

Changes the location codes. You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing files is done and a list of location codes used so far is returned. Select from the list to update the component automatically with the location code.

Assign short location codes to components like "PNL" and "FIELD." You can extract cable from/to reports and location-specific BOM reports later (for example, BOM for all field cables, BOM for all PNL cables).

Cable Tag

Any existing tags appear in the edit box. To define the cable tag, edit the tag or type a specific tag in the edit box. Select Fixed if you do not want this tag to update on a retag.

Use PLC address | Searches for a wire connection to a nearby PLC I/O address and, if found, uses the PLC address number in the tag name of the component.
Use end locations | Uses the location codes of the connecting components.
Tags: Used so far | Lists any cable tag names in the same family as the current cable. Select a tag from the list to copy, or to increment for this new cable marker.
External list file | Assigns a tag from an external list file.
Description

Up to three lines of description attribute text can be entered. These lines are automatically filled with a copy of the description text of the parent if the parent TAG name is picked using one of the methods previously described.

Drawing | Displays a list of descriptions found in the current drawing so you can pick similar descriptions to edit.
Project | Displays a list of descriptions found in the project so you can pick similar descriptions to edit.
Defaults | Opens an ASCII text file from which you can select standard descriptions.
Pick | Picks a description from a component on the current drawing.
Catalog Data

You can instruct AutoCAD Electrical to do a drawing-wide or project-wide listing of similar cable markers with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each component type you insert into your wiring diagram is remembered. When you insert another component of that type, the catalog assignment of the previous component is set as the default. The assumption is that a previous one was made during the current editing session.

Manufacturer

Lists the manufacturer number for the cable marker. Enter a value or select one from the Catalog lookup.

Catalog

Lists the catalog number for the cable marker. Enter a value or select one from the Catalog lookup.

Assembly

Lists the assembly code for the cable marker. The Assembly code is used to link multiple part numbers together.

Item

Specifies a unique identifier assigned to each cable marker. The tag value can be manually typed in the edit box.

Count

Specifies the quantity number for the part number (blank=1). This value gets inserted into a “SUBQTY" column of a BOM report.

Lookup

Opens the catalog database of the cable marker from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected cable marker. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Previous

Scans the previous project to find an instance of the selected cable marker and returns the marker values. You can then make your catalog assignment by picking from the dialog box list.

Drawing

Lists the part numbers used for similar cable markers in the current drawing.

Project

Lists the part numbers used for similar cable markers in the project. You can search in the active project, another project, or in an external file.

  • Active project: All the drawings in the current project are scanned and the results are listed in a dialog box. Select from the list to assign your new cable marker with a catalog number that is consistent with other similar cable markers in the project.
  • Other project: Scans each listed drawing in a previous project for the target cable marker type and returns the catalog information in a subdialog box. Make your catalog assignment by picking from the dialog box list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the desired entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. They are displayed in the left-hand dialog box list. For each relevant item, highlight it and then pick the appropriate category button in the center column. The highlighted item is transferred to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Multiple Catalog

Inserts or edits extra catalog part numbers on to the selected cable markers. You can add up to ten part numbers to any cable markers. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.

Catalog Check

Displays what the selected item looks like in a Bill of Material template.

Wire Color/ID

Set the conductor color code by manually entering it in the edit box or selecting from the project, drawing, or generic pick list.

Generic | Select from a list of colors. The list is defined in the file, cblcolor.dat.
Drawing | Lists the wire colors used for similar cable markers in the current drawing.
Project | Lists the wire colors used for similar cable markers in the project.
Child conductor references

AutoCAD Electrical automatically fills in cross-reference text when the cross-reference command is run.

Show/edit miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.


Insert cable markers into wires (Quick Reference)

Insert cable markers into wires
Insert cable markers into wires
Insert cable markers into wires
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert or edit cable marker (2nd+ wire of cable)

Cable markers carry a cable TAG value, just like any parent/child device combination. They can also carry a conductor color value (carried as a RATING1 attribute value on the marker block symbol).

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Cable Markers. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Wires [image] Cables [image] Cable Markers Does not exist in the menus.
Command entry: AECABLEMARKER

Select 2+ Child Marker from the list.

Component Tag

If the parent is visible on screen, click Parent/Sibling and select the parent (or another related marker). It automatically transfers all information to the child marker being inserted or edited.

Tag | The parent cable tag value can be manually typed in the edit box or selected from a drawing-wide or project-wide list of existing cables.
Drawing | Lists the component tags used for similar cable markers in the current drawing.
Project | Lists the component tags used for similar cable markers in the project.
Parent/Sibling | Transfers all information from the parent cable marker to the child cable marker being inserted or edited. If the parent is visible on the screen, click Parent/Sibling and select the parent (or another related contact).
Wire Color/ID

Set the conductor color code by manually entering it in the edit box or selecting from the project, drawing, or generic pick list. If the parent marker carries a part number, you can select the next unused color from a used/unused pick list.

Generic | Select from a list of colors. The list is defined in the file, cblcolor.dat.
Drawing | Lists the wire colors used for similar cable markers in the current drawing.
Project | Lists the wire colors used for similar cable markers in the project.
NoteIf this area is unavailable, the component you are editing does not carry a RATING1 attribute.
Description

Up to three lines of description attribute text can be entered. These lines are automatically filled with a copy of the description text of the parent if the parent TAG name is picked using one of the methods previously described.

Click Pick to copy a description from a cable marker on the current drawing.

Parent cable marker cross-reference

AutoCAD Electrical automatically fills in cross-reference text when the cross-reference command is run.

Installation Code

Changes the installation codes. You can search the current drawing or entire project for installation codes. A quick read of all the current or selected drawing files is done and a list of installation codes used so far is returned. Select from the list to update the component automatically with the installation code.

Assign short installation codes to components like "PNL" and "FIELD." You can take full advantage of the AutoCAD Electrical ability to create location-specific BOM and component lists later.

Location Code

Changes the location codes. You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing files is done and a list of location codes used so far is returned. Select from the list to update the component automatically with the location code.

Assign short location codes to components like "PNL" and "FIELD." You can take full advantage of the AutoCAD Electrical ability to extract wire and cable from/to reports, and location-specific BOM reports later. (For example, BOM for all field cables, BOM for all PNL cables.)

Show/edit miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.


Insert cable markers into wires (Quick Reference)

Insert cable markers into wires
Insert cable markers into wires
Multiple cable markers
Wire/Wire Number Tools > Cable Markers >
Insert cable markers into wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert or edit cable marker (2nd+ wire of cable): IEC

Cable markers carry a cable TAG value, just like any parent/child device combination. They can also carry a conductor color value (carried as a RATING1 attribute value on the marker block symbol).

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Cable Markers. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Wires [image] Cables [image] Cable Markers Does not exist in the menus.
Command entry: AECABLEMARKER

Select 2+ Child Marker from the list.

It is Insert/Edit Cable Marker (2nd+ wire of cable) dialog box for working in IEC mode. If you work in JIC mode, the dialog box displays differently.

Installation

Changes the installation codes. You can search the current drawing or entire project for installation codes. A quick read of all the current or selected drawing files is done and a list of installation codes used so far is returned. Select from the list to update the component automatically with the installation code.

Assign short installation codes to components like "PNL" and "FIELD" so you can create location-specific BOM and component lists later.

Location

Changes the location codes. You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing files is done and a list of location codes used so far is returned. Select from the list to update the component automatically with the location code.

Assign short location codes to components like "PNL" and "FIELD." You can extract cable from/to reports and location-specific BOM reports later (for example, BOM for all field cables, BOM for all PNL cables).

Component Tag

The parent cable tag value can be manually typed into the edit box or selected from a drawing-wide or project-wide list of existing cables. If the parent is visible on screen, click Parent/Sibling and select the parent or another related marker. It automatically transfers all information to the child marker being inserted or edited.

Description

Up to three lines of description attribute text can be entered. These lines are automatically filled with a copy of the description text of the parent if the parent TAG name is picked using one of the methods previously described.

Wire Color/ID

Set the conductor color code by manually entering it in the edit box or selecting from the project, drawing, or generic pick list. If the parent marker carries a part number, you can select the next unused color from a used/unused pick list.

Generic | Select from a list of colors. The list is defined in the file, cblcolor.dat.
Drawing | Lists the wire colors used for similar cable markers in the current drawing.
Project | Lists the wire colors used for similar cable markers in the project.
Parent cable marker cross-reference

AutoCAD Electrical automatically fills in cross-reference text when the cross-reference command is run.

Show/edit miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.


Multiple cable markers (Concept)

Insert cable markers into wires
Cable Markers
Edit the cable conductor database
Wire/Wire Number Tools > Cable Markers >
Multiple cable markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical provides a way to insert all the markers for a particular cable from one dialog box. In addition, you can edit existing cable marker sets, or even delete cable markers from a single dialog box.


Multiple cable markers (Quick Reference)

Insert cable markers into wires
Multiple cable markers
Multiple cable markers
Wire/Wire Number Tools > Cable Markers >
Multiple cable markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Multiple cable markers

Cable insert or edit


Insert multiple cable markers (Procedure)

Insert cable markers into wires
Up a level to ..
Edit the list of generic colors
Wire/Wire Number Tools > Cable Markers >
Multiple cable markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert multiple cable markers

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Multiple Cable Markers. Enter AEMULTICABLE at the command prompt.
  2. Select to run a report for the project or drawing and click OK.

    AutoCAD Electrical processes the drawing or project before the Location Code Selection for From/To Reporting dialog box displays.

  3. Pick the location codes from the left and right-hand lists.
    NoteComponents that have no assigned location code are grouped under a generic "(??)" code.
  4. Make any necessary changes in the From/To combination box and click OK when you are ready to run the report.

    The Cable Insert/Edit dialog box displays.

  5. Define which wires are part of the cable by using the Include, Include All, Remove, and Remove All buttons.

    The wires for the cable are listed in the Wires Included in Cable portion of the dialog box.

  6. Set the cable tag by keeping the default, using the buttons, or typing in a new tag. Select Fixed to mark this for this so that it is not updated on a future retag.
  7. Set the wire color by selecting it from a list or typing the color in the edit box.

    Subsequent insertions of child cable markers, tied back to the parent through any of the normal methods causes AutoCAD Electrical to offer the next conductor color of the cable as a default.

  8. Assign the catalog information, description, location and installation codes, and references for the tag.
  9. Click Insert/Update Now to insert the cable or click Insert/Update Later to save the changes for later.

    If you chose Now, any affected drawings are opened and the cable markers are inserted or updated. If you chose to insert/update later, your changes are saved in a file called 'projnam_cblmrkin.upd' in the same directory path as your project file. When you are ready to insert the cables, select Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Multiple Cable Markers Update from the ribbon.


Multiple cable markers (Quick Reference)

Multiple cable markers
Multiple cable markers
Multiple cable markers
Wire/Wire Number Tools > Cable Markers >
Multiple cable markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Multiple cable markers

This tool first extracts components and wiring. Then you select "From" and "To" location code combinations to report. AutoCAD Electrical filters and formats the wiring and connected component data and reports each wire and what is connected at each end. Components that have no assigned location code are grouped under a generic "(??)" code. Component wiring that daisy-chains along a common bus (for example, hot or neutral bus) may not report in the connected sequence you expect. (You can use the AutoCAD Electrical Wire Sequence command to define wire connection sequencing for wire networks that have three or more interconnected components).

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Multiple Cable Markers. Does not exist on the ribbon.
Toolbar: Cable Markers
Menu: Wires [image] Cables [image] Multiple Cable MarkersDoes not exist in the menus.
Command entry: AEMULTICABLE
From/To report for | Specifies to process the report for the project, the entire drawing, or picked components in the drawing.
List | Lists drawings that appear to be out-of-date with the wire connection table of the project.
Freshen wire connection table | Updates the wire connection table to include the drawings that are out-of-date.
Format | Displays a listing of report settings files that have a prefix equal to the report type shown in the dialog box.


Multiple cable markers (Quick Reference)

Multiple cable markers
Multiple cable markers
Define and insert new ladders
Wire/Wire Number Tools > Cable Markers >
Multiple cable markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cable insert or edit

Cable markers carry a cable TAG value and a conductor color value (carried as a RATING1 attribute value on the marker block symbol).

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Multiple Cable Markers. Does not exist on the ribbon.
Toolbar: Cable Markers
Menu: Wires [image] Cables [image] Multiple Cable MarkersDoes not exist in the menus.
Command entry: AEMULTICABLE

Make your selections and click OK on the Wire From/To Report and the Location Code Selection for From/To Reporting dialog boxes.

Wires from extract

Lists the wires that match the From/To locations (from the Wire From/To Report) and are not part of a cable yet. No cable marker was inserted on this wire. Use Add All, Add, Remove All, and Remove to define which wires are part of the cable. Sort the lists to make it easier to find the wires. Click Change Format to define which fields of information to show in the list to facilitate finding the wires to include in your cable.

Cables

Lists any existing cables and the wires that belong to each cable. If there are no existing cables, then the only item in Cables is "newCBL1." Select New anytime you want to define a new cable. Otherwise, to edit a cable, select its tag from this list.

Cable Tag

There are a few ways to define the tag for the cable. If there is an existing tag, it appears in the edit box. If not, you can type a tag in the edit box. Make sure that you select Fixed if you want AutoCAD Electrical to mark this tag so it is no updated on a retag.

Cable End Locations | Uses the location codes of the connecting components.
Tags: Used so far | Lists any cable tags already assigned. Select a tag from the list to copy, or to increment for this new cable.
External List File | Assigns a tag from an external list file.
Description

Up to three lines of description attribute text can be entered. Use List Drawing and List Project to pick similar descriptions to edit. Default opens an ASCII text file from which you can quickly pick standard descriptions.

Installation Code

Assign short installation codes to components like "PNL" and "FIELD" so you can take full advantage of the AutoCAD Electrical ability to create location-specific BOM and component lists later.

Location Code

Assign short location codes to components like "PNL" and "FIELD." You can take full advantage of the AutoCAD Electrical ability to extract wire and cable from/to reports, and location-specific BOM reports later. (For example, BOM for all field cables, BOM for all PNL cables.)

Catalog Data

MFG and CAT numbers can be manually entered or picked from Catalog lookup. The Assembly code is used to link multiple part numbers together. Use Drawing and Project to quickly list of part numbers used for like components. If the part number you select has a color conductor list associated with it, the available conductor colors and a list of used ones is tracked.

Lookup

Opens the catalog database of the cable from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected cable. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Previous

Scans the previous project to find an instance of the selected cable and returns the cable values. You can then make your catalog assignment by picking from the dialog box list.

Drawing

Lists the part numbers used for similar cables in the current drawing.

Project

Lists the part numbers used for similar cables in the project. You can search in the active project, another project, or in an external file.

  • Active project: All the drawings in the current project are scanned and the results are listed in a subdialog box. Select from the list to assign your new cable with a catalog number that is consistent with other similar cables in the project.
  • Other project: Scans each listed drawing in a previous project for the target cable type and returns the catalog information in a subdialog box. Make your catalog assignment by picking from the dialog box list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the desired entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. They are displayed in the left-hand dialog box list. For each relevant item, highlight it and then pick the appropriate category button in the center column. The highlighted item is transferred to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Multiple Catalog

Inserts or edits extra catalog part numbers on to the selected cable. You can add up to ten part numbers to any cable. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.

Catalog Check

Displays what the selected item looks like in a Bill of Material template.

Wire Colors

Set the conductor color code by manually entering it in the edit box or by picking from a color list. The list displays the wire colors for the cable. If you have already selected catalog information, the colors in the list correspond to the specific cable type. If you have not assigned catalog information, the list is a generic set of colors.

To assign a color to a particular wire, select the wire in the list of wires for the cable. Assign the color by selecting it from the list or type it in the edit box. You can assign a color to all wires at one time by selecting Follow Color List. It assigns a color to each wire of the selected cable even if the wire already has a color assigned to it.

Setup

Opens a dialog box for setting the parent cable marker symbol, the cable marker placement on the wire, and options for hiding children attributes.

Insert/Update Now

Opens any affected drawings and automatically inserts or updates any cable markers.

Insert/Update Later

Saves your changes in a file called 'projnam_cblmrkin.upd' in the same directory path as your project file. The changes are accumulated in this file until you are ready for them. Select Schematic tab [image] Edit Wires/Wire Numbers [image] [image] [image] Multiple Cable Markers Update from the ribbon to insert or update the cable markers that were saved.


Edit the cable conductor database

Multiple cable markers
Cable Markers
Edit the list of generic colors
Wire/Wire Number Tools > Cable Markers >
Edit the cable conductor database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can edit the cable conductor database table (_W0_CBLWIRES in the default_cat.mdb file) just like any other AutoCAD Electrical catalog table. The main Access database catalog file can be named either default_cat.mdb or <project> _cat.mdb. You can open it in Microsoft Access or you can edit it from within AutoCAD Electrical. To do so, right-click a cable marker and select Edit Component from the context menu. In the Insert/Edit Cable Marker dialog box, Catalog Data section, click Lookup. In the Parts Catalog dialog box, click Cable Conductor List View/Edit.

Cable conductor database “_WO_CBLWIRES” table structure

The records in the cable conductor database table are structured as follows:

Field name | Width | Description
Catalog | 60 | Catalog number of cable
Manufacturer | 24 | Manufacturer code
Conductor | 24 | Conductor color or ID code
Gauge | 24 | Conductor gauge description
Recnum | N/A | Auto number field (used internally)

For a given cable part number, there is a record for each conductor within that cable. For example, a 15-conductor Belden type 8486 cable has 15 records; one for each conductor in that cable type. The Manufacturer and Catalog fields for all 15 records are marked "BELDEN" and "8486." The Conductor field carries each unique color ID of the conductor.


Edit the list of generic colors (Procedure)

Multiple cable markers
Up a level to ..
Insert shield symbols
Wire/Wire Number Tools > Cable Markers >
Edit the list of generic colors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Edit the list of generic colors

  1. Using a text file editor such as Notepad, open the file, cblcolor.dat.
    • Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release number}\{language}\Support\
    • Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release number}\{country code}\Support\
  2. Add, edit, or delete colors as needed.
  3. Save the file.
NoteDo not remove the arrow at the end of the file.


Insert shield symbols (Procedure)

Edit the list of generic colors
Up a level to ..
Wire Gaps
Wire/Wire Number Tools > Cable Markers >
Insert shield symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert shield symbols

AutoCAD Electrical provides a few special Shield symbols that graphically represent the cable shield type. There are "dumb" shields that do not carry an AutoCAD Electrical tag and there are cable marker/shields that carry an AutoCAD Electrical tag. You can have parent and child shields. You can insert them one at a time and relate them as you would any other component or insert a group at a time.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. On the Insert Component dialog box, click the Miscellaneous button.
  3. Click the Shields button.
  4. Select the type of shield to insert into the drawing.
  5. Pick the points on each wire for the shield/cable marker and right-click to end the selection. The shield inserts into the drawing.

    If you chose to insert a cable marker with a shield, the standard Insert/Edit Cable Marker dialog box displays.

NoteEach successive symbol is automatically related to the parent (the top/left-most wire) as it is inserted.

Add a second shield to a cable/shield representation

You can add a second shield representation to an existing set of cable/shield markers.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Cable Markers. Enter AECABLEMARKER at the command prompt.
  2. Select to Add 2nd Shield.
  3. Select an existing shield marker (either select the first or last cable/marker shield symbol).
  4. Specify the insertion point and right-click to end the selection.

Custom shield symbols

A special command, “wd_cblshld_bld {type}”, is used to insert the shield symbols and connecting lines. The {type} parameter indicates which library symbols to use to generate the shield and whether to cross the connecting lines or not. There are three symbols that are used to generate the cable shield, a top (HW01_#), middle (HW02_#B), and bottom (HW02_#) symbol. The “#” indicates whether the connecting lines should cross or not. A “1” results in straight connecting lines, and a “2” results in crossing connecting lines.

You can create you own custom top and bottom shield symbols by copying the existing symbols and adding a suffix to the symbol names after the “_#”. For example, a new top shield symbol might be called HW01_1U, and the corresponding bottom symbol, HW02_1U. Modify the symbols to meet your needs. In the icon menu add a new command option calling “wd_cblshld_bld 1P”.

NoteThe same middle shield symbol can be used for all types.


Wire Gaps

Insert shield symbols
Wire/Wire Number Tools
Manipulate wire gaps
Wire/Wire Number Tools >
Wire Gaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Manipulate wire gaps


Wire Gaps (Procedure)

Insert shield symbols
Wire Gaps
Manipulate wire gaps
Wire/Wire Number Tools >
Wire Gaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Manipulate wire gaps


Manipulate wire gaps (Procedure)

Wire Gaps
Up a level to ..
Ladder Tools
Wire/Wire Number Tools > Wire Gaps >
Manipulate wire gaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Manipulate wire gaps

Insert wire gaps

AutoCAD Electrical automatically inserts a gap/loop when a new wire crosses another. Under some conditions, you may need to add a loop gap manually at the point of two crossing lines.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Gap. Enter AEWIREGAP at the command prompt.
  2. Select the wire to remain solid.
  3. Select the crossing wire to have the gap.

    The gap inserts into the second wire.

NoteYou can turn off the automatic gap/loop feature by selecting Solid in the Wiring Style section of the Drawing Properties [image] Style dialog box.

Remove wire gaps

Use the Delete Wire Gap command if a gap/loop is no longer needed in an existing wire.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Modify Wire Gap drop-down [image] Delete Wire Gap. Enter AEERASEWIREGAP at the command prompt.
  2. Select the wire segments near the unneeded gaps.

    The gap is removed from the second wire.

Flip wire gaps

Use the Flip Gap command to flip the gap to the other wire.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Modify Wire Gap drop-down [image] Flip Wire Gap. Enter AEFLIPWIREGAP at the command prompt.
  2. Select the wire that has the gap/loops to flip. You can also window the wires containing the gaps to flip by pressing a W, then windowing the wires.

    AutoCAD Electrical makes the gapped wire solid and flips the gap/loop to the crossing wires.


Ladder Tools

Manipulate wire gaps
Wire/Wire Number Tools
Define and insert new ladders
Wire/Wire Number Tools >
Ladder Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Define and insert new ladders

    Insert ladder

  • Modify an existing ladder

    Modify line reference numbers


Ladder Tools (Procedure)

Manipulate wire gaps
Ladder Tools
Define and insert new ladders
Wire/Wire Number Tools >
Ladder Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert new ladder

Set ladder defaults

Renumber an existing ladder

Change the size of a ladder

Reposition a ladder

Change rung spacing

Insert rungs

Convert line reference numbers


Define and insert new ladders (Procedure)

Ladder Tools
Up a level to ..
Define and insert new ladders
Wire/Wire Number Tools > Ladder Tools >
Define and insert new ladders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert new ladder

Set ladder defaults


Insert new ladder (Procedure)

Define and insert new ladders
Up a level to ..
Define and insert new ladders
Wire/Wire Number Tools > Ladder Tools >
Define and insert new ladders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert new ladder

There is no limit to the number of ladders that can be inserted into a drawing, but ladders cannot overlap each other. You can insert a new ladder at any time. Multiple ladder fragments in the same vertical column must be vertically aligned along their left-hand side. These limitations do not apply when X-Y Grid or X-Zone referencing is selected.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder. Enter AELADDER at the command prompt.
  2. Specify the width and spacing of the ladder.
  3. Specify the first reference, index, and rungs.

    Index is the increment number for line reference numbering (default = 1). If you do not want every line reference number to show up then you can use the AutoCAD Erase command to get rid of the extras. Do not erase the top-most line reference number. It is the MLR block of the ladder and carries the intelligence.

    NoteIt is not necessary to enter a value for the length since it is calculated once the first reference, index, and rung values are set.
  4. Specify whether to create a one-phase or three-phase ladder. If you select to create a three-phase ladder, the Width and Draw Rungs options are unavailable.
  5. Specify how to draw the rungs.

    No Bus just draws the line reference numbers, while No Rungs just draws the hot and neutral bus with rungs. Add rungs with the AutoCAD Electrical Add Rung command or the Insert Wire tool. Select Yes to include a rung automatically at every reference location (skip = 0) or every other line reference position (skip = 1). You can specify whether to skip rungs; specifying a value of Skip = 4 means that four rungs are skipped for every one that is drawn.

  6. Click OK.
  7. Specify the start position of the ladder. Enter a start and end value or pick a point on the drawing.

    During ladder insertion, the current wire type displays at the command prompt. You can override it by typing in the hotkey "T" and selecting a new wire type from the Set Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the ladder insertion.

  8. Specify the last reference number for the ladder. If you entered values in the step above, this step is not necessary.
  9. Click to insert the ladder.
NoteUse AutoCAD Move to relocate an entire ladder. Make sure you that get the entire ladder including the first line reference number (the MLR block insert). Select the Revise Ladder button and then click Cancel on the dialog box. Using this command forces AutoCAD Electrical to reread and update its internal ladder location list.


Set ladder defaults (Procedure)

Define and insert new ladders
Up a level to ..
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Define and insert new ladders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Set ladder defaults

You can set the new ladder width and spacing defaults by modifying a template or the attribute definitions. These default values are carried on the invisible WD_M block.

Using a template

Use these steps if you are using a template drawing with a pre-inserted WD_M block.

  1. Open the template drawing in AutoCAD Electrical (it has a ".dwt" extension).
  2. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
  3. In the Drawing Properties dialog box, click the Drawing Format tab.
  4. In the Ladder Defaults section, make the appropriate changes and click OK.
  5. Save and exit the template drawing.
Changing attribute values
  1. Open the WD_M drawing found at:

    Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\WD_M.dwg

    Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\WD_M.dwg

  2. Change the default values of the attribute definitions.
    • DLADW: default ladder width
    • RUNGDIST: default ladder rung spacing
    • PH3SPACE: default 3-phase spacing
  3. Save and exit the drawing.

You can permanently change the relative position of line reference numbers and text size by modifying the RUNGFIRST attribute definition.

  1. Display the drawing of the MLR block. The file names found at

    Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\libs\{library}\

    Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\libs\{library}\

    are:

    • WD_MLRH.dwg: for horizontal rung / vertical ladders
    • WD_MLRV.dwg: for vertical rung / horizontal ladders
    • WD_MLRHX.dwg: hexagon-shaped user block (horizontal rung / vertical ladders)
    • WD_MLRVX.dwg: hexagon-shaped user block (vertical rung / horizontal ladders)
  2. Change the default values as desired, but do not delete any of the attributes you find.
  3. Move or change the text size of the RUNGFIRST attribute definition.
  4. Save and exit the drawing.


Define and insert new ladders (Quick Reference)

Multiple cable markers
Define and insert new ladders
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Define and insert new ladders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert ladder

Inserts a ladder with rungs and line reference numbers as specified in drawing properties.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder. Does not exist on the ribbon.
Toolbar: Wires
Menu: Wires [image] Ladders [image] Insert LadderDoes not exist in the menus.
Command entry: AELADDER

You can insert any number of ladders into a drawing. Ladders cannot overlap other ladders. You can insert a new ladder at any time.

During ladder insertion, the current wire type displays at the command prompt. You can override it by typing in the hotkey “T” and selecting a new wire type from the Set/Edit Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the ladder insertion.

Width | Specifies the width of the ladder.
Spacing | Specifies the spacing between each rung.
Length | Specifies both the length of the ladder and the number of rungs. You can enter the total ladder length, the number of ladder rungs, or leave both blank. You can manually pick the beginning and ending points of the ladder.
1st reference | Specifies the beginning line reference for the ladder. Index is the increment number for line reference numbering (default = 1). If you do not want every line reference number to show up then you can use the AutoCAD Erase command to get rid of the extras. Do not erase the top-most line reference number. It is the MLR block of the ladder and carries the intelligence of the ladder.
Phase | Specifies whether to create a one-phase or three-phase ladder. If you select to create a three-phase ladder, the Width and Draw Rungs options are unavailable.
Draw rungs | Specifies how to draw the rungs. No Bus just draws the line reference numbers, while No Rungs just draws the hot and neutral bus with rungs. Add rungs with the AutoCAD Electrical Add Rung command or the Insert Wire tool. Select Yes to include a rung automatically at every reference location (skip = 0) or every other line reference position (skip = 1). You can specify whether to skip rungs; specifying a value of Skip = 4 means that four rungs are skipped for every one that is drawn.


Modify an existing ladder (Procedure)

Define and insert new ladders
Up a level to ..
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Renumber an existing ladder

Change the size of a ladder

Reposition a ladder

Change rung spacing

Insert rungs

Convert line reference numbers


Modify an existing ladder (Quick Reference)

Define and insert new ladders
Modify an existing ladder
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Modify line reference numbers

Renumber Ladders


Renumber an existing ladder (Procedure)

Modify an existing ladder
Up a level to ..
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Renumber an existing ladder

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Revise Ladder. Enter AEREVISELADDER at the command prompt.
  2. Enter the new beginning line reference number and click OK.
    NoteIt does not update existing components or wire numbers.
  3. To update component tags to match the new line reference number, click Schematic tab [image] Edit Components panel [image] Retag Components drop-down [image] Retag Components. enter AEWIRENO at the command prompt.
  4. To update the wire numbers, click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. enter AEWIRENO at the command prompt.

    Select Tag/retag ALL.

    If off-page wire connections are involved, make sure that you click Cross-reference Signals on the Wire Tagging dialog box.

  5. Click Pick Individual Wires and select the wires to retag.


Change the size of a ladder (Procedure)

Modify an existing ladder
Up a level to ..
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change the size of a ladder

You can use the Revise Ladder tool to shorten, lengthen, widen, or compress an existing ladder.

To lengthen or shorten the ladder:

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Revise Ladder. Enter AEREVISELADDER at the command prompt.
  2. Change the column of line reference numbers to match the appropriate ladder length and click OK.
  3. Select the AutoCAD Stretch command from the menu to lengthen or shorten the ladder.

To widen or compress the ladder:

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Scoot. Enter AESCOOT at the command prompt.
  2. Select the vertical rail of the ladder and pull it out or push it in.

  3. To put components back into neat columns -

    Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Align. Enter AEALIGN at the command prompt.
  4. Select the components to align and press Enter.


Reposition a ladder (Procedure)

Modify an existing ladder
Up a level to ..
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Reposition a ladder

You can reposition an existing ladder on your drawing using the AutoCAD Move command.

  1. Select the AutoCAD Move command from the menu.
  2. Select the ladder, making sure to include the first line reference number.
  3. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Revise Ladder. Enter AEREVISELADDER at the command prompt.
  4. Click Cancel.

    This forces AutoCAD Electrical to reread and update its internal ladder location list.


Change rung spacing (Procedure)

Modify an existing ladder
Up a level to ..
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Change rung spacing

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Revise Ladder. Enter AEREVISELADDER at the command prompt.
  2. Change the column of line reference numbers to the desired rung spacing and ladder length.

  3. Scoot (or the AutoCAD Stretch command) to move the existing rungs to their new rung locations.

    Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Scoot. Enter AESCOOT at the command prompt.


Insert rungs (Procedure)

Modify an existing ladder
Up a level to ..
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert rungs

Adds a ladder rung at the line reference nearest to a point you select inside the ladder.

Both bus wires must be visible on the screen.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Add Rung. Enter AERUNG at the command prompt.
  2. Select a blank space anywhere between the hot and neutral bus wires to add the rung.

    During rung insertion, the current wire type displays at the command prompt. You can override it by typing in the hotkey "T" and selecting a new wire type from the Set/Edit Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the rung insertion.

    If the new rung encounters a schematic device floating in space, it tries to break the wire across the device.


Convert line reference numbers (Procedure)

Modify an existing ladder
Up a level to ..
Wire Numbers
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Convert line reference numbers

Use them to convert the upper-most line reference number on a non-intelligent ladder to be aware of AutoCAD Electrical.

  1. Click Conversion Tools tab [image] Tools panel [image] Convert Ladder. Enter AE2LADDER at the command prompt.
  2. Select the top line reference number and press Enter.

    The Modify Line Reference Numbers dialog box displays.

  3. Specify the desired rung spacing, ladder length, and starting reference number.
  4. Click OK.


Modify an existing ladder (Quick Reference)

Modify an existing ladder
Modify an existing ladder
Modify an existing ladder
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Modify line reference numbers

This tool adjusts the line reference numbering along the side of the ladders,; however it does not change existing ladder rung spacing. When converting line reference numbering using the Convert Ladder tool, select only the first line reference number to determine location, size, and justification of the new line reference numbers being converted. Once OK is pressed, existing ladder information is erased and the new smart ladder is inserted.

NoteUpdating the reference numbers of the ladder does not update existing components or wire numbers.
Revise Ladder
Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Revise Ladder. Does not exist on the ribbon.
Toolbar: Ladders
Menu: Wires [image] Ladders [image] Revise LadderDoes not exist in the menus.
Command entry: AEREVISELADDER
Convert Ladder
Ribbon: Conversion Tools tab [image] Tools panel [image] Convert Ladder. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Wires [image] Ladders [image] Convert LadderDoes not exist in the menus.
Command entry: AE2LADDER

Select the top line reference number and press Enter.

Rung spacing | Specifies the spacing between each rung.
Rung count | Specifies the number of rungs for each ladder.
Reference numbers | Specifies the length of the ladder by adjusting the begin and end reference numbers. The first line reference number on each ladder is a smart AutoCAD block and attributes. All the rest of the numbers are text entities (that can be erased, but do not erase the top or first line reference number).
Index | Specifies the line reference number increment value (default=1). Selecting Redo forces a refresh of line reference numbering.
Wire number format | Specifies the format for placing wire numbers. (default = configure wire number format value) You can specify a unique automatic wire numbering format on a per ladder basis (ex: one ladder of 24-volt wiring requiring wire numbers with a unique prefix or suffix, ex: %NVDC).


Modify an existing ladder (Quick Reference)

Modify an existing ladder
Modify an existing ladder
Overview of wire numbers
Wire/Wire Number Tools > Ladder Tools >
Modify an existing ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Renumber Ladders

Renumbers ladder references project-wide.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Renumber Ladder Reference. Does not exist on the ribbon.
Toolbar: Ladders
Menu: Wires [image] Ladders [image] Renumber Ladder ReferenceDoes not exist in the menus.
Command entry: AERENUMBERLADDER

1st drawing, 1st ladder, 1st line reference number

Enter the first ladder line reference number.

2nd drawing and beyond

Select an option for ladders on subsequent drawings.

  • Use next sequential reference - increment from the last line reference on the previous drawing.
  • Skip, drawing to drawing count - enter an amount to skip for the first ladder reference of the next drawing.


Wire Numbers

Modify an existing ladder
Wire/Wire Number Tools
Overview of wire numbers
Wire/Wire Number Tools >
Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of wire numbers

    Wire tagging

  • Set wire number placement
  • Find or replace wire number text

    Find or replace wire numbers

  • Encode wire color/gauge information into wire numbers

    Assign wire numbering formats by wire layers

  • Fix Wire Numbering
  • Reposition Wire Numbers
  • Modify Wire Numbers
  • Erase or Hide Wire Numbers


Wire Numbers (Procedure)

Modify an existing ladder
Wire Numbers
Overview of wire numbers
Wire/Wire Number Tools >
Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Check line entities

Insert special wire numbering

Automatically insert wire numbers

Set wire number placement

Find or replace wire number text

Encode wire color/gauge information into wire numbers


Overview of wire numbers (Concept)

Wire Numbers
Wire Numbers
Set wire number placement
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Wire numbers are blocks or attributes inserted on a line wire entity. AutoCAD Electrical assigns each wire number type to its own layer. You can assign a different color to each of these layers so you can easily tell them apart. There are four types of wire numbers: Normal, Fixed, Extra, and Signal.

Normal | Wire numbers that are free to update when you rerun the Insert Wire Numbers command.
Fixed | Wire numbers that are fixed to their current value. They do not update with subsequent runs of the Insert Wire Numbers command.
Extra | Extra copies of the Normal or Fixed wire number that are assigned to a given wire network. A single wire network has one Normal or one Fixed wire number (but not both). It cannot have many extra copies of the wire number inserted at various locations on the network.
Terminal/Signal | Wire numbers for terminals and signal arrows.
Wire tag formats

The origin of a wire number block must lie on the wire segment, though the text attribute can move away from the wire. AutoCAD Electrical uses the concept of a wire tag format string with replaceable parameters. One replaceable parameter, %N, must always be part of the wire format string. A typical format string might be just this %N parameter.

Replaceable parameters for defining a default wire number tag format are:

%S | Sheet number of the drawing
%D | Drawing number
%N | Sequential or reference-based number applied to the component
%X | Suffix character position for reference-based tagging (not present = end of tag)
%P | IEC-style project code (default for drawing)
%I | IEC-style "installation" code (default for drawing)
%L | IEC-style "location" code (default for drawing)

Examples: Wire beginning on line reference "100" of sheet "02" yields these wire number tags for the following formats:

%N | wire number = 100
W%N | wire number = W100
%S-%N | wire number = 02-100
%S%N | wire number = 02100
%S : %N | wire number = 02:100


Overview of wire numbers (Procedure)

Wire Numbers
Up a level to ..
Overview of wire numbers
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Check line entities

Insert special wire numbering

Automatically insert wire numbers


Overview of wire numbers (Quick Reference)

Modify an existing ladder
Overview of wire numbers
Overview of wire numbers
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Wire tagging

Wire tagging (project-wide)

3 phase wire numbering

PLC I/O wire numbers


Check line entities (Procedure)

Overview of wire numbers
Up a level to ..
Overview of wire numbers
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Check line entities

Some problems with wire numbering (or lack thereof) can be traced to line wires not being on a valid wire layer. Use the Show Wires tool to make a quick check of what is a wire and what is not. The solution to the problem may be as simple as moving some line entities to a valid AutoCAD Electrical wire layer (per the drawing's property setting for wire layer names).

Show Wires highlights every line entity in bright red that is found to be on a valid AutoCAD Electrical wire layer. Select the AutoCAD Redraw command to remove the highlights.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wires drop-down [image] Show Wires. Enter AESHOWWIRE at the command prompt.
  2. Select whether to show the wires. All lines (wires) on wire layers are highlighted in:
    • Bright red - regular wires.
    • Magenta - wires on layers defined as No Wire Numbering.
  3. Select whether to show the origin point for each wire number attribute text entity. The origin of a wire number block must lie on the wire segment, though the text attribute may be moved away from the wire.
    NoteDo not use the AutoCAD Move command to move the attribute.
  4. Select whether to highlight the wire number attribute text pointed to by each Xdata pointer. Xdata pointers identify which wire number insert goes with which wire segment.


Insert special wire numbering (Procedure)

Overview of wire numbers
Up a level to ..
Overview of wire numbers
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert special wire numbering

This tool speeds up the process of inserting special wire numbering associated with 3-phase bus and motor circuits. It can also be used in a continuous mode. You can insert a long series of incrementing wire numbers and assign each, in turn, to the wires you pick.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] 3 Phase. Enter AE3PHASEWIRENO at the command prompt.
  2. Enter a base starting number in the edit box or click Pick to select an existing attribute value on the active drawing.

    If the picked text carries a numeric substring, it is extracted and inserted into the Base edit box.

  3. Enter an optional Prefix and/or Suffix value or choose from a default pick list by clicking List.

    The prefix or suffix value can be a comma-delimited string with each entry applied in sequence to the Wire Numbers section. The section is at the right-hand side of the dialog box.

  4. Set the hold and increment options for each of the edit box values as required. Pay attention to the proposed generated wire numbers in the right-hand side of the dialog box.
  5. Set the number of wire numbers needed in the bottom right-hand side of the dialog box.
    TipSelect None to generate a continuous list of incrementing wire numbers.
  6. Select OK.
  7. Select the wires for the wire numbers, either single picks or using the Fence selection.

    Fence selection inserts the wire numbers at the crossing points while single selections use the default wire number placement of the drawing. (For example, centered on the wire segment.)

Tips and Hints
  • Tab out of an edit box to start the Wire Numbers listing to update.
  • You can add to the default prefix and suffix list display. Create an ASCII text file and list each prefix/suffix entry, one per line in the file. Name the file <projectname>.3ph (where "projectname" is the name of your active project) or default.3ph and put the file in any folder that is part of the search path list AutoCAD Electrical.
  • The wire number assignments go in as Fixed.They hold the values that you have assigned and do not retag with a subsequent run of the Insert Wire Numbers command).
NoteIf this tool does not meet your needs, use the Edit Wire Number tool to assign fixed wire numbers one at a time.


Automatically insert wire numbers (Procedure)

Overview of wire numbers
Up a level to ..
Set wire number placement
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Automatically insert wire numbers

This tool quickly processes and tags wires on the current drawing, wires in the project, or individually picked wires.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  2. Select to tag all wires or only new wires.
  3. Select to process and tag wires with sequential wire numbers or with wire numbers based on the line reference location of the wire network.
  4. (Optional) Set other tagging options such as:
    • specify the wire tag format to use
    • specify the wire layer format
    • force all wire numbers to be fixed
    • update cross-reference text on wire signal source and destination symbols
    • update the database for wire signal source and destination symbols
  5. Select to tag the selected wires, wires on a drawing, or wires in a project.


Overview of wire numbers (Quick Reference)

Overview of wire numbers
Overview of wire numbers
Overview of wire numbers
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Wire tagging

Inserts wire numbers as specified in drawing properties.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Wires [image] Insert Wire NumbersDoes not exist in the menus.
Command entry: AEWIRENO

Wire numbers are blocks with attributes inserted on a line wire entity. There are four types of wire numbers: Normal, Fixed, Extra, and Signal. The AutoCAD Electrical application assigns each wire number type to its own layer. You can assign different colors to these layers.

AutoCAD Electrical processes wire line entities into wire networks, and inserts or updates wire numbers associated with them.

To do | Specifies to process all the wiring or just the untagged (new) wires.
Wire tag mode | Specifies to use the sequential or line-reference based setting for the drawing.
Format override | Specifies the wire tag format to use for overriding the format set in the Drawing Properties dialog box.
Use wire layer format overrides | Overrides the default wire number format (set in the Layers section of the Drawing Properties [image] Drawing Format dialog box) by using layer-defined formats.
Insert as fixed | Forces all wire numbers to be fixed (they do not update if wire number retagging is run again at a later date).
Cross-reference Signals | Updates cross-reference text on wire signal source and destination symbols.
Freshen database (for Signals) | Updates the database for wire signal source and destination symbols.
Project-wide | Tags or retags wiring project-wide.
Pick individual wires | Tags or retags the selected wiring on the current drawing only.
Drawing-wide | Tags or retags wiring on the current drawing.


Overview of wire numbers (Quick Reference)

Overview of wire numbers
Overview of wire numbers
Overview of wire numbers
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Wire tagging (project-wide)

AutoCAD Electrical processes wire line entities into wire networks, and inserts or updates wire numbers associated with them across a project.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Wires [image] Insert Wire NumbersDoes not exist in the menus.
Command entry: AEWIRENO

Select Sequential and click Project-Wide.

Wire tag mode | Specifies to use the sequential or line-reference based setting for the drawing.
 | Sequential (1st tag defined for each drawing) | Starts at the wire number specified for that drawing (as set in the Drawing Properties > Wire Numbers dialog box). A starting wire number must be assigned for each drawing.
 | Sequential (consecutive drawing to drawing) | Allows you to type in a starting wire number and increments from there, ignoring the defined setting of the starting wire number.
 | Reference-based tags | Sets the wire number based on the line-reference value.
To do | Specifies to process all the wiring or just the untagged (new) wires.
Cross-reference Signals | Updates cross-reference text on wire signal source and destination symbols.
Freshen database (for Signals) | Updates the database for wire signal source and destination symbols.
Format override | Specifies the wire tag format to use for overriding the format set in the Drawing Properties dialog box.
Use wire layer format overrides | Overrides the default wire number format (set in the Layers section of the Drawing Properties [image] Drawing Format dialog box) by using layer-defined formats.
Insert as fixed | Forces all wire numbers to be fixed (they do not update if wire number retagging is run again at a later date).


Overview of wire numbers (Quick Reference)

Overview of wire numbers
Overview of wire numbers
Overview of wire numbers
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

3 phase wire numbering

This tool speeds up the process of inserting special wire numbering associated with 3-phase bus and motor circuits. It can also be used in a continuous mode. You can insert a long series of incrementing wire numbers and assign each, in turn, to the wires you pick.

You can add to the default prefix and suffix list display. Create an ASCII text file and list each prefix/suffix entry, one per line in the file. Name the file <projectname>.3ph (where "projectname" is the name of your active project) or default.3ph and put the file in any folder that is part of search path list of AutoCAD Electrical.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] 3 Phase. Does not exist on the ribbon.
Toolbar: Insert Wire Numbers
Menu: Wires [image] Wire Numbers Miscellaneous [image] 3 Phase Wire NumbersDoes not exist in the menus.
Command entry: AE3PHASEWIRENO
Prefix | Specifies the prefix value for the wire numbers. Enter a value or click List to choose from a default pick list.
Base | Specifies the base starting number for the wire numbers. Enter a value or click Pick to select an existing attribute value on the active drawing.
Suffix | Specifies the suffix value for the wire numbers. Enter a value or click List to choose from a default pick list.
Hold/Increment | Specifies whether to hold or increment the prefix, base, and suffix values for all wire numbers that are entered onto the drawing. For example, if you set Base = 100/Increment and Suffix = L1/Hold, the wire numbers are 100L1, 101L1, 102L1.
Wire Numbers | Displays a preview of the wire numbers to insert onto the drawing. TipTab out of an edit box to trigger the Wire Numbers listing to update.
Maximum | Specifies the maximum number of wire numbers. When you select a new option (3, 4, or None) the Wire Numbers section automatically updates with a preview. It is based on the value selected in relation to the options specified for the prefix, base, and suffix values. TipSelect None to generate a continuous list of incrementing wire numbers


Overview of wire numbers (Quick Reference)

Overview of wire numbers
Overview of wire numbers
Set wire number placement
Wire/Wire Number Tools > Wire Numbers >
Overview of wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

PLC I/O wire numbers

This tool inserts wire numbers based upon the I/O address that each PLC connected wire touches. Wire numbers go in as FIXED which means that they do not change if a wire number retag is run later on.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] PLC I/O. Does not exist on the ribbon.
Toolbar: Insert Wire Numbers
Menu: Wires [image] Wire Numbers Miscellaneous [image] PLC I/O Wire NumbersDoes not exist in the menus.
Command entry: AEPLCWIRENO
I/O Wire Tag Format: | Specifies the wire tag format for the plc wire.
Predefined: | Uses an exact wire number match on the address. The options are I:%n or O:%n.
NoteFor automatic wire numbering based strictly on the actual I/O address, open the Drawing Properties dialog box, and click the Wire Number tab. In the Wire Numbering section, select Search for I/O address on insert.


Set wire number placement (Quick Reference)

Overview of wire numbers
Set wire number placement
Set wire number placement
Wire/Wire Number Tools > Wire Numbers >
Set wire number placement
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Drawing properties: wire numbers tab

Project properties: wire numbers tab


Set wire number placement (Procedure)

Overview of wire numbers
Up a level to ..
Find or replace wire number text
Wire/Wire Number Tools > Wire Numbers >
Set wire number placement
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Set wire number placement

You can set the wire number placement for new wires inserted in a single drawing or for the entire project. It does not update existing wire numbers.

TipChange the position of an existing wire number using the Toggle Wire Number In-Line tool.
  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click on the project name and select Properties (or click the drawing name, and select Properties [image] Drawing Properties).

    If you change this setting in the project properties, the drawings already in the project do not get this setting.

    NoteYou can also automatically set wire number placement using the Drawing Properties tool. Follow these steps.
  3. In the Project or Drawing Properties dialog box, click the Wire Numbers tab.
  4. In the Wire Number Placement section, select how you want to place new wire numbers automatically: above, below, or inline of the wire.
    • Above Wire: Places the wire number above the physical wire.
    • In-Line: Places the wire number in line with the wire. Click Gap Setup to define the spacing between the wire number and the wire itself.
    • Below Wire: Places the wire number below the physical wire.
  5. Click OK.
NoteUse the Copy Wire Number (In-Line) tool to insert individual wire numbers inline with the wire rather than above or below the wire in the active drawing.


Set wire number placement (Quick Reference)

Set wire number placement
Set wire number placement
Set wire number placement
Wire/Wire Number Tools > Wire Numbers >
Set wire number placement
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Drawing properties: wire numbers tab

Apply a drawing-specific wire number settings that are maintained inside the drawing's WD_M block.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Wire Numbers tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Wire Numbers tab.

Wire Number Format

Wire number tags can be sequential or reference-based.

Format

Specifies the way new wire number tags are created. The wire number tag format must include the %N parameter that is the base sequential or reference-based value per the selection above. If your format includes the sheet number %S parameter or the drawing number %D parameter, you must enter the values in the edit boxes in the Drawing Properties [image] Drawing Settings dialog box.

NoteFor reference-based wire number tagging, individual items in the suffix list are applied to the wire tags to keep multiple wires in the same reference location unique. These are added to the end of the tag, but you can force AutoCAD Electrical to insert the suffix character somewhere within the tag format. Use the Suffix position parameter, %X, in the component tag format (for example, %X%N).

Search for PLC I/O address on insert

Specifies to use PLC I/O address values for wires that connect to an addressed I/O point. This overrides both Sequential and Reference-based tagging. New wires or wire renumbering on the current drawing shows PLC I/O address-based wire numbers automatically.

NoteLike component tags, AutoCAD Electrical uses the concept of a wire tag format string with replaceable parameters. The %N parameter must always be part of the wire format string. A typical format string might be just this %N parameter.

Sequential

Enter the starting sequential number (alpha, numeric, or alphanumeric) for the drawing. If you enter the same starting sequential number for every drawing of your wiring diagram set, AutoCAD Electrical confirms at insertion time that a new sequential wire number tag is not repeated on any other drawing.

If you set DEMO1 to 100 and DEMO2 to 200, the wire numbers on DEMO1 start at 100 and those on DEMO2 start at 200. If DEMO1 has more than 100 wire numbers it starts using wire number 200 and above while DEMO2 would begin its wire numbers where DEMO1 left off (making sure that duplicate wire numbers are not assigned).

Increment

The default is "1." Setting it to "2" with a starting sequential of "1" would yield wire numbers 1, 3, 5, 7, 9, 11, and so on.

Line Reference

Sets the wire number tag suffix. This list is used to create unique reference-based wire number tags for multiple wire networks beginning at the same reference location (such as wire network beginning at a location per line reference number, X-Y grid reference, or X-Zone reference).

Suffix Setup

Displays a suffix list. List suffix characters for wire numbers beginning on the same line reference or in the same zone (to keep wire numbers unique). Select one of the four predefined suffix lists or enter your own custom suffix list.

New Wire Number Placement
NoteThe Insert Wire Number tool does not take the current wire number setting (in-line, above or below) into account when updating existing wire numbers; this setting is used only when inserting new wire numbers. Use the Toggle Wire Number In-Line tool for flipping existing wire numbers among the three modes.
Above Wire | Places the wire number above the physical wire.
In-Line | Places the wire number inline with the wire.
Gap Setup | Defines spacing between the inline wire number and the wire itself.
Below Wire | Places the wire number below the physical wire.
Offset | Specifies to insert the wire number tags the specified offset distance.
Centered | Specifies to insert the wire number tags in the center of each wire segment.
Offset Distance | Specifies a fixed, user-defined offset distance from the left or top of the first wire segment found on the wire network.
Leaders | (This option is unavailable for in-line wire numbers.) AutoCAD Electrical places wire numbers on leaders when it determines that the wire number text bumps into something (it does not check if the leader itself will overlay another object). Select the method for inserting new wire numbers as leaders: As Required, Always, or Never. NoteThis change does not affect wire numbers that are already present on the drawing.


Set wire number placement (Quick Reference)

Set wire number placement
Set wire number placement
Find or replace wire number text
Wire/Wire Number Tools > Wire Numbers >
Set wire number placement
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Project properties: wire numbers tab

Modify your project default settings for wire numbers. All information defined in this tab is saved to the project definition file as project defaults and settings

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click on the project name and select Properties. Select the Wire Numbers tab.

Wire Number Format

Wire number tags can be sequential or reference-based.

Format

Specifies the way new wire number tags are created. The wire number tag format must include the %N parameter that is the base sequential or reference-based value per the selection above. If your format includes the sheet number %S parameter or the drawing number %D parameter, you must enter the values in the edit boxes in the Drawing Properties [image] Drawing Settings dialog box.

NoteFor reference-based wire number tagging, individual items in the suffix list are applied to the wire tags to keep multiple wires in the same reference location unique. These are added to the end of the tag, but you can force AutoCAD Electrical to insert the suffix character somewhere within the tag format. Use the Suffix position parameter, %X, in the component tag format (for example, %X%N).
NoteAutoCAD Electrical provides a predefined format for you to use or you can enter your own format using replaceable parameters.

Search for PLC I/O address on insert

Specifies to use PLC I/O address values for wires that connect to an addressed I/O point. This overrides both Sequential and Reference-based tagging. New wires or wire renumbering on the current drawing will show PLC I/O address-based wire numbers automatically.

NoteLike component tags, AutoCAD Electrical uses the concept of a wire tag format string with replaceable parameters. The %N parameter must always be part of the wire format string. A typical format string might be just this %N parameter.

Sequential

Enter the starting sequential number (alpha, numeric, or alphanumeric) for the drawing. If you enter the same starting sequential number for every drawing of your wiring diagram set, AutoCAD Electrical confirms at insertion time that a new sequential wire number tag is not repeated on any other drawing.

If you set DEMO1 to 100 and DEMO2 to 200, the wire numbers on DEMO1 start at 100 and those on DEMO2 start at 200. If DEMO1 has more than 100 wire numbers it starts using wire number 200 and above while DEMO2 would begin its wire numbers where DEMO1 left off (making sure that duplicate wire numbers are not assigned).

Increment

The default is "1". Setting it to "2" with a starting sequential of "1" would yield wire numbers 1, 3, 5, 7, 9, 11, and so on.

Line Reference

Sets the wire number tag suffix. This list is used to create unique reference-based wire number tags for multiple wire networks beginning at the same reference location (such as wire network beginning at a location per line reference number, X-Y grid reference, or X-Zone reference).

Suffix Setup

Displays a suffix list. List suffix characters for wire numbers beginning on the same line reference or in the same zone (to keep wire numbers unique). Select one of the four predefined suffix lists or enter your own custom suffix list.

Wire Number Options

Based on Wire Layer

Assigns a different wire number format based on the wire layer.

Layer Setup

Overrides the default wire number format by using layer defined formats. Change the wire layer name, wire number format, starting wire sequence, and wire number suffix.

Based on Terminal Symbol Location

Specifies to use a wire number terminal on a wire network as the wire network's line reference value for calculating a reference-based wire number. For example, a wire network starts at line reference 100 and drops down and over on line reference 103. If there is a schematic terminal symbol that carries the WIRENO attribute located on line reference 103 and this option is enabled, AutoCAD Electrical calculates a reference-based wire number using 103 instead of 100. If there are multiple wire number terminals on this network, the line reference value of the upper left-most terminal is used.

Hidden on Wire Network with Terminal Displaying Wire Number

Specifies to automatically hide the wire number for a wire network that has a wire number-type terminal.

On per Wire Basis

Specifies to assign a wire number for each wire rather than the default one wire number per wire network.

Exclude

Specifies the wire number ranges to exclude if using sequential wire numbers. (applied to the %N part of the wire number tag format)

Syntax is <starting>-<ending> to show range (for example 1000-1499). Multiple ranges are allowed and must be separated with a comma or semi-colon (for example, 1000-1099;2500-2599;). You can also use 2;4;6 or 2,4,6 for values not in a range.

New Wire Number Placement
NoteThe Insert Wire Number tool does not take the current wire number setting (in-line, above or below) into account when updating existing wire numbers; this setting is used only when inserting new wire numbers. Use the Toggle Wire Number In-Line tool for flipping existing wire numbers among the three modes.
Above Wire | Places the wire number above the physical wire.
In-Line | Places the wire number in line with the wire.
Gap Setup | Defines spacing between the wire number and the wire itself.
Below Wire | Places the wire number below the physical wire.
Centered | Specifies to insert the wire number tags in the center of each wire segment.
Offset | Specifies to insert the wire number tags the specified offset distance.
Offset Distance | Specifies a fixed, user-defined offset distance from the left or top of the first wire segment found on the wire network.
Leaders | (This option is unavailable for in-line wire numbers) AutoCAD Electrical places wire numbers on leaders when it determines that the wire number text bumps into something (it does not check if the leader itself overlays another object). Select the method for inserting new wire numbers as leaders: As Required, Always, or Never. NoteThis change does not affect wire numbers that are already present on the drawing.
Wire Type

Displays the Rename User Columns dialog box that is used for renaming User1 to User20 header columns in the Set Wire Type, Create/Edit Wire Type, and Change/Convert Wire Type dialog boxes.


Find or replace wire number text (Procedure)

Set wire number placement
Up a level to ..
Encode wire color/gauge information into wire numbers
Wire/Wire Number Tools > Wire Numbers >
Find or replace wire number text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find or replace wire number text

Finds and replaces wire number text values or find and replace substrings within those values. You can do it on the current drawing or across the project drawing set.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Find/Replace. Enter AEFINDWIRENO at the command prompt.
  2. Specify whether to replace the text only if the entire wire number text string matches the Replace value or to replace the text anywhere within the wire number text string.
  3. Enter up to three different Find/Replace values, and then click Go.
  4. Choose to process the project, the current drawing, or selected wire numbers on the current drawing.

    AutoCAD Electrical scans the selection looking for all the AutoCAD Electrical wire number text values and replacing text as instructed.


Find or replace wire number text (Quick Reference)

Set wire number placement
Find or replace wire number text
Encode wire color/gauge information into wire numbers
Wire/Wire Number Tools > Wire Numbers >
Find or replace wire number text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Find or replace wire numbers

Finds and replaces wire number text values, or find and replace substrings within those values. You can do it on the active drawing or across the project drawing set.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Find/Replace. Does not exist on the ribbon.
Toolbar: Edit Wire Numbers
Menu: Wires [image] Wire Numbers Miscellaneous [image] Find/Replace Wire NumbersDoes not exist in the menus.
Command entry: AEFINDWIRENO
Full, exact match | Specifies to replace the text only if the entire text value matches the find value.
Substring match | Specifies to replace the text if any part of the text value matches the find value.
First occurrence only | Specifies to replace only the first occurrence within the text value.
Find | Specifies the value you wish to find.
Replace | Specifies the text string to replace the find value with.


Encode wire color/gauge information into wire numbers (Procedure)

Find or replace wire number text
Up a level to ..
Fix Wire Numbering
Wire/Wire Number Tools > Wire Numbers >
Encode wire color/gauge information into wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Encode wire color/gauge information into wire numbers

Use the Wire Layer/Format Overrides tool to have wire numbering automatically insert with wire color, gauge, and type information encoded into the wire number itself. For example, you can have wire numbers like 123-RD-14 or 124-BLK-10 instead of 123 or 124.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project name, and select Properties.
  3. In the Project Properties dialog box, click the Wire Numbers tab.
  4. In the Wire Number Options section, select Based on Wire Layer and then click Layer Setup.

    The Assign Wire Numbering Formats by Wire Layers dialog box opens. Enter each wire layer name and the wire number format that you want to see for wire numbers on that wire layer. For example, let's say that you routinely use wire layers "RED_14_THHN" and "BLK_10_XHHN" in drawings in your project. Whenever you have a wire number on the red wire, you want AutoCAD Electrical to append a "-RD-14" suffix automatically to the wire number. For wire numbers generated on wires drawn on layer BLK_10_XHHN, you want AutoCAD Electrical to append a "-BLK-10" suffix to the wire number automatically.

  5. In the Assign Wire Numbering Formats by Wire Layers dialog box, enter RED_14_THHN in the Wire Layer Name box and enter %N-RD-14 in the Wire Number Format For Layer box.
  6. Click Add.
  7. Enter BLK_10_XHHN in the Wire Layer Name box and enter %N-BLK-10 in the Wire Number Format For Layer box. Click Add.
  8. Repeat until you have all possible wire layers set up.

    This information is stored in the project's .wdp file and is applied across all drawings listed in your project.

  9. Click OK.

Now when you run the Insert Wire Numbers command on any drawing in your project, nonfixed wire numbers update if they are associated with wires that are tagged in your override list.


Encode wire color/gauge information into wire numbers (Quick Reference)

Find or replace wire number text
Encode wire color/gauge information into wire numbers
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers >
Encode wire color/gauge information into wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Assign wire numbering formats by wire layers

The default format of a wire number is defined in the AutoCAD Electrical Project Properties dialog box. This format is used for all wire numbers inserted on a drawing. However, there are times when you want certain types of wires to be numbered in a different way (that is, to carry a different format). AutoCAD Electrical allows you to override the default wire number format by using layer defined formats. For example, your default wire number format is %N. It takes on the line reference number (in Reference Mode) or the sequential number (in Sequential Mode). If there are multiple wire numbers on a particular line reference a suffix is used from the defined suffix list to make the wire number unique.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Wires [image] Insert Wire NumbersDoes not exist in the menus.
Command entry: AEWIRENO

Click Use Wire Layer Format Overrides Setup.

NoteYou can also access this dialog box by selecting Based on Wire Layer and then clicking Layer Setup in the Wire Number Options section of the Project Properties [image] Wire Numbers dialog box.
Wire list | Lists all defined wire layer formats.
Add | Adds the new wire layer format to the list.
Update | Updates the selected wire layer format with the changes you specified in the dialog box.
Delete | Removes the new wire layer format from the list.
Wire layer name | Specifies the name for the wire layer to modify. Type the layer name or select from the list of valid wire layers. Wild cards are allowed.
List | Displays a list of valid wire layers.
Default | Automatically enters the default value for the format, sequence start, and suffix list fields.
Wire number format for layer | Defines the format override.
Starting wire sequence | Specifies the sequential start number for the layer. Use it if you are using Sequential Mode.
Wire number suffix list for layer | Specifies a unique suffix list. The suffix list must be a comma delimited string. Use it if you are using Reference Mode.
Replaceable parameters for device tagging and wire numbering
%F | Component family code string (ex: "PB", "SS", "CR", "FLT", "MTR")
%S | Sheet number of the drawing (ex: "01" entered in upper right)
%D | Drawing number
%G | Wire layer name of the drawing
%N | Sequential or Reference-based number applied to the component
%X | Suffix character position for reference-based tagging (not present = end of tag)
%P | IEC-style project code (default for drawing)
%I | IEC-style installation code (default for drawing)
%L | IEC-style location code (default for drawing)
%A | Project drawing list's SEC value for active drawing
%B | Project drawing list's SUB-SEC value for active drawing
NoteIf you include %I or %L in the Tag code of the component, you are prompted to recalculate the tag if you change the Installation or Location value of the component once it is inserted.


Fix Wire Numbering

Encode wire color/gauge information into wire numbers
Wire Numbers
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers >
Fix Wire Numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Fix wire numbering

    Modify/fix/unfix


Fix Wire Numbering (Procedure)

Encode wire color/gauge information into wire numbers
Up a level to ..
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers >
Fix Wire Numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Fix a wire number

Fix all wire numbers

Fix/unfix all wire numbers project-wide


Fix wire numbering (Procedure)

Fix Wire Numbering
Up a level to ..
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers > Fix Wire Numbering >
Fix wire numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Fix a wire number

Fix all wire numbers

Fix/unfix all wire numbers project-wide


Fix wire numbering (Quick Reference)

Encode wire color/gauge information into wire numbers
Fix wire numbering
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers > Fix Wire Numbering >
Fix wire numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Modify/fix/unfix

Project-wide utilities


Fix a wire number (Procedure)

Fix wire numbering
Up a level to ..
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers > Fix Wire Numbering >
Fix wire numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Fix a wire number

In some cases, certain wire numbers must be preassigned. They can include motor wiring that must include special suffix values or other wiring, such as instrumentation, that might not follow the default numbering convention. Manually edit the wire number and flip it to fixed. Fixing a wire number means that the wire number tag is left unchanged if later processed or reprocessed by the automatic wire numbering utility.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Edit Wire Number. Enter AEEDITWIRENO at the command prompt.
  2. Select a wire or select an existing wire number. If a wire number exists, the Modify/Fix/Unfix dialog box displays. However, if a wire number does not exist on the selected wire, the Insert Wire Number dialog box displays.
    NoteIf the selected wire is on a layer defined as No Wire Numbering, the Insert Wire Number dialog box does not display. An alert displays indicating that the layer is set as No Wire Numbering.
  3. Edit the wire number or enter a new wire number. If you are inserting a wire number, use the arrows or click Pick to select the appropriate wire number. Pick speeds up the task if you have some special wire numbers to edit manually.
  4. Select to make the wire number visible or hidden.
  5. To fix the wire number, select Fixed and click OK. If the wire number is already fixed and you want to turn it back into a regular wire number, clear the check box and click OK.


Fix all wire numbers (Procedure)

Fix wire numbering
Up a level to ..
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers > Fix Wire Numbering >
Fix wire numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Fix all wire numbers

There are times when you want to fix all or many wire numbers on a drawing at their current values. Use the Fix Wire Numbers tool and identify all the wiring you want AutoCAD Electrical to mark as fixed.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Fix. Enter AEFIXWIRENO at the command prompt.
  2. Select a wire number or component to fix.
  3. Right-click when you are done selecting the wires. You can check whether the wire is fixed by clicking the Edit Wire Number tool, selecting the wire, and reviewing the dialog box.


Fix/unfix all wire numbers project-wide (Procedure)

Fix wire numbering
Up a level to ..
Reposition Wire Numbers
Wire/Wire Number Tools > Wire Numbers > Fix Wire Numbering >
Fix wire numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Fix/unfix all wire numbers project-wide

You can quickly fix or unfix all wire numbers across the active project using the Project-Wide Utilities tool.

  1. Click Project tab [image] Project Tools panel [image] Utilities. Enter AEUTILITIES at the command prompt.
  2. In the Project-Wide Utilities dialog box, Wire Numbers section, select Set all wire numbers to fixed or Set all wire numbers to normal, and click OK.
  3. Select the drawings to process and click OK.


Fix wire numbering (Quick Reference)

Fix wire numbering
Fix wire numbering
Fix wire numbering
Wire/Wire Number Tools > Wire Numbers > Fix Wire Numbering >
Fix wire numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Modify/fix/unfix

Provides the means to edit a wire number or inserts a new one where none exists.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Edit Wire Number. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Wires [image] Edit Wire NumberDoes not exist in the menus.
Command entry: AEEDITWIRENO

Edit Wire Number provides the means to:

  • Modify the wire number value
  • Fix or unfix the wire number
  • Change the visibility of the wire number

When a wire number is fixed, the wire number attribute is renamed and moved to a special fixed wire number layer. Assigning a different color to this layer makes it easy to identify which wire numbers are fixed and which are normal. The layer name for fixed wire numbers is entered in the Define Layers dialog box (from the Drawing Properties [image] Drawing Format dialog box).

Wire Number

Specifies the wire number to edit. Use the arrows to scroll through possible wire numbers.

If you enter an existing wire number during the insert/edit process, a warning dialog box displays. Turn off the warning in the Project Properties [image] Project Settings dialog box. It temporarily disables the warning dialog box for the current session of AutoCAD Electrical). This alerts you of the duplication and suggests alternative wire number based on the user-defined format. You can select whether to use the duplicated wire number, use a new wire number that is suggested, or you can type in a wire number.

NoteAn error log file is created for every project regardless whether you chose to display a dialog box or not. The warning is saved in the log file named "<project_name>_error.log" and is saved in the User subdirectory.

Pick

Prefills the wire number edit box with the text entity you select. Use Up or Down to quickly increment or decrement the wire number.

Make it Fixed

Fixes the wire number so that it does not change if later processed by the automatic wire numbering utility.

Visible/Hidden

Displays or hides the wire number on the drawing. Hidden wire numbers are still present and appear in wire reports.

See also: Erase or hide wire numbers

Zoom

Restores the previous screen view. Do a zoom extents to follow an untagged wire that travels off screen.


Fix wire numbering (Quick Reference)

Fix wire numbering
Fix wire numbering
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Fix Wire Numbering >
Fix wire numbering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Project-wide utilities

Provides the means for operations on wire numbers, component tags, and attribute text. You can define scripts and apply them project-wide.

Ribbon: Project tab [image] Project Tools panel [image] Utilities. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Project-Wide UtilitiesDoes not exist in the menus.
Command entry: AEUTILITIES

Select project drawings and perform any of the following:

  • Erase, reset, fix, or unfix wire numbers.
  • Fix or unfix component tags.
  • Clear signal cross-referencing.
  • Run a user-specified script file.
  • Change attribute text size or style.

You can have multiple drawings open at any time. However, to maximize performance and memory usage, minimize the number of open drawings when running project-wide commands.

Wire Numbers

Select to keep wire numbers the same, erase specified wire numbers, reset specified wire numbers, or set wire numbers to fixed or normal.

Signal Arrow Cross-reference text

Select to maintain the signal arrow cross-reference text or to remove all signal arrow cross-reference text across the current project.

Component Tags

Select to maintain the component tags or to set all parent component tags to fixed or normal across the current project.

For each drawing

Enter the name or browse to a command script file to use for each drawing in the current project or to purge all blocks.

Change Attribute

Change Attribute Size | Click Setup to select the attributes to change, and then enter the height and width definitions for the selected attributes. NoteIf you do not want the attribute height or width to change, do not enter a value definition.
Change Style | Click Setup to select a text font to apply to the text style used on component attributes.


Reposition Wire Numbers

Fix wire numbering
Wire Numbers
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers >
Reposition Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Reposition wire numbers


Reposition Wire Numbers (Procedure)

Fix wire numbering
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers >
Reposition Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Scoot wire numbers

Move a wire number

Rotate a wire number

Reposition the wire number text with an attached leader

Move the wire number without use of a leader

Swap wire numbers

Copy wire numbers

Position wire numbers in-line with the wire

Mirror a wire number

Toggle wire number position


Reposition wire numbers (Procedure)

Reposition Wire Numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Scoot wire numbers

Move a wire number

Rotate a wire number

Reposition the wire number text with an attached leader

Move the wire number without use of a leader

Swap wire numbers

Copy wire numbers

Position wire numbers in-line with the wire

Mirror a wire number

Toggle wire number position


Scoot wire numbers (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Scoot wire numbers

If you want to move a wire number along its wire segment, use Scoot and pick right on the wire number.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Scoot. Enter AESCOOT at the command prompt.
  2. Select the wire number to slide along its connected wires or select the wire segment itself to scoot the entire wire, including the components, along the bus. You can scoot an entire rung up or down. A rectangle drawn in temporary graphics indicates the selected items.
  3. Move your cursor to the appropriate position and click your mouse button.

    The items scoot and reconnect.


Move a wire number (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Move a wire number

Moves an existing wire number to a selected location on the same wire network.

Select a location on the wire segment to define a new position for the wire number.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Move Wire Number. Enter AEMOVEWIRENO at the command prompt.
  2. Select the wire segment where you want the wire number repositioned. It is not required that you pick on the existing wire number first.

    The wire number automatically moves to the selected position.


Rotate a wire number (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Rotate a wire number

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Rotate Attribute. Enter AEATTROTATE at the command prompt.
  2. Select the wire number text to rotate 90 degrees from its current orientation.

    Each click the wire number text rotates it another 90 degrees counter-clockwise.


Reposition the wire number text with an attached leader (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Reposition the wire number text with an attached leader

Inserts, modifies, or collapses a leader on a selected wire number.

Pick directly on the wire number text, and then identify the new position. Right click or press Enter to exit the command.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Wire Number Leader drop-down [image] Wire Number Leader. Enter AEWIRENOLEADER at the command prompt.
  2. Select the wire number text.
  3. Select the new position for the wire number. Right-click or press Enter to position the wire number.
    NoteYou can type "C" at the command prompt to collapse the wire leader back to the wire number block. You can do it immediately after inserting a leader if you determine that you do not want the leader. Or, rerun the command if you want to remove the leader from existing wire numbers.


Move the wire number without use of a leader (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Move the wire number without use of a leader

If you want to reposition the wire number without use of a leader, use the Move Attribute utility.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Attributes drop-down [image] Move/Show Attribute. Enter AEATTSHOW at the command prompt.
  2. Select the attributes to move and press Enter.

    You can pick the components individually or by windowing. Each attribute highlights with a rectangular box drawn around it.

  3. Select the base and insertion points for the move. The attribute follows your cursor and is automatically moved to the selected position.

    The attributes remain tied to the parent block inserts.

NoteAvoid using the AutoCAD MOVE command to reposition a wire number. An AutoCAD Electrical smart wire number is an invisible block with one visible wire number attribute associated with it. The X-Y insertion point of the block must physically lie on the wire segment. If it is forced off the segment during an AutoCAD MOVE command, then AutoCAD Electrical no longer sees it linked to the wire. To use straight AutoCAD commands to reposition a wire number, use GRIPS to move the wire number attribute or any other attribute position editing command. You reposition the wire number attribute but not its underlying block insertion point.


Swap wire numbers (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Swap wire numbers

Swap wire numbers between two wire networks by selecting the Swap Wire Numbers tool. Select on the "From" and the "To" wire networks or pick right on the existing wire number text.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Swap. Enter AESWAPWIRENO at the command prompt.
  2. Select the first wire or number and then select the second wire or number.

    The wire numbers automatically switch positions.


Copy wire numbers (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Copy wire numbers

Inserts an extra copy of a wire number.

A copy of a wire number follows the main wire number of a network. You can position the copy anywhere on a wire network. If AutoCAD Electrical modifies a main wire number, the copies of the wire number update as well. Extra wire numbers go on the Wire Copies layer defined in the drawing properties.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Copy Wire Number drop-down [image] Copy Wire Number. Enter AECOPYWIRENO at the command prompt.
  2. Select the wire location where you want the extra wire number to insert.


Position wire numbers in-line with the wire (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Position wire numbers in-line with the wire

You may want some wire numbers to appear in-line with the wire rather than above or below the wire.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Copy Wire Number drop-down [image] Copy Wire Number In-line. Enter AECOPYWIRENOIL at the command prompt.
  2. Specify the insertion point for the wire number.
  3. In the Insert Wire Number dialog box, enter the wire number. Use Pick to select similar text from the drawing, or click the arrows to increment or decrement the wire number.
  4. Click OK. The wire number is automatically inserted in-line with the wire.

    If the gap between the wire and the wire number text is not large enough you can change the gap setup.

  5. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Copy Wire Number drop-down [image] Adjust In-Line Wire/Label Gap. Enter AEWIRELABELGAP at the command prompt.
  6. Type S and press Enter to open the In-Line Wire Label Gap Setup dialog box.
  7. Adjust the values as necessary to define the adjustment for the gap size.
    • A: Specifies the width between the end of the wire and the text. The second option for setting "A" is the snap setting for the width. The width stays constant until the text grows to a point where the Text + A + A gets past the current gap width in the wire. The gap width then jumps up to the next snap width increment. If this second value is set to 0.25, the gaps in the wires are always going to be at 0.25 increments (0.25, 0.5, 0.75, 1.0). If this middle value is left at 0.0, then the snap distance is 0 and the gap in the wire grows or shrinks smoothly as the wire text grows or shrinks.
    • C: Specifies the minimum gap width by setting a fixed size value. If you want fixed spacing for the in-line wire number gap, enter a size value in the C edit box. A non-blank C value gives the minimum gap width even if the wire number is a single character or was blanked out.

    The gap is adjusted for the selected wire number.


Mirror a wire number (Procedure)

Reposition wire numbers
Up a level to ..
Reposition wire numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Mirror a wire number

Moves a selected wire number to the same position on the other side of the wire.

Select each wire number to flip.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Flip Wire Number. Enter AEFLIPWIRENO at the command prompt.
  2. Select the wire number to mirror.

    Each wire number selected is mirrored across its associated wire.

TipUse the Toggle Wire Number In-Line tool to move a wire number from above/below the wire to in-line. If the wire number is already in-line, the wire number moves to the position defined in the Drawing Properties: wire number tab.


Toggle wire number position (Procedure)

Reposition wire numbers
Up a level to ..
Modify Wire Numbers
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Toggle wire number position

Switches a wire number between drawing properties above or below and in-line.

If the wire number you select is in-line, it switches to above or below based on the drawing properties. If it starts as above or below, the selected wire number switches to in-line.

NoteIf there is not room for a wire number to become an in-line wire number, it remains an above or below line wire number.
TipUse the Flip Wire Number tool to switch a wire number between above and below the wire.
  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Toggle Wire Number In-line. Enter AETOGGLEWIRENO at the command prompt.
  2. Select the wire number to toggle. You can select on the wire number or on the wire itself.
  3. Right-click to exit the command.


Reposition wire numbers (Quick Reference)

Fix wire numbering
Reposition wire numbers
Signal Arrows
Wire/Wire Number Tools > Wire Numbers > Reposition Wire Numbers >
Reposition wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Drawing properties: wire numbers tab

Apply a drawing-specific wire number settings that are maintained inside the drawing's WD_M block.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Wire Numbers tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Wire Numbers tab.

Wire Number Format

Wire number tags can be sequential or reference-based.

Format

Specifies the way new wire number tags are created. The wire number tag format must include the %N parameter that is the base sequential or reference-based value per the selection above. If your format includes the sheet number %S parameter or the drawing number %D parameter, you must enter the values in the edit boxes in the Drawing Properties [image] Drawing Settings dialog box.

NoteFor reference-based wire number tagging, individual items in the suffix list are applied to the wire tags to keep multiple wires in the same reference location unique. These are added to the end of the tag, but you can force AutoCAD Electrical to insert the suffix character somewhere within the tag format. Use the Suffix position parameter, %X, in the component tag format (for example, %X%N).

Search for PLC I/O address on insert

Specifies to use PLC I/O address values for wires that connect to an addressed I/O point. This overrides both Sequential and Reference-based tagging. New wires or wire renumbering on the current drawing shows PLC I/O address-based wire numbers automatically.

NoteLike component tags, AutoCAD Electrical uses the concept of a wire tag format string with replaceable parameters. The %N parameter must always be part of the wire format string. A typical format string might be just this %N parameter.

Sequential

Enter the starting sequential number (alpha, numeric, or alphanumeric) for the drawing. If you enter the same starting sequential number for every drawing of your wiring diagram set, AutoCAD Electrical confirms at insertion time that a new sequential wire number tag is not repeated on any other drawing.

If you set DEMO1 to 100 and DEMO2 to 200, the wire numbers on DEMO1 start at 100 and those on DEMO2 start at 200. If DEMO1 has more than 100 wire numbers it starts using wire number 200 and above while DEMO2 would begin its wire numbers where DEMO1 left off (making sure that duplicate wire numbers are not assigned).

Increment

The default is "1." Setting it to "2" with a starting sequential of "1" would yield wire numbers 1, 3, 5, 7, 9, 11, and so on.

Line Reference

Sets the wire number tag suffix. This list is used to create unique reference-based wire number tags for multiple wire networks beginning at the same reference location (such as wire network beginning at a location per line reference number, X-Y grid reference, or X-Zone reference).

Suffix Setup

Displays a suffix list. List suffix characters for wire numbers beginning on the same line reference or in the same zone (to keep wire numbers unique). Select one of the four predefined suffix lists or enter your own custom suffix list.

New Wire Number Placement
NoteThe Insert Wire Number tool does not take the current wire number setting (in-line, above or below) into account when updating existing wire numbers; this setting is used only when inserting new wire numbers. Use the Toggle Wire Number In-Line tool for flipping existing wire numbers among the three modes.
Above Wire | Places the wire number above the physical wire.
In-Line | Places the wire number inline with the wire.
Gap Setup | Defines spacing between the inline wire number and the wire itself.
Below Wire | Places the wire number below the physical wire.
Offset | Specifies to insert the wire number tags the specified offset distance.
Centered | Specifies to insert the wire number tags in the center of each wire segment.
Offset Distance | Specifies a fixed, user-defined offset distance from the left or top of the first wire segment found on the wire network.
Leaders | (This option is unavailable for in-line wire numbers.) AutoCAD Electrical places wire numbers on leaders when it determines that the wire number text bumps into something (it does not check if the leader itself will overlay another object). Select the method for inserting new wire numbers as leaders: As Required, Always, or Never. NoteThis change does not affect wire numbers that are already present on the drawing.


Modify Wire Numbers

Reposition wire numbers
Wire Numbers
Modify wire numbers
Wire/Wire Number Tools > Wire Numbers >
Modify Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Modify wire numbers


Modify Wire Numbers (Procedure)

Reposition wire numbers
Up a level to ..
Modify wire numbers
Wire/Wire Number Tools > Wire Numbers >
Modify Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Increment wire numbers

Change the default wire number size

Make wire numbers on vertical wires come in rotated 90 degrees


Modify wire numbers (Procedure)

Modify Wire Numbers
Up a level to ..
Modify wire numbers
Wire/Wire Number Tools > Wire Numbers > Modify Wire Numbers >
Modify wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Increment wire numbers

Change the default wire number size

Make wire numbers on vertical wires come in rotated 90 degrees


Increment wire numbers (Procedure)

Modify wire numbers
Up a level to ..
Modify wire numbers
Wire/Wire Number Tools > Wire Numbers > Modify Wire Numbers >
Modify wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Increment wire numbers

You can force new incremental wire numbers (as opposed to line referenced numbers) to increment by more than one during insertion.

  1. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
  2. Click the Wire Numbers tab.
  3. In the Wire Number Format section, select Sequential and set the increment value.
  4. (Optional) For this increment value to be your standard for all new drawings, follow the same procedure in the Project Properties [image] Wire Numbers dialog box.
    NoteYou can also do it by creating an electrical template drawing with the wd_m block pre-inserted and the increment value pre-assigned.


Change the default wire number size (Procedure)

Modify wire numbers
Up a level to ..
Modify wire numbers
Wire/Wire Number Tools > Wire Numbers > Modify Wire Numbers >
Modify wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Change the default wire number size

You must change several block inserts in each of the symbol libraries you use. The wire number block drawings to adjust are: wd_wnh.dwg (horizontal wire number), wd_wnv.dwg (vertical wire number), wd_wch.dwg (horizontal extra wire number copy), and wd_wcv.dwg (vertical extra wire number copy). You can find them in your AutoCAD Electrical symbol library.

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\{library}\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs\{library}\
  1. Determine which schematic symbol library is in use and open drawing "wd_wnh.dwg" in AutoCAD.
  2. Change the text size of the WIRENO attribute definition.
  3. Save the drawing.
  4. Open drawings "wd_wnv.dwg", "wd_wch.dwg", and "wd_wcv.dwg."
  5. Repeat steps 2 and 3 for each.
NoteYou will not see these new, resized wire numbers on existing drawings unless you erase all the wire numbers and purge the drawing of the old block inserts.


Make wire numbers on vertical wires come in rotated 90 degrees (Procedure)

Modify wire numbers
Up a level to ..
Erase or Hide Wire Numbers
Wire/Wire Number Tools > Wire Numbers > Modify Wire Numbers >
Modify wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Make wire numbers on vertical wires come in rotated 90 degrees

You can make wire numbers for vertical wires come in automatically rotated 90 degrees so the wire number lays along the wire.

  1. Determine which schematic symbol library is in use and open drawing "wd_wnv.dwg" in AutoCAD.
  2. Rotate the WIRENO attribute 90 degrees using the AutoCAD Rotate command.
  3. Save the drawing.
  4. Open drawing "wd_wcv.dwg."
  5. Repeat steps 2 and 3.


Erase or Hide Wire Numbers

Modify wire numbers
Wire Numbers
Erase or hide wire numbers
Wire/Wire Number Tools > Wire Numbers >
Erase or Hide Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Erase or hide wire numbers


Erase or Hide Wire Numbers (Procedure)

Modify wire numbers
Up a level to ..
Erase or hide wire numbers
Wire/Wire Number Tools > Wire Numbers >
Erase or Hide Wire Numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Erase or hide wire numbers


Erase or hide wire numbers (Procedure)

Erase or Hide Wire Numbers
Up a level to ..
Signal Arrows
Wire/Wire Number Tools > Wire Numbers > Erase or Hide Wire Numbers >
Erase or hide wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Erase or hide wire numbers

Erase a wire number

Deletes selected wire numbers.

Deletes the main wire number of a network, or a wire number copy. Select a wire number copy precisely to erase just that copy, leaving the main wire number of the network and any other copies in place. Select the main wire number to delete it and all wire number copies.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Delete Wire Numbers. Enter AEERASEWIRENUM at the command prompt.
  2. Select the wire number or pick on any wire in the network.
  3. Press Enter. The wire number is automatically deleted. Extra wire number copies can also be deleted.

Erase all wire numbers project-wide

  1. Click Project tab [image] Project Tools panel [image] Utilities. Enter AEUTILITIES at the command prompt.
  2. Select to remove all wire numbers or keep fixed wire numbers and click OK.
  3. Select which drawings you want to process and click OK.

    The selected drawings are processed and the wire numbers change across the project.

Hide/unhide wire numbers

Hide wire numbers

AutoCAD Electrical automatically hides wire numbers when the wire number is on the same network as a terminal symbol that carries a copy of the wire number (WIRENO attribute). You can hide or show wire numbers manually.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Hide. Enter AEHIDEWIRENO at the command prompt.
  2. Select a wire number or the wire it is associated to. AutoCAD Electrical moves the wire number to a special hide layer and the number is no longer visible on the screen.

    The new hide layer is created from the wire number layer name with a "_HIDE" suffix. For example, if the wire number text layer is called WIRENO then the hide layer name is called "WIRENO_HIDE". The layer is created automatically when needed and you are asked if you want to freeze this layer.

Unhide wire numbers

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Unhide. Enter AESHOWWIRENO at the command prompt.
  2. Select a wire number or the wire the hidden number is associated to.

    AutoCAD Electrical moves the wire number out of the hide layer and the number is visible on the screen.

NoteDo not use the Hide Wire Number and Unhide Wire Number tools on in-line wire numbers.
See Also
    • Modify/fix/unfix


Signal Arrows

Erase or hide wire numbers
Wire/Wire Number Tools
Signal Arrows
Wire/Wire Number Tools >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Signal Arrows

    Insert destination code

  • Fan In/Out Markers


Signal Arrows (Procedure)

Erase or hide wire numbers
Signal Arrows
Signal Arrows
Wire/Wire Number Tools >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Add custom signal arrow styles

Modify signal arrow prefix


Signal Arrows (Concept)

Signal Arrows
Signal Arrows
Fan In/Out Markers
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical uses a named source/destination concept. You identify a wire network to be the source, insert a source arrow on that network, and assign a source code name to it. On the wire network that is to be a continuation of the same wire number, whether on the same drawing or a different drawing in the project, insert a destination arrow. Give it the same code name that you gave to its source. AutoCAD Electrical matches source code names with destination names and copies source wire numbers over to the destination wire networks.


Signal Arrows (Procedure)

Signal Arrows
Up a level to ..
Signal Arrows
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add custom signal arrow styles

Modify signal arrow prefix


Signal Arrows (Quick Reference)

Reposition wire numbers
Signal Arrows
Signal Arrows
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert destination code

Signal - source code

Project properties: styles tab

Drawing properties: styles tab

Wire signal or stand-alone reference report


Add custom signal arrow styles (Procedure)

Signal Arrows
Up a level to ..
Signal Arrows
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add custom signal arrow styles

The icon menu graphics that display for the various signal styles are bitmap files saved to your C:\Program Files [(x86)]\Autodesk\Acade {version}\Acade\ folder where AutoCAD Electrical's Insert Signal utilities and Drawing Properties tool can access them.

  1. Create the style in AutoCAD.
  2. Zoom in to the new arrow style.
  3. Save the file as a bitmap using the following name definition: A_STYLExh.bmp where "x" is the arrow style 1-9.
    NoteIf the resulting bitmap is too small or off-center, open the source drawing in AutoCAD again. Resize your AutoCAD graphics window so that it is more square. Center the image and resave. Repeat until you are satisfied with the result.


Modify signal arrow prefix (Procedure)

Signal Arrows
Up a level to ..
Fan In/Out Markers
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify signal arrow prefix

When a source or destination signal arrow is inserted it is cross-referenced. The source arrow has the reference for the destination arrow. The destination arrow has the reference for the source arrow. The cross-reference text can carry a prefix, for example “to” on a source arrow and “from” on a destination arrow. This prefix value is defined on the signal arrow library symbol. You can change the prefix by modifying the library symbol.

  1. Open the signal arrow library symbol.

    See Source/Destination Wire Signal Arrow Symbols to determine the name of the signal arrow you want to modify.

  2. Enter DDEDIT at the command line.
  3. Click the XREF attribute.
  4. Edit the Prompt value.
  5. Click OK.
  6. Save the symbol.
NotePurge existing drawings of this symbol before inserting this modified symbol.


Signal Arrows (Quick Reference)

Signal Arrows
Signal Arrows
Signal Arrows
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert destination code

Inserts a wire Destination signal arrow with a wire number from a matching Source.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Destination Arrow. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] Destination Signal ArrowDoes not exist in the menus.
Command entry: AEDESTINATION

AutoCAD Electrical retrieves the wire number for a destination-arrowed wire network from its associated source-arrowed wire network. Enter the same number, word, or phrase the source arrow carries to link to it.

NoteA Destination signal arrow cannot be tied to a wire network that carries a pre-assigned fixed wire number.
Code | Specifies the code for the destination signal. Enter a unique number/word/phrase, 32-character maximum, for AutoCAD Electrical to use to link the destination wire network internally to any source wire networks.
Description | (optional) Specifies the description for the destination signal.
Defaults | Opens an ASCII text file from which you can quickly pick standard descriptions.
Recent | Picks from recently inserted codes.
Drawing | Displays drawing-wide pick lists of all source/destination codes used so far.
Project | Displays project-wide pick lists of all source/destination codes used so far.
Pick | Picks on an existing wire network. AutoCAD Electrical searches it for an existing source arrow and retrieves its signal code for use on this new destination arrow.
Signal Arrow Style | Specifies the arrow style to use for the destination signal. There are currently nine styles to choose from.
Ok + Update Source | Finishes the destination arrow insert and updates the source arrow with this destination arrow.


Signal Arrows (Quick Reference)

Signal Arrows
Signal Arrows
Signal Arrows
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Signal - source code

Inserts a wire Source signal arrow and transfers its wire number to destination wire networks.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Source Arrow. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Wires [image] Signal References [image] Source Signal ArrowDoes not exist in the menus.
Command entry: AESOURCE

The wire number from a source-arrowed wire network copies to all associated destination-arrowed wire networks. Enter a unique number, word, or phrase of 32 characters maximum to link the source wire network to all destination wire networks internally.

Code | Specifies the code for the source signal. Enter a unique number/word/phrase, 32-character maximum, for AutoCAD Electrical to use to link the source wire network internally to any destination wire networks.
Use | Places the specified value into the code box. It is useful for using the next number in a sequence.
Description | (optional) Specifies the description for the source signal.
Defaults | Opens an ASCII text file from which you can quickly pick standard descriptions.
Recent | Picks from recently inserted codes.
Drawing | Displays drawing-wide pick lists of all source/destination codes used so far.
Project | Displays project-wide pick lists of all source/destination codes used so far.
Search | Follows the selected wire network looking for a destination arrow at the other end. If found, repeat its signal code for this new source arrow.
Pick | Picks on an existing wire network. AutoCAD Electrical searches it for an existing destination arrow and retrieves its signal code for use on this new source arrow.
Signal Arrow Style | Specifies the arrow style to use for the source signal. Select from the four predefined styles or a user-defined style.
OK + Update Destination | Finishes the source arrow insert and updates the destination arrow with this source arrow.


Signal Arrows (Quick Reference)

Signal Arrows
Signal Arrows
Signal Arrows
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Project properties: styles tab

Modify your project default settings for various component styles. All information defined in this tab is saved to the project definition file as project defaults and settings.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click on the project name and select Properties. Select the Styles tab.

Arrow Style

Specifies the default wire signal arrow style. Select from the four predefined styles or a user-defined style. You can override the default style setting at insertion time.

TipFor instructions on how to add custom wire arrow styles, see Add custom signal arrow styles.

PLC Style

Specifies the default PLC module style. Select from the five predefined styles or a user-defined style.

TipFor instructions on how to add custom PLC module styles, see Add a new PLC style.

Fan-In/Out Marker Style

Defines the default Fan In/Out marker style and the layers for wires going out of a Fan In/Out Source marker and those coming into a Destination marker.

TipFor instructions on how to add custom Fan-In/Out marker styles, see Add custom fan-in/out marker styles.

Layer List

Lists the Fan In/Out layers.

Add

Defines layer names as Fan In/Out layers.

Remove

Removes the selected layer from the defined layer list.

Wire Cross

Specifies the default mode of operation when wires cross each other: insert gap with no loop, insert gap and loop, or solid (no gap).

Wire Tee

Specifies the default wire tee marker: none, dot, angle1, or angle2.


Signal Arrows (Quick Reference)

Signal Arrows
Signal Arrows
Signal Arrows
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing properties: styles tab

Apply a drawing-specific component styles settings that are maintained inside the drawing's WD_M block.

Any drawing
Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the drawing name, and select Properties [image] Drawing Properties. Select the Styles tab.

Active drawing
Ribbon: Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Drawing Properties Does not exist in the menus.
Command entry: AEPROPERTIES

Select the Styles tab.

Arrow Style

Specifies the default wire signal arrow style. Select from the four predefined styles or a user-defined style. You can override the default style setting at insertion time.

TipFor instructions on how to add custom wire arrow styles, see Add custom signal arrow styles.

PLC Style

Specifies the default PLC module style. Select from the five predefined styles or a user-defined style.

TipFor instructions on how to add custom PLC module styles, see Add a new PLC style.

Fan-In/Out Marker Style

Defines the default Fan In/Out marker style and the layers for wires going out of a Fan In/Out Source marker and those coming into a Destination marker.

TipFor instructions on how to add custom Fan-In/Out marker styles, see Add custom fan-in/out marker styles.

Layer List

Lists the Fan In/Out layers.

Add

Defines layer names as Fan In/Out layers.

Remove

Removes the selected layer from the defined layer list.

Wire Cross

Specifies the default mode of operation when wires cross each other: insert gap with no loop, insert gap, and loop, or solid (no gap).

Wire Tee

Specifies the default wire tee marker: none, dot, angle1, or angle2.


Signal Arrows (Quick Reference)

Signal Arrows
Signal Arrows
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows >
Signal Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Wire signal or stand-alone reference report

There are two types of reports that can be generated: one on wire signal source/destination codes and one on stand-alone reference codes.

Ribbon: Reports tab [image] Schematic panel [image] Signal Error/List. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] Signal Error/List ReportDoes not exist in the menus.
Command entry: AESIGNALERRORREPORT

Wire Signal Source/Destination codes report

Runs a report that lists all the signal source and destinations used on the project drawing set. The exception report lists problem areas such as a destination signal with no source found or a source signal that does not tie to a destination.

Click Format on the subdialog box to select from a listing of report settings files found that have a prefix equal to the selected report type.

Stand-alone Reference Source/Destination codes report

Runs a report that lists all the stand-alone source and destinations used on the project drawing set. The exception report lists problem areas such as a destination reference with no source found or a source reference that does not tie to a destination.

Click Format on the subdialog to select from a listing of report settings files found that have a prefix equal to the selected report type.

Surf

Continues surfing on problems related to the selected report.


Fan In/Out Markers

Signal Arrows
Signal Arrows
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows >
Fan In/Out Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Fan In/Out Source and Destination Markers

    Fan-in/fan-out signal source


Fan In/Out Markers (Procedure)

Signal Arrows
Up a level to ..
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows >
Fan In/Out Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Add source markers

Add destination markers

Set marker styles and layers

Define fan-in/out layers

Add custom fan-in/out marker styles


Fan In/Out Source and Destination Markers (Concept)

Fan In/Out Markers
Fan In/Out Markers
Wire Sequencing
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

There are times when you want to show source and destination markers on the individual wires of a cable, but you want to show the wires coming together to form the cable.

When a Fan In/Out marker is inserted, AutoCAD Electrical breaks the wire and changes the layer of one side of the wire to a special layer. If you are inserting a source marker, then the wire coming out of the marker is changed. If it is a destination marker, the wire coming into the marker is changed. You can use the AutoCAD Electrical Fan In/Out - Single Line Layer command to change a wire to one of these layers.


Fan In/Out Source and Destination Markers (Procedure)

Fan In/Out Markers
Up a level to ..
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add source markers

Add destination markers

Set marker styles and layers

Define fan-in/out layers

Add custom fan-in/out marker styles


Fan In/Out Source and Destination Markers (Quick Reference)

Signal Arrows
Fan In/Out Source and Destination Markers
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fan-in/fan-out signal source

Fan-in/fan-out signal destination

Fan-in/out - single line layer


Add source markers (Procedure)

Fan In/Out Source and Destination Markers
Up a level to ..
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add source markers

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Fan In Source. Enter AEFANINSRC at the command prompt.
  2. Select the style and orientation for the markers and click OK.
  3. Select the insertion point on the screen for the marker.

    The Signal-Source Code dialog box displays.

  4. Enter a source code for the marker and optionally a description. Enter a unique number/word/phrase, 32-character maximum, for AutoCAD Electrical to use to link the source wire network internally to any/all destination wire networks.
  5. Select how you want to view the signal codes used so far:
    • Display drawing-wide or project-wide pick lists of all source/destination codes used so far
    • Follow the selected wire network looking for a destination arrow at the other end. If found, repeat its signal code for this new source arrow.
    • Pick on an existing wire network. AutoCAD Electrical searches it for an existing destination arrow and retrieves its signal code for use on this new source arrow.
  6. Specify the arrow style to use for the destination signal.
  7. Click OK.

    The Source/Destination Signal Markers (for Fan In/Out) dialog box displays. You have a few options for inserting the matching destination marker:

    • Do not insert the matching destination marker.
    • Do not insert the matching destination marker after each source.
    • Insert the matching destination marker.
    • Automatically insert the matching destination markers for each source.
NoteIf the destination wires are nearby it may be easiest to insert them right away. If they are on another drawing you can wait until later to insert them.


Add destination markers (Procedure)

Fan In/Out Source and Destination Markers
Up a level to ..
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add destination markers

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Fan Out Destination. Enter AEFANINDEST at the command prompt.
  2. Select the style and orientation for the markers and click OK.
  3. Select the wire for the destination marker.

    The Insert Destination Code dialog box displays.

  4. Enter the code or select Recent to see a list of the recent markers inserted.
  5. Specify the arrow style to use for the destination signal.
  6. Continue selecting wires until all destination markers were inserted.


Set marker styles and layers (Procedure)

Fan In/Out Source and Destination Markers
Up a level to ..
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set marker styles and layers

The AutoCAD Electrical Fan In/Out feature relies on layering to work. You can select the default Fan In/Out marker style here along with defining the layers for the wires.

  1. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
  2. In the Drawing Properties dialog box, click the Style tab.

    If you have an older drawing, you may be warned about an older version of the WD_M block. If that happens, go ahead and swap the WD_M block and try again.

  3. In the Fan-In/Out Marker Style section, set the default marker style.
  4. Define the layers for the wires. Click Add to define layer names as Fan In/Out layers.
  5. Click OK.


Define fan-in/out layers (Procedure)

Fan In/Out Source and Destination Markers
Up a level to ..
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Define fan-in/out layers

You can define a special layer or set of layers for the wires going out of a Fan In/Out Source marker and the wires coming into a Destination marker.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Fan In/Out - Single line Layer. Enter AEFANIN at the command prompt.

    The list displays only layers that are already assigned as Fan In/Out Layers as defined in the drawing properties setup.

  2. Use Pick if you are not sure of the layer you want, but you have a line on your drawing on that layer. You can also use it if the layer of the line is not defined as a Fan In/Out layer and you want to add it on the fly.
  3. Select whether to make the layer current.
  4. Check the box to change the existing fan in/out lines if you want to make sure that you only change the layers of wires that are already defined as Fan In/Out wires. Otherwise AutoCAD Electrical can convert any selected lines to the Fan In/Out layer.


Add custom fan-in/out marker styles (Procedure)

Fan In/Out Source and Destination Markers
Up a level to ..
Wire Sequencing
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add custom fan-in/out marker styles

The icon menu graphics that display for the various Fan In/Out marker styles are bitmap files saved to your C:\Program Files [(x86)]\Autodesk\Acade {version}\Acade\ folder where s Fan In/Out utilities and Drawing Properties tool can access them.

  1. Create the style in AutoCAD.
  2. Zoom in to the new Fan In/Out marker style.
  3. Save the file as a bitmap using the following name definition: StylexVI.bmp and StylexVO.bmp where "x" is the fan-in/out marker style 1-9.
    NoteIf the resulting bitmap is too small or off-center, open the source drawing in AutoCAD again. Resize your AutoCAD graphics window so that it is more square. Center the image and resave. Repeat until you are satisfied with the result.


Fan In/Out Source and Destination Markers (Quick Reference)

Fan In/Out Source and Destination Markers
Fan In/Out Source and Destination Markers
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fan-in/fan-out signal source

Uses set of in-line source/destination symbols that follow the naming format of ha#s?_inline.dwg and ha#d?_inline.dwg where # = style number and ? = 1,2,3,4 orientation number (just like with existing source/destination arrows). Running new commands inserts in-line source marker symbols and changes the connected wire on the fan-in side to be on a non-wire layer. Putting matching destination in-line markers at the fan-out end does the same. It changes the connected common wires on the fan-out side to a non-wire layer. It leaves the individual segments on the opposite side of marker on the original wire layer. The AutoCAD Electrical source/destination update or Auto Wire Number command then makes the match-up annotation, whether the fan-in/fan-out are on the same or different drawings.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Fan In Source. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] Fan In/Out SourceDoes not exist in the menus.
Command entry: AEFANINSRC
Source marker style | Specifies the style for the source marker. Some options are: Solid (wire num/desc), Break (wire num - small gap/desc), Break (medium gap/desc), and Break (wide gap/desc).
Wire connection orientation | Specifies the orientation for the markers. Options are: above, below, right, or left.


Fan In/Out Source and Destination Markers (Quick Reference)

Fan In/Out Source and Destination Markers
Fan In/Out Source and Destination Markers
Fan In/Out Source and Destination Markers
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fan-in/fan-out signal destination

Uses set of in-line source/destination symbols that follow the naming format of ha#s?_inline.dwg and ha#d?_inline.dwg where # = style number and ? = 1,2,3,4 orientation number (just like with existing source/destination arrows). Running new commands inserts in-line source marker symbols and changes connected wire on the fan-in side to be on a non-wire layer. Putting matching destination in-line markers at the fan-out end does the same. It changes the connected common wires on the fan-out side to non-wire layer. It leaves the individual segments on the opposite side of marker on the original wire layer. The AutoCAD Electrical source/destination update or Automatic Wire Number command then makes the match-up annotation, whether the fan-in/fan-out are on the same or different drawings.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Fan Out Destination. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] Fan In/Out DestinationDoes not exist in the menus.
Command entry: AEFANINDEST
Destination marker style | Specifies the style for the destination marker. Some options are: Solid (wire num/desc), Break (wire num - small gap/desc), Break (medium gap/desc), and Break (wide gap/desc).
Wire connection orientation | Specifies the orientation for the markers. Options are: above, below, right, or left.


Fan In/Out Source and Destination Markers (Quick Reference)

Fan In/Out Source and Destination Markers
Fan In/Out Source and Destination Markers
Control from/to report connection sequencing
Wire/Wire Number Tools > Signal Arrows > Fan In/Out Markers >
Fan In/Out Source and Destination Markers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fan-in/out - single line layer

You can define a special layer or set of layers for the wires going out of a Fan In/Out source marker and the wires coming into a destination marker.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Fan In/Out - Single line Layer. Does not exist on the ribbon.
Toolbar: Signals
Menu: Wires [image] Signal References [image] Fan In/Out - Single line LayerDoes not exist in the menus.
Command entry: AEFANIN
Fan-In/Out Line Layers | Displays only layers that are already assigned as Fan In/Out Layers as defined in the drawing properties setup.
Pick | Picks similar fan-in/out lines from the drawing. You can use it if the layer of the line is not defined as a Fan In/Out layer and you want to add it on the fly.
Change existing wires only (no convert) | Changes only the layers of wires that are already defined as Fan In/Out wires. Otherwise AutoCAD Electrical can convert any selected lines to the Fan In/Out layer.
One pick gets all connected wires | Changes all the wires to the selected layer that is associated with the selected wire network. If this option is not selected, only the selected wire changes.
Make selected layer current | Makes the selected layer the current layer.


Wire Sequencing

Fan In/Out Source and Destination Markers
Wire/Wire Number Tools
Control from/to report connection sequencing
Wire/Wire Number Tools >
Wire Sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Control from/to report connection sequencing

    Edit wire connection sequence


Wire Sequencing (Procedure)

Fan In/Out Source and Destination Markers
Wire Sequencing
Control from/to report connection sequencing
Wire/Wire Number Tools >
Wire Sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Edit the connection sequence of a wire network

Show a defined wire sequence

Insert wire tee markers

Toggle angled tee markers


Control from/to report connection sequencing (Concept)

Wire Sequencing
Wire Sequencing
Terminal Tools
Wire/Wire Number Tools > Wire Sequencing >
Control from/to report connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A wire network consisting of three or more interconnected components introduces potential unknowns into a from/to connection report. Does A connect to B and then jumper to C or does C connect to A and jumper to B? By default, AutoCAD Electrical reports from/to connections on a single network by first grouping devices by common Location codes and sequentially reports the inter-wiring of each group. It then ties each common Location group with a single from/to wire connection. For wire connections with the same Location group (or if all devices have the same Location value or no Location value), AutoCAD Electrical attempts to sort the wire connections by physical location on the drawing and report the from/to connections in that order.

NoteYou can keep jumpers from displaying in Wire From/To reports by placing the jumpers on a layer that contains the substring "JUMPER."

AutoCAD Electrical provides several methods to more specifically define wire connection sequencing.

NoteYou can run one or more sequencing methods simultaneously, even in the same wire network, since there is a hierarchy of which methods take precedence over others.

Angled Tee Wire Connection Method

The use of angled tee wire connections can influence the wire connection sequence reporting. The orientation of the tee symbol defines the sequencing. It a three-digit attribute value named WDWSEQ carried on the symbol. The 90-degree turn or the straight-through section (depending on the style of the angled tee symbol) indicates the beginning of the sequence. The 45-degree turn is the secondary connection. AutoCAD Electrical reports each wire connection as it is shown.

This method of influencing from/to reporting can fail to give expected results.It occurs if the orientation and arrangement of multiple angled tee connection symbols in a given network is ambiguous or if it defines more than two connected wires to a given wire connection point of a device.

Set the automatic angled wire tee insert mode (instead of tee intersection dots) in the Project Properties [image] Styles dialog box.

NoteSchematic wire sequencing and Direct-to-Terminal wire sequencing, if present, overrides the Angled Tee connection sequencing.

Schematic Wire Connection Sequence Method

This method involves touching the connection sequence for each wire network containing three or more interconnected components. AutoCAD Electrical places an incrementing connection sequence value on each wire connection point. It is saved as a three-digit Xdata value, starting with “001” on the wire connection attribute. When any of the AutoCAD Electrical From/To reports processes wire networks containing this incrementing sequencing data, the from/to wire connections order accordingly.

NoteSchematic wire connection and Direct-to-Terminal sequencing methods on a given wire network take precedence over all other sequencing methods. For example, if a wire network is sequenced with the Edit Wire Sequence tool, the sequencing influence normally provided by angled tee marker symbols used in the wire network is overridden.

Direct-to-Terminal Wire Connection Sequence Method

This method defines additional Direct-to-Terminal wire connection sequences. For example, one side of a schematic terminal might be connected to three devices. A specific wire connection sequence (using the Schematic Wire Connection sequence method previously described) can be defined to force the connection reporting. It is limited to reporting the terminal as a common connection point between only two of the three devices. The third device would default to being reported as jumpered to one of the other two devices. Additional secondary Direct-to-Terminal sequences can be defined so that the third device can be sequenced directly to the terminal. You can also directly sequence two terminals together. The result is that the From/To connection reporting shows all three devices tied directly to the terminal.

NoteThe limit of Direct-to-Terminal sequences that you can define in a single wire network is 50.

Level/Routing Method

This method brings the panel layout into play to affect the reporting sequence in the various From/To reports. The panel layout or panel wiring diagram layout representations are assigned level/routing codes consisting of a four-level hierarchy plus a sequence number. As schematic wire networks are processed for the From/To reports, the existence of panel layout representations that are marked with level/routing values is checked. If this information is found for all the devices of the network being processed, the connections of the network are sorted by this hierarchy and sequence information. The result is a set of From/To reported connections that follow the level/routing data carried by the layout.

NoteSchematic wire sequencing and Direct-to-Terminal wire sequencing, if present, override the influence of Level/Routing sequencing.


Control from/to report connection sequencing (Procedure)

Wire Sequencing
Up a level to ..
Control from/to report connection sequencing
Wire/Wire Number Tools > Wire Sequencing >
Control from/to report connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit the connection sequence of a wire network

Show a defined wire sequence

Insert wire tee markers

Toggle angled tee markers


Edit the connection sequence of a wire network (Procedure)

Control from/to report connection sequencing
Up a level to ..
Control from/to report connection sequencing
Wire/Wire Number Tools > Wire Sequencing >
Control from/to report connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit the connection sequence of a wire network

You can explicitly define the wire connection sequence of any wire networks consisting of three or more interconnected devices.You control over how AutoCAD Electrical analyzes the circuits (such as the order of the contents in the WFRM2ALL table in the project’s scratch database file) and how from/to connection information is output to various reports or annotated on to physical footprint representations (using the Wire Annotation of Panel Footprint tool).

NoteThe asterisk (*) next to a wire in the Wire Connection Sequence portion of the Edit Wire Connection Sequence dialog box indicates that the device wire connection is on another drawing. A “t” indicates that the device is a schematic terminal and is a candidate for Direct-to-Terminal sequencing.

This tool predefines the connection sequence of a wire network. The network can be either fully contained on the active drawing or pass across multiple drawings using signal source/destination symbols.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Wire Sequence drop-down [image] Edit Wire Sequence. Enter AEEDITWIRESEQUENCE at the command prompt.
    NoteYou can also access this tool by right-clicking on any wire segment in the wire network.
  2. Select any wire segment on the wire network you want to process.
  3. On the Edit Wire Connection Sequence dialog box, adjust the connection to connection sequencing in the list by clicking Move Up or Move Down or click Pick Mode to define the sequencing by actual picks at each wire connection point.
    NotePick Mode is unavailable when you are working with a wire network that crosses multiple drawing files. If you are working with wire networks that jump to one or more additional drawings, click Freshen to update the wire connectivity database with any out-of-date files.
  4. (Optional) To connect additional components directly to a given terminal, select the components and the terminal (marked with a “t” in the left-hand column) in the Wire Connection Sequence list and click Add.

    A copy of the terminal and the actual component move to the Direct-to-Terminal Secondary Sequences list at the bottom of the dialog box. You can then click Move Up or Move Down to change the order of the sequence (if you selected two or more devices plus a terminal) or remove a sequence by selecting the sequence and clicking Reset.

  5. Click OK-new.

    Writes the sequence information back to the component wire connections (as Xdata on the wire connection attributes and optionally to terminal symbols in the case of Direct-to-Terminal Secondary sequencing).

  6. (Optional) Right-click a wire on the wire network and select Wire Sequence [image] Show Wire Sequence. Press the spacebar to advance through the sequence.

    You can also view the results of your sequencing by running the Wire From/To report.


Show a defined wire sequence (Procedure)

Control from/to report connection sequencing
Up a level to ..
Control from/to report connection sequencing
Wire/Wire Number Tools > Wire Sequencing >
Control from/to report connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Show a defined wire sequence

This tool shows the wire sequence defined using the Edit Wire Sequence tool.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Wire Sequence drop-down [image] Show Wire Sequence. Enter AESHOWWIRESEQ at the command prompt.
    NoteYou can also access this tool by right-clicking on any wire segment in the wire network.
  2. Press the Space bar to step through the defined wire sequence.
NoteIf the wire sequence crosses multiple drawings and you try to view the sequence as an animation, a dialog box listing the off-drawing wire connection information displays so that you can indicate to go to the other drawings to continue viewing the sequence.


Insert wire tee markers (Procedure)

Control from/to report connection sequencing
Up a level to ..
Control from/to report connection sequencing
Wire/Wire Number Tools > Wire Sequencing >
Control from/to report connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert wire tee markers

Use the tee marker tools to insert dot tee markers or angled tee markers at existing wire tee intersections. If a tee marker is present, the tools change existing markers from dot to angled or from angled to dot. This dot and angled tee insertion happens automatically when you use the Insert Wire tool and the drawing is set up (in the Drawing Properties [image] Styles dialog box) for dots or angled tee symbols at intersections.

You cannot insert a tee connection symbol into empty space. A valid line wire ending (not crossing) at a tee intersection somewhere along the length of another line wire is needed. It does not insert a tee connection symbol at a simple 90-degree wire turn. You can right-click on any inserted tee markers for access to editing tools such as Toggle Angled Tee Markers, Delete Component, Scoot, or Insert Wire.

Insert dot tee markers

Use this tool to insert a dot tee connection symbol at a manually drawn wire intersection. If present, it replaces an existing angled wire connection symbol with a dot connection symbol.

NoteFor these dot or angled tee markers to insert automatically as each wire tee intersection is created, set the default Wire Tee connection in the Wiring Style section of the Drawing Properties [image] Styles dialog box.
  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Dot, Tee Markers drop-down [image] Insert Dot Tee Markers. Enter AEDOTTEE at the command prompt.
  2. Select at or near the intersection point.
    NoteTo change the orientation of the tee symbol after insertion, right-click the marker and select Insert Angled Tee Marker or Toggle Angled Tee Markers (or select the tool from the ribbon or toolbar). To customize the appearance of this symbol, edit the symbol stored in the selected schematic symbol library. Note that angled tee symbols carry attribute WDWSEQ with a three-digit value that defines preferred wire sequence order. The dot symbol name is WDDOT.dwg.

    Right-click on the marker and select Delete Component to remove an inserted tee connection symbol and heal the wires.

Insert angled tee markers

Inserts an angled tee connection symbol at an existing wire intersection.

NoteFor these dot and angled tee markers to insert automatically as each wire tee intersection is created, set the default Wire Tee connection in the Wiring Style section of the Drawing Properties [image] Styles dialog box.
  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Dot, Tee Markers drop-down [image] Insert Angled Tee Markers. Enter AEANGLETEE at the command prompt.
  2. Select at or near the intersection point.

    If a dot marker is present, it is deleted and replaced by the angled tee symbol.

  3. After the symbol inserts and reconnects to the wiring, press the spacebar or Enter to switch the inserted tee through four different orientations. Press Esc when the appropriate orientation displays.
    NoteTo change the orientation of the tee symbol after insertion, right-click on the marker and select Toggle Angled Tee Markers (or select the tool from the ribbon or toolbar). To customize the appearance of these symbols, edit the tee symbols stored in the selected schematic symbol library. These tee symbol names are HT0_###.dwg and VT0_###.dwg where # = combinations of 1,2,4, and 8. Each symbol carries attribute WDWSEQ with a three-digit value indicating wire connection sequence priority for the three wire connection points of the symbol.

    Right-click the marker and select Delete Component to remove an inserted tee connection symbol and heal the wires.


Toggle angled tee markers (Procedure)

Control from/to report connection sequencing
Up a level to ..
Insert terminals and connectors
Wire/Wire Number Tools > Wire Sequencing >
Control from/to report connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Toggle angled tee markers

Toggles an existing angled tee connection symbol (or windowed symbols) through a total of four possible orientations.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Toggle Angled Tee Markers. Enter AETOGGLETEE at the command prompt.
  2. Select or window the tee connections to change.
  3. Right-click or press the spacebar to toggle through the various tee connection orientations, and press Esc when the appropriate one displays. Replaces any dot tee symbols with angled tee symbols and then cycles through the four possible orientations for each.


Control from/to report connection sequencing (Quick Reference)

Fan In/Out Source and Destination Markers
Control from/to report connection sequencing
Overview of connection sequencing
Wire/Wire Number Tools > Wire Sequencing >
Control from/to report connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit wire connection sequence

This tool defines the wire connection sequence of any wire networks containing three or more interconnected devices. Doing this gives you control over how AutoCAD Electrical analyzes the circuits (such as the order of the contents in the WFRM2ALL table in the project’s scratch database file) and how from/to connection information is output to various reports or annotated on physical footprint representations (using the Wire Annotation of Panel Footprint tool).

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Wire Sequence drop-down [image] Edit Wire Sequence. Does not exist on the ribbon.
Toolbar: Wires
Menu: Wires [image] Wire Miscellaneous [image] Edit Wire SequenceDoes not exist in the menus.
Command entry: AEEDITWIRESEQUENCE
NoteYou can also access it by right-clicking on any segment of a wire network and selecting Wire Sequence [image] Edit Wire Sequence.

Provides these features to define the sequence order:

  • Sort the components by physical location.
  • Move the components up or down in the listing.
  • Pick mode, in the active drawing only, where you pick the wire connection points to define the connection sequence.

Once you specify the sequencing, you can use the Show Wire Sequences tool to view the sequence or use the Wire From/To reporting tool to see how the sequencing is reported.

NoteYour dialog box differs depending on whether you selected to modify the sequence of a wire network that is connected to a terminal. When a terminal is part of the selected wire network, you have an option to define secondary Direct-to-Terminal wire connection sequences.

Wire Connection Sequence

Lists the wires and terminals found in the circuit. The * indicates that the wire is on another drawing and the “t” indicates that the entry is a terminal and a candidate for a direct-to-terminal secondary sequence definition.

NoteComponents connected on the far side of a terminal (on a side opposite of the picked wire network) are not displayed in the list, even if the terminal is one that does not change the wire number through it.

Pick Mode

Defines the sequence by actual picks at or very near each wire connection point. Pick near each wire connection in the order of how you want the wiring sequence to proceed from component to component.

NotePick Mode is unavailable when you are working with a wire network that crosses multiple drawing files.

Sort Location

Automatically sorts the wire connection display by the installation and location values. If previously sorted, the sort is reversed.

Move Up

Moves the selected wire connection up one space in the wire order list.

Move Down

Moves the selected wire connection down one space in the wire order list.

Direct-to-Terminal Secondary Sequences

Lists additional sequences where a component connection (or terminal connection) is to be reported as being directly wired to a selected terminal.

Add

Moves the selected components to the Direct-to-Terminal Secondary Sequences list along with a copy of the selected terminal. Select the components and terminal to sequence together for this button to be available.

If you select multiple components to daisy-chain to the terminal (by holding CTRL key down), the first selected component displays ties directly to the terminal.

Reset

(available only when an entry in the sequence is highlighted) Removes the selected sequencing from the Direct-to-Terminal Secondary Sequences list. The component is moved back to the Wire Connection Sequence list.

Connection

Indicates whether the component is undefined (-), reported on the internal side of the terminal (I) or reported on the external side of the terminal (E). If selected, an I or E displays in the PD1 or PD2 column (Point Description) of the Wire From/To report.

Freshen

Updates the wire connectivity database (the WFRM2ALL table) with wire connection information from any out-of-date files.

NoteIf all drawings are up-to-date, this button is disabled. If not, the button is enabled and the count of out-of-date drawings displays next to the button.

Remove All

Removes the wire connection sequence override information from a wire network. It consists of Xdata assignments on component wire connection attributes and optional Xdata assignments on terminal symbols if any Direct-to-Terminal sequences are defined.

NoteIf the network includes one or more IEC-style wire “Tee” connection symbols, the sequencing defined by their placement and orientation is not affected. The result is that values may remain in the Current column.

OK-new

Applies the wire connection sequence information in the form of Xdata to the wire connection points and terminals of the selected wire network. This sequence data is then maintained inside the drawing file. It is later extracted into the project scratch database file to control the format of wire connections listed in the WFRM2ALL table.


Terminal Tools

Control from/to report connection sequencing
Overview of connection sequencing
Terminal Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of connection sequencing

    Edit multi-connection sequence terminal symbol

  • Insert terminals and connectors

    Insert/edit terminal symbol

  • Multi-Level Terminals
  • Terminal jumpers

    Select terminals to jumper

  • Resequence terminal numbers

    Project-wide schematic terminal renumber

  • View terminal wire connections
  • Terminal Strips
  • Terminal Properties Lookup


Overview of connection sequencing (Concept)

Terminal Tools
Terminal Tools
Insert terminals and connectors
Terminal Tools >
Overview of connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The Multi-Connection Sequence Terminal symbol allows a single in-line schematic symbol to represent a sequence of wire connections passing through two or more (up to six) terminal strips. For example, a wire connection that must pass through a series of shipping split terminal strips can be represented by a single in-line wire schematic symbol (instead of having to show each individual terminal in the sequence).

Two sample symbols are provided. Their appearance may be edited or new ones created as required. They are inserted using the AutoCAD Electrical Insert Component tool. Browse to insert. The symbol names are

H - - 1_MULTI_CONN.dwgwire number changes through the symbol

H - - 1_MULTI_CONN_NOCHG.dwg wire number does not change through it

A dialog box interface lets you encode multiple connection sequence information on to six sets of attribute groups carried on the symbol:

WD_1_TAGSTRIP Attribute to carry first terminal strip number (16 character maximum)

WD_1_TERMNO Attribute to carry optional terminal number

WD_1_INFO Attribute to carry additional information such as installation, location, catalog and item number assignments, and any connected cable information

WD_2_TAGSTRIP Same as previous but for second terminal in the sequence

WD_2_TERMNO Same as previous but for second terminal in the sequence

WD_2_INFO Same as previous but for second terminal in the sequence

through maximum of

WD_6_TAGSTRIPSame as previous but for sixth terminal in the sequence

WD_6_TERMNO Same as previous but for sixth terminal in the sequence

WD_6_INFO Same as previous but for sixth terminal in the sequence

Click the entry to edit and select the Edit button.

NoteFor AutoCAD Electrical to recognize this symbol as a multi-connection sequence terminal symbol, at a minimum it must carry attribute named WD_1_TAGSTRIP. Multi-connection sequence terminal symbols do not support some AutoCAD Electrical auto-update and surfing features.


Overview of connection sequencing (Quick Reference)

Control from/to report connection sequencing
Overview of connection sequencing
Overview of connection sequencing
Terminal Tools >
Overview of connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Edit multi-connection sequence terminal symbol

Edit entry


Overview of connection sequencing (Quick Reference)

Overview of connection sequencing
Overview of connection sequencing
Overview of connection sequencing
Terminal Tools >
Overview of connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Edit multi-connection sequence terminal symbol

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Enter "H--1_MULTI_CONN_NOCHG" in the Type It box and click OK. Specify the insertion point on the drawing.

Select any entry within a group to view/edit that group.

Edit | Opens the Edit entry dialog box so you can change values such as the tag-ID, terminal number, or Installation code.
Save Changes | Saves your changes by writing the data to attributes on the symbol (most of these attributes are set as invisible).


Overview of connection sequencing (Quick Reference)

Overview of connection sequencing
Overview of connection sequencing
Insert terminals and connectors
Terminal Tools >
Overview of connection sequencing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Edit entry

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Enter "H--1_MULTI_CONN_NOCHG" in the Type It box and click OK. Specify the insertion point on the drawing. In the Edit Multi-Connection Sequence Terminal Symbol dialog box, select one of the six series-connected entries and click Edit.

This in-line component lets you manually define a connection sequence of up to six series-connected terminal strip points. All are embedded in this single graphical component but are fully reported in the various wire connection reports.

For example, you might have a wire that connects from a push button and goes out to a field device. But to get to the field device, the wire connection must pass through a local terminal strip, then a shipping split terminal strip, on to a field connection terminal strip, and finally a terminal strip near the field device. Instead of showing all four series-connected terminals in the wire, you can substitute this single "multi-connection sequence" terminal representation and manually define the connection sequence.

Tag - ID

Terminal strip tag-ID

Terminal Number

Terminal strip terminal number

Miscellaneous

Edit box shows saved data values defined by the following selections.

Installation Code

Changes the installation code assignment. You can search the current drawing or entire project for installation codes. A quick read of all the current or selected drawing file is done and a list of installation codes used so far is returned. Select from the list to update the component automatically with the installation code.

Assign short installation codes to components like "PNL" and "FIELD" so you can create location-specific BOM and component lists later.

Location Code

Changes the location codes. You can search the current drawing or entire project for location codes. A quick read of all the current or selected drawing file is done and a list of location codes used so far is returned. Select from the list to update the component automatically with the location code.

Assign short location codes to components like "PNL" and "FIELD" so you can extract cable from/to reports and location-specific BOM reports later. (For example, BOM for all field cables, BOM for all PNL cables.)

Catalog Data

You can do a drawing-wide or project-wide listing of similar components with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each component type you insert into your wiring diagram is remembered. When you insert another component of that type, the previous catalog assignment of the component is set as the default (assuming a previous one was made during the current editing session).

Find

Scans each drawing for the target component type and returns a list of what was found. You can make your catalog assignment by selecting from the list.

Catalog Lookup

Opens the catalog database of the catalog from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected component. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Drawing

Lists the part numbers used for similar components in the current drawing.

Project

Lists the part numbers used for similar components in the project. You can search in the active project, another project, or in an external file.

  • Active project: All the drawings in the current project are scanned and the results are listed in a dialog box. Select from the list to assign your new component with a catalog number that is consistent with other similar components in the project.
  • Other project: Scans each listed drawing in a previous project for the target component type and returns the catalog information in a sub-dialog box. Make your catalog assignment by picking from the list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the desired entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. These are displayed in the left-hand list. For each relevant item, highlight it and then pick the appropriate category button in the center column. The highlighted item is transferred to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Catalog Check

Displays what the selected item looks like in a Bill of Material template.

Wire entering this connection

Click Internal, External, or Both to change the Connection Code (I=Internal, E=External). The code changes the Miscellaneous value as follows: LEFT_TERMDESC=I (for Internal), LEFT_TERMDESC=E (for External).

Wire leaving this connection

Click Internal, External, or Both to change the Connection Code (I=Internal, E=External). The code changes the Miscellaneous value as follows: RIGHT_TERMDESC=I (for Internal), RIGHT_TERMDESC=E (for External).

Wire number | Manually define the wire number that leaves this terminal connection and goes to the next. If it is the last terminal in the sequence, this wire number assignment is ignored and the actual wire number connecting the right-hand side of the symbol is used.
Wire layer | Manually define the wire layer assignment. If it is the last terminal in the sequence, this value is ignored.
Cable | Manually define the cable marker tag-ID. If it is the last terminal in the sequence, this value is ignored.
Conductor | Manually define a cable marker conductor color value. If it is the last terminal in the sequence, this value is ignored.
Delete this entry

Removes the displayed terminal sequence from the overall list and moves any following entry positions up to fill in the gap.

Insert new before this one

Moves the current display terminal sequence down one position and creates a new, empty entry ahead of it. There is a maximum of six total positions.

Insert new after this one

Pushes all of the following sequences down one position and creates a new, empty entry just after the displayed entry. There is a maximum of six total positions.


Insert terminals and connectors (Concept)

Overview of connection sequencing
Terminal Tools
Multi-Level Terminals
Terminal Tools >
Insert terminals and connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal symbols on the schematic are a representation of wire connection points. The terminal symbol representation on the schematic can have associations with the physical terminal block on the panel drawing. To insert a terminal, select the Insert Component command to display the icon menu, and then select Terminals/Connectors.

There are four types of terminal behavior that you can select from and five main terminal styles (square, round, hexagon, diamond, and triangle). Each type of terminal behavior is controlled by the terminal block name.

Non-intelligent terminals. They do not show up in reports.

*//

Terminals that take on a terminal number that matches the wire number passing through or connected to the terminal.

Terminals that carry a user-defined terminal number.

Terminals that force a new wire number to generate as a wire passes through the terminal.


Insert terminals and connectors (Quick Reference)

Overview of connection sequencing
Insert terminals and connectors
Insert terminals and connectors
Terminal Tools >
Insert terminals and connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert/edit terminal symbol

Add/modify associations

Terminal block properties


Insert terminals (Procedure)

Control from/to report connection sequencing
Insert terminals and connectors
Multi-Level Terminals
Terminal Tools >
Insert terminals and connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert terminals

You can select from five main terminal styles (square, round, hexagon, diamond, and triangle). Each type of terminal behavior is controlled by the terminal block name.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. Click the Terminals/Connectors button.
  3. Select a terminal symbol to insert.
  4. Specify the insertion point.
  5. On the Insert/Edit Terminal Symbol dialog box, annotate the terminal symbol including (but not limited to) the terminal number, tag strip value, and catalog information.


Insert terminals and connectors (Quick Reference)

Insert terminals and connectors
Insert terminals and connectors
Insert terminals and connectors
Terminal Tools >
Insert terminals and connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert/edit terminal symbol

Annotates the terminal by tracking which terminal numbers and terminal strip ID names were used so far.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select Terminals and Connectors, select the terminal to insert, and specify the insertion point on the drawing.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the terminal to edit.

Terminal

These controls determine the overall tagging of the terminal block in the project. The Installation, Location, and Tag Strip values define which strip the terminal belongs to. The symbol block file name displays at the top of the Terminal group.

NoteAssign short installation or location codes to components like "PNL" and "FIELD" to take full advantage later of the AutoCAD Electrical ability to create installation or location-specific Bill of Materials and component lists.

Installation

Changes the installation codes. Click Browse to search the active drawing, entire project, and an external list (default.inst) for installation codes. Pick from the list to update the component automatically with the installation code.

Location

Changes the location codes. Click Browse to search the active drawing, entire project, and an external list (default.loc) for location codes. Pick from the list to update the component automatically with the location code.

Tag Strip

Specifies the Tag ID given to the terminal strip. If there is an existing name, it appears in the edit box; if not, you can enter a specific ID name.

Click the < and > buttons to increment or decrement the last digit/character in the Tag Strip value.

Number

Specifies the terminal number. If there is not PINLIST information, the < and > buttons increment or decrement the terminal number. You can also click Pick to select a text object or an attribute on the active drawing to use for the terminal number.

When inserting a new terminal, the highest terminal number in the strip is identified and the default terminal number for the new terminal increments by 1.

NoteThis is unavailable when the terminal symbol does not have a TERM01 attribute or when the terminal number is the same as the wire number.
Modify Properties/Associations

These controls support associations between schematic terminal symbols and their panel terminal footprint or between multiple schematic terminal symbols.

There are certain conditions that you cannot associate terminals using the Modify Properties/Associations options:

  • The drawing is not part of the active project.
  • You are using the Insert Terminal (Panel List) tool. However, once you exit the Insert Terminal (Panel List) tool and the terminal is inserted onto the drawing, you can modify the associations using these tools.
  • The terminals were inserted by the Terminal Strip Editor tool.
  • The terminals are one-line terminal symbols.
Add/Modify | Displays the Add/Modify Associations dialog box where you can select terminal strips and their respective blocks to make an association to the terminal symbol being inserted or edited. NoteIt is disabled if the active drawing is not part of the active project.
Pick | Selects another terminal symbol on the active drawing to associate to. You can select only one terminal symbol to make the association. NoteWhile in selection mode, you can use Pan or Zoom to find the terminal symbol to select.
Break Out | Removes the terminal being edited out of the defined association. The properties from the original association and the levels of the terminal are maintained.
Block Properties | Displays the Block Properties dialog box where you can define and maintain terminal block properties. NoteIt is disabled if the active drawing is not part of the active project.
Properties/Associations

The list box displays the current status of the association of the edited terminal. It lists all associated terminal symbols from the schematic and terminal panel footprints. If the terminal symbol is being inserted for the first time, the list box only displays the reference for itself. The number of levels defined in the block properties displays at the top of the Properties/Associations group. The terminal being edited is highlighted in the list box.

You can double-click in the list to modify the terminal association in the Add/Modify Associations dialog box.

Label | Lists the level description defined in the terminal block properties. This data is entered into the LnnLABEL attribute if present; otherwise, it is placed into xdata.
Number | Lists the terminal numbers defined in the association. Only one terminal number is allowed per level and each level displays its respective terminal number or text. Panel terminal symbols do not display terminal numbers.
PinL | Lists the pin numbers defined on the left side of the terminal block. This data is entered into the LnnPINL attribute if present; otherwise, it is placed into xdata.
PinR | Lists the pin numbers defined on the right side of the terminal block. This data is entered into the LnnPINR attribute if present; otherwise, it is placed into xdata.
Reference | Lists the reference location of the terminal symbol in the project. The syntax is ‘Sheet,Reference’ based on the drawing configuration.
NoteThis area is disabled if the terminal is a one-line symbol. Multi-level or panel relationships are not supported for one-line terminals.
Project List

These controls allow for quick selection of terminal strips and terminal numbers used throughout the active project.

Project List | Shows all the previously defined terminal strips in the active project. When inserting a new terminal, this list is populated with the Installation, Location and TAGSTRIP values of the previously inserted terminal.
Numbers Used | Lists all terminal numbers found, either drawing-wide or project-wide, whose Tag Strip value matches the highlighted Tag Strip value.
Catalog Data

You can do a drawing-wide or project-wide listing of similar terminals with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each terminal type you insert into your wiring diagram is remembered. When you insert another terminal of that type, the catalog assignment of the previous terminal is set as the default (assuming a previous one was made during the current editing session).

Manufacturer

Lists the manufacturer name for the terminal. Enter a value or select one from the Catalog lookup.

Catalog

Lists the catalog number for the terminal. Enter a value or select one from the Catalog lookup.

Assembly

Lists the assembly code for the terminal. The Assembly code is used to link multiple part numbers together.

Item

Specifies a unique identifier assigned to each terminal. The value can be manually typed in the edit box.

Catalog Lookup

Opens the catalog database of the terminal from which you can select the Manufacturer and Catalog values. Search the database for a specific catalog item to assign to the selected terminal. Database queries are set up in the 3 lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Drawing

Lists the part numbers used for similar terminals in the active drawing.

Project

Lists the part numbers used for similar terminals in the project. You can search in the active project, another project, or in an external file.

  • Active project: All the drawings in the active project are scanned and the results are listed in a dialog box. Select from the list to assign your new terminal with a catalog number that is consistent with other similar terminals in the project.
  • Other project: Scans each listed drawing in a previous project for the target terminal type and returns the catalog information in a sub-dialog box. Make your catalog assignment by picking from the list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the desired entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. These are displayed in the left-hand list. For each relevant item, highlight it and then pick the appropriate category button in the center column. The highlighted item is transferred to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Multiple Catalog

Inserts or edits extra catalog part numbers on to the selected terminal. You can add up to ten part numbers to any terminal. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and terminal reports.

Catalog Check

Extracts the details from the catalog database to display what the selected item looks like in a Bill of Material template.

Descriptions

Specifies the optional description attribute text to assign to the terminal block (up to three lines of text can be specified). Click Browse to search for all terminal descriptions in the project or active drawing. Select the description you want to copy to the edited terminal block by selecting it in the list and clicking OK.

NoteThese edit boxes are disabled if the terminal does not carry the attributes (such as ratings).
Defaults | Opens an ASCII text file (wd_desc.wdd or <project>.wdd) from which you can select standard descriptions.
Pick | Picks a description from a component on the current drawing.
Ratings

You can enter up to 12 ratings attributes on a component. The View/Edit Rating Values dialog box lets you enter values for each ratings attribute. Select the Defaults button next to the edit box to display a list of default values.

NoteIf this button is unavailable, the component you are editing does not carry any rating attributes.
Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.


Insert terminals and connectors (Quick Reference)

Insert terminals and connectors
Insert terminals and connectors
Insert terminals and connectors
Terminal Tools >
Insert terminals and connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add/modify associations

This tool searches project terminal strips for existing terminal blocks, allowing you to associate a terminal symbol to an existing association or terminal.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select Terminals and Connectors from the dialog box and specify the insertion point on the drawing. In the Insert/Edit Terminal Symbol dialog box, Modify Properties/Associations section, click Add/Modify.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the terminal to edit. In the Insert/Edit Terminal Symbol dialog box, Modify Properties/Associations section, click Add/Modify.

NoteThis is also available from the Panel Layout - Insert/Edit Terminal Footprint dialog box.

Modifications to the terminal symbol associations affect every terminal symbol in the association so all drawings must be available for editing. You cannot edit other terminal associations from this dialog box; only the associations of the selected terminal symbol can be edited.

Active Association

Use this section to modify the terminal number. The Installation, Location, and Tag Strip values are not editable.

Installation

Displays the Installation value defined for the edited terminal symbol.

Location

Displays the Location value defined for the edited terminal symbol.

Tag Strip

Displays the tag strip value defined for the edited terminal symbol.

Number

(Unavailable for panel terminals) Specifies the terminal number. The displayed value is defined in the TERM01 attribute on the terminal symbol.

NoteIf this value is the wire number defined in the WIRENO attribute on the terminal symbol, you cannot change the value.

Active Associations grid

Displays all terminal symbols that are currently associated to the terminal being edited. The terminal symbol that is being edited is highlighted in light blue. Right-click on a terminal symbol to move it up or down one level or select a terminal symbol and drag it to a new level location. Label and Pin information do not move with the terminal symbol number and reference since it is part of the terminal block property definition.

NoteThe panel symbol association will always be at the bottom and cannot be selected for movement.
  • Level numbering: Displays a level number for each level that is defined in the terminal properties. The panel symbol’s level numbering is “#.”
  • Label: Lists the level description defined in the terminal block properties.
  • Number: Lists the terminal numbers defined in the association. Only one terminal number is allowed per level and each level displays its respective terminal number or text. Panel terminal symbols do not display terminal numbers. Terminal levels with an assignment and a terminal that has not been assigned a terminal number display a “???” in this column.
  • PinL: Lists the pin numbers defined on the left side of the terminal block. This data is entered into the LnnPINL attribute if present; otherwise, it is placed into xdata.
  • PinR: Lists the pin numbers defined on the right side of the terminal block. This data is entered into the LnnPINR attribute if present; otherwise, it is placed into xdata

    Pin numbering is related to the terminal level and not the terminal tag number instance.

  • Reference: Lists the terminal symbol’s reference location in the project. The syntax is “Sheet,Reference” based on the drawing configuration.
Select Association

Terminal Strips

Displays all terminal strips inside of the active project. The tree contains three nodes to aid in finding a specific terminal block in the project. These are: active project name, Tag Strip value (Installation and Location included) and terminal blocks.

  • Active Project node: Displays the name of the active project.
  • Tag Strip Value node: Displays the entire Installation, Location, and Tag Strip values for all terminal strips in the active project. The terminal block quantity displays at the end of the node string in parenthesis.
  • or [image] Terminal Block node: Displays the terminal numbers defined on the block (separated by commas). The number of levels defined in the block properties displays at the end of the node string in parenthesis. For example, 1,21,GND (3).

    If a level is not represented on the schematic, it is represented by empty space: 1, , GND (3). If a terminal has been assigned to the level, but the terminal does not have a number assignment, they are represented by ‘???’: 1,???,GND (3).

Select Association grid

Displays all levels of the terminal selected in the tree. Select the level to place the edited terminal in and right-click to run the associate command (or click Associate).

Associate

Adds the edited terminal symbol to the terminal association. A terminal number is then inserted into the Number column and the Reference column is updated with the terminal reference defined in the drawing properties.

NoteThe grid row must be selected before you can perform the association.

This is unavailable until you select a level in the grid control when editing a schematic terminal or until you select a terminal from the tree control when editing a panel footprint. A grid selection is not required for panel footprints since the footprint is associated to the entire terminal, not an individual level.


Insert terminals and connectors (Quick Reference)

Insert terminals and connectors
Insert terminals and connectors
Terminal jumpers
Terminal Tools >
Insert terminals and connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal block properties

Use this dialog box to control the number of levels assigned to a multiple level terminal block. You can control the level description, number of wires per connection, pins right, pins left and internal jumpers. The terminal block properties are maintained on every terminal symbol in its association.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select Terminals and Connectors from the dialog box and specify the insertion point on the drawing. In the Insert/Edit Terminal Symbol dialog box, click Block Properties.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the terminal to edit. In the Insert/Edit Terminal Symbol dialog box, click Block Properties.

NoteYou can also access this dialog box by clicking Edit Terminal Block Properties on the Terminal Strip Editor dialog box.

The default level for any terminal symbol that is placed into the project that is not associated to another is 0.

Manufacturer

Displays the Manufacturer value that is currently assigned to the terminal being edited.

Catalog Number

Displays the Catalog Number value that is currently assigned to the terminal being edited.

Assembly Code

Displays the Assembly Code value that is currently assigned to the terminal being edited.

Levels

Specifies the number of levels for the terminal. The grid expands for editing based on the number of levels specified. You can then define the level description, wires per connection and pins.

Terminal Block Property Definition grid

Displays the terminal levels. You can edit and maintain properties of the terminal block here.

  • Level Description: Specifies the description for the levels of the terminal block. Text you enter here displays in the Insert/Edit Terminal Symbol and Terminal Block Properties dialog boxes. This is a terminal property that is maintained on every symbol in its association.
  • Wires per Connection: Specifies the number of wires allowed per connection for the terminal connection point.
    NoteThese properties do not limit the number of connections allowed on the schematic.
  • Pin Left/Pin Right: Specifies labels for pin numbers associated to the terminal destinations. These fill in the LnnPINL and LnnPINR attributes on the terminal block when its level is selected. This is a terminal property that is maintained on every symbol in its association.
  • Internal Jumper: Graphically indicates internal jumpers assigned between levels.

Internally jumper the levels currently selected in the grid.

Delete the internal jumper currently assigned to the levels selected in the grid

Clear

Clears all terminal block properties.

NoteProperties for a level cannot be cleared if there is a schematic terminal representing that level (other than the terminal being edited), or there is an external jumper on that level.
Terminal block property attributes

The values in the grid are stored as follows, where “nn” represents the level number and is always stored as two digits (i.e. 01, 02, and so on):

Data | Attribute
Level Description (60 characters maximum) | LnnLABEL
Wires Per Connection (three characters maximum) | LnnWIREPERC
Pin Left (12 characters maximum) | LnnPINL
Pin Right (12 characters maximum) | LnnPINR
Internal Jumper (255 characters maximum) | LnnINJUMP
NoteIf these attributes are not present, the data is placed into Xdata with the same name, only with a “VIA_WD_” prefix.


Multi-Level Terminals

Insert terminals and connectors
Terminal Tools
Overview of terminal relationships
Terminal Tools >
Multi-Level Terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of terminal relationships


Multi-Level Terminals (Procedure)

Insert terminals and connectors
Multi-Level Terminals
Overview of terminal relationships
Terminal Tools >
Multi-Level Terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Associate terminals

Show terminal associations

Break apart terminal associations

Copy terminal block properties


Overview of terminal relationships (Concept)

Multi-Level Terminals
Multi-Level Terminals
Terminal jumpers
Terminal Tools > Multi-Level Terminals >
Overview of terminal relationships
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

AutoCAD Electrical supports two types of relationships for terminals: schematic-to-schematic and schematic-to-panel.

NoteSince one-line terminal symbols will likely represent multiple, independent terminals, they cannot be associated to other schematic or panel terminals. A one-line terminal must be updated manually. A one-line terminal symbol is defined by a WDTYPE attribute value of “1-”.
Schematic-to-Schematic

The schematic-to-schematic relationship defines separate schematic terminal symbols as one multi-level (also referred to as multi-tier or multi-stack) terminal block. On the schematic drawing, each schematic terminal symbol represents one level of the multi-level terminal block.

NoteMultiple terminal symbols for one level are not currently supported.

The number of levels for the block is defined as a block property. Each level carries certain characteristics, such as a label, wires per connection, left pin, and right pin. Each schematic terminal symbol carries all of the block properties for each level so that removing one terminal symbol does not remove the block properties. If a block property is modified, all of the terminal symbols update.

The terminal symbols are associated by an ID value held on the LINKTERM attribute or xdata. When a terminal symbol is inserted, by default it is seen as a standalone terminal (it has no associations) and receives a new LINKTERM value. When the terminal is associated to another, the LINKTERM value updates so that each terminal carries the same LINKTERM value. Changing or removing the LINKTERM value breaks any associations that terminal may have.

To associate schematic terminals, first add block properties. The number of terminals you can associate is limited to the number of levels defined in the block properties. Once block properties are established you can associate schematic terminals to build a multi-level terminal block by:

  • Click Schematic tab [image] Edit Components panel [image] [image] [image] Associate Terminals. Enter AEASSOCTERMINAL at the command prompt.

    You select a master terminal and then select each terminal symbol to associate to the master.

  • Clicking Pick on the Insert/Edit Terminal Symbol dialog box. It adds the edited symbol into an association with the picked terminal.
  • Clicking Add/Modify on the Insert/Edit Terminal Symbol dialog box. It adds the edited symbol into an association with any schematic terminal in the project.

Prebuilt circuits may contain associated terminals. These relationships are maintained when the circuit is inserted. Copying a circuit also maintains these relationships within the copied circuit.

When the Bill of Materials report is run, these separate terminal symbols that make up one multi-level terminal, are counted as one in the quantity.

Schematic-to-Panel

The schematic-to-panel relationship is used mainly for updating. If the schematic or panel is modified, the other updates to reflect the changes. This relationship is like component relationships, which are based on the TAG value. The TAGSTRIP, Installation, and Location values must match for the terminals to associate together and the association number on the LINKTERM is also taken into account when creating a relationship between the schematic terminal and its panel representation. Block properties are not required to associate a schematic to panel terminal. Once they are associated, modifications on one results in modifications on the other.

You can associate a schematic and panel terminal automatically by:

  • Click Panel tab [image] Terminal Footprints panel [image] [image] [image] Insert Terminals drop-down [image] Insert Terminal (Schematic List). Enter AEPANELTERMINALSCH at the command prompt.
  • Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Terminal (Panel List). Enter AETERMINALPNL at the command prompt.

For multi-level terminals, the Insert Terminal (Schematic List) tool shows only one terminal for insertion regardless of how many schematic terminal symbols/levels there are for that multi-level block. The Insert Terminal (Panel List) tool shows one terminal for each level for insertion.

NotePanel terminals inserted by the Terminal Strip Editor are automatically associated to the schematic representation.

Additionally, you can click the Associate terminals tool to select terminals to associate or click Add/Modify on the Panel Layout - Terminal Insert/Edit dialog box to add the panel terminal to an association with a schematic terminal on any drawing in the project.


Overview of terminal relationships (Procedure)

Multi-Level Terminals
Up a level to ..
Overview of terminal relationships
Terminal Tools > Multi-Level Terminals >
Overview of terminal relationships
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Associate terminals

Show terminal associations

Break apart terminal associations

Copy terminal block properties


Associate terminals (Procedure)

Overview of terminal relationships
Up a level to ..
Overview of terminal relationships
Terminal Tools > Multi-Level Terminals >
Overview of terminal relationships
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Associate terminals

Use the Associate Terminals tool to associate two or more terminal symbols together. Associating schematic terminals combines the terminals into a single terminal block property definition. The number of schematic terminals that can be combined is limited to the number of levels defined for the block properties.

Associating a panel terminal provides a way to define a particular panel footprint to represent a schematic block property definition.

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Associate Terminals. Enter AEASSOCTERMINAL at the command prompt.
  2. Select a terminal symbol to use as the master. It is used as the basis for any terminal property definition.
    NoteYour terminal symbol must have block properties defined. To define block properties, right-click on the symbol and select Edit Component. In the Insert/Edit Terminal Symbol dialog box, click Block Properties.
  3. Select additional terminal symbols to add to the association of the master terminal.
  4. Press Enter to associate the terminals.

    The catalog data, block properties, Tagstrip value, Installation code and Location code are copied from the master terminal and added to the terminals in the association.

NoteIf the number of selected terminals exceeds the total number of levels defined in the block properties, an alert displays and the extra terminals are not added to the association.
Tips and Hints
  • This tool works on terminal symbols on the same drawing only.
  • If the master terminal is already part of another association, the existing association is maintained and the newly selected terminal symbols join the association.
  • If the selected terminals are part of their own association, they are removed from the association and added to the new association with the selected master terminal.
  • Terminals placed onto the drawing using the Terminal Strip Editor cannot be added to an association using this tool.


Show terminal associations (Procedure)

Overview of terminal relationships
Up a level to ..
Overview of terminal relationships
Terminal Tools > Multi-Level Terminals >
Overview of terminal relationships
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Show terminal associations

Use the Show Terminal Associations tool to display the current associations for the selected terminals. AutoCAD Electrical draws temporary lines between the associated terminals. These graphics disappear the next time you do a Regen.

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Show Terminal Associations. Enter AESHOWTERMASSOC at the command prompt.
  2. Select the terminals you want to view the associations of.

    Red dashed lines are drawn between the terminals that are associated to the selected terminal. A list of the associated terminals also displays at the command prompt.


Break apart terminal associations (Procedure)

Overview of terminal relationships
Up a level to ..
Overview of terminal relationships
Terminal Tools > Multi-Level Terminals >
Overview of terminal relationships
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Break apart terminal associations

Use the Break Apart Terminal Associations tool to break a terminal symbol out of an existing association. Schematic terminals are removed from any multi-tier relationship and any schematic-panel relationships. Panel terminals are removed from any schematic-panel relationships.

NoteThe properties of the existing terminal association are maintained on each symbol.
  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Break Apart Terminal Associations. Enter AEBREAKASSOC at the command prompt.
  2. Select the terminal to remove from the association. Repeat for each terminal you want to break out of its associations.
  3. Press Enter.


Copy terminal block properties (Procedure)

Overview of terminal relationships
Up a level to ..
Terminal jumpers
Terminal Tools > Multi-Level Terminals >
Overview of terminal relationships
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Copy terminal block properties

Use the Copy Terminal Block Properties tool to copy terminal properties from one terminal symbol to another. If the application of the terminal properties reduces the number of levels and the number of schematic terminal symbols in the association exceeds the total allowed, an alert displays and the properties are not copied.

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Copy Terminal Block Properties. Enter AECOPYTERMINALPROP at the command prompt.
  2. Select the master terminal to copy properties from.
  3. Select the terminals to apply the properties to.
  4. Press Enter.


Terminal jumpers (Concept)

Overview of terminal relationships
Terminal Tools
Resequence terminal numbers
Terminal Tools >
Terminal jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal jumpers can be internal, as defined by the block properties of a multi-level terminal, or an external add-on jumper.

Internal jumpers

You can define internal jumpers for a multi-level terminal to indicate that certain levels are jumpered together. Define the internal jumpers directly in the terminal block properties. Or, associate an internal jumper definition with a specific catalog in the Terminal Properties Lookup tables. When the catalog is assigned to a terminal, the internal jumpers are assigned to each terminal in the association.

NoteA separate catalog value cannot be assigned to internal jumpers. If the internal jumper is an option for the catalog, we recommend using an assembly code to link multiple catalog values.

External jumpers

External or add-on jumpers can jumper together any two or more terminals. Use the Edit Jumper tool to define an external jumper or, define the jumper from within Terminal Strip Editor. A catalog value can be assigned to an external jumper.


Terminal jumpers (Quick Reference)

Insert terminals and connectors
Terminal jumpers
Terminal jumpers
Terminal Tools >
Terminal jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select terminals to jumper

Edit terminal jumpers


Edit terminal jumpers (Procedure)

Overview of terminal relationships
Terminal jumpers
Resequence terminal numbers
Terminal Tools >
Terminal jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit terminal jumpers

Use the Edit Jumper tool to jumper two or more terminals together in a schematic diagram. The terminals to be jumpered can be on the same drawing or span multiple drawings within the same project. Choose one of the following workflows for editing terminal jumpers:

Workflow 1:

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Edit Jumper. Enter AEJUMPER at the command prompt.
  2. Select the primary terminal.
  3. Do one of the following:
    • Select the secondary terminal on the drawing to create a jumper to the primary terminal. You cannot select a terminal that is part of another jumper.
    • Enter Browse (B) at the command line to browse to and select the secondary terminal in the Select Terminals to Jumper dialog box.
  4. (Optional) Continue selecting any terminals to add to the jumper.
  5. Press Enter to create the jumper or enter Edit (E) to edit the jumpers.
  6. (Optional) If you selected to edit the jumpers, make modifications in the Edit Terminal Jumpers dialog box and click OK.
  7. (Optional) Enter Show (S) at the command line to draw temporary broken lines between the primary terminal and secondary terminals within the same drawing.

Workflow 2:

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Edit Jumper. Enter AEJUMPER at the command prompt.
  2. Enter Browse (B) at the command line.
  3. Select the terminals to be jumpered (from the left tree view) and copied to the right tree view.
  4. Do one of the following:
    • Click Edit to create the jumper or edit the jumpers on the selected terminal.
    • Click Close to return to the command prompt and:
    • (Optional) Select additional terminals in the drawing to add to the jumper.
    • Press Enter to create the jumper or enter Edit (E) to edit the jumpers.
    • (Optional) If you selected to edit the jumpers, make modifications in the Edit Terminal Jumpers dialog box and click OK.
    • (Optional) Enter Show (S) at the command line to draw temporary broken lines between the primary terminal and secondary terminals within the same drawing.
  5. Click Cancel to cancel the operation.
See Also
    • Assign a jumper in Terminal Strip Editor


Terminal jumpers (Quick Reference)

Terminal jumpers
Terminal jumpers
Terminal jumpers
Terminal Tools >
Terminal jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select terminals to jumper

Use this to select a terminal from a list of all the terminals in the active project.

Ribbon: Schematic tab [image] Edit Components panel [image] [image] [image] Edit Jumper. Does not exist on the ribbon.
Menu: Components [image] Terminals [image] Edit JumperDoes not exist in the menus.
Command entry: AEJUMPER

Enter Browse (B) at the command line or first select a terminal and then enter Browse (B) to select additional terminals.

As you select a terminal, the drawing in which that terminal resides displays under the tree views or under the terminal preview window.

Schematic Terminals

Lists all of the terminal strips and terminals in the active project. Select the terminals to jumper together; as you make your selection, the terminals are bolded in the left tree and added to the Jumper Terminals list.

Terminal nodes have a graphic on the left side to indicate whether the terminal has a jumper attached to it. An empty circle indicates that there is not a jumper and the filled circle means that a jumper exists.

Jumper Terminals

Lists the terminals that are jumpered into a single jumper group, including any terminals selected at the command prompt.

< or >

The > button copies the selected terminals to the Jumper Terminals list; the selected terminals are then bolded in the Schematic Terminals list.

The < button removes the selected terminals from the Jumper Terminals list and unbolds the terminal in the Schematic Terminals list.

Edit

Creates a jumper across the selected terminals and displays the Edit Terminal Jumpers dialog box.

View

Displays the selected terminal in a preview window at the bottom of the dialog box.

NoteYou can select to view a schematic terminal or tabular view of the entire terminal strip. If you select a terminal strip from the Schematic Terminal list and click View, a tabular view of the terminal strip displays, showing a layout of the connected terminals.

By default the preview window is hidden. It can be toggled using Show and Hide once a terminal is viewed.

Hide/Show

Switches the visibility of the preview window at the bottom of the dialog box.

Preview window

Shows a graphical representation of the selected terminals. You can pan the image using the left mouse button or the Pan tool. You can zoom the image using the mouse wheel or the various zoom tools.


Terminal jumpers (Quick Reference)

Terminal jumpers
Terminal jumpers
Resequence terminal numbers
Terminal Tools >
Terminal jumpers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit terminal jumpers

Edits the jumper information (such as adding catalog data) or deletes the jumper.

Ribbon: Schematic tab [image] Edit Components panel [image] [image] [image] Edit Jumper. Does not exist on the ribbon.
Menu: Components [image] Terminals [image] Edit JumperDoes not exist in the menus.
Command entry: AEJUMPER

Enter Edit (E) at the command line or first select a terminal and then enter Edit (E).

Jumpers to Terminals

Lists all of the jumpers (grouped by Jumper ID) attached to the selected terminal.

Catalog Data

Specifies the catalog data for the jumper between the primary terminal and the selected terminal. If the selected terminal is not jumpered these options are disabled.

  • Manufacturer: Specifies the manufacturer name.
  • Catalog: Specifies the catalog number.
  • Assembly: Specifies the assembly code.
  • Item: Specifies the item value.
  • Count: Specifies how the catalog data is used in the Bill of Materials. When multiple terminals are jumpered together, you can have a single catalog item represent a jumper bar that spans the selection, or single jumpers between each terminal.
  • Lookup: Displays the catalog database from which you can select the Manufacturer and Catalog values.
  • Drawing: Lists the part numbers used for similar components in the active drawing.
  • Project: Lists the part numbers used for similar components in the active project.
  • Copy: Copies catalog values from the selected jumper in to memory for this session of AutoCAD Electrical, to b paste into another jumper.
  • Paste: Paste the previously copied catalog values into the selected jumpers.
  • Clear: Clear catalog values for the selected jumpers.

Delete

Select the jumper label, terminal strip, or a single terminal to perform one of the following actions:

  • Jumper label: Deletes the jumper from all of the terminals.
  • Terminal strip: Deletes the terminals in that group from the jumper. If there are no remaining terminals in the group, the jumper is deleted.
  • Single terminal: Deletes the terminal from the jumper. If it is the last terminal to delete, the entire jumper is deleted.

View

Displays the selected terminal in a preview window at the bottom of the dialog box.

By default the preview window is hidden. It can be switched using Show and Hide once a terminal is viewed.

Hide/Show

Switches the visibility of the preview window at the bottom of the dialog box.

Preview window

Shows a graphical representation of the selected terminals. You can pan the image using the left mouse button or Pan tool. You can zoom the image using the mouse wheel or the various zoom tools.


Resequence terminal numbers (Procedure)

Terminal jumpers
Resequence terminal numbers
View terminal wire connections
Terminal Tools >
Resequence terminal numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Resequence terminal numbers

AutoCAD Electrical provides utilities to make it easy to resequence the terminal numbers across one or many drawings. These utilities do not resequence terminals that carry a wire number as the terminal number.

Terminal Renumber (Pick Mode)

  1. Enter AETERMRENUMPICK at the command prompt.
  2. Enter the first terminal number to use and press Enter.
  3. Select each terminal in order on the screen.

    The terminal number updates automatically, incrementing with each pick.

  4. Right-click to exit the command.

Terminal Renumber (Project-Wide)

  1. Enter AETERMRENUM at the command prompt.

    The Project-wide Schematic Terminal Resequence dialog box displays.

  2. Enter the terminal strip tag ID and the starting terminal number.
  3. If you want to refine the search, enter an installation or location code to use when searching the drawings.

    Click Project or Drawing to select an installation or location code from existing terminal numbers.

  4. Click OK.
  5. In the Select Drawings to Process dialog box, select the drawings to search through, and click OK.
NoteThese tools do not renumber panel terminals. Use the Terminal Strip editor Renumber to resequence a terminal strip that contains panel terminals.


Resequence terminal numbers (Quick Reference)

Terminal jumpers
Resequence terminal numbers
Create terminal strips
Terminal Tools >
Resequence terminal numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Project-wide schematic terminal renumber

Resequences the terminal numbers across one or many drawings.

Menu: Components [image] Terminals [image] Terminal Strip Utilities [image] Terminal Renumber (Project-Wide)Does not exist in the menus.
Command entry: AETERMRENUM
NoteThis tool does not resequence terminals that carry a wire number as the terminal number.
Tag-ID | Specifies the terminal strip ID to use when searching each drawing for terminals. Only terminals with this ID are updated.
Include Installation/Location in terminal strip Tag-ID match | Updates a terminal only if it matches the Terminal Strip ID, Location, and Installation values specified.
Installation code | Refines the search by including an installation value.
Location code | Refines the search by including a location value.
Starting terminal number | Specifies the number to begin the terminal strip with; you can use alphanumeric values. The default value is 1.

After you click OK, select the drawings to process from the active project.

NoteThis tool does not renumber panel terminals. Use the Terminal Strip editor Renumber to resequence a terminal strip that contains panel terminals.


View terminal wire connections (Procedure)

Resequence terminal numbers
View terminal wire connections
Terminal Strips
Terminal Tools >
View terminal wire connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

View terminal wire connections

Schematic and panel layout/wiring diagram terminal symbols can carry TERMDESC attribute values used to control which side of a terminal is to receive internal or external wire connections. Schematic terminals use attributes X1TERMDESC01 for the right wire connection, X2TERMDESC01 for the top, X4TERMDESC01 for the left, and X8TERMDESC01 for bottom wire connections.

Show terminal internal/external connections

This tool shows the state of the invisible attribute values for selected objects. The values are shown with red and green arrows.

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Terminal: Show Internal/External Connections. Enter AESHOWTERMCONN at the command prompt.
  2. Select the objects to show the connection codes for. You can pick on individual objects or select a group of objects using a boundary box.

Mark internal connections

This tool marks attributes with an 'I' for internal wiring.

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Terminal: Mark Internal Connections. Enter AEMARKTERMINT at the command prompt.
  2. Select near a wire connection point of the terminal. The attribute is marked with an arrow to indicate whether it is an internal.

Mark external connections

This tool marks attributes with an 'E' for external wiring.

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Terminal: Mark External Connections. Enter AEMARKTEMEXT at the command prompt.
  2. Select near the wire connection point of a terminal. The attribute is marked with an arrow to indicate whether it is an external value.

Erase connection codes

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Terminal: Erase Internal/External Connections. Enter AEERASETEMCONN at the command prompt.
  2. Select near the wire connection point of a terminal to erase the connection code. (I= internal, E= external)


Terminal Strips

View terminal wire connections
Terminal Tools
Create terminal strips
Terminal Tools >
Terminal Strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create terminal strips

    Terminal strip representation

  • Use the terminal strip editor

    Terminal strip selection

  • Generate terminal strip tables

    Terminal strip table generator


Terminal Strips (Procedure)

View terminal wire connections
Terminal Strips
Create terminal strips
Terminal Tools >
Terminal Strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create terminal strips

Insert a terminal strip using the Terminal Strip Editor

Select a terminal strip to edit

Insert a terminal strip table in multiple sections

Assign a jumper

Insert a jumper chart

Insert terminal strip tables onto drawings

Insert a terminal strip table in multiple sections


Create terminal strips (Quick Reference)

Resequence terminal numbers
Create terminal strips
Create terminal strips
Terminal Tools > Terminal Strips >
Create terminal strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Terminal strip representation

Terminal strip representation - setup


Create terminal strips (Procedure)

Terminal Strips
Up a level to ..
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Create terminal strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Create terminal strips

Use the Terminal Strip utility to create non-intelligent terminal strips. The terminal numbers can be imported from a file, windowed on one or more drawings, individually picked, or typed in by hand.

  1. Select to pick or window the text and/or attribute values you want to import into the terminal strip generator utility -

    Enter AETERMLIST at the command prompt.

    or select the file containing the terminal text -

    Enter AETERMLISTFROMFILE at the command prompt.

  2. In the Terminal Strip Representation dialog box, sort, add, remove, and rearrange the terminal strip layout.
  3. Click OK.

    The Terminal Strip Representation Setup dialog box displays. Set the text size, terminal height and width sizes, and terminal strip orientation.

  4. Make your selections and click OK.
  5. Select the insertion point for your terminal strip.

Modify an existing terminal strip

  1. Re-invoke the command, window the existing terminal strip to capture the existing terminal numbers.
  2. Cancel the command.
  3. Delete the old terminal strip.
  4. Re-invoke the terminal strip utility.
  5. Make any edits and re-insert the terminal strip.


Create terminal strips (Quick Reference)

Create terminal strips
Create terminal strips
Create terminal strips
Terminal Tools > Terminal Strips >
Create terminal strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Terminal strip representation

Terminal List (Manual Picks)
Menu: Components [image] Terminals [image] Terminal Strip Utilities [image] Terminal List (Manual Picks)Does not exist in the menus.
Command entry: AETERMLIST
Terminal List (From File).
Menu: Components [image] Terminals [image] Terminal Strip Utilities [image] Terminal List (From File)Does not exist in the menus.
Command entry: AETERMLISTFROMFILE

You can sort, add, remove, and re-arrange the terminal strip layout. You can even go to other schematic drawings and add more to the list (just click Cancel, go to the next drawing, and re-invoke the utility - it remembers what you have accumulated so far).

Define spare | Defines the label for the spare terminals.
Sort | Sorts the list of terminals in ascending order.
Reverse sort | Rearranges the list of terminals in descending order.
Move up | Moves the selected terminal up one spot in the terminal list.
Move down | Moves the selected terminal down one spot in the terminal list.
Insert new | Creates a terminal to add to the terminal strip. Specify the terminal name/number, the number of terminals to insert, and indicate whether to make the new terminal the spare terminal.
Edit | Opens the Edit dialog box so you can change the terminal text or count.
Cut | Removes the selected terminal from the terminal list.
Copy | Makes a copy of the selected terminal and stores it in the Paste clipboard.
Paste | Adds the copied terminal into the terminal list from the clipboard.
Pick | Temporarily dismisses the dialog box and allows you to select more terminals for the list.


Create terminal strips (Quick Reference)

Create terminal strips
Create terminal strips
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Create terminal strips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Terminal strip representation - setup

Annotates the text size, height and width sizes, and orientation of the terminal strip.

Terminal List (Manual Picks)
Menu: Components [image] Terminals [image] Terminal Strip Utilities [image] Terminal List (Manual Picks)Does not exist in the menus.
Command entry: AETERMLIST

Select the terminal to modify and click OK.

Terminal List (From File).
Menu: Components [image] Terminals [image] Terminal Strip Utilities [image] Terminal List (From File)Does not exist in the menus.
Command entry: AETERMLISTFROMFILE

Select the terminal to modify and click OK.

Terminal Text
Text | Specifies to align the text to the left, center, or right side of the terminal strip.
Height | Sets the height of the terminal strip.
Width | Sets the width of the terminal strip.
Layer | Specifies the layer for the table text. The selected layer is displayed next to the button on the dialog box.
Terminal pitch and Terminal width
Terminal pitch (spacing) | Sets the spacing between entries in the terminal strip.
Terminal width | Sets the width for the terminal strip.
Use .750 | Changes the terminal width value to .750 if selected.
Terminal Ruling
Box Around | Creates a single box around the terminal strip.
Between Entries | Creates lines between entries in the terminal strip.
Start Line | Specifies which line the terminal strip starts at.
End | Specifies which line the terminal strip ends at.
Layer | Specifies the layer for the table ruling lines. The selected layer is displayed next to the button on the dialog box.
Terminal Strip Orientation
Vertical | Specifies to display the terminal strip vertically.
Rotate 90 degrees (counter-clockwise) | Specifies to rotate the terminal strip 90 degrees in a counter-clockwise direction.
Rotate -90 degrees (clockwise) | Specifies to rotate the terminal strip 90 degrees in a clockwise direction.


Use the terminal strip editor (Concept)

Create terminal strips
Terminal Strips
Generate terminal strip tables
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use terminal blocks to connect devices that require quick disconnect or disassembly during product shipment, while at other times they can be used to distribute power to other devices. The Terminal Strip Editor defines the locations for these connected devices during the system design process. Terminal strip editing is primarily used towards the end of the control system design cycle to expedite the labeling, numbering, and rearranging of terminals on a terminal strip.

A document that is created to facilitate the construction of a terminal strip and all of its wiring is a terminal strip layout drawing. These drawings display the general arrangement of all the terminal blocks that belong to a specific terminal strip. You can also display the wiring and device connection information next to the terminal block symbol using the Terminal Strip Editor. You can rely on the terminal strip layout drawing for all information regarding the terminal strip without having to reference the schematic drawings.

The Installation (INST), Location (LOC) and Tag Strip (TAG_STRIP) values are used to determine the uniqueness of a terminal strip no matter which standard is used in the active project (such as IEC or JIC).

After changes are made with the Terminal Strip Editor, the changes are written back to the schematic drawing for future updates, and a graphical or tabular drawing of a terminal strip layout is created. Your drawing must be part of the active project to perform updates.

NoteIf you change an existing graphical terminal strip, the Terminal Strip Editor requires that the terminal strip is refreshed or placed on a drawing in the active project so the information is saved.

If the Terminal Strip Editor encounters an error and is unable to start, a log file (named TSE_Error_<date and time>.log) is created in the same location as the project file. The log information includes details about the user name, project name, date, time, terminal strip tag, installation, and location. It also includes details about the specific terminal such as the drawing it is on, the handle of the terminal, and the issue with the terminal.

Wiring Constraints

The Terminal Strip Editor can add or remove extra terminals based on the assigned wiring constraints. Wiring constraints is the limitation of the number of wires that can be connected to a particular device (for example, terminal). When modifying terminals, you can assign the number of wires allowed for each side of the terminal in the Wires Per Connection section of the Terminal Block Properties dialog box.

Extra terminals get placed only when editing a terminal using the Terminal Strip Editor. Once you define the Wires Per Connection value, the Terminal Strip Editor checks to see if there are more wires/devices connected to a side of the terminal than what is allowed. If it finds the defined constraint to exceed, the Terminal Strip Editor adds an additional terminal and moves the destination that is exceeding the constraint to the new terminal. The new terminal has the same destination, property, and catalog assignment as the original terminal. The moved destination is placed in the same level of the new terminal as it was in the original terminal. The extra terminals are reflected in the Bill of Materials.

When a terminal strip is edited with the Terminal Strip Editor, the need for extra terminals is re-evaluated and they are removed if the constraints are no longer exceeded. If the main footprint terminal is removed from the association, the extras are removed.


Use the terminal strip editor (Procedure)

Create terminal strips
Up a level to ..
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a terminal strip using the Terminal Strip Editor

Select a terminal strip to edit

Insert a terminal strip table in multiple sections

Assign a jumper

Insert a jumper chart


Use the terminal strip editor (Quick Reference)

Create terminal strips
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip selection

Terminal strip definition

Terminal strip editor: terminal strip tab

Terminal strip editor: catalog code assignment tab

Terminal strip editor: cable information tab

Terminal strip editor: layout preview tab

Terminal strip table settings

Terminal block properties

Edit terminal

Reassign terminal

Renumber terminal strip

Insert spare terminal

Insert accessory

Toggle location codes

Toggle installation code

Associate terminals

Edit/Delete Jumpers

Select row cell styles

Terminal Strip Table Data Fields to Include


Insert a terminal strip using the Terminal Strip Editor (Procedure)

Use the terminal strip editor
Up a level to ..
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a terminal strip using the Terminal Strip Editor

  1. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
  2. On the Terminal Strip Selection dialog box, click New.
    NoteIf you want to use the Installation, Location, and Tag Strip values from an existing terminal, select the terminal before you click New.
  3. On the Terminal Strip Definition dialog box, specify the Installation code, Location code, Tag Strip value, and number of terminal blocks to define on the terminal strip.
  4. Click OK.
  5. Select the tab to edit: Terminal Strip, Catalog Code Assignment, Cable Information, or Layout Preview.
    • Terminal Strip tab: Modify the terminal block properties, spare terminals, accessories, multi-level terminals, and destination locations.
    • Catalog Code Assignment tab: In addition to what can be done in the Terminal Strip tab, you can assign, delete, copy, or paste catalog part numbers to terminal blocks.
    • Cable Information tab: View the terminal destination locations based on the cable assignments. Modify the terminal block properties, spare terminals, and terminal tag or number.
    • Layout Preview tab: Create graphical terminal strip or table object drawings of the selected terminal strip. You can preview the terminal strip in the Preview window before inserting the terminal strip.
  6. On the Layout Preview tab, click Insert.
  7. Specify the terminal strip insertion point on the drawing.


Select a terminal strip to edit (Procedure)

Use the terminal strip editor
Up a level to ..
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select a terminal strip to edit

Modifies or creates new terminal strips and produces graphical and tabular representations.

Modifies an entire terminal strip or individual terminals. Assigns catalog values, resequences terminal numbers, adds jumpers and jumper charts, adds spares and accessories, and so on. Inserts or updates graphical and tabular terminal strip layouts.

  1. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
  2. Select which terminal strip to edit on the Terminal Strip Selection dialog box and click Edit.
  3. Select the tab to edit: Terminal Strip, Catalog Code Assignment, Cable Information, or Layout Preview.
    • Terminal Strip tab: Modify the terminal block properties, spare terminals, accessories, multi-level terminals, and destination locations.
    • Catalog Code Assignment tab: In addition to what can be done in the Terminal Strip tab, you can assign, delete, copy, or paste catalog part numbers to terminal blocks.
    • Cable Information tab: View the terminal destination locations based on the cable assignments. Modify the terminal block properties, spare terminals, and terminal tag or number.
    • Layout Preview tab: Create graphical terminal strip or table object drawings of the selected terminal strip. You can preview the terminal strip in the Preview window before inserting the terminal strip.
  4. Modify the terminal strip and click OK.

    To place the terminal strip, click Insert on the Layout Preview tab. You can also click Rebuild or Refresh to update the edited graphical or table object terminal strip in place.


Insert a terminal strip table in multiple sections (Procedure)

Use the terminal strip editor
Up a level to ..
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a terminal strip table in multiple sections

A terminal strip table can be added through the Terminal Strip Editor or with the Terminal Strip Table Generator tool. A terminal strip can be split into multiple table sections by changing your table settings.

Terminal Strip Editor
  1. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
  2. Make your selection on the Terminal Strip Selection dialog box and click Edit.
  3. Click the Layout Preview tab.
  4. Select Settings.
  5. Enter the number of rows you want for each section. If the table break falls between rows within one terminal definition, the entire terminal definition will be placed in the next table section resulting in a table section with fewer rows than defined.
    NoteIf the terminal definition is the first one in the section and exceeds the number of rows per section, the entire terminal definition is kept together in one section.
  6. Specify how many table sections you want to place on each drawing. Unless you insert all the sections on the active drawing, new drawings will be created for the table sections.
  7. Specify the X and Y placement or select the Pick Point button to pick a point on the drawing. This value will be used for the first table section on each drawing.
  8. Specify the distance you want between each section if you are placing more than one section per drawing.
  9. Specify the direction to place each section after the first table section.
  10. Specify the offset base point meaning whether you want the distance value to be measured from insertion point to insertion point or the gap between the sections.
  11. Specify the file name for the first drawing. The last character of the file name is incremented for each new drawing.
  12. (Optional) Specify a template file to use.
  13. Click OK.
Terminal Strip Table Generator
  1. Click Panel tab [image] Terminal Footprints panel [image] Table Generator. Enter AETSEGENERATOR at the command prompt.
  2. Select Settings.
  3. Enter the number of rows you want for each section. If the table break falls between rows within one terminal definition, the entire terminal definition will be placed in the next table section resulting in a table section with fewer rows than defined.
    NoteIf the terminal definition is the first one in the section and exceeds the number of rows per section, the entire terminal definition is kept together in one section.
  4. Specify how many table sections you want to place on each drawing. Unless you insert all the sections on the active drawing, new drawings will be created for the table sections.
  5. Specify the X and Y placement or select the Pick Point button to pick a point on the drawing. This value will be used for the first table section on each drawing.
  6. Specify the distance you want between each section if you are placing more than one section per drawing.
  7. Specify the direction to place each section after the first table section.
  8. Specify the offset base point meaning whether you want the distance value to be measured from insertion point to insertion point or the gap between the sections.
  9. Specify the file name for the first drawing. The last character of the file name is incremented for each new drawing.
  10. (Optional) Specify a template file to use.
  11. Click OK.


Assign a jumper (Procedure)

Use the terminal strip editor
Up a level to ..
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Assign a jumper

Use this method to assign an external jumper between one or more terminals within the same terminal strip.

  1. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
  2. Select which terminal strip to edit on the Terminal Strip Selection dialog box and click Edit.
  3. Select the terminal rows you wish to jumper together. If you wish to jumper to a specific level within a multi-level terminal, select the row for just that level.
    NoteThe rows you select are considered one jumper and can receive only one catalog assignment.
  4. Select the Assign Jumper tool.
  5. (Optional) Enter catalog data on the Edit/Delete Jumpers dialog box.
  6. Select OK.
NoteUse the Edit Jumper tool to jumper terminals that belong to different terminal strips.


Insert a jumper chart (Procedure)

Use the terminal strip editor
Up a level to ..
Generate terminal strip tables
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a jumper chart

A jumper chart is a terminal strip inserted on a drawing as a table object specifically to view jumpers within a terminal strip. An existing jumper chart is refreshed automatically when the graphical terminal strip is updated or reinserted using the Insert, Rebuild, or Refresh commands within Terminal Strip Editor or Terminal Strip Table Generator.

  1. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
  2. Select which terminal strip to edit on the Terminal Strip Selection dialog box and click Edit.
  3. Select the Layout Preview tab.
  4. Select Jumper Chart (Table Object).
  5. Select your options:
    • Table Style: Select from a list of table styles.
    • Define Columns: Define the columns to include, column order, column titles, and the jumper circles display.
    • Row Style: Define specific row styles to use for the selected table style
    • Layer: Define the specific layer for the table.
    • Table Title: Define a title for the table by entering text, selecting from a list of variables, or a combination.
    • Display: Select what to include.
  6. Select Insert. You can also click Rebuild or Refresh to update the jumper chart in place.
NoteYou can insert or update a jumper chart by pointing at a panel terminal, right-clicking, and selecting Insert Jumper Chart from the menu. The last saved settings for the jumper chart are used.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip selection

Displays terminal strips inside of the active project. The combination of Installation, Location, and Terminal Strip values make a complete unique record for selection in the Terminal Strip Selection dialog box.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE
NoteEmpty fields from the schematic display empty boxes in the selection window to indicate that no value was defined by the user in the schematic drawing.

Sort the entire table by selecting the individual column headers. Do any of the following:

  • To edit a terminal strip, select the terminal strip and click Edit.
  • To create a terminal strip, click New.
  • To create a terminal strip based on an existing one, select the terminal strip and click New.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip definition

This dialog box controls the naming of the terminal strip, Installation and Location codes, and default options for the terminal blocks being created.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

On the Terminal Strip Selection dialog box, click New.

Use the following options to create a terminal strip definition that was not placed into the schematic. Some of the properties are written to each terminal symbol on the graphical terminal strip layout drawing.

Installation | Specifies the Installation code value for the new terminal strip. Click Browse to display a list of existing installation values found in the active drawing, entire project, or an external list (default.inst). Pick from the list to update the component automatically with the installation code.
Location | Specifies the Location code value for the new terminal strip. Click Browse to display a list of existing location values found in the active drawing, entire project, or an external list (default.inst). Pick from the list to update the component automatically with the location code.
Terminal Strip | Specifies the strip tag name for the new terminal strip. You cannot have duplicate terminal strip names in the active project.
Number of Terminal Blocks | Specifies the number of blocks the terminal strip is made up of. This value is not maintained on any of the terminal symbols in the graphical terminal strip layout.

If the Installation and Location values are left blank, the terminal strip is created using only the strip tag name. The Installation (INST), Location (LOC) and Tag Strip (TAG_STRIP) values are used to determine the uniqueness of a terminal strip no matter which standard is used in the active project (such as IEC or JIC).


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip editor: terminal strip tab

Modifies terminal numbering, sorting, and destination settings. The terminals display in the center of the list box, with the destinations on both sides.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit or New. Click the Terminal Strip tab.

You can sort the terminal blocks inside of the Terminal Strip Editor dialog box by selecting the column headers. The first click on the header sorts the column in ascending order. The second click sorts in descending order. The sort criteria applies to all tabs inside of the Terminal Strip Editor dialog box so you do not have to sort again if you switch between tabs.

Terminal Listing

There are three sections to the grid: Internal Destination, Terminal Block Information, and External Destination. The bold vertical grid lines make it easier to determine the differences in these sections. The horizontal grid lines delineate between wires connected to the terminal blocks. Each row indicates one wire per side. The bold horizontal grid lines make it easier to distinguish separations between terminal blocks on the strip.

Select the terminal blocks for editing. Multiple blocks can be selected using either the Shift or Control key while highlighting rows, or by clicking and dragging the mouse.

NoteYou can right-click any row in the terminal listing to access any of the editing tools found in the button groupings at the bottom of the dialog box. You can also right-click to select or deselect all of the terminals in the strip.

Internal Destination

Displays the devices on the left side of the terminal strip.

Terminal Block Information

Displays the terminal block number, terminal device pin connection descriptions and jumpers. These values display in the Terminal Listing with a blue background indicating that they are associated to the terminal block.

NoteInternal jumpers are indicated with squares and are on the left side. External jumpers are indicated with circles and are on the right side.

External Destination

Displays the devices on the right side of the terminal strip.

A single line entry terminal block has only two wires connected with its destinations on opposing sides (left/right). Use the terminal block properties to connect more wires to the terminal block, which changes the block into a multiple-line terminal entry.

Properties
Edit Terminal Block Properties | Defines or edits terminal block properties. When a multi-level terminal block is selected, the properties are edited for all levels of the terminal. The defined properties are assigned to every terminal symbol in its association. You can define up to 99 terminal levels in the block properties.
Copy Terminal Block Properties | Copies terminal block properties from one terminal to paste into another terminals.
Paste Terminal Block Properties | Pastes the previously copied terminal block properties into the selected terminals.
Terminal

Edit Terminal

Modifies the selected terminal block. Any modifications to the ID (Installation, Location, Terminal Strip) removes the terminal block from its current terminal strip into the modified or newly defined terminal strip. You can perform a search of the project for current installation and location codes.

Reassign Terminal

Moves the highlighted terminal blocks from the active terminal strip to the terminal strip defined in the Reassign Terminal dialog box. You can perform a search of the project for current installation and location codes.

Renumber Terminals

Renumbers all, or a partial list, of terminal blocks from the active terminal strip. On the Renumber Terminal Strip dialog box, specify the new starting number and other options for renumbering the terminal.

NoteYou cannot renumber a terminal that uses a wire number as its terminal number. Additionally, duplicate terminal numbers are not restricted.

Move Terminal

Moves an entire terminal (including all levels and any extra terminals created due to wiring constraints) on the terminal strip. You can move the terminal block up or down in the listing or manually pick a new position on the terminal strip listing.

Spare

Insert Spare Terminal

Inserts spare terminal blocks on the active terminal strip. Use the Insert Spare Terminal dialog box to define a terminal block number or name, specify the number of spares to insert, and to insert the spare terminals previous or below the highlighted terminal. You can add up to 10,000 spare terminals into the terminal block.

NoteSpare terminal assignments are temporary for the current session of the Terminal Strip Editor. Place the graphical terminal strip layout on the drawing during the current session if you want to keep the spare terminal assignments. You are prompted to Insert or Rebuild the terminal strip before you can exit Terminal Strip Editor.

Insert Accessory

Inserts one or more accessories (such as terminal end barriers or partitions) into the terminal strip.

NoteAccessory terminal assignments are temporary for the current session of the Terminal Strip Editor. Place the graphical terminal strip layout on the drawing during the current session if you want to keep the accessory terminal assignments. You are prompted to Insert or Rebuild the terminal strip before you can exit Terminal Strip Editor.

Delete Spare Terminals/Accessories

Deletes the spare terminal block or accessory on the terminal strip listing.

Destinations
Toggle Location | Toggles an entire location code from an Internal destination to an External destination or from an External destination to an Internal destination. You do not have to select any terminal blocks from the terminal listing.
Toggle Installation | Toggles an entire installation code from an Internal destination to an External destination or from an External destination to an Internal destination. You do not have to select any terminal blocks from the terminal listing.
Toggle Terminal Destinations | Changes the destination from Internal (left) to External (right) or from External to Internal.
Switch Terminal Destinations | Switches both destination values for the highlighted terminal block. The Internal destinations switch to the External (right) destinations, while all External destinations switch to Internal destinations.
Move Destination | Moves the destinations within the terminal/level definition. All the selected destinations are moved up or down within the level they belong to. Only the destinations for cloned blocks due to wire constraints can cross the boundary of the level they originally belong to.
Jumpers
Assign Jumper | Jumpers together the selected terminals or levels.
Edit/Delete Jumper | Edits a catalog assignment for a jumper, removes terminals or levels from a jumper definition or deletes a jumper.
Multi-Level

Associate Terminals

Combines two or more terminal blocks from any drawing into a single multiple-level terminal block. You are alerted if you select too many levels to associate. You can then decrease the number of selected levels or use the Break Apart Terminal Associations tool to separate out one of the levels in the new association.

Break Apart Terminal Associations

Separates one or more levels from the multiple level terminal block into separate terminal blocks. When the new terminal definitions are created, they retain the same properties as the original terminal.

  • One terminal: Breaks the selected levels from their original association and adds them into a new association together.
  • Separate terminals: Breaks the selected levels from their original association and adds each level into a new individual association. These levels occupy the same level in their new terminal definition, and new terminals are assigned the same properties as the original definition from which they were originally associated in.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip editor: catalog code assignment tab

Modifies terminal catalog numbers. The terminals display in the center of the list box, with associated catalog number information and destinations on both sides.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit or New. Click the Catalog Code Assignment tab.

You can sort the terminal blocks inside of the Terminal Strip Editor dialog box by selecting the column headers. The first click on the header sorts the column in ascending order. The second click sorts in descending order. The sort criteria applies to all tabs inside of the Terminal Strip Editor dialog box so you do not have to sort again if you switch between tabs.

Terminal Listing

There are three sections to the grid: Internal Destination, Terminal Block Information, and External Destination. The bold vertical grid lines make it easier to determine the differences in these sections. The horizontal grid lines delineate between wires connected to the terminal blocks; each row indicates one wire per side. The bold horizontal grid lines make it easier to distinguish separations between terminal blocks on the strip.

Select the terminal blocks for editing. Multiple blocks can be selected using either the Shift or Control key while highlighting rows, or by clicking and dragging the mouse.

NoteYou can right-click on any row in the terminal listing to access any of the editing tools found in the button groupings at the bottom of the dialog box. You can also right-click to select or deselect all of the terminals in the strip.

Internal Destination

Displays the devices on the left side of the terminal strip.

Terminal Block Information

Displays the terminal block number, terminal device pin connection descriptions, jumpers, and catalog data. These values display in the Terminal Listing with a blue background indicating that they are associated to the terminal block.

NoteInternal jumpers are indicated with squares and are on the left side. External jumpers are indicated with circles and are on the right side.

External Destination

Displays the devices on the right side of the terminal strip.

A single line entry terminal block has only two wires connected with its destinations on opposing sides (left/right). Use the terminal block properties to connect more wires to the terminal block, which changes the block into a multiple-line terminal entry.

Properties
Edit Terminal Block Properties | Defines or edits terminal block properties. When a multi-level terminal block is selected, the properties are edited for all levels of the terminal. The defined properties are assigned to every terminal symbol in its association. You can define up to 99 terminal levels in the block properties.
Copy Terminal Block Properties | Copies terminal block properties from one terminal to paste into another terminals.
Paste Terminal Block Properties | Pastes the previously copied terminal block properties into the selected terminals.
Terminal

Edit Terminal

Modifies the selected terminal block. Any modifications to the ID (Installation, Location, Terminal Strip) removes the terminal block from its current terminal strip into the modified or newly defined terminal strip. You can perform a search of the project for current installation and location codes.

Reassign Terminal

Moves the highlighted terminal blocks from the active terminal strip to the terminal strip defined in the Reassign Terminal dialog box.

Renumber Terminals

Renumbers all, or a partial list, of terminal blocks from the active terminal strip. On the Renumber Terminal Strip dialog box, specify the new starting number and other options for renumbering the terminal.

NoteYou cannot renumber a terminal that uses a wire number as its terminal number. Additionally, duplicate terminal numbers are not restricted.

Move Terminal

Moves an entire terminal (including all levels and any extra terminals created due to wiring constraints) on the terminal strip. You can move the terminal block up or down in the listing or manually pick a new position on the terminal strip listing.

Spare

Insert Spare Terminal

Inserts spare terminal blocks on the active terminal strip. Use the Insert Spare Terminal dialog box to define a terminal block number or name, specify the number of spares to insert, and to insert the spare terminals previous or below the highlighted terminal. You can add up to 10,000 spare terminals into the terminal block.

NoteSpare terminal assignments are temporary for the current session of the Terminal Strip Editor. Place the graphical terminal strip layout on the drawing during the current session if you want to keep the spare terminal assignments. You are prompted to Insert or Rebuild the terminal strip before you can exit Terminal Strip Editor.

Insert Accessory

Inserts one or more accessories (such as terminal end barriers or partitions) into the terminal strip.

NoteAccessory terminal assignments are temporary for the current session of the Terminal Strip Editor. Place the graphical terminal strip layout on the drawing during the current session if you want to keep the accessory terminal assignments. You are prompted to Insert or Rebuild the terminal strip before you can exit Terminal Strip Editor.

Delete Spare Terminals/Accessories

Deletes the spare terminal block or accessory on the terminal strip listing.

Destinations
Toggle Location | Toggles an entire location code from an Internal destination to an External destination or from an External destination to an Internal destination. You do not have to select any terminal blocks from the terminal listing.
Toggle Installation | Toggles an entire installation code from an Internal destination to an External destination or from an External destination to an Internal destination. You do not have to select any terminal blocks from the terminal listing.
Toggle Terminal Destinations | Changes the destination from Internal (left) to External (right) or from External to Internal.
Switch Terminal Destinations | Switches both destination values for the highlighted terminal block. The Internal destinations switch to the External (right) destinations, while all External destinations switch to Internal destinations.
Move Destination | Moves the destinations within the terminal/level definition. All the selected destinations are moved up or down within the level they belong to. Only the destinations for cloned blocks due to wire constraints can cross the boundary of the level they originally belong to.
Jumpers
Assign Jumper | Jumpers together the selected terminals or levels.
Edit/Delete Jumper | Edits a catalog assignment for a jumper, removes terminals or levels from a jumper definition or deletes a jumper.
Multi-Level

Associate Terminals

Combines two or more terminal blocks from any drawing into a single multiple-level terminal block. You are alerted if you select too many levels to associate. You can then decrease the number of selected levels or use the Break Apart Terminal Associations tool to separate out one of the levels in the new association.

Break Apart Terminal Associations

Separates one or more levels from the multiple level terminal block into separate terminal blocks. When the new terminal definitions are created, they retain the same properties as the original terminal.

  • One terminal: Breaks the selected levels from their original association and adds them into a new association together.
  • Separate terminals: Breaks the selected levels from their original association and adds each level into a new individual association. These levels occupy the same level in their new terminal definition, and new terminals are assigned the same properties as the original definition from which they were originally associated in.
Catalog
Assign Catalog Number | Assigns catalog part numbers to the selected terminal blocks, spare terminals, or accessories. The catalog number assignments are written back to the schematic and panel drawings. It displays the Parts Catalog dialog box. Once the catalog number is selected from the Parts Catalog dialog box, the Catalog Manufacturer and Part Number are entered into the Terminal Strip Editor dialog box.
Delete Catalog Number | Removes the catalog part numbers previously assigned to terminal block, spare terminal, or accessory (either within the Terminal Strip Editor or the schematic drawing).
Copy Catalog Number | Copies catalog part numbers of one terminal to paste to other terminal blocks within the Terminal Strip Editor.
Paste Catalog Number | Pastes catalog part numbers (and terminal block properties) of one terminal to another single terminal or multiple terminal blocks within the Terminal Strip Editor.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip editor: cable information tab

Displays cable previews for terminal blocks. The terminals are displayed in the center of the list box with the cable name, wire conductor information, and device destination information on both sides.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit or New. Click the Cable Preview tab.

You can sort the terminal blocks inside of the Terminal Strip Editor dialog box by selecting the column headers. The first click on the header sorts the column in ascending order. The second click sorts in descending order. The sort criteria applies to all tabs inside of the Terminal Strip Editor dialog box so you do not have to sort again if you switch between tabs.

Terminal Listing

There are three sections to the grid: Internal Destination, Terminal Block Information, and External Destination. The bold vertical grid lines make it easier to determine the differences in these sections. The horizontal grid lines delineate between wires connected to the terminal blocks; each row indicates one wire per side. The bold horizontal grid lines make it easier to distinguish separations between terminal blocks on the strip.

Select the terminal blocks for editing. Multiple blocks can be selected using either the Shift or Control key while highlighting rows, or by clicking and dragging the mouse.

NoteYou can right-click on any row in the terminal listing to access any of the editing tools found in the button groupings at the bottom of the dialog box. You can also right-click to select or deselect all of the terminals in the strip.

Internal Destination

Displays the devices on the left side of the terminal strip.

Terminal Block Information

Displays the terminal block number, terminal device pin connection descriptions, jumpers, and cable information. These values display in the Terminal Listing with a blue background indicating that they are associated to the terminal block.

NoteInternal jumpers are indicated with squares and are on the left side. External jumpers are indicated with circles and are on the right side.

External Destination

Displays the devices on the right side of the terminal strip.

A single line entry terminal block has only two wires connected with its destinations on opposing sides (left/right). Use the terminal block properties to connect more wires to the terminal block, which changes the block into a multiple-line terminal entry.

Properties
Edit Terminal Block Properties | Defines or edits terminal block properties. When a multi-level terminal block is selected, the properties are edited for all levels of the terminal. The defined properties are assigned to every terminal symbol in its association. You can define up to 99 terminal levels in the block properties.
Copy Terminal Block Properties | Copies terminal block properties from one terminal to paste into another terminal.
Paste Terminal Block Properties | Pastes the previously copied terminal block properties into the selected terminals.
Terminal

Edit Terminal

Modifies the selected terminal block. Any modifications to the ID (Installation, Location, Terminal Strip) removes the terminal block from its current terminal strip into the modified or newly defined terminal strip. You can perform a search of the project for current installation and location codes.

Reassign Terminal

Moves the highlighted terminal blocks from the active terminal strip to the terminal strip defined in the Reassign Terminal dialog box.

Renumber Terminals

Renumbers all, or a partial list, of terminal blocks from the active terminal strip. On the Renumber Terminal Strip dialog box, specify the new starting number and other options for renumbering the terminal.

NoteYou cannot renumber a terminal that uses a wire number as its terminal number. Additionally, duplicate terminal numbers are not restricted.

Move Terminal

Moves an entire terminal (including all levels and any extra terminals created due to wiring constraints) on the terminal strip. You can move the terminal block up or down in the listing or manually pick a new position on the terminal strip listing.

Spare

Insert Spare Terminal

Inserts spare terminal blocks on the active terminal strip. Use the Insert Spare Terminal dialog box to define a terminal block number or name, specify the number of spares to insert, and to insert the spare terminals previous or below the highlighted terminal. You can add up to 10,000 spare terminals into the terminal block.

NoteSpare terminal assignments are temporary for the current session of the Terminal Strip Editor. Place the graphical terminal strip layout on the drawing during the current session if you want to keep the spare terminal assignments. You are prompted to Insert or Rebuild the terminal strip before you can exit Terminal Strip Editor.

Insert Accessory

Inserts one or more accessories (such as terminal end barriers or partitions) into the terminal strip.

NoteAccessory terminal assignments are temporary for the current session of the Terminal Strip Editor. Place the graphical terminal strip layout on the drawing during the current session if you want to keep the accessory terminal assignments. You are prompted to Insert or Rebuild the terminal strip before you can exit Terminal Strip Editor.

Delete Spare Terminals/Accessories

Deletes the spare terminal block or accessory on the terminal strip listing.

Destinations
Toggle Location | Toggles an entire location code from an Internal destination to an External destination or from an External destination to an Internal destination. You do not have to select any terminal blocks from the terminal listing.
Toggle Installation | Toggles an entire installation code from an Internal destination to an External destination or from an External destination to an Internal destination. You do not have to select any terminal blocks from the terminal listing.
Toggle Terminal Destinations | Changes the destination from Internal (left) to External (right) or from External to Internal.
Switch Terminal Destinations | Switches both destination values for the highlighted terminal block. The Internal destinations switch to the External (right) destinations, while all External destinations switch to Internal destinations.
Move Destination | Moves the destinations within the terminal/level definition. All the selected destinations are moved up or down within the level they belong to. Only the destinations for cloned blocks due to wire constraints can cross the boundary of the level they originally belong to.
Jumpers
Assign Jumper | Jumpers together the selected terminals or levels.
Edit/Delete Jumper | Edits a catalog assignment for a jumper, removes terminals or levels from a jumper definition or deletes a jumper.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip editor: layout preview tab

Controls a preview display of the terminal strip in graphical or tabular layout. It helps determine the best way to generate a terminal layout before placing the image on the drawing file.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit or New. Click the Layout Preview tab.

Graphical Terminal Strip/Table Object Terminal Strip/Jumper Chart

Specifies the type of terminal strip to generate. The dialog box options change depending on whether you are creating a graphical, tabular, or jumper chart type of terminal strip.

You can insert an AutoCAD table object as a tabular terminal strip. It allows for more accurate representations of what is in the Terminal Strip Editor, more flexibility with the look and style, and provides a means of automatic updating.

You can insert a jumper chart which is an AutoCAD table object representing the terminal strip with certain columns pre-defined to include any jumpers defined.

Graphical Layout

Generates a graphical representation including terminal footprints, terminal numbers, wiring information, and terminal destination information.

Total Terminals | Displays the total number of terminal block symbols needed to create the terminal strip layout.
Overall Distance | Displays the overall distance the terminal strip footprint takes up when placed on the active drawing.
Default pick list for Annotation format | Lists some common formatting types. You are not limited to the selections provided by the default pick list. The replaceable parameter variables can be displayed in any combination including hard-coded characters such as dashes, brackets, and parenthesis.
Annotation Format | Determines the formatting of the wiring information associated with the terminal destination. You can define variable information to display the contents of the Terminal Strip Editor. One field is for the left-hand side, while the other is for the right-hand side of the terminal footprint. NoteYou can leave this field blank if you do not want the annotation format added to the preview.
Scale on Insert | Specifies the scale to use when inserting the graphical representation onto the drawing file.
Angle on Insert | Specifies the angle to use when inserting the graphical representation onto the drawing file. Select from the list of pre-defined angles.
NoteThe angle and scale values are reflected in the preview.
Tabular Layout for a Table Object

The following options are available if you selected to create a Tabular Terminal Strip (Table Object).

Table Style | Specifies the table style to use for the tabular report. Select from the list or click Browse to browse to and select another drawing file whose table styles you want to use. NoteIf the selected table style is not in the TableStyle.dwg file, it is added.
Define Columns | Defines the columns to include, order, headings, justification, and jumper circles display for the tabular report.
Row Styles | Defines specific row styles to use for the selected table style. On the Select Row Cell Styles dialog box, select the table style and row cell styles to use and click OK.
Layer | Defines the specific layer for the tabular terminal strip to place on when inserted. On the Select Table Layer dialog box, select the layer name from the list of layers on the active drawing and click OK.
Table Title | Defines a title for the table. Enter a title, select from a list of variables or use a combination of both. When selecting from the list, the selection is added to the end of the string if one exists in the edit box.
Total Rows | Displays the total number of rows needed to create the terminal strip table layout. For example, even though the terminal strip contains only 86 terminals, the table format may present more rows in a multi-line terminal situation.
Number of Rows per Section | Displays the number of rows per section as defined on the Table Settings dialog box.
Number of Sections | Displays the number of sections needed based on the total rows and the number of rows per section.
Number of Sections per Drawing | Displays the number of sections to place on each drawing as defined on the Table Settings dialog box.
Number of Drawings | Displays the number of drawings necessary to generate the terminal strips using the current table settings.
Settings | Defines the table settings such as number of rows per section, number of sections per drawing, table, and section placement, section offset, scale, angle, first drawing name if a new drawing is needed, and the template to use for any new drawings generated.
Browse | Browses for any saved settings (in a *.tsl file) that you previously created.
Save As | Saves the settings to an external file (with extension *.tsl) that you can later reuse. The default folder location is the User folder in the Documents and Settings or Users location.
Default | Uses the default settings for creating the tabular report.
Drawing to Preview | Slides to change which drawing to preview if your table settings define a multi-section table that spans multiple drawings. NoteAll table sections are inserted or updated, not just the table sections in the drawing preview.
NoteThe selections are stored in the table when it is inserted and the next time the terminal strip is edited, the settings are read back in.
Jumper Chart

The following options are available if you selected to create a Jumper Chart (Table Object).

Table Style | Specifies the table style to use for the tabular report. Select from the list or click Browse to browse to and select another drawing file whose table styles you want to use. NoteIf the selected table style is not in the TableStyle.dwg file, it is added.
Define Columns | Defines the columns to include, order, headings, justification, and jumper circles display for the jumper chart.
Row Styles | Defines specific row styles to use for the selected table style. On the Select Row Cell Styles dialog box, select the table style and row cell styles to use and click OK.
Layer | Defines the specific layer for the tabular terminal strip be place on when inserted. On the Select Table Layer dialog box, select the layer name from the list of layers on the active drawing and click OK.
Table Title | Defines a title for the table. Enter a title, select from a list of variables or use a combination of both. When selecting from the list, the selection is added to the end of the string if one exists in the edit box.
Display all terminals and accessories | Include all terminals and accessories for the terminal strip in the table.
Display only jumpered terminals and accessories | Include only the terminals that are jumpered and all accessories for the terminal strip in the table, leaving out any terminals that are not jumpered.
Display only jumpered terminals | Include only the terminals that are jumpered in the table, leaving out all accessories and any terminals that are not jumpered.
Show Unused Wire Connections in Table | Select to display all rows for each terminal even if there is no connected component. The number of rows is defined by the Wires per Connection value for the terminal. NoteA terminal without any connected components has one row in the table.
Scale/Angle on Insert | Specifies the scale and angle of the table sections when inserted. These settings are reflected in the preview.
Save | Saves the settings to the file, JumperChart.tjc, that is used whenever a jumper chart is inserted or rebuilt. The folder location is the User folder which by default is in the Documents and Settings or Users folder.
Default | Uses the default settings for creating the jumper chart.

You can also insert or refresh a jumper chart from the right-click menu. Select a panel terminal, right-click, and select Insert Jumper Chart. If there is an existing jumper chart for the terminal strip a dialog box opens. Select Insert or Refresh from the dialog box. Pick an insertion point if you are inserting the jumper chart.

Update

Refreshes the preview window with any changes made with the preview controls or the Terminal Strip Editor. If you modify the settings for the output, you can refresh the preview.

Use icons or the right-click menu to zoom and pan inside of the preview window.

Zoom In | Increases the apparent size of the objects in the preview.
Zoom Out | Decreases the apparent size of the objects in the preview.
Zoom Extents | Zooms to display the terminal strip extents.
Zoom Original | Restores the original view.
Zoom Window | Zooms to display an area specified by a rectangular window.
Insert

Places the terminal strip.

Rebuild

Updates an existing terminal strip that was previously inserted by the Terminal Strip Editor in place. If the terminal strip exists in the project, the terminal strip is located, deleted and rebuilt in place without prompting you to select a new insertion point.

Refresh

(Not available for graphical terminal strips.) Refreshes the data within an existing tabular terminal strip. A new table is not inserted.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip table settings

Defines the settings for the Terminal Strip table object.

Terminal Strip Editor
Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. Click the Layout Preview tab and select Tabular Terminal Strip (Table Object). Click Settings.

Terminal Strip Table Generator
Ribbon: Panel tab [image] Terminal Footprints panel [image] Table Generator. Does not exist on the ribbon.
Toolbar: Terminal Footprint
Menu: Panel Layout [image] Terminal Strip Table GeneratorDoes not exist in the menus.
Command entry: AETSEGENERATOR

Rows Per Section

Specifies how many rows for each table section. If the table break falls between rows within one terminal definition, the entire terminal definition will be placed in the next table section resulting in a table section with fewer rows than defined.

NoteIf the terminal definition is the first one in the section and exceeds the number of rows per section, the entire terminal definition is kept together in one section.

Sections Per Drawing

Specifies how many table sections to insert on each drawing. All sections will be placed on new drawings unless the option “Insert All Sections on Active Drawing” is selected.

NoteThe “Insert All Sections on Active Drawing” option is not available when using the Terminal Strip Table Generator tool.

Section Placement

Specifies where to place the table in the drawing. You can enter x and y values or pick a point on the screen.

Section Offset

Specifies the distance between sections, offset direction, and the base point for the distance measurement.

  • Distance: Specifies the distance between sections.
  • Direction: Specifies the direction for the offset.
  • Base Point: Specifies the base point for the distance measurement between sections.

Scale/Angle on Insert

Specifies the scale and angle of the table sections when inserted. These settings are reflected in the preview.

Drawing Information for Table Output

  • First Drawing Name: Specifies a starting drawing file location and file name to use for the automatic creation of the drawing files. The drawings are automatically added to the active project and display at the end of the drawing list in the Project Manager. The last character of the drawing file name is incremented for each drawing created.
  • Template: Specifies the template file to use for any new drawings. Enter a template file name or click Browse to search for and select a template file.

Show Unused Wire Connections in Table

Select to display all rows for each terminal even if there is no connected component. The number of rows is defined by the Wires per Connection value for the terminal.

NoteA terminal without any connected components has one row in the table.

Preview

Opens a preview dialog box to view each drawing as it will look when generated. All table settings are reflected in the preview.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal block properties

Use this dialog box to control the number of levels assigned to a multiple level terminal block. You can control the level description, number of wires per connection, pins right, pins left and internal jumpers. The terminal block properties are maintained on every terminal symbol in its association.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select Terminals and Connectors from the dialog box and specify the insertion point on the drawing. In the Insert/Edit Terminal Symbol dialog box, click Block Properties.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the terminal to edit. In the Insert/Edit Terminal Symbol dialog box, click Block Properties.

NoteYou can also access this dialog box by clicking Edit Terminal Block Properties on the Terminal Strip Editor dialog box.

The default level for any terminal symbol that is placed into the project that is not associated to another is 0.

Manufacturer

Displays the Manufacturer value that is currently assigned to the terminal being edited.

Catalog Number

Displays the Catalog Number value that is currently assigned to the terminal being edited.

Assembly Code

Displays the Assembly Code value that is currently assigned to the terminal being edited.

Levels

Specifies the number of levels for the terminal. The grid expands for editing based on the number of levels specified. You can then define the level description, wires per connection and pins.

Terminal Block Property Definition grid

Displays the terminal levels. You can edit and maintain properties of the terminal block here.

  • Level Description: Specifies the description for the levels of the terminal block. Text you enter here displays in the Insert/Edit Terminal Symbol and Terminal Block Properties dialog boxes. This is a terminal property that is maintained on every symbol in its association.
  • Wires per Connection: Specifies the number of wires allowed per connection for the terminal connection point.
    NoteThese properties do not limit the number of connections allowed on the schematic.
  • Pin Left/Pin Right: Specifies labels for pin numbers associated to the terminal destinations. These fill in the LnnPINL and LnnPINR attributes on the terminal block when its level is selected. This is a terminal property that is maintained on every symbol in its association.
  • Internal Jumper: Graphically indicates internal jumpers assigned between levels.

Internally jumper the levels currently selected in the grid.

Delete the internal jumper currently assigned to the levels selected in the grid

Clear

Clears all terminal block properties.

NoteProperties for a level cannot be cleared if there is a schematic terminal representing that level (other than the terminal being edited), or there is an external jumper on that level.
Terminal block property attributes

The values in the grid are stored as follows, where “nn” represents the level number and is always stored as two digits (i.e. 01, 02, and so on):

Data | Attribute
Level Description (60 characters maximum) | LnnLABEL
Wires Per Connection (three characters maximum) | LnnWIREPERC
Pin Left (12 characters maximum) | LnnPINL
Pin Right (12 characters maximum) | LnnPINR
Internal Jumper (255 characters maximum) | LnnINJUMP
NoteIf these attributes are not present, the data is placed into Xdata with the same name, only with a “VIA_WD_” prefix.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit terminal

Edits individual terminals/levels.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip, Catalog Code Assignment, or Cable Information tab, select the level to modify. In the Terminals section, click Edit Terminal.

Installation Code

Changes the installation codes. Click Browse to display a list of existing installation values found in the active drawing, entire project, or an external list (default.inst). Pick from the list to update the component automatically with the installation code.

Location Code

Changes the location codes. Click Browse to display a list of existing location values found in the active drawing, entire project, or an external list (default.inst). Pick from the list to automatically update the component automatically with the location code.

Terminal Strip

Specifies the Tag ID given to the terminal strip. If there is an existing name, it appears in the edit box. If not, you can enter a specific ID name or click the < and > buttons to increment or decrement the last digit/character in the Tag Strip value.

Number

Specifies the ID number for the terminal. If the catalog values of the terminal carry PINLIST information, you can step through the available pin numbers using < or >. If there is not PINLIST information, these buttons just increment or decrement the terminal number. You can also click Pick to select a text object or an attribute on the active drawing to use for the terminal number.

When inserting a new terminal, the highest terminal number in the strip is identified and the default terminal number for the new terminal increments by 1.

NoteIt is unavailable when the terminal symbol does not have a TERM01 attribute or when the terminal number is the same as the wire number.
NoteInstallation Code, Location Code, and Terminal Strip are disabled when editing an accessory.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reassign terminal

Reassigns the selected terminals to another terminal strip within the active project. Multiple selection is allowed.

NoteAny terminal strips that have terminals added or removed using the Reassign Terminal tool must be inserted on the drawing or rebuilt. If you did not update the graphical terminal strip layout for the edited strip, you are prompted to select the appropriate action from the alert dialog box.
Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip, Catalog Code Assignment, or Cable Information tab, select the terminal to modify. In the Terminals section, click Reassign Terminal.

The default values are representative of the current terminal strip assignment. As you select terminal strips in the grid, the values in the text boxes update to reflect your selection. If you enter your own values and a matching terminal strip does not currently exist, a new one is created.

Installation Code | Specifies the Installation code for the selected terminal. If there is an existing name, it appears in the edit box. If not, you can enter a new value. Click Browse to display a list of existing installation values found in the active drawing, entire project, or an external list (default.inst). Pick from the list to update the component automatically with the installation code.
Location Code | Specifies the Location code for the selected terminal. If there is an existing name, it appears in the edit box. If not, you can enter a new value. Click Browse to display a list of existing location values found in the active drawing, entire project, or an external list (default.inst). Pick from the list to update the component automatically with the location code.
Terminal Strip | Specifies the Tag ID given to the terminal strip. If there is an existing name, it appears in the edit box. If not, you can enter a new value.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Renumber terminal strip

Renumbers terminals within a terminal strip. You are prompted to insert the graphical terminal strip if you renumber a terminal that has one or more levels still available.

NoteYou cannot renumber a terminal that uses a wire number as its terminal number. Additionally, duplicate terminal numbers are not restricted.
Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip, Catalog Code Assignment, or Cable Information tab, select the level to modify. In the Terminals section, click Renumber Terminals.

Terminal Renumber starting with | Defines the starting value for the terminal numbers. This value can be alpha, numeric, or a combination of both. The default value is the lowest value of the selected terminals.
Start with Bottom Level | Indicates to process the terminals starting with the last level and work its way back to 1, in order (5,4,3,2,1). If unselected, the tool starts with level 1 and moves forward (1,2,3,4,5).
Ignore Alphanumeric Terminals | Indicates to process only the terminals that are a numeric value, all terminals containing an alpha character are ignored and are not renumbered.
Ignore Accessories | Indicates to ignore any accessories in the terminal strip during the renumber command.
Renumber | Specifies whether to renumber the terminal based on terminal or level. Per Terminal processes the entire terminal at a time while Per Level processes each level at a time.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert spare terminal

Adds spare terminals to the edited terminal strip.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip, Catalog Code Assignment, or Cable Information tab, select a terminal from the list. In the Spare section, click Insert Spare Terminal.

Number

Defines the starting terminal number for inserting spares. The default value is “SPARE.” Select Increment if you want to increment the terminal ID when the spare terminal is inserted. If the quantity is set to less than 2, you cannot increment the ID.

If you are inserting multi-level terminals as defined by the catalog assignment, each level of a terminal receives the same number assignment if you select Increment. For example, if you insert 3 spare terminals and they are defined as three level terminals, all three levels on terminal 1 are designated as 1, 2 as 2, and 3 as 3. To modify them, edit the spare terminal or use the Renumber Terminals tool to get the numbering format you want.

Quantity

Specifies a numeric value for the number of spare terminals to insert. The default value is 1. Use < or > to increment the value by a single step.

Manufacturer

Lists the manufacturer number for the spare terminal. Enter a value or select one from the Catalog lookup.

Catalog

Lists the catalog number for the spare terminal. Enter a value or select one from the Catalog lookup.

Assembly

Lists the assembly code for the spare terminal. The Assembly code is used to link multiple part numbers together.

Catalog Lookup

Opens the catalog database of the spare terminal from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected spare terminal. Database queries are set up in the 3 lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Insert Above/Insert Below

Once you define the starting number and the number of spare terminals to insert, click Insert Above to insert the defined spare terminals above the selected terminal in the grid, or Insert Below to insert the spares below the selected terminal.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert accessory

Inserts terminal accessories such as end barriers and dividers, into the terminal strip.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip, Catalog Code Assignment, or Cable Information tab, select the terminal in the list. In the Spare section, click Insert Accessory.

Number | Defines the starting terminal number for inserting accessories. Select Increment if you want to increment the terminal ID when the accessory is inserted. If the quantity is set to less than 2, you cannot increment the ID.
Quantity | Specifies a numeric value for the number of accessories to insert. The default value is 1. Use < or > to increment the value by a single step.
Manufacturer | Lists the manufacturer number for the accessory. Enter a value or select one from the Catalog lookup.
Catalog | Lists the catalog number for the accessory. Enter a value or select one from the Catalog lookup.
Assembly | Lists the assembly code for the accessory. The Assembly code is used to link multiple part numbers together.
Catalog Lookup | Opens the catalog database of the accessory from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected accessory. Database queries are set up in the 3 lists across the top of the dialog box with the database hits listed in the main window of the dialog box.
Insert Above/Insert Below | Once you define the starting number and the number of accessories to insert, click Insert Above to insert the defined accessories above the selected terminal in the grid, or Insert Below to insert the accessories below the selected terminal.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Toggle location codes

Toggles destinations based on their location codes from one side of the terminal to the other.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip, Catalog Code Assignment, or Cable Information tab, Destinations section, click Toggle Location.

NoteIf components are present that have a blank value for the location code, question marks (??) display in the dialog box.
Internal Destination | Lists connections to the terminal that reside in the same location as the terminal.
External Destination | Lists connections to the terminal that reside in a different location than the terminal.
Toggle External to Internal/Toggle Internal to External | Toggles/moves locations from one side of the terminal to the other. Select the location value to move in either list and click the appropriate button.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Toggle installation code

Toggles destinations based on their installation codes from one side of the terminal to the other.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip, Catalog Code Assignment, or Cable Information tab, Destinations section, click Toggle Installation.

NoteIf components are present that have a blank value for the installation code, questions marks (??) displays in the dialog box.
Internal Destination | Lists connections to the terminal that reside in the same location as the terminal.
External Destination | Lists connections to the terminal that reside in a different location than the terminal.
Toggle External to Internal/Toggle Internal to External | Toggles/moves locations from one side of the terminal to the other. Select the installation value to move in either list and click the appropriate button.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Associate terminals

Use this tool to combine two or more terminal blocks from any drawing into a single multiple-level terminal block. You are alerted if you select too many levels to associate. You can then decrease the number of selected levels or use the Break Apart Terminal Associations tool to separate out one of the levels in the new association.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Terminal Strip or Catalog Code Assignment tab, select the level to modify. In the Multi-Level section, click Associate Terminals.

The number of levels you selected to add to the association displays at the top of the dialog box.

Terminals

Lists only the terminals that have enough available levels that can accommodate the number of levels you chose to associate.

Terminal grid

Displays the terminal information for the terminal selected in the tree control.

  • Level numbering: Displays a level number for each level that is defined in the terminal properties. The level numbering of the panel symbol is a pound symbol (#).
  • Label: Lists the level description defined in the terminal block properties.
  • Number: Lists the terminal numbers defined in the association. Only one terminal number is allowed per level and each level displays its respective terminal number or text. Panel terminal symbols do not display terminal numbers. Terminal levels with an assignment and a terminal that was not assigned a terminal number display question marks (???) in this column.
  • PinL: Lists the pin numbers defined on the left side of the terminal block. This data is entered into the L0nPINL attribute if present; otherwise, it is placed into xdata.
  • PinR: Lists the pin numbers defined on the right side of the terminal block. This data is entered into the L0nPINR attribute if present; otherwise, it is placed into xdata.

    Pin numbering is related to the terminal level and not the terminal tag number instance.

  • Reference: Lists the reference location of the terminal symbol in the project. The syntax is “Sheet,Reference” based on the drawing configuration.

Associate

Adds the selected terminal symbol to the terminal association selected on the Terminal Strip Editor dialog box. The selections are processed from top to bottom in the Terminal Strip Editor grid and populate the available levels in the new association from the first available once you click OK.

NoteThe grid row must be selected before you can perform the association.

Move Up/Move Down

Moves the selected terminal up or down one level within the terminal definition.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit/Delete Jumpers

Use this to edit the jumper information, such as catalog data, remove terminals from a jumper, or delete a jumper.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. Select the terminals with the jumper defined and select the Edit/Delete Jumper tool.

Jumpers to Terminals

Lists all of the jumpers, grouped by Jumper ID, attached to the selected terminal. If this dialog box is used within the Assign Jumper function, only the jumper being assigned is displayed.

NoteYou cannot assign a jumper between terminals from different terminal strips using Terminal Strip Editor. If a jumper across terminals strips exists, it is displayed but you cannot modify it using Terminal Strip Editor. It must be modified using the Edit Jumper tool.

Catalog Data

Specifies the catalog data for the jumper between the primary terminal and the selected terminal.

  • Manufacturer: Specifies the manufacturer name.
  • Catalog: Specifies the catalog number.
  • Assembly: Specifies the assembly code.
  • Item: Specifies the item value.
  • Count: Specifies how the catalog data is used in the Bill of Materials. When multiple terminals are jumpered together, you can have a single catalog item represent a jumper bar that spans the selection, or single jumpers between each terminal.
  • Lookup: Displays the catalog database from which you can select the Manufacturer and Catalog values.
  • Project: Lists the part numbers used for similar components in the active project.
  • Copy: Copies catalog values from the selected jumper in to memory for this session of AutoCAD Electrical, to b paste into another jumper.
  • Paste: Paste the previously copied catalog values into the selected jumpers.
  • Clear: Clear catalog values for the selected jumpers.

Delete

Select the jumper label, terminal strip, or a single terminal to perform one of the following actions:

  • Jumper label: Deletes the jumper from all of the terminals.
  • Terminal strip: Deletes the terminals in that group from the jumper. If there are no remaining terminals in the group, the jumper is deleted.
  • Single terminal: Deletes the terminal from the jumper. If it is the last terminal deleted, the entire jumper is deleted.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Use the terminal strip editor
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select row cell styles

Defines row styles to use in the table style. The selections are stored in the table when it is inserted and the next time the terminal strip is edited, the settings are read back in.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Layout Preview tab, select Tabular Terminal Strip (Table Object). Click Row Styles.

Table Style | Selects a table style from the active drawing to use. This overrides what is defined in the Terminal Strip Editor dialog box.
Terminal | Lists available row cell styles from the selected table style. Select a specific row style to used for terminals, spare terminals, and extra terminals that are inserted due to wiring constraints.
Accessory | Lists available row cell styles from the selected table style. Select a specific row style to used for accessories.


Use the terminal strip editor (Quick Reference)

Use the terminal strip editor
Use the terminal strip editor
Generate terminal strip tables
Terminal Tools > Terminal Strips >
Use the terminal strip editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal Strip Table Data Fields to Include

Defines the columns for your tabular terminal report. The selections are stored in the table when it is inserted and the next time the terminal strip is edited, all of the settings are read back in.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. On the Layout Preview tab, select Tabular Terminal Strip (Table Object). Click Define Columns.

Available Fields | Lists the available fields for formatting the table. Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the table.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Cell Style | Specifies the cell style for the table. Within the table styles, you can define different cell styles to use. They give the added flexibility to customize how the terminal strip appears. As you select one of the fields to report you can assign a cell style to the selection.
Name | Displays the name for the field that is selected in the Fields to Report section of the dialog box. Use the default name or enter a new name in the edit box.
Width | Specifies the column width to set for the selected Field to Report. Enter a positive numeric value in the edit box.
Always show jumper circles | Specifies that jumper circles are always shown, and how many, even if a jumper connection is not defined for that terminal. NoteThis control is available only when the “Jumper” field is selected.
Always show internal jumper squares | Specifies that internal jumper squares are always shown, and how many, even if a jumper connection is not defined for that terminal. NoteThis control is available only when the “Jumper-Internal” field is selected.
Available Fields
Installation1 | Left Installation column in the Terminal Strip Editor grids.
Location1 | Left Location column in the Terminal Strip Editor grids.
Device1 | Left Device column in the Terminal Strip Editor grids.
Pin1 | Left Pin column in the Terminal Strip Editor grids.
Wire1 | Left Wire column in the Terminal Strip Editor grids.
Type1 | Left Type column in the Terminal Strip Editor grids.
Cable1 | Left Cable column in the Terminal Strip Editor Cable Information grid.
Conductor1 | Left Conductor column in the Terminal Strip Editor Cable Information grid.
T1 | Left T column in the Terminal Strip Editor grids.
Number | Number column in the Terminal Strip Editor grids.
T2 | Right T column in the Terminal Strip Editor grids.
Manufacturer | Manufacturer column in the Terminal Strip Editor Catalog Code Assignment grid.
Catalog | Catalog column in the Terminal Strip Editor Catalog Code Assignment grid.
Conductor2 | Right Conductor column in the Terminal Strip Editor Cable Information grid.
Cable2 | Right Cable column in the Terminal Strip Editor Cable Information grid.
Type2 | Right Type column in the Terminal Strip Editor grids.
Wire2 | Right Wire column in the Terminal Strip Editor grids.
Pin2 | Right Pin column in the Terminal Strip Editor grids.
Device2 | Right Device column in the Terminal Strip Editor grids.
Location2 | Right Location column in the Terminal Strip Editor grids.
Installation2 | Right Installation column in the Terminal Strip Editor grids.
Jumper | Column for displaying defined jumpers.


Generate terminal strip tables (Concept)

Use the terminal strip editor
Terminal Strips
Terminal Properties Lookup
Terminal Tools > Terminal Strips >
Generate terminal strip tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the Terminal Strip Table Generator tool to insert one terminal strip or multiple terminal strips as table objects. There are options to insert a terminal strip as a single table object or to split the terminal strip into multiple table objects. New drawings are created as needed and are automatically added to the active project. This tool can also be used to rebuild or refresh existing terminal strip tables within the active project.


Generate terminal strip tables (Procedure)

Use the terminal strip editor
Up a level to ..
Generate terminal strip tables
Terminal Tools > Terminal Strips >
Generate terminal strip tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert terminal strip tables onto drawings

Insert a terminal strip table in multiple sections


Generate terminal strip tables (Quick Reference)

Use the terminal strip editor
Generate terminal strip tables
Generate terminal strip tables
Terminal Tools > Terminal Strips >
Generate terminal strip tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip table generator

Terminal strip table settings


Insert terminal strip tables onto drawings (Procedure)

Generate terminal strip tables
Up a level to ..
Generate terminal strip tables
Terminal Tools > Terminal Strips >
Generate terminal strip tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert terminal strip tables onto drawings

  1. Click Panel tab [image] Terminal Footprints panel [image] Table Generator. Enter AETSEGENERATOR at the command prompt.
  2. Select the terminal strips to create tables from.
  3. Specify the file name for the first drawing. We recommend that you add a numeric suffix to the file name since the last character of the file name is incremented for each new drawing.
  4. (Optional) Specify a template file to use.
  5. Specify the table settings:
    • Specify the table style, row style, table title, and layer.
    • Select Settings to define the X and Y placement values.
    • (Optional) Select Define Columns to define the columns to include, column order, labels and if you want to show jumper circles.
    • (Optional) Select Settings to split the terminal strip into table sections based on rows per section, sections per drawing and specify the section offset values.
  6. Select whether to insert the tables in new drawings, rebuild an existing terminal strip or refresh an existing terminal strip.
  7. Click OK.


Insert a terminal strip table in multiple sections (Procedure)

Generate terminal strip tables
Up a level to ..
Terminal Properties Lookup
Terminal Tools > Terminal Strips >
Generate terminal strip tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a terminal strip table in multiple sections

A terminal strip table can be added through the Terminal Strip Editor or with the Terminal Strip Table Generator tool. A terminal strip can be split into multiple table sections by changing your table settings.

Terminal Strip Editor
  1. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
  2. Make your selection on the Terminal Strip Selection dialog box and click Edit.
  3. Click the Layout Preview tab.
  4. Select Settings.
  5. Enter the number of rows you want for each section. If the table break falls between rows within one terminal definition, the entire terminal definition will be placed in the next table section resulting in a table section with fewer rows than defined.
    NoteIf the terminal definition is the first one in the section and exceeds the number of rows per section, the entire terminal definition is kept together in one section.
  6. Specify how many table sections you want to place on each drawing. Unless you insert all the sections on the active drawing, new drawings will be created for the table sections.
  7. Specify the X and Y placement or select the Pick Point button to pick a point on the drawing. This value will be used for the first table section on each drawing.
  8. Specify the distance you want between each section if you are placing more than one section per drawing.
  9. Specify the direction to place each section after the first table section.
  10. Specify the offset base point meaning whether you want the distance value to be measured from insertion point to insertion point or the gap between the sections.
  11. Specify the file name for the first drawing. The last character of the file name is incremented for each new drawing.
  12. (Optional) Specify a template file to use.
  13. Click OK.
Terminal Strip Table Generator
  1. Click Panel tab [image] Terminal Footprints panel [image] Table Generator. Enter AETSEGENERATOR at the command prompt.
  2. Select Settings.
  3. Enter the number of rows you want for each section. If the table break falls between rows within one terminal definition, the entire terminal definition will be placed in the next table section resulting in a table section with fewer rows than defined.
    NoteIf the terminal definition is the first one in the section and exceeds the number of rows per section, the entire terminal definition is kept together in one section.
  4. Specify how many table sections you want to place on each drawing. Unless you insert all the sections on the active drawing, new drawings will be created for the table sections.
  5. Specify the X and Y placement or select the Pick Point button to pick a point on the drawing. This value will be used for the first table section on each drawing.
  6. Specify the distance you want between each section if you are placing more than one section per drawing.
  7. Specify the direction to place each section after the first table section.
  8. Specify the offset base point meaning whether you want the distance value to be measured from insertion point to insertion point or the gap between the sections.
  9. Specify the file name for the first drawing. The last character of the file name is incremented for each new drawing.
  10. (Optional) Specify a template file to use.
  11. Click OK.


Generate terminal strip tables (Quick Reference)

Generate terminal strip tables
Generate terminal strip tables
Generate terminal strip tables
Terminal Tools > Terminal Strips >
Generate terminal strip tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip table generator

Creates drawing files with tabular terminal strip layouts.

Ribbon: Panel tab [image] Terminal Footprints panel [image] Table Generator. Does not exist on the ribbon.
Toolbar: Terminal Footprint
Menu: Panel Layout [image] Terminal Strip Table GeneratorDoes not exist in the menus.
Command entry: AETSEGENERATOR

Terminal Strip Table Generator inserts one terminal strip or multiple terminal strips as table objects. It places all table sections on new drawings, and adds new drawings to the active project.

Each terminal strip selected begins on a separate drawing. The installation code, location code, and tag values of the terminal strip are written to the Drawing Description Field inside of the project file (*.wdp).

Terminal Strip Selection

Lists all terminal strips in the active project. Select the terminal strips to use for automatically creating the drawing files. You can select a single terminal strip or multiple strips. Multiple strips can be selected using either the Shift or Control keys while highlighting rows, or by clicking and dragging the mouse. Terminal strips are created using an AutoCAD table object.

Table Settings
Table Style | Specifies the table style to use for the table. Select from the list or click Browse to browse to and select another drawing file whose table styles you want to use. NoteIf the selected table style is not in the TableStyle.dwg file, it is added.
Define Columns | Defines the columns to include, order, headings, justification, and jumper circles display for the jumper chart.
Row Styles | Defines specific row styles to use for the selected table style. On the Select Row Cell Styles dialog box, select the table style and row cell styles to use and click OK.
Layer | Defines the specific layer for the tabular terminal strip to place on when inserted. On the Select Table Layer dialog box, select the layer name from the list of layers on the active drawing and click OK.
Table Title | Defines a title for the table. Enter a title, select from a list of variables or use a combination of both. When selecting from the list, the selection is added to the end of the string if one exists in the edit box.
Total Rows | Displays the total number of rows needed to create the terminal strip table layout. For example, even though the terminal strip contains only 86 terminals, the table format may present more rows in a multi-line terminal situation.
Number of Rows per Section | Displays the number of rows per section as defined on the Table Settings dialog box.
Number of Sections | Displays the number of sections needed based on the total rows and the number of rows per section.
Number of Sections per Drawing | Displays the number of sections to place on each drawing as defined on the Table Settings dialog box.
Number of Drawings | Displays the number of drawings necessary to generate the terminal strip using the current table settings.
Settings | Defines the table settings such as number of rows per section, number of sections per drawing, table, and section placement, section offset, scale, angle, first drawing name if a new drawing is needed, and the template to use for any new drawings generated.
Browse | Browses for any saved settings (in a *.tsl file) that you previously created.
Save As | Saves the settings to an external file (with extension *.tsl) that you can later reuse. The default folder location is the User folder in the Documents and Settings or Users location.
Default | Uses the default settings for creating the table.
Insert/Rebuild/Refresh

Insert

Creates new drawings for each table or table sections based on the defined table settings and adds the drawings to the active project.

NoteIf the selected strip is found in the project, existing table sections are deleted and new drawings are created and new tables placed.

Rebuild

Updates existing tables that were already placed. If the terminal strip exists in the project, table sections are located, deleted, and rebuilt in place without prompting you to select a new insertion point.

NoteIf the selected terminal strip is not found in the project, an alert displays asking if you want to insert the missing strip in a new drawing. If you click Yes, the terminal strip is inserted. If you click No, the terminal strip is not inserted. The terminal strips that were found are updated.

Refresh

Refreshes the data within an existing tabular terminal strip; a new table is not inserted.

NoteIf the selected terminal strip is not found in the project, an alert displays asking if you want to insert the missing strip in a new drawing. If you click Yes, the terminal strip is inserted. If you click No, the terminal strip is not inserted. The terminal strips that were found are updated.


Generate terminal strip tables (Quick Reference)

Generate terminal strip tables
Generate terminal strip tables
Overview of terminal properties database
Terminal Tools > Terminal Strips >
Generate terminal strip tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Terminal strip table settings

Defines the settings for the Terminal Strip table object.

Terminal Strip Editor
Ribbon: Panel tab [image] Terminal Footprints panel [image] Editor. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Terminal Strip EditorDoes not exist in the menus.
Command entry: AETSE

Make your selection on the Terminal Strip Selection dialog box and click Edit. Click the Layout Preview tab and select Tabular Terminal Strip (Table Object). Click Settings.

Terminal Strip Table Generator
Ribbon: Panel tab [image] Terminal Footprints panel [image] Table Generator. Does not exist on the ribbon.
Toolbar: Terminal Footprint
Menu: Panel Layout [image] Terminal Strip Table GeneratorDoes not exist in the menus.
Command entry: AETSEGENERATOR

Rows Per Section

Specifies how many rows for each table section. If the table break falls between rows within one terminal definition, the entire terminal definition will be placed in the next table section resulting in a table section with fewer rows than defined.

NoteIf the terminal definition is the first one in the section and exceeds the number of rows per section, the entire terminal definition is kept together in one section.

Sections Per Drawing

Specifies how many table sections to insert on each drawing. All sections will be placed on new drawings unless the option “Insert All Sections on Active Drawing” is selected.

NoteThe “Insert All Sections on Active Drawing” option is not available when using the Terminal Strip Table Generator tool.

Section Placement

Specifies where to place the table in the drawing. You can enter x and y values or pick a point on the screen.

Section Offset

Specifies the distance between sections, offset direction, and the base point for the distance measurement.

  • Distance: Specifies the distance between sections.
  • Direction: Specifies the direction for the offset.
  • Base Point: Specifies the base point for the distance measurement between sections.

Scale/Angle on Insert

Specifies the scale and angle of the table sections when inserted. These settings are reflected in the preview.

Drawing Information for Table Output

  • First Drawing Name: Specifies a starting drawing file location and file name to use for the automatic creation of the drawing files. The drawings are automatically added to the active project and display at the end of the drawing list in the Project Manager. The last character of the drawing file name is incremented for each drawing created.
  • Template: Specifies the template file to use for any new drawings. Enter a template file name or click Browse to search for and select a template file.

Show Unused Wire Connections in Table

Select to display all rows for each terminal even if there is no connected component. The number of rows is defined by the Wires per Connection value for the terminal.

NoteA terminal without any connected components has one row in the table.

Preview

Opens a preview dialog box to view each drawing as it will look when generated. All table settings are reflected in the preview.


Terminal Properties Lookup

Generate terminal strip tables
Terminal Tools
Overview of terminal properties database
Terminal Tools >
Terminal Properties Lookup
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of terminal properties database

    Select terminal properties table


Terminal Properties Lookup (Procedure)

Generate terminal strip tables
Terminal Properties Lookup
Overview of terminal properties database
Terminal Tools >
Terminal Properties Lookup
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Edit terminal properties database


Overview of terminal properties database (Concept)

Terminal Properties Lookup
Terminal Properties Lookup
Point-to-Point Wiring Tools
Terminal Tools > Terminal Properties Lookup >
Overview of terminal properties database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The terminal properties database file (_TERMPROPS table in the default_cat.mdb) can be viewed, edited, and expanded using the Terminal Properties Database Editor tool. The terminal properties table holds the terminal properties based on the manufacturer, catalog, and assembly code entries. When a catalog assignment is made to a terminal, it looks to the terminal properties table for a matching entry and pulls out and assigns the properties when a match is found. The following wild cards are supported in the catalog field:

  • * = matches any characters
  • ? = matches a single character
  • # = matches a single numeric digit
  • @ = matches a single alphabetic character
Structure of the terminal properties database table

RECNUM

(Microsoft Access internal use)

MANUFACTURER

Manufacturer code (value must be consistent with the catalog lookup files; 24 characters maximum)

CATALOG

Catalog number (use wild cards as much as possible; 60 characters maximum)

ASSEMBLYCODE

AutoCAD Electrical internal assembly code (must be consistent with the catalog lookup files; 60 characters maximum)

LEVELS

Number of levels for the terminal

LEVELDESCRIPTION

Levels description/level definition (255 characters maximum)

TPINL

Pin label definition for the left side of the terminal (255 characters maximum)

TPINR

Pin label definition for the right side of the terminal (255 characters maximum)

WIRESPERCONNECTION

Definition of the wiring constraints (255 characters maximum)

INTERNALJUMPER

Levels within a multi-tier terminal that are jumpered together. A comma (,) is used as a delimiter between each level within a jumper definition. A semicolon (;) is used as a delimiter between jumper definitions within a terminal.

For example, if all levels of a four-level terminal are jumpered together, the value is “1,2,3,4”. If levels 1 and 2 are jumpered together, and 3 and 4 are jumpered together, the value is “1,2;3,4”.

NoteWhen dealing with a multi-tier terminal, a comma (,) is used as a delimiter for the LevelDescription, WiresPerConnection, TPINR, and TPINL fields. For example, the LevelDescription may be “UPPER,LOWER” and the WiresPerConnection may be “2,2.”


Overview of terminal properties database (Quick Reference)

Generate terminal strip tables
Overview of terminal properties database
Overview of terminal properties database
Terminal Tools > Terminal Properties Lookup >
Overview of terminal properties database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select terminal properties table

Edit

Edit record


Edit terminal properties database (Procedure)

Terminal Properties Lookup
Up a level to ..
Working with Connectors
Terminal Tools > Terminal Properties Lookup >
Overview of terminal properties database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit terminal properties database

Use the Terminal Properties Database Editor tool to edit the terminal properties database, located in the catalog database.

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Terminal Properties Database Editor. Enter AETERMDBEDITOR at the command prompt.
  2. In the Select Terminal Properties Table dialog box, select the table to edit and click Edit.
    NoteYou can also create a table by entering the manufacturer name in the edit box and clicking Create.
  3. In the Edit dialog box:
    • To edit a record, click Sort, Filter, or Find to search for the record to edit. Select the record from the list and click Edit.
    • To create a record, click Add New, or select an existing record and click Add Copy to create a record based on an existing one.
    • To delete an existing record, select the record in the list and click Delete.
  4. To edit or create a record, in the Edit Record dialog box, specify the values to assign to the record and click OK.
  5. In the Edit dialog box, click Save/Exit.


Overview of terminal properties database (Quick Reference)

Overview of terminal properties database
Overview of terminal properties database
Overview of terminal properties database
Terminal Tools > Terminal Properties Lookup >
Overview of terminal properties database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select terminal properties table

Use this tool to select the relevant _TERMPROPS table to edit or create a new one.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Terminal Properties Database Editor. Does not exist on the ribbon.
Menu: Components [image] Terminals [image] Terminal Properties Database EditorDoes not exist in the menus.
Command entry: AETERMDBEDITOR

Select or Type Manufacturer

Lists all of the TERMPROPS tables that are in the catalog database. The “(Default)” manufacturer is used to edit the generic _TERMPROPS table.

Select the table to edit or enter a name for a new one.

Table

Displays the proper table name in the catalog database. This text changes depending on which manufacturer is selected. For example, if you select SQD, then _TERMPROPS_SQD displays.

Create

(Available only when you enter the name of a manufacturer.) Creates a table in the catalog database with the specified name and adds the table to the list of manufacturers. Once a table is created, the Edit (Table: _TERMPROPS_manufacturer) dialog box displays so you can edit the new table.

NoteThe following characters are not allowed in the table name: ~ @ # $ % ^ & * - + = \ { } “ ‘ ; : ? / < > , ! [ ] |. These characters are replaced with an underscore (_) if entered in the edit box.

Edit

(available only after a manufacturer is selected from the list) Opens the Edit (Table: _TERMPROPS_manufacturer) dialog box so you can edit the selected TERMPROPS table.


Overview of terminal properties database (Quick Reference)

Overview of terminal properties database
Overview of terminal properties database
Overview of terminal properties database
Terminal Tools > Terminal Properties Lookup >
Overview of terminal properties database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit

AutoCAD Electrical consults a terminal properties database table when a catalog assignment is made to a terminal. Use it to edit the terminal properties database.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Terminal Properties Database Editor. Does not exist on the ribbon.
Menu: Components [image] Terminals [image] Terminal Properties Database EditorDoes not exist in the menus.
Command entry: AETERMDBEDITOR

Specify the table to create and click Create or select the table to edit and click Edit.

This lookup database table is a table within the catalog lookup Access .mdb file. The default file name is default_cat.mdb, table _TERMPROPS, and comes populated with a sample of vendor data. You can expand this table as needed. Use your own copy of Microsoft Access or use this dialog box to add new entries, add entries based on existing entries, edit, and delete entries from the table.

Sort | Sorts the list of database records using either an alphanumeric sort or number values. You can specify four sorts to perform on the list.
Find | Find the next instance of the text you enter. Select to look in the entire table or a specific field. Select to match the entire field, part of the field, or just the beginning of the field with the entered text. Choose to make it case sensitive by clicking Match case.
Replace | Indicates to replace the find value with the new text string that you specify.
Filter | Filters the listing based on certain values in the table. Picking the blank entry in the list removes the filter for that field. After you define the values to filter, apply the filter in the database editing window.
Edit | Displays the Edit Record dialog box for modifying the existing record in the database.
Add New | Displays the Edit New Record dialog box for entering a new record into the database.
Add Copy | Displays the Edit Copied Record dialog box for modifying and copying the record to make a new record. You cannot have two duplicate copies in the database.
Delete | Removes the selected record from the database.


Overview of terminal properties database (Quick Reference)

Overview of terminal properties database
Overview of terminal properties database
Use point-to-point wiring tools
Terminal Tools > Terminal Properties Lookup >
Overview of terminal properties database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit record

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Terminal Properties Database Editor. Does not exist on the ribbon.
Menu: Components [image] Terminals [image] Terminal Properties Database EditorDoes not exist in the menus.
Command entry: AETERMDBEDITOR

Specify the table to create and click Create or select the table to edit and click Edit. In the Edit dialog box, click Add New, Add Copy, or Edit.

RECNUM

(Microsoft Access internal use)

MANUFACTURER

Manufacturer code (value must be consistent with the catalog lookup files; 24 characters maximum)

CATALOG

Catalog number (use wild cards as much as possible; 60 characters maximum).

ASSEMBLYCODE

AutoCAD Electrical internal assembly code (must be consistent with the catalog lookup files; 60 characters maximum)

LEVELS

Number of levels for the terminal

LEVELDESCRIPTION

Levels description/level definition (255 characters maximum)

TPINL

Pin label definition for the left side of the terminal (255 characters maximum)

TPINR

Pin label definition for the right side of the terminal (255 characters maximum)

WIRESPERCONNECTION

Definition of the wiring constraints (255 characters maximum)

INTERNALJUMPER

Definition of levels jumpered together within a multi-tier terminal. (255 characters maximum)

A comma (,) is used as a delimiter between each level within a jumper definition. A semicolon (;) is used as a delimiter between jumper definitions within a terminal.

For example, if all levels of a four level terminal are jumpered together, the value is “1,2,3,4”. If levels 1 and 2 are jumpered together, and 3 and 4 are jumpered together, the value is “1,2;3,4”.

When dealing with a multi-tier terminal, a comma (,) is used as a delimiter for the LevelDescription, TPINL, TPINR, and WiresPerConnection fields. For example, the LevelDescription may be “UPPER, LOWER” and the WiresPerConnection may be “2,2.”


Point-to-Point Wiring Tools

Overview of terminal properties database
Working with Connectors
Point-to-Point Wiring Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Working with Connectors
  • Bend wires at right angles
  • Insert multiple bus wiring
  • Import data from Autodesk Inventor Professional Cable & Harness
  • Overview of the spreadsheet import file structure
  • Insert splices


Working with Connectors

Point-to-Point Wiring Tools
Point-to-Point Wiring Tools
Use point-to-point wiring tools
Point-to-Point Wiring Tools >
Working with Connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Use point-to-point wiring tools

    Insert connector


Working with Connectors (Procedure)

Overview of terminal properties database
Working with Connectors
Use point-to-point wiring tools
Point-to-Point Wiring Tools >
Working with Connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert connectors

Rotate connectors

Reverse connectors

Stretch connectors

Split connector

Add pins to a connector

Delete pins from connectors

Swap pin numbers

Move pins

Edit connector pin numbers


Use point-to-point wiring tools (Concept)

Working with Connectors
Working with Connectors
Bend wires at right angles
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Point-to-Point Style Schematic

Ladder Style Schematic

In addition to the tools specifically related to connectors, you can utilize other AutoCAD Electrical tools for editing your point-to-point wiring diagrams.

Edit Pin Numbers

Use the Edit Component tool to edit the pin assignments on the parametrically generated connectors.

Connector Dash Link Lines

Use the Link Components (Dashed Line) tool to insert dash linked lines between parent and split-off child parametric connector symbols.

Scoot Connector

Use the Scoot tool to reposition the parametric connector along the same direction as the connected wiring.

Scoot Wire

Use the Scoot tool to move wires attached to pins on the connectors. The wire scoots and the connector pin along with it while the overall connector shell stays fixed.

Insert Wires

Use the Insert Wires tool to route single-wire connections. Use the Multiple Wire Bus tool, Component mode, to insert and route multiple wires in one tool.

NoteA wire connection point should only have up to three wire connections tied to it. Adding more wires to a single point prevents the angled wire connection to tie uniquely to the wire connection point.


Use point-to-point wiring tools (Procedure)

Working with Connectors
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert connectors

Rotate connectors

Reverse connectors

Stretch connectors

Split connector

Add pins to a connector

Delete pins from connectors

Swap pin numbers

Move pins

Edit connector pin numbers


Use point-to-point wiring tools (Quick Reference)

Overview of terminal properties database
Use point-to-point wiring tools
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert connector

Connector layout

Connector pin numbers in use


Insert connectors (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert connectors

Use this tool to insert a parametrically generated connector symbols.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
  2. In the Insert connector dialog box, specify the pin spacing and pin count.

    (Optional) For pin count, click Pick and draw a fence showing the length of the appropriate connector.

  3. Specify whether to build the connector using fixed pin spacing or to have it compress or expand to match the pins up with underlying wire crossings.
  4. Specify whether to insert the entire connector all at once or to insert it manually, pin by pin, with an option to insert spacers or to break the connector into 2 or more pieces.
  5. Click the Rotate or Flip buttons to change the display of the connector symbol.

    The preview image updates to reflect your changes to the connector display options.

  6. (Optional) Click Details for more options to define settings for the size, shape, and display of the parametrically built connector symbols.
  7. Click Insert.

    A preview outline of the connector displays for placement on the drawing. It shows rounded corners for the plug side of the connector. An 'x' indicates the insertion point of the connector and the arrow indicates the plug side wire connection direction.

  8. Specify the insertion point on the drawing or enter Z (zoom), P (pan), X, V, or Tab at the command prompt to change the connector orientation before insertion. Review the sections below to see how Tab, V key, or X key changes your connector orientation.

    If you selected to allow spacers/breaks, in the Custom Pin Spaces/Breaks dialog box, click Break Symbol Now to break the connector and display the Connector Layout dialog box for defining how you want the rest of the pins inserted on the drawing.

Reverse connector using the Tab key

Prior to committing the connector outline to the drawing, you can press Tab to reverse the connector either about its long axis or end for end. If the connector is vertical, a series of TAB keystrokes cycles the image through these four orientations:

Start point | TAB 1 | TAB 2 | TAB 3
Rotate connector using the V key

Press "V" at the command prompt to switch between vertical and horizontal orientations. Based on where the outline is in the flip process, the Tab keystroke reverses the connector either about its long axis or end for end. When in its horizontal orientation, a series of Tabs cycles the image through these four orientations

Start point | TAB 1 | TAB 2 | TAB 3
Switch layout using the X key

Press "X" at the command prompt to toggle between "Fixed Spacing" and "At Wire Crossings." Press the X key, and then move the connector preview over the wires so the connector stretches to align each pin with the underlying wire spacing. The connector stretches only to meet the underlying spacing when the first pin lands on a wire. If the size of the connector exceeds the total number of wires underlying the connector, the remaining pins follow the specified fixed spacing value.


Rotate connectors (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rotate connectors

Use this tool to rotate the connector about its insertion point in 90-degree increments. The wire connections do not reroute with each rotation of the connector. You must resolve wiring using the wire editing tools.

Note This command differs from the standard ROTATE command in that it renames the wire connection attributes to maintain full compatibility with the Insert Wire command, and it can hold the terminal pin text and tag-ID attributes in their current orientation.
  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Rotate Connector. Enter AEROTATE at the command prompt.
  2. Specify whether to hold the current attribute orientation.

    If you select Yes (default), the attribute text orientation does not rotate as the connector rotates.

  3. Select the connector to rotate.

    The connector automatically rotates 90 degrees.

  4. Keep clicking the connector until the appropriate position is reached.
  5. Press Enter or Esc to exit the command.
Example: Hold attribute orientation = yes
Original | First Rotate | Second Rotate | Third Rotate
Example: Hold attribute orientation = no
Original | First Rotate | Second Rotate | Third Rotate


Reverse connectors (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverse connectors

Use this tool to reverse the orientation of the connector about its horizontal or vertical axis. Any existing wire connections do not automatically reroute to the reverse side of the connector and you will have to resolve wiring using the wire editing tools.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Reverse Connector. Enter AEREVERSE at the command prompt.
  2. Select the connector to reverse.

    The connector automatically reverses depending on its original orientation.

    NoteFor a single receptacle connector with no rounded corners, the appearance of the graphics appears unchanged, but the wire connection attributes actually move to the other side of the connector.
  3. Press Enter or Esc to exit the command.


Stretch connectors (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Stretch connectors

Use this tool to increase or decrease the connector's overall shell length. You might do this to make room for new pins or to capture previously added pins that fell beyond the connector shell. You identify which end of the connector is to be altered and the measurement of displacement.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Stretch Connector. Enter AESTRETCH at the command prompt.
  2. Specify the end of the connector to stretch.
  3. Specify where you want the connector to end (second point of displacement). Either drag your mouse to the appropriate location or enter coordinates.
    NoteYou can press TAB during the stretch to change the visibility of the connector attributes. See the Tips and Hints below for more information.
  4. Press Enter or Esc to exit the command.
Tips and Hints
  • Stretch Connector does not support window selection.
  • Turn Snap ON.
  • The stretch begins at the end of the connector. There is not a first point of displacement.
  • If the stretched connector end runs over the top of the connector's tag-ID attribute (attribute name TAG1 or TAG2), then this attribute along with attributes INST, LOC, DESC1, DESC2, and DESC3 relocate with the stretch. Pressing TAB during the stretch changes the visibility of these attributes. If turned ON, the attributes display as temporary graphics that move with the stretch cursor; if turned OFF, the temporary graphics are not visible.
  • Avoid stretching one end of a connector all the way to the other end of the connector.


Split connector (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Split connector

Use this tool to split the parametric connector into two separate block definitions (for example, parent and a child or a child and another child).

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Split Connector. Enter AESPLIT at the command prompt.
  2. Select the connector block to split.
  3. Specify the split point (i.e. pick between two sets of pins).
  4. (Optional) Define the origin point for the new block. The default is preset to be in-line with the first set of pins on the split-off piece. If you do not want to accept the default, you can enter the coordinates or click Pick Point, and then select the origin point on the drawing.
  5. (Optional) Set the break type: no lines, straight lines, jagged lines, or draw it. The default is set to jagged lines.
  6. (Optional) Select to reposition the child block to move it as part of this command.
  7. Click OK.
  8. To reposition the child block, select a point on the screen to place the block.
  9. Press Enter or Esc to exit the command.


Add pins to a connector (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add pins to a connector

Once the connector is inserted onto the drawing you can edit the connector pins found inside of the connector shell. You may need to make room for the insertion of new pins by either stretching the connector shell (Stretch Connector), moving existing pins (Move Connector Pin), or scooting wires with attached pins (Scoot) to make room for your new pins.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Add Connector Pins. Enter AECONNECTORPIN at the command prompt.
  2. Select the connector.
  3. Specify where to insert the next available pin number (displayed on the command line) or press R+space to manually define the new starting pin number.

    The next available pin numbering is based on the existing pins and an optional pin list associated to the selected connector. The PINLIST values defined on the parent symbol are queried in the project database to determine the next available pin number on the connector component. This checks across the entire project to find the pin numbers used on both parent and any child connector symbols. If a PINLIST value is not defined, then the next available sequential pin number (based on existing pins) is used. Pin assignments can be numbers or letters or combinations of both.

  4. Press Enter or Esc to exit the command.
Tips and Hints
  • Turn Snap ON.
  • Pins can be added inside the shell or beyond either end of the connector shell.
  • Pins are inserted along the connector's centerline axis, even if your pick point is far off to one side of the connector.
  • Connectors can be stretched later to accommodate new pins added beyond either end of the connector.
  • Pins can be added between the original pins; pins can then be moved or scooted to accommodate spacing.
  • Pins can be lined up with a pin on another connector. After selecting the Add Connector Pins tool, select the connector to add the pin to, press Shift + right-click to display the Object Snaps options, select Insert and click the pin to align the new pin to. The new pin is inserted onto the selected component and is lined up with the pin on the other connector.


Delete pins from connectors (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Delete pins from connectors

Once the connector is inserted onto the drawing you can edit the connector pins found inside of the connector. Use this tool to remove a pin from an existing connector and, if the connector has a defined pin list, free this deleted pin to be re-inserted later on this connector or on a related child of this connector.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Delete Connector Pins. Enter AEERASEPIN at the command prompt.
  2. Pick the pins to delete from the connectors.

    The pin number attribute on the connector block disappears. This attribute along with associated wire connection and description attributes are not immediately removed from the connector. They are renamed so that they are effectively ignored. If the connector is subsequently stretched or split, then these deleted pin attributes are purged from the connector block instance.

  3. Press Enter or Esc to exit the command.
Tips and Hints
  • Deleting a pin that has a connected wire does not remove the wire. In this case, the wire no longer is connected to the connector. It appears to be a wire that is unconnected at the connector end.


Swap pin numbers (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Swap pin numbers

This tool exchanges one set of connector pin numbers for another on an existing connector or between connectors on the drawing.

NoteYou cannot swap a combination connector with a single plug or receptacle connector. Additionally, you cannot use this tool to swap pins from one side of a connector to the other.
  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Swap Connector Pins. Enter AESWAPPINS at the command prompt.
  2. Select the connector pin to swap.

    Temporary graphics are drawn around the selected pin number indicating that it has been included in the "swap" list.

  3. Select the pin that you want to swap with the selected pin.

    The connector pins are swapped between the two selections.

  4. Select another set of pins to swap or press Enter or Esc to exit the command.


Move pins (Procedure)

Use point-to-point wiring tools
Up a level to ..
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Move pins

Use this tool to reposition pins within an existing connector.

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Move Connector Pins. Enter AEMOVEPIN at the command prompt.
  2. Select the connector pin to move.
  3. Specify the new location for the pin.

    The pin relocates along the connector's centerline axis, even if your pick point is far off to one side of the connector. You can also specify a location beyond either end of the current connector shell, and then use the Stretch Connector tool to extend the shell to enclose these pins.

  4. Press Enter or Esc to exit the command.


Edit connector pin numbers (Procedure)

Use point-to-point wiring tools
Up a level to ..
Bend wires at right angles
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit connector pin numbers

Once the connector is inserted onto the drawing file's block definition, you can edit the connector pins found inside of the connector. Use the Connector Pin Numbers in Use dialog box to edit the pins defined on the parametric connector. Connector symbols have attributes to define Installation and Location codes, manufacturing data, component tagging and descriptions, and pin assignments.

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  2. Select the connector.
  3. In the Insert/Edit Component dialog box, Pins section, click List.
  4. In the Connector Pin Numbers in Use dialog box, select a pair of pins to modify.
  5. In the Pin Number section, enter a new pin number value in the edit boxes or click the arrows to either increase or decrease both plug and receptacle values by one.
  6. (Optional) Enter a description for the plug or receptacle terminal.
  7. Click OK.


Use point-to-point wiring tools (Quick Reference)

Use point-to-point wiring tools
Use point-to-point wiring tools
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert connector

Generates a connector dynamically from parameters you specify, and inserts it at a specified location.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert Connector [image] Insert ConnectorDoes not exist in the menus.
Command entry: AECONNECTOR

You select an orientation, connector type, such as plug/receptacle combination, and enter fixed pin spacing or adapt the pin spacing to underlying wires, and so on. Insert Connector negates the need to create and maintain a large library of schematic connector symbols.

Click Details to expand the dialog box to provide more options to define settings for the size, shape, and display of the parametrically built connector symbols.

Layout

Determines the overall appearance of the parametric connector, including pin spacing and pin count.

Pin Spacing

Specifies the distance between the pin wire connections. This value initially defaults to the Rung Spacing defined in Drawing Properties [image] Drawing Format [image] Ladder Defaults - Spacing setting for the drawing file.

Pin Count

Specifies the number of pins associated with the connector. This is required to parametrically build the connector.

Pick

This is an alternate Pick method for determining the Pin Count for the new connector. You can do a fence selection of crossed wires or you can define a starting point and ending point in empty space. For the fence selection, a pin exists for every wire intersection with the AutoCAD fence line. For example, if you cross five wires with the fence pick points, the pin count value will be 5. On the other hand, if you select endpoints in empty space, the total number of pins is based upon dividing the distance between the two pick points by the Pin Spacing value.

Fixed Spacing

Generates the connector with a fixed spacing from one pin to the next. This is the Pin Spacing value. If the Pin Spacing edit box is left blank, the fixed spacing value defaults to the drawing's ladder default spacing value.

At Wire Crossings

Modifies the pin placement to have the pins coincide with underlying wires. The connector stretches or compresses to match up with underlying wires as it inserts on to the drawing.

If the connector has more pins than underlying wires, the excess pins are added at the end of the connector using the default fixed spacing value.

Pin List

Specifies either the starting pin number for an incrementing series of pin numbers or the actual comma-delimited list of pin numbers to be used on the connector. For example, a pin list entry of "1" for a connector with the Pin Count set to 8 generates a connector with pins labeled "1" through "8." On the other hand, a pin list entry of "1,2,3,4,A,B,C,GND" generates an 8-pin connector with pins labeled "1", "2", "3", "4", "A", "B", "C", "GND."

If the Pin List edit box is left blank, the connector numbering starts at 1 and continues up through the Pin Count value. If you define more pin list data than pin count, the pins are used in the order they are defined. The entire list is saved on the connector as PINLIST xdata. This can be later referenced to add missing pins (Add Connector Pin tool) or to assign unused pins to a child instance of the parent connector.

Insert All

Creates the connector without further prompts (i.e. no option for inserting spacers or for breaking the connector into 2 or more pieces).

Allow Spacers/Breaks

Gives you manual control over the insertion of the connector. Displays the Custom Pin Spaces/Breaks dialog box that prompts you for the insertion of each connector pin prior to committing the connector block definition to the drawing file. The running count of pins inserted versus total pins defined for the connector is listed at the top of the dialog box. Select an option for inserting the other pins:

  • Insert Next Connection: Continues building the connector by inserting the next pin (repeated prompting until all pins are inserted).
  • Add Spacer: Adds a spacer in place of a pin on the connector in order to leave room for a future pin or to skip over a wire that is not to be broken by the connector. The connector stretches its length to account for this extra blank space.
  • Break Symbol Now: Breaks connector and begins prompt back at the connector layout dialog box. If you terminate the command without inserting the remainder of the connector, you can go to another drawing and restart the command. You can continue with the previous connector or discard the saved data and start with a new one.
    NoteThis insert of a continued, broken connector must be done during the current AutoCAD Electrical session.
  • Cancel Custom: Inserts the remaining pins into the connector without any further prompts.

Start Connector As Child

Defines the new connector block definition as a child of a parent connector. This means that after it is created it needs to be linked to a parent connector through a common tag-ID value (select Edit Component and link to parent using any of the normal methods).

Start with Break

Creates the child symbol with a jagged or broken top. If unselected, the child symbol has a rounded corner determined by the radius dimension defined in the Size section of the dialog box.

Orientation

Use to quickly change the connector's orientation prior to placing it into the drawing file. This orientation change also modifies the preview to reflect the selection.

Rotate | Switches the orientation of the parametric connector insertion between horizontal and vertical.
Flip | Flips the connector about its long axis.
Type

Determines the type of connector to be built as to whether it includes the plug/receptacle combination or if it will display either the plug side or the receptacle side.

Plug/Receptacle Combination | Creates the connector as a single block file showing both the plug and receptacle.
Wire Number Change | Sets the property of the connector symbol to change the wire number through a plug/receptacle connector symbol. By default, the wire numbers are maintained through a plug/receptacle connector.
Add Divider Line | Creates a plug/receptacle combination connector with a line down the middle of the block to indicate the separation of the plug and receptacle. This line becomes part of the block definition for the connector.
Plug Only | Creates the connector as a single block file showing the plug representation only.
Receptacle Only | Creates the connector as a single block file showing the receptacle representation only.
Display

Use to define the connector's placement on the drawing relative to other connectors and the drawing border. This controls which side of the connector the plug will be displayed, whether the connector goes in vertically or horizontally, and whether the pins are visible.

Connector

Specifies whether the connector inserts vertically or horizontally.

Plug

Specifies which direction the plug portion of the connector comes in relative to the overall plug/receptacle parametric build. The plug representation is displayed with rounded corners.

Options include vertical with the plug to the left, vertical with the plug to the right, horizontal with the plug to the bottom, or horizontal with the plug to the top.

Pins

Specifies which pin numbers are visible or hidden on the connector. In the case of a plug/receptacle combination, options include showing both sides, showing the plug only, showing the receptacle only, or hiding both.

If you select to make the pins on the plug or receptacle invisible, the attribute and its value are still defined in the block definition on the drawing file.

If you selected Plug Only or Receptacle Only for the Type, the pin display options are show or hide only. These show or hide the pin numbers on a single plug or receptacle symbol.

Hidden pins are still present on the symbol, but they are marked invisible. Values assigned to the hidden pins will still show up in various wire connection from/to reports. You can unhide hidden attributes using the Move/Show Attribute tool.

Size

The values in the edit boxes define the parameters used to build the graphical outline that represents the shell of the connector.

Receptacle | Specifies the width of the receptacle side of the connector. This value can be the same as the plug side.
Plug | Specifies the width of the plug side of the connector.
Top | Specifies the distance from the first pin of the connector to the top end of the connector.
Bottom | Specifies the distance from the last pin of the connector to the bottom end of the connector.
Radius | Specifies the fillet radius for the rounded portion of the plug representation. If left blank or if you enter a 0.0 value, then the corner is drawn without a fillet. If the radius value exceeds the Plug width value, the radius value will be internally set back to be equal to the plug width value.
Insert

Inserts the connector symbol on the drawing. If a pin count was not defined, an error message appears indicating that you must define a pin count before proceeding. A preview outline of the connector displays for placement on the drawing. It shows angled corners for the plug side of the connector. An 'x' indicates the insertion point of the connector. An arrow indicates the plug side wire connection direction for plug/receptacle or plug-only connector inserts or shows the wire connection direction for a receptacle-only connector insert

Prior to committing the connector outline to the drawing, you can press TAB on your keyboard to flip the connector through four different orientations or press the "V" key to switch between vertical and horizontal orientations.


Use point-to-point wiring tools (Quick Reference)

Use point-to-point wiring tools
Use point-to-point wiring tools
Use point-to-point wiring tools
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Connector layout

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert Connector [image] Insert ConnectorDoes not exist in the menus.
Command entry: AECONNECTOR

In the Insert Connector dialog box, select Allow Spacers/Breaks and click Insert. In the Custom Pin Spaces/Breaks dialog box, click Break Symbol Now.

Selecting Break Symbol Now on the Custom Pin Spaces/Breaks dialog box breaks the connector and displays this dialog box for defining how you want the rest of the pins inserted on the drawing.

Pin Spacing

Specifies the distance between the pin wire connections. This value initially defaults to the Rung Spacing defined in Drawing Properties [image] Drawing Format [image] Ladder Defaults - Spacing setting for the drawing file.

Fixed Spacing

Creates the connector pin spacing as fixed. The spacing is driven by the Pin Spacing value. If the Pin Spacing edit box is left blank, the fixed spacing value is determined from the drawing's ladder defaults spacing value.

At Wire Crossings

Modifies the connector to have the pins coincide with underlying wires. The connector stretches or compresses to match up with underlying wires as it inserts on to the drawing.

If the connector has more pins than underlying wires, the excess pins are added at the end of the connector using the default fixed spacing value.

Pin Insertion

Insert All

Creates the connector without further prompts (for example, no option for inserting spacers or for breaking the connector into 2 or more pieces). When you click OK on the Connector Layout dialog box, the block definition is committed to the drawing and the command is complete.

Allow Spacers/Breaks

Gives you manual control over the insertion of the connector. Displays the Custom Pin Spaces/Breaks dialog box that prompts you for the insertion of each connector pin prior to committing the connector block definition to the drawing file. The running count of pins inserted versus total pins defined for the connector is listed at the top of the dialog box. Select an option for inserting the other pins:

  • Insert Next Connection: Continues building the connector by inserting the next pin (repeated prompting until all pins are inserted).
  • Add Spacer: Adds a spacer in place of a pin on the connector in order to leave room for a future pin or to skip over a wire that is not to be broken by the connector. The connector stretches its length to account for this extra blank space.
  • Break Symbol Now: Breaks connector and begins prompt back at the Connector Layout dialog box. If you terminate the command without inserting the remainder of the connector, you can go to another drawing and restart the command. You can continue with the previous connector or discard the saved data and start with a new one.
    NoteThis insert of a continued, broken connector must be done during the current AutoCAD Electrical session.
  • Cancel Custom: Inserts the remaining pins into the connector without any further prompts.


Use point-to-point wiring tools (Quick Reference)

Use point-to-point wiring tools
Use point-to-point wiring tools
Import data from Autodesk Inventor Professional Cable & Harness
Point-to-Point Wiring Tools > Working with Connectors >
Use point-to-point wiring tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Connector pin numbers in use

Lists all of the pins previously used in the project and the available pins that can be assigned to a connector. The connector tag and pin count displays below the title bar in the dialog box.

Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the connector to edit. In the Insert/Edit Component dialog box, Pins section, click List.

NoteYou can edit pin numbers when a row is selected in the grid.

Pin List

Displays all available pins to be assigned to the parametrically-built connector. The number in parenthesis () indicates the single or pair of pins for the connector. The first column is the value assigned to TERM01 or TERM01P while the second column assigns its number to TERM02 or TERM02J. Select the pin from the list to populate the grid.

The Pin list table in the catalog database (default_cat.mdb) supports connectors drawn in the ladder diagram or connector diagram schematics.

x

Displays an 'x' for all pins that are displayed since they are part of the connector and not selected on the block being edited (the pins may be on a different drawing or part of another symbol). Only the pin numbers associated to the block selected are editable; the controls at the bottom of the dialog box are disabled if a pin with an 'x' is selected from the list.

Sheet, Reference

Displays the sheet number and potential reference line number where the connector definition is located in the project.

Plug

Displays the plug pin number. The value changes automatically if you edit it in the Pin Numbers section of the dialog box.

Description

Displays the terminal descriptions that are associated to the wire connection point. The first Description column displays the description for the plug; the second displays the description for the receptacle.

Receptacle

Displays the receptacle pin number. The value changes automatically if you edit it in the Pin Numbers section of the dialog box.

Wire Numbers

Displays the wire numbers on either side of the combination connector or a single wire number based on whether or not the connector is a simple plug or jack.

Pin Numbers

Displays the plug and receptacle pin numbers for the selected row. Enter a new value in the edit box or click the arrows to increment or decrement both numbers on the plug and receptacle.

NoteIf you replace pin numbers through editing, the replaced pin numbers may go back into the Pin List if they were originally defined in the Pin List range.

Pin Descriptions

Edits the plug and receptacle terminal descriptions. The value you enter in the edit box displays in the Description column of the grid.


Bend wires at right angles (Procedure)

Use point-to-point wiring tools
Bend wires at right angles
Insert multiple bus wiring
Point-to-Point Wiring Tools >
Bend wires at right angles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Bend wires at right angles

Bends a wire in a right angle and makes three right angle turns to avoid or add geometry.

You can modify the wire defined at a right angle. You can replace the right angle bend while maintaining the original wire connections to the components.

NoteThis tool terminates if the bend attempts to connect two different wire networks or if the bend bypasses more than a single right-angle turn.
  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wires drop-down [image] Bend Wire. Enter AEBENDWIRE at the command prompt.
  2. Select one of the two wires that make up a right-angle turn.
  3. Select the opposing wire that makes up the right-angle turn.

    The additional wire segments are added based on the right-angle direction.

  4. Right-click to exit the command.


Insert multiple bus wiring (Procedure)

Bend wires at right angles
Insert multiple bus wiring
Import data from Autodesk Inventor Professional Cable & Harness
Point-to-Point Wiring Tools >
Insert multiple bus wiring
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert multiple bus wiring

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  2. Set the horizontal and vertical spacing for the wires.
  3. Select the mode for defining the "starting at" position.
    • Starting at component wire connection points: Select the radio button and click OK. Select or window-select the wire connection points on the component.
    • Starting from another bus: Select the number of wires (using the buttons or type in the edit box) and click OK. Specify the connection point on the existing wire bus for the first wire of the new bus. Slowly move the cursor over the other existing wires of the bus to allow the new bus wires to connect.
    • Starting in empty space: Select the starting direction (Horizontal or Vertical), select the number of wires (using the buttons or type in the edit box), and click OK. Specify the starting point in space for the first wire of the new bus.

    During wire insertion, the current wire type displays at the command prompt. If starting at a component or in empty space, you can override this by typing in the hotkey "T" and selecting a new wire type from the Set/Edit Wire Type dialog box. The new wire type becomes the current wire type and the command continues with the wire insertion.

    As you pull the wires out, phantom wires display on your cursor indicating the direction and number of wires to be placed on the drawing. You can turn a corner by moving your cursor out of line with the bus. To reverse or flip the turn's phase sequence, press "F" + Enter. The phantom wire display displays in red when it detects that the routing approaches within a wire connection trap distance of another wire.

  4. Click a point on the screen to set the endpoint of the wires or press "C" + Enter to lock down the current routing and continue to draw multiple wires. If the bus approaches a multi-connection device, such as a connector, it attempts to align the spacing of the bus wires to match with the wire connections.
  5. Right-click to create the wires. The wires and wire connection dots insert, and loops or gaps (if configured) automatically insert at wire crossing points.


Import data from Autodesk Inventor Professional Cable & Harness (Concept)

Insert multiple bus wiring
Point-to-Point Wiring Tools
Overview of the spreadsheet import file structure
Point-to-Point Wiring Tools >
Import data from Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

From the XML export from Autodesk Inventor Professional (AIP) into AutoCAD Electrical, you can select from a list of connectors defined in the export, and then place the connectors onto a 2D drawing file. After the connectors are inserted onto the drawing, click Wire on the Connector Selection dialog box to place all wire connections to all components on the drawing file. AutoCAD Electrical parses the file data to determine all wire From and To connections. Once the wiring information is determined, the wires are routed making sure to miss existing geometry on the drawing. The wire insertion tool finds the best possible route with the fewest amount of wire loops in between the connection reducing the requirement on gap pointers. The wires are connected in the appropriate position on the connector representation.

As the wires are inserted, the wire types in the XML file are applied to the Wire Layer in the AutoCAD Electrical drawing. Additionally, wire numbers and cable marker symbols are inserted onto the drawing. The wire numbers are inserted following the drawing's wire number setting (above wire, in-line with wire, or below wire). The first cable marker listed in the XML file is inserted as the parent and the subsequent markers of the same reference designator (Cable Tag) are inserted as children.

Certain Autodesk Inventor Professional wire property names need to be maintained inside of AutoCAD Electrical. You must make sure that your column header names (set in the Rename User Columns dialog box) match the property names coming out of the Autodesk Inventor Professional XML export (set in the Autodesk Inventor Custom Properties dialog box). For example, the property CORE SIZE maps to a user column of the Create/Edit Wire Type dialog box if there is a column header defined as "CORE SIZE." If mapping does not exist then the data is not maintained inside of your AutoCAD Electrical drawing file.

Autodesk Inventor Professional properties mapped to AutoCAD Electrical attributes

There are four Autodesk Inventor Professional assembly entity types that get general and custom properties: component occurrences, Wire (From/To) occurrences, cable occurrences, and splice occurrences.

Property Name | AIP Property Type | Description
Component Properties
Connector REF DES | Occurrence | Component RefDes - TAG1 attribute in AutoCAD Electrical
PART NUMBER | Definition | Autodesk Inventor part number - Xdata in AutoCAD Electrical
VENDOR | Definition | Manufacturer - Xdata in AutoCAD Electrical
STRIP LENGTH | Definition, Custom | Save on component - Xdata in AutoCAD Electrical
Various user-defined * | Definition, Custom | Defined in the component library definition (part editing) - Xdata in AutoCAD Electrical
Various user-defined * | Occurrence, Custom | Defined in the harness occurrence level - Xdata in AutoCAD Electrical
Wire Properties
Wire ID | Occurrence | Unique wire number ID (occurrence name) - AutoCAD Electrical wire number; WIRENO attribute in AutoCAD Electrical
Wire Definition | Definition | Wire library definition data saved in Cable & Harness library XML - wire layer name in AutoCAD Electrical
Various user-defined * | Definition, Custom | Defined in the wire library definition (part editing) - Xdata in AutoCAD Electrical
Various user-defined * | Occurrence, Custom | Defined in the harness occurrence level - Xdata in AutoCAD Electrical
Cable Properties
Cable ID | Occurrence | Unique cable ID - TAG 1 attribute in AutoCAD Electrical
Cable Definition | Definition | Cable library definition data saved in Cable & Harness library XML - Xdata in AutoCAD Electrical
Cable Wire Name | Definition | Cable conductor ID - RATING1 attribute in AutoCAD Electrical
Various user-defined * | Definition, Custom | Defined in the cable library definition (part editing) - Xdata in AutoCAD Electrical
Various user-defined * | Occurrence, Custom | Defined in the harness occurrence level - Xdata in AutoCAD Electrical
Splice Properties
Splice ID | Occurrence | Unique splice ID - TAG1 attribute in AutoCAD Electrical
Splice Definition | Definition | Splice library definition data saved in Cable & Harness Library XML - Xdata in AutoCAD Electrical
Various user-defined * | Definition, Custom | Defined in the splice library definition (part editing) - Xdata in AutoCAD Electrical
Various user-defined * | Occurrence, Custom | Defined in the harness occurrence level - Xdata in AutoCAD Electrical

* Properties that are not defined in Autodesk Inventor Professional but are still usable in AutoCAD Electrical.


Import connector wire lists (Procedure)

Insert multiple bus wiring
Import data from Autodesk Inventor Professional Cable & Harness
Overview of the spreadsheet import file structure
Point-to-Point Wiring Tools >
Import data from Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Import connector wire lists

Use the Insert Connector from List tool to import a connector wire list from another application, such as Autodesk Inventor Professional Cable & Harness.

NoteIf the AutoCAD Electrical drawing is missing one end of the connector or if a connection was not found, wiring information is displayed next to the pin and the information is written into a log file so you know AutoCAD Electrical was unable to resolve the wire connections in the drawing. The log file name is {drawing file name.LOG} and is found in the same folder as the drawing file.
  1. In Autodesk Inventor Professional Cable & Harness, define wire names and connections for your assembly file.
  2. Define cable tags and conductor IDs and their connections in the assembly file.
  3. Select the harness ID in the model browser and select Export Harness Data from the Cable and Harness panel.

    You are prompted to select a file name and location for the export of harness component and wiring data. An XML file is created for import into AutoCAD Electrical.

  4. In AutoCAD Electrical, create a drawing file.
  5. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector (From List. Enter AECONNECTORLIST at the command prompt.
  6. In the Connector List File Selection dialog box, select a connector list file to import into AutoCAD Electrical and click Open.
  7. In the Connector Selection dialog box, define the connectors to be inserted onto the drawing.

    An 'x' in the Placed column indicates if the connector is placed or was previously placed into the project.

    • (Optional) Specify whether to build the connector using fixed pin spacing or to have it compress or expand to match the pins up with underlying wire crossings.
    • (Optional) Specify whether to insert the entire connector all at once or to insert it manually, pin by pin, with an option to insert spacers or to break the connector into two or more pieces.
    • (Optional) Click the Rotate or Flip buttons to change the display of the connector symbol.
    • (Optional) Click Details for more options to define settings for the size, shape, and display of the parametrically built connector symbols.
  8. Select the connectors to insert from the list and click Insert.
  9. Click the insertion point in the drawing for each connector.
  10. In the Connector Selection dialog box, continue selecting the connectors to insert and place them onto the drawing.
  11. When all connectors are placed on the drawing, click Wire It.

    Wires are generated in the drawing. Layers and XRECORDS are defined in the drawing and applied to the lines. Wire numbers are also placed in the drawing based on wire placement settings.

NoteYou can place the connectors on the drawing and add wires at a later time. To do so, follow steps 1 - 9. When you want to add wires, open the Connector Selection dialog box, and click Wire It.


Import data from Autodesk Inventor Professional Cable & Harness (Quick Reference)

Use point-to-point wiring tools
Import data from Autodesk Inventor Professional Cable & Harness
Overview of the spreadsheet import file structure
Point-to-Point Wiring Tools >
Import data from Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Connector selection

From the XML export from Autodesk Inventor Professional into AutoCAD Electrical, you can select from a list of connectors defined in the export, and then place the connectors onto a 2D drawing file.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector (From List). Does not exist on the ribbon.
Toolbar: Insert Connector
Menu: Components [image] Insert Connector [image] Insert Connector from ListDoes not exist in the menus.
Command entry: AECONNECTORLIST

The first time you run this tool, you must select the connector list file (.xml, .xls, .mdb, and.csv) in the Connector List File Selection dialog box and click Open. The connector list file is retained in memory for subsequent selections of this tool.

NoteIf you select to open a spreadsheet or database that contains multiple sheets or tables, the Select Input Source dialog box appears, enabling you to select the sheet or table to open.
Connector List

Columns are not editable. You can sort the connector details alphanumerically by clicking the column headers.

Placed | Displays an "x" if the connector is placed or was previously placed into the project.
Installation | Displays the component's Installation code if defined in the XML import file.
Location | Displays the component's Location code if defined in the XML import file.
Tag | Displays the connector's reference designation (RefDes) from the Autodesk Inventor Professional (AIP) assembly or tags found in the XML import file.
Total Pins | Displays the total pin count for the tag.
Wired Pins | Displays the number of pins wired inside of the AIP assembly found in the import file.
Description | Displays the occurrence name of the part defined in the AIP browser. The occurrence name is typically the part number of the component, however you can overwrite the name.
Show All/Hide Placed | Show All displays all connectors in the grid whether they have been placed or not while Hide Placed removes previously placed connectors from the grid list.
Connectors | Displays all connectors found in the import file in the grid display. The static text shows the total number of connector components listed in the grid control.
Splices | Displays all splices found in the import file in the grid display. The static text shows the total number of splices listed in the grid control.
NoteIf there is a selection active when filtering the list and one or more of the selected rows drops out of the display, a warning message displays where you decide whether to proceed or not.
Layout

Pin Spacing

Specifies the spacing for the distance between pin connections on their parametrically built connector symbol. The default spacing is defined from the drawing's Rung Spacing setting. The edited value is persistent for the AutoCAD Electrical session and reverts to the default upon every time you start the application

Fixed Spacing

Creates the connector pin spacing as fixed. The fixed spacing value is driven from the Pin Spacing setting.

At Wire Crossings

Modifies the connector to have the pins meet the underlying wires. AutoCAD Electrical searches the wires and stretches the connector before adding the block definition to the drawing

If there are more pins associated to the connector than there are wires, AutoCAD Electrical finds the wires first, then continues the connector definition at the fixed spacing

Wired Pins

Creates the connector using the number of pins wired in the AIP assembly and found in the import file. This reduces the size of the overall connector based upon pins used and not library definition. If this is not selected, the connector is created using the total pins on the connector as defined in the export/import file.

Insert All

Creates the connector without inserting spacers or breaking the connector. When you click Insert the block definition is committed to the drawing and the command is complete.

Allow Spacers/Breaks

Displays the Custom Pin/Spaces dialog box that prompts you for the insertion of each connector pin before committing the connector block definition to the drawing file. The number of pins inserted in the block definition out of the total number of pins defined in the connector is indicated at the top of the dialog box. Select an option for inserting the other pins:

  • Insert Next Connection: Continues adding pins to the connector until all are defined
  • Add Spacer: Adds a spacer in place of a pin on the connector; connector stretches its definition.
  • Break Symbol Now: Breaks connector and begins prompt back at the connector layout dialog box.
  • Cancel Custom: Places connector in as if you selected Insert all on the portion it is working on. Does not remove preceding break commands.

Splice Symbol Name

Defines a symbol to be used to display a splice in the wire. Type in a symbol name to use when inserting splices or click Browse to select the symbol name to use. If left blank, once you click Insert, an error message displays since you must select a Splice Symbol Name to insert the splice onto the drawing.

Orientation

Quickly change the connectors orientation before placing it into the drawing file. This orientation change also modifies the preview to reflect the selection.

Rotate | Switches the orientation of the parametric connector insertion between horizontal and vertical.
Flip | Flips the connector insertion about its long axis.
Type

Determines the overall style of the connector.

Plug/Receptacle Combination | Creates the connector as one AutoCAD Electrical block file with both the plug and receptacle.
Wire Number Change | Sets the property of the connector symbol to change the wire number through the connector symbol. By default, the wire numbering is the same on both sides of the connector.
Add Divider Line | Creates the connector with a line down the middle of the block to indicate the separation of the plug and receptacle. This line becomes part of the block definition for the connector.
Plug Only | Creates the connector as a single block file with the plug representation only.
Receptacle Only | Creates the connector as a single block file with the receptacle representation only.
Display

Defines the connector's placement on the drawing relative to other connectors and the drawing border. This controls which side of the connector the plug will be displayed, whether the connector goes in vertically or horizontally, and whether the pins are visible.

Connector

Specifies whether the connector comes into the drawing vertically or horizontally relative to other connectors and the drawing border.

Plug

Specifies which direction the plug portion of the connector comes in relative to the overall plug/receptacle parametric build. The plug representation is displayed with rounded corners.

Options include vertical with the plug to the left, vertical with the plug to the right, horizontal with the plug to the bottom, or horizontal with the plug to the top.

Pins

Specifies which pin numbers are visible or hidden on the connector. Options include showing both sides, showing the plug only, showing the receptacle only, or hiding both.

If you select to make the pins on the plug or receptacle invisible, the attribute and its value are still defined in the block definition on the drawing file.

If you selected Plug Only or Receptacle Only for the Type, the pin display options are show or hide only. These show or hide the pin numbers on a single plug or receptacle symbol.

Size

Defines the outside shell size for the connector. The values in the edit boxes build the graphical shell that represents the connector on the point to point diagram.

Receptacle

Specifies the overall thickness of the receptacle side of the connector. This value can be the same as the plug side.

When the connector is built, the receptacle side wire connection attribute is moved from the insertion point on the divider line to the outside line representing the receptacle. The associated terminal pin attribute (TERM01_) travels half the distance as the wire connection attribute placing itself in the middle between the dimension on the divider line.

Plug

Specifies the overall thickness of the plug side of the connector. This value can be the same as the receptacle side.

When the connector is built, the plug side wire connection attribute is moved from the insertion point on the divider line to the outside line representing the plug. The associated terminal pin attribute (TERM01_) travels half the distance as the wire connection attribute placing itself in the middle between the dimension on the divider line.

Top

Specifies the distance from the top or breaking point of the connector to the first or next wire connection point. This determines where the top line is drawn relative to the first master symbol insertion point. The distance is used for the entire connector or breaking the connector.

Bottom

Specifies the distance from the bottom or breaking point of the connector to the last or previous wire connection point. This determines where the bottom line is drawn relative to the last master symbol insertion point. The distance is used for the entire connector or breaking the connector.

Radius

Specifies the radial dimension of the rounded portion of the plug representation. If left blank, a radius is not created on the plug connector. If you enter a value that exceeds the overall plug side distance, the radius value is erased and the radius is not created on the plug connector.

Pick File

Displays the Connector List File Selection dialog box to select a new file for import.

Wire It

Reviews connectors placed on the active drawing and runs the wiring commands to make connections between the connectors.

  • When both ends of the wire connections are found on the active drawing, the wires are generated between the two points and wire numbering is added based on current configurations.
  • When only one end of the wire connection is found on the active drawing, text is placed next to the connector in the X?WIREnn wire annotation attribute on the connector symbol. This text is overwritten when the second end of the wire is placed on the drawing and the Wire It command is run again.
  • When neither connection for a wire is on the active drawing, the wiring command is ignored until you add the connectors into the drawing file.
NoteIf the AutoCAD Electrical drawing is missing one end of the connector or if a connection was not found, wiring information is displayed next to the pin and the information is written into a log file so you know AutoCAD Electrical was unable to resolve the wire connections in the drawing. The log file name is {drawing filename.LOG} and is found in the same folder as the drawing file.
Insert

Upon selection of one or more rows in the grid display, this button is enabled. Once selected, the parametric connector program launches to create a connector image in the drawing.

Single row selection | Places one connector at a time and returns to the Connector Selection dialog box with the connector row marked as 'x.'
Multiple row selection | Places the selected connectors in consecutive order. Steps through the list of connectors previously selected in the dialog box, placing them in the drawing one at a time. After the connectors are created the Connector Selection dialog box appears with the connector rows marked as 'x.'


Overview of the spreadsheet import file structure (Concept)

Import data from Autodesk Inventor Professional Cable & Harness
Point-to-Point Wiring Tools
Insert splices
Point-to-Point Wiring Tools >
Overview of the spreadsheet import file structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can select various file types (including XLS, CSV, MDB, and XML) to import into AutoCAD Electrical. For the Insert Connector from List tool to work, the spreadsheet and CSV import file must have the following structure. The spreadsheet for import allows 27 columns per record. The first row in the CSV or XLS file is treated as a header row, and is skipped in the import. All columns must exist and the required fields (bolded) determine the connector to be used in the Connector Selection dialog box.

NoteThe structure of this file does not apply to an XML import.
Position | Field | Purpose | Column Type
1 | TYPE1 | CMP1: C = Connector/ S = Splice | Text
2 | INST1 | Installation Code of CMP1 | Text
3 | LOC1 | Location Code of CMP1 | Text
4 | CMP1 | Component 1 | Text
5 | PIN1 | Connected pin on CMP1 | Text
6 | DESC1 | Description of CMP1 | Text
7 | CAT1 | Catalog number for CMP1 | Text
8 | MFG1 | Manufacturer of CAT1 | Text
9 | ASM1 | Assembly code for CMP1 | Text
10 | TYPE2 | CMP2: C = Connector/S = Splice | Text
11 | INST2 | Installation Code of CMP2 | Text
12 | LOC2 | Location Code of CMP2 | Text
13 | CMP2 | Component 2 | Text
14 | PIN2 | Connected pin on CMP2 | Text
15 | DESC2 | Description of CMP2 | Text
16 | CAT2 | Catalog number of CMP2 | Text
17 | MFG2 | Manufacturer of CAT2 | Text
18 | ASM2 | Assembly code for CMP2 | Text
19 | WIRENO | Wire number (may be blank) | Text
20 | WIRELAY | Wire layer name | Text
21 | CBLINST | Cable Installation Code | Text
22 | CBLLOC | Cable Location Code | Text
23 | CBL | Cable tag name | Text
24 | CBLWCLR | Cable wire (conductor) color | Text
25 | CBLCAT | Cable catalog item | Text
26 | CBLMFG | Cable catalog manufacturer | Text
27 | CBLASM | Cable assembly code | Text

The MDB file must contain a table with the abovementioned 27 columns. Each column should be defined using the VARCHAR data type of an appropriate size to suit the data. The names of the columns in the table are not important, but the position is.


Import connector wire lists (Procedure)

Import data from Autodesk Inventor Professional Cable & Harness
Overview of the spreadsheet import file structure
Insert splices
Point-to-Point Wiring Tools >
Overview of the spreadsheet import file structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Import connector wire lists

Use the Insert Connector from List tool to import a connector wire list from another application, such as Autodesk Inventor Professional Cable & Harness.

NoteIf the AutoCAD Electrical drawing is missing one end of the connector or if a connection was not found, wiring information is displayed next to the pin and the information is written into a log file so you know AutoCAD Electrical was unable to resolve the wire connections in the drawing. The log file name is {drawing file name.LOG} and is found in the same folder as the drawing file.
  1. In Autodesk Inventor Professional Cable & Harness, define wire names and connections for your assembly file.
  2. Define cable tags and conductor IDs and their connections in the assembly file.
  3. Select the harness ID in the model browser and select Export Harness Data from the Cable and Harness panel.

    You are prompted to select a file name and location for the export of harness component and wiring data. An XML file is created for import into AutoCAD Electrical.

  4. In AutoCAD Electrical, create a drawing file.
  5. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector (From List. Enter AECONNECTORLIST at the command prompt.
  6. In the Connector List File Selection dialog box, select a connector list file to import into AutoCAD Electrical and click Open.
  7. In the Connector Selection dialog box, define the connectors to be inserted onto the drawing.

    An 'x' in the Placed column indicates if the connector is placed or was previously placed into the project.

    • (Optional) Specify whether to build the connector using fixed pin spacing or to have it compress or expand to match the pins up with underlying wire crossings.
    • (Optional) Specify whether to insert the entire connector all at once or to insert it manually, pin by pin, with an option to insert spacers or to break the connector into two or more pieces.
    • (Optional) Click the Rotate or Flip buttons to change the display of the connector symbol.
    • (Optional) Click Details for more options to define settings for the size, shape, and display of the parametrically built connector symbols.
  8. Select the connectors to insert from the list and click Insert.
  9. Click the insertion point in the drawing for each connector.
  10. In the Connector Selection dialog box, continue selecting the connectors to insert and place them onto the drawing.
  11. When all connectors are placed on the drawing, click Wire It.

    Wires are generated in the drawing. Layers and XRECORDS are defined in the drawing and applied to the lines. Wire numbers are also placed in the drawing based on wire placement settings.

NoteYou can place the connectors on the drawing and add wires at a later time. To do so, follow steps 1 - 9. When you want to add wires, open the Connector Selection dialog box, and click Wire It.


Overview of the spreadsheet import file structure (Quick Reference)

Import data from Autodesk Inventor Professional Cable & Harness
Overview of the spreadsheet import file structure
Move from reference to reference
Point-to-Point Wiring Tools >
Overview of the spreadsheet import file structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Connector selection

From the XML export from Autodesk Inventor Professional into AutoCAD Electrical, you can select from a list of connectors defined in the export, and then place the connectors onto a 2D drawing file.

Ribbon: Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector (From List). Does not exist on the ribbon.
Toolbar: Insert Connector
Menu: Components [image] Insert Connector [image] Insert Connector from ListDoes not exist in the menus.
Command entry: AECONNECTORLIST

The first time you run this tool, you must select the connector list file (.xml, .xls, .mdb, and.csv) in the Connector List File Selection dialog box and click Open. The connector list file is retained in memory for subsequent selections of this tool.

NoteIf you select to open a spreadsheet or database that contains multiple sheets or tables, the Select Input Source dialog box appears, enabling you to select the sheet or table to open.
Connector List

Columns are not editable. You can sort the connector details alphanumerically by clicking the column headers.

Placed | Displays an "x" if the connector is placed or was previously placed into the project.
Installation | Displays the component's Installation code if defined in the XML import file.
Location | Displays the component's Location code if defined in the XML import file.
Tag | Displays the connector's reference designation (RefDes) from the Autodesk Inventor Professional (AIP) assembly or tags found in the XML import file.
Total Pins | Displays the total pin count for the tag.
Wired Pins | Displays the number of pins wired inside of the AIP assembly found in the import file.
Description | Displays the occurrence name of the part defined in the AIP browser. The occurrence name is typically the part number of the component, however you can overwrite the name.
Show All/Hide Placed | Show All displays all connectors in the grid whether they have been placed or not while Hide Placed removes previously placed connectors from the grid list.
Connectors | Displays all connectors found in the import file in the grid display. The static text shows the total number of connector components listed in the grid control.
Splices | Displays all splices found in the import file in the grid display. The static text shows the total number of splices listed in the grid control.
NoteIf there is a selection active when filtering the list and one or more of the selected rows drops out of the display, a warning message displays where you decide whether to proceed or not.
Layout

Pin Spacing

Specifies the spacing for the distance between pin connections on their parametrically built connector symbol. The default spacing is defined from the drawing's Rung Spacing setting. The edited value is persistent for the AutoCAD Electrical session and reverts to the default upon every time you start the application

Fixed Spacing

Creates the connector pin spacing as fixed. The fixed spacing value is driven from the Pin Spacing setting.

At Wire Crossings

Modifies the connector to have the pins meet the underlying wires. AutoCAD Electrical searches the wires and stretches the connector before adding the block definition to the drawing

If there are more pins associated to the connector than there are wires, AutoCAD Electrical finds the wires first, then continues the connector definition at the fixed spacing

Wired Pins

Creates the connector using the number of pins wired in the AIP assembly and found in the import file. This reduces the size of the overall connector based upon pins used and not library definition. If this is not selected, the connector is created using the total pins on the connector as defined in the export/import file.

Insert All

Creates the connector without inserting spacers or breaking the connector. When you click Insert the block definition is committed to the drawing and the command is complete.

Allow Spacers/Breaks

Displays the Custom Pin/Spaces dialog box that prompts you for the insertion of each connector pin before committing the connector block definition to the drawing file. The number of pins inserted in the block definition out of the total number of pins defined in the connector is indicated at the top of the dialog box. Select an option for inserting the other pins:

  • Insert Next Connection: Continues adding pins to the connector until all are defined
  • Add Spacer: Adds a spacer in place of a pin on the connector; connector stretches its definition.
  • Break Symbol Now: Breaks connector and begins prompt back at the connector layout dialog box.
  • Cancel Custom: Places connector in as if you selected Insert all on the portion it is working on. Does not remove preceding break commands.

Splice Symbol Name

Defines a symbol to be used to display a splice in the wire. Type in a symbol name to use when inserting splices or click Browse to select the symbol name to use. If left blank, once you click Insert, an error message displays since you must select a Splice Symbol Name to insert the splice onto the drawing.

Orientation

Quickly change the connectors orientation before placing it into the drawing file. This orientation change also modifies the preview to reflect the selection.

Rotate | Switches the orientation of the parametric connector insertion between horizontal and vertical.
Flip | Flips the connector insertion about its long axis.
Type

Determines the overall style of the connector.

Plug/Receptacle Combination | Creates the connector as one AutoCAD Electrical block file with both the plug and receptacle.
Wire Number Change | Sets the property of the connector symbol to change the wire number through the connector symbol. By default, the wire numbering is the same on both sides of the connector.
Add Divider Line | Creates the connector with a line down the middle of the block to indicate the separation of the plug and receptacle. This line becomes part of the block definition for the connector.
Plug Only | Creates the connector as a single block file with the plug representation only.
Receptacle Only | Creates the connector as a single block file with the receptacle representation only.
Display

Defines the connector's placement on the drawing relative to other connectors and the drawing border. This controls which side of the connector the plug will be displayed, whether the connector goes in vertically or horizontally, and whether the pins are visible.

Connector

Specifies whether the connector comes into the drawing vertically or horizontally relative to other connectors and the drawing border.

Plug

Specifies which direction the plug portion of the connector comes in relative to the overall plug/receptacle parametric build. The plug representation is displayed with rounded corners.

Options include vertical with the plug to the left, vertical with the plug to the right, horizontal with the plug to the bottom, or horizontal with the plug to the top.

Pins

Specifies which pin numbers are visible or hidden on the connector. Options include showing both sides, showing the plug only, showing the receptacle only, or hiding both.

If you select to make the pins on the plug or receptacle invisible, the attribute and its value are still defined in the block definition on the drawing file.

If you selected Plug Only or Receptacle Only for the Type, the pin display options are show or hide only. These show or hide the pin numbers on a single plug or receptacle symbol.

Size

Defines the outside shell size for the connector. The values in the edit boxes build the graphical shell that represents the connector on the point to point diagram.

Receptacle

Specifies the overall thickness of the receptacle side of the connector. This value can be the same as the plug side.

When the connector is built, the receptacle side wire connection attribute is moved from the insertion point on the divider line to the outside line representing the receptacle. The associated terminal pin attribute (TERM01_) travels half the distance as the wire connection attribute placing itself in the middle between the dimension on the divider line.

Plug

Specifies the overall thickness of the plug side of the connector. This value can be the same as the receptacle side.

When the connector is built, the plug side wire connection attribute is moved from the insertion point on the divider line to the outside line representing the plug. The associated terminal pin attribute (TERM01_) travels half the distance as the wire connection attribute placing itself in the middle between the dimension on the divider line.

Top

Specifies the distance from the top or breaking point of the connector to the first or next wire connection point. This determines where the top line is drawn relative to the first master symbol insertion point. The distance is used for the entire connector or breaking the connector.

Bottom

Specifies the distance from the bottom or breaking point of the connector to the last or previous wire connection point. This determines where the bottom line is drawn relative to the last master symbol insertion point. The distance is used for the entire connector or breaking the connector.

Radius

Specifies the radial dimension of the rounded portion of the plug representation. If left blank, a radius is not created on the plug connector. If you enter a value that exceeds the overall plug side distance, the radius value is erased and the radius is not created on the plug connector.

Pick File

Displays the Connector List File Selection dialog box to select a new file for import.

Wire It

Reviews connectors placed on the active drawing and runs the wiring commands to make connections between the connectors.

  • When both ends of the wire connections are found on the active drawing, the wires are generated between the two points and wire numbering is added based on current configurations.
  • When only one end of the wire connection is found on the active drawing, text is placed next to the connector in the X?WIREnn wire annotation attribute on the connector symbol. This text is overwritten when the second end of the wire is placed on the drawing and the Wire It command is run again.
  • When neither connection for a wire is on the active drawing, the wiring command is ignored until you add the connectors into the drawing file.
NoteIf the AutoCAD Electrical drawing is missing one end of the connector or if a connection was not found, wiring information is displayed next to the pin and the information is written into a log file so you know AutoCAD Electrical was unable to resolve the wire connections in the drawing. The log file name is {drawing filename.LOG} and is found in the same folder as the drawing file.
Insert

Upon selection of one or more rows in the grid display, this button is enabled. Once selected, the parametric connector program launches to create a connector image in the drawing.

Single row selection | Places one connector at a time and returns to the Connector Selection dialog box with the connector row marked as 'x.'
Multiple row selection | Places the selected connectors in consecutive order. Steps through the list of connectors previously selected in the dialog box, placing them in the drawing one at a time. After the connectors are created the Connector Selection dialog box appears with the connector rows marked as 'x.'


Insert splices (Procedure)

Overview of the spreadsheet import file structure
Insert splices
Move from reference to reference
Point-to-Point Wiring Tools >
Insert splices
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert splices

The splice symbol is an in-line connection symbol allowing one or more wires to connect at each end. The default splice symbol is set up to trigger a wire number change through the symbol.

  1. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Splice. Enter AESPLICE at the command prompt.

    The Splice Symbols dialog box displays.

  2. Select the splice to insert from the icon menu, enter the splice name in the Type it box, or click Browse to browse to and select the symbol from another location.
  3. Click OK.
  4. Pick the insertion point on the drawing. Place the symbol on an existing wire, causing the symbol to break the wire or place it in empty space (where you can later draw a wire through the symbol or connect one or more wires to each end of it).

    The Insert/Edit Component dialog box displays.

  5. Assign the catalog information, description, and other information as required.
  6. Click OK.


Project-Wide Tools

Insert splices
Move from reference to reference
Project-Wide Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Move from reference to reference

    Surf

  • Move between drawings
  • Plot one or more drawings

    Batch plotting options and order

  • Project-wide utility
  • Create a project-wide script file
  • Renumber Ladder References
  • Project-wide update or retag

    Project-wide update or retag

  • Track drawing changes

    Mark and verify

  • Translate description text

    Language conversion

  • Publish to the Web

    Publish to web - temporary folder for build

  • Publish to DWF
  • Title Block Utility


Move from reference to reference (Procedure)

Insert splices
Move from reference to reference
Move between drawings
Project-Wide Tools >
Move from reference to reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Move from reference to reference

Use the Surfer tool to move from reference to reference across the project drawing set. A new window opens and the original window closes when Surf is selected unless you hold the Shift key while running the command.

Start the Surfer

  1. Click Project tab [image] Other Tools panel [image] Surfer drop-down [image] Surfer. Enter AESURF at the command prompt.
  2. Select a component tag, catalog number, wire number, or item number on the current drawing. Or, press Enter to use the Type it to Surf it dialog box to enter the component tag, catalog number, wire number, or item number.
    NoteYou can also select a report table cell containing any of them to surf on. If the selected cell does not contain any of the surf-able fields, AutoCAD Electrical looks in the selected row for a surf-able field. If the report is the Wire From/To or Component Wire List report, it looks for the Wire Number field first, then a Tag field, and finally a Catalog Number field. If the report is a Bill of Materials report, it looks for a Catalog Number field first, then the Tag field. For all other reports, AutoCAD Electrical looks for the Tag field first, then the Catalog Number field. If a non-surfable cell is selected, it looks for the component tag, then a wire number, and finally a catalog number.

    All references relating to the component, including panel layout and panel nameplate references, display in the Surf dialog box

  3. Double-click any reference listed in the Surf dialog box to zoom in on the selected reference. If the reference is on one or more drawings, each drawing opens automatically.
    TipUse the Type column to select the object to surf to. The codes are as follows:
    • C - Component Symbol
    • P - Parent or Standalone Schematic or One-Line Symbol
      NoteA one-line symbol is indicated by a “1-” value in the Category column.
    • T - Terminal
    • W - Wire Number
    • # - Panel Layout Symbol
    • # np - Panel Layout nameplate reference
  4. Using the Surf dialog box, edit the component, display a BOM listing for each reference or select a different component reference.
  5. Click Close.

Continue a previous surf session

At any time, you can continue a previous surf session from the point where it left off.

  1. Click Project tab [image] Other Tools panel [image] Surfer drop-down [image] Continue Surfer. Enter AESURFCONT at the command prompt.

    All references relating to the component, including panel layout and panel nameplate references, are displayed in the Surf dialog box.

  2. Double-click any reference listed in the Surf dialog box to zoom in on the selected reference.

    If the reference is on one or more drawings, each drawing is opened automatically.

  3. Using the Surf dialog box, edit the component, display a BOM listing for each reference or select a different component reference.
  4. Click Close.


Move from reference to reference (Quick Reference)

Overview of the spreadsheet import file structure
Move from reference to reference
Plot one or more drawings
Project-Wide Tools >
Move from reference to reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Surf

Surfs to related references of an item you select.

Ribbon: Project tab [image] Other Tools panel [image] Surfer drop-down [image] Surfer. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] SurferDoes not exist in the menus.
Command entry: AESURF

Moves from reference to reference across the project drawing set. You can surf on a component tag, catalog number, wire number, item number, or a report table cell containing any of these types of values. Surf a wire network following source and destination signals.

When surfing on a table inserted by the Terminal Strip Editor, you can select the title cell to surf on the Tagstrip value even if the Tagstrip is not included in the title. If you select a cell that is not surfable (such as the Tag, Catalog, or Wire Number cell) the Tagstrip value is surfed for the terminal strip.

NoteYour dialog box can differ depending on whether you are moving from reference to reference across the project drawing set or looking for problems related to wire signal source or destination codes.

When surfing for source or destination signals, the Surf dialog box displays the type (Src or Dst), sheet/reference value and description.

Show more

Displays the extra non-Installation/Location matching references when in IEC tagging mode. If unselected, only the exact surf matches display in the list.

NoteUnavailable if there are not any non-Installation/Location matching references or if you are not in IEC tagging mode.

Freshen

changes on the active drawing visible to the surfing tool.

Edit

Edits a reference using the Insert/Edit Component dialog box.

Catalog Check

Displays a BOM listing of the highlighted reference.

NoteThe reference must have catalog and manufacturer values.

Pan

Moves the view in the active viewport.

Zoom Save

Saves the current zoom factor on the WD_M block.

Zoom In

Increases the apparent magnification of the drawing area. The zoom factor is related to the smaller of the active default dimension text size of the drawing (DIMTXT) and text size (TEXTSIZE). The smaller this value is, the closer the zoom is on the reference.

Delete

Delete the instance that is currently displayed.

NoteChild and other related devices are not deleted.

Pick New List

Changes the component terminal or signal reference you want to surf.

Zoom Out

Reduces the apparent magnification of the drawing area.

Go to

Goes directly to the reference of the highlighted entry.

Special codes in the surf list box
c | Component symbol
p | Parent or standalone schematic or one-line symbol NoteA one-line symbol is indicated by a “1-” value in the Category column.
t | Terminal
w | Wire number
# | Panel layout symbol
# np | Panel layout nameplate reference


Move between drawings (Procedure)

Move from reference to reference
Move between drawings
Plot one or more drawings
Project-Wide Tools >
Move between drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Move between drawings

Use Next and Previous to move among the drawings inside of the active project. A new window is opened and the original window is closed when Next or Previous are selected unless you hold the Shift key while running the commands.

  1. Open a drawing file from the active project.
  2. Click Project tab [image] Other Tools panel [image] Next DWG. Enter AENEXT at the command prompt.

    or

    Click Project tab [image] Other Tools panel [image] Previous DWG. Enter AEPREV at the command prompt.
  3. Continue moving among the drawings until the file you are looking for is opened.
  4. Select Window [image] {drawing file name} to close the drawing after you modify anything.

    You can also close a drawing file by right-clicking the file name in the Project Manager and selecting Close from the context menu.


Plot one or more drawings (Procedure)

Move between drawings
Plot one or more drawings
Create a project-wide script file
Project-Wide Tools >
Plot one or more drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Plot one or more drawings

Batch plot the full drawing set or a subsection of the drawing set.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. On the Project Manager, click the arrow on the Publish/Plot tool, and select Plot Project.
  3. Select one or more drawings to plot.
  4. Click OK.
  5. In the Batch Plotting Options and Order dialog box, select the layout tab to plot.
  6. Select the output device.

    • Use plot config (.pc3): Click to use an existing plotter configuration file (.pc3), enter the file name or click Browse to select the file.

      A plotter configuration file contains information such as the device driver and model, the output port to which the device is connected, and various device-specific settings.

    • Use layout tab’s default: Click to use the default plotter configuration.

  7. Click Detailed Plot Configuration mode to turn on or turn off the options set within the Detailed Plot Configuration Option dialog box.
  8. Click ON or OFF.
  9. Select the order to output the plot:

    • OK: Output plots in the selected order.

    • OK-Reverse: Output plots in the reverse order.

  10. Click OK to save any open drawings.
  11. Click OK Project.


Plot one or more drawings (Quick Reference)

Move from reference to reference
Plot one or more drawings
Project-wide utility
Project-Wide Tools >
Plot one or more drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Batch plotting options and order

Batch plot the full drawing set or a subsection of the drawing set.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

On the Project Manager, click the arrow on the Publish/Plot tool [image] , and select Plot Project. Select the drawings to process and click OK.

Layout tab to plot

Selects the layout tab to plot. Change the tab by selecting from the pick list.

(Optional) For each drawing

Run a pre-plot command script file

Run an optional script file containing a list of commands to execute BEFORE the plot command is issued.

The default script file name is preplot.scr, located in AutoCAD Electrical user subdirectory.

Run a post-plot command script file

Run an optional script file containing a list of commands to execute AFTER the plot command is issued.

The default script file name is postplot.scr, located in AutoCAD Electrical user subdirectory.

NoteChanges to drawings are not saved during the plotting process. Additionally, the plot time and date stamp text is discarded after the plot is complete. To preserve changes made during the plotting process, add the QSAVE command into the pre- or post-plot script file.
Output device name
A plotter configuration file contains information such as the device driver and model, the output port to which the device is connected, and various device-specific settings.
Use plot config (.pc3) | Use an existing plotter configuration file (.pc3).
Use layout tab's default | Use the default plotter configuration.
NoteIf you are plotting to a file you must also select the Yes: plot to= option. The plot file name is generated automatically based on the drawing name. The plot folder is the same as the drawing.
Detailed plot configuration mode
Turns detailed plot configuration options on or off.
Optional page setup name | Enter an optional page setup name when plot configuration options are turned off.
Pick list (from current drawing) | Select an option for the pick list when plot configuration options are turned off.
Plot to file

Enter a subdirectory to plot to or leave blank to plot to the subdirectory where the drawings are located.

Order
OK | Outputs plots in the selected order
OK-Reverse | Outputs plots in the reverse order.


Project-wide utility (Quick Reference)

Plot one or more drawings
Project-wide utility
Renumber Ladder References
Project-Wide Tools >
Project-wide utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Project-wide utilities

Provides the means for operations on wire numbers, component tags, and attribute text. You can define scripts and apply them project-wide.

Ribbon: Project tab [image] Project Tools panel [image] Utilities. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Project-Wide UtilitiesDoes not exist in the menus.
Command entry: AEUTILITIES

Select project drawings and perform any of the following:

  • Erase, reset, fix, or unfix wire numbers.
  • Fix or unfix component tags.
  • Clear signal cross-referencing.
  • Run a user-specified script file.
  • Change attribute text size or style.

You can have multiple drawings open at any time. However, to maximize performance and memory usage, minimize the number of open drawings when running project-wide commands.

Wire Numbers

Select to keep wire numbers the same, erase specified wire numbers, reset specified wire numbers, or set wire numbers to fixed or normal.

Signal Arrow Cross-reference text

Select to maintain the signal arrow cross-reference text or to remove all signal arrow cross-reference text across the current project.

Component Tags

Select to maintain the component tags or to set all parent component tags to fixed or normal across the current project.

For each drawing

Enter the name or browse to a command script file to use for each drawing in the current project or to purge all blocks.

Change Attribute

Change Attribute Size | Click Setup to select the attributes to change, and then enter the height and width definitions for the selected attributes. NoteIf you do not want the attribute height or width to change, do not enter a value definition.
Change Style | Click Setup to select a text font to apply to the text style used on component attributes.


Create a project-wide script file (Procedure)

Plot one or more drawings
Create a project-wide script file
Track drawing changes
Project-Wide Tools >
Create a project-wide script file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Create a project-wide script file

You can run an AutoCAD script file against one or more drawings in the current project.

For example, to ensure that all drawings are set to model space and zoomed extents:

  1. Create an ASCII text script file called model_ext.scr.
  2. Add the following AutoCAD commands and AutoLISP functions:

    (setvar "TILEMODE" 0)

    ZOOM EXT

    (load "c:\\myprograms\\chktitle.lsp")

    NoteDouble backslashes must be used.

    CHKTITLE

    QSAVE

  3. Test the script for proper operation.

    • On the current drawing, issue the SCRIPT command, followed by the script file name.

    • If the script runs properly, it is ready for project-wide use.


Renumber Ladder References (Quick Reference)

Project-wide utility
Renumber Ladder References
Project-wide update or retag
Project-Wide Tools >
Renumber Ladder References
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Renumber Ladders

Renumbers ladder references project-wide.

Ribbon: Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Renumber Ladder Reference. Does not exist on the ribbon.
Toolbar: Ladders
Menu: Wires [image] Ladders [image] Renumber Ladder ReferenceDoes not exist in the menus.
Command entry: AERENUMBERLADDER

1st drawing, 1st ladder, 1st line reference number

Enter the first ladder line reference number.

2nd drawing and beyond

Select an option for ladders on subsequent drawings.

  • Use next sequential reference - increment from the last line reference on the previous drawing.
  • Skip, drawing to drawing count - enter an amount to skip for the first ladder reference of the next drawing.


Project-wide update or retag (Quick Reference)

Renumber Ladder References
Project-wide update or retag
Track drawing changes
Project-Wide Tools >
Project-wide update or retag
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Project-wide update or retag

Resequences or updates component tags, wire numbers, cross references, signal references, select drawing properties, ladders, and title blocks.

Ribbon: Project tab [image] Project Tools panel [image] Update/Retag. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Project-Wide Update/RetagDoes not exist in the menus.
Command entry: AEPROJUPDATE

Reuse drawings from another project or update drawings you add in the middle of a project set. In one command, modify drawing properties and sheet values, renumber ladders, retag components, redo cross referencing, and update title blocks.

Component Retag

Retag all nonfixed components.

NoteIf Ladder References Resequence is selected, the component retag process is performed after the ladder resequencing is complete.
Component Cross-reference Update

Updates the cross-referencing for components on selected drawings.

NoteCross-references are updated after other options such as component retag or ladder resequencing are performed.
Wire Number and Signal Tag/Retag

Sets options for wire number retagging.

Click Setup to display the Wire Tagging (project-wide) dialog box. Here you can insert or update wire numbers associated with wire line networks across a project

Ladder References

Renumbers each ladder sequentially.

Resequence Setup

Defines options for starting reference numbers and how to sequence ladders from drawing to drawing.

Renumber Ladders dialog box

Renumbers the ladder for the selected drawings from the active project.

  1. Enter the ladder reference number for the first drawing.

  2. For all subsequent drawings:

    • Select to use the next sequential reference.

    • Select Skip, drawing to drawing count to enter an amount to skip for the first ladder reference of the next drawing.

Bump Up or Down

Moves ladder references up if drawings were added to the middle of a project or moves ladder references down if drawings were removed from the project.

NoteEnter a negative number to move ladder references down.
Sheet (%S value)
Automates resequencing the sheet value on consecutive drawings.
Resequence - Start with | Enter a number to start the resequencing.
Bump-Up/Down by | Select to move the current sheet value up or down by a given count.
Drawing (%D value)

Performs a project-wide update of the %D “DWG NAME” parameter of the drawing.

Other Configuration Settings

Updates the drawing parameters related to component, cross-reference, and wire tagging modes and format project-wide.

Title Block Update

Automates updating title block information for the active drawing or the entire project drawing set.


Track drawing changes (Concept)

Project-wide update or retag
Project-Wide Tools
Translate description text
Project-Wide Tools >
Track drawing changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Mark/Verify tool can help you track changes made to a project drawing set during any phase in the engineering process. Before you send your drawings out for review, use the Mark option. Each AutoCAD Electrical component, wire number, and beginning ladder reference is invisibly marked and referenced in a table in the scratch database file of the current project. When the drawings are returned, you can use the Verify option to generate a report of changes. The report includes a list of all added, changed, copied, and deleted components and wire numbers. Changes made using AutoCAD, AutoCAD LT, or AutoCAD Electrical are all detected.

For AutoCAD Electrical to detect if a component or wire number is deleted, it must reference the MARKVERIFY table that is saved in the database file of the project. If the project database file is erased after the Mark option is run, then a subsequent Verify command cannot report deleted items since it is limited to reporting only changes involving new inserts, copies, and edited components and wire numbers.

The Verify command detects and reports changes to the following:

  • Component TAG name (such as CR101 changed to CR101A)

  • Description text

  • Switch position text, rating values

  • Beginning PLC module address value

  • Terminal pin numbers (both stand-alone terminals and component pin numbers)

  • Catalog number, manufacturer, assembly code value

  • Location/Installation code values

  • Wire numbers

  • Beginning ladder reference number

  • Wire Source/Destination codes

  • Deleted items - Project database maintained


Track changes made to a drawing set (Procedure)

Create a project-wide script file
Track drawing changes
Translate description text
Project-Wide Tools >
Track drawing changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Track changes made to a drawing set

Use this tool to insert comments in your drawings before sending them for review. Once the drawings are returned to you, run this tool again to see any changes that were made to the drawing set.

  1. Click Project tab [image] Project Tools panel [image] Mark/Verify DWGs. Enter AEMARKVERIFY at the command prompt.
  2. Specify to mark either the project or the current drawing.
  3. Specify to mark AutoCAD Electrical components. You can also select:

    • Include non-AutoCAD Electrical blocks to mark all blocks even if they do not carry AutoCAD Electrical intelligence.

    • Select Include wires/lines to detect changes to any lines or wires in the drawings.

  4. Click OK.
  5. Enter your initials and any comments about the drawing set, and then click OK. This information (along with the current time and date) is included in later reporting.

    Invisible flags are placed on the wire numbers and component tags. These flags do not change the appearance or functioning of the drawings. However, they may increase the drawing size by a small amount.

  6. After you make edits to the drawings or receive the drawings back from your client, reopen the drawings in AutoCAD Electrical so you can verify the changes.
  7. Use the Mark/Verify Drawings command to report the accumulated changes made to the drawing set.
  8. Specify to verify the drawings and click OK.

    A list of the detected changes is displayed in a report dialog box.

  9. Specify to display the data in the AutoCAD Electrical report format, save the report, or print the changes. You can also select to surf through the list to examine each detected change in context.


Track drawing changes (Quick Reference)

Project-wide update or retag
Track drawing changes
Translate description text
Project-Wide Tools >
Track drawing changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mark and verify

Marks drawings to track changes. Verifies drawings to report changes.

Ribbon: Project tab [image] Project Tools panel [image] Mark/Verify DWGs. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Mark/Verify DrawingsDoes not exist in the menus.
Command entry: AEMARKVERIFY

Creates a list of changes made after the drawings are marked. The report includes added, changed, copied, and deleted components or wire numbers. Detects changes made using AutoCAD, AutoCAD LT, or AutoCAD Electrical.

This tool places invisible data on each component to track additions and modifications. Information is written to the project database file to check for deleted components. Your drawings must be named and part of the active project to use this command.

NoteThis command writes information to the project database file that is used to check for deleted components. Your drawings must be named and part of the active project to use this command.
Mark/verify drawing or project | Specifies to mark or verify the active drawing or process all drawings in the current project.
Mark | Places invisible information on all AutoCAD Electrical components including blocks not created in AutoCAD Electrical, lines, and wires.
Verify | Generates a list of changes since the drawings were marked.
Remove | Removes all invisible mark data.
Previous | Redisplays the last check mark exception report.
Surf | Continues surfing on exceptions generated the last time the mark/verify command was used.
Current drawing statistics | Displays any mark data found on the drawing.


Translate description text (Quick Reference)

Track drawing changes
Translate description text
Translate description text
Project-Wide Tools >
Translate description text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Language conversion

Edit: language lookup file


Translate description text (Procedure)

Track drawing changes
Translate description text
Publish to the Web
Project-Wide Tools >
Translate description text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Translate description text

Converts description or switch position component text from one language to another. When AutoCAD Electrical finishes it displays a report listing what was successfully translated and what was not. You can use this report to surf to the problem areas (where a phrase could not be translated) and make manual edits one by one.

  1. Click Project tab [image] Other Tools panel [image] Language Conversion. Enter AELANG at the command prompt.
  2. Select to run the command on the entire project, the active drawing, selected drawings, or on selected objects in the drawing.
  3. Select the "From" and "To" languages to use.
  4. Specify if multiple lines of the component description text are translated based on exact or partial matches.

    By default, the conversion looks for exact matches on the description labels you select with partial match as an option.

  5. Click OK and the components or drawings you want to process.
Tip You can add more phrases to the translation table using the Edit Language Database File tool (Project tab [image] Other Tools panel [image] Edit Language Database) and rerun the language swap to obtain more satisfactory results.


Translate description text (Quick Reference)

Translate description text
Translate description text
Translate description text
Project-Wide Tools >
Translate description text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Language conversion

Translates component description text from one language to another. Description text and switch position text is processed on schematic and panel components.

Ribbon: Project tab [image] Other Tools panel [image] Language Conversion. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Language Conversion [image] Language ConversionDoes not exist in the menus.
Command entry: AELANG
Run language swap on | Performs language translation on the entire project, the active drawing, selected drawings, or on selected objects in the drawing.
From To | Translates from the current language to another language.
What to do | Translates the selected item.
Translation on | Determines if multiple lines of the component description text are translated based on exact or partial matches.
NoteBy default, translation is performed on exact matches only.


Translate description text (Quick Reference)

Translate description text
Translate description text
Publish to the Web
Project-Wide Tools >
Translate description text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Edit: language lookup file

Opens the current language table for review and modification. The default table is wd_lang1.mdb

Ribbon: Project tab [image] Other Tools panel [image] Edit Language Database. Does not exist on the ribbon.
Toolbar: Project
Menu: Projects [image] Language Conversion [image] Edit Language Database FileDoes not exist in the menus.
Command entry: AELANGDB
Select language | Selects a predefined language. NoteLanguage matches are NOT case sensitive, but phrase substitutions are made exactly as entered in the language table.
Add a Language | Adds a new column to the database with a blank entry for each existing phrase associated with the new language name.
Delete Language | Deletes a language from the predefined language table.
Phrase list in selected language | Displays a phrase list for the selected language.
New phrase | Adds a blank entry to the end of each language list and the translations for phrase list at the bottom of the dialog box.
Copy phrase | Adds a copy of each translation of the selected phrase to the end of each language list.
Delete phrase | Deletes all translations of the selected phrase from the database.
Translations for phrase above - Select to edit | Displays phrases from the selected language. Double-click a phrase to edit.


Publish to the Web (Quick Reference)

Translate description text
Publish to the Web
Publish to the Web
Project-Wide Tools >
Publish to the Web
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Publish to web - temporary folder for build

AutoCAD Electrical publish to Web - banner, title text, options


Publish to the Web (Procedure)

Translate description text
Publish to the Web
Publish to DWF
Project-Wide Tools >
Publish to the Web
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Publish to the Web

Creates HTML Web pages from drawings you select in the active project.

  1. Enter AEPUBLISH2WEB at the command prompt.
  2. In the Publish to Web dialog box, select a location to store the drawing files.
  3. Select an image format.

    • DWF: Design web format files are vector-based representations of drawing (.DWG) files.

      NoteDWF is the recommended image format as it supports intra-drawing surfing from a component tag or component description list.

    • JPEG: Joint Photographics Experts Group files are raster-based. We do no recommend this format for large files that contain text.

    • PNG: Portable Network Graphics files are raster-based like JPEG images, but PNG provides a higher quality output.

  4. Click OK.
  5. Select one or more drawing to publish to the Web.

    • Do All: Selects all drawings from the project drawing list to publish to the web.

    • Process: Selects one or more drawings from the project drawing list to publish to the web.

    • Reset: Moves all selected drawings back to the project drawing list.

    • Un-select: Moves one or more drawings back to the project drawing list.

    • by Section/sub-section: Selects drawings by sections and subsections.

  6. Click OK.
  7. Enter a name for the project banner for the Web page.
  8. Enter one or more project titles for the Web page.
  9. Select the method to output drawing images to the Web page.
  10. Click OK.

  11. Enter an output device name.

  12. Press ENTER to select no as the default when prompted to select to write the plot to a file [Yes/No]
  13. Press ENTER to select no as the default when prompted to save change to page setup [Yes/No]
  14. Press ENTER to select yes as the default when prompted proceed with plot [Yes/No]

    The progress of the plot job is displayed. When complete, you are notified that the plot and publish job is complete.


Publish to the Web (Quick Reference)

Publish to the Web
Publish to the Web
Publish to the Web
Project-Wide Tools >
Publish to the Web
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Publish to web - temporary folder for build

Creates a Web page of selected drawings in the current project. The Web pages and associated support files are saved in the specified folder, enabling preview, and testing before posting to the Web. If the folder does not exist, one is created.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.

On the Project Manager, click the arrow on the Publish/Plot tool [image] , and select Plot Project. Select the drawings to process and click OK.

Menu: Projects [image] Publish to WebDoes not exist in the menus.
Command entry: AEPUBLISH2WEB
DWF | Design Web format files are vector-based representations of drawing (.DWG) files. NoteDWF is the recommended image format as it supports intra-drawing surfing from a component tag or component description list.
JPEG | Joint Photographics Experts Group files are raster-based. We do not recommend this format for large files that contain text.
PNG | Portable Network Graphics files are raster-based like JPEG images, but PNG provides a higher quality output.


Publish to the Web (Quick Reference)

Publish to the Web
Publish to the Web
Use drawing title blocks
Project-Wide Tools >
Publish to the Web
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

AutoCAD Electrical publish to Web - banner, title text, options

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.

On the Project Manager, click the arrow on the Publish/Plot tool [image] , and select Plot Project. Select the drawings to process and click OK.

Menu: Projects [image] Publish to WebDoes not exist in the menus.
Command entry: AEPUBLISH2WEB

Specify or create a folder location for the files to save and click OK. Select the drawings to process and click OK.

Banner | Creates the text string that forms the banner for the Web page. The default is the .WDP file name and its path for the current project.
Title Text | Creates the text that appears below the banner. The default is the current project's first four project description LINEx values.
Layout to output | Creates the drawing images using the AutoCAD Plot to DWF function. The plot mode can be Model, Layout1, or As Saved.
Configuration name | Uses the plot configuration file for generating the .DWF drawing images. NoteTo override, set WD_DWF_PC3 in the wd.env environment settings file.
Build intra-drawing surf pick lists | Automates the surf and zoom capabilities on components on the drawing image displayed on the Web. Intra-drawing surfing is available once the page creation process is complete. NoteThis option slows the .DWF plotting process.
Allow drag and drop | Copies the .DWG files or creates .DXF file copies of the drawings and posts them on the Web page. You can drag these files from the Web page into an AutoCAD session.


Publish to DWF (Procedure)

Publish to the Web
Publish to DWF
Title Block Utility
Project-Wide Tools >
Publish to DWF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Publish to DWF

Publishes drawings in the active project to DWF files.

  1. Enter AEPUBLISH2DWF at the command prompt.
  2. Select one or more drawing to publish to DWF.

    • Do All: Selects all drawings from the project drawing list to publish to DWF.

    • Process: Selects one or more drawings from the project drawing list to publish to DWF.

    • Reset: Moves all selected drawings back to the project drawing list.

    • Un-select: Moves one or more drawings back to the project drawing list.

    • by Section/sub-section: Selects drawings by sections and subsections.

  3. Select Publish Setup options.
  4. Click OK.
  5. Click Publish.

The progress of the plot job is displayed. When complete, you are notified that the plot and publish job is complete.


Title Block Utility

Publish to DWF
Project-Wide Tools
Use drawing title blocks
Project-Wide Tools >
Title Block Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Use drawing title blocks

    Update title block

  • Link information to the title block
  • Map AutoLISP values to the title block


Title Block Utility (Procedure)

Publish to DWF
Title Block Utility
Use drawing title blocks
Project-Wide Tools >
Title Block Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Update the title block project-wide

Customize LINEx labels

Map a title block


Use drawing title blocks (Concept)

Title Block Utility
Title Block Utility
Link information to the title block
Project-Wide Tools > Title Block Utility >
Use drawing title blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If your existing drawing title block consists of an AutoCAD block with attributes, AutoCAD Electrical can be linked into it for automated, project-wide title block updates. The AutoCAD Electrical project-wide information lines and the AutoCAD Electrical per-drawing values can be mapped to attributes on your existing title block. You can create project-specific mapping files. AutoCAD Electrical always looks for a mapping file that matches the current project's .wdp file name before it defaults to DEFAULT.WDT. For example, if the active project is ACME99.WDP and you instruct AutoCAD Electrical to do a title block update, AutoCAD Electrical looks for mapping file ACME99.WDT. If not found, AutoCAD Electrical then looks for DEFAULT.WDT (if not found, AutoCAD Electrical aborts the command).

Title block attributes

When you instruct AutoCAD Electrical to do a project-wide title block update, AutoCAD Electrical reads this attribute mapping file. Attributes on title block are mapped to AutoCAD Electrical project data lines and several AutoCAD Electrical settings values. Each one of the drawing values has a code that is entered into your title block setup which assigns that value to a specific attribute. The form of each mapping line in the following table is either <attribute name> = LINEx, where "x" is a project data line number (for example, LINE1) or <attribute name> = xx where "xx" can be any of them:

SHEET | sheet number value (the %S value)
SHEETMAX | number of drawings in the active project (the "N" value in title block "SHEET x of "N")
DWGNAM | drawing name value (the %D value)
DD1 (or DWGDESC), DD2, DD3 | the drawing descriptions assigned in the Project Description dialog box
DWGSEC | optional section code assigned in the Project Description dialog box
DWGSUB | optional Subsection code assigned in the Project Description dialog box
FILENAME | filename without path or extension
FULLFILENAME | filename with path and extension
FILENAMEEXT | file name with .dwg extension only
IEC_P | IEC Project value of the drawing
IEC_I | installation value of the drawing
IEC_L | location value of the drawing
PLOTTIME | current time (24 hr military format)
PLOTTIME12 | current time (12 hr am/pm format)
PLOTDATE | current date (MM:DD:YYYY format)
PLOTDATEMMDDYY | current date (MM:DD:YY format)
PLOTDATEYYMMDD | current date (YY:MM:DD format)
PLOTDATEYYYYMMDD | current date (YYYY:MM:DD format)

Example: your title block has attributes SH for the sheet number and DSTAMP for a plot date stamp and TSTAMP for a plot time stamp value. It also has attributes T1 and T2 for title lines and attribute CUSTOMER for the customer text, all of which come from the project's first three defined description lines. Include these mapping entries:

T1 = LINE1

T2 = LINE2

CUSTOMER = LINE3

SH = SHEET

DSTAMP = PLOTDATE

TSTAMP = PLOTTIME

This "xx" value can also be any fixed text within quotes, such as DRAWNBY = "Joe Engineer"

NoteIf the target attribute tag name of the title block contains one or more wildcard characters (# @ . * ? ~ [ ] - ) the name must be preceded by a backwards apostrophe char (Example: '[REV] = LINE5, where title block attribute name is [REV])

Use multiple title blocks

If your title block/revision block consists of multiple blocks, you can encode 2 or more block names into the ".wdt" file. You can even encode wildcards into the block name that AutoCAD Electrical searches for. For example, the following line encoded in the ".wdt" file triggers AutoCAD Electrical to look for and update not only a block called "TB" but also two other blocks.

BLOCK = TB,TB-REV,TB-ISSUE

You can also use wild-cards to define title blocks. Your drawing could have any of three different title block sizes, named TITLE-SIZEB, TITLE-SIZEC, or TITLE-SIZED. The following line encoded in the ".wdt" file triggers AutoCAD Electrical to find and update the title block no matter what size is used on the drawing.

BLOCK = TITLE-SIZE*

Set up multiple descriptions

Before AutoCAD Electrical 2007 only one description line was allowed per drawing in the project file. One method to map this information to multiple attributes is to set up the "attrname=DWGDESC" entry in the .wdt file to be in this form: attrname1|attrname2|attrname3=DWGDESC using the "|" character between the target attribute names. Then, in the DWGDESC value in the Project Description dialog box, delimit the DWGDESC value with "|" at the break points.

For example, if your title block has three description attributes, TITLE-1, TITLE-2, and TITLE-3 and you want the text entered into the AutoCAD Electrical project DWGDESC entry split across these three attributes. Set up your .wdt title block mapping file with this entry: TITLE-1|TITLE-2|TITLE-3=DWGDESC. Now, in the AutoCAD Electrical Project Descriptions dialog box, split the DWGDESC description text of the drawing into three pieces using "|" delimiters (for example, "Main cabinet|120VAC|PLC I/O"). The AutoCAD Electrical Update Title Block command then splits this string of text across the three title block attributes.

NoteThe Title Block Setup command does not support this method. Use a text editor, such as Notepad, to edit your .wdt file manually.

As of AutoCAD Electrical 2007, three description lines are supported per drawing in the project file. An easier way to map multiple descriptions (up to 3) to multiple attributes is to use the Title Block Setup command (Projects > Title Block Setup). In the Setup Title Block Update dialog box, specify the title block link method, enter a block name, and click OK. In the Title Block Setup dialog box, click Drawing Values. Select an attribute to use for Drawing Description 1 through 3 and click OK.


Use drawing title blocks (Quick Reference)

Publish to the Web
Use drawing title blocks
Use drawing title blocks
Project-Wide Tools > Title Block Utility >
Use drawing title blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Update title block

Setup title block update

Title block setup

Title block setup (user-defined)


Update the title block project-wide (Procedure)

Title Block Utility
Up a level to ..
Link information to the title block
Project-Wide Tools > Title Block Utility >
Use drawing title blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Update the title block project-wide

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, right-click the project name, and select Descriptions.

    A list of the current values for the project-wide LINEx values displays.

  3. Change values for the title, job number, date, scale, or other description attributes.
  4. Click OK.
  5. In the Project Manager, right-click the project name, and select Title Block Update.

    The Update Title Block dialog box displays. You can identify the data lines you want to write out to each title block in your project.

  6. Select the values to update on the title block, along with SHEET and SHEETMAX if new drawings were added to your project.
    NoteIf you want to save these selections, click Save. The settings are stored in the default.wdu file.
  7. (Optional) Select Resequence sheet %S value.

    Renumbers the sheet values and changes the sheet max value. It is commonly used when drawings are added to the project drawing set.

  8. Click OK Project-Wide.
  9. Select to process all of the drawings in the project and click OK.

    AutoCAD Electrical calls up each drawing, finds the title block of the drawing, and changes the attribute names mapped to the values you selected, SHEET, and SHEETMAX. It also resequences the SHEET values as it goes.


Use drawing title blocks (Quick Reference)

Use drawing title blocks
Use drawing title blocks
Use drawing title blocks
Project-Wide Tools > Title Block Utility >
Use drawing title blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Update title block

Automates updating title block information for the current drawing or the entire project drawing set. Project and drawing specific settings are linked to one or more attributes contained in the title block.

This tool assumes that you have a border with mapped attributes using the .wdt file or a mapping attribute (WD_TB) inside of the border. It specifies which attribute on the border to update with text from the Update Title Block dialog box. The text in this dialog box comes from right-clicking on the project name in the Project Manager and selecting Descriptions.

The prompt text for each line is controlled by the default_wdtitle.wdl file or _wdtitle.wdl file if you placed one in the project folder. If AutoCAD Electrical cannot find a _wdtitle.wdl file in the project folder, it looks for the default_wdtitle.wdl file in the User folder.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Update. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.

From Project Manager, right-click the project name and select Title Block Update.

Command entry: AEUPDATETITLEBLOCK
Select Lines to Update (Project Description Lines)

Lists project-wide LINE1 through LINExx values.

LINE1-LINE9 values are as follows:

LINE1 | Title 1
LINE2 | Title 2
LINE3 | Title 3
LINE4 | Job Number
LINE5 | Date
LINE6 | Engineer
LINE7 | Drawn By
LINE8 | Checked By
LINE9 | Scale
Select Lines to Update (per-drawing values)
Lists drawing-specific values.
Drawing Description | The drawing descriptions in the project. Up to three drawing descriptions can be added to a drawing. The drawing description codes DD1(or DWGDESC), DD2 and DD3 are used for the three description lines.
Drawing Section | The drawing sections in the project.
Drawing Sub-section | The drawing subsections in the project.
Filename | The file name without an extension.
File/extension | The file name with the appropriate extension.
Full Filename | The full file name and the path name where the file is located.
P | The project value for the drawing.
I | The installation value for the drawing.
L | The location value for the drawing.
Drawing (%D value) | The %D value of the drawing settings.
Sheet (%S value) | The %S value of the drawing settings.
Sheet maximum | The maximum count of drawings in the project.
Resequence sheet %S values | Renumbers the sheet number for each drawing in the project set or for a selected portion of the project drawing set.
Activate each drawing to process

Specifies to activate every drawing so you can update the title block lines on selected drawings in the project.

OK Active Drawing Only

Updates the text for the selected lines on the active drawing only.

OK Project-wide

Updates the text for the selected lines on the selected drawings in the project.


Use drawing title blocks (Quick Reference)

Use drawing title blocks
Use drawing title blocks
Use drawing title blocks
Project-Wide Tools > Title Block Utility >
Use drawing title blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup title block update

Creates or modifies the link between title block attributes and project and drawing values.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

The link between AutoCAD Electrical and the title block is defined by either an external text file (.wdt) or by an invisible WD_TB attribute added to your existing title block. If the WDT method is used, you can use a project-specific file or the Default.wdt file. In either case, the title block attribute names are mapped to the project-wide LINEx values and to several drawing-specific setting values.

Method 1
Project.wdt | Create a project-specific mapping file that only references for drawings in the current project. The file name is the same as the project name with a .wdt extension.
DEFAULT.WDT | Create a default mapping file in the project's subdirectory that is referenced if a project-specific file is not found and if a WD_TB attribute is not present in the title block.
DEFAULT.WDT | Create a default mapping file in the default AutoCAD Electrical subdirectory that is referenced if a project-specific file is not found and if a WD_TB attribute is not present in the title block.
Method 2

The title block contains an invisible attribute with a value that defines the mapping between the title block and AutoCAD Electrical. No external WDT file is required because the mapping information is self-contained on the title block.

The attribute name = WD_CODE mapping information is encoded on the WD_TB attribute on the title block of the drawing. The attribute's value gives the mapping information in the format of a semi-colon delimited text string. For example:

TITLE-1=LINE1;TITLE-2=LINE2;SH=SHEET;SH_TOTAL=SHEET_MAX

where project wide values for LINE1 and LINE2 codes update attributes TITLE-1 and TITLE-2. The %S sheet value is copied to the title block attribute SH, and the number of drawing files in the project is written out to attribute SH_TOTAL.


Use drawing title blocks (Quick Reference)

Use drawing title blocks
Use drawing title blocks
Use drawing title blocks
Project-Wide Tools > Title Block Utility >
Use drawing title blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Title block setup

Defines attribute mappings. The lines that follow the title block name list the attribute names on that block and what pieces of AutoCAD Electrical project data or drawing specific data that AutoCAD Electrical should copy to that attribute.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

Specify the title block link method, enter a block name, and click OK.

Title block name | Lists the available title block names.
Add New | Adds new title blocks to the project. Enter a block name. For multiple blocks, separate with a comma. For example, DEMOTBLK,DEMOTBLK2,DEMOTBLK3
Edit | Edits the selected title block.
Remove | Removes the selected title block.
Pick on | Selects an attribute directly on the drawing if you do not know the name of attribute.
Attribute | Specifies the attribute to use for the drawing, project, or plotting value. Select an attribute from the list.
Project Values / Drawing Values / Plotting Values | Shows the project, drawing-specific, and plotting values.
User Defined | Maps attributes to text constants or AutoLISP values.


Use drawing title blocks (Quick Reference)

Use drawing title blocks
Use drawing title blocks
Link information to the title block
Project-Wide Tools > Title Block Utility >
Use drawing title blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Title block setup (user-defined)

Assigns text constants and AutoLISP expressions to a title block attribute.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

Specify the title block link method, enter a block name, and click OK. Click User Defined on the Title Block Setup dialog box.

Current User-defined Assignments | Lists the attributes and assigned text constant or AutoLISP expression.
Attributes | Modify an existing link by selecting it from the attribute list. To clear an existing link, select -none- from the attribute list.
Text constant or AutoLISP expression | Enter a text constant or an AutoLISP expression to assign to the attribute. For example, you can assign (getvar LOGINNAME) to attribute DWGBY, or you can assign YourName to DWGBY.
Update list | Adds the text constant or AutoLISP expression to the user-defined list.


Link information to the title block (Concept)

Use drawing title blocks
Title Block Utility
Map AutoLISP values to the title block
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can link some AutoCAD Electrical project description data entries and some of the AutoCAD Electrical drawing values to the attributes that appear in the drawing title blocks. There are two methods: using an attribute mapping file and mapping information embedded on the title block.

Link values using an attribute mapping file

A text file, DEFAULT.WDT, defines what AutoCAD Electrical values are mapped to the drawing title block attributes. Use any text editor to create or edit file default.wdt:

BLOCK = TITLE

PROJ_TITLE = LINE1

DRAW_TITLE1 = LINE2

DRAW_TITLE2 = DWGDESC

PROJ_NUM = LINE4

STATUS = LINE5

STATUS_DATE = LINE6

REV = LINE7

SX = SHEETMAX

SH = SHEET

PLOTTIME = PLOTTIME

PLOTDATE = PLOTDATE

When you instruct AutoCAD Electrical to do a project-wide title block update, AutoCAD Electrical reads this mapping file. The "BLOCK = " entry tells AutoCAD Electrical the AutoCAD block name of the title block. The lines that follow list the attribute names on that block and what pieces of AutoCAD Electrical project data or drawing specific data that AutoCAD Electrical should copy to that attribute. The PLOTTIME and PLOTDATE entries also appear in this file but they are used only by the AutoCAD Electrical batch plotting routine.

You can include other non-AutoCAD Electrical-mapped attributes as well in this mapping file. For example, the line

DRAWN_BY = "Joe Doe"

Triggers AutoCAD Electrical to look for an attribute named "DRAWN_BY" and, if found, insert a value of "Joe Doe." If your target attribute name contains an AutoLISP wildcard character such as #, ?, [, ], -, @, ~, ., or * precede that character with the ` character. For example, if your target attribute name is SHT# and you want to map the AutoCAD Electrical SHEET parameter to it, set up the mapping with

SHT'# = SHEET

You can create project-specific mapping files. AutoCAD Electrical always looks for a mapping file that matches the current project's .wdp file name before it defaults to DEFAULT.WDT. For example, if the current, active project is ACME99.WDP and you instruct AutoCAD Electrical to do a title block update, AutoCAD Electrical looks for mapping file ACME99.WDT. If not found, AutoCAD Electrical then looks for DEFAULT.WDT (and if not found, AutoCAD Electrical aborts the command).

Map information embedded on the title block

An invisible attribute on the title block of the drawing, named "WD_TB," can be encoded with the mapping information. This method eliminates the need for an external mapping text file. When you instruct AutoCAD Electrical to do a project-wide title block update, AutoCAD Electrical first searches each drawing for any block that carries an attribute named WD_TB. If found, AutoCAD Electrical assumes that it has found the title block of the drawing and skips any search for a .wdt file. AutoCAD Electrical extracts the WD_TB attribute value where the mapping information is stored. The format is <attribute name>=<LINEx>;<attribute name>=<LINEx>. Here is an example of what the WD_TB attribute value would be:

PROJ_TITLE=LINE1;DRAW_TITLE1=LINE2;DRAW_TITLE2=DWGDESC;PROJ_NUM=LINE4


Link information to the title block (Procedure)

Use drawing title blocks
Up a level to ..
Link information to the title block
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customize LINEx labels

Map a title block


Link information to the title block (Quick Reference)

Use drawing title blocks
Link information to the title block
Link information to the title block
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup title block update

Title block setup

Title block setup (user-defined)


Customize LINEx labels (Procedure)

Link information to the title block
Up a level to ..
Link information to the title block
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customize LINEx labels

The generic LINEx labels that display in the various title block and project description dialog boxes can be customized to match the field names in your title block.

  1. Create a file called either projname_wdtitle.wdl or default_wdtitle.wdl in the project subdirectory. Use any generic text editor like Notepad or Wordpad.
  2. The file should contain one line per label in the format LINEx=label. The entries do not have to be in order and line numbers may be skipped.

    LINE1 = Project Title 1

    LINE2 =Title 2

    LINE3 = Title 3

    LINE4 = Project Number

    LINE5 = Date

    LINE6 = Engineer

    LINE7 = Drawn By

    LINE8 = Checked By

    LINE9 = Scale

  3. Save and exit the ASCII text file.
  4. Open AutoCAD and test.
Search sequence for .wdl files

You may create different .wdl files for different projects. The search sequence is as follows:

  1. Look in the same directory as the project's .WDP file for a file called PROJNAM_WDTITLE.WDL
  2. Look in the same directory as the project's .WDP file for a file called DEFAULT_WDTITLE.WDL
  3. If WD_ACADPATHFIRST flag is present in wd.env file, look for DEFAULT_WDTITLE.WDL in ACAD paths
  4. Look for DEFAULT_WDTITLE.WDL in the AutoCAD Electrical USER directory
  5. Look for DEFAULT_WDTITLE.WDL in base AutoCAD Electrical directory
  6. If WD_SUP_ALT is defined in the wd.env file, look for DEFAULT_WDTITLE.WDL in the specified path
  7. Look for DEFAULT_WDTITLE.WDL in ACAD paths (if WD_ACADPATHFIRST flag is not set in wd.env)


Map a title block (Procedure)

Link information to the title block
Up a level to ..
Overview of the Icon Menu Wizard
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Map a title block

Create a mapping for the title block.

  1. Click Project tab [image] Other Tools panel [image] Title Block Setup. Enter AESETUPTITLEBLOCK at the command prompt.
  2. Select the title block link method:
    • Method 1: Text mapping file with .WDT extension.
    • Method 2: Mapping is defined by an invisible attribute contained in the title block.
  3. Click OK.

    If the .WDT file exists:

    • Click View to view and edit the file.
    • Click Overwrite to create a file.
    • Click Edit to modify the existing file.
    NoteIf no existing file is found, identify the AutoCAD block name of the title block.
  4. In the Title Block Setup dialog box, select the attribute from each list to map to its corresponding AutoCAD Electrical value.
  5. Click Drawing Values to assign drawing specific and plotting values.
  6. Click User Defined to map attributes to text constants or AutoLISP values.
  7. Click OK.


Link information to the title block (Quick Reference)

Link information to the title block
Link information to the title block
Link information to the title block
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup title block update

Creates or modifies the link between title block attributes and project and drawing values.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

The link between AutoCAD Electrical and the title block is defined by either an external text file (.wdt) or by an invisible WD_TB attribute added to your existing title block. If the WDT method is used, you can use a project-specific file or the Default.wdt file. In either case, the title block attribute names are mapped to the project-wide LINEx values and to several drawing-specific setting values.

Method 1
Project.wdt | Create a project-specific mapping file that only references for drawings in the current project. The file name is the same as the project name with a .wdt extension.
DEFAULT.WDT | Create a default mapping file in the project's subdirectory that is referenced if a project-specific file is not found and if a WD_TB attribute is not present in the title block.
DEFAULT.WDT | Create a default mapping file in the default AutoCAD Electrical subdirectory that is referenced if a project-specific file is not found and if a WD_TB attribute is not present in the title block.
Method 2

The title block contains an invisible attribute with a value that defines the mapping between the title block and AutoCAD Electrical. No external WDT file is required because the mapping information is self-contained on the title block.

The attribute name = WD_CODE mapping information is encoded on the WD_TB attribute on the title block of the drawing. The attribute's value gives the mapping information in the format of a semi-colon delimited text string. For example:

TITLE-1=LINE1;TITLE-2=LINE2;SH=SHEET;SH_TOTAL=SHEET_MAX

where project wide values for LINE1 and LINE2 codes update attributes TITLE-1 and TITLE-2. The %S sheet value is copied to the title block attribute SH, and the number of drawing files in the project is written out to attribute SH_TOTAL.


Link information to the title block (Quick Reference)

Link information to the title block
Link information to the title block
Link information to the title block
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Title block setup

Defines attribute mappings. The lines that follow the title block name list the attribute names on that block and what pieces of AutoCAD Electrical project data or drawing specific data that AutoCAD Electrical should copy to that attribute.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

Specify the title block link method, enter a block name, and click OK.

Title block name | Lists the available title block names.
Add New | Adds new title blocks to the project. Enter a block name. For multiple blocks, separate with a comma. For example, DEMOTBLK,DEMOTBLK2,DEMOTBLK3
Edit | Edits the selected title block.
Remove | Removes the selected title block.
Pick on | Selects an attribute directly on the drawing if you do not know the name of attribute.
Attribute | Specifies the attribute to use for the drawing, project, or plotting value. Select an attribute from the list.
Project Values / Drawing Values / Plotting Values | Shows the project, drawing-specific, and plotting values.
User Defined | Maps attributes to text constants or AutoLISP values.


Link information to the title block (Quick Reference)

Link information to the title block
Link information to the title block
Map AutoLISP values to the title block
Project-Wide Tools > Title Block Utility >
Link information to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Title block setup (user-defined)

Assigns text constants and AutoLISP expressions to a title block attribute.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

Specify the title block link method, enter a block name, and click OK. Click User Defined on the Title Block Setup dialog box.

Current User-defined Assignments | Lists the attributes and assigned text constant or AutoLISP expression.
Attributes | Modify an existing link by selecting it from the attribute list. To clear an existing link, select -none- from the attribute list.
Text constant or AutoLISP expression | Enter a text constant or an AutoLISP expression to assign to the attribute. For example, you can assign (getvar LOGINNAME) to attribute DWGBY, or you can assign YourName to DWGBY.
Update list | Adds the text constant or AutoLISP expression to the user-defined list.


Map AutoLISP values to the title block (Concept)

Link information to the title block
Title Block Utility
Icon Menus
Project-Wide Tools > Title Block Utility >
Map AutoLISP values to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

You can vector to the title block system variable values or values extracted by AutoLISP programs. For example, the environment variable of the system "USERNAME" contains a value that must show up on the drawing title block. You set up your default.wdt file to map the AutoCAD Electrical "LINE12" value to attribute "DWGBY" on your standard title block. Now you want to have LINE12 point at the USERNAME environment variable automatically so that, during title block update, the USERNAME value goes to LINE12 which, in turn, sends it on to the "DWGBY" attribute on the title block. Encode the AutoLISP (getenv " ") function into the LINE12 value for your current project description data.

Now when you run the Title Block update, make sure that LINE12 is selected. During the update AutoCAD Electrical evaluates the expression (getenv "USERNAME"), retrieves the environment value, and writes that value out to the attribute that is mapped to LINE12 (mapped in the .wdt file or on the WD_TB attribute value carried by the title block).

NoteIf the expression is a full AutoLISP function, it must return a string value (not an integer, real, list, or nil value). The program must be encoded into the project description data as "(load 'filename.lsp')." It must be self-starting upon load.


Map AutoLISP values to the title block (Quick Reference)

Link information to the title block
Map AutoLISP values to the title block
Map AutoLISP values to the title block
Project-Wide Tools > Title Block Utility >
Map AutoLISP values to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Setup title block update

Title block setup

Title block setup (user-defined)


Map AutoLISP values to the title block (Quick Reference)

Map AutoLISP values to the title block
Map AutoLISP values to the title block
Map AutoLISP values to the title block
Project-Wide Tools > Title Block Utility >
Map AutoLISP values to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Setup title block update

Creates or modifies the link between title block attributes and project and drawing values.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

The link between AutoCAD Electrical and the title block is defined by either an external text file (.wdt) or by an invisible WD_TB attribute added to your existing title block. If the WDT method is used, you can use a project-specific file or the Default.wdt file. In either case, the title block attribute names are mapped to the project-wide LINEx values and to several drawing-specific setting values.

Method 1
Project.wdt | Create a project-specific mapping file that only references for drawings in the current project. The file name is the same as the project name with a .wdt extension.
DEFAULT.WDT | Create a default mapping file in the project's subdirectory that is referenced if a project-specific file is not found and if a WD_TB attribute is not present in the title block.
DEFAULT.WDT | Create a default mapping file in the default AutoCAD Electrical subdirectory that is referenced if a project-specific file is not found and if a WD_TB attribute is not present in the title block.
Method 2

The title block contains an invisible attribute with a value that defines the mapping between the title block and AutoCAD Electrical. No external WDT file is required because the mapping information is self-contained on the title block.

The attribute name = WD_CODE mapping information is encoded on the WD_TB attribute on the title block of the drawing. The attribute's value gives the mapping information in the format of a semi-colon delimited text string. For example:

TITLE-1=LINE1;TITLE-2=LINE2;SH=SHEET;SH_TOTAL=SHEET_MAX

where project wide values for LINE1 and LINE2 codes update attributes TITLE-1 and TITLE-2. The %S sheet value is copied to the title block attribute SH, and the number of drawing files in the project is written out to attribute SH_TOTAL.


Map AutoLISP values to the title block (Quick Reference)

Map AutoLISP values to the title block
Map AutoLISP values to the title block
Map AutoLISP values to the title block
Project-Wide Tools > Title Block Utility >
Map AutoLISP values to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Title block setup

Defines attribute mappings. The lines that follow the title block name list the attribute names on that block and what pieces of AutoCAD Electrical project data or drawing specific data that AutoCAD Electrical should copy to that attribute.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

Specify the title block link method, enter a block name, and click OK.

Title block name | Lists the available title block names.
Add New | Adds new title blocks to the project. Enter a block name. For multiple blocks, separate with a comma. For example, DEMOTBLK,DEMOTBLK2,DEMOTBLK3
Edit | Edits the selected title block.
Remove | Removes the selected title block.
Pick on | Selects an attribute directly on the drawing if you do not know the name of attribute.
Attribute | Specifies the attribute to use for the drawing, project, or plotting value. Select an attribute from the list.
Project Values / Drawing Values / Plotting Values | Shows the project, drawing-specific, and plotting values.
User Defined | Maps attributes to text constants or AutoLISP values.


Map AutoLISP values to the title block (Quick Reference)

Map AutoLISP values to the title block
Map AutoLISP values to the title block
Overview of the Icon Menu Wizard
Project-Wide Tools > Title Block Utility >
Map AutoLISP values to the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Title block setup (user-defined)

Assigns text constants and AutoLISP expressions to a title block attribute.

Ribbon: Project tab [image] Other Tools panel [image] Title Block Setup. Does not exist on the ribbon.
Menu: Projects [image] Title Block SetupDoes not exist in the menus.
Command entry: AESETUPTITLEBLOCK

Specify the title block link method, enter a block name, and click OK. Click User Defined on the Title Block Setup dialog box.

Current User-defined Assignments | Lists the attributes and assigned text constant or AutoLISP expression.
Attributes | Modify an existing link by selecting it from the attribute list. To clear an existing link, select -none- from the attribute list.
Text constant or AutoLISP expression | Enter a text constant or an AutoLISP expression to assign to the attribute. For example, you can assign (getvar LOGINNAME) to attribute DWGBY, or you can assign YourName to DWGBY.
Update list | Adds the text constant or AutoLISP expression to the user-defined list.


Icon Menus

Map AutoLISP values to the title block
Overview of the Icon Menu Wizard
Icon Menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of the Icon Menu Wizard

    Icon menu wizard

  • Use alternate icon menus
  • Modify Icon Menu File Directly


Overview of the Icon Menu Wizard (Concept)

Icon Menus
Icon Menus
Use alternate icon menus
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the Icon Menu Wizard to customize the icon menus easily.

  • Copy, cut, and paste icons from one submenu into another.
  • Drag icons to place those icons that are commonly used at the top, and those icons that are used less frequently at the bottom of the window.
  • Create new icons to use when inserting components.
  • Add new icon menu pages.

Once you click OK in any of the Add Icon dialog boxes, the following happens:

  • The new icon is created and saved depending on the status of the WD_SLB code in the environment file (.env).

    If WD_SLB is disabled in the environment file, the Images folder of the corresponding icon menu .dat file is created (if it does not exist) and new images are saved here.

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\Images\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\Images\

    If you browsed to an existing image, the image is copied to the Images folder.

    If WD_SLB is enabled, the Images folder corresponding to the folder defined by the WD_SLB is created (if it does not exist) and new images are saved here. If the WD_SLB value is “N:\Electrical\Menu” then the folder N:\Electrical\Menu\Images is created and used. If you browsed to an existing image, the image is copied to the Images folder.

    NoteYou can enclose the image path within quotation marks if you do not want the images copied to the Images folder. The .dat file saves the absolute path instead. For example, if the image file edit box contains “C:\Desktop\push_button.png,” then the push_button.png is not copied to the Image folder.
  • The new icon is added to the end of the existing icon images in the Symbol Preview window of the Icon Menu Wizard dialog box.
  • The relative path of the new icon information is written to the .dat file once you click OK in the Icon Menu Wizard dialog box. However, the complete path of the block or circuit is saved in the .dat file if the Block Name edit box or the File name edit box contains the complete path of the drawing file.


Overview of the Icon Menu Wizard (Quick Reference)

Map AutoLISP values to the title block
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Icon menu wizard

Add icon - component

Add icon - command

Create new circuit

Add existing circuit

Create new submenu

Properties - main menu

Properties - component

Properties - command

Properties - circuit

Properties - submenu


Add or modify icons using the icon menu wizard (Procedure)

Link information to the title block
Overview of the Icon Menu Wizard
Use catalog tables
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add or modify icons using the icon menu wizard

Adds new or edits existing items and pages on the AutoCAD Electrical icon menus.

  • Copy, cut, and paste icons from one submenu into another.
  • Drag icons within the Symbol Preview window to rearrange. Place icons used commonly at the top.
  • Create a icon for components or circuits you insert, or an AutoCAD Electrical command you run.

The Icon Menu Wizard can be used to add or modify icons for both the schematic and panel symbol libraries. You can add new menu pages to the AutoCAD Electrical icon menu, and then populate them with your own custom symbols. Each new page can have icon selections that cascade down to other new menu pages.

Add a new icon to the menu

  1. Create an AutoCAD Electrical compatible library symbol. For schematic symbols, follow the guidelines regarding the symbol ".dwg" file naming convention and required attributes.
  2. Click Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Enter AEMENUWIZ at the command prompt.
  3. On the Select Menu File dialog box, select the menu file (.dat) to modify and click OK.
  4. On the Icon Menu Wizard dialog box, select Add [image] Component to add a new icon to the menu.

    You can alternately select Command, New Circuit, Add Circuit or New Submenu depending on which type of icon you want to add.

    • Component: Adds an icon that inserts a component into the drawing.
    • Command: Adds an icon that runs an AutoCAD Electrical command when selected.
    • New Circuit: Creates a circuit and adds the icon (that is created from a new circuit) that inserts the circuit into the drawing.
    • Add Circuit: Adds an icon (created from an existing circuit) that inserts the circuit into the drawing.
    • New Submenu: Adds an icon that opens a submenu page when selected. You can then select an icon from the submenu to insert the specified component into the drawing or run an AutoCAD Electrical command.
  5. On the Add Icon - Component dialog box, define the required information (such as symbol file name, image file, and block name) for the icon menu button. To select the image file of the icon, enter text, and then click Browse to select an existing image file. Click Pick to select a block from the active drawing (the block name then appears in the Image File edit box). Or, click Active to select the active drawing to use as the icon image file name.

    The icon options to define differ depending on which type of icon you are adding to the menu file (.dat).

  6. Click OK.

    The new icon displays at the bottom of the Symbol Preview window.

  7. On the Icon Menu Wizard dialog box, click OK.
  8. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.

    On the Insert Component dialog box, select the new icon.

Edit the properties of an existing icon in the menu

  1. Create an AutoCAD Electrical compatible library symbol. For schematic symbols, follow the guidelines regarding the symbol ".dwg" file naming convention and required attributes.
  2. Click Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Enter AEMENUWIZ at the command prompt.
  3. On the Select Menu File dialog box, select the menu file to modify and click OK.
  4. On the Icon Menu Wizard dialog box, right-click the icon to edit and select Properties.
  5. On the Properties - Component (Command, Circuit or Submenu) dialog box, edit the required information (such as symbol file name, image file, and block name) for the icon menu button. To select the image file of the icon, enter text, and then click Browse to select an existing image file. Click Pick to select a block from the active drawing (the block name then appears in the Image File edit box), or click Active to select the active drawing to use as the icon image file.

    The icon options to define differ depending on which type of icon you are editing.

  6. Click OK.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Icon menu wizard

Modifies the icon menu. You can rearrange icons using drag and drop in the Symbol Preview window, add icons, create new submenus, delete icons, cut/copy/paste icons, and modify icon properties.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ
NoteYou can lock the icon menu (.dat) file using the Windows File Properties dialog box so unauthorized users cannot modify the .dat file. In the Windows File Properties dialog box, set the file attributes to Read-only.

Menu

The tree structure is created by reading the icon menu file (.dat). The displayed nodes are based on the order of arrangement of submenus defined in the .dat file.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Add: Modifies the icon menu by adding icons for commands, components, or circuits or add a new submenu.

Symbol Preview window

Displays the symbol images corresponding to the menu or the submenu selected in the Menu section.

You can drag icons within the Symbol Preview window for rearrangement (multiple selection is allowed) such as placing commonly used icons at the top and rarely used icons at the bottom of the window.

NoteWhen you move the cursor over an icon, the icon name, and block/circuit/command name display as tooltip information.
Right-click menus

Options for the Menu tree structure view

Right-click a menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • New submenu: Creates a submenu in the tree structure and the Symbol Preview window.
  • Cut: (available for submenus only) Removes the selected submenu and its contents from the list. You can then paste the submenu into another submenu or a main menu.
    NoteThe menu number does not change during a Cut and Paste. For example, if you cut menu number 100 and paste it into another submenu page, the pasted menu page is still menu number 100.
  • Copy: (available for submenus only) Makes a copy of the highlighted submenu and stores it in the Paste clipboard. You can then paste the submenu and its contents into another submenu or a main menu.
    NoteA new menu number is created for the pasted submenu. The next available menu number (greater than 99) is assigned.
  • Paste: Adds the copied or cut submenu to the highlighted menu or submenu.
  • Delete: (available for submenus only) Deletes the submenu and all related content.
  • Properties: Opens a Properties dialog box to modify the existing menu or submenu properties like the menu name, image, or submenu title. The existing data in the *.dat file is overwritten with your changes once you click OK.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Add icon: Adds new icons (component, command, or circuit) or adds an existing circuit into the Symbol Preview window.
  • New submenu: Creates a submenu in the Symbol Preview window and the tree structure.
  • Cut: Removes the selected icon from the Symbol Preview window. You can then paste the icon into the desired submenu.
  • Copy: Makes a copy of the highlighted icon and stores it in the Paste clipboard. You can then paste the icon into the appropriate submenu.
  • Paste: Adds the copied or cut icon to the highlighted submenu.
  • Delete: Deletes the icon.
  • Properties: Opens a Properties dialog box to modify the existing symbol icon properties like the icon name, image, or block names. The existing data in the *.dat file is overwritten with your changes once you click OK.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add icon - component

The icon name and symbol block name are saved in the active *.dat file (such as ACE_JIC_MENU.DAT) once you click OK the Icon Menu Wizard dialog box. The icon then displays at the end of the existing icon images in the Symbol Preview window of the Insert Component dialog box.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box click Add and then select Component.

You can also access this dialog box by right-clicking in the Symbol Preview window of the Icon Menu Wizard dialog box and selecting Add Icon [image] Component.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (It is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

The browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder. Save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png. Or, it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}.” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected.) Zooms in on the current screen image using the AutoCAD Zoom command. Once you exit Zoom mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified.) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Block Name to Insert

Defines the symbol block that is inserted when you click the icon in the Insert Component dialog box.

Block Name

Specifies the symbol block name. The file name of the symbol can be typed into the edit box or you can enter it using one of the following methods:

  • Browse: Finds an existing WBlocked drawing (*.dwg) file to assign to the icon. In this case the complete path of the drawing file is inserted in the edit box.
  • Pick: Selects an existing block on the current drawing (for example, block recently created with Symbol Builder). WBlocked version (.dwg) must exist.
  • Active: Inserts the active drawing as a block.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add icon - command

An icon can be configured to trigger an AutoCAD command, trigger an AutoCAD Electrical command, or run a script file. The icons that trigger insertion of multi-pole schematic symbol assemblies, one-line symbols, and panel footprints are examples that require encoding of special AutoCAD Electrical commands.

The icon name and command string are saved in the active *.dat file (such as ACE_JIC_MENU.DAT) once you click OK on the Icon Menu Wizard dialog box. The icon then displays at the end of the existing icon images in the Symbol Preview window of the Insert Component dialog box.

NoteIf you are modifying the panel menu file, use this option for inserting panel symbols. Also, use it for inserting 3-pole schematic symbols or one-line symbols.
Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. On the Icon Menu Wizard dialog box click Add, and then select Command.

You can also access this dialog box by right-clicking in the Symbol Preview window of the Icon Menu Wizard dialog box and selecting Add Icon [image] Command.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (It is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

The browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder. Save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected.) Zooms in on the current screen image using AutoCAD Pan command. Once you exit Pan mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified.) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Command to Execute
NoteIf you select an AutoCAD Electrical command, manually enter the additional parameters as indicated.

Command

Specifies to start an AutoCAD command or AutoCAD Electrical routine. You can enter the command name to execute with arguments.

Click List to select from a list of AutoCAD Electrical commands for panel, schematic multi-pole symbol, and one-line symbol inserts. It makes it easier for you to build the appropriate command to insert a symbol.

Parameters

Displays the command parameters for a specific AutoCAD Electrical command. If the command does not have any parameters, the value “none” displays.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create new circuit

The icon name and circuit drawing name are saved in the active *.dat file (such as ACE_JIC_MENU.DAT) once you click OK on the Icon Menu Wizard dialog box. The icon then displays at the end of the existing icon images in the Symbol Preview window of the Insert Component dialog box.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box click Add, and then select New Circuit.

You can also access this dialog box by right-clicking in the Symbol Preview window of the Icon Menu Wizard dialog box and selecting Add Icon [image] New Circuit.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (This method is unavailable if the drawing is a new drawing and has not been saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

The browsed image is copied to the User folder if wd_userckt_dir is disabled in the .env file.

NoteThe User folder can be overridden by the wd_userckt_dir defined folder if the environment code is enabled in the .env file.

Enclose the image path in quotation marks if you do not want the image copied to the User folder. Save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected) Zooms in on the current screen image using AutoCAD Zoom command. Once you exit Zoom mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Circuit Drawing File

Defines the circuit file name that is created.

File Name | Specifies the file name for the circuit. Enter a drawing file name to use.
Location | Displays the complete path of the new drawing file that is created. The default user circuit folder is the User folder if the wd_usercktdir code is disabled in the environment file. If wd_usercktdir is enabled, the folder defined by this code is used as the user circuit folder.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add existing circuit

The icon name and circuit drawing name are saved in the active *.dat file (such as ACE_JIC_MENU.DAT) once you click OK on the Icon Menu Wizard dialog box. The icon then displays at the end of the existing icon images in the Symbol Preview window of the Insert Component dialog box.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box click Add, and then select Add Circuit.

You can also access this dialog box by right-clicking in the Symbol Preview window of the Icon Menu Wizard dialog box and selecting Add Icon [image] Add Circuit.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (It is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

If the circuit drawing file name contains the path of the drawing file referring to the User folder or the wd_userckt_dir defined folder, the browsed image is copied to the User folder if wd_userckt_dir is disabled in the .env file or the wd_userckt_dir defined folder if wd_userckt_dir is enabled in the .env file.

If the circuit drawing file name contains the path of the drawing file that does not refer to the User or wd_userckt_dir defined folder, the browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder and to save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected) Zooms in on the current screen image using AutoCAD Zoom command. Once you exit Zoom mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(It appears once the Image file is specified) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Circuit Name to Insert

Defines the circuit to insert when you click the icon.

File Name

Specifies the file name for the circuit. Enter a drawing file name to use, click Browse to select a drawing, or click Active to use the active drawing name as the circuit name.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create new submenu

The icon name and submenu are saved in the active *.dat file (such as ACE_JIC_MENU.DAT) once you click OK on the Icon Menu Wizard dialog box. The icon then displays at the end of the existing icon images in the Symbol Preview window of the Insert Component dialog box.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box click Add, and then select New Submenu.

You can also access this dialog box by right-clicking in the Symbol Preview window of the Icon Menu Wizard dialog box and selecting New Sub Menu.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (It is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

The browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder and to save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected) Zooms in on the current screen image using AutoCAD Zoom command. Once you exit Zoom mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Submenu

This section displays the menu number of the submenu page and allows you to define the submenu title.

Menu Number | Displays the menu number of the submenu page for reference.
Menu Title | Specifies the submenu title that is used in the Insert Component dialog box. It is automatically specified but you can edit the title. NoteThe submenu icon name and the menu title can be different. For example, the icon name is Cable Markers but the submenu title is Special Cable Markers.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Properties - main menu

Use this tool to modify the existing menu properties such as changing the menu name. Your changes overwrite the information in the .dat file

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box right-click the menu file to modify (for example, JIC Symbols) and select Properties.

Name | Specifies the name of the main menu. The default changes depending on which menu you are working with (for example, JIC Symbols).
Menu File | Displays the file name and full path of the menu file. (for example, ace_jic_menu.dat).


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Properties - component

Use this tool to modify the existing symbol icon properties such as changing the icon name, image, or block name. Your changes overwrite the information in the .dat file.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box right-click on the component icon to modify and select Properties.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (This option is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

The browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder and to save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

(Available only when you edit the image file) Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected) Zooms in on the current screen image using AutoCAD Zoom command. Once you exit Zoom mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Block Name to Insert

Defines the symbol block that is inserted when you click the icon in the Insert Component dialog box.

Block Name

Specifies the symbol block name. You can type the file name of the symbol into the edit box or you can enter it using one of the following methods:

  • Browse: Finds an existing WBlocked drawing (*.dwg) file to assign to the icon. In this case the complete path of the drawing file is inserted in the edit box.
  • Pick: Selects an existing block on the current drawing (for example, block recently created with Symbol Builder). WBlocked version (.dwg) must exist.
  • Active: Inserts the active drawing as a block.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Properties - command

Use this tool to modify the existing icon properties such as changing the icon name, image, or command. Your changes overwrite the information in the .dat file.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box right-click on the command icon to modify and select Properties.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (This option is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

The browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder and to save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

(Available only when you edit the image file) Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected) Zooms in on the current screen image using AutoCAD Zoom command. Once you exit Zoom mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Command to Execute

Defines the command to execute when you click the icon.

NoteIf you select an AutoCAD Electrical command you must manually enter the additional parameters as indicated.

Command

Specifies to execute an AutoCAD command or AutoCAD Electrical routine. You can enter the command name to execute with arguments.

Click List to select from a list of AutoCAD Electrical commands for panel and schematic multi-pole symbol inserts. It makes it easier for you to build the appropriate command to insert a symbol.

Parameters

Displays the command parameters for a specific AutoCAD Electrical command. If the command does not have any parameters, the value “none” displays.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Properties - circuit

Use this tool to modify the existing icon properties such as changing the icon name, image, or circuit name. Your changes overwrite the information in the .dat file.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box right-click on the circuit icon to modify and select Properties.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (This option is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

If the circuit drawing file name contains the path of the drawing file referring to the User folder or the wd_userckt_dir defined folder, the browsed image is copied to the User folder if wd_userckt_dir is disabled in the .env file or the wd_userckt_dir defined folder if wd_userckt_dir is enabled in the .env file. If the file does not exist, the Create Circuit alert dialog box displays asking you if you want to create the circuit.

If the circuit drawing file name contains the path of the drawing file that does not refer to the User or wd_userckt_dir defined folder, the browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder and to save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

(Available only when you edit the image file) Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected) Zooms in on the current screen image using AutoCAD Zoom command. Once you exit Zoom mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Circuit Name to Insert

Defines the circuit file name that is created.

File Name

Specifies the complete path and file name of the new drawing file that is created. The default user circuit folder is the User folder if the wd_usercktdir code is disabled in the environment file. If wd_usercktdir is enabled, the folder defined by this code is used as the user circuit folder.


Overview of the Icon Menu Wizard (Quick Reference)

Overview of the Icon Menu Wizard
Overview of the Icon Menu Wizard
Use catalog tables
Icon Menus >
Overview of the Icon Menu Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Properties - submenu

Use this tool to modify the existing icon properties such as changing the icon name, image, or submenu title. Your changes overwrite the information in the .dat file.

Ribbon: Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Does not exist on the ribbon.
Toolbar: Miscellaneous
Menu: Components [image] Symbol Library [image] Icon Menu WizardDoes not exist in the menus.
Command entry: AEMENUWIZ

Select the menu file to modify and click OK. In the Icon Menu Wizard dialog box right-click on the submenu to modify and select Properties.

TipTo determine which *.dat file is active, in the Project Properties dialog box, Project Settings tab, Library, and Icon Menu Paths section, expand the Schematic Icon Menu File option. It is the schematic icon menu file listed in the *.wdp file.
Icon Details

Defines the icon name and image.

Preview

Displays an image preview of the specified image file.

Name

Specifies the name to appear in the icon, the description text, and the tool tip for the icon.

Image file

Specifies the image file to use for the new icon. You can enter the image file name (or complete path) or select it using one of the following methods:

  • Browse: Finds an existing image to use for the icon. You can browse for .sld or .png images.
  • Pick: Selects an existing block name on the current drawing to use as the image file name. For example, if you select block HPB11, the image file name edit box displays “HPB11.”
  • Active: (This option is unavailable if the drawing is a new drawing and was not saved) Selects the active drawing name to use as the Image file. For example, if the active drawing name is “demo005,” then the image file edit box has “demo005” listed as the file name.

The browsed image is copied to the Images folder and saved as a relative path in the .dat file. Enclose the image path in quotation marks if you do not want the image copied to the Images folder and to save the complete path instead of the relative path in the .dat file. The entered image file name can be names like "PB1" or "CONTROL RELAY," file names with an extension such as “pb1.png,” or it can follow the syntax {slide_library or dll file (slide or .png)}. For example, "S2(pb)" or "S7(control_relay)."

NoteThe image file name cannot contain invalid characters such as \ / : " ? < > | and only .png and .sld image files are supported.

Create PNG from current screen image

(Available only when you edit the image file) Creates the .png image file from the current screen image. If the specified image file does not exist, this option is selected by default. If you do not want to create the icon from the displayed image of the current drawing, clear the check box.

NoteThis option is unavailable if you enter an image file name with the syntax {slide_library or dll file (slide or .png)}” For example, “S2(pb)” or “S7(control_relay)”. It is also unavailable if the Image File edit box contains the image file path instead of the image file name.

Zoom

(Available only when Create PNG from current screen image is selected) Zooms in on the current screen image using AutoCAD Pan command. Once you exit Pan mode and press Enter, the dialog box redisplays so you can finish defining the new icon.

Location

(This option appears once the Image file is specified) Indicates the full path of the image file location where the new images are created or the browsed images are copied to. If you entered a file name with the syntax {slide_library or dll file (slide or .png)} for the image file, the path of the .dat file or the WD_SLB folder displays here.

Submenu

This section displays the menu number of the submenu page and allows you to define the submenu title.

Menu Number | Displays the menu number of the submenu page for reference.
Menu Title | Specifies the submenu title that is used in the Insert Component dialog box. It is automatically specified but you can edit the title if desired. NoteThe submenu icon name and the menu title can be different. For example, the icon name is Cable Markers but the submenu title is Special Cable Markers.


Use alternate icon menus

Overview of the Icon Menu Wizard
Icon Menus
Modify Icon Menu File Directly
Icon Menus >
Use alternate icon menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical defaults to icon menu ACE_<standard>_MENU.DAT (where <standard>= JIC, IEC, AS, GB, HYD, JIS, PID, or PNEU) for schematic symbols and ACE_PANEL_MENU.DAT for panel symbols. These menu files are found in:

  • Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCADElectrical {version}\{release}\{country code}\Support\
  • Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCADElectrica {version}l\{release}\{country code}\Support\

You can create alternate or project-specific icon menus and have AutoCAD Electrical automatically use them instead of these defaults.

An icon menu can be tied to a project so that when the project is active, AutoCAD Electrical references that special icon menu instead of the AutoCAD Electrical normal menu. The full path of the alternate menu and file name is saved in the project's .wdp file. You can save an alternate menu for schematic symbols and one for panel symbols.

Assign specific icon menu files to a project

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. Make sure that the project is the active project, right-click on the project name, and select Properties.
  3. In the Project Properties [image] Project Settings dialog box, click the plus sign (+) next to Schematic Icon Menu File or Panel Icon Menu File. Click inside the edit box to change the path of the icon menu, click Browse to search for and select an icon menu, or click Default to use the default icon menu.
  4. Click OK.
NoteIf you make custom images or libraries for the menu, copy them to the same subdirectory as the menu file since AutoCAD Electrical looks for menu images in the directory of the active menu file.


Modify Icon Menu File Directly

Use alternate icon menus
Icon Menus
Overview of the icon menu file
Icon Menus >
Modify Icon Menu File Directly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of the icon menu file


Overview of the icon menu file

Modify Icon Menu File Directly
Modify Icon Menu File Directly
BOM and Catalogs
Icon Menus > Modify Icon Menu File Directly >
Overview of the icon menu file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical supplies several default icon (.dat) menus for schematic symbols and one for panel symbols. For example, the JIC schematic icon menu is defined by the contents of file ACE_JIC_MENU.DAT file and the panel menu is ACE_PANEL_MENU.DAT. These menu files are found in:

  • Windows XP: \Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\
  • Windows Vista: \Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

The other icon menu files include: ACE_AS_MENU, ACE_GB_MENU, ACE_JIS_MENU, ACE_IEC_MENU, ACE_HYD_MENU, ACE_PID_MENU, ACE_PNEU_MENU and WD_ABECAD.

There may be times when you want to bypass the Icon Menu Wizard and edit the .dat text file directly using any text editor (such as Microsoft Notepad). It is important to maintain the menu file structure, otherwise your menu may not activate properly.

Here are the first few lines of the first page and a submenu (JIC: Push Buttons) of the ACE_JIC_MENU.DAT file. Refer to it in the following sections.

**M0

D0

JIC: Schematic Symbols

Push Buttons |s2(s_pb)|$S=M3

Selector Switches |s2(s_ss)|$S=M6

Limit Switches |s2(s_zs)|$S=M8

**M3

D5W

JIC: Push Buttons

Push Button NO |s2(shpB11)|HPB11

Push Button NC |s2(shpB12)|HPB12

NoteYou can have an unlimited number of icons on each menu page. Before AutoCAD Electrical 2008, you were limited to 24 icons per page.

Page structure of the icon menu

Each menu page starts with a menu number line preceded by two asterisks (**). The next line is an AutoCAD Electrical code, which defines the menu page format (such as how many rows, how many icon buttons per row). It is used for .dat files that are used before AutoCAD Electrical 2008. The next line is the title, with optional column labels, for the menu page. The rest of the lines define the information for each icon button on the menu page. These icons can either launch a command, insert a component or open a submenu.

**M0

Menu number

JIC Symbols

Main menu title. In the Insert Component dialog box, it is the main menu title in the Menu tree selection view and is also displayed above the Symbol Preview window of the dialog box.

Push Buttons

Description text of the icon. It is also the tooltip for the submenu page, command, or component to insert. In this example, clicking Push Buttons in the Insert Component dialog box opens a submenu.

s2(s_pb)

Image information with the syntax: slide_library_name(slide or .png). In this example, the slide library (or resource dll library) is “s2” and the slide file (or .png image) is “s_pb.”

NoteIf both s_pb.png and s_pb.sld exist, AutoCAD Electrical searches for the .png file first. If not found, looks for the s_pb.sld file.

$S=M3

Submenu trigger. The syntax is: $S=menu number. In this example, menu 3 is used for push buttons. It is used to develop the Menu tree structure in the Insert Component dialog box.

Icon function - submenu trigger

**M3 | Submenu number
D5W | (Used for .dat files before AutoCAD Electrical 2008) Indicates the number of rows in the menu. In AutoCAD Electrical 2008, you can have any number of rows or columns in your menu. This value is only used to structure .dat files in older versions of AutoCAD Electrical.
JIC: Push Buttons | Submenu page title. This displays below the main menu (JIC Symbols) in the Menu tree structure view of the Insert Component dialog box.

Add submenu pages

Enter the definition for any new submenu pages at the bottom of the .dat file. A new Special Symbols submenu page added using the Icon Menu Wizard adds the following lines of text:

**M101

S P E C I A L S Y M B O L S

Explanation:

**M101 | Menu page number. User-created menu pages should begin at 100 since AutoCAD Electrical uses 1-99 for its own use.
S P E C I A L S Y M B O L S | Menu page title

Icon function - insert component

Push Button N.O. | Description text of the icon. It is also the tool tip for the component to insert. In this example, clicking Push Button N.O. in the Insert Component dialog box inserts the component in the drawing.
s2(shpB11) | Image information with the syntax: slide_library_name(slide or .png). In this example, the slide library (or resource dll library) is “s2” and the slide file (or .png image) is “shpB11.”
HPB11 | Specifies the block name. The block name is searched in the symbol library search path as defined by the Project Properties dialog box and is inserted into the drawing.

Each entry consists of three parts separated by "|" characters. The first part is the text that is displayed in the Menu tree structure view or as a tool tip in the Symbol Preview window. The second part is the slide (or .png) name. Include the path to the .SLD. If the slide is contained within a slide library (or resource dll library) the format here is library_name (slide_name). The third part is the actual icon function. The function can be a symbol name to insert, a submenu trigger, or a command. A line that looks like this can be added by the menu wizard to insert a special switch:

Special Switch | hzs11.sld| HZS11

Icon function - execute command

Clicking on an icon in the icon menu can also execute an AutoCAD Electrical command. The following example shows the syntax for commands:

3 Pole Disconnect |s1(shds13)|$c=wd_3unit HDS11

3 Pole Disconnect | Description text of the icon. It is also the tool tip for the command. In this example, clicking 3 Pole Disconnect in the Insert Component dialog box runs a command.
s1(shds13) | Image information with the syntax: slide_library_name(slide or .png). In this example, the slide library (or resource dll library) is “s1” and the slide file (or .png image) is “shds13.”
$C=wd_3unit | Code that executes a command. The syntax is: $C=command name {command parameters}. In this example, the command wd_3unit is run when the icon is clicked.
HDS11 | Specifies the command parameters.


BOM and Catalogs

Overview of the icon menu file
Use catalog tables
BOM and Catalogs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Use catalog tables

    Parts catalog

  • Overview of the catalog database table structure
  • How to install additional manufacturer content
  • Catalog Assignment
  • Contact Quantity/Pin List Lookup


Use catalog tables (Concept)

BOM and Catalogs
BOM and Catalogs
Overview of the catalog database table structure
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sample catalog information is furnished with the default AutoCAD Electrical installation. The information is held in tables in a Microsoft Access Database file (.mdb) which are populated with sample vendor data. Expand and modify these tables to meet your specific BOM reporting needs. Use tools provided with AutoCAD Electrical or through the use of a database program that can read/write the Access file format.

The .mdb file is a single file that is named <project>_cat.mdb or default_cat.mdb. If the project-specific.mdb file is used, it must be in the same subdirectory as the <project>.wdp file is located. Here is the AutoCAD Electrical search sequence:

  • 1st choice -- <project>_cat.mdb (in project's subdirectory of the project)
  • 2nd choice -- default_cat.mdb (in subdirectory of the project)
  • 3rd choice -- default_cat.mdb (in user subdirectory)
  • 4th choice -- default_cat.mdb (in subdirectory of the catalog)

Catalog information can be carried on parent or stand-alone components that have MANUFACTURER, CATALOG, and optional ASSEMBLYCODE attributes. You can assign catalog information to the attributes of a component at component insertion time or any time later during an edit of the component.

Catalog table naming conventions

Each primary or stand-alone component type can have an associated table in your Access mdb file. This approach is taken for both performance reasons and to exclude invalid choices (for example, you cannot assign a blue press-test pilot part number to a standard red pilot light symbol). There can be multiple catalog tables for the same component family. Alternately, all master test and all neon pilot lights (of all colors) might be combined into a single catalog table named LT. AutoCAD Electrical determines what the default catalog lookup table name should be based on the WDBLKNAM attribute.

The following example references a custom master control relay with block name “HCR1_MC_PWR.”

If your symbol does not carry the WDBLKNAM attribute:

  1. The symbol is checked for the WDBLKNAM attribute (or Xdata). It is not found.
  2. The block name is read (“HCR1_MC_PWR”) minus its first character (the orientation character “H” or “V”). The default_cat.mdb file is searched for a table named “CR1_MC_PWR.”
  3. If this table exists, it is used. If this table does not exist and the block name is eight characters or more, AutoCAD Electrical starts removing characters from the block name until there are only seven characters left, looking for a table name match with each character removed. Table names that it would look for in sequence would be “CR1_MC_PW”, “CR1_MC_P”, “CR1_MC_.”
  4. If there is not a match on the last table name, AutoCAD Electrical checks for the family-specific table (CR). It is the second and third character of the block name.
  5. If this table exists, it is used. If it does not exist, a MISC_CAT table is looked for if the active properties of the project are set up to use this catch-all table.
  6. If all of these items fail, AutoCAD Electrical stops looking (if running a report) or prompts you to add a table to the default_cat.mdb file (if you are inserting or editing a component).

If your symbol includes the invisible WDBLKNAM attribute with a value of “HCRM”:

  1. The symbol is checked for the WDBLKNAM attribute (or Xdata). It is found. The attribute’s value of “HCRM” is used instead of the block name and proceeds to step 2.
  2. The leading “H” or “V” character is removed. The default_cat.mdb file searches for a table named “CRM.”
  3. If this table exists, it is used. If the table does not exist and the attribute value is eight characters or more, AutoCAD Electrical starts removing characters from the attribute value until there are only seven characters left, looking for a table name match with each character removed. (In this case, characters are not removed.)
  4. If there is not a match on the last table name, AutoCAD Electrical checks for a family-specific table (CR). It is the second and third character of the original WDBLKNAM value (HCRM).
  5. If this table exists, it is used. If it does not exist, a MISC_CAT table is looked for if the properties of the active project are set up to use this catch-all table.
  6. If all these items fail, AutoCAD Electrical stops looking (if running a report) or prompts you to add a table to the default_cat.mdb file (if you are inserting or editing a component).

If you want your custom symbol to go to table “CRM” in the catalog database file instead of the existing table “CR” you must:

  1. Add the WDBLKNAM attribute to your master control relay coil library symbols with a value of “HCRM” or “VCRM” (the orientation does not matter).

    Manually add the CRM table in your catalog lookup database file.

  2. Click Project tab [image] Other Tools panel [image] [image] [image] Add Table to Catalog Database. Enter AEADDCATALOGTABLE at the command prompt.
NoteAutoCAD Electrical always goes to the fixed table names for PLC I/O modules (PLCIO), terminals (TRMS) and cable markers (W0). Panel layout symbols must always use the WDBLKNAM attribute or Xdata without the leading H or V character.

Family tables in the default_cat.mdb

The list of tables available in the default_cat.mdb is shown in the following table. All tables are family-specific and one table is created for each family.

Family Code/Table Name | Description
_FAMILY_DESCRIPTION | Table used by Symbol Builder to map the attribute template type to a symbol type description. The description is displayed in the Type list on the Select Symbol / Objects dialog box. See Create a Symbol Builder attribute template.
_LISTBOX_DEF | Allows starting MFG/TYPE/RATING combinations to be predefined for each catalog lookup table when AutoCAD Electrical would normally default to the values given in the first record of the selected catalog lookup table. See Overview of the LISTBOX_DEF catalog database table.
_PINLIST | Default pin list data table. AutoCAD Electrical also contains manufacturer-specific pin list tables that have the same format as the _PINLIST table. The naming convention for manufacturer-specific tables is: _PINLIST_AB or _PINLIST_AROMAT. AutoCAD Electrical first searches manufacturer-specific tables; if not found, it then searches the default _PINLIST table. See Use pin lists.
_TERMPROPS | Default terminal properties data table. AutoCAD Electrical also contains manufacturer-specific terminal properties tables that have the same format as the _TERMPROPS table. The naming convention for manufacturer-specific tables is: _TERMPROPS_AB or _TERMPROPS_AROMAT. AutoCAD Electrical first searches manufacturer-specific tables; if not found, it then searches the default _TERMPROPS table. See Edit terminal properties database.
_W0_CBLWIRES | Cable conductors. See Edit the cable conductor database.
AM | Ammeters
AN | Buzzers, horns, bells
CB | Circuit breakers
C0 | Connectors/pins
CR | Control relays
DN | Device networks
DR | Drives
DS | Disconnect switches
EN | Enclosures/hardware
FM | Frequency meters
FS | Flow sensors
FU | Fuses
LR | Latching relays
LS | Limit switches
LT | Lights, pilot lights
MISC | Miscellaneous
MO | Motors
MS | Motor starters/contactors
NP | Nameplates
OL | Overloads
PB | Push buttons
PE | Photo switches
PLCIO | Programmable logic controllers
PM | Power meters
PS | Pressure switches
PW | Power supplies
PX | Proximity switches
RE | Resistors
SS | Selector switches
SU | Surge suppressors
SW | Toggle switches
TD | Timer relays
TRMS | Terminal blocks
TS | Temperature switches
VM | Volt meters
WO | Cables, multi-conductor cables
WW | Wire ways
XF | Transformers


Use catalog tables (Procedure)

Overview of the Icon Menu Wizard
Use catalog tables
Use catalog tables
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify or expand catalog tables

Move the catalog database file

Define a secondary catalog lookup file for a project


Use catalog tables (Quick Reference)

Overview of the Icon Menu Wizard
Use catalog tables
Use catalog tables
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts catalog

Add or edit catalog record

Component catalog lookup


Modify or expand catalog tables (Procedure)

Use catalog tables
Use catalog tables
Use catalog tables
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify or expand catalog tables

You can edit entries in a catalog table or even add new catalog items on-the-fly using AutoCAD Electrical.

  1. Force AutoCAD Electrical to reference the appropriate catalog table. Either insert a new component related to the catalog table you want to edit or pick an existing component of that type to edit (using the Edit Component tool).

    For example, to add some new components to the catalog table for standard red pilot lights (LT1R), either use AutoCAD Electrical to insert a new red pilot light symbol or Edit an existing red pilot light symbol.

  2. From the Insert/Edit dialog box, select Catalog lookup. Now you have triggered AutoCAD Electrical to open the desired catalog table.
  3. Select Add New to add a new item or select Edit to edit the selected database record of the item. AutoCAD Electrical displays the new or existing catalog record in a dialog box.
  4. Make the necessary changes and click OK to exit the Edit dialog box.

To add a new table to the catalog file, you can either insert a new component that triggers AutoCAD Electrical to ask permission to create the table or you can do it using Add new table to catalog database.


Move the catalog database file (Procedure)

Use catalog tables
Use catalog tables
Use catalog tables
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Move the catalog database file

In Project Manager, right-click the project name and select Settings to find the location of the default_cat.mdb file. If you want to move this file to some other directory, such as a shared network drive, then edit a small text file to tell AutoCAD Electrical where to look.

  1. Move the file to your new drive:directory.
  2. Exit AutoCAD. Edit the ".env" file (use the Settings option on the Project Manager to find the full path) with a text editor like WordPad or Notepad.
  3. Find the WD_CAT entry. Change the line to point to the new location for the catalog file. For example, you move them to n:/electric/catalogs/ on your network drive. Change this line to: WD_CAT,n:/electric/catalogs/,AutoCAD Electrical catalog file.
  4. Save and exit the file.
NoteAutoCAD Electrical looks for a project-specific MDB file first, called <project>_cat.mdb, in the subdirectory of the project.


Define a secondary catalog lookup file for a project (Procedure)

Use catalog tables
Use catalog tables
Catalog Assignment
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Define a secondary catalog lookup file for a project

You can use two catalog database files when working with an AutoCAD Electrical project: the first may contain the catalog information that you commonly use and the second may contain the full list of catalog content available with AutoCAD Electrical.

  1. Copy the default_cat.mdb file and save it with a different name (such as full_catalog.mdb).
  2. Modify the original default_cat.mdb file to contain only the catalog information that you commonly use. Save this file as default_cat.mdb.
  3. In AutoCAD Electrical, right-click on the project name in the Project Manager and select Properties.
  4. On the Project Properties [image] Project Settings dialog box, Catalog Lookup File Preference section, click Other File.
  5. On the Catalog Lookup File dialog box, select Optional: Define a secondary catalog lookup file for this project.
  6. Browse to and select the file you created in step 1 (full_catalog.mdb) and click OK.

    For each project you set this up for, you only see the content from your default_cat.mdb file in the Parts Catalog dialog box. If you need catalog information that is in the full catalog database file (full_catalog.mdb), click Other on the Parts Catalog dialog box. On the Option to Switch Catalog Lookup Files dialog box, click Switch. The Parts Catalog dialog box temporarily switches to the secondary catalog lookup file.


Use catalog tables (Quick Reference)

Use catalog tables
Use catalog tables
Use catalog tables
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts catalog

Opens the catalog database of the component from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected component. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing. Click Catalog Data: Lookup.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. Click Catalog Data: Lookup.

You can sort the catalog database information by clicking the column headings.

Manufacturer/Type/Style

Sorts the catalog database by manufacturer type, component type, and style.

Show list ordered by catalog part number

Sorts the catalog entries by catalog number. By default, the entries are shown in the order they appear in the catalog database.

Subassembly values in pulldowns

Displays subassemblies in the catalog display. If there are any unique items in the list, they are added to the pull-down choices at the top of the dialog box.

Symbol name filtering ON

Filters the symbol names using the WDBLKNAM value. If this is selected, records containing a WDBLKNAM value that does not match the symbol block name do not appear in the catalog list. If this option is not selected, the query ignores the check on the WDBLKNAM field and returns all catalog information.

Web/View

Displays more information about your component than can be held in the catalog database such as pictures or specifications. Use the 15th field in the catalog database to set up the WEBLINK. If the WEBLINK field for the selected part is a Web URL, your Internet browser launches and displays it. If it is an image file, pdf, spreadsheet, or some other document type, the application associated with the file extension (for example, "Open With...") launches and displays the contents of the file.

Catalog Check

Performs a Bill of Material check and displays the result. It is enabled if the selected component contains catalog data.

Cable Conductor List View/Edit

(Available for cable markers only) Opens the Edit Catalog Conductor List dialog box. Edit the cable conductor database table (_W0_CBLWIRES) for the selected Manufacturer and Catalog combination. You can delete or change existing cables or add new ones to the list.

Add

Provides a template, prefilled with default values, for a new catalog item that is added to the catalog database file.

Edit

Edits an existing catalog record. Select the catalog record to edit from the Parts Catalog dialog box and change anything in the Edit Catalog Record dialog box.

Component

Creates a component-specific catalog table. The name of this catalog table matches the block name of the component (minus the "H" or "V" first letter). For example, both horizontal and vertical versions of a standard, N.O. push button ("HPB11" and "VPB11") reference the same component-specific catalog look up table "PB11".

NoteIf you select to create a component-specific catalog table, and then cancel out of the dialog box before adding any data to the table, the blank table is deleted.

Miscellaneous

References a table called "MISC_CAT." This general catalog table is set up in the .mdb file with all component types in it. If found, this catalog information displays in the dialog box for component catalog number selection.

Other

Assigns a different lookup table to use. Pick from the list of existing tables or manually enter the table name. You can also enter a catalog number (wildcards are accepted) and find the table that references the catalog number.


Use catalog tables (Quick Reference)

Use catalog tables
Use catalog tables
Use catalog tables
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add or edit catalog record

Provides a template, prefilled with default values, for a new catalog item that is added to the catalog database file. You can also edit a catalog record.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select the component type to insert and specify the insertion point on the drawing. Click Catalog Data: Lookup. In the Parts Catalog dialog box, click Add or Edit.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the component to edit. Click Catalog Data: Lookup. In the Parts Catalog dialog box, click Add or Edit.

AutoCAD Electrical uses the first ten fields for its own use plus reserves an additional three user fields for your use. You can insert additional fields, but AutoCAD Electrical ignores them when it constructs various reports. The following table is a summary of the character fields accessed by AutoCAD Electrical. They must appear in this order in the database records.

Catalog

Specifies the catalog number. You can also specify the number of parts to add to the database file. A blank Count field indicates a quantity of 1.

Description

Specifies the optional description text for the catalog part.

Query Fields

Specifies the manufacturer, type, and color for the part.

Contacts

Specifies the contacts assigned to the part.

Miscellaneous

Specifies miscellaneous text to assign to the part.

User 1,2,3

Specifies user information. AutoCAD Electrical provides three blank user fields for your use. Each can be a maximum of 24 characters wide and are extracted into BOM reports along with all of the other fields.

Assembly Code

Specifies the code to flag that this item has subassembly items. "As main- [image] subassembly" activates the Assembly Code edit box. Use a unique name code to link this main catalog item with other subassembly items. This code can be up to 60 characters. Spaces are allowed.

Assembly List

Specifies the code to flag as a subassembly item of a main item. To enter the ASSEMBLYLIST value, select "As subassembly" and enter the exact name of the ASSEMBLYCODE value carried by its main component. You can select the ASSEMBLYCODE list switch to speed up the process.

Text Value

Specifies optional user-defined RATING/misc attribute values. This field is used to vector text values to specific attributes on the edited component.

Weblink

Specifies the .pdf file or Web URL to associate to the component. If the Weblink entry is a Web URL, your Internet browser displays it. If it is an image file, .pdf, spreadsheet, or some other document type, then the application associated with that file extension (for example, "Open With...") displays the file.

NoteFor ".pdf" display, you can include the page number to display upon document open. Add a space and the page number after the .pdf file name in the WEBLINK field value (for example, c:\\rockwell\\700series.pdf 13).

WDBLKNAM

Specifies the schematic block name (used for catalog lookup - i.e. PB11, CR) of the catalog record. It serves as a filtration of the catalog records based on the schematic block name. This field is used as the first filter when opening up the catalog lookup window for the selection of catalog numbers. This filter provides the mechanism to remove invalid selections from the catalog lookup window, much like the component-specific tables. Use a comma to separate the symbol block names.

List

Lists existing values for each option. AutoCAD Electrical catalog lookups work most efficiently when field values that are meant to be the same are the same, both in spelling and capitalization. The list box beside each field helps maintain consistency as you add new catalog items. AutoCAD Electrical does a quick scan of the existing catalog file, collects, and then displays a listing of all of the different field values it finds in the catalog. If one of the displayed values works for your new catalog item, then select it from this list (instead of typing in a brand new value).

All upper case

Displays all of the specified values in all upper case.


Use catalog tables (Quick Reference)

Use catalog tables
Use catalog tables
Assign catalog information to components
BOM and Catalogs >
Use catalog tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component catalog lookup

This tool creates a component-specific or general family catalog table.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

On the Insert/Edit dialog box, click Catalog Lookup. On the Parts Catalog dialog box, click Component.

Insert Footprint (Icon Menu)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Insert Footprint (Icon Menu)Does not exist in the menus.
Command entry: AEFOOTPRINT

On the Insert/Edit dialog box, click Catalog Lookup. On the Parts Catalog dialog box, click Component.

Option A

Creates a catalog table now.

Component | Creates a component-specific catalog table. The name of this catalog table matches the component's block name (minus the "H" or "V" first letter). For example, both horizontal and vertical versions of a standard, N.O. push button ("HPB11" and "VPB11") reference the same component-specific catalog look up table "PB11".
Family | Creates a family catalog table. The name of this catalog table is the 2nd and 3rd characters of the component's block name (for panel footprints it is the first two characters of the WDBLKNAM value). For example, all the limit switch blocks used on your schematics have "LS" embedded in their block names: "HLS11", "HLS12", "VLS11", and so on. Instead of a component-specific catalog file, you can create a general limit switch catalog look up table, "LS." This table is referenced if a component-specific version is not found.
Option B

References a miscellaneous table.

Miscellaneous

References a table called "MISC_CAT." This general catalog table is set up in the .mdb file with all component types in it. If found, this catalog information displays in the dialog box for component catalog number selection.


Overview of the catalog database table structure

Use catalog tables
BOM and Catalogs
How to install additional manufacturer content
BOM and Catalogs >
Overview of the catalog database table structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical uses the first ten fields for its own plus reserves an additional three user fields for your use. You can insert additional fields beyond the 14th one if you want, but they are ignored when generating reports. Here are the 15 fields accessed by AutoCAD Electrical. (They must appear in this order in the database records.)

Field Name | Width | Description
CATALOG | 60 | Catalog number.
MANUFACTURER | 24 | First query field - manufacturer code; abbreviations are allowed.
DESCRIPTION | 150 | Generic description.
TYPE | 100 | Second query field (field name varies based on table name).
RATING | 100 | Third query field (field name varies based on table name).
MISCELLANEOUS1 | 100 | First miscellaneous text field (header cell is based on the component family).
MISCELLANEOUS2 | 100 | Second miscellaneous text field (header cell is based on the component family).
ASSEMBLYCODE | 60 | Code to flag that this item has subassembly items. Use a unique name code to link this main catalog item with other subassembly items. Spaces are allowed.
ASSEMBLYLIST | 24 | Code to flag as a subassembly item of a main item.
ASSEMBLYQUANTITY | 8 | Subassembly quantity (blank = quantity of 1).
USER1 | 100 | Field #1 for user's use.
USER2 | 100 | Field #2 for user's use.
USER3 | 100 | Field #3 for user's use.
TEXTVALUES | 255 | Optional user-defined RATING/miscellaneous attribute values.
WEBLINK | 255 | Associate .pdf files or Web URL to component.
WDBLKNAM | 60 | AutoCAD Electrical block name minus the first character of the block name since the first character is the orientation of block (H= Horizontal, V= Vertical).
TEXTVALUES rating and miscellaneous attribute value assignment

An optional 14th field named TEXTVALUES can be added to any catalog lookup table. This field can be used to vector text values to specific attributes on the edited component. The format for the text data encoded into this field is:

<attribute tag name1>=<text value>;<attribute tag name2>=<text value>

For example, a current catalog entry must annotate the component block attributes RATING1 and RATING2 with "ON DELAY" and "5-30 sec" respectively. Insert the following text string into the TEXTVALUES edit box:

RATING1=ON DELAY;RATING2=5-30 sec

TipThe Rating attributes should be common among all component types to make the population of the catalog database easier.

During component insertion or edit, if you make a catalog selection that comes with a non-blank TEXTVALUES, AutoCAD Electrical breaks apart the field value and searches for the target attributes on the edited symbol. If found, the target attributes of the component are updated with the encoded data pulled from the user-selected catalog lookup record. To use this value:

  1. Add this field to any catalog database table if it does not exist.
  2. Trigger AutoCAD Electrical to display the target catalog lookup table. (Insert a component and then select Catalog Lookup on the Insert/Edit Component dialog box.)
  3. On the Parts Catalog dialog box, pick the appropriate part number and click Edit.
  4. On the Edit Record dialog box, type a value into the TEXTVALUES edit box and click OK.

    If the TEXTVALUES field did not exist in the selected catalog table, it is added to each record in the database. If it did exist, your new value is saved in the TEXTVALUES field for the selected record of the catalog number.

WEBLINK assignment

Sometimes you may want to see more information about your component than can be held in the catalog database. For example, you may want to see a picture of the item or get its specifications. Use the 15th field in the catalog database to set up the WEBLINK to do this. If the WEBLINK field for the selected part is a Web URL, your Internet browser launches and displays it. If it is an image file, pdf, spreadsheet, or some other document type, the application associated with that file extension (for example, "Open With...") starts and displays the contents of the file.

NoteFor PDF display, you can include the page number to display upon document open. Add a space and the page number after the PDF file name in the WEBLINK field value (for example, C:\\rockwell\\700series.pdf 13). It does not work for PDF files loaded across the Web.

A shaded WEBLINK edit box in the Edit Record dialog box means that the catalog lookup table does not have a WEBLINK field defined as the 15th field. If shaded, you can add this field by manually adding it to your own copy of Microsoft Access.

A Weblink assignment can show up in the Surf dialog box. If you select a parent component to surf on and it carries a catalog assignment that references a Weblink value, it displays in the surf selection dialog box along with the other related component references. Double-clicking the Weblink reference launches your browser or appropriate application.

NotePicking on a child component to initialize in the Surf dialog box does not display a Weblink referenced by a related parent. Pick the parent carrying the catalog assignment.
WDBLKNAM assignment

The WDBLKNAM value filters the symbol names that display in the Parts catalog dialog box. The Symbol Name Filtering option on the Parts Catalog dialog box suppresses what data displays when a catalog lookup is run for a particular component. If you perform a catalog lookup on a symbol with block name “HTD1_xxx” and the Symbol Name Filtering option is selected, the only records that display are those listed in the TD table of the catalog database file that have a blank WDBLKNAM value or a value in the WDBLKNAM field that matches the block name of the symbol. For example, performing a catalog lookup on an on-delay coil (HTD1N.dwg or VTD1N.dwg) displays all blank WDBLKNAM entries and all entries that include “TD1N” somewhere in the WDBLKNAM field. If this option is not selected, the query ignores the check on the WDBLKNAM field and returns all catalog information.

You can do one of the following to determine how your catalog content is filtered:

  1. Add your block name to all of the WDBLKNAM fields in the catalog table. Using the example above, you would add the block name to the TD table.
  2. Add an invisible WDBLKNAM attribute to your symbol. Using the previous example, name your symbol “HTD1F” for an off-delay coil or “HTD1N” for an on-delay coil.
  3. Rename your block with the appropriate prefix (for example, “VTD1F”) followed by a substring “$$” and any other suffix to make the block name unique. The catalog lookup in AutoCAD Electrical sees the “$$” and assumes that it, and anything after it, is ignored. It treats your symbol as if the block name were just the basic name of “VTD1F.”
TipOption 2 or 3 is preferred.


How to install additional manufacturer content

Overview of the catalog database table structure
BOM and Catalogs
Catalog Assignment
BOM and Catalogs >
How to install additional manufacturer content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

During installation, you specified which manufacturer content to install. You can install additional manufacturer content later.

  1. From the Windows Control Panel select Add or Remove Programs.
  2. From the Add or Remove Programs dialog box, select the latest version of AutoCAD Electrical and click the Change/Remove button.
  3. On the AutoCAD Electrical Installation Wizard, click Add or Remove Features.
  4. On the Add/Remove Features page, click Next.
  5. On the Manufacturer Content Selection page, select all the manufacturers you wish to install.
  6. On the Select Symbol Libraries page, click Next.
  7. Click Next to continue.


Catalog Assignment

How to install additional manufacturer content
BOM and Catalogs
Assign catalog information to components
BOM and Catalogs >
Catalog Assignment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Assign catalog information to components

    Catalog values

  • Overview of the _LISTBOX_DEF catalog database table
  • Copy catalog assignments from component to component
  • Show missing catalog assignments


Catalog Assignment (Procedure)

Use catalog tables
Catalog Assignment
Assign catalog information to components
BOM and Catalogs >
Catalog Assignment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert components and modify catalog information

Copy catalog assignments from component to component


Assign catalog information to components (Concept)

Catalog Assignment
Catalog Assignment
Overview of the _LISTBOX_DEF catalog database table
BOM and Catalogs > Catalog Assignment >
Assign catalog information to components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Catalog information is carried on a parent or stand-alone component. Each component can carry up to ten different catalog assignments allowing for subassemblies. You can define exactly where AutoCAD Electrical should look to get this catalog information, allowing great flexibility in how you keep your catalog information. There are some ways to assign your catalog information to a component:

Use the Component Insert/Edit dialog box

The AutoCAD Electrical Insert/Edit dialog box appears when you insert a new component or edit one. Click Catalog lookup to view the catalog database file of the component. It is where you can search the database for a specific catalog item to assign to the selected component.

Use a project-specific catalog file

You can set up a project catalog file with all the component types of the project in it. The file must reside in the subdirectory of the project. The file may be called either default_cat.mdb or<project>_cat.mdb. AutoCAD Electrical references this file first before looking in the user subdirectory or the catalogs subdirectory (as defined in wd.env).

Use a miscellaneous catalog file

You can set up a general catalog table within the .mdb file with all component types in it. AutoCAD Electrical references this table, if it exists. The table name is MISC_CAT. If found, this catalog information displays in the dialog box for component catalog number selection. In the Insert/Edit dialog box, Catalog Data section, click Lookup. In the Parts Catalog dialog box, click Miscellaneous.

Use the last used assignment

During your editing session, AutoCAD Electrical remembers the last MFG / CAT / ASSYCODE assignment you make for each component inserted into your wiring diagram. When you insert another component of that type, AutoCAD Electrical presents the previous catalog assignment of the component as the default (assuming a previous one was made during the current editing session).

Perform a drawing or project-wide search

In the Insert/Edit dialog box, Catalog Data section, click Project to instruct AutoCAD Electrical to do a drawing-wide or project-wide listing of similar components with their catalog assignments.

Pull information from another project

AutoCAD Electrical quickly scans a previous project, finds the instance of that component, and returns the catalog information to you. It is accomplished without leaving your active drawing. In the Insert/Edit dialog box, click Project. In the Find: Catalog Assignments dialog box, select Other project and click OK. AutoCAD Electrical processes the project you select. It quickly scans each listed drawing for the target component type and returns a list of what it found. You can then make your catalog assignment by picking from this list.

Pull from an external file

You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. In the Insert/Edit dialog box, Catalog Data section, click Project. In the Find: Catalog Assignments dialog box, select External file, and click OK.

Pull from your own external database application

AutoCAD Electrical provides a means to bypass its internal catalog part number look-up and temporarily pass control to your custom catalog part number selection application. In the Insert/Edit dialog box, Catalog Data section, click Lookup. But instead of immediately accessing the appropriate catalog look-up table, AutoCAD Electrical passes control to your application. You make the MFG/CAT/ASSYCODE selection in your own database program. Your application formats your selection and passes it back to AutoCAD Electrical.

Add multiple BOM catalog numbers to a component

You can add up to ten additional part numbers to any schematic or panel component on the fly. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports. In the Insert/Edit dialog box, click Multiple Catalog to show a dialog box for adding the extra catalog part numbers.


Assign catalog information to components (Quick Reference)

Use catalog tables
Assign catalog information to components
Assign catalog information to components
BOM and Catalogs > Catalog Assignment >
Assign catalog information to components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Catalog values

Component catalog lookup


Insert components and modify catalog information (Procedure)

Catalog Assignment
Up a level to ..
Copy catalog assignments from component to component
BOM and Catalogs > Catalog Assignment >
Assign catalog information to components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert components and modify catalog information

Vendor catalog parts lookup and assignment is crucial to enabling AutoCAD Electrical to create various detailed BOM reports automatically. It is also a key step in the workflow between control schematic wiring diagrams and derived physical panel layouts. Catalog parts lookup is through a multitable Microsoft Access database file (default_cat.mdb) shipped with AutoCAD Electrical. It is populated with some commonly used component part numbers and descriptions from some of the major electrical controls vendors. The database content is found at:

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs\
  • Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs\
  1. Insert a schematic component symbol onto your drawing.

    The Insert/Edit Component dialog box displays so you can assign component-specific information to the new component.

  2. In the Insert/Edit Component dialog box, Catalog Data section, click Lookup to choose a vendor part number to assign to this instance of the component.

    AutoCAD Electrical reads the AutoCAD block name of the inserted component and determines the correct table to access in the catalog lookup database file (default_cat.mdb). The WDBLKNAM field in the family table is used as the first filter when opening the catalog lookup window for the selection of catalog numbers. This filter removes invalid selections from the catalog lookup window.

  3. In the Parts catalog dialog box, select the vendor and catalog part number to use.

    The invisible MANUFACTURER, CATALOG, and ASSEMBLYCODE attributes of the block are populated with the key values pulled from the selected record in the target table. Various description and miscellaneous field values from the picked record are not saved on the attributes of the block. only the MANUFACTURER, CATALOG, and ASSEMBLYCODE values are saved.

When you finish modifying component information, you can run the Schematic Bill of Material report. The report queries the MANUFACTURER, CATALOG, and ASSEMBLYCODE attribute values of the inserted component. Only AutoCAD Electrical then formats and outputs a detailed BOM report.


Assign catalog information to components (Quick Reference)

Assign catalog information to components
Assign catalog information to components
Assign catalog information to components
BOM and Catalogs > Catalog Assignment >
Assign catalog information to components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Catalog values

It lists the catalog part number information for any or all component (or footprints) that have the same family block name (WDBLKNAM value) as that of the component being edited.

Catalog Check | Displays its bill of materials description.
OK | Copies the highlighted catalog info to the component being edited.


Assign catalog information to components (Quick Reference)

Assign catalog information to components
Assign catalog information to components
Copy catalog assignments from component to component
BOM and Catalogs > Catalog Assignment >
Assign catalog information to components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component catalog lookup

This tool creates a component-specific or general family catalog table.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

On the Insert/Edit dialog box, click Catalog Lookup. On the Parts Catalog dialog box, click Component.

Insert Footprint (Icon Menu)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Insert Footprint (Icon Menu)Does not exist in the menus.
Command entry: AEFOOTPRINT

On the Insert/Edit dialog box, click Catalog Lookup. On the Parts Catalog dialog box, click Component.

Option A

Creates a catalog table now.

Component | Creates a component-specific catalog table. The name of this catalog table matches the component's block name (minus the "H" or "V" first letter). For example, both horizontal and vertical versions of a standard, N.O. push button ("HPB11" and "VPB11") reference the same component-specific catalog look up table "PB11".
Family | Creates a family catalog table. The name of this catalog table is the 2nd and 3rd characters of the component's block name (for panel footprints it is the first two characters of the WDBLKNAM value). For example, all the limit switch blocks used on your schematics have "LS" embedded in their block names: "HLS11", "HLS12", "VLS11", and so on. Instead of a component-specific catalog file, you can create a general limit switch catalog look up table, "LS." This table is referenced if a component-specific version is not found.
Option B

References a miscellaneous table.

Miscellaneous

References a table called "MISC_CAT." This general catalog table is set up in the .mdb file with all component types in it. If found, this catalog information displays in the dialog box for component catalog number selection.


Overview of the _LISTBOX_DEF catalog database table

Assign catalog information to components
Catalog Assignment
Copy catalog assignments from component to component
BOM and Catalogs > Catalog Assignment >
Overview of the _LISTBOX_DEF catalog database table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This optional table can be included in the catalog database file. It allows starting MFG/TYPE/RATING combinations to be predefined for each catalog lookup table when AutoCAD Electrical would normally default to the values given in the first record of the selected catalog lookup table. The records in this table are structured as follows:

Field name | Width | Description
TABLENAME | 50 | Catalog lookup table name
MANUFACTURER | 24 | Manufacturer code to default to (Catalog lookup first pulldown of the dialog box).
LIST2 | 60 | Type value to default to (Catalog lookup second pull-down of the dialog box).
LIST3 | 60 | Rating value to default to (Catalog lookup dialog box; third pull down of the dialog box).
RECNUM | n/a | AutoNumber field (used internally).

Leaving an MFG, LIST2, or LIST3 field blank causes the respective pull-down to default to ALL. Example: when you first insert a relay coil symbol and open the Catalog Lookup dialog box, you want the "CR" catalog table display to default to Siemens part numbers for "600V MAX AC" relays. Using a copy of Microsoft Access, open the default_cat.mdb catalog lookup file, and select table _LISTBOX_DEF. Insert a record with these field values: TABLENAME "CR", MANUFACTURER "SIEMENS", and LIST2 "600V MAX AC." The text you enter must exactly match existing field values in the target table. Save and exit. Now, when you insert a relay coil and select Catalog Lookup, the dialog box opens with these defaults displayed.

In order to browse catalog codes for accessory terminals, you must add a line in the _LISTBOX_DEF table like: TRMS(H) MFG HARDWARE, where MFG is the manufacturer you are interested in (for example, “TRMS(H) AB HARDWARE”). Similarly, to browse catalog codes for jumpers, you must add a line in the _LISTBOX_DEF table like: TRMS(J) MFG HARDWARE (for example, “TRMS(J) AB HARDWARE JUMPER”, where “JUMPER” is the value for LIST3).


Copy catalog assignments from component to component (Quick Reference)

Assign catalog information to components
Copy catalog assignments from component to component
Copy catalog assignments from component to component
BOM and Catalogs > Catalog Assignment >
Copy catalog assignments from component to component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Multiple bill of material information

Multiple catalog part number assignments


Copy catalog assignments from component to component (Procedure)

Assign catalog information to components
Up a level to ..
Contact Quantity/Pin List Lookup
BOM and Catalogs > Catalog Assignment >
Copy catalog assignments from component to component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Copy catalog assignments from component to component

This utility allows you to insert or edit catalog part numbers onto the currently selected component or footprint.

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Copy Catalog assignment. Enter AECOPYCAT at the command prompt.
  2. Select the master component from which to copy the catalog data.
  3. Select the part number information by clicking Catalog Lookup, Find: Drawing Only, Multiple Catalog, or Catalog Check.
    • Catalog Lookup: Select the catalog table information in the Parts Catalog dialog box for the selected component type and click OK.
    • Find: Drawing Only: Select from the catalog part number information for any/all component footprints that have the same family block name as the component being edited. Click OK.
    • Multiple Catalog: Insert extra catalog part numbers onto the currently selected component or footprint. You can add up to 99 additional part numbers to any schematic or panel component on-the-fly. Click OK.
    • Catalog Check: Quickly performs a bill of material check and displays the result.
  4. Click OK.
  5. Select the devices to copy the catalog data to.
    NoteChild or related devices are not automatically updated. They must be included in the selection.


Copy catalog assignments from component to component (Quick Reference)

Copy catalog assignments from component to component
Copy catalog assignments from component to component
Copy catalog assignments from component to component
BOM and Catalogs > Catalog Assignment >
Copy catalog assignments from component to component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Multiple bill of material information

This tool allows you to insert or edit extra catalog part numbers on to the currently selected component or footprint. You can add up to 99 additional part numbers to any schematic or panel component on-the-fly. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.

On the Insert/Edit Component or Panel Layout - Component Insert/Edit dialog box, Catalog Data section, click Multiple Catalog.

NoteYou can also access this dialog box by clicking Multiple Catalog on the Copy Catalog Assignment dialog box.

The additional catalog part numbers are saved on the symbol as MFGn/CATn/ASSYCODEn attribute values where "n" is the sequential code value "01" through "99" selected in the top list box. If these attributes are not present on the symbols, AutoCAD Electrical saves the information as Extended Entity Data (Xdata) on the symbol's block insert.

Sequential code

Adds up to 99 extra part numbers (in addition to the main catalog part number). Pick which one you want to add or inspect/edit. Click the list button to show all extra part numbers carried on the component.

Catalog Data

Specifies the catalog part number information such as the manufacturer and catalog number.

Count

Specifies the quantity number for the extra part number (blank=1). This value gets inserted into a BOM report's "SUBQTY" column.

Unit

Specifies the unit of measure, which can be displayed in the component list report.

Parts Catalog Lookup

Lists the catalog database table that is to be referenced for the description information for the given Manufacturer/Catalog/Assembly combination. For each catalog entry, you must provide a name for the catalog look-up table. For the main catalog entry, this information is provided on the symbol itself but may not be there for these catalog entries. Select List to pick from a list of tables that are contained in your catalog database file or Misc to use the MISC_CAT table.

Catalog Lookup

Checks for and displays catalog table information in the Parts Catalog dialog box for the selected component type.

Catalog Check

Quickly performs a Bill of Material check and displays the result.


Copy catalog assignments from component to component (Quick Reference)

Copy catalog assignments from component to component
Copy catalog assignments from component to component
Use pin lists
BOM and Catalogs > Catalog Assignment >
Copy catalog assignments from component to component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Multiple catalog part number assignments

This displays the order in which the extra part numbers will appear in the various AutoCAD Electrical reports. You can add up to 99 additional part number assignments to a component.

On the Insert/Edit Component or Panel Layout - Component Insert/Edit dialog box, Catalog Data section, click Multiple Catalog. Click Sequential Code: List on the Multiple Bill of Material Information dialog box.

NoteYou can also access this dialog box by clicking Multiple Catalog on the Copy Catalog Assignment dialog box and then clicking Sequential Code: List.

To change the order, highlight the part number and click Move Up or Move Down to move it in the list.


Show missing catalog assignments

Copy catalog assignments from component to component
Catalog Assignment
Contact Quantity/Pin List Lookup
BOM and Catalogs > Catalog Assignment >
Show missing catalog assignments
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Show Missing Catalog Assignments tool to indicate graphically or list the parent or stand-alone components that do not carry catalog information on the active drawing.

Click Reports tab [image] Schematic panel [image] Missing Catalog Data. Enter AEMISSINGCATREPORT at the command prompt.

Show

Displays the components that do not carry catalog information. They are marked on the screen with a red diamond shape drawn around the insertion point of the symbol in temporary graphics. A REDRAW restores the screen to its original state.

Report

Extracts the information from the active drawing or project and displays a list of parent or stand-alone components without catalog information.

TipExtracted BOM data can be output to a spreadsheet file, mdb database file, text report file, or comma-delimited for export to a spreadsheet or database program. It can also be inserted, in tabular form, on the current AutoCAD drawing.


Contact Quantity/Pin List Lookup

Show missing catalog assignments
BOM and Catalogs
Use pin lists
BOM and Catalogs >
Contact Quantity/Pin List Lookup
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Use pin lists

    Select pin list table

  • Set pin list assignments for special uses


Contact Quantity/Pin List Lookup (Procedure)

Copy catalog assignments from component to component
Contact Quantity/Pin List Lookup
Use pin lists
BOM and Catalogs >
Contact Quantity/Pin List Lookup
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Modify the pin list database


Use pin lists (Concept)

Contact Quantity/Pin List Lookup
Contact Quantity/Pin List Lookup
Set pin list assignments for special uses
BOM and Catalogs > Contact Quantity/Pin List Lookup >
Use pin lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical can automatically track how many contacts were assigned to a device like a relay or timer coil. When a newly inserted contact exceeds a predefined limit, AutoCAD Electrical can alert you. AutoCAD Electrical can also track available terminal pin number pairs as you insert each new contact and automatically give you the next available pair as a default.

To enable this feature, maximum contact count and pin number pair information is assigned to the parent symbol (ex: relay or timer coil symbol). It is carried as Xdata under the name "WD_PINLIST" or, if a PINLIST attribute is present on the parent device, the pin list is carried on this invisible attribute. A copy of this pin list data is carried in the Access database file of the project (<project>_cat.mdb or default_cat.mdb) in a table called _PINLIST. This information can be assigned manually or it can be automatically retrieved from a pin list database table when a catalog part number is assigned to the parent device. Then, as each contact is inserted and referenced back to the parent, AutoCAD Electrical checks the pin information carried on the parent and verifies that a contact of the proper type is available. If so, it retrieves the next pair of contact pin numbers from the parent and displays as defaults for the new contact.

The AutoCAD Electrical automatic pin list lookup and assignment at component insertion time is not limited to devices that have contacts. You can encode two wire devices like pilot lights or proximity switch into the database file. Insert the MFG and CAT numbers and fill in the COILPINS field with the terminal pin numbers. Leave the PINLIST field blank. Now, when you insert one of these devices and do a Catalog lookup and part number selection, AutoCAD Electrical quickly looks for a MFG/CAT match in the pin list database. On a match AutoCAD Electrical pulls out the coil pin numbers of the device and automatically inserts them on to the newly inserted device.

Pin list data carried on the parent

When AutoCAD Electrical annotates a parent coil or other device with the pin list information, AutoCAD Electrical inserts it on the following attributes (if present):

PINLIST | The pin list format string of 3-element groups, one for each available contact
MAXNO | Maximum N.O. contact count, blank means undefined, 0 means none allowed
MAXNC | Maximum N.C. contact count
MAXNONC | Maximum convertible contact count

If these attributes are not present, AutoCAD Electrical encodes the data on to the symbol as extended entity data. If AutoCAD Electrical finds a MFG/CAT match in the pin list database and retrieves the encoded pin list information, it pre-fills the MAXNO, MAXNC, and MAXNONC values with the quantities derived from the decoded pin list data.

To view or manually edit these values, select Edit Component and click the NO/NC Setup button on the Insert/Edit dialog box. AutoCAD Electrical maintains a copy of the PINLIST information of the parent in the scratch database file of the project (in Microsoft Access format). You can view it by opening the PINLIST table of the wd\user\<projname>.mdb database file.


Use pin lists (Quick Reference)

Copy catalog assignments from component to component
Use pin lists
Use pin lists
BOM and Catalogs > Contact Quantity/Pin List Lookup >
Use pin lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select pin list table

Edit

Edit record


Modify the pin list database (Procedure)

Contact Quantity/Pin List Lookup
Up a level to ..
Schematic Reports
BOM and Catalogs > Contact Quantity/Pin List Lookup >
Use pin lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify the pin list database

The pin list database file can be viewed, edited, and expanded using the Pin List Database Editor tool.

NoteThis tool is not limited to relays and timers, but can be extended to other switch types that can have extra contacts, plug/jacks, and stand-alone PLC I/O points.
  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Pin List Database Editor. Enter (AEPINLISTTABLE) at the command prompt.
  2. In the Select Pin List Table dialog box, select the table to edit and click Edit.
    NoteYou can also create a table by entering the manufacturer name in the edit box and clicking Create.
  3. In the Edit dialog box:
    • To edit a record, click Sort, Filter, or Find to search for the record to edit. Select the record from the list and click Edit.
    • To create a record, click Add New, or select an existing record and click Add Copy to create a record based on an existing one.
    • To delete an existing record, select the record in the list and click Delete.
  4. To edit or create a record, in the Edit Record dialog box, specify the values to assign to the record and click OK.
  5. In the Edit dialog box, click Save/Exit.


Use pin lists (Quick Reference)

Use pin lists
Use pin lists
Use pin lists
BOM and Catalogs > Contact Quantity/Pin List Lookup >
Use pin lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select pin list table

This tool allows you to select the relevant PINLIST table to edit or create a new one.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Pin List Database Editor. Does not exist on the ribbon.
Menu: Components [image] Cross-Reference [image] Pin List Database EditorDoes not exist in the menus.
Command entry: (AEPINLISTTABLE)

Select or Type Manufacturer

Lists all of the PINLIST tables that are in the catalog database. The “(Default)” manufacturer is used to edit the generic _PINLIST table.

Select the table to edit or enter a name for a new one.

Table

Displays the proper table name in the catalog database. This text changes depending on which manufacturer is selected. For example, if you select SQD, then _PINLIST_SQD appears.

Create

(available only when you enter the name of a manufacturer) Creates a table in the catalog database with the specified name and adds the table to the list of manufacturers. Once a table is created, the Edit (Table: _PINLIST_manufacturer) dialog box appears so you can edit the new table.

NoteThe following characters are not allowed in the table name: ~ @ # $ % ^ & * - + = \ { } “ ‘ ; : ? / < > , ! [ ] |. These characters are replaced with an underscore (_) if entered in the edit box.

Edit

(available only after a manufacturer is selected from the list) Opens the Edit (Table: _PINLIST_manufacturer) dialog box so you can edit the selected PINLIST table.


Use pin lists (Quick Reference)

Use pin lists
Use pin lists
Use pin lists
BOM and Catalogs > Contact Quantity/Pin List Lookup >
Use pin lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit

AutoCAD Electrical consults a pin list database table when a part number is added or an existing part number is changed on a parent schematic symbol. If AutoCAD Electrical finds a match on the part number's MFG, CAT, and optional ASSYCODE values in this database table, then the associated contact count and pin number information is retrieved and placed on the parent schematic component.

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Pin List Database Editor. Does not exist on the ribbon.
Menu: Components [image] Cross-Reference [image] Pin List Database EditorDoes not exist in the menus.
Command entry: (AEPINLISTTABLE)

Specify the table to create and click Create or select the table to edit and click Edit.

This lookup database table is a table within the catalog lookup Access .mdb file. The default file name is default_cat.mdb, table _PINLIST, and comes populated with a sample of vendor data. You can expand this table as needed. Use your own copy of Microsoft Access or use this dialog box to add new entries, add entries based on existing entries, edit, and delete entries from the table.

Sort | Sorts the list of database records using either an alphanumeric sort or number values. You can specify four sorts to perform on the list.
Find | Sorts the list of database records using either an alphanumeric sort or number values. You can specify four sorts to perform on the list.
Replace | Indicates to replace the find value with the new text string that you specify.
Filter | Filters the listing based on certain values in the table. Picking the blank entry in the list removes the filter for that field. After you define the values to filter, apply the filter in the database editing window.
Edit | Displays the Edit Record dialog box for modifying the existing record in the database.
Add New | Displays the Edit New Record dialog box for entering a new record into the database.
Add Copy | Displays the Edit Copied Record dialog box for modifying and copying the record to make a new record. You cannot have two duplicate copies in the database.
Delete | Removes the selected record from the database.
Structure of the pin list database table
RECNUM | (Microsoft Access internal use)
MANUFACTURER | Manufacturer code (value must be consistent with the catalog lookup files)
CATALOG | Catalog number (use wildcards as much as possible)
ASSEMBLYCODE | AutoCAD Electrical internal assembly code (must be consistent with the catalog lookup files)
COILPINS | Terminal pin numbers for coils (separate multiple pins with commas)
PINLIST | Contact type and pin numbers
PEER_COILPINS | Terminal pin numbers for peer coil
PEER_PINLIST | Contact type and pin numbers


Use pin lists (Quick Reference)

Use pin lists
Use pin lists
Generate reports
BOM and Catalogs > Contact Quantity/Pin List Lookup >
Use pin lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit record

Ribbon: Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] Pin List Database Editor. Does not exist on the ribbon.
Menu: Components [image] Cross-Reference [image] Pin List Database EditorDoes not exist in the menus.
Command entry: (AEPINLISTTABLE)

Specify the table to create and click Create or select the table to edit and click Edit. In the Edit dialog box, click Add New, Add Copy, or Edit.

MANUFACTURER

Specifies the Manufacturer code (value must be consistent with the catalog lookup files).

CATALOG

Specifies the Catalog number (use wildcards as much as possible).

ASSEMBLYCODE

Specifies the AutoCAD Electrical internal assembly code (must be consistent with the catalog lookup files).

COILPINS

Specifies the terminal pin numbers for coil. This is generally two pin numbers separated by a comma (for example, K1,K2), but is not limited to just two pin numbers. At insertion/annotation time, AutoCAD Electrical will take this list and apply it to the TERMxx attributes it finds on the parent symbol. If the parent itself can be either a N.O. or N.C. contact, encode the COILPINS field in a manner similar to the PINLIST field. For example, "1,A1,A2;2,B1,B2" for the COILPINS field for a target mfg/cat record in the _PINLIST table will apply pins "A1/A2" to the parent device pins if the device is a generic N.O. and "B1/B2" if it is a generic N.C. device. Repeat these values in the PINLIST field so that AutoCAD Electrical can correctly track all contacts.

PINLIST

Specifies the Contact type and pin numbers. This is a sequence of two or more element groups with each group defining one available child contact element for the device. For a two terminal contact, there are three elements in the group. It follows this format:

Contact type, terminal pin, terminal pin

where Contact type = 1 for N.O., 2 for N.C., 0 for convertible contact, 3 for Form-C (NO/NC pair), 4 for multi-pole terminal strips or undefined type, and 5 for multiple-pin or stacked terminals. AutoCAD Electrical also allows a description label associated with a pin pair. To add description labels, encode the _PINLIST database table entry using a format like this:

1,A1X,A1Y;1,A2X,A2Y,*aux contact=";2,B1X,B2Y,*NC=;

where the optional comment is always the last element of the sublist and is preceded by an asterisk character (if no asterisk, then the comment is interpreted as another pin number). The previous example would display in the pin list pick list dialog box as:

A1X,A1Y

aux contact=A2X,A2Y

NC=B1X,B2Y

Convertible contacts encoded as type 0, followed by two pin numbers, assume that the pin numbers do not change when a contact is flipped from N.O. to N.C. or vice versa. If the contact's pin number actually does change based upon whether in a N.O. versus N.C. configuration, encode each type 0 entry as "0,pinNO,pinNO,pinNC,pinNC;". The first two entries after the "0" flag give the pin number for the N.O. configuration and the second two for the N.C. configuration. AutoCAD Electrical picks the correct pair based upon the contact type being inserted or edited.

For contact type 3 (Form-C), the pins must be entered in this order: common pin, NO pin, NC pin. A Form-C contact set with NO on pin 5, NC on pin 6, and pin 8 common to both contacts would be encoded as 3,8,5,6 where "3" flags "Form-C", "8" is the common pin, "5" is the NO pin, and "6" is the NC pin.

PEER_COILPINS, PEER_PINLIST

There can be two additional "PEER_" fields in the _PINLIST table for defining special cases where a single part number calls out two parent devices. For example, a reversing motor starter part number might include two parent contactor coils, one for forward and one for reverse. Each parent coil symbol needs to have its own pin list assignment. You set up the second coil's coil pins and pin list data in the PEER_COILPINS and PEER_PINLIST fields for the common part number.

  • PEER_COILPINS: Terminal pin numbers for peer coils.
  • PEER_PINLIST: Contact type and pin numbers.


Set pin list assignments for special uses

Use pin lists
Contact Quantity/Pin List Lookup
Reports
BOM and Catalogs > Contact Quantity/Pin List Lookup >
Set pin list assignments for special uses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can set up subcategories of type 4 pin combinations so that some apply to specific contact types and other pin combinations to other contact types. You can also use a type 4 PINLIST assignment to track and control how many schematic terminal symbols can be tied to a given terminal tag-ID.

For filtering of special contact use

You can set up subcategories of type 4 pin combinations so that some apply to specific contact types and other pin combinations to other contact types. Encode the Pin List entries with a "4" plus a character to provide further filtering of what contacts are available for a given child contact. At the contact end, make sure that an attribute PINLIST_TYPE (or Xdata of the same name) carries a value of "4" plus a character to match up with the coding in the pin list string.

For example, a given device has 5 N.O. contacts but they are not all the same. Three of them are motor contacts and 2 are auxiliary control contacts. Two different schematic symbols are created - one to be used to show the heavy-duty motor starter contacts and another symbol to be used for auxiliary contacts. Set up the motor starter contact symbol with attribute PINLIST_TYPE with a value of "4C" and the auxiliary contact symbol with PINLIST_TYPE value "4A". Now, in the _PINLIST database table, encode the pin list information of the part number with type "4" entries but use "4A" and "4C" to differentiate which contact pin combinations are for the auxiliary contacts and which ones are for the starter contacts.

4A,1L,2L;4A,1R,2R;4C,L1,T1;4C,L2,T2;4C,L3,T3

When either symbol is inserted and associated with the parent, AutoCAD Electrical sees the PINLIST_TYPE value of the symbol. The contact combinations that do not apply to the inserted component type are filtered out. Inserting a N.O. auxiliary motor starter contact (preset with PINLIST_TYPE attribute value of 4A) triggers AutoCAD Electrical to pick the next available 4A pin list combination of 1L/2L or 1R/2R. Inserting a N.O. main motor contact symbol (present with PINLIST_TYPE attribute value of 4C) triggers AutoCAD Electrical to pick the next available 4C pin list combination (L1/T1, L2/T2, or L3/T3).

For multipole terminal block units

You can also use a type 4 PINLIST assignment to track and control how many schematic terminal symbols can be tied to a given terminal tag-ID (ex. a given terminal strip has a fixed number of terminals). For example, you have a fixed, 6-pole terminal strip unit with a manufacturer code of AB and a catalog part number 1492-HJ86 with pin markings on the terminal strip that are identified as 1 through 6. Set up the _PINLIST database with the AB and 1492-HJ86 combo defining a PINLIST of 4,1;4,2;4,3;4,4;4,5;4,6. In the schematic, insert the first terminal of a 6-pole terminal strip, with a TAG-ID of "TB-1" and do a catalog lookup. Assign the "AB" part number "1492-HJ86." AutoCAD Electrical finds the pin list information and applies it to the first peer terminal symbol as an attribute value. Now, as you insert additional terminals for this TB-1 terminal strip, AutoCAD Electrical tracks what the next available terminal number is (based on the first PINLIST data of the terminal). When you try to insert the seventh terminal for TB-1, you are alerted that there are no more terminals available for this multi-pole terminal strip.

NoteThis information was previously found in a separate Access file called wd_pins.mdb. When you use the conversion tools to convert your old .dbf catalog files to the Access file, this file is converted to the _PINLIST table within the catalog file.
For convertible contact pin annotations

Sometimes a relay may have contacts stamped with pin designations for one orientation and another set of pin designations for another orientation. For example, a relay has pin designations “A” and “B” for the contact in its Normally Open (N.O.) orientation, but if you flip the convertible contact over so that it operates as a Normally Closed (N.C.) contact, the pin designations of the contact that are now visible are stamped with “C” and “D.”

You can set up your type “0” pin list assignment to handle different pin assignments depending on the physical orientation of the contact in the relay body by encoding the relay coil’s symbol PINLIST like the following:

0,1A,1B,1C,1D;0,2A,2B,2C,2D;0,3A,3B,3C,3D;0,4A,4B,4C,4D

Each type “0” contact (convertible contact flag) is followed by four pin assignments instead of the normal two. The first two assignments default to the contact when it is inserted as a N.O. contact and the last two assignments are applied if the contact is flipped to N.C.

Modify the PINLIST data for four convertible contacts

  1. Insert a relay coil.
  2. On the Insert/Edit Component dialog box, Cross-reference section, click NO/NC Setup.
  3. Enter the PINLIST data (shown previously) in the Pin List field on the Maximum NO/NC counts and/or allowed Pin numbers dialog box.
  4. Insert a N.O. contact and associate it to the parent coil.

    The pin assignments are “1A” and “1B.”

  5. Click Schematic tab [image] Edit Components panel [image] Toggle NO/NC. Enter AETOGGLENONC at the command prompt.
  6. Select the N.O. contact to flip it to a N.C. contact.

    The pin assignments automatically update to “1C” and “1D.”


Reports

Set pin list assignments for special uses
Generate reports
Reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Generate reports

    Table generation setup

  • Schematic Reports
  • Panel Reports
  • Overview of format files

    Report format file setup - panel bill of material

  • Run automatic reports

    Automatic report selection

  • Export/Import spreadsheet data

    Export to spreadsheet

  • Create user-defined attributes

    User-defined attribute list

  • Export to Autodesk Inventor Professional


Generate reports (Concept)

Reports
Reports
Schematic Reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

There is a lot of flexibility with AutoCAD Electrical reports, which can be run manually or automatically. AutoCAD Electrical extracts multiple fields into each report type. Different reports contain different fields of information. When running a report, you can select which fields to include and which fields to ignore. You can also add your own fields by creating a user-defined attribute support file (.wda) using the User Defined Attributes List tool. Any attributes listed in your User Defined Attributes file are added as available fields to each report. You can strip out some of the field columns of data and create other useful types of reports. For example, run a component report, strip out everything except the TAGNAME, DESC1, DESC2, and DESC3 field columns and you have a legend plate report. If you don't see the specific report that you need, take advantage of the AutoCAD Electrical flexibility and create your own.

There are some features that are common to most of the AutoCAD Electrical reports. You can extract by location or installation values, edit the report, change the report format, post-process the report with your own programs, save the report out to a file, print the report, and put the report on your drawing as a table.

AutoCAD Electrical provides a number of Schematic and Panel reports. Reports can be formatted from the Report Generator dialog box or preformatted using Format Files (.set files).

Modify report templates

You can modify Microsoft Excel report templates "wd_template.xls" and "wd_template_w_macro.xls" so that the report displays the way you need it to without having to manually modify the report output each time a report is run. You can change the orientation of a template file to open in Landscape mode rather than Portrait mode by modifying the template and saving it. Run a report and save to an Excel file. When the Excel file is opened, it displays in Landscape mode.

NoteIf you are using the Export Drawing to Spreadsheet tool, modify the "wd_xls_all_template.txt" template.
TipChanging some of the setup on template files (such as changing the text in the first row or the sheet names) can cause the export to fail. Before modifying any template files, save copies so that you can revert back to the original version if necessary.
Place reports on drawings

Once you generate a report you can place it on a drawing or drawings by clicking "Put on Drawing" in the Report Generator dialog box. This displays the Table Generation Setup dialog box where you can select options to format the look of the table.

Report tables can be updated once they have been inserted, saving you the trouble of the setup each time. When a report table is inserted, some intelligence is added to the table object so AutoCAD Electrical can determine which report this table was for. There are three items that make a report table unique:

  • The report that generated the table (i.e. Bill of Materials, Wire From/To, Component, and so on.)
  • The scope of the report (for example, project, active drawing, and so on.)
  • The format file (.set file) used to generate the report

If a report is run and a table exists that matches these three items, then instead of inserting a new report table, the existing table objects update with the current information.

If you want to insert a report table that will not be updated, select "Insert New (not updatable)." This inserts a report table without the intelligence so that when you run the same report again, the table is not updated.

Break report tables

You may want to break a report into multiple tables. You can do this from the Table Generation dialog box without having to run the report multiple times or clicking "Put on Drawing" multiple times. You can break the report table by specifying the number of rows per section. If an entry in the report contains multiple lines of text, such as a Bill of Materials description, each line of text is considered a row. A table will not be broken in the middle of a multi-line entry but the entire entry is moved to the next section.

You can also break a report into sections based on some report fields. This must be selected in the Report Generator dialog box. Different reports may have different Special Breaks available. After you select Special Breaks, and click Put on Drawing, the Apply Special Breaks option is available in the Table Generation Setup dialog box. This option inserts a table object for each section based on the Special Breaks. These multiple table objects (if inserted as updatable) are considered one report table by AutoCAD Electrical and can be updated and edited as one report using the AutoCAD Electrical Edit Component command.

Breaking a Report Table across Multiple Drawings

You can break a report table across multiple drawings if the scope of the report is set to Project and not Active Drawing. In the Table Generation Setup dialog box, once you have defined a break as described above, you can define how many table sections should be placed on each drawing. A blank Sections On Drawing value indicates unlimited sections on the same drawing and you are not prompted for another drawing. Once you enter a Sections On Drawing value, when you reach that value you are prompted for another drawing. If you select a new drawing, you can enter the folder and name for the drawing. Once generated, the drawing is added to the AutoCAD Electrical project. These multiple table objects (if inserted as updatable) are considered one report table by AutoCAD Electrical and can be updated and edited as one report using the AutoCAD Electrical Edit Component command.

Wildcard Filtering

You can filter reports based on wild-carded Installation and Location code assignments. For example, if you mark all of the customer-supplied schematic components and existing equipment with a Location code of “CUST” you can then filter any report using the Location code. To run a report (such as a Bill of Material report) of only the customer-supplied items, select Named Location and enter “CUST” as the Location code in the Location Codes to extract section of the report dialog box and click OK.

You can also run a report of all of the components that are not customer-supplied. To do this, either enter all of the used location codes separated by commas in the Location code edit box of the report dialog box or enter “~CUST” as the Location code in the report dialog box. The tilde (~) prefix causes the report to show everything except components with a Location code of “CUST.”

AutoLisp-supported wildcard characters:

Character | Definition
# (pound) | Matches any single numeric digit.
@ (at) | Matches any single alphabetic character.
. (period) | Matches any single non-alphanumeric character.
* (asterisk) | Matches any character sequence, including an empty one and it can be used anywhere in the search pattern: beginning, middle, or end.
? (question mark) | Matches any single character.
~ (tilde) | If it is the first character in the pattern, it matches anything except the pattern.
[...] | Matches any one of the characters enclosed in the brackets.
[~...] | Matches any single characters not enclosed in the brackets.
- (hyphen) | Used inside brackets to specify a range for a single character.
, (comma) | Separates two patterns.
‘ (reverse quote) | Escapes special characters (reads the next character literally).


Generate reports (Quick Reference)

Use pin lists
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Table generation setup

Optional script file reference

Script file options reference

Edit report

Report generator

Conduit marker data fields to display

Drawing list data fields to display

Cable insert/edit data fields to display

Panel bill of material data fields to report

Panel component exception data fields to report

Panel component data fields to report

Panel missing level/sequence assignments data fields to report

Panel wire annotation exception data fields to report

Panel nameplate data fields to report

Panel terminal exception data fields to report

Panel wire connection data fields to report

Bill of material data fields to report

Cable summary data fields to report

Cable from/to data fields to report

Cable label data fields to report

PLC component connection data fields to report

Component wire list data fields to report

Connector details data fields to report

Connector plug data fields to report

Connector summary data fields to report

Component data fields to report

Missing bill of material data fields to report

Wire from/to data fields to report

PLC I/O address and descriptions data fields to report

Terminal numbers data fields to report

PLC modules used so far data fields to report

Terminal plan data fields to report

Wire label data fields to report

Wire conduit routing data fields to display

Cross-reference table data fields to display

Data fields to display


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Table generation setup

This displays your report as a table on your drawing. Once you select OK from the Table Generation Setup dialog box, your cursor will look like a box with a small "x" in the corner. The box is the size the table will be when generated. This allows easy placement of the table on your active drawing file. To use object snap mode, enter an "S" at the command line and AutoCAD Electrical will flip to a normal AutoCAD pick mode so you can use an object snap.

Click the Put on Drawing button on any of the report generation dialog boxes.

Table

The available options depend on whether a matching table exists when you click the Put on Drawing button. If there isn't a matching table on the drawing, the Insert New and Insert New (non-updatable) options are available. If a matching table exists on the drawing, the Insert New (non-updatable) and Update Existing options are available.

Insert New | Inserts a new updatable table. If there is an existing table, new (non-updatable) tables are inserted.
Insert New (non-updatable) | Inserts tables with no intelligence.
Update Existing | Updates existing tables. If existing tables do not exist, new updatable tables are inserted.
Text

Defines the height, color, and line spacing for the text used in the table. To define the text color, click the Text Color box. The standard AutoCAD color selection dialog box opens, displaying the color selections.

The minimum Spacing value is based on the specified text height and the vertical cell margin of the table style. If you change the text height the spacing value automatically recalculates. If it is too small it is changed to the minimum value. If you change the spacing value it is compared to the minimum value. If it is too small an alert displays and the value adjusts to the minimum value.

Column Labels

Defines whether to include the column heading, the color of title text labels, and the visibility of the column labels.

Include Column Labels | Uses the column headings as the first row of the table.
Label Color | To define the title text color, click the Label Color box. The standard AutoCAD color selection dialog box opens, displaying the color selections.
Show Labels on First Section Only | Indicates to only show the title on the first section of the table, if multiple sections are used. If not selected, the labels will be shown on all table sections.
Title

Defines the table title attributes.

Include time/date | Shows the report's time and date above the table.
Include project info | Shows the project description lines above the table. You select which lines will display in the project description dialog box.
Include title line | Shows the report's title above the table. When the checkbox is active, you may modify the default report title.
Include special break values | Specifies to include special break values for the title line of each section. Special break values will appear on each respective section regardless if the Show Title on First Section Only checkbox is selected.
Title color | Specifies what color to use for the table title. To define the text color, click the Title Color box. The standard AutoCAD color selection dialog box opens, displaying the color selections.
Show Title on First Section Only | Indicates to only show the title on the first section of the table, if multiple sections are used. If not selected, the labels will be shown on all table sections.
Layer

Specifies which layer to place the table on.

Column Width

Specifies the method to use for calculating the width of the columns. You can either have AutoCAD Electrical automatically calculate the column width based on text values for each field or you can define a width for each column. The text will word wrap if the column width is less than the overall length of the text string.

Borders

Specifies whether to display borders around the table. You can display all table borders, a border around just the outside of the table, or not have any borders at all.

First New Section Placement

Specifies where to place the table in the drawing. You can enter x and y values or pick a point on the screen. The table appears at the specified coordinates once you click the OK button.

Row Definition

Specifies the number of table rows, the start and end lines, the number of rows for each section, and whether to build the table from the bottom up.

Start Line/End | The starting and ending lines reflect the total number of rows displayed in the Report Generator dialog box. These values default to previously used values on subsequent runs of the report.
Build Up | Creates the table from the bottom to the top; meaning that the last line is created first and the first line is created last. The table title appears at the bottom of the report table when this option is selected.
Apply Special Breaks | Breaks the table sections based upon the selected break criteria. For example, if you select Manufacturer as the Special Break and there are 15 different manufacturers in the report, your report will be broken into 15 sections.
Rows for Each Section/Rows | Specifies the maximum number of rows for the table or section, determining when to split the table.
Force to Maximum Rows | Directs AutoCAD Electrical to add blank lines at the end of a table section if necessary until the number of rows equals the Rows setting. Individual records cannot be split into two separate sections.
Section Definition

Defines the number of sections on the drawing and the distance between sections on the same drawing. If the Sections value is set to 1, the X-Distance and Y-Distance options are disabled.

Sections | Specifies the maximum number of table sections for this report. A blank value indicates an unlimited number of sections on one drawing.
X-Distance | Specifies the X-distance from the end of one table section to the beginning of the next. The sections are on the same drawing.
Y-Distance | Specifies the Y-distance from the end of one table section to the beginning of the next. The sections are on the same drawing.


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Optional script file reference

This provides the option to save the report file to a script file. You can set up this script file to automatically know the file name of the report you just created. For AutoCAD 2000 and later, the report's file name can be retrieved using the AutoLISP expression (v1-bb-ref 'FNAM).

Click the Save to File button on a report dialog box (such as Schematic Bill of Materials). Select the report type, click OK, select the file to save, and click Save.

The file location and name for your report is displayed at the top of the dialog box.

Run Script | Passes the report file to a script file. This provides a link to post-processing the data or automatically passing it on to another application.
Close - no script | Closes the dialog box without creating a script file.


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Script file options reference

Displays if the report file was created and saved. The report filename and location are displayed in the title bar of the dialog box. You can execute a script file and passes the report filename to it. The filename is carried in an AutoLISP variable called FNAM.

Click the Save to File button on a report dialog box (such as Schematic Bill of Materials). Select the report type, click OK, select the file to save, and click Save. In the Optional Script File dialog box, select Run Script.


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Edit report

Use this utility to modify a report before you insert it on to your drawing as a ruled text table.

Click the Edit Mode button on any of the report dialog boxes (such as Schematic Bill of Materials).

NoteDifferent options are available depending on which type of report you are editing.
New Lines

Indicates to add new lines above or below the selected line, or as a sub-assembly of the selected line.

  • Add from Catalog: Opens a subdialog box for selecting which catalog lookup table to open. From this catalog table, you can select a part to add to the report.
  • Add New: Creates a new report line entry. Enter the values in the input boxes and click OK.
  • Add Copy: Creates a copy of the selected line entry. Modify the values in the input boxes and click OK.
Edit or Delete lines
  • Edit: Opens a subdialog box for editing the values for the selected line.
  • Delete: Removes the selected line from the report.

    If you do not select all of the lines that make up a single entry, AutoCAD Electrical automatically deletes all the report lines that make up that entire entry. However, if the report contains sub-assembly items, they are not deleted when the main entry is deleted.

Re-order lines

Re-orders the lines with the Sort, Move Up, Move Down, Move to Top, and Move to Bottom buttons.

  • Move Up: Moves the currently selected line(s) up one place in the report.
  • Move Down: Moves the currently selected line(s) down one place in the report.
  • Move to Top: Moves the currently selected line(s) to the top of the report.
  • Move to Bottom: Moves the currently selected line(s) to the bottom of the report.
  • Smart Swap: Swaps "*1" with "*2" values in all selected lines. For example, in the Wire From/To report there may be field names LOC1 and LOC2. LOC1 is the location code for the component at one end of the wire and LOC2 is the location code for the component at the other end. This feature swaps the values of these fields.


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Report generator

Displays the results of the report generation. The dialog box options that are available depend on which report you are creating.

Schematic Reports
Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Specify whether to process the project, the active drawing, or selected components, and click OK

Panel Reports
Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Specify whether to process the project, the active drawing, or selected components, and click OK

Header

Displays the selected items at the top of each section in the report.

Add | Displays the header information inside the report. Select to add the time/date, a title line, project lines, or column labels.
First Section Only | Displays the selected header item at the top of the first section only. The header information is no longer displayed at the top of each section.
Breaks

Controls how the report breaks across multiple pages. Only one check box can be selected at a time. Specify whether to add page breaks or special breaks to the report.

Add page breaks | Breaks the report at the 58th line.
Special breaks | Specifies the value that controls the section break. You can break the report into sections based on the special break selected from the list. The list displays the report-specific content to apply to the special break. For example, selecting Wire Layer displays the wire label records in different sections based on the wire layer data.
Add special break values to header | Adds the special break value to the header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Suppress subcatalog entries

(for Component Report only) The component report displays all components and their related catalog numbers. A component can have one or many catalog numbers associated to it based upon whether or it is set up with subcatalog numbers or if you choose to assign multiple BOM items to the component. This removes the extra catalog numbers from the report and displays only the primary catalog number from the Insert/Edit Component dialog box.

Pin chart

(for Connector Plug Report only)

The Connector Plug report displays the wiring information associated to a pin symbol in the form of a chart based upon a similar Component tag. Selecting "On" displays another dialog box to set up the chart and yields just the specified information into the report generator for printing, saving to a file, or placing in a table on the drawing.

Tag Name | Displays all component tag names in the report.
Remove duplicated pin numbers | Eliminates any duplicate pin numbers for the selected plug from the report.
Left Side / Right Side | Displays the wiring information from the left or right side of the pin symbols. This displays what is connected to the pin and the wiring information.
Fill In Missing Pin Numbers | Identifies additional pin numbering not defined in the schematic for spare pin connections. For example, the connector may have used four out of nine pins in the schematic and those are the connections that are being reported. You can then display the five spare pin connections by selecting this check box and identifying the first pin number as 1 and the last as 9. Label for spares displays a text string under the wire number column in the report.
Internal/external codes left/right

(for Terminal Plan Report only) Allows the Terminal Plan report to take advantage of terminals that have the optional "I" (Internal) and "E" (external) codes on the wire connection. With this check box selected, you can select from the radio buttons below it to sort within an entry. You can show all of the Internal or External connections on the left or on the right of the wire connection.

Squeeze

Specifies whether to reduce the width of the report. Select 1 for maximum squeezing and 3 for minimum squeezing.

Add blanks between entries

Adds a blank line between report entries.

Insert as Terminal Strip

(for Panel Terminal Strip Report only) Opens the Panel Terminal Strip Graphical Report - Parameters dialog box for defining a graphical representation of the terminal strip to place on the active drawing file.

Plug/Male side - Jack/Female side - Show All

(for Connector Details Report only) These three radio buttons work with the Type attribute value of either P or J for Plug (male) or Jack (female). When the pin symbol is created you can define a Type attribute that defines these characteristics. Then when reporting you can select Plug or Jack to filter the overall report (or you can choose to show all).

Sort

Sorts the report. You can specify four sorts to perform on the list.

User Post

Sets up options for running a post-process report before saving the report to a file or inserting as a table onto your drawing. AutoCAD Electrical supports calling a LISP file that can be customized to meet any post-processing needs for a report. Each LISP file also has an associated dialog definition .dcl file with the same name. When you click User Post, the dialog box displays the available options. Select an option and the lisp routine runs a function against the data and returns to the Report Generator Window.

The LISP routine can be modified to meet your needs. Use these tables to determine the name of the .lsp and .dcl files for a report.

NoteExample User Post files are not supplied for all reports.
Schematic Report | User post file name for .lsp and .dcl
Bill of Materials - Normal Tallied Format | BOM
Bill of Materials - Normal Tallied Format (Group by Installation/Location) | BOM_LOC
Bill of Materials - Display in Tallied Purchase List Format | PUR_BOM
Bill of Materials - Display in “By Tag” Format | TAG_BOM
Missing Bill of Material | NOCAT
Component | COMP
Wire From/To | WIREFRM2
Component Wire List | WIRECON
Connector Plug | PJCON
PLC I/O Address and Descriptions | PLC
PLC I/O Component Connection | PLCCON
PLC Modules Used So Far | PLC_USED
Terminal Numbers | TERM
Terminal Plan | TERMPLAN
Connector Summary | QPINRPT
Connector Detail | PINRPT
Cable Summary | CBL
Cable From/To | CBLCON
Wire Label | WIRELABEL
Panel Report | User post file name for .lsp and .dcl
Bill of Materials - Normal Tallied Format | BOMPNL
Bill of Materials - Normal Tallied Format (Group by Installation/Location) | PBOM_LOC
Bill of Materials - Display in Tallied Purchase List Format | PUR_PBOM
Bill of Materials - Display in “By Tag” Format | TAG_PBOM
Component | PNLCOMP
Nameplate | PNL_NP
Wire Connection | PNLWCON
Component Exception | PNLXCPT
Terminal Exception | PNLTXCPT
Wire Annotation Exception | PNLWANNO
Missing Level/Sequence Assignments | LEVBLNK
Display Setup

(for Wire Label report only) Sets up options for label quantity, horizontal or vertical arrangement of data, display selection of wire labels and cable labels, and total number of columns for displaying the report.

Display Wire Label | Displays the wire label for all wires in the specified format.
Display Cable Label | Displays the cable labels in the specified format.
Label Arrangement | Arranges the wire label horizontally or vertically across the columns.
Label Quantity per Connection | Specifies the quantity of wire labels or cable labels. Wire labels are generated for every wire connection while cable labels are generated once for every cable.
Number of Columns to Display | Arranges the wire labels in the specified number of columns.
Change Report Format

Changes what data fields are reported and the order in which they appear.

(for Wire Label report only) There are two categories that you can change the report format for: wire label or cable label. Once you modify the report format, you can save it for future use. The wire and cable label formats are stored in the same file.

Surf

Surfs to the offending symbols. This is generally used for the Missing Level/Sequence Assignments and Wire Annotation Exception reports.

Edit Mode/Edit Wire Label/Edit Cable Label

Modifies the report before you insert it to your drawing. You can move data up or down in the report, add lines from a catalog, and delete lines.

Put on Drawing

(Not applicable for Wire Label reports) Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.

NoteTables should be placed on drawings that are part of the active project only.

Once wire label reports are placed on the drawing in table format they are not editable using the Edit Component tool. You must use the AutoCAD table edit command to edit the table.

Save to File

Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs. Choose from: ASCII report, Comma Delimited, Excel spreadsheet, Access database, and XML format.

NoteDepending on the file type, you may have the ability to include the project's LINEx values. These are the values in the 24 description lines entered for the project.
Print

Prints the report. Select the printer, print range, and number of copies.


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Conduit marker data fields to display

Changes what data fields are reported and the order in which they appear.

Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Reports drop-down [image] Conduit Report. Does not exist on the ribbon.
Toolbar: Conduit Reports
Menu: Panel Layout [image] Conduit Marker Tools [image] Conduit Marker ReportDoes not exist in the menus.
Command entry: AECONDUITMARKERRPT

Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAG | Component tag name
SIZE | Conduit size (diameter)
MFG | Manufacturer or vendor name (i.e. Siemens)
CAT | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
WIRENO | Wire number
WIRELAY | Wire layer
WIREDESC | Wire type description
WIREDIA | Wire gauge or diameter
SPARES | Type of spare or unused wires
SP/CNT | Count of spare or unused wires
DESC1-2 | Description attribute values 1-2
HDL | Entity handle number
SH | Sheet - the %S value
LEN | Length (calculated wire length)
INST1 | "From" device's installation code (must end with "1")
LOC1 | "From" device's location code (must end with "1")
CMP1 | "From" device's component tag ID (must end with "1")
PIN1 | "From" device's wire connection terminal number (must end with "1")
INST2 | "To" device's installation code (must end with "2")
LOC2 | "To" device's location code (must end with "2")
CMP2 | "To" device's component tag ID (must end with "2")
PIN2 | "To" device's wire connection terminal number (must end with "2")
CBL | Cable tag
CBLWC | Cable wire or cable core color


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Drawing list data fields to display

Changes what data fields are reported and the order in which they appear.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project name and select Drawing List Report. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
NoteAdditional fields may display if the drawing or project is set up with a title block association. The title block association can be made either through the Acade_title block with the WD_TB attribute or if there is a .WDT file (can be project-specific or just a default one).
FILENAME | AutoCAD drawing file name (.dwg)
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
SEC | Drawing SEC assignment
SUBSEC | Drawing SUBSEC assignment
DWGDESC | Drawing one-line description text
FULLFILENAME | AutoCAD drawing file name (.dwg) with complete path


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Cable insert/edit data fields to display

Changes what data fields are reported and the order in which they appear.

Ribbon: Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Multiple Cable Markers. Does not exist on the ribbon.
Toolbar: Cable Markers
Menu: Wires [image] Cables [image] Multiple Cable MarkersDoes not exist in the menus.
Command entry: AEMULTICABLE

Run the report. Select the location codes for the report and click Change Format on the Cable Insert/Edit dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
WIRENO | Wire number
LOC1 | "From" device's location code (must end with "1")
CMP1 | "From" device's component tag ID (must end with "1")
PIN1 | "From" device's wire connection terminal pin number (must end with "1")
LOC2 | "To" device's location code (must end with "2")
CMP2 | "To" device's component tag ID (must end with "2")
PIN2 | "To" device's wire connection terminal pin number (must end with "2")
WLAY1 | Wire layer "From" device (must end with "1")
WLAY2 | Wire layer "To" device (must end with "2")
REF1 | Line or grid reference location for "From" device (must end with "1")
REF2 | Line or grid reference location for "To" device (must end with "2")
SH1 | Sheet assignment for "From" device (must end with "1")
SH2 | Sheet assignment for "To" device (must end with "2")
CBL | Cable tag
CBLWC | Cable wire or cable core color
CBLLOC | Cable location attribute value
CBLMFG | Cable manufacturer attribute value
CBLCAT | Cable catalog part number
CBLASMB | Cable ASSYCODE assignment
DESC1CBL - DESC3CBL | Cable description attribute values 1 - 3
CBLP1C2 | Cable parent or child (parent = 1, child = 2)
CMP:PIN1 | "From" device's component tag and component terminal pin number
CMP:PIN2 | "To" device's component tag and component terminal pin number
SEC1 | "From" device's drawing section assignment (must end with "1")
SUB1 | "From" device's drawing sub-section assignment (must end with "1")
SEC2 | "To" device's drawing section assignment (must end with "2")
SUB2 | "To" device's drawing sub-section assignment (must end with "2")
INST1 | "From" device's installation code (must end with "1")
INST2 | "To" device's installation code (must end with "2")
IECCMP1 | "From" device's IEC tag name (must end with "1")
IECCMP2 | "To" device's IEC tag name (must end with "2")
PD1 | "From" device's wire connection TERMDESC value (must end with "1")
PD2 | "To" device's wire connection TERMDESC value (must end with "2")
SEQ1 | "From" device's wire connection sequence value (must end with "1")
SEQ2 | "To" device's wire connection sequence value (must end with "2")
PNLWDLEV1 | "From" device's panel equivalent level (WDLEV) value (must end with "1")
PNLWDLEV2 | "To" device's panel equivalent level (WDLEV) value (must end with "2")
CMPHDL1 | "From" device's entity handle value (must end with "1")
CMPHDL2 | "To" device's entity handle value (must end with "2")
DWGIX1 | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database (must end with "1")
DWGIX2 | "To" device's drawing DWGIX value as listed in FILETIME table of project scratch database (must end with "2")
DWGNAM1 | "From" device's drawing %D value (must end with "1")
DWGNAM2 | "To" device's drawing %D value (must end with "2")
CBLHDL | Cable entity's handle value
CBLINST | Cable installation assignment
CBLDWGIX | Cable's drawing DWGIX value as listed in FILETIME table of project scratch database
WIREHDL1 | "From" device's connected wire line entity handle value (must end with "1")
WIREHDL2 | "To" device's connected wire line entity handle value (must end with "2")
XDIR1 | "From" device's wire connection point direction - i.e. 4 = connects from left (must end with "1")
XDIR2 | "To" device's wire connection point direction - i.e. 2 = connects from above (must end with "2")
PNLX1 | "From" wire connection's physical X-coordinate value (must end with "1")
PNLY1 | "From" wire connection's physical Y-coordinate value (must end with "1")
PNLZ1 | "From" wire connection's physical Z-coordinate value (must end with "1")
PNLXDIR1 | Panel wire "From" connection point's direction - i.e. 4 = connects from left, 1 = right, 2 = above, 8 = below (must end with "1")
PNLX2 | "To" wire connection's physical X-coordinate value (must end with "2")
PNLY2 | "To" wire connection's physical Y-coordinate value (must end with "2")
PNLZ2 | "To" wire connection's physical Z-coordinate value (must end with "2")
PNLXDIR2 | Panel wire "To" connection point's direction - i.e. 4 = connects from left, 1 = right, 2 = above, 8 = below (must end with "2")
CLEN | Panel layout calculated wire length


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel bill of material data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Bill of Material from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields

The fields that are available depend on the report options you selected when running the report.

ITEM | Item number assignment
N/A | Not applicable or not used
QTY | Quantity
SUB | Subassembly quantity
CATALOG | Catalog part number assignment
MFG | Manufacturer or vendor name (i.e. Siemens)
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
DESCRIPTION | Multi-line description column
DESC | General description line of text
QUERY2 | 2nd query field (middle pulldown on Catalog Lookup dialog box)
QUERY3 | 3rd query field (right-hand pulldown on Catalog Lookup dialog box)
MISC1-2 | Catalog lookup data field
USER1-3 | User field in catalog lookup database
TABNAM | Catalog Database (vendor database) table name
TAGS | Component tag names
HDL | Entity handle number
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel component exception data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Component Exception from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
INST | Installation attribute value
LOC | Location attribute value
COMMENT | Comment or explanation of issue
PNL | Value of the problem area on the footprint component; shows the value on the panel layout (i.e. If the Comment is "Mismatch LOC", the LOC attribute is different between the Panel Layout and Schematic components).
SCHEM | Value of the problem area on the component; shows the value on the schematic drawing (i.e. If the Comment is "Mismatch LOC", the LOC attribute is different between the Panel Layout and Schematic components).
HDL | Entity handle number
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
FULLFILENAME | AutoCAD drawing file name (.dwg) with complete path
FILENAME | AutoCAD drawing file name (.dwg)


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel component data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Component from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
ITEM | Item number assignment
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
CNT | Count
UNITS | Units of measurement (i.e. AMPS, VOLTS, mA)
SUBQTY | Sub-quantity
MFG | Manufacturer or vendor name (i.e. Siemens)
CAT | Catalog part number assignment
DESC1-3 | Description attribute values 1-3
REF | Line reference or X-Y grid reference or X-Zone reference
INST | Installation attribute value
LOC | Location attribute value
MOUNT | Mount attribute value; panel layout optional attribute for user-defined "panel mounting" assignment
GROUP | GROUPWITH attribute value; panel layout optional attribute for user-defined "group with" assignment
RATING1-12 | Rating 1 - 12 attribute values
CATDESC | Catalog one-line description text
QUERY1 | QUERY1 field pulled from catalog lookup and formatted into output report
QUERY2 | 2nd query field (middle pulldown on Catalog Lookup dialog box)
MISC1-2 | Catalog lookup data field
USER1-3 | User field in catalog lookup database
P1C2 | parent = 1, child = 2
WDBLKNAM | Related to the name of the component's catalog lookup table
BLOCK | Block name
HDL | Entity handle number
CATEGORY | Type of component (J = plug-jack connector, P = PLC I/O, C = cable marker)
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
SEC | Drawing section assignment
SUBSEC | Drawing sub-section assignment
FAMILY | Component family
WDTAGALT | Related tag ID of device on alternate drawing type
WDTYPE | Alternate type of symbol (for example, "PN" for pneumatic, "HY" for hydraulic)
FILENAME | AutoCAD drawing file name (.dwg)


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel missing level/sequence assignments data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Missing Level/Sequence Assignments from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
INST | Installation attribute value
LOC | Location attribute value
MOUNT | Mount attribute value; panel layout optional attribute for user-defined "panel mounting" assignment
GROUP | GROUPWITH attribute value; panel layout optional attribute for user-defined "group with" assignment
HDL | Entity handle number
CATEGORY | Type of component (J = plug-jack connector, P = PLC I/O, C = cable marker)
DESC1-3 | Description attribute values 1-3
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
FILENAME | AutoCAD drawing file name (.dwg)


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel wire annotation exception data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Wire Annotation Exception from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
PIN | Wire connection terminal pin number
WIRENO | Wire number
WTYPE | Alternate type of symbol (for example, "PN" for pneumatic, "HY" for hydraulic)
INST | Installation attribute value
LOC | Location attribute value
MOUNT | Mount attribute value; panel layout optional attribute for user-defined "panel mounting" assignment
GROUP | GROUPWITH attribute value; panel layout optional attribute for user-defined "group with" assignment
END1 | Component and connection information on one end of wire (must end with "1")
END2 | Component and connection information on one end of wire (must end with "2")
BLKNAME | WDBLKNAM attribute value used for the linking of symbols to tables in the Default CAT database
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database
HDL | Entity handle number
CATEGORY | Type of component (J = plug-jack connector, P = PLC I/O, C = cable marker, FP = Panel Footprint, FPT = terminal footprint)
PDESC | Wire connection point description attribute value
SFX | Values of R or L; used for terminal block symbols where we identify the wire annotation attributes with an R or L for Right or Left of the symbol
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
CBL | Cable tag
TEXT | Wire annotation text


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel nameplate data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Nameplate from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
DESC1-3 | Description attribute values 1-3
MFG | Manufacturer or vendor name (i.e. Siemens)
CATALOG | Catalog part number assignment
BLKNAME | Block name
WITH | Nameplate tied in with this footprint device tag
LOC | Location attribute value
MOUNT | Mount attribute value; panel layout optional attribute for user-defined "panel mounting" assignment
GROUP | GROUPWITH attribute value; panel layout optional attribute for user-defined "group with" assignment
INST | Installation attribute value
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
ITEM | Item number assignment
RATING1-12 | Rating 1 - 12 attribute values
POS1-12 | Switch position description text (1 - 12)
HDL | Entity handle number
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel terminal exception data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Terminal Exception from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
INST | Installation attribute value
LOC | Location attribute value
COMMENT | Comment or explanation of issue
PNL | Value of the problem area on the footprint component; shows the value on the panel layout (i.e. If the Comment is "Mismatch LOC", the LOC attribute is different between the Panel Layout and Schematic components).
SCHEM | Value of the problem area on the component; shows the value on the schematic drawing (i.e. If the Comment is "Mismatch LOC", the LOC attribute is different between the Panel Layout and Schematic components).
HDL | Entity handle number
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
FULLFILENAME | AutoCAD drawing file name (.dwg) with complete path
FILENAME | AutoCAD drawing file name (.dwg)


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel wire connection data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Wire Connection from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
PIN | Wire connection terminal pin number
WIRENO | Wire number
WTYPE | Alternate type of symbol (for example, "PN" for pneumatic, "HY" for hydraulic)
INST | Installation attribute value
LOC | Location attribute value
MOUNT | Mount attribute value; panel layout optional attribute for user-defined "panel mounting" assignment
GROUP | GROUPWITH attribute value; panel layout optional attribute for user-defined "group with" assignment
END1 | Component and connection information on one end of wire (must end with "1")
END2 | Component and connection information on one end of wire (must end with "2")
MFG | Manufacturer or vendor name (i.e. Siemens)
CAT | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
BLKNAME | WDBLKNAM attribute value used for the linking of symbols to tables in the Default CAT database
ITEM | Item number assignment on Panel drawings; there is no correlation between schematic and panel item number attributes
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database
HDL | Entity handle number
CATEGORY | Type of component (J = plug-jack connector, P = PLC I/O, C = cable marker, FP = Panel Footprint, FPT = terminal footprint)
PDESC | Wire connection point description attribute value
SFX | Values of R or L; used for terminal block symbols where we identify the wire annotation attributes with an R or L for Right or Left of the symbol
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
X | X-coordinate
Y | Y-coordinate
Z | Z-coordinate
CBL | Cable tag
TEXT | Wire annotation text


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Bill of material data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Bill of Material from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Lines for description | The Description field can be multilined. If you include the Description field in your report, choose which lines make up this field. Switch on and off the specific fields to define the Description.
Available Fields

The fields that are available depend on the display options you selected when running the report. Some fields are not applicable in certain display options.

ITEM | Item number assignment; purchase list items for Purchase Tallied Format reports.
N/A | Not applicable or not used; if a report does not use a particular field, N/A is used to line up the raw data and make them consistent between all formats for the BOM
QTY | Quantity
SUB | Subassembly quantity
CATALOG | Catalog part number assignment
MFG | Manufacturer or vendor name (i.e. Siemens)
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
DESCRIPTION | Multiline description column
DESC | General component description line of text
QUERY2 | 2nd query field (middle pulldown on Catalog Lookup dialog box)
QUERY3 | 3rd query field (right-hand pull-down on Catalog Lookup dialog box)
MISC1-2 | Catalog lookup data fields
USER1-3 | User fields in catalog lookup database
TABNAM | Catalog database table name
TAGS or TAG | Component tag names
INST | Installation attribute value
LOC | Location attribute value
HDL | Entity handle number
DWGIX | DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Cable summary data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Cable Summary from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
CBL | Cable tag
DESC1-3 | Description attribute values 1-3
MFG | Manufacturer or vendor name (i.e. Siemens)
CAT | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
CBLDESCCAT | Cable BOM single line description field (pulled from the catalog lookup file for the cable's catalog part number query)
CBLQ1CAT | Cable BOM query1 value (pulled from the catalog lookup file for the cable's catalog part number query)
CBLQ2CAT | Cable BOM query2 value (pulled from the catalog lookup file for the cable's catalog part number query)
CBLMISC1CAT-CBLMISC2CAT | Cable BOM miscellaneous fields (pulled from the catalog lookup file for the cable's catalog part number query)
CBLUSER1CAT-CBLUSER3CAT | Cable BOM user fields (pulled from the catalog lookup file for the cable's catalog part number query)
REF | Line reference or X-Y grid reference or X-Zone reference
LOC | Location attribute value
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
HDL | Entity handle number
INST | Installation attribute value
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Cable from/to data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Cable From/To from the report list. Run the report. Select the location codes for the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
WIRENO | Wire number
LOC1 | "From" device's location code (must end with "1")
CMP1 | "From" device's component tag ID (must end with "1")
PIN1 | "From" device's wire connection terminal number (must end with "1")
LOC2 | "To" device's location code (must end with "2")
CMP2 | "To" device's component tag ID (must end with "2")
PIN2 | "To" device's wire connection terminal number (must end with "2")
WLAY1 | Wire layer "From" device (must end with "1")
WLAY2 | Wire layer "To" device (must end with "2")
REF1 | Line or grid reference location for "From" device (must end with "1")
REF2 | Line or grid reference location for "To" device (must end with "2")
SH1 | Sheet assignment for "From" device (must end with "1")
SH2 | Sheet assignment for "To" device (must end with "2")
CBL | Cable tag
CBLWC | Cable wire or cable core color
CBLLOC | Cable location attribute value
CBLMFG | Cable Manufacturer attribute value
CBLCAT | Cable catalog part number
CBLASMB | Cable ASSYCODE assignment
CBLDESCCAT | Cable BOM single line description field (pulled from the catalog lookup file for the cable's catalog part number query)
CBLQ1CAT | Cable BOM query1 value (pulled from the catalog lookup file for the cable's catalog part number query)
CBLQ2CAT | Cable BOM query2 value (pulled from the catalog lookup file for the cable's catalog part number query)
CBLMISC1CAT - CBLMISC2CAT | Cable BOM miscellaneous fields (pulled from the catalog lookup file for the cable's catalog part number query)
CBLUSER1CAT - CBLUSER3CAT | Cable BOM user fields (pulled from the catalog lookup file for the cable's catalog part number query)
DESC1CBL-DESC3CBL | Cable description attribute values 1 - 3
CBLP1C2 | Cable parent or child (parent = 1, child = 2)
CMP:PIN1 | "From" device's component tag and component terminal pin number
CMP:PIN2 | "To" device's component tag and component terminal pin number
SEC1 | "From" device's drawing section assignment
SUB1 | "From" device's drawing sub-section assignment
SEC2 | "TO" device's drawing section assignment
SUB2 | "TO" device's drawing sub-section assignment
INST1 | "From" device's installation code
INST2 | "To" device's installation code
IECCMP1 | "From" device's IEC tag name (must end with "1")
IECCMP2 | "To" device's IEC tag name (must end with "2")
PD1 | "From" device's wire connection TERMDESC value (must end with "1")
PD2 | "To" device's wire connection TERMDESC value (must end with "2")
SEQ1 | "From" device's wire connection sequence value (must end with "1")
SEQ2 | "To" device's wire connection sequence value (must end with "2")
PNLWDLEV1 | "From" device's panel equivalent level (WDLEV) value (must end with "1")
PNLWDLEV2 | "To" device's panel equivalent level (WDLEV) value (must end with "2")
CMPHDL1 | "From" device's entity handle value (must end with "1")
CMPHDL2 | "To" device's entity handle value (must end with "2")
DWGIX1 | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database (must end with "1")
DWGIX2 | "To" device's drawing DWGIX value as listed in FILETIME table of project scratch database (must end with "2")
DWGNAM1 | "From" device's drawing properties %D value (must end with "1")
DWGNAM2 | "To" device's drawing properties %D value (must end with "2")
CBLHDL | Cable entity's handle value
CBLINST | Cable entity's handle value
CBLDWGIX | Cable's drawing DWGIX value as listed in FILETIME table of project scratch database
WIREHDL1 | "From" device's connected wire line entity handle value (must end with "1")
WIREHDL2 | "To" device's connected wire line entity handle value (must end with "2")
XDIR1 | "From" device's wire connection point direction - i.e. 4 = connects from left (must end with "1")
XDIR2 | "To" device's wire connection point direction - i.e. 2 = connects from above (must end with "2")
PNLX1 | "From" wire connection's physical X-coordinate value (must end with "1")
PNLY1 | "From" wire connection's physical Y-coordinate value (must end with "1")
PNLZ1 | "From" wire connection's physical Z-coordinate value (must end with "1")
PNLXDIR1 | Panel wire "From" connection point's direction - i.e. 4 = connects from left, 1 = right, 2 = above, 8 = below (must end with "1")
PNLX2 | "To" wire connection's physical X-coordinate value (must end with "2")
PNLY2 | "To" wire connection's physical Y-coordinate value (must end with "2")
PNLZ2 | "To" wire connection's physical Z-coordinate value (must end with "2")
PNLXDIR2 | Panel wire "To" connection point's direction - i.e. 4 = connects from left, 1 = right, 2 = above, 8 = below (must end with "2")
CLEN | Panel layout calculated wire length
USER1_1 to USER20_1 | "From" device's optional user field
USER1_2 to USER20_2 | "To" device's optional user field


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Cable label data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Wire Label from the report list. Run the report and click Cable Label on the Report Generator dialog box.

Available Fields

Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.

Fields to Report

Lists the fields to display in the report.

Remove/Remove All

Removes the selected field or all fields from the Fields to Report list.

Move Up

Moves the selected field up one spot in the Fields to Report list.

Move Down

Moves the selected field down one spot in the Fields to Report list.

Separator

Specifies the special character to separate the selected fields. Enter a special character to separate the selected fields inside the list box. Do this by selecting a field from the Fields to Report list, define the separator, select another field, define a separator, and so on. You can also select the separator from a list.

The "\n" symbol stands for the new line. When you use this as separator, the field displays in the new (next) line.

Available Fields
CBL | Cable name
LOC1 | Location of "From" components
FROM_CMPS | Components that are in the "From" end of cable
LOC2 | Location of "To" components
TO_CMPS | Components that are in the "To" end of cable
DESC1CBL-DESC3CBL | Cable's description lines 1-3


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

PLC component connection data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select PLC I/O Component Connection from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
PLCWNUM | Wire number associated with PLC I/O point
PLCTAG | PLC tag ID value (attribute "TAG" or "TAG1")
PLCADDR | PLC I/O point address (attribute "TAGAxx" where xx is "01" - "xx")
PLCDESCA-PLCDESCE | PLC I/O description text lines 1 - 5
PLCTERM | PLC I/O terminal text value, attribute TERMxx
PLCTERMDESC | PLC I/O terminal description text value, attribute TERMDESCxx
PLCINST | PLC I/O module's Installation attribute value
PLCLOC | PLC I/O module's Location attribute value
WLAY | Wire layer name
PLCMFG | PLC I/O module's Manufacturer attribute value
PLCCAT | PLC I/O module's Catalog part number
PLCASSYCODE | PLC I/O module's ASSYCODE attribute value
PLCTERMCODE | PLC I/O terminal attribute suffix value (the "xx" part of TERMxx)
PLCDWGIX | PLC Drawing DWGIX value as listed in FILETIME table of project
PLCHDL | PLC I/O module's AutoCAD handle value
PLCLINE1 | PLC I/O module's LINE1 attribute value (miscellaneous text such as "Rack" or "Slot")
PLCLINE2 | PLC I/O module's LINE2 attribute value (miscellaneous text such as "Rack" or "Slot")
CMPTAG | Connected component tag ID (attributes "TAG1", "TAG2", "TAGSTRIP")
CMPDESC1-3 | Connected component description attribute values 1 - 3
CMPINST | Connected component Installation attribute value
CMPLOC | Connected component Location attribute value
CMPTERM | Connected component TERMxx attribute value (the side that connects to the PLC I/O point)
CMPTERMDESC | Connected component TERMDESCxx attribute value (the side that connects to the PLC I/O point)
CMPMFG | Connected component Manufacturer attribute value
CMPCAT | Connected component catalog part number
CMPASSYCODE | Connected component ASSYCODE attribute value
CMPDWGIX | Connected component's Drawing DWGIX value as listed in FILETIME table of project scratch database
CMPHDL | Connected component's AutoCAD handle value
CMPBLKNAM | Connected component's AutoCAD block name
TERMTAG | Connected terminal's TAGSTRIP attribute value
TERMINST | Connected terminal's Installation attribute value
TERMLOC | Connected terminal's Location attribute value
TERMTERM | Connected terminal's TERM or TERM01 attribute value
TERMTERMDESC | Connected terminal's TERMDESC01 attribute value
TERMMFG | Connected terminal's Manufacturer attribute value
TERMCAT | Connected terminal's catalog part number
TERMASSYCODE | Connected terminal's ASSYCODE attribute value
TERMDWGIX | Connected terminal's Drawing DWGIX value as listed in FILETIME table of project scratch database
TERMHDL | Connected terminal's AutoCAD handle value
TERMBLKNAM | Connected terminal's AutoCAD block name
CBL | Cable tag
CBLWC | Cable wire or cable core color
CBLHDL | Cable entity's handle value


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Component wire list data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Component Wire List from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
WIRENO | Wire number
PIN | Wire connection terminal pin number
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
LOC | Location attribute value
WLAY | Wire layer name
P1C2 | parent = 1, child = 2
REF | Line reference or X-Y grid reference or X-Zone reference
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
BLKNAME | Block name
HDL | Entity handle number
XTERM | Wire connection X?TERMxx suffix. (for example, for attribute X4TERM05 the value would be "05")
CBL | Cable
CBLWC | Cable wire or cable core color
NONC | Contact attribute value; Normally Open (NO) or Normally Closed (NC) contact state
SEC | Drawing section assignment
SUBSEC | Drawing sub-section assignment
TERMDESC | Component wire connection TERMDESCxx value
INST | Installation attribute value
DESC1-3 | Description attribute values 1-3
MFG | Manufacturer or vendor name (i.e. Siemens)
CATALOG | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
RATING1-12 | Rating 1 - 12 attribute values
XTERMHDL | Wire connection X?TERMxx attribute's entity handle name
XDIR | Wire connection X?TERMxx attribute's direction code and suffix
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Connector details data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Connector Details from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
CONNECTOR | Tag ID of plug/jack connector
PIN | Wire connection terminal pin number
TYPE | Child contact type; P = Plug and J = Jack
WIRENO | Wire number
DESC1-3 | Description attribute values 1-3
MFG | Manufacturer or vendor name (i.e. Siemens)
CATALOG | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
REF | Line reference or X-Y grid reference or X-Zone reference
INST | Installation attribute value
LOC | Location attribute value
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
HDL | Entity handle number; used internally for programming or customization
RATING1-12 | Rating 1 - 12 attribute values
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database; used internally for programming or customization


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Connector plug data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Connector Plug from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
WIRENO | Wire number
PIN | Wire connection terminal pin number
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
LOC | Location attribute value
WLAY | Wire layer name
P1C2 | parent = 1, child = 2
REF | Line reference or X-Y grid reference or X-Zone reference
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
BLKNAME | Block name
HDL | Entity handle number
XDIR | Wire connection X?TERMxx attribute's direction code and suffix
CBL | Cable
CBLWC | Cable wire or cable core color
SEC | Drawing section assignment
SUBSEC | Drawing sub-section assignment
TERMDESC | Component wire connection TERMDESCxx value
INST | Installation attribute value
DESC1-3 | Description attribute values 1-3
MFG | Manufacturer or vendor name (for example, Siemens)
CATALOG | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
RATING1-12 | Rating 1 - 12 attribute values
XTERMHDL | Wire connection X?TERMxx attribute's entity handle name
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Connector summary data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Connector Summary from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
CONNECTOR | Tag ID of plug/jack connector
MAX | Maximum number of pins
USED | Count of used or in-use pins
PINSUSED | List of wire connection pin number in use
REPEATS | Pin numbers repeated
INST | Installation attribute value
LOC | Location attribute value
MFG | Manufacturer or vendor name (i.e. Siemens)
CATALOG | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
HDL | Entity handle number
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Component data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Component from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
ITEM | Item number assignment
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
CNT | Count on panel component
UNITS | Units of measurement (i.e. AMPS, VOLTS, mA) on panel component
SUBQTY | Subassembly quantity
MFG | Manufacturer or vendor name (for example, Siemens)
CAT | Catalog part number assignment
DESC1-3 | Description attribute values 1-3
REF | Line reference or X-Y grid reference or X-Zone reference
INST | Installation attribute value
LOC | Location attribute value
RATING1-12 | Rating 1 - 12 attribute values
CATDESC | Catalog one-line description text
QUERY1 | QUERY1 field pulled from catalog lookup
QUERY2 | 2nd query field (middle pulldown on Catalog Lookup dialog box)
MISC1-2 | Catalog lookup data fields
USER1-3 | User fields in catalog lookup database
P1C2 | parent = 1, child = 2
WDBLKNAM | Name of the component's catalog lookup table
BLOCK | Block name
HDL | Entity handle number
CATEGORY | Type of component (J = plug-jack connector, P = PLC I/O, C = cable marker)
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
SEC | Drawing SEC assignment
SUBSEC | Drawing SUBSEC assignment
FAMILY | Component family
WDTAGALT | Tag-ID of device on alternate drawing type
WDTYPE | Alternate type of symbol (for example, "PN" for pneumatic, "HY" for hydraulic)
FILENAME | AutoCAD drawing .dwg file name (with full path)


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Missing bill of material data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Missing Bill of Material from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top-right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
INST | Installation attribute value
LOC | Location attribute value
DESC1-3 | Description attribute values 1-3
REF | Line reference or X-Y grid reference or X-Zone reference
TABNAM | Catalog database table name
HDL | Entity handle number
CATEGORY | Type of component (J = plug-jack connector, P = PLC I/O, C = cable marker)
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
FILENAME | AutoCAD drawing .dwg file name (with full path)


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Wire from/to data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Wire From/To from the report list. Run the report. Select the location codes for the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
WIRENO | Wire number
LOC1 | "From" device's location code (must end with "1")
CMP1 | "From" device's component tag ID (must end with "1")
PIN1 | "From" device's wire connection terminal number (must end with "1")
LOC2 | "To" device's location code (must end with "2")
CMP2 | "To" device's component tag ID (must end with "2")
PIN2 | "To" device's wire connection terminal number (must end with "2")
WLAY1 | Wire layer "From" device (must end with "1")
WLAY2 | Wire layer "To" device (must end with "2")
REF1 | Line or grid reference location for "From" device (must end with "1")
REF2 | Line or grid reference location for "To" device (must end with "2")
SH1 | Sheet assignment for "From" device (must end with "1")
SH2 | Sheet assignment for "To" device (must end with "2")
CBL | Cable tag
CBLWC | Cable wire or cable core color
CBLLOC | Cable location attribute value
CBLMFG | Cable manufacturer attribute value
CBLCAT | Cable catalog part number
CBLASMB | Cable ASSYCODE assignment
DESC1CBL-DESC3CBL | Cable description attribute values 1 - 3
CBLP1C2 | Cable parent or child (parent = 1, child = 2)
CMP:PIN1 | "From" device's component tag and component terminal pin number
CMP:PIN2 | "To" device's component tag and component terminal pin number
SEC1 | "From" device's drawing section assignment (must end with "1")
SUB1 | "From" device's drawing sub-section assignment (must end with "1")
SEC2 | "To" device's drawing section assignment (must end with "2")
SUB2 | "To" device's drawing sub-section assignment (must end with "2")
INST1 | "From" device's installation code (must end with "1")
INST2 | "To" device's installation code (must end with "2")
IECCMP1 | "From" device's IEC tag name (must end with "1")
IECCMP2 | "To" device's IEC tag name (must end with "2")
PD1 | "From" device's wire connection TERMDESC value (must end with "1")
PD2 | "To" device's wire connection TERMDESC value (must end with "2")
SEQ1 | "From" device's wire connection sequence value (must end with "1")
SEQ2 | "To" device's wire connection sequence value (must end with "2")
PNLWDLEV1 | "From" device's panel equivalent panel (WDLEV) value (must end with "1")
PNLWDLEV2 | "To" device's panel equivalent panel (WDLEV) value (must end with "2")
CMPHDL1 | "From" device's entity handle value (must end with "1")
CMPHDL2 | "To" device's entity handle value (must end with "2")
DWGIX1 | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database (must end with "1")
DWGIX2 | "To" device's drawing DWGIX value as listed in FILETIME table of project scratch database (must end with "2")
DWGNAM1 | "From" device's drawing %D value (must end with "1")
DWGNAM2 | "To" device's drawing %D value (must end with "2")
CBLHDL | Cable entity's handle value
CBLINST | Cable entity's installation attribute value
CBLDWGIX | Cable's drawing DWGIX value as listed in FILETIME table of project scratch database
WIREHDL1 | "From" device's connected wire line entity handle value (must end with "1")
WIREHDL2 | "To" device's connected wire line entity handle value (must end with "2")
XDIR1 | "From" device's wire connection point direction - i.e. 4 = connects from left (must end with "1")
XDIR2 | "To" device's wire connection point direction - i.e. 2 = connects from above (must end with "2")
PNLX1 | "From" wire connection's physical X-coordinate value (must end with "1")
PNLY1 | "From" wire connection's physical Y-coordinate value (must end with "1")
PNLZ1 | "From" wire connection's physical Z-coordinate value (must end with "1")
PNLXDIR1 | Panel wire "From" connection point's direction - i.e. 4 = connects from left, 1 = right, 2 = above, 8 = below (must end with "1")
PNLX2 | "To" wire connection's physical X-coordinate value (must end with "2")
PNLY2 | "To" wire connection's physical Y-coordinate value (must end with "2")
PNLZ2 | "To" wire connection's physical Z-coordinate value (must end with "2")
PNLXDIR2 | Panel wire "To" connection point's direction - i.e. 4 = connects from left, 1 = right, 2 = above, 8 = below (must end with "2")
CLEN | Panel layout calculated wire length
USER1_1 to USER20_1 | "From" device's optional user field
USER1_2 to USER20_2 | "To" device's optional user field


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

PLC I/O address and descriptions data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select PLC I/O Address and Descriptions from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
TAGNAME | Tag ID value (attributes "TAG", "TAG1", "TAGSTRIP", "P_TAG1")
ADDR | PLC I/O point's address assignment
TERM | Terminal or terminal number assignment (not the STRIP-ID value)
TERMDESC | Component wire connection TERMDESCxx value
DESCA-DESCE | PLC I/O point description attribute values (lines 1-5)
LREF | Line reference
WIRENO | Wire number
INST | Installation attribute value
LOC | Location attribute value
MFG | Manufacturer or vendor name (for example, Siemens)
CAT | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
LINE1 | PLC I/O LINE1 attribute description text
LINE2 | PLC I/O LINE2 attribute description text
HDL | Entity handle number
XTERMHDL | Wire connection X?TERMxx attribute's entity handle name
TERMCODE | Wire connection X?TERMxx attribute suffix (the "xx")
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
IEC_P | Drawing's IEC project default - the %P value
IEC_I | Drawing's IEC Installation default - the %I value
IEC_L | Drawing's IEC Location default - the %L value
SEC | Drawing section assignment
SUBSEC | Drawing sub-section assignment
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Terminal numbers data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Terminal Numbers from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
STRIP-ID | Terminal strip TAGSTRIP ID name
TERM | Terminal or terminal number assignment (not the STRIP-ID value)
WIRENO | Wire number
INST | Installation attribute value
LOC | Location attribute value
REF | Line reference or X-Y grid reference or X-Zone reference
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
BLKNAME | Block name
MFG | Manufacturer or vendor name (i.e. Siemens)
CAT | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
DESC1-3 | Description attribute values 1-3
RATNG1-12 | Rating 1 - 12 attribute values
HDL | Entity handle number
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

PLC modules used so far data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select PLC Modules Used So Far from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
ADDR_BEG | PLC beginning address
ADDR_END | PLC ending address
TAG | PLC tag value
MFG | Manufacturer or vendor name (i.e. Siemens)
CAT | Catalog part number assignment
ASSYCODE | Optional assembly code value used in catalog lookup query to get part number groups
LINE1 | PLC I/O LINE1 attribute description text
LINE2 | PLC I/O LINE2 attribute description text
INST | Installation attribute value
LOC | Location attribute value
REF | Line reference or X-Y grid reference or X-Zone reference
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
SEC | Drawing section assignment
SUBSEC | Drawing sub-section assignment
DESC | General description line of text
HDL | Entity handle number
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Terminal plan data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Terminal Plan from the report list. Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
INST1 | "From" device's installation code
LOC1 | "From" device's location code (must end with "1")
CMP1 | "From" device's component tag ID (must end with "1")
PIN1 | "From" device's wire connection terminal number (must end with "1")
PD1 | "From" device's wire connection TERMDESC value (must end with "1")
LAYCMP1 | Layer of wire connecting to device component 1 (must end with "1")
CBL1 | Cable ID tied to device component 1 (must end with "1")
CBLWC1 | Cable wire color tied to device component 1 (must end with "1")
WNUM1 | Wire number tied to device component 1 (must end with "1")
LAYTRM1 | Layer of wire connecting to terminal side 1 (must end with "1")
STRIP-ID | Terminal strip TAGSTRIP ID name
TD1 | Terminal pin TERMDESC value for the first wire connection (must end with "1")
TERM | Terminal or terminal number assignment (not the STRIP-ID value)
TD2 | Terminal pin TERMDESC value for the second wire connection (must end with "2")
TINST | Terminal symbol's installation value
TLOC | Terminal symbol's location value
LAYTRM2 | Layer of wire connecting to terminal side 2 (must end with "2")
WNUM2 | Wire number tied to device component 2 (must end with "2")
CBL2 | Cable ID tied to device component 2 (must end with "2")
CBLWC2 | Cable wire color tied to device component 2 (must end with "2")
LAYCMP2 | Layer of wire connecting to device component 2 (must end with "2")
PD2 | "To" device's wire connection TERMDESC value (must end with "2")
PIN2 | "To" device's wire connection terminal number (must end with "2")
CMP2 | "To" device's component tag ID (must end with "2")
INST2 | "To" device's installation code
LOC2 | "To" device's location code (must end with "2")
SH | Sheet - the %S value
REF | Line reference or X-Y grid reference or X-Zone reference
HDL | Entity handle number
XDIR1 | "From" device's wire connection point direction - i.e. 4 = connects from left (must end with "1")
XDIR2 | "To" device's wire connection point direction - i.e. 2 = connects from above (must end with "2")
DWGIX | "From" device's drawing DWGIX value as listed in FILETIME table of project scratch database


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Wire label data fields to report

Changes what data fields are reported and the order in which they appear.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Wire Label from the report list. Run the report and click Wire Label on the Report Generator dialog box.

Available Fields

Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.

Fields to Report

Lists the fields to display in the report.

Remove/Remove All

Removes the selected field or all fields from the Fields to Report list.

Move Up

Moves the selected field up one spot in the Fields to Report list.

Move Down

Moves the selected field down one spot in the Fields to Report list.

Separator

Specifies the special character to separate the selected fields. Enter a special character to separate the selected fields inside the list box. Do this by selecting a field from the Fields to Report list, define the separator, select another field, define a separator, and so on. You can also select the separator from a list.

The "\n" symbol stands for the new line. When you use this as separator, the field displays in the new (next) line.

Available Fields
WIRENO | Wire number
CMP | Component that connects to a wire (at any end) and is written to the wire label
PIN | Wire connection terminal pin number of the component that the wire connects with


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Wire conduit routing data fields to display

Changes what data fields are reported and the order in which they appear.

Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Reports drop-down [image] Routing Report. Does not exist on the ribbon.
Toolbar: Conduit Reports
Menu: Panel Layout [image] Conduit Marker Tools [image] Wire/Conduit Routing ReportDoes not exist in the menus.
Command entry: AEROUTINGREPORT

Run the report and click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
CBL | Cable tag
CBLWC | Cable wire or cable core color
WIRENO | Wire number
INST1 | "From" device's installation code (must end with "1")
LOC1 | "From" device's location code (must end with "1")
CMP1 | "From" device's component tag ID (must end with "1")
PIN1 | "From" device's wire connection terminal number (must end with "1")
INST2 | "To" device's installation code (must end with "2")
LOC2 | "To" device's location code (must end with "2")
CMP2 | "To" device's component tag ID (must end with "2")
PIN2 | "To" device's wire connection terminal number (must end with "2")
WLAY | Wire layer name
ROUTING | Conduit routing path description


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Cross-reference table data fields to display

Changes what data fields are reported and the order in which they appear.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

In the Project Manager, right-click the project or drawing name and select Properties. Click the Cross-references tab. In the component Cross-reference Display section, select Table Format and click Setup. In the Table Cross-reference Format Setup dialog box, Table Style section, click Define Columns.

NoteThis can also be accessed from the Insert/Edit Component, Cross-reference section. Select Component override and click Setup. In the Cross-reference component override dialog box, select Table Format and click Setup.
Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
W1 | Wire number - first wire connection on symbol (TERM01)
T1 | Terminal pin number - first wire connection (TERM01)
TYPE | Contact type - can be user defined and come from the Contact attribute on the child symbol - this gets overwritten from the contact mapping in the dialog box
T2 | Terminal pin number - second wire connection (TERM02)
W2 | Wire number - second wire connection (TERM02)
REF | Line reference or X-Y grid reference or X-Zone reference
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
FILENAME | AutoCAD drawing file name (.dwg)
FULLFILENAME | AutoCAD drawing file name (.dwg) with complete path


Generate reports (Quick Reference)

Generate reports
Generate reports
Generate schematic reports
Reports >
Generate reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Data fields to display

Changes what data fields are reported and the order in which they appear.

Ribbon: Schematic tab [image] Edit Components panel [image] Modify Component Cross-Reference drop-down [image] Cross-Reference Table. Does not exist on the ribbon.
Menu: Components [image] Cross-Reference [image] Cross-Reference TableDoes not exist in the menus.
Command entry: AESHOWXREFTABLE

Select the component to evaluate. Click Change Report Format on the Report Generator dialog box.

Available Fields | Lists the available fields for formatting the report (including user-defined attributes). Select a field from the list to transfer it into the Fields to Report list.
Fields to Report | Lists the fields to display in the report.
Remove/Remove All | Removes the selected field or all fields from the Fields to Report list.
Move Up | Moves the selected field up one spot in the Fields to Report list.
Move Down | Moves the selected field down one spot in the Fields to Report list.
Change field name/justification | Specifies the vertical and horizontal justification (Top Left, Middle Center, Bottom Right) of any column and the column label (default is Top Left). The vertical portion of the justification (Top, Middle, Bottom) is only used for the Put on Drawing report feature. For example, if you select "Top Right" the report is right-justified during the display, printing and when saved to a file (the "top" portion is ignored). If you put the report on the drawing, the report justification is top right.
Available Fields
W1 | Wire number - first wire connection on symbol (TERM01)
T1 | Terminal pin number - first wire connection (TERM01)
TYPE | Contact type - can be user defined and come from the Contact attribute on the child symbol - this gets overwritten from the contact mapping in the dialog box
T2 | Terminal pin number - second wire connection (TERM02)
W2 | Wire number - second wire connection (TERM02)
REF | Line reference or X-Y grid reference or X-Zone reference
SH | Sheet - the %S value
SHDWGNAM | Drawing name - the %D value
FILENAME | AutoCAD drawing file name (.dwg)
FULLFILENAME | AutoCAD drawing file name (.dwg) with complete path


Schematic Reports

Generate reports
Reports
Generate schematic reports
Reports >
Schematic Reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Generate schematic reports

    Schematic bill of material


Schematic Reports (Procedure)

Use pin lists
Schematic Reports
Generate schematic reports
Reports >
Schematic Reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Generate a schematic report


Generate schematic reports (Concept)

Schematic Reports
Schematic Reports
Panel Reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical has multiple schematic reports that you can run.

Bill of Materials reports

The Bill of Material reports report only components with assigned BOM information. These reports provide the following BOM-related features:

  • Extract BOM reports on demand, active drawing, or project-wide
  • Extract BOM reports on a per-location basis
  • Change BOM report format
  • Output BOM reports to ASCII report file
  • Export BOM data to a spreadsheet or database program
  • Insert BOM as a table right on an AutoCAD drawing
  • List parent or stand-alone components without catalog information

Component report

This report performs a project-wide extract of all components found on your wiring diagram set. This data includes component tags, location codes, location reference, description text, ratings, catalog information, and block names.

Wire From/To report

If you marked components and/or terminals with location codes, you can make good use of this report. This report first extracts component, terminal, location code, and wire connection information from every drawing in the project set. Then it displays a location list dialog box where you can make your report's "from" and "to" location selections. All the location codes AutoCAD Electrical found on the drawing set are listed on each side of this dialog box. Location "(??)" is also included in the list if AutoCAD Electrical found any component or stand-alone terminal that did not have an assigned location code.

Component Wire List report

This report extracts the component wire connection data and displays it in a dialog box. Each entry shows a connection to a component, the wire number, component tag name, terminal pin number, component location code (if present), and the layer that the connected wire is on.

Connector Plug report

This report extracts plug/jack connection reports and optionally generates pin charts. Since each wire tied to each connector pin displays in the report, each pin has two entries. One entry is for the 'in' wire and the other is for the 'out' wire. To create a more useful report, select the PIN chart 'on' radio button at the bottom of the Report Generator dialog box. Make sure the Remove duplicated pin numbers toggle is checked and click OK. It reformats the report so each pin is listed only once.

PLC I/O Address and Description report

This report lists each PLC module and its beginning and ending I/O address numbers. It scans your drawing set and returns all individual I/O connection points it finds. It includes up to five lines of description text and the connected wire number for each I/O point.

PLC I/O Component Connection report

This report scans the selected drawings and returns information about any components connected to PLC I/O points. Data for the report starts at each wire connection point and follows the connected wire. The first terminal symbol, fuse symbol, or connector symbol that is hit reports in the column marked with default "TERMTAG" label. The first schematic component reports in the column with the "CMPTAG" label. If there are multiple instances, the one closest to the PLC I/O point is the one that shows up in the report column.

PLC Modules Used So Far report

For this report, AutoCAD Electrical quickly scans the wiring diagram set. It returns in a few moments and displays the I/O modules it finds. Each entry shows the beginning and ending address of the module.

Terminal Numbers report

This project-wide, stand-alone report lists all instances of terminals. Each entry includes information tied directly to the terminal such as terminal number, terminal strip number, and location code.

Terminal Plan report

This project-wide, stand-alone report does a wire network extraction. It takes longer to generate, but the report includes wire number and wire layer name information.

Connector Summary report

This report lists a single line for each connector tag along with pins used, maximum pins allowed (if the parent carries the PINLIST information), and a list of any repeated pin numbers used. You can run this report across the project or for a single component.

Connector Details report

This report extracts the component wire connection data and displays it in a dialog box. Each entry shows a connection to a component, the wire number, component tag name, terminal pin number, component location code (if present), and the layer that the connected wire is on.

Cable Summary report

This project-wide cable conductor report gives a report listing all the cable marker tags (parent tags) found.

Cable From/To report

This project-wide cable conductor report lists the "from / to" for each cable conductor. It also lists the parent cable number of the conductor, conductor color code, and wire number (if present).

Wire Label report

This report lists wire markers/labels and can be used to create physical wire or cable labels.


Generate schematic reports (Quick Reference)

Generate reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic bill of material

Schematic cable summary

Schematic cable from/to

Schematic PLC I/O component connection

Schematic component wire list

Schematic connector details

Schematic connector plug

Schematic connector summary

Schematic component

Schematic missing bill of material

Schematic wire from/to

Schematic PLC I/O address and descriptions

Schematic terminal numbers

Schematic terminal plan

Schematic PLC modules used so far

Schematic wire label

Location code selection for from/to reporting


Generate a schematic report (Procedure)

Schematic Reports
Up a level to ..
Panel Reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Generate a schematic report

Generates schematic reports, such as Bills of Material, Component lists, Wire From/To, and PLC descriptions.

Select which drawings to process. The report displays options to:

  • Change included fields.
  • Add or modify data.
  • Print.
  • Save to a file.
  • Put on the drawings as table objects.
  1. Click Reports tab [image] Schematic panel [image] Reports. Enter AESCHEMATICREPORT at the command prompt.
  2. Select which schematic report to generate from the report list.
  3. Select to process the project, current drawing, or selected components.
  4. Specify any report options (if applicable).
  5. Select installation or location codes to extract (if applicable).
  6. Indicate whether to update the project database or the wire connection table with out-of-date drawings.
  7. Click OK.
  8. In the Report Generator Window, sort, format, or edit the data before sending the information to the printer, file, or the active drawing file.
    • Edit Mode: Modifies the report before you insert it to your drawing. You can move data up or down in the report, add lines from a catalog, and delete lines.
    • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
    • Save to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs. Choose from: ASCII report, Comma Delimited, Excel spreadsheet, Access database, and XML format.
    • User Post: Switch specific functions against the data in the report. When you select a switch, the LISP routine runs a function against the data and returns to the Report Generator Window.
    • Change Report Format: Changes what data fields are reported and the order in which they appear. You can change the justification of any column and the column label. The Description field can be multi-lined. If you include the Description field in your report, you choose which lines make up this field. Switch on and off the specific fields to define the Description.
  9. Once all modifications have been made to the report, save the report, place the report on the drawing as a table, or print the report.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic bill of material

The Bill of Material reports report only components with assigned BOM information.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Bill of Material from the report list.

Specify whether to process the project or the active drawing.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Include options
Include Cables | Specifies to include cable information in the report.
Include Connectors | Specifies to include connector information in the report.
Include Jumpers | Specifies to include jumper information in the report.
All the above | Specifies to cable, connector, and jumper information in the report.
List terminal numbers | Lists each individual Tag-ID and terminal number combination if selected. If unselected (default), the terminals are combined on the same Tag-ID strip into a single entry with a quantity.
Display option
Normal Tallied Format | Identical component or component/assemblies are tallied and reported as single line items (example: Red push button operator 800EP-F4 with 800E-A3L latch and two 800E-3X10 N.O. contact blocks).
Normal Tallied Format (Group by Installation/Location) | Identical component or component/assemblies with the same installation/location codes are tallied and reported as single line items.
Display in Tallied Purchase List Format | Each part becomes its own line item (example: no longer any sub-assembly items) and each is tallied across all component types. For example, all 800E-3X10 N.O. contact blocks for all components are reported as a single line item.
Display in By TAG Format | All instances of a given component-ID or terminal tag are processed together and then reported as a single entry.
Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The subdialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic cable summary

This project-wide cable conductor report gives a report listing all of the cable marker tags (parent tags) found.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Cable Summary from the report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The subdialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic cable from/to

This project-wide cable conductor report lists the "from / to" for each cable conductor. It also lists the parent cable number of the conductor, conductor color code, and wire number (if present).

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Cable From/To from the report list.

Specify whether to process the project, the active drawing, or selected cables.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic PLC I/O component connection

This report scans the selected drawings and returns information about any components connected to PLC I/O points. Data for the report starts at each wire connection point and follows the connected wire. The first terminal symbol, fuse symbol, or connector symbol that is hit reports in the column marked with default "TERMTAG" label. The first schematic component reports in the column with the "CMPTAG" label. If there are multiple instances, the one closest to the PLC I/O point is the one that shows up in the report column.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select PLC I/O Component Connection from the report list.

Specify whether to process the project or the active drawing.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

List

Lists drawings that appear to be out-of-date with the wire connection table of the project.

Freshen Wire Connection Table

Specifies for AutoCAD Electrical to update the wire connection table to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The subdialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic component wire list

This report extracts the component wire connection data and shows it in a dialog box. Each entry shows a connection to a component, the wire number, component tag name, terminal pin number, component location code (if present), and the layer that the connected wire is on.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Component Wire List from the report list.

Specify whether to process the project, active drawing, or select components.

Options

Specifies to include stand-alone terminals or plug-jack connectors in the report.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

List

Lists drawings that appear to be out-of-date with the wire connection table of the project.

Freshen Wire Connection Table

Specifies for AutoCAD Electrical to update the wire connection table to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The subdialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic connector details

AutoCAD Electrical extracts the component wire connection data and displays it in a dialog box. Each entry shows a connection to a component, the wire number, component tag name, terminal pin number, component location code (if present), and the layer that the connected wire is on.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Connector Details from the report list.

Specify whether to process the project or a single pick.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic connector plug

This report extracts plug/jack connection reports and optionally generates pin charts. Since each wire tied to each connector pin displays in the report, each pin has two entries - one for the 'in' wire and one for the 'out' wire. To create a more useful report, select the PIN chart 'on' radio button at the bottom of the Report Generator dialog box. Make sure the Remove duplicated pin numbers toggle is checked and click OK. It reformats the report so each pin is listed only once.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Connector Plug from the report list.

Specify whether to process the project, the active drawing, or selected wires.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

List

Lists drawings that appear to be out-of-date with the wire connection table of the project.

Freshen Wire Connection Table

Specifies for AutoCAD Electrical to update the wire connection table to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic connector summary

This report lists a single line for each connector tag along with pins used, maximum pins allowed (if the parent carries the PINLIST information), and a list of any repeated pin numbers used. You can run this report across the project or for a single component.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Connector Summary from the report list.

Specify whether to process the project or a single pick.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic component

This report extracts the component wire connection data and displays it in a dialog box. Each entry shows a connection to a component, the wire number, component tag name, terminal pin number, component location code (if present), and the layer that the connected wire is on.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Component from the report list.

Specify whether to process the project or the active drawing.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Options

Specifies to include components, cable markers, or connectors in the report. You can also indicate to include the children for the selected options.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic missing bill of material

Extracts the information from the active drawing or project and displays a list of parent or stand-alone components without catalog information.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Missing Bill of Material from the report list.

Specify whether to process the project or the active drawing.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Options

Specifies to include components, cable markers, connectors, or terminals in the report.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic wire from/to

If you marked components and/or terminals with location codes, you can make good use of this report. AutoCAD Electrical first extracts component, terminal, location code, and wire connection information from every drawing in the project set. Then it displays a location list dialog box where you can make your report's "from" and "to" location selections. All the location codes AutoCAD Electrical found on the drawing set are listed on each side of this dialog box. Location "(??)" is also included in the list if AutoCAD Electrical found any component or stand-alone terminal that didn't have an assigned location code.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Wire From/To from the report list.

Specify whether to process the project, the active drawing, or selected wires.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

List

Lists drawings that appear to be out-of-date with the wire connection table of the project.

Freshen Wire Connection Table

Specifies for AutoCAD Electrical to update the wire connection table to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic PLC I/O address and descriptions

This report lists each PLC module and its beginning and ending I/O address numbers. It scans your drawing set and returns all individual I/O connection points it finds. It includes up to five lines of description text and the connected wire number for each I/O point.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select PLC I/O Address and Descriptions from the report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic terminal numbers

This project-wide, stand-alone report lists all instances of terminals. Each entry includes information tied directly to the terminal such as terminal number, terminal strip number, and location code.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Terminal Numbers from the report list.

Specify whether to process the project or the active drawing.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic terminal plan

This project-wide, stand-alone report does a wire network extraction. It takes longer to generate, but the report includes wire number and wire layer name information.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Terminal Plan from the report list.

Specify whether to process the project, active drawing, or select components.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

List

Lists drawings that appear to be out-of-date with the wire connection table of the project.

Freshen Wire Connection Table

Specifies for AutoCAD Electrical to update the wire connection table to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic PLC modules used so far

For the PLC Modules Used So Far report, AutoCAD Electrical quickly scans the wiring diagram set. It returns in a few moments and displays the I/O modules it finds. Each entry shows the beginning and ending address of the module.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select PLC Modules Used So Far from the report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

After you click Named Installation, type the installation code in the box, or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate schematic reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic wire label

This report lists wire markers/labels and can be used to create physical wire or cable labels.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Wire Label from the report list.

Specify whether to process the project, the active drawing, or selected wires.

NoteIf you select Active drawing (pick), click the wire rather than the wire number.
Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wildcards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

List

Lists drawings that appear to be out-of-date with the wire connection table of the project.

Freshen Wire Connection Table

Specifies for AutoCAD Electrical to update the wire connection table to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate schematic reports (Quick Reference)

Generate schematic reports
Generate schematic reports
Generate panel reports
Reports > Schematic Reports >
Generate schematic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Location code selection for from/to reporting

When you select to run a Wire From/To report, AutoCAD Electrical extracts component, terminal, location code, and wire connection information from the selected drawings. This dialog box allows you to make your report’s “from” and “to” location selections. All the location codes AutoCAD Electrical found on the drawing set are listed on each side of this dialog box. Location “(??)” is also included in the list if AutoCAD Electrical found any component or stand-alone terminals that did not have an assigned location code.

Ribbon: Reports tab [image] Schematic panel [image] Reports. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Reports [image] Schematic ReportsDoes not exist in the menus.
Command entry: AESCHEMATICREPORT

Select Wire From/To from the report list. Specify whether to process the project, active drawing, or selected wires.

Select location codes from the left and right-hand lists to build the report’s from/to combinations shown in the middle of the dialog box. Click OK to display the report. AutoCAD Electrical quickly filters and formats the extracted data and presents it in the Report Generator dialog box. You can then save it to a text report file, a comma-delimited file to import into a spreadsheet or database program, or insert it on to a drawing in table format.

Location codes

Displays the “from” (left-hand list) and “to” location codes (right-hand list) found on the drawings. Clicking a location code moves the selected code from these lists to the Report From/To list in the center of the dialog box.

Report From/To

Displays the combination of location codes you selected from the Location Code lists. This is used to generate the Wire From/To report.

Buttons

  • All >> or All <<: Adds or removes all the location codes from the Report From/To list depending on which side of the dialog box the button is located.
  • << or> > : Removes the selected location code from the Report From/To list.

Multiple Combinations

Displays the Select Multiple From/To Location Combinations for Report dialog box. Each location code in the “From” side is linked to each location code in the “To” side of the report. For example, if you select MACHINE (from) and FLOOR (to) in addition to MCAB5 (from) and JBOX1 (to) the following combinations are created:

MACHINE -> FLOOR

MACHINE -> JBOX1

MCAB5 -> FLOOR

MCAB5 -> JBOX1

Each of the combinations is processed and combined into a single report. Adjust the list as needed (for example, you can select to remove highlighted combinations or keep only those combinations you highlight in the list) and click OK.

Include reverse sequences

Includes reversed wire connections in the report. If unselected, some Wire From/To combinations may be excluded due to wire sequencing.


Panel Reports

Generate schematic reports
Reports
Generate panel reports
Reports >
Panel Reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Generate panel reports

    Panel bill of materials


Panel Reports (Procedure)

Generate schematic reports
Panel Reports
Generate panel reports
Reports >
Panel Reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Generate a panel report


Generate panel reports (Concept)

Panel Reports
Panel Reports
Overview of format files
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical has multiple panel reports that you can run.

Bill of Material report

This report parallels the Schematic BOM report, but deals with panel component and terminal footprint symbols and nameplates. Optionally, it can include schematic items that are not referenced on the panel layouts (for example, field devices). You can customize the scope of the report by filtering on certain location values (for example, report for CAB1 items only), process only a subset of drawings, or include/exclude certain categories of items. The report displays and tallies like items (for example, same part number) together. Those with extra subassembly items are shown with a SUB multiplier value.

Component report

This report lists every occurrence of a smart panel component footprint found on the current drawing or in the project drawing set. You can customize the scope of the report by filtering on certain location values (for example, report for CAB1 items only), process only a subset of drawings, or include/exclude certain categories of items. Each extracted panel component is listed as its own line item. If it has a part number that results in subassembly part numbers, or has been individually annotated with multi-BOM part numbers, each additional part number is a line item right below the main line item.

NoteThis report will not include panel terminals unless you check that option.

Nameplate report

This report is similar to the panel component report, but filters out all but nameplate symbols.

Wire Connection report

Wire connection reports, extracted from the schematic wiring diagrams, can be formatted and inserted next to panel footprint symbols as simple wiring tables. AutoCAD Electrical extracts and formats a small report of wire connection information for the selected components, referencing the wire extract file. If your footprint symbols carry the AutoCAD Electrical X?TERMxx attributes, AutoCAD Electrical reports their XYZ wire connection location. The location is offset by the value defined in Panel Configuration dialog box.

Component Exception report

This report provides error checking between the schematics and panel layout drawings. AutoCAD Electrical looks at the selected components, both schematic and panel, looking for a match in the project. For each schematic component selected, it tries to find a matching panel component based on tag, location, and installation information. If a match is found, it compares catalog and description information, looking for any discrepancies. AutoCAD Electrical then looks at each selected panel component looking for a matching schematic component in the same way.

Terminal Exception report

This report provides error checking between the schematic terminals and panel layout terminals. AutoCAD Electrical looks at the selected terminals, both schematic and panel, looking for a match in the project. For each schematic terminal selected, it tries to find a matching panel terminal. If a match is found, it compares catalog information, looking for any discrepancies. AutoCAD Electrical then looks at each selected panel terminal looking for a matching schematic terminal in the same way.

Wire Annotation Exception report

This report lists which physical component symbol doesn't have a From and a To for wire annotation information. For wire annotation, the panel component symbols contain wiring information as either attributed or Mtext data. This is used as a troubleshooting mechanism to aid in the assignment of wiring annotation. End1 is the end of the wire that contains the annotation and End2 is the end of the wire that was annotated on End1, but is not found in the range of drawings selected.

Missing Level/Sequencing Assignments report

This report lists which component symbols do not have leveling and sequencing information already assigned to them. This is used as a troubleshooting mechanism to aid in the assignment of leveling and sequencing information to provide better wire routing capabilities.


Generate panel reports (Quick Reference)

Generate schematic reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel bill of materials

Panel component exception

Panel component

Missing level/sequence assignments

Wire annotation exception

Panel nameplate

Panel terminal exception

Panel wire connection


Generate a panel report (Procedure)

Panel Reports
Up a level to ..
Overview of format files
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Generate a panel report

Generates panel reports, such as Bills of Material, Component lists, and Nameplates.

Select which drawings to process. The report displays options to:

  • Change included fields.
  • Add or modify data.
  • Print.
  • Save to a file.
  • Put on the drawings as table objects.
  1. Click Reports tab [image] Panel panel [image] Reports. Enter AEPANELREPORT at the command prompt.
  2. Select which panel report to generate from the report list.
  3. Select to process the project, active drawing, or selected components.
  4. Select installation or location codes to extract (if applicable).
  5. Specify to extract any installation or location codes (if applicable).
  6. Indicate whether to update the project database with out-of-date drawings.
  7. Click OK.
  8. In the Report Generator Window, sort, format, or edit the data before sending the information to the printer, file, or the active drawing file.
    • Edit Mode: Modifies the report before you insert it in your drawing. You can move data up or down in the report, add lines from a catalog, and delete lines.
    • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
    • Save to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs. Choose from: ASCII report, Comma Delimited, Excel spreadsheet, Access database, and XML format.
    • User Post: Switches specific functions against the data in the report. When you select a switch, the LISP routine runs a function against the data and returns to the Report Generator Window.
    • Change Report Format: Changes which data fields are reported and the order in which they appear. You can change the justification of any column and the column label. The Description field can be multi-lined. If you include the Description field in your report, you choose which lines make up this field. Switch on and off the specific fields to define the Description.
  9. Once all modifications have been made to the report, save the report, place the report on the drawing as a table, or print the report.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel bill of materials

This report parallels the Schematic BOM report, but deals with panel component and terminal footprint symbols and nameplates. Optionally, it can include schematic items that are not referenced on the panel layouts (for example, field devices). You can customize the scope of the report by filtering on certain location values (for example, report for CAB1 items only), process only a subset of drawings, or include/exclude certain categories of items. The report displays and tallies like items (for example, same part number) together. Those with extra subassembly items are shown with a "SUB" multiplier value.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Bill of Material from the report list.

Specify whether to process the project or the active drawing.

Include options
Include Nameplates | Specifies to include nameplate information in the report.
Include Cable/Connectors | Specifies to include connector information in the report.
All the above | Specifies to cable, connector, and nameplate information in the report.
List terminal numbers | Lists each individual Tag-ID and terminal number combination if selected. If unselected (default), the terminals are combined on the same Tag-ID strip into a single entry with a quantity.
Include Jumpers | Specifies to include jumper information in the report.
Full: include schematic components not referenced on panel layout | Specifies to include all schematic component information not found on the panel layout in the report.
Display option
Normal Tallied Format | Identical component or component/assemblies are tallied and reported as single line items (Ex: Red push button operator 800EP-F4 with 800E-A3L latch and two 800E-3X10 N.O. contact blocks).
Normal Tallied Format (Group by Installation/Location) | Identical component or component/assemblies with the same installation/location codes are tallied and reported as single line items.
Display in Tallied Purchase List Format | Each part becomes its own line item (i.e. no longer any sub-assembly items) and each is tallied across all component types. For example, all 800E-3X10 N.O. contact blocks for all components are reported as a single line item.
Display in By TAG Format | All instances of a given component-ID or terminal tag are processed together and then reported as a single entry.
Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you click Named Location, type the location code in the box, or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel component exception

This report provides error checking between the schematics and panel layout drawings. AutoCAD Electrical looks at the selected components, both schematic and panel, looking for a match in the project. For each schematic component selected, it tries to find a matching panel component based on tag, location, and installation information. If a match is found, it compares catalog and description information, looking for any discrepancies. AutoCAD Electrical then looks at each selected panel component looking for a matching schematic component in the same way.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Component Exception from the report list.

Specify whether to process the project, active drawing, or a selected component.

Conditions for Report

Specifies which conditions the report checks for: whether the panel item is on the schematic, whether the schematic item is on a panel, if there are multiple instances of the terminal, and if there is a mismatch between schematic and panel terminals.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Redisplay Last Run

Displays the previously extracted report.

Format

Changes the format of the extracted data. The subdialog box lists the format files to select from.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel component

This report lists every occurrence of a smart panel component footprint found on the current drawing or in the project drawing set. You can customize the scope of the report by filtering on certain location values (for example, report for CAB1 items only), process only a subset of drawings, or include/exclude certain categories of items. Note: this report will not include panel terminals unless you check that option. Each extracted panel component is listed as its own line item. If it has a part number that results in subassembly part numbers, or has been individually annotated with multi-BOM part numbers, each additional part number is a line item right below the main line item.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Component from the report list.

Specify whether to process the project or the active drawing.

Options

Specifies to include nameplates or terminals in the report. You can also indicate to skip components with blank device TAG values or blank manufacturer or catalog values.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

After you select Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Freshen Project Database

Specifies for AutoCAD Electrical to update the project database to include any out-of-date drawing files.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Missing level/sequence assignments

This report lists which component symbols do not have leveling and sequencing information already assigned to them. This is used as a troubleshooting mechanism to aid in the assignment of leveling and sequencing information to provide better wire routing capabilities.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Missing Level/Sequencing Assignments from the report list.

In the Missing Level/Sequence Assignments dialog box, click Show to display temporary graphics around the insertion point of the panel layout symbols or click Report to run the report.

Specify whether to process the project or the active drawing.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Format

Changes the format of the extracted data. The subdialog box lists the format files to select from.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Wire annotation exception

This report lists which physical component symbol doesn't have a From and a To for wire annotation information. For wire annotation, the panel component symbols contain wiring information as either attributed or Mtext data. This is used as a troubleshooting mechanism to aid in the assignment of wiring annotation. End1 is the end of the wire that contains the annotation and End2 is the end of the wire that was annotated on End1, but is not found in the range of drawings selected.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Wire Annotation Exception from the report list.

Specify whether to process the project or the active drawing.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2". Wild-cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Format

Changes the format of the extracted data. The subdialog box lists the format files to select from.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel nameplate

This report is similar to the panel component report, but filters out all but nameplate symbols.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Nameplate from the report list.

Specify whether to process the project, active drawing, or a selected component.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Redisplay Last Run

Displays the previously extracted report.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Generate panel reports
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel terminal exception

This report provides error checking between the schematic terminals and panel layout terminals. AutoCAD Electrical looks at the selected terminals, both schematic and panel, looking for a match in the project. For each schematic terminal selected, it tries to find a matching panel terminal. If a match is found, it compares catalog information, looking for any discrepancies. AutoCAD Electrical then looks at each selected panel terminal looking for a matching schematic terminal in the same way.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Terminal Exception from the report list.

Specify whether to process the project, active drawing, or a selected component.

Conditions for Report

Specifies which conditions the report checks for: whether the panel item is on the schematic, whether the schematic item is on a panel, if there are multiple instances of the terminal, and if there is a mismatch between schematic and panel terminals.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Redisplay Last Run

Displays the previously extracted report.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Generate panel reports (Quick Reference)

Generate panel reports
Generate panel reports
Overview of format files
Reports > Panel Reports >
Generate panel reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel wire connection

Wire connection reports, extracted from the schematic wiring diagrams, can be formatted and inserted next to panel footprint symbols as simple wiring tables. AutoCAD Electrical extracts and formats a small report of wire connection information for the selected components, referencing the wire extract file. If your footprint symbols carry the AutoCAD Electrical X?TERMxx attributes, AutoCAD Electrical reports their XYZ wire connection location. The location is offset by the value defined in Panel Configuration dialog box.

Ribbon: Reports tab [image] Panel panel [image] Reports. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Projects [image] Reports [image] Panel ReportsDoes not exist in the menus.
Command entry: AEPANELREPORT

Select Wire Connection from the report list.

Specify whether to process the project, active drawing, or a selected component.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components that carry part number values, components without an installation code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

After you pick Named Installation, type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes. You can also create a report from multiple installation codes. AutoCAD Electrical automatically creates a comma-delimited list for the named installation search.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components that carry part number values, components without a location code, or only components marked with a location code that matches that entered in the edit box. For example, BOM report for components marked "OP STA 2." Wild cards are supported.

After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.

Redisplay Last Run

Displays the previously extracted report.

Format

Changes the format of the extracted data. The dialog box lists the format files to select from.


Overview of format files (Concept)

Generate panel reports
Reports
Run automatic reports
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A Format File (.set file) can be used to pre-format a report for both manually-run reports and automatic reports. When running automatic reports more options within the .set file are used since user input is not required for each report. (Automatic reports are covered in next section). You can create as many format files as you want. If you are using updatable, intelligent tables, a format file is the third item that makes a report table unique. If you want to be able to insert multiple updatable tables for the same report with the same scope you need to use different format files for each report. If you are not inserting updatable tables, or the report or scope is different, then you do not need to use different format files.

A format file defines which fields to include from the available fields, the field order, justification, and column label. This information from the format file is used for both manual and automatic reports. When running automatic reports, the format file can also contain information for saving the report to file(s) and/or putting the report on the drawing(s) as a report table. The Report Format File Setup dialog box allows you to create or modify your format files.

You can enter in X-Y coordinates for the first section or click Pick to select a location. If you are breaking your report table into sections and are allowing multiple table sections per drawing, you can define the distance from one table section to the next. The value entered here is the distance between the end of one table section and the start of the next. For example, if you want 2 inches between table sections horizontally, enter a 2 as the X-Distance value. A blank value is interpreted as zero.

NoteYour format file can be saved using any file name but is given a ".set" file extension. The format files can be edited using any text file editor but it is not recommended since the syntax for the files is somewhat complicated. It is recommended that you use the Report Format File Setup dialog box to create or modify your format files. If you are going to use Automatic Reports to create output files click "Save Report to File".

You can select each file type available for the selected report and enter one file name per type. If multiple file types are selected, when the report is run using the Automatic Reports, each file is created from that report data.


Overview of format files (Quick Reference)

Generate panel reports
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - panel bill of material

Report format file setup - panel component exception

Report format file setup - panel component

Report format file setup - missing level/sequence assignments

Report format file setup - wire annotation exception

Report format file setup - panel nameplate

Report format file setup - panel terminal exception

Report format file setup - panel wire connection

Report format file setup - schematic bill of material

Report format file setup - schematic cable from/to

Report format file setup - schematic cable summary

Report format file setup - schematic PLC I/O component connection

Report format file setup - schematic component wire list

Report format file setup - schematic connector details

Report format file setup - schematic connector plug

Report format file setup - schematic connector summary

Report format file setup - schematic component

Report format file setup - schematic missing bill of material

Report format file setup - schematic wire from/to

Report format file setup - schematic PLC/IO address and descriptions

Report format file setup - schematic terminal numbers

Report format file setup - schematic terminal plan

Report format file setup - schematic PLC modules used so far

Report format file setup - schematic wire label


Define format files (Procedure)

Generate panel reports
Overview of format files
Run automatic reports
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Define format files

Creates and maintains a report formatting file.

A format (.set) file pre-formats both automatic reports and reports you run manually. A format file defines:

  • Fields to include from the available fields
  • Field order and justification
  • Column labels
  • File output options
  • Table output options
  1. Click Reports tab [image] Miscellaneous panel [image] Report Format Setup. Enter AEFORMATFILE at the command prompt.
    NoteYou can also open this dialog box by clicking Format File Setup on the Automatic Report Selection dialog box.
  2. Select which report to generate a format file for or open an existing format file.
  3. Specify any report options (if applicable).
  4. Select installation or location codes to extract (if applicable).
  5. (Optional) Select to add special break values to the page header. Selecting a special break of Installation/Location, displays the values for these devices in the report section header.
  6. Sort or format the data before saving the format file.
    TipIf you are going to use the format file in automatic reports you should define either the Save Report to File options and/or Put on Drawing options since the reports are not displayed in the Report Generator dialog box.
    • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs. Choose from: ASCII report, Comma Delimited, Excel spreadsheet, Access database, and XML format.
    • Change Report Fields: Changes which data fields are reported and the order in which they appear. You can change the justification of any column and the column label. The Description field can be multi-lined. If you include the Description field in your report, you choose which lines make up this field. Switch on and off the specific fields to define the Description.
    • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
    • Sort Fields: Controls the sorting order of fields in the report.
  7. Save the format file for later retrieval and usage when generating reports.
  8. Click Done.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - panel bill of material

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Bill of Material from the Panel report

Include options

Specifies whether to include nameplates, cable/connectors, or both in the report. You can also indicate whether to include schematic components not referenced on the panel layout.

Display option
  • Normal Tallied Format: identical component or component/assemblies are tallied and reported as single line items (Ex: Red push button operator 800EP-F4 with 800E-A3L latch and two 800E-3X10 N.O. contact blocks).
  • Normal Tallied Format (Group by Installation/Location): identical component or component/assemblies with the same installation/location codes are tallied and reported as single line items.
  • Display in Tallied Purchase List Format: each part becomes its own line item (i.e. no longer any sub-assembly items) and each is tallied across all component types. For example, all 800E-3X10 N.O. contact blocks for all components are reported as a single line item.
  • Display in By TAG Format: all instances of a given component-ID or terminal tag are processed together and then reported as a single entry.
Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. The Description field is handled a little differently than the other fields. This field can be a multi-line field which is actually made up of multiple fields. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the panel are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - panel component exception

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Component Exception from the Panel report list.

Conditions for Report

Specifies which conditions the report checks for: the panel item is not on the schematic, the schematic item is not on a panel, multiple instances of the component, and if there is a mismatch between schematic components and panel components.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the panel are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - panel component

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Component from the Panel report list.

Options

Specifies to include nameplates, cables, connectors, terminals, or all of them in the report. You can also indicate to skip components with blank device TAG values or blank manufacturer or catalog values.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the panel are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - missing level/sequence assignments

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Missing Level/Sequence Assignments from the Panel report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

After you pick the Named Installation button, you can type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

After you pick the Named Location button, you can type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options are shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. The Description field is handled a little differently than the other fields. This field can be a multi-line field which is actually made up of multiple fields. If you include the Description field in your report, choose which lines make up this field. Switch on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK in the dialog boxes. If you are working in an unnamed format file, you must save the data after you select Done to keep the changes.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - wire annotation exception

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Wire Annotation Exception from the Panel report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild cards are supported.

After you click the Named Installation button, you can type the installation code in the box, or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild cards are supported.

After you click the Named Location button, you can type the location code in the box, or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options are shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. The Description field is handled a little differently than the other fields. This field can be a multi-line field which is actually made up of multiple fields. If you include the Description field in your report, you choose which lines make up this field. Switch on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK in the dialog boxes. If you are working in an unnamed format file, you must save the data after you select Done to keep the changes.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the "Documents and Settings\{user name}" subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - panel nameplate

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Nameplate from the Panel report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the panel are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - panel terminal exception

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Terminal Exception from the Panel report list.

Conditions for Report

Specifies which conditions the report checks for: the panel item is not on the schematic, the schematic item is not on a panel, multiple instances of the terminal, and if there is a mismatch between schematic terminals and panel terminals.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the panel are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - panel wire connection

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Wire Connection from the Panel report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the panel are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic bill of material

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Bill of Material from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Include options

Specifies to include cables, connectors, or both in the report.

Display option
  • Normal Tallied Format: identical component or component/assemblies are tallied and reported as single line items (for example, Red push button operator 800EP-F4 with 800E-A3L latch and two 800E-3X10 N.O. contact blocks).
  • Normal Tallied Format (Group by Installation/Location): identical component or component/assemblies with the same installation/location codes are tallied and reported as single line items.
  • Display in Tallied Purchase List Format: each part becomes its own line item (for example, no longer any subassembly items) and each is tallied across all component types. For example, all 800E-3X10 N.O. contact blocks for all components are reported as a single line item.
  • Display in By TAG Format: all instances of a given component-ID or terminal tag are processed together and reported as a single entry.
Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you click Named Installation, you can type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you click Named Location, you can type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    First Section Only shows only the selected option (such as title line or time and date) on the first section of the report if multiple sections are used. If not checked, the selected options are shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can change the justification of any column and the column label. The Description field can be multi-lined. If you include the Description field in your report, you choose which lines make up this field. Toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the dialog boxes. If you are working in an unnamed format file, you must save the data after you click Done to keep the changes you made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard drive for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic cable from/to

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Cable From/To from the Schematic report list

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic cable summary

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Cable Summary from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
    NoteYou cannot open format files created before AutoCAD Electrical 2005 for this report.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic PLC I/O component connection

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select PLC I/O Component Connection from the Schematic report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
    NoteYou cannot open format files created before AutoCAD Electrical 2005 for this report.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic component wire list

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Component Wire List from the Schematic report list.

Options

Specifies to include stand-alone terminals or plug-jack connectors in the report.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
    NoteYou cannot open format files created before AutoCAD Electrical 2005 for this report.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic connector details

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Connector Details from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic connector plug

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Connector Plug from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic connector summary

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Connector Summary from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic component

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Component from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Options

Specifies whether to include components, cable markers, or connectors in the report. You can also indicate to include the children for any of the selected options.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic missing bill of material

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Missing Bill of Material from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Options

Specifies whether to include components, cable markers, connectors, or terminals in the report. You can select one or multiple options to include.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. The Description field is handled a little differently than the other fields. This field can be a multi-line field which is actually made up of multiple fields. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic wire from/to

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Wire From/To from the Schematic report list.

Category

By default, the report will list schematic components. Select a different Category to run the report for one-line, one-line bus-tap, hydraulic, pneumatic, P&ID, or user-defined components. These components are each identified by a unique WDTYPE attribute value.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic PLC/IO address and descriptions

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select PLC I/O Address and Descriptions from the Schematic report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic terminal numbers

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Terminal Numbers from the Schematic report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic terminal plan

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Terminal Plan from the Schematic report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
    NoteYou cannot open format files created before AutoCAD Electrical 2005 for this report.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Overview of format files
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic PLC modules used so far

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select PLC Modules Used So Far from the Schematic report list.

Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Installation button, you can simply type the installation code in the box or click the List: Drawing or List: Project button to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you pick the Named Location button, you can simply type the location code in the box or click the List: Drawing or List: Project button to select from a list of used location codes.

Report options
  • Save Report to File: Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs using this dialog box. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

    The First Section Only button indicates to only show the selected option (such as title line or time and date) on the first section of the report, if multiple sections are used. If not selected, the selected options will be shown on all report sections.

  • Change Report Fields: Changes what data fields are reported and the order in which they appear. You can also change the justification of any column and even the column label. If you include the Description field in your report, you choose which lines make up this field. Just toggle on and off the specific fields to define the Description.
  • Put on Drawing: Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.
  • Sort Fields: Controls the sorting order of the fields in the report.
NoteThe options are saved in the format file after you click OK on the subdialog boxes. If you are working in an unnamed format file, you have to save the data after you select Done in order to keep the changes you have made.
Breaks
  • Special breaks: Specifies the value that controls the section break. The drop-down list displays the report-specific content to apply to the special break.
  • Add Special break values to header: Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

  • Open Format File: Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
  • Save Format File: Saves a format file on the hard disk for later retrieval and usage when generating reports.
  • Save As Format File: Saves a format file that you opened and modified with a different name.


Overview of format files (Quick Reference)

Overview of format files
Overview of format files
Run automatic reports
Reports >
Overview of format files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report format file setup - schematic wire label

The options are saved in the format file after you click OK on the dialog boxes. If you are working in an unnamed format file, you must save the data after you click Done to keep the changes you made.

Ribbon: Reports tab [image] Miscellaneous panel [image] Report Format Setup. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Report Format File SetupDoes not exist in the menus.
Command entry: AEFORMATFILE

Select Wire Label from the Schematic report list.

Report Filter
Display Wire Label | Displays the wire label for all wires, except those that are part of a cable.
Display Cable Label | Displays the cable labels in the specified format.
Change Report Fields

Changes which data fields are reported and the order in which they appear. You can change the justification of any column and the column label.

There are two categories that you can change the report format for: wire label or cable label. Once you modify the report format, you can save it for future use. The wire and cable label formats are stored in the same file.

Label Quantity per Connection

Specifies the quantity of wire labels or cable labels. Wire labels are generated for every wire connection while cable labels are generated once for every cable.

Number of Columns to Display

Arranges the wire labels in the specified number of columns.

Horizontal/Vertical Arrangement

Arranges the wire label horizontally or vertically across the columns.

Save Report to File

Saves the report to a file. Select the type of output file from the Save Report to File dialog box. You can define multiple file outputs. Choose from: ASCII report (.rep), Comma Delimited (.csv), Excel spreadsheet (.xls), Access database (.mdb), and XML (.xml) format.

First Section Only shows only the selected option (such as title line or time and date) on the first section of the report if multiple sections are used. If not checked, the selected options are shown on all report sections.

Put on Drawing

Opens the Table Generation Setup dialog box for specifying how to display your report as a table on your drawing.

NoteOnce wire label reports are placed on the drawing in table format they are not editable using the Edit Component tool. You must use the AutoCAD table edit command to edit the table.
Breaks
Special Breaks | Specifies the value that controls the section break. The list displays the report-specific content to apply to the special break.
Add Special Break Values to Header | Adds the special break value to the page header. For example, if you select a special break of Installation/Location, the values provided for these devices in the schematic are displayed in the report section header.
Installation Codes to Extract

Extracts only the information for components with specific installation values. Indicate to process all components, components without an installation code, or only components marked with an installation code that matches that entered in the edit box. Wild-cards are supported.

Once you click Named Installation, you can type the installation code in the box or click List: Drawing or List: Project to select from a list of used installation codes.

Location Codes to Extract

Extracts only the information for components with specific location values. Indicate to process all components, components without a location code, or only components marked with a location code that matches that entered in the edit box. Wild-cards are supported.

Once you click Named Location, you can type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes.

Format File

Format files define specific criteria applied to the report before generating the report to screen, printer, file, or automatic generation. The format files are saved to the 'Documents and Settings\{user name}' subdirectory or 'Users\{user name}' on a Windows Vista installation.

Open Format File | Selects format files to edit. The Report Format Settings File Selection dialog box opens and displays a list of format files (.set) in the user subdirectory. Select a file to edit from the list and click OK.
Save Format File | Saves a format file on the hard drive for later retrieval and usage when generating reports.
Save As Format File | Saves a format file that you opened and modified with a different name.


Run automatic reports (Concept)

Overview of format files
Reports
Export/Import spreadsheet data
Reports >
Run automatic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Automatic Report Selection tool allows you to run multiple reports at one time. The Report Generator dialog box is not displayed for each report and no user input is required once launched. This feature can be used to generate any number of output files or to automatically place report tables on drawings. The first step to using the Automatic Reports feature is to create the format files using the Report Format File Setup dialog box defining the report options and output as described above. You can create any number of format files for the same report if you use the same report with different options. Once your format files are created you are ready to run the reports automatically.

If any of your selected format files contain Table Output, if there are no existing, updatable matching report tables, the report tables insert on new drawings. If you are running multiple reports with multiple table output, each report gets its own. You can specify the first drawing name for any necessary new drawings and the template name. Subsequent drawing names generate automatically by incrementing the previous drawing's name.

If you frequently run the same group of reports you can save the set of format files as a Report Grouping. To set up a Report Grouping, add all your format files as if you are going to run the reports then click Save Report Grouping. The information about the format files is saved in a Report Grouping file with an ".rgf" extension. The next time you want to run that report set, open the Automatic Reports Selection dialog box, click Open Report Grouping, and select the ".rgf" file you previously saved; you are ready to run the reports.

When you click OK, the reports run in the selected order. If the format file contains output options, the files are created. If the format file contains table output options that report's tables are inserted. If existing, matching report tables are found, they are updated, otherwise new table objects insert on new drawings.


Generate a report using format files (Procedure)

Overview of format files
Run automatic reports
Export/Import spreadsheet data
Reports >
Run automatic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Generate a report using format files

  1. Click Reports tab [image] Miscellaneous panel [image] Automatic Reports. Enter AEAUTOREPORT at the command prompt.
  2. Select which report to generate from the schematic or panel report list.
  3. Specify the format file to use for the selected report. If there aren't any format files to select from, you must click the Format File Setup button to create and save a format file.
  4. Click the Add button to add the report name and format file to the Selected Reports list. This button is not active until both a report name and format file are selected.
  5. Continue adding more reports to the Selected Reports list.

    For the File and Table Output options, an 'X' indicates that the automatic generation will run that portion, while an 'O' indicates that it will not run that portion.

  6. Modify the output of a report type by selecting the report in the Selected Reports list and then clicking the Modify Output button. Make changes in the subdialog box and click OK.
  7. Save the list of report names and format files for later retrieval and usage.
  8. Specify a starting drawing file location and filename, and the drawing template file to use for the automatic creation of the drawing files.
  9. Click OK to generate a report for the selected type(s).


Run automatic reports (Quick Reference)

Overview of format files
Run automatic reports
Export/Import spreadsheet data
Reports >
Run automatic reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Automatic report selection

Defines a list of reports and their format files, and runs the reports automatically.

Ribbon: Reports tab [image] Miscellaneous panel [image] Automatic Reports. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Automatic Report SelectionDoes not exist in the menus.
Command entry: AEAUTOREPORT

Automatic Report Selection generates any number of output files, and places report tables on drawings. You select the desired reports and click OK.

NoteAll drawings are automatically added to the bottom of the Project Listing.
Report Name

Displays a list of all schematic and panel reports available for automatic report generation. Not every AutoCAD Electrical report is available for this command.

Format File Name

Displays a list of format files. These format files are associated with a particular report name. If there aren't any format files to select from, you must click the Format File Setup button to create and save a format file.

The Browse button allows you to search for a specific format file that is not displayed in the list.

Control buttons
  • Modify Output: Changes the output types for individually selected reports. Each format file definition can determine whether the report is set to a file or table on the drawing, or both. Select a file in the Selected Reports list, click the Modify Output button, and click either of the toggle buttons to turn on or off the output type.
  • Add: Adds the report name and format file to the Selected Reports list. This button is not active until both a report name and format file are selected.
  • Remove: Removes individual reports from the Selected Reports list. Select the file from the list so that it is highlighted and press the Remove button.
  • Remove All: Removes all of the reports from the Selected Reports list. There is no need to select the files in the list; simply press the Remove All button.
Selected Reports

Displays the current active listing of all reports for the report generation. The list displays the report name and format file name, as well as indicators that show if the report output is a file or table.

For the File and Table Output options, an 'X' indicates that the automatic generation will run that portion, while an 'O' indicates that it will not run that portion.

Open or Save Report Grouping

Allows you to define an alias (grouping) file with a pre-defined list of reports for later retrieval and usage. You can make many grouping files for different customer types and configurations. The Report Grouping files are maintained in the Documents and Settings\{user name} subdirectory or Users\{user name} on a Windows Vista installation. The file names have an .rgf file extension.

  • Open Report Grouping: Opens a previously saved grouping of report names and format files.
  • Save Report Grouping: Saves a file that contains the list of report names and format files for later retrieval and usage. You may define a list of reports based upon which customer is using the report data and the format that customer would like to see the reports in.
Drawing Information for Table Output

Specifies a starting drawing file location and filename, and the drawing template file to use for the automatic creation of the drawing files. You can select a template drawing file to use for the automatic creation of drawing files. Type in a template filename or use the Browse button to search for and select a template file. It is advised to start the first drawing filename with a numeric suffix.

NoteIf you enter just a filename, the drawing files will be created and saved in the active project path.


Export/Import spreadsheet data (Quick Reference)

Run automatic reports
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Export to spreadsheet

Component data export

General data export

PLC I/O header information export

PLC I/O connection export

PLC I/O address/description export

Panel layout data export

Panel terminals data export

Terminal data export

Update drawings per spreadsheet data


Update drawings from spreadsheet data (Procedure)

Run automatic reports
Export/Import spreadsheet data
Create user-defined attributes
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Update drawings from spreadsheet data

Use this to edit component tags, descriptions, catalog assignments, wire numbers, or PLC I/O descriptions from a spreadsheet and then have your edits update your drawings. Your spreadsheet/database edits can update existing or blank values on existing components, terminals, PLC I/O modules, and wire numbers but it cannot insert new items into the drawings.

  1. Click Import/Export Data tab [image] Export panel [image] To Spreadsheet. Enter AEEXPORT2SS at the command prompt.
  2. Select the data category to export.

    If you select General, information for the categories marked with an asterisk (*) is extracted. Each category is saved to a separate sheet (spreadsheet format) or table (database format). The tab-delimited or comma-delimited formats are not available when writing out to multiple categories.

  3. Click OK.
  4. In the Data Export dialog box, specify to export the spreadsheet data for the current drawing or the entire project.
  5. Specify the output format (Microsoft Excel, Access file, Tab-delimited ASCII, or Comma-delimited ASCII) and the location codes to extract, and click OK.

    AutoCAD Electrical creates a file of the data pulled from your wiring diagram drawings.

  6. Open this file in any spreadsheet or database program for view and edit.

    Caution: If you selected a Tab or Comma-delimited ASCII format, import all fields as text. Some spreadsheet programs may try to convert some fields into numeric or scientific notation values. You may need to save the AutoCAD Electrical extracted data to a file with a .txt extension and then use the spreadsheet's import wizard to force all fields to be classified as text.

    NoteDo not edit the HDL and DWGNAME fields. These are used by the Update from Spreadsheet utility to link your edits back to the correct drawing and correct block insert on that drawing.
  7. After editing, save the spreadsheet data back out to its original format.
  8. (Optional) Before importing the spreadsheet data back into the drawing or project, add additional columns to the spreadsheet data. Label each column with a target ATTRIBUTE name.

    During the import function, AutoCAD Electrical checks for these new attributes and updates them with data you entered into the spreadsheet.

  9. Click Import/Export Data tab [image] Import panel [image] From Spreadsheet. Enter at the command prompt.
  10. Select the spreadsheet and click Open.
  11. In the Update Drawings per Spreadsheet Data dialog box, specify to import the spreadsheet data for the current drawing or the entire project.
  12. Select any other import options and click OK. The data for the project or drawing automatically updates to match the edits on the spreadsheet.

    All spreadsheet update changes are automatically logged, complete with time and date, in a text file saved to the AutoCAD Electrical user subdirectory.

    If you edit the BLOCK field in the spreadsheet and assign a different block name, AutoCAD Electrical tries to find the new block during the update. If found, the old block is switched to the new one.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Export to spreadsheet

Exports project data to a comma-delimited, Excel spreadsheet, or Access database file so you can examine and edit the data.

Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

You can edit component tags, descriptions, catalog assignments, wire numbers, and PLC I/O descriptions in the spreadsheet. Import the changes from the spreadsheet using Update from Spreadsheet. The spreadsheet can update existing components and wire numbers with your edits. If the block name is modified, it can swap one block for another. It cannot insert new items into drawings.

Limitation: Your spreadsheet edits can update existing or blank values on existing components, terminals, PLC I/O modules, and wire numbers but it cannot insert new items into the drawings. It only changes existing values.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Component data export

This utility copies components to a comma-delimited, Excel XLS, or Access MDB file format for editing.

NoteThe User-defined attributes list can be used to add fields to the spreadsheet if an attribute from a component is not exported by default.
Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select Component from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

General data export

This utility copies all the data categories to a comma-delimited, Excel XLS, or Access MDB file format for editing.

Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select General from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

PLC I/O header information export

This utility copies PLC I/O header information to a comma-delimited, Excel XLS, or Access MDB file format for editing.

Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select PLC I/O header information from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

PLC I/O connection export

This utility copies PLC I/O wire connections to a comma-delimited, Excel XLS, or Access MDB file format for editing.

Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select PLC I/O wire connections from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

PLC I/O address/description export

This utility copies PLC I/O address/descriptions to a comma-delimited, Excel XLS, or Access MDB file format for editing.

Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select PLC I/O address/descriptions from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Panel layout data export

This utility copies panel components to a comma-delimited, Excel XLS, or Access MDB file format for editing.

NoteThe User-defined attributes list can be used to add fields to the spreadsheet if an attribute from a component is not exported by default.
Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select Panel components from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Panel terminals data export

This utility copies panel terminals to a comma-delimited, Excel XLS, or Access MDB file format for editing.

NoteThe User-defined attributes list can be used to add fields to the spreadsheet if an attribute from a component is not exported by default.
Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select Panel terminals from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Export/Import spreadsheet data
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Terminal data export

This utility copies terminals to a comma-delimited, Excel XLS, or Access MDB file format for editing.

NoteThe User-defined attributes list can be used to add fields to the spreadsheet if an attribute from a component is not exported by default.
Ribbon: Import/Export Data tab [image] Export panel [image] To Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Export to SpreadsheetDoes not exist in the menus.
Command entry: AEEXPORT2SS

Select Terminals from the list.

Data export for

Specifies to export the data for the active drawing or the entire project.

Output format

Specifies the format for outputting the spreadsheet.

Location Codes to extract

Extracts only the information for components with specific location values. After you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Export/Import spreadsheet data (Quick Reference)

Export/Import spreadsheet data
Export/Import spreadsheet data
Create user-defined attributes
Reports >
Export/Import spreadsheet data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Update drawings per spreadsheet data

Imports data from an edited spreadsheet, and retags or updates components, wire numbers, terminal text, or PLC I/O.

Ribbon: Import/Export Data tab [image] Import panel [image] From Spreadsheet. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Update from SpreadsheetDoes not exist in the menus.
Command entry: AEIMPORTSS

Select the spreadsheet and click Open.

Export project data using Export to Spreadsheet. Edit the data and import changes to update the project drawings. The spreadsheet can update existing components and wire numbers with your edits. If the block name is modified, it can swap one block for another. It cannot insert new items into the drawings.

Process

Specifies to import the spreadsheet data for the current drawing or the entire project.

Force spreadsheet new values to uppercase

Forces all new spreadsheet values to be displayed in uppercase.

Flip any updated tag/wire number values to fixed

Fixes all updated tag or wire number values. A fixed component tag does not update when the retag command is run. The tag name keeps its fixed value.


Create user-defined attributes (Concept)

Export/Import spreadsheet data
Reports
Export to Autodesk Inventor Professional
Reports >
Create user-defined attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can define your own attributes onto AutoCAD Electrical block files and modify user-defined attributes using the AutoCAD Attribute Edit command or the Show/Edit Miscellaneous option on the AutoCAD Electrical Insert/Edit Component dialog box. The maximum allowable entries for reading or exporting any *.wda file is 150.

Use the User Defined Attribute List tool to add these non-AutoCAD Electrical attributes in the AutoCAD Electrical report generators. Otherwise only those attributes defined inside of AutoCAD Electrical for each component category are processed in the project database and subsequent reports.

NoteIf the User Defined Attribute list contains AutoCAD Electrical attributes, they are added to the report if not already included.

The attributes listed in the User Defined Attribute list are also added to the fields exported in the Export to Spreadsheet feature for Components, Components (parents only), Terminals (stand alone), Panel components, or Panel terminals.

NoteYou can edit the attribute text file (*.wda) in Notepad; however, you must set the Encoding to Unicode in the Open and Save dialog boxes.

The Project Database Service (PDS) saves all non-AutoCAD Electrical-aware attributes from block files into the project for processing. The PDS maintains these database entries when the drawing file is saved and monitors them in real-time as if they are normal components in the project. Once the PDS successfully places the attribute values of all blocks from the drawing files into the AutoCAD Electrical project database, the report generator program is able to place the listed attribute values into the report generators if a *.wda file is found with the appropriate name in any of the search paths and has the correct format.

NoteThe report format files (*.set) support the user-defined attributes for automatic report generation. If a set file declares an attribute tag that is not found in the User Defined Attribute List, the column in the report is empty. The user-defined attributes display in the Change Report Format dialog boxes (on the Report Generator dialog box, click Change Report Format).


Edit user-defined attribute list (Procedure)

Export/Import spreadsheet data
Create user-defined attributes
Export to Autodesk Inventor Professional
Reports >
Create user-defined attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit user-defined attribute list

Once you add an attribute to an AutoCAD Electrical block, you can edit the attribute using the Show/Edit Miscellaneous option in the Insert/Edit Component dialog box or using the Enhanced Attribute Editor tool accessed by double-clicking on an AutoCAD block in the drawing. Attributes can then be added to the user-defined attribute list for report generation.

  1. Click Reports tab [image] Miscellaneous panel [image] User Attributes. Enter AEUDA at the command prompt.
  2. In the User Defined Attribute List dialog box, click inside the Attribute Tag column for Row 1. Click Pick.
  3. Select the attribute from the drawing.

    The attribute displays in the Attribute Tag column in Row 1.

  4. (Optional) Specify the column width, justification, and column title for the attribute for report generation purposes.

    Click in a cell to edit the cell or right-click in a cell to copy, cut, or paste contents from one cell into another. If left blank, default values are used.

  5. Repeat for any additional attributes.
  6. Click OK.

    If this is the first time the grid content is being saved, the Save As dialog box displays. Enter the file name and click Save. This is generally <project_name>.wda or default.wda.

    NoteClick Save As if an existing file needs to be saved in a different location or with a different name.


Create user-defined attributes (Quick Reference)

Export/Import spreadsheet data
Create user-defined attributes
Set up for export to Autodesk Inventor Professional Cable & Harness
Reports >
Create user-defined attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

User-defined attribute list

Creates or modifies a list of attributes to report.

Ribbon: Reports tab [image] Miscellaneous panel [image] User Attributes. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] User Defined Attribute ListDoes not exist in the menus.
Command entry: AEUDA

Each report type has a set of predefined fields available to include in the report. The User Defined Attribute List provides additional attributes to add as available fields for all reports.

This tool creates an attribute text file (*.wda) of user-defined attributes defined on AutoCAD Electrical block files. The User Defined Attribute List is used by report tools to determine which additional attributes are listed in a report. The list file name can be the same as the active project or named Default to be used by the entire system. The Default.wda file is saved in the base project folder, while the <project_name>.wda file is saved in the same folder as the project definition file (*.wdp).

NoteAttributes can be added to existing block files using the Add Attribute tool or the AutoCAD ATTDEF command. Edit attributes using the Show/Edit Miscellaneous option in the Insert/Edit Component dialog box or using the Enhanced Attribute Editor tool accessed by double-clicking an AutoCAD Electrical block in the drawing.

Sort the list by clicking any of the column headers or move rows up or down in the list by highlighting multiple rows and dragging the selection on the sequence number list to the appropriate position.

Attribute Tag

Edits and displays the list of attribute tags to be made available in the Report Generator. The attribute tags can be in any order in the list. Enter text, click in the cell to edit, or right-click in the cell to pick, copy, cut, or paste a value.

NoteAn attribute tag is required and must be specified before you can edit any of the other fields in its row.

Column Width

Edits and displays the column width for the attribute tag. Enter a number, click in the cell to edit, or right-click in the cell to copy or cut a value.

NoteIf left blank, the column width is restricted to 24 characters.

Justification

Edits and displays the justification of the attribute tag text. Click in the cell and select from Top Left, Top Center, Top Right, Middle Left, Middle Center, Middle Right, Bottom Left, Bottom Center, or Bottom Right justification. The justification definition can be modified inside the Change Report Format dialog box.

NoteIf left blank, Top Left justification is used.

Column Title

Edits and displays the column header title in the Report Generator dialog box. Enter text, click in the cell to edit, or right-click in the cell to copy, cut, or paste a value. The column title can be modified inside the Change Report Format dialog box.

NoteIf left blank, the attribute tag is used as the column header.

Pick

Selects an attribute from the drawing to use as the Attribute Tag.

Open

Browses for an existing User Defined Attribute List file for editing.

Save As

Creates a new User Defined Attribute List file with extension .wda.

Right-click options
Pick | Allows selection of an attribute from the drawing. This is available only for the Attribute Tag.
Copy | Copies the cell contents to paste in another.
Cut | Removes the cell contents to paste in another.
Paste | Places the copied or cut cell contents in a new cell.
NoteYou can also copy, cut, and paste entire row contents from one row to another (one at a time), however you cannot paste the row contents into a single cell.


Export to Autodesk Inventor Professional

Create user-defined attributes
Reports
Set up for export to Autodesk Inventor Professional Cable & Harness
Reports >
Export to Autodesk Inventor Professional
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Set up for export to Autodesk Inventor Professional Cable & Harness

    Autodesk Inventor Professional export


Export to Autodesk Inventor Professional (Procedure)

Create user-defined attributes
Export to Autodesk Inventor Professional
Set up for export to Autodesk Inventor Professional Cable & Harness
Reports >
Export to Autodesk Inventor Professional
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Output reports to Autodesk Inventor Professional Cable and Harness

Configure wire numbering for export


Set up for export to Autodesk Inventor Professional Cable & Harness (Concept)

Export to Autodesk Inventor Professional
Export to Autodesk Inventor Professional
Panel Layout
Reports > Export to Autodesk Inventor Professional >
Set up for export to Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can export wire list information from AutoCAD Electrical and directly import it into Autodesk Inventor Professional Cable & Harness. In order to merge electrical and mechanical data, you must first create a one-to-one mapping from the electrical data to the mechanical assembly. Make sure the following are correctly set up before running the report.

Pin numbers on component symbols

The pin numbers on the component symbols in AutoCAD Electrical must correspond to the Pin Name property on the equivalent pin in Autodesk Inventor Professional Cable & Harness. Use the Pin Properties dialog box in Autodesk Inventor Professional Cable & Harness to change the pin name property. The pin number is the TERMxx attribute value on an AutoCAD Electrical component or terminal.

Component tags

Each component is defined with a unique Tag ID classified as the Component Tag. The component tags on each component in AutoCAD Electrical must correspond to the unique identifier or reference designator (RefDes property value) for the corresponding electrical part instance in the designated harness assembly in the Cable & Harness application. Use the Part Properties dialog box in Autodesk Inventor Professional Cable & Harness to change the RefDes property.

You can define attributes on components in AutoCAD Electrical that can map to properties when exported to Autodesk Inventor Professional. These attributes can be component definition (catalog database) or component occurrence specific. Use the Edit Component tool to edit the occurrence of a component. Upon selection of a catalog number from the AutoCAD Electrical catalog database, component definition properties can be applied to the component occurrence and the information exported into the XML file.

NoteWhen you apply additional parts to the component occurrence, their respective component definition properties can also be applied in the overall component occurrence. Up to ten additional part numbers can be applied to the occurrence of a component. Each of these catalog numbers can have their own set of component definition properties.
Wires

In order to map wires from the schematic to the 3D design, each wire needs a persistent tag or number used to uniquely identify it within the design. The wire number in AutoCAD Electrical is used as the Wire ID property value in Cable & Harness. The cabling application needs a From/To list with a unique identifier to track inputs from multiple wire lists and to know when wires have moved or been updated on subsequent imports. The wires in the schematic must be fixed, mapped to a wire in the Cable & Harness Wire Library, and have distinct wires into the same pin.

NoteThe wire number must be unique for individual From and To connections and a wire network ladder style cannot be used.

You can define attributes and properties on a wire that can map to properties when exported to Autodesk Inventor Professional. These attributes can be wire definition (wire type) or wire occurrence specific. Use the Edit Wire Number tool to edit the wire number. Upon selection of a wire type from the Set/Edit Wire Type dialog box, wire definition properties can be applied to the wire layer occurrence and the information exported into the XML file.

Wire layers

Not all nets in a schematic are physical wires; some are representative of other types of connections, such as those made by attaching a component to a bus bar. When attempts are made to map these nets in a harness assembly, the corresponding pins/parts are often not present. Only the nets that are to be mapped into wires in 3D should be drawn with a layer identified as a wire for inclusion in the output report file for Autodesk Inventor Professional Cable & Harness. If a wire that is included in the custom report output file is not recognized as a library wire in the Cable & Harness Library during the Import Wire List process, the wire occurrence will not be imported.

The layers defined in AutoCAD Electrical must first be defined as valid wire layers. Each AutoCAD Electrical wire layer must then correspond to a valid library wire in the Cable & Harness Library. While the wire layer in AutoCAD Electrical is just a label or name, the Cable & Harness wire definition defines how the wire is displayed - including size (outer diameter and gauge) and color.

Cables

When cables are used in the schematic, the name of the cable conductor (wire) layer defined in the drawing of AutoCAD Electrical must correspond to a valid cable definition in the Cable & Harness Library. The Wire Color/ID of each conductor in AutoCAD Electrical must correspond to a Conductor ID used in that cable definition in the Cable & Harness Library. This Wire Color/ID can be overwritten on each cable conductor occurrence by selecting Edit Component on a cable marker and making the change in the Insert / Edit Cable Marker dialog box. The Conductor list in the AutoCAD Electrical catalog can also be changed to reflect the same Conductor ID used in Cable & Harness.

The cable occurrence definition is made up of one parent symbol and multiple children symbols depending on the number of wire included. Upon selection of a catalog number from the AutoCAD Electrical catalog database, component definition properties can be applied to the component occurrence and the information exported into the XML file.

NoteWhen you apply additional parts to the component occurrence, their respective component definition properties can also be applied in the overall component occurrence. Up to ten additional part numbers can be applied to the occurrence of a component. Each of these catalog numbers can have their own set of component definition properties.
Splices

Each splice is defined with a Splice ID (component tag). The Splice ID in AutoCAD Electrical is used as the RefDes property value in Cable & Harness. Use the Edit Component tool to edit the splice component. Upon selection of a catalog number from the AutoCAD Electrical catalog database, splice definition properties can be applied to the component occurrence and the information exported into the XML file.

NoteWhen you apply additional parts to the component occurrence, their respective splice definition properties can also be applied in the overall component occurrence. Up to ten additional part numbers can be applied to the occurrence of a component. Each of these catalog numbers can have their own set of component definition properties.
Branches and Ts in nets

Branches and Ts in nets are not valid on nets imported into Cable & Harness. These types of representations map to multiple possible physical configurations. The exact physical intent of each wire must be depicted in the wiring diagram. Both non-physical and physical splices must be used so that each net that represents a wire has only two nodes, a From and a To. In AutoCAD Electrical, direct connections into a component must be created (no Ts) so that each physical wire has a definitive From component/pin and a To component/pin.

AutoCAD Electrical attributes mapped to Autodesk Inventor Professional properties

There are four Autodesk Inventor Professional assembly entity types that get AutoCAD Electrical attributes: components, wires, cable, and splices.

Attribute TAG | Attribute Type | Description
Component Properties
INST & LOC | Occurrence | Installation and Location code; associated to the component tag (RefDes)
TAG1 & TAG2 | Occurrence | Component TAG - RefDes property name
DESC1- DESC3 | Occurrence | Descriptions used to describe the component
CAT | Occurrence | Main AutoCAD Electrical catalog number - Part Number property name in Autodesk Inventor Professional
MFG | Occurrence | Manufacturer - Vendor of Part Number property name in Autodesk Inventor Professional
ASSYCODE | Occurrence | Assembly code for part - if part is a subset of an assembly
CAT01-10 | Occurrence | Multiple BOM part numbers
MFG01-10 | Occurrence | Multiple BOM Manufacturer associated to the Multiple BOM part numbers
ASSYCODE01-10 | Occurrence | Multiple BOM Assembly codes associated to the Multiple BOM part numbers
RATING1-12 | Occurrence | Rating information associated to the component definition
FAMILY | Definition | Family code definition - FAMILY attribute on AutoCAD Electrical block file
WDBLKNAM | Definition | Block name definition used for catalog lookup
Wire Properties
WIRENO | Occurrence | Unique wire number ID - AutoCAD Electrical wire number
LAYER NAME | Occurrence | Wire layer name (AutoCAD Layer) - Wire Definition name in Autodesk Inventor Professional
Layer Name - Wire Properties Xrecords | Definition | Wire layer properties (Xrecords on AutoCAD layer) - Definition custom properties on the wire number in Autodesk Inventor Professional
WIRENO attributes WIRENO01-10 | Occurrence | Wire attributes on wire number block file - Occurrence custom properties on the wire number in Autodesk Inventor Professional
Cable ID Properties
INST & LOC | Occurrence | Installation and Location code; associated to the component tag (RefDes)
TAG1 & TAG2 | Occurrence | Component TAG - RefDes property name
RATING1 | Occurrence | Cable conductor ID; AutoCAD Electrical Rating1 attribute - Cable Wire name in Autodesk Inventor Professional; add a numeric value along with the conductor color
DESC1- DESC3 | Occurrence | Descriptions used to describe the component
CAT | Occurrence | Main AutoCAD Electrical catalog number - Part Number property name in Autodesk Inventor Professional
MFG | Occurrence | Manufacturer - Vendor of Part Number property name in Autodesk Inventor Professional
ASSYCODE | Occurrence | Assembly code for part - if part is a subset of an assembly
CAT01-10 | Occurrence | Multiple BOM part numbers
MFG01-10 | Occurrence | Multiple BOM Manufacturer associated to the Multiple BOM part numbers
ASSYCODE01-10 | Occurrence | Multiple BOM Assembly codes associated to the Multiple BOM part numbers
FAMILY | Definition | Family code definition - FAMILY attribute on AutoCAD Electrical block file
WDBLKNAM | Definition | Block name definition used for catalog lookup
Splice Properties
INST & LOC | Occurrence | Installation and Location code; associated to the component tag (RefDes)
TAG1 | Occurrence | Component TAG - RefDes property name
DESC1- DESC3 | Occurrence | Descriptions used to describe the component
CAT | Occurrence | Main AutoCAD Electrical catalog number - Part Number property name in Autodesk Inventor Professional
MFG | Occurrence | Manufacturer - Vendor of Part Number property name in Autodesk Inventor Professional
ASSYCODE | Occurrence | Assembly code for part - if part is a subset of an assembly
CAT01-10 | Occurrence | Multiple BOM part numbers
MFG01-10 | Occurrence | Multiple BOM Manufacturer associated to the Multiple BOM part numbers
ASSYCODE01-10 | Occurrence | Multiple BOM Assembly codes associated to the Multiple BOM part numbers
RATING1-12 | Occurrence | Rating information associated to the component definition
FAMILY | Definition | Family code definition - FAMILY attribute on AutoCAD Electrical block file
WDBLKNAM | Definition | Block name definition used for catalog lookup


Set up for export to Autodesk Inventor Professional Cable & Harness (Procedure)

Export to Autodesk Inventor Professional
Up a level to ..
Set up for export to Autodesk Inventor Professional Cable & Harness
Reports > Export to Autodesk Inventor Professional >
Set up for export to Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Output reports to Autodesk Inventor Professional Cable and Harness

Configure wire numbering for export


Output reports to Autodesk Inventor Professional Cable and Harness (Procedure)

Set up for export to Autodesk Inventor Professional Cable & Harness
Up a level to ..
Set up for export to Autodesk Inventor Professional Cable & Harness
Reports > Export to Autodesk Inventor Professional >
Set up for export to Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Output reports to Autodesk Inventor Professional Cable and Harness

Use this tool to export component, connector, wiring/cable, and splice data from your 2D connector drawing into an XML file that can then be imported into Autodesk Inventor Professional to aid in the generation of a cable and harness assembly.

NoteYou must first configure wire numbering to be "On per Wire Basis" for export and set up the appropriate variables before running the report.
  1. Click Import/Export Data tab [image] Export panel [image] Inventor. Enter AEAIPEXPORT at the command prompt.
  2. In the Autodesk Inventor Professional Export dialog box, specify whether to process the project or current drawing and click OK.
  3. In the Autodesk Inventor Professional XML File Export dialog box, define the location and filename for the export file. By default file is saved with a .xml extension to:

    Windows XP: C:\Documents and Settings\{username}\My Documents

    Windows Vista: C:\Users\{username}\Documents


Configure wire numbering for export (Procedure)

Set up for export to Autodesk Inventor Professional Cable & Harness
Up a level to ..
Overview of panel layouts
Reports > Export to Autodesk Inventor Professional >
Set up for export to Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure wire numbering for export

There are several steps to set up the wire numbering convention in AutoCAD Electrical for the import of data into Autodesk Inventor Professional Cable and Harness.

Define wire layers

Layers defined in AutoCAD Electrical must be defined as valid wire layers. While the following steps do not create the layers on the drawings that need to be mapped into the Cable and Harness Library, they tell AutoCAD Electrical which layers are treated as valid wire types.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Enter AEWIRETYPE at the command prompt.
  2. In the Create/Edit Wire Type dialog box, click Add Existing Layer to add the wire line layers in use in the schematic to the list to be recognized as layers by AutoCAD Electrical.
  3. In the Layers for Line Wires dialog box, enter the layer name or pick a wire from the existing layer list.

    A wildcard used in the name selects a group of layers. For example, RED_* selects all layers that begin with "RED_."

  4. Click OK.
  5. In the Create/Edit Wire Type dialog box, click OK.
NoteYou can also change layer properties using the Project Manager tool. In the Project Manager, right-click on the project name and select Properties. In the Drawing Format tab, Layers section, click Define.
Set unique wire IDs

You need to assign each wire a unique wire ID or number before they can be imported into another application.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the project listing, right-click the project name, and select Properties.
  3. In the Project Properties dialog box, click the Wire Numbers tab.
  4. In the Wire Number Options section, select On per Wire Basis.
  5. Click OK.
Fix wire numbering

You must fix the wire numbers so they stay the same for subsequent imports into Autodesk Inventor Professional Cable and Harness. Do this after the wire numbers have been assigned. Use any of the following procedures to fix wire numbers.

Automatic wire numbering:

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  2. In the Wire Tagging dialog box, select Insert as Fixed if it is not already selected.
  3. Click Project-wide, Drawing-wide, or Pick Individual Wires depending on which method you want to use to update your wire numbers.

Manually inserting wire numbers:

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Numbers drop-down [image] Edit Wire Number. Enter AEEDITWIRENO at the command prompt.
  2. Click a wire that does not currently have a wire number assigned to it.
  3. In the Insert wire number dialog box, select Make it Fixed to force the wire number to a fixed state.
  4. Click OK.

Inserting wire numbers using project-wide utilities:

  1. Click Project tab [image] Project Tools panel [image] Utilities. Enter AEUTILITIES at the command prompt.
  2. In the Project-Wide Utilities dialog box, select Set all wire numbers to fixed.
  3. Click OK. All wire numbers in the project are now flagged as fixed.


Set up for export to Autodesk Inventor Professional Cable & Harness (Quick Reference)

Create user-defined attributes
Set up for export to Autodesk Inventor Professional Cable & Harness
Overview of footprint attributes/Xdata
Reports > Export to Autodesk Inventor Professional >
Set up for export to Autodesk Inventor Professional Cable & Harness
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Autodesk Inventor Professional export

Creates an XML file, and exports component and wiring data for Autodesk Inventor Professional into it.

Ribbon: Import/Export Data tab [image] Export panel [image] Inventor. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Import/Export Data [image] Export [image] Autodesk Inventor Professional ExportDoes not exist in the menus.
Command entry: AEAIPEXPORT

Extracts wire list information into an XML export file for use exclusively in Autodesk Inventor Professional Cable and Harness. Before you run the export, configure wire numbering to be On per Wire Basis for export and set up the appropriate variables.

Select to export the active drawing or the entire project.

The Autodesk Inventor Professional XML File Export dialog box then displays allowing you to define a location and filename for the export file. By default the file is saved with an .xml extension to:

  • Windows XP: C:\Documents and Settings\{username}\My Documents
  • Windows Vista: C:\Users\{username}\Documents

You can change the location and the last saved folder is persistent.


Panel Layout

Set up for export to Autodesk Inventor Professional Cable & Harness
Overview of panel layouts
Panel Layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of panel layouts
  • Overview of footprint attributes/Xdata

    Select Xdata to change to a block attribute

  • Panel drawing configuration and defaults

    Panel drawing configuration and defaults

  • Relationship between schematic drawings and panel layouts
  • Footprint/Terminal Insertion
  • Footprint/Terminal Edit
  • Layout Wire Connection Annotation
  • Lookup Files
  • Item Numbers/Balloons
  • Nameplates
  • Panel Leveling/Sequencing Tools


Overview of panel layouts (Concept)

Panel Layout
Panel Layout
Overview of footprint attributes/Xdata
Panel Layout >
Overview of panel layouts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Panel Layout tools create intelligent mechanical / panel layout drawings. Here are the key features:

  • Layouts can be driven from information carried on the AutoCAD Electrical schematic wiring diagram drawings or they can be constructed independently of schematics.
  • AutoCAD Electrical places no requirements on special naming or attribute requirements on mechanical footprint symbols. Vendor-supplied footprint symbols, in AutoCAD format, can be used as is with AutoCAD Electrical.
  • Bi-directional update capabilities allow certain schematic wiring diagram edits to update the panel drawings automatically and vice versa.
  • Wire number, wire color/gauge information, and connection sequencing data can be extracted directly from the schematics and annotated on to the panel footprint representations.
  • AutoCAD Electrical extracts various reports from these smart panel layout drawings including panel BOM, panel component/item lists, nameplate reports, and schematic versus panel exception reports.


Access panel layout tools (Procedure)

Set up for export to Autodesk Inventor Professional Cable & Harness
Overview of panel layouts
Footprint/Terminal Insertion
Panel Layout >
Overview of panel layouts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Access panel layout tools

You access the AutoCAD Electrical panel layout command set from either the main Panel Layout option on the Electrical pull-down menu or from a panel-specific toolbar.

Using the ribbon

Select the various panel layout commands from the Panel tab on the ribbon in AutoCAD Electrical.

Using the pull-down menu

Select the various panel layout commands from Panel Layout menu in AutoCAD Electrical.

Using the toolbar

If the Panel Layout toolbar is not visible, you can turn it on by right-clicking on a toolbar and selecting ACE:Panel Layout.

Using the mouse

Put your cursor over any panel component and click your right mouse button for a quick shortcut to AutoCAD Electrical commands. A component-specific menu displays at your cursor position.

Double-click the component itself to edit that component. The AutoCAD Electrical double-click feature is disabled if "selection" mode in AutoCAD is set to "Noun/Verb selection" (that is, system variable PICKFIRST is set to 1).


Overview of footprint attributes/Xdata (Concept)

Overview of panel layouts
Panel Layout
Panel drawing configuration and defaults
Panel Layout >
Overview of footprint attributes/Xdata
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AutoCAD Electrical does not have attribute or naming requirements for the mechanical footprint block symbols. As AutoCAD Electrical inserts a footprint symbol into the drawing, it copies various data to the footprint block such as component/device tag name, description, manufacturer code, and catalog number. It first looks for target attributes to copy the data to, but if not found, AutoCAD Electrical simply inserts the schematic values as standard AutoCAD, nonvisible extended entity data (Xdata).

Some manufacturers provide free, to-scale mechanical libraries of their control components, all in AutoCAD format. Or you may have your own in-house footprints set up. In either case, since AutoCAD Electrical does not have naming or attribute requirements, these libraries can be used as is. When AutoCAD Electrical inserts such a block footprint symbol, it immediately becomes AutoCAD Electrical smart.

Footprint block attribute/Xdata names

The following table is a list of footprint block data names that can be inserted or read by AutoCAD Electrical. If the footprint block has an attribute with any name listed here, AutoCAD Electrical uses that attribute to carry the specific piece of data. Otherwise, AutoCAD Electrical uses extended entity data with names based on the data names listed here but with a WD_ prefix (ex: "WD_DESC1").

FP | identifies block as a component footprint
FPT | identifies block as a terminal footprint
NP | identifies block as a nameplate
P_TAG1 | panel component tag (used on component footprints and nameplates)
DESC1-3 | description line 1 - 3 (60 char max)
P_ITEM | item/detail number
MFG | manufacturer name (24 char max)
CAT | catalog number (60 char max)
ASSYCODE | optional assembly code
INST | installation code (24 char max)
LOC | location code (16 char max)
MOUNT | mount location code (24 char max)
GROUPWITH | group location code (24 char max)
WDBLKNAM | schematic symbol block name (used for catalog lookup)
RATING1-12 | rating values (60 char max each)
P_TAGSTRIP | terminal strip ID (terminal footprints only)
TERM | terminal number (terminal footprints only)
WIRENO | wire number (terminal footprints only)
Minimum attribute/Xdata requirements

The following tables are the minimum requirements for AutoCAD Electrical to recognize a block as a panel footprint, terminal, or nameplate.

Component footprint - block must carry a minimum of one of the following:

Xdata name | VIA_WD_FP
Attribute | FP (blank value)
Attribute | P_TAG1 (and no attribute NP present)

Terminal footprint - block must carry a minimum of one of the following:

Xdata name | VIA_WD_FPT
Attribute | FPT (blank value)

Panel nameplate - block must carry a minimum of one of the following:

Xdata name | VIA_WD_NP
Attribute | NP (blank value)


Overview of footprint attributes/Xdata (Quick Reference)

Set up for export to Autodesk Inventor Professional Cable & Harness
Overview of footprint attributes/Xdata
Panel drawing configuration and defaults
Panel Layout >
Overview of footprint attributes/Xdata
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Select Xdata to change to a block attribute

This tool converts any piece of invisible extended entity data (Xdata) into a visible attribute tied directly to the footprint block.

Ribbon: Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Make Xdata Visible. Does not exist on the ribbon.
Toolbar: Edit Footprint Component
Menu: Panel Layout [image] Make Xdata VisibleDoes not exist in the menus.
Command entry: AESHOWXDATA

Select a footprint.

After you click Insert, the dialog box disappears. Click the location for the attribute. The attribute inserts, is linked to the footprint block, and the dialog box redisplays. Repeat the process to convert other pieces of Xdata quickly into visible attributes.

Xdata | Displays all AutoCAD Electrical-related pieces of extended entity data (Xdata).
Height | Specifies the height for the attribute value.
Justification | Specifies the justification for the attribute value.
Visibility | Indicates whether the attribute is visible on the screen.
Ratings | Opens a sub-dialog for setting the values for rating attributes.
Style | Sets the width factor and text style for the attributes.
NoteTo add or modify the Xdata, use the AutoCAD Electrical Xdata Editor.


Panel drawing configuration and defaults (Concept)

Overview of footprint attributes/Xdata
Panel Layout
Relationship between schematic drawings and panel layouts
Panel Layout >
Panel drawing configuration and defaults
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Configuration settings are saved as attribute values on a nonvisible block named WD_PNLM. If your current drawing does not have this block present when any AutoCAD Electrical panel layout command is invoked, AutoCAD Electrical pauses and asks you for permission to insert this block. It inserts at 0,0 but this location is not critical. The key point is that the nonvisible block must be present somewhere on the drawing.

NoteYou can make this block visible by typing ATTMODE at the AutoCAD command line prompt, changing the value from 1 to 2, and then typing REGEN.


Panel drawing configuration and defaults (Quick Reference)

Overview of footprint attributes/Xdata
Panel drawing configuration and defaults
Panel drawing configuration and defaults
Panel Layout >
Panel drawing configuration and defaults
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel drawing configuration and defaults

Format: schematic layout wire connection annotation


Panel drawing configuration and defaults (Quick Reference)

Panel drawing configuration and defaults
Panel drawing configuration and defaults
Panel drawing configuration and defaults
Panel Layout >
Panel drawing configuration and defaults
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel drawing configuration and defaults

Sets panel footprint drawing defaults, such as footprint insertion scale, balloon setup, and layer assignments.

Ribbon: Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Configuration. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Panel ConfigurationDoes not exist in the menus.
Command entry: AEPANELCONFIG

Panel Configuration saves settings as attribute values on a non-visible block named WD_PNLM. In any panel layout command, if this block is not present in the current drawing a message box displays asking permission to insert the block. The location of the block is not critical.

Item Numbering

Specifies the number/letter to use as the first item number. AutoCAD Electrical manages item number, drawing-wide, or project-wide (over many drawings), so that the same number is always applied to identical components.

Balloon

Opens a subdialog box for setting the type of balloon marker (circle, ellipse, polygon, text), marker size, margin, and text gap.

Footprint layers

Opens the Panel Component Layers subdialog box for setting the panel component layers, non-text graphic layers, and nameplate layers. Panel footprint layering works in the same way AutoCAD Electrical schematic layering. When AutoCAD Electrical inserts a footprint, it is modified on the fly to match the layering scheme set up in this dialog box.

Wiring level defaults

Sets the optional 3-digit wiring level codes. They are applied as defaults when codes are not defined on panel layout components or terminal strip representations. Preferred wire connection sequence follows this level and numeric-code-within-level hierarchy.

Default spacing for multiple inserts

Specifies the x and y distance spacing for multiple footprint inserts.

Footprint insert

Specifies the default insert scale for panel footprint symbols. Also specifies whether to insert the attribute template drawings and the scale to use.

You can set up to have visible attributes added to any footprint automatically at footprint insertion time. Using non-intelligent footprint representations can insert with smart AutoCAD Electrical attributes added automatically, on the fly.

There are 5 attribute template drawings:
wd_ptag_addattr_comp.dwg | component footprints
wd_ptag_addattr_trm.dwg | terminal footprints
wd_ptag_addattr_wtrm.dwg | terminal with wire no. as terminal number
wd_ptag_addattr_itemballoon.dwg | balloons
Wd_ptag_addattr_pnltermstrip.dwg | terminal footprints (when inserted by Level/Sequencing tools)

When a panel footprint is inserted, the following steps are performed if the appropriate attribute template exists.

  1. Find the center of the footprint by collecting and averaging the objects that make up the footprint.
  2. Insert the attribute template at the calculated center of the footprint.
  3. Make sure there are no duplicate attributes. If duplicate attributes are found, the attribute from the footprint is kept.
  4. Reblock the added attributes with the inserted footprint.
  5. Add the schematic data to the footprint. The data is added as attribute data if the target attribute exists. If the target attribute does not exist, the data is added as invisible xdata.

Uncheck the Enabled check box if you do not want AutoCAD Electrical to search for the attribute template drawing. If enabled, select a scale factor, 1.0 to insert as is, or select to scale to a specific text height.

Panel wire connection report XYZ offset reference

Specifies the x, y, or z-offset value for the mtext added next to a panel component when adding the wire connection information. Use the Setup button to define the default wire connection text format.


Panel drawing configuration and defaults (Quick Reference)

Panel drawing configuration and defaults
Panel drawing configuration and defaults
Insert panel footprints from a schematic list
Panel Layout >
Panel drawing configuration and defaults
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Format: schematic layout wire connection annotation

Defines the default wire connection text format.

Ribbon: Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Configuration. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Panel ConfigurationDoes not exist in the menus.
Command entry: AEPANELCONFIG

Click Panel wire connection report XYZ offset reference Setup.

After you add wire numbers to your schematics and extract this information, you are ready to annotate your panel footprint symbols with this information. The information is added to the drawing in two different ways:

  • Build your panel footprint symbols with some target attributes that are used for the wire connection information.
  • Mtext is automatically added next to a symbol if the target attributes are not found.
NoteYou can build two sets of panel footprint symbols, one set that does not carry the target attributes for wire information and a set that does. When you insert your panel symbols from the schematic extract, select Use Footprint tables to access the first set of symbols or Use Wiring diag tables to access the second set.
Format

There are two format edit boxes on the dialog box. The "Full" format is used if AutoCAD Electrical does not find the target attributes and inserts MTEXT. The "Partial" format is used if AutoCAD Electrical finds the target attributes (described later). Each format uses parameters that are then replaced with the specific wire information. AutoCAD Electrical provides some pre-defined formats for you to select from the list box at the right. Or you can enter your own format using replaceable parameters.

Parameters must be separated by nonblank delimiters for AutoCAD Electrical to be able to re-extract wiring diagram information into reports. For example, "%T=%W %1 %G" is not acceptable because there is only a space between the %W and %1 and %G parameters. Acceptable formats include "%T=%W (%1) %G" or "%T=%W / %1 (%G)" or "%T=%W (%1) %G".

NoteYou cannot use commas in the format. They signal multiple wire connection annotations onto a single wire connection attribute.
Additional options for the "To" component tag

Additional options to include in the text.

Add terminal pin as a suffix to tag | Adds the terminal text as a suffix.
Add terminal description to tag | Adds any terminal description value as a suffix.
Include installation prefix to IEC tag format | Adds any installation value as a prefix.
View/Test

Allows a preview or test of the report.

Suppress any duplicated annotation on each terminal

Indicates to hide duplicated annotations so that they do not show on the report.


Relationship between schematic drawings and panel layouts

Panel drawing configuration and defaults
Panel Layout
Automatic schematic/panel update
Panel Layout >
Relationship between schematic drawings and panel layouts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Automatic schematic/panel update
  • Schematic and panel symbol relationship


Automatic schematic/panel update

Relationship between schematic drawings and panel layouts
Relationship between schematic drawings and panel layouts
Schematic and panel symbol relationship
Panel Layout > Relationship between schematic drawings and panel layouts >
Automatic schematic/panel update
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical provides bi-directional updating between schematic components and the associated footprint blocks. The link is through the common tag identifier, for example, schematic relay coil, CR406, links to the panel layout footprint that carries a CR406 tag value.

Bi-directional updates follow these rules:

  • Edits to a schematic parent update associated schematic child symbols, panel footprints, nameplates, and peer one-line symbols.
  • Edits to a panel footprint update the associated schematic parent, child symbols, nameplates, and peer one-line symbols.
  • Edits to a panel nameplate update the associated schematic parent, child symbols, panel footprints, and peer one-line symbols.
  • Edits to a schematic child do not update the associated schematic parent, panel footprints, nameplates, or peer one-line symbols.
  • Edits to a one-line terminal do not update any other terminal symbols.


Schematic and panel symbol relationship

Automatic schematic/panel update
Relationship between schematic drawings and panel layouts
Footprint/Terminal Insertion
Panel Layout > Relationship between schematic drawings and panel layouts >
Schematic and panel symbol relationship
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The schematic ladder diagram can be created first and the physical panel layout created from the schematic drawing.

Each symbol shown on the schematic ladder diagrams can map to a scaled, physical representation on the panel layout drawings. The physical layout drawing might be a control panel enclosure door layout. The door layout shows where to mount each component and can indicate the size of the hole in the sheet metal door for mounting.

NoteOne-line terminals are not mapped to panel layout terminals.
Example

For example, pilot light components come in many styles, sizes, and ratings from dozens of vendors. On the schematic ladder diagrams, all pilot lights of a given type are identified by the same schematic symbol whether they are miniature pilot lights or a large, explosion projected pilot light. It is on the physical panel layouts where the pilot lights are shown as they actually look and in actual size (that is, the physical footprint representation).

Look at the three pilot light symbols shown in this schematic drawing.

LT411 and LT413 are assigned an Allen-Bradley part number for a 30-mm pilot light (catalog part number 800H-PR16R). LT412 is given a part number for a smaller, 22.5-mm pilot light (catalog part number 800MR-P16RS). The manufacturer and catalog part number assignments are carried on invisible attributes MFG and CAT on each instance of the red pilot light symbol. All three symbols look the same on the schematic since they are the same AutoCAD block symbol. The difference is the assigned part number attribute values that each carries.

The three red pilot lights are represented as footprints in the panel layout as shown. Notice that LT412 (the 22.5-mm pilot light) appears smaller than the others.

Footprint Mapping

On the physical panel layout drawing, these pilot light symbols are inserted as footprint blocks using the Insert Footprint (Schematic List) tool.

AutoCAD Electrical knows which physical representation block symbol to use for each instance of the pilot light schematic symbol based on the manufacturer and part number assignments applied to the MFG/CAT attributes. The vendor name and part number are mapped to the correct footprint drawing (.dwg) file. This drawing is then inserted as a block on the panel layout drawing.

There are two key elements that make this work:

  • Vendor footprint library (.dwg) files - two symbols from this library are shown here. They are for Allen-Bradley red pilot lights 30 mm and 22.5-mm styles respectively.

  • Footprint mapping file (footprint_lookup.mdb) - a table is assigned to each manufacturer.


Footprint/Terminal Insertion

Schematic and panel symbol relationship
Panel Layout
Insert panel footprints from a schematic list
Panel Layout >
Footprint/Terminal Insertion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Insert panel footprints from a schematic list

    Schematic components list -> panel layout insert

  • Insert panel footprints using vendor menus

    Vendor menu selection

  • Insert panel footprints using icon menu

    Insert footprint

  • Insert panel footprints manually

    Footprint

  • Insert panel footprints from a catalog list
  • Insert footprints from an equipment list

    Panel equipment in

  • Insert a copy of a panel footprint
  • Use panel templates and assemblies


Footprint/Terminal Insertion (Procedure)

Overview of panel layouts
Footprint/Terminal Insertion
Insert panel footprints from a schematic list
Panel Layout >
Footprint/Terminal Insertion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert panel footprints from a schematic list

Insert panel footprints using vendor menus

Insert panel footprints using icon menu

Insert panel footprints manually

Insert panel footprints from a catalog list

Insert footprints from an equipment list

Insert a copy of a panel footprint

Insert panel footprint assemblies

Copy panel footprint assemblies


Insert panel footprints from a schematic list (Concept)

Footprint/Terminal Insertion
Footprint/Terminal Insertion
Insert panel footprints using vendor menus
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a schematic list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Let your project set of schematic wiring diagrams help drive the panel layout. Component catalog number information comes directly from manufacturer and catalog data carried on each electrical component. AutoCAD Electrical finds a match for the manufacturer and catalog number combination in the footprint look-up file to determine the correct footprint block to insert.

If you start with panel layouts before you create schematics, schematic pick list data is not available to automate footprint selection and annotation. An alternative is available. If you list your panel components in a spreadsheet and in a format that AutoCAD Electrical expects, this spreadsheet data can become your schematic pick list data for panel layout.

Component spreadsheet data format

The spreadsheet data must be in this order and have 28 columns of data and be saved in a "CSV comma delimited" text format. Most of the fields can be left blank:

1 | TAG | Component tag id (ex: "PB101")
2 | INST | Optional installation code
3 | LOC | Optional location code
4 | MOUNT | Optional mount code
5 | GROUPWIDTH | Optional group code
6 | MFG | Manufacturer code
7 | CAT | Catalog number
8 | ASM | Optional catalog assembly code
9 | CNT | Optional count value
10 | UM | Optional unit of measure
11-13 | DESC1-DESC3 | Three lines of description text
14 | BLKNAM | Schematic block name (used to determine catalog lookup table name)
15-26 | RATING1-12 | Optional rating values
27 | ITEM | Optional item number assignment
28 |  | (blank)
Panel terminals spreadsheet data format

The spreadsheet data for panel terminals must be in this order and have 30 columns of data and be saved in a "CSV comma delimited" text format. Most of the fields can be left blank:

1 | TAGSTRIP | Terminal strip tag id (ex: "TB1")
2 | INST | Optional installation code
3 | LOC | Optional location code
4 | MOUNT | Optional mount code
5 | GROUPWIDTH | Optional group code
6 | MFG | Manufacturer code
7 | CAT | Catalog number
8 | ASM | Optional catalog assembly code
9 | CNT | Optional count value
10 | UM | Optional unit of measure
11-13 | DESC1-DESC3 | Optional description text
14 | BLOCK | Optional schematic block name (blank)
15-26 | RATING1-12 | Optional rating values
27 | ITEM | Optional item number assignment
28 | TERMNO | Terminal number
29 |  | (blank)
30 | WIRENO | Optional wire number tied to terminal
Schematic spreadsheet data of previous project

If your new project is like a previous project, you can use the schematics of the previous project to create a component or terminal spreadsheet listing. It can then help drive the new panel layout of the project.

Open the previous project in AutoCAD Electrical. From the Panel Layout menu, select Insert Footprint (Schematic List) or Insert Terminal (Schematic List). On the selection dialog box, check the Save List to External File option and then extract from the project. AutoCAD Electrical creates a comma-delimited file of the schematic data. You can then display this data in spreadsheet format (open it in comma-delimited "CSV" format), edit, and then save back out. Now follow the procedure described for picking and inserting the panel component or terminal footprints from the spreadsheet driven pick list.


Insert panel footprints from a schematic list (Quick Reference)

Panel drawing configuration and defaults
Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a schematic list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic components list -> panel layout insert

Schematic terminals list -> panel layout insert

Schematic components or terminals

Spacing for component or footprint insertion


Insert panel footprints from a schematic list (Procedure)

Footprint/Terminal Insertion
Up a level to ..
Insert panel footprints using vendor menus
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a schematic list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert panel footprints from a schematic list

  1. Insert a schematic symbol in a drawing. In the Insert/Edit Component dialog box, assign Component Tag, Manufacturer, and Catalog values and click OK.
  2. Save the drawing and navigate to the drawing you want to add a panel footprint to.
  3. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Schematic List. Enter AEFOOTPRINTSCH at the command prompt.
  4. In the Schematic Components List [image] Panel Layout Insert dialog box, select Project and click OK.
  5. In the Select Drawings to Process dialog box, select the drawing that has the schematic symbol you inserted. Click Process, and then click OK.

    This extracts a list of all schematic devices found in the drawing and displays them in a dialog box for selection.

  6. In the Schematic Components dialog box, select the schematic component you inserted and click Insert.
    • AutoCAD Electrical takes the manufacturer attribute value (MFG) and finds a table in the footprint_lookup.mdb file with this name.
    • AutoCAD Electrical queries this specific vendor table using the catalog attribute value (CAT) of the selected entry and returns the block name from the matched record.
    • The Insert Footprint command starts and prompts for the insertion point for the footprint block.
  7. Pick the insertion point and orientation.
    • The values of the schematic symbol are copied to the footprint representation.
    • The selected item is checked off the list in the Schematic Components dialog box (an "x" appears in the left-hand column) to track what has been inserted.
  8. In the Panel Layout - Component Insert/Edit dialog box, click OK.
  9. In the Schematic Components dialog box, click Close.


Insert panel footprints from a schematic list (Quick Reference)

Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a schematic list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic components list -> panel layout insert

Inserts and annotates a panel footprint by referencing the schematic component list in the project.

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Schematic List. Does not exist on the ribbon.
Toolbar: Component Footprint
Menu: Panel Layout [image] Insert Footprint (Schematic List)Does not exist in the menus.
Command entry: AEFOOTPRINTSCH

Schematic diagrams can help drive the panel layout. Each electrical component carries manufacturer and catalog data with catalog number information. A matching manufacturer and catalog number combination in the footprint look-up file determines the correct footprint block to insert. The list of schematic components checks off the panel footprints you insert.

This tool provides error checking between the schematics and the panel layout drawings. The program looks at the selected components, both schematic and panel, to find a match in the project. For each schematic component selected, the routine tries to find a matching panel component based on tag, location, and installation information. If a match is found, then it further compares catalog information looking for any discrepancies. The program looks at each selected panel component looking for a matching schematic component in the same way.

NoteOne-line components are not extracted into the schematic component list and are not matched up with panel footprint representations.

If you start with panel layouts before you create schematics, schematic pick list data is not available to automate footprint selection and annotation. If you list your panel components in a spreadsheet and in a format that AutoCAD Electrical expects, this spreadsheet data can become your schematic pick list data for panel layout.

Extract component list for

Specifies to export the data for the active drawing or the entire project.

Save list to external file

Uses the schematics of a previous project to create a component or terminal spreadsheet listing. It can help drive the panel layout of a new project. AutoCAD Electrical creates a comma-delimited file of the schematic data. You can display this data in spreadsheet format (open it in comma-delimited "CSV" format), edit, and then save back out.

Location Codes to extract

Extracts only the information for components with specific location values. Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Insert panel footprints from a schematic list (Quick Reference)

Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a schematic list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic terminals list -> panel layout insert

Inserts and annotates a panel terminal by referencing the schematic terminal list in the project.

Ribbon: Panel tab [image] Terminal Footprints panel [image] [image] [image] Insert Terminals drop-down [image] Insert Terminal (Schematic List). Does not exist on the ribbon.
Toolbar: Terminal Footprint
Menu: Panel Layout [image] Insert Terminal (Schematic List)Does not exist in the menus.
Command entry: AEPANELTERMINALSCH

This tool provides error checking between the schematic terminals and panel layout terminals. The program looks at the selected terminals, both schematic and panel, to find a match in the project. For each schematic terminal selected, the program tries to find a matching panel terminal based on a unique LINKTERM value or tag, location, installation, and terminal number information. If a match is found, then it further compares catalog information looking for any discrepancies. The program looks at each selected panel terminal looking for a matching schematic terminal in the same way.

NoteOne-line terminals are not extracted into the schematic terminal list and are not matched up with panel terminal footprint representations.

If you start with panel layouts before you create schematics, schematic pick list data is not available to automate footprint selection and annotation. If you list your panel components in a spreadsheet and in a format that AutoCAD Electrical expects, this spreadsheet data can become your schematic pick list data for panel layout.

Extract component list for

Specifies to export the data for the active drawing or the entire project.

Save list to external file

Uses previous schematics for the project to create a component or terminal spreadsheet listing. It can help drive the panel layout of the new project. AutoCAD Electrical creates a comma-delimited file of the schematic data. You can display this data in spreadsheet format (open it in comma-delimited "CSV" format), edit, and then save back out.

Location Codes to extract

Extracts only the information for components with specific location values. Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. You can also create a report from multiple location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.


Insert panel footprints from a schematic list (Quick Reference)

Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a schematic list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic components or terminals

AutoCAD Electrical processes the project drawing set. It presents a list of all parent components or terminals (plus any child components/terminals that carry non-blank MFG/CAT values) extracted from the schematic wiring diagrams of the project. First, you pick from this schematic list, and then place the equivalent footprint on the layout. AutoCAD Electrical determines the equivalent footprint block automatically through a manufacturer/catalog match pulled from the footprint look-up file.

NoteOne-line component and terminals are not included in the list.
Insert Footprint (Schematic List)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Schematic List. Does not exist on the ribbon.
Toolbar: Component Footprint
Menu: Panel Layout [image] Insert Footprint (Schematic List)Does not exist in the menus.
Command entry: AEFOOTPRINTSCH

Select Project and click OK. Select the files to process and click OK.

Insert Terminal (Schematic List)
Ribbon: Panel tab [image] Terminal Footprints panel [image] [image] [image] Insert Terminals drop-down [image] Insert Terminal (Schematic List). Does not exist on the ribbon.
Toolbar: Terminal Footprint
Menu: Panel Layout [image] Insert Terminal (Schematic List)Does not exist in the menus.
Command entry: AEPANELTERMINALSCH

Select Project and click OK. Select the files to process and click OK.

Sort List

Sorts the list of schematic footprints. You can specify four sorts to perform on the list.

Reload

Reinitializes the display. Causes the dialog box to return to the Schematic components (or terminals) list panel layout insert dialog box.

Mark Existing

Puts an "x" in the left-hand column position for any listed schematic component (or terminal) tag that already has its footprint inserted on the panel layout. There must be an exact match on Catalog and Manufacturer values between the two. Displays a "o" if the tags match but there is mismatch on Catalog and Manufacturer values between the two.

Display
Show All/Hide Existing | Specifies to show all or hide the existing components or terminals.
Multiple Catalog [+] | Shows a full listing of the main catalog numbers plus the multiple catalog entries. Each multiple catalog entry displays in the list as a line entry, allowing you to insert each entry as a separate footprint.
Catalog Check

Quickly performs a Bill of Material check and displays the result.

Footprint Scale

Specifies the block insert scale. (1.0 = full)

Rotate

Specifies the block rotation angle. (blank = "ask")

External Program

Executes external user routine to retrieve footprint block name and/or catalog data. Requires WD_XCAT reference in wd.env and a user AutoLISP file to manage the data send/receive with the external routine.

Manual

Specifies to pick the insertion point manually.

Insert

Finds and inserts footprint for highlighted component (or terminal). It is based upon a match between the catalog part number of the schematic symbol and an entry in a footprint lookup file. If no match is found you are prompted to draw the footprint manually, add an entry in the lookup file, or select an existing footprint drawing file.

Use Footprint tables | Accesses the standard footprint look-up table that matches the MFG code of the device. This table is set up to insert a full mechanical representation of the device.
Use Wiring diagram tables | Accesses an alternate table in the footprint look-up table. This table matches the MFG code but attaches an "_WD" suffix. The tables with the "_WD" suffix are set up to insert a symbol that carries the wire connection attributes.
Convert Existing

Inserts data of a selected entry on an existing dumb block insert. It instantly converts the block to a smart AutoCAD Electrical footprint.

Pick File

Specifies to pick a file for the insert. Select an existing AutoCAD Electrical Schematic extracted component (or terminal) list file or extract a fresh copy of schematic component (or terminal) data from the database of the current project.


Insert panel footprints from a schematic list (Quick Reference)

Insert panel footprints from a schematic list
Insert panel footprints from a schematic list
Insert panel footprints using vendor menus
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a schematic list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Spacing for component or footprint insertion

Run any of the component, footprint, or terminal insertion from list commands (such as Insert Component (Panel List)).Select the drawings to process and click OK. Select multiple components or terminals to insert and click Insert.

The components display in the list box in the order they are inserted. To modify the order, select an item from the list, then select Move Up or Move Down in the list.

Prompt for each location

Specifies the location for each component or terminal using the Insert dialog box.

Fence Insertion

(for component insertion only) Specifies the location for all the components. Specify the insertion points on the drawing and right-click. The Insert/Edit dialog box displays. Once you click OK on the Insert/Edit dialog box, the component inserts on the drawing.

Use uniform spacing

Specifies the location for the first component (or terminal). The values in the X-distance and Y-distance boxes are used to calculate the insertion coordinates for the remaining components (or terminals).

NoteYou can set the default values for the X-distance and Y-distance in the Panel Configuration dialog box.

Suppress edit dialog and prompts

(for footprint insertion only) Suppresses the edit dialog box that normally appears each time a component (or terminal) is inserted. The Panel Insert/Edit dialog box displays after each insert if this option is not selected.

Move Up

Moves the selected component or terminal up one spot in the list.

Move Down

Moves the selected component or terminal down one spot in the list.

Reverse

Rearranges the list of terminals in descending order.

Re-sort

Sorts the list of terminals in ascending order.


Insert panel footprints using vendor menus (Concept)

Insert panel footprints from a schematic list
Footprint/Terminal Insertion
Insert panel footprints using icon menu
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using vendor menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pick the item from a vendor icon menu that is preset with specific catalog number data and footprint block names. Choosing from this menu supplies AutoCAD Electrical with the manufacturer and catalog information and the footprint block name, bypassing any look-up.

It can save time if you frequently use the same vendor and panel components. You can apply this method to create client-specific menus making it easier to use the vendor or components that each client prefers.


Insert panel footprints using vendor menus (Quick Reference)

Insert panel footprints from a schematic list
Insert panel footprints using vendor menus
Insert panel footprints using vendor menus
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using vendor menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Vendor menu selection

Vendor panel footprint


Insert panel footprints using vendor menus (Procedure)

Insert panel footprints from a schematic list
Up a level to ..
Insert panel footprints using icon menu
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using vendor menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert panel footprints using vendor menus

A vendor icon menu is preset with specific catalog number data and footprint block names. Choosing from this menu supplies the manufacturer and catalog information and the footprint block name, bypassing any look-up.

  1. Click Panel tab [image] Insert Component Footprint panel [image] Insert Footprints drop-down [image] Manufacturer Menu . Enter AEFOOTPRINTMFG at the command prompt.
  2. In the Vendor Menu Selection dialog box, select the vendor menu to use and click OK. You can select one from the list or click Browse to search for a vendor (.pnl) menu file.
    NoteThis dialog box is also available by clicking Vendor Menu Select on the Vendor Panel Footprint dialog box after a vendor is first selected.
  3. In the Vendor Panel Footprint dialog box, select the component to insert from the Symbol Preview window and click OK.

    Clicking an icon inserts the footprint into the active drawing as defined by the command in the .pnl file.

  4. Select the insertion point on the screen.


Insert panel footprints using vendor menus (Quick Reference)

Insert panel footprints using vendor menus
Insert panel footprints using vendor menus
Insert panel footprints using vendor menus
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using vendor menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Vendor menu selection

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Manufacturer Menu. Does not exist on the ribbon.
Toolbar: Component Footprint
Menu: Panel Layout [image] Insert Footprint (Manufacturer Menu)Does not exist in the menus.
Command entry: AEFOOTPRINTMFG
NoteThis dialog box is also available by clicking Vendor Menu Select on the Vendor Panel Footprint dialog box after a vendor is first selected.

The vendor icon menu files that are found in AutoCAD Electrical are listed in the dialog box.


Insert panel footprints using vendor menus (Quick Reference)

Insert panel footprints using vendor menus
Insert panel footprints using vendor menus
Insert panel footprints using icon menu
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using vendor menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Vendor panel footprint

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Manufacturer Menu. Does not exist on the ribbon.
Toolbar: Component Footprint
Menu: Panel Layout [image] Insert Footprint (Manufacturer Menu)Does not exist in the menus.
Command entry: AEFOOTPRINTMFG

Select the vendor menu to use and click OK.

Clicking an icon inserts the footprint into the active drawing as defined by the command in the .pnl file.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. It is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (*.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol images corresponding to the menu or the submenu selected in the Menu section. Clicking on the icon inserts the footprint into the active drawing as defined by the command in the .pnl file.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list box follows the view options setting in the symbol preview window (icon, icon with text or list view). The total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

No edit dialog box

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (that is, without assigning a unique Component Tag). The untagged value that displays is the TAG1/TAG2 default value of the component. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale

Specifies the component block insertion scale. This defaults to the value set in the Panel Drawing Configuration dialog box. Once set, this value is remembered until reset or until the drawing editing session ends. There are separate scale factors for schematic and panel components.

Vendor Menu Select

Displays the Vendor Menu Selection dialog box.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the folders.
  • Properties: Opens a Properties dialog box to modify the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to modify the existing symbol icon properties like the icon name/image/block names and so on. Use the Icon Menu Wizard to change any icon properties.


Insert panel footprints using icon menu (Concept)

Insert panel footprints using vendor menus
Footprint/Terminal Insertion
Insert panel footprints manually
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using icon menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pick a general component category from a generic icon menu (such as pilot lights). Once a component is selected, choose from the options available to insert the footprint.

  • Choice A - make catalog assignment for automatic footprint selection. AutoCAD Electrical finds a match for the manufacturer and catalog number combination in the footprint look-up file to determine the correct footprint block to insert.
  • Choice B - manual footprint selection or creation.
  • Choice C - in cases where a manufacturer and catalog is given but is not in a lookup file, AutoCAD Electrical enables this option allowing you to add an entry in the footprint look-up database file.


Insert panel footprints using icon menu (Procedure)

Insert panel footprints using vendor menus
Up a level to ..
Insert panel footprints manually
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using icon menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert panel footprints using icon menu

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Enter AEFOOTPRINT at the command prompt.
  2. In the Insert Footprint dialog box, select the component to insert from the Symbol Preview window and click OK.
  3. On the Footprint dialog box, choose one of the following:
    • Choice A - make catalog assignment for automatic footprint selection.
    • Choice B - manual footprint selection or creation.
    • Choice C - in cases where a manufacturer and catalog is given but is not in a lookup file, AutoCAD Electrical enables this option allowing you to add an entry in the footprint look-up database file.
  4. Insert or draw the footprint.
  5. Enter values in the Panel Layout - Component Insert/Edit dialog box.
  6. Click OK.


Insert panel footprints using icon menu (Quick Reference)

Insert panel footprints using vendor menus
Insert panel footprints using icon menu
Insert panel footprints manually
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints using icon menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert footprint

Inserts a panel footprint you select from the icon menu.

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Insert Footprint (Icon Menu)Does not exist in the menus.
Command entry: AEFOOTPRINT

You can insert smart footprint outlines of electrical components and devices onto layout drawings. You pick the insertion point and orientation for the footprint. Assign values on the footprint such as tag, catalog assignment, location, installation, descriptions, ratings, and miscellaneous values.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to modify the menu easily. The default icon menu can also be redefined in "wd.env". Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. It is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

NoteIf the program cannot find any of the icon menu files listed in the .wdp, an alert dialog box appears.

Symbol Preview window

Displays the symbol images corresponding to the menu or the submenu selected in the Menu section. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. The list box follows the view options setting in the symbol preview window (icon, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

No edit dialog box

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (example: without assigning a unique Component Tag). The untagged value that displays is the TAG1/TAG2 default value of the component. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Panel Drawing Configuration dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Panel Drawing Configuration dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name/image/block names and so on. Use the Icon Menu Wizard to change any icon properties.


Insert panel footprints manually (Concept)

Insert panel footprints using icon menu
Footprint/Terminal Insertion
Insert panel footprints from a catalog list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints manually
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select to use a generic marker only, draw shapes, select a similar footprint, choose from a file dialog box, or pick on an existing block on the current drawing to convert it to AutoCAD Electrical on the fly.


Insert panel footprints manually (Procedure)

Insert panel footprints using icon menu
Up a level to ..
Insert panel footprints from a catalog list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints manually
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert panel footprints manually

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Manual. Enter AEFOOTPRINTMAN at the command prompt.
  2. In the Insert Component Footprint -- Manual dialog box, select:
    • Use generic marker only - Insert a block to annotate with the tag, description text, and so on, of the component.
    • Draw shapes - draw a rectangle, circle, or octagon to represent the component.
    • Pick “just like” footprint - Select a block from the drawing.
    • Browse - pick a block from a list of files on disk.
    • Pick - pick a non-AutoCAD Electrical block on the drawing to change into a smart AutoCAD Electrical block.
  3. Insert or draw the footprint.
  4. Enter values in the Panel Layout - Component Insert/Edit dialog box.
  5. Click OK.


Insert panel footprints manually (Quick Reference)

Insert panel footprints using icon menu
Insert panel footprints manually
Insert panel footprints from a catalog list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints manually
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Footprint

Some schematic components may not carry manufacturer/catalog information or have a part number assigned that is not listed in the footprint lookup file. In such a case, AutoCAD Electrical cannot determine which footprint block to use, so you must select to make catalog assignments, select or create a footprint, or create a lookup entry on the fly.

Insert Footprint (Icon Menu)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Insert Footprint (Icon Menu)Does not exist in the menus.
Command entry: AEFOOTPRINT

Select the footprint to insert.

Choice A - make catalog assignment for automatic footprint selection

Enter catalog information, or if there is not a catalog assignment use the catalog lookup to find and select catalog information. An attempt is made to find a match in the footprint lookup of the manufacturer or the _PNLMISC miscellaneous lookup file.

Choice B - manual footprint selection or creation

Skips the catalog assignment. Select from the available options to insert a footprint.

Use generic marker only | Inserts a block with the tag, description text, and so on, of the component.
Draw shapes | Draws a rectangle, circle, or octagon to represent the component. Text and hidden information inserted when drawn.
Pick "just like" footprint | Select a block from the drawing.
Browse | Pick a block from a list of .DWG files on disk.
Pick | Pick a non-AutoCAD Electrical block on the drawing to be instantly changed into a smart AutoCAD Electrical block.
ABECAD | Pick your own ABECAD install to link to.

Choice C - add entry to footprint database

A footprint lookup database table matches MFG/CAT part number combinations with their appropriate footprint blocks. In cases where a MFG/CAT number is given but is not in a lookup file, AutoCAD Electrical enables this option.

There are two categories of panel footprint lookup files: manufacturer and miscellaneous.

Add Entry to Manufacturer | Adds a new entry to the manufacturer-specific footprint lookup table and matches it with an existing footprint block or drawing file. It has the same name as the manufacturer name of the component.
Add Entry to Miscellaneous | Adds a new entry to a miscellaneous (catch all) footprint lookup table called "_PNLMISC". It adds the MFG/CAT combination to the footprint lookup table and matches it with an existing footprint block or library symbol. If the lookup table does not exist, it is created.
Insert Footprint (Manual)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Manual. Does not exist on the ribbon.
Toolbar: Component Footprint
Menu: Panel Layout [image] Insert Footprint (Manual)Does not exist in the menus.
Command entry: AEFOOTPRINTMAN

Skips the catalog assignment. Select to draw a simple footprint representation of the selected device, browse for a footprint block file, pick on an existing block on the current drawing to convert it to AutoCAD Electrical-smart on the fly, or invoke an external program to find and insert a footprint representation of a given catalog number.

Use generic marker only | Inserts a block with the tag, description text, and so on, of the component.
Draw shapes | Draws a rectangle, circle, or octagon to represent the component. Text and hidden information inserted when drawn.
Pick "just like" footprint | Select a block from the drawing.
Browse | Pick a block from a list of .DWG files on disk.
Pick | Pick a non-AutoCAD Electrical block on the drawing to be instantly changed into a smart AutoCAD Electrical block.
ABECAD | Pick your own ABECAD install to link to.


Insert panel footprints from a catalog list (Concept)

Insert panel footprints manually
Footprint/Terminal Insertion
Insert footprints from an equipment list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a catalog list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts panel symbols by choosing a catalog number or a component description from a user-defined pick list. The data displayed in this pick list is stored in a database in generic Access format. The file name is wd_picklist.mdb and can be edited with Access or from Add/Edit/Delete along the bottom of the dialog box of the pick list.


Insert panel footprints from a catalog list (Procedure)

Insert panel footprints manually
Up a level to ..
Insert footprints from an equipment list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a catalog list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert panel footprints from a catalog list

Insert a panel symbol by choosing a catalog number or a component description from a user-defined pick list. The data displayed in this pick list is stored in a database in generic Access format. The file name is wd_picklist.mdb and can be edited with Access or from Add/Edit/Delete along the bottom of the dialog box of the pick list.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Catalog List. Enter AEFOOTPRINTCAT at the command prompt.
  2. In the Panel footprint: Select and Insert by or Description Pick dialog box, select a component.
  3. Click OK.
  4. Select the insertion point and orientation.
  5. Enter values in the Panel Layout - Component Insert/Edit dialog box.
  6. Click OK.


Insert panel footprints from a catalog list (Quick Reference)

Insert panel footprints manually
Insert panel footprints from a catalog list
Insert footprints from an equipment list
Panel Layout > Footprint/Terminal Insertion >
Insert panel footprints from a catalog list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic component or panel footprint

Inserts schematic or panel symbols by choosing a catalog number or a component description from a user-defined pick list. The data displayed in this pick list is stored in a database in generic Access format. The file name is wd_picklist.mdb and can be edited with Access or from Add/Edit/Delete along the bottom of the pick list's dialog box. The AutoCAD Electrical normal search path sequence is used to locate this file.

Insert Component (Catalog List)
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Catalog List. Does not exist on the ribbon.
Toolbar: Insert Component
Menu: Components [image] Insert Component (Lists) [image] Insert Component (Catalog List)Does not exist in the menus.
Command entry: AECOMPONENTCAT
Insert Footprint (Catalog List)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Catalog List. Does not exist on the ribbon.
Toolbar: Insert Footprint (Lists)
Menu: Panel Layout [image] Insert Footprint (Lists) [image] Insert Footprint (Catalog List)Does not exist in the menus.
Command entry: AEFOOTPRINTCAT

Both schematic and panel layout symbols can be included in the pick list database but only schematic or panel entries are displayed at a time depending on whether the routine is called from the AutoCAD Electrical or Panel Layout toolbar.

Sort by | Specifies how to sort the record list. You can sort by description, catalog number, or manufacturer code.
Add | Opens a dialog box for creating a record. If the footprint block is not in an AutoCAD or an AutoCAD Electrical search path, include the part of the path that needs to be appended to one of these search paths (or you can enter the full path). If the new record is similar to an existing record, highlight the existing record before you click Add.
Edit | Opens a dialog box for editing a record. Highlight the record and click Edit. Modify the record in the displayed dialog box.
Delete | Removes an existing record.


Insert footprints from an equipment list (Concept)

Insert panel footprints from a catalog list
Footprint/Terminal Insertion
Insert a copy of a panel footprint
Panel Layout > Footprint/Terminal Insertion >
Insert footprints from an equipment list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

This tool lists data extracted from your equipment list, finds the appropriate panel symbol by querying the footprint_lookup.mdb, and inserts the panel footprint at your pick point. Each line or record in the equipment list represents a single entry into the Panel Equipment in {file name} dialog box for schematic component selection. The quantity for a selected catalog number is not supported.


Insert footprints from an equipment list (Quick Reference)

Insert panel footprints from a catalog list
Insert footprints from an equipment list
Insert footprints from an equipment list
Panel Layout > Footprint/Terminal Insertion >
Insert footprints from an equipment list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel equipment in

Settings


Insert footprints from an equipment list (Procedure)

Insert panel footprints from a catalog list
Up a level to ..
Insert a copy of a panel footprint
Panel Layout > Footprint/Terminal Insertion >
Insert footprints from an equipment list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert footprints from an equipment list

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Equipment List. Enter AEFOOTPRINTEQ at the command prompt.
  2. Browse to and select your equipment list.
  3. Select the sheet name if prompted.
  4. Define the settings for the equipment list on the Settings dialog box. This includes assigning column numbers to data categories, such as Manufacturer, Catalog, and Installation.
  5. Click OK on the Settings dialog box. The equipment is displayed in the Panel equipment in {file name} dialog box.
  6. Select an item and click Insert.
    • AutoCAD Electrical takes the manufacturer attribute value (MFG) and finds a table in the footprint_lookup.mdb file with this name.
    • AutoCAD Electrical queries this specific vendor table using the catalog attribute value (CAT) of the selected entry and returns the block name from the matched record.
    • The Insert Footprint command starts and prompts for the insertion point for the footprint block.
  7. Pick the insertion point and orientation.
    • The values from the equipment list are copied to the footprint representation.
  8. In the Panel Layout - Component Insert/Edit dialog box, enter additional component values and click OK.
  9. In the Panel equipment in {file name} dialog box, click Close.


Insert footprints from an equipment list (Quick Reference)

Insert footprints from an equipment list
Insert footprints from an equipment list
Insert footprints from an equipment list
Panel Layout > Footprint/Terminal Insertion >
Insert footprints from an equipment list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel equipment in

You can select to insert a single panel footprint or multiple footprints from the equipment list.

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Equipment List. Does not exist on the ribbon.
Toolbar: Insert Footprints (Lists)
Menu: Panel Layout [image] Insert Footprint (Lists) [image] Insert Footprint (Equipment List)Does not exist in the menus.
Command entry: AEFOOTPRINTEQ

Select the spreadsheet file to use and click Open. Specify to use the default settings or previously saved settings and click OK.

Sort List

Sorts the list of components. You can specify four sorts to perform on the list.

Catalog Check

Performs a Bill of Material check and displays the result. Enabled if the selected panel component contains catalog data.

Footprint scale

Specifies the block insert scale. (1.0 = full)

Rotate

Specifies the block rotation angle. (blank = "ask")

External Program

Executes an external user routine to retrieve the footprint block name and catalog data. Requires the WD_XCAT reference in the wd.env and a user AutoLISP file to manage the data send/receive with the external routine.

Manual

Specifies to pick the panel footprint manually. The Panel Component dialog box displays, so you can define the footprint to use.

Insert

Finds and inserts footprint for the highlighted component. It is based on a match between the catalog part number of the footprint symbol and an entry in a schematic lookup file. If 0 matches are found, you are prompted to draw the footprint manually, add an entry in the lookup file, or select an existing footprint drawing file. If multiple components are selected in the list, the Spacing for Footprint Insertion dialog box displays. Define how to insert the first component of each device.

Use Footprint tables | Accesses the standard footprint lookup table that matches the MFG code of the device. This table is set up to insert a full mechanical representation of the device.
Use Wiring diagram tables | Accesses an alternate table in the footprint lookup table. This table matches the MFG code but attaches an "_WD" suffix. The tables with the "_WD" suffix are set up to insert a symbol that carries the wire connection attributes.
Convert Existing

Inserts selected data on an existing "dumb" block insert. It converts the block to a smart AutoCAD Electrical footprint.

Pick File

Allows you to pick a file for the insert. Select an existing AutoCAD Electrical extracted panel component list file or extract a fresh copy of panel component data from the current database of the project.


Insert footprints from an equipment list (Quick Reference)

Insert footprints from an equipment list
Insert footprints from an equipment list
Edit a footprint or panel terminal
Panel Layout > Footprint/Terminal Insertion >
Insert footprints from an equipment list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Settings

This spreadsheet organizes the selected user-created equipment list and presents the list in a pick list. As you pick an item from the pick list, the appropriate schematic symbol is found and inserted in the drawing at your pick point. Your equipment list can be an AutoCAD Electrical-generated Component report, or it can be a list of motors giving horsepower and starter type along with motor ID and descriptions.

NoteYou can open a comma-delimited file, Excel spreadsheet, or Access database file for input.
Insert Component (Equipment List)
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Equipment List. Does not exist on the ribbon.
Toolbar: Insert Component (Lists)
Menu: Components [image] Insert Component (Lists) [image] Insert Component (Equipment List)Does not exist in the menus.
Command entry: AECOMPONENTEQ

Select the spreadsheet file to use and click Open. Click the table to edit and click OK.

Insert Footprint (Equipment List)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Equipment List. Does not exist on the ribbon.
Toolbar: Insert Footprint (Lists)
Menu: Panel Layout [image] Insert Footprint (Lists) [image] Insert Footprint (Equipment List)Does not exist in the menus.
Command entry: AEFOOTPRINTEQ

Select the spreadsheet file to use and click Open. Click the table to edit and click OK.

Default settings | Uses the default settings for managing equipment lists.
Read settings | Reads and uses the settings for a previously saved file.
Spreadsheet/Table columns | Defines the order of the data in the selected equipment list file. Assign column numbers to data categories (such as Manufacturer, Catalog, and Installation) in the Equipment List Spreadsheet Settings dialog box.
Save settings | Saves the column information in a text file to be reused. The filename is user-defined with the extension WDE.


Insert a copy of a panel footprint (Procedure)

Insert footprints from an equipment list
Up a level to ..
Use panel templates and assemblies
Panel Layout > Footprint/Terminal Insertion >
Insert a copy of a panel footprint
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Insert a copy of a panel footprint

Copies a selected panel footprint on the active drawing.

Use the Copy Footprint tool instead of AutoCAD Copy when a panel component footprint has a balloon or a nameplate associated with it. The program establishes invisible Xdata pointers tied to a footprint, and updates them in the Copy Footprint operation.

  1. Click Panel tab [image] Edit Footprints panel [image] Copy Footprint. Enter AECOPYFOOTPRINT at the command prompt.
  2. Select the panel component to copy.
  3. Click the drawing to specify the insertion point or enter a value.

    The Panel Layout - Component Insert/Edit dialog box displays.

  4. Specify any necessary values such as the component tag, catalog information, or description.
  5. Click OK.


Use panel templates and assemblies (Concept)

Insert a copy of a panel footprint
Footprint/Terminal Insertion
Footprint/Terminal Edit
Panel Layout > Footprint/Terminal Insertion >
Use panel templates and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

You can use templates to create a panel layout drawing or to add attributes to footprints automatically during insertion time. You can Wblock assemblies of panel components out to disk for insertion later.

Panel layout template drawings

You can set up an AutoCAD template drawing for panel layout drawings with the WD_PNLM block pre-inserted and set up with your own default settings. You can also set up client-specific template drawings and reference the appropriate one when starting a new AutoCAD Electrical panel drawing.

Attribute template drawings

You can set up to have visible attributes added to any footprint automatically at footprint insertion time. Using non-intelligent footprint representations can insert with smart AutoCAD Electrical attributes added automatically, on the fly.

There are 5 attribute template drawings:
wd_ptag_addattr_comp.dwg | component footprints
wd_ptag_addattr_trm.dwg | terminal footprints
wd_ptag_addattr_wtrm.dwg | terminal with wire no. as terminal number
wd_ptag_addattr_itemballoon.dwg | balloons
Wd_ptag_addattr_pnltermstrip.dwg | terminal footprints (when inserted by Level/Sequencing tools)

When a panel footprint is inserted, the following steps are performed if the appropriate attribute template exists.

  1. Find the center of the footprint by collecting and averaging the objects that make up the footprint.
  2. Insert the attribute template at the calculated center of the footprint.
  3. Make sure there are no duplicate attributes. If duplicate attributes are found, the attribute from the footprint is kept.
  4. Reblock the added attributes with the inserted footprint.
  5. Add the schematic data to the footprint. The data is added as attribute data if the target attribute exists. If the target attribute does not exist, the data is added as invisible xdata.
Panel assembly

You can Wblock assemblies of panel components out to disk for insertion later. Use the Insert Panel Assembly utility instead of the AutoCAD Insert/Explode command when to insert a WBlocked group of panel component footprints with balloons or nameplates. Since AutoCAD Electrical establishes invisible Xdata pointers when they are tied to a footprint, they are properly updated when inserted using this utility. Use the Copy Assembly utility to copy panel assemblies on the active drawing.


Use panel templates and assemblies (Procedure)

Insert a copy of a panel footprint
Up a level to ..
Use panel templates and assemblies
Panel Layout > Footprint/Terminal Insertion >
Use panel templates and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert panel footprint assemblies

Copy panel footprint assemblies


Insert panel footprint assemblies (Procedure)

Use panel templates and assemblies
Up a level to ..
Use panel templates and assemblies
Panel Layout > Footprint/Terminal Insertion >
Use panel templates and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert panel footprint assemblies

Inserts a WBlocked panel footprint assembly.

Use the Insert Panel Assembly utility instead of the AutoCAD Insert/Explode command to insert a group of panel component footprints with balloons or nameplates. The program establishes invisible Xdata pointers tied to a footprint, and updates them in the Insert Panel Assembly operation.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Panel Assembly. Enter AEPANELASM at the command prompt.
  2. Specify whether to add the intelligence needed for each block to be treated as an AutoCAD Electrical footprint.
  3. Click OK.
  4. In the Wblocked Assembly to Insert dialog box, select the assembly and click Open.
  5. Specify the insertion point for the block.
  6. Enter a rotation angle or press Enter to use the default.

    Your block is inserted onto the drawing at your picked point.


Copy panel footprint assemblies (Procedure)

Use panel templates and assemblies
Up a level to ..
Footprint/Terminal Edit
Panel Layout > Footprint/Terminal Insertion >
Use panel templates and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Copy panel footprint assemblies

Copies one or more selected panel footprints.

The Copy Assembly utility copies a group of panel component footprints, balloons, and nameplates. You select the balloons or nameplates to copy with the footprints. The program establishes invisible Xdata pointers tied to a footprint and updates them in the operation.

  1. Click Panel tab [image] Edit Footprints panel [image] Copy Assembly. Enter AECOPYASM at the command prompt.
  2. Select the panel components to copy and right-click.
  3. Enter a base point or displacement value.
  4. Specify the second point and right-click.


Footprint/Terminal Edit

Use panel templates and assemblies
Panel Layout
Edit a footprint or panel terminal
Panel Layout >
Footprint/Terminal Edit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Edit a footprint or panel terminal

    Panel layout - component insert/edit

  • Multiple Catalog
  • Copy code values to components

    Copy installation\location\mount\group to components


Footprint/Terminal Edit (Procedure)

Use panel templates and assemblies
Footprint/Terminal Edit
Copy code values to components
Panel Layout >
Footprint/Terminal Edit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Copy code values to components


Edit a footprint or panel terminal (Concept)

Footprint/Terminal Edit
Footprint/Terminal Edit
Multiple Catalog
Panel Layout > Footprint/Terminal Edit >
Edit a footprint or panel terminal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

You can go back to a component at any time and edit values, such as tag, catalog assignment, location, installation, descriptions, ratings, and miscellaneous values. Related components update to match new values. In some cases, a footprint updates due to manufacturer, catalog, or assembly value changes.


Edit a footprint or panel terminal (Quick Reference)

Insert footprints from an equipment list
Edit a footprint or panel terminal
Edit a footprint or panel terminal
Panel Layout > Footprint/Terminal Edit >
Edit a footprint or panel terminal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel layout - component insert/edit

Panel layout - terminal insert/edit

Add/modify associations


Edit a footprint or panel terminal (Quick Reference)

Edit a footprint or panel terminal
Edit a footprint or panel terminal
Edit a footprint or panel terminal
Panel Layout > Footprint/Terminal Edit >
Edit a footprint or panel terminal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel layout - component insert/edit

Edits the panel footprint or terminal. Converts a selected block if not compatible with AutoCAD Electrical.

Insert Footprint (Icon Menu)
Ribbon: Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Insert Footprint (Icon Menu)Does not exist in the menus.
Command entry: AEFOOTPRINT

Select the footprint to insert and specify the insertion point on the drawing.

Edit Footprint
Ribbon: Panel tab [image] Edit Footprints panel [image] Edit. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Edit FootprintDoes not exist in the menus.
Command entry: AEEDITFOOTPRINT

Select the footprint or nameplate to edit.

You can go back to a footprint at any time and edit values, such as tag, catalog assignment, location, installation, descriptions, ratings, and miscellaneous values. Related components update to match new values. In some cases, a footprint updates due to manufacturer, catalog, or assembly value changes.

NoteThe dialog box options differ depending on whether you are inserting or editing a footprint or nameplate.
Item Number

It is automatically assigned when the catalog part number values match an existing component that is already assigned an Item number. If no existing match is found, you can manually enter an item number. These item numbers, which can be linked to "smart" balloons, display in panel BOM and component lists.

Find | Scans for the target component catalog assignment and assigns the item number if a match is found. If a catalog match is not found, a dialog box is displayed for item number assignment.
List | Displays a list of numbers found in the current drawing or project.
Next | Finds the next available item number.
Catalog Data

Does a drawing or project-wide listing of similar components with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each component type you insert into your wiring diagram is remembered. When you insert another component of that type, the catalog assignment of the previous component is set as the default (assuming a previous one was made during the current editing session).

Manufacturer | Lists the manufacturer number for the footprint. Enter a value or select one from the Catalog lookup.
Catalog | Lists the catalog number for the footprint. Enter a value or select one from the Catalog lookup.
Assembly | Lists the assembly code for the footprint. The Assembly code is used to link multiple part numbers together.
Count | Specifies the quantity number for the part number (blank=1). This value gets inserted into the "SUBQTY" column of a BOM report
Unit | Specifies the unit of measure, which can be displayed in the component list report.
Catalog Lookup | Opens the catalog database of the component from which you can manually enter or pick the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the currently selected component. Database queries are set up in the lists across the top of the dialog box with the database hits listed in the main window of the dialog box.
Drawing | Lists the part numbers used for similar components in the current drawing.
Project | Lists the part numbers used for similar components in the project.
Multiple Catalog | Inserts or edits extra catalog part numbers on to the currently selected component. You can add up to 99 part numbers. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.
Catalog Check | Show how the selected item displays like in a Bill of Material template.
Rating

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a terminal. Select Show All Ratings to display a list of default values.

NoteIf this button is unavailable, the component you are editing does not carry any rating attributes.
Component Tag

Any existing tags appear in the edit box. To define the component tag, edit the tag or type a specific tag in the edit box. Select Fixed if you do not want to update this tag on a retag.

Schematic List | Applies an ID tag number to link the panel component back to its equivalent device on the schematics.
External list file | Assigns a tag from an external list file.
Description

Enter up to three lines of description attribute text.

Drawing | Displays a list of descriptions found in the current drawing so you can select similar descriptions to edit.
Project | Displays a list of descriptions found in the project so you can pick similar descriptions to edit.
Defaults | Opens an ASCII text file from which you can select standard descriptions.
Installation/Location Codes

Changes the installation, location, mount, and group codes. You can search the current drawing or entire project for the codes. A quick read of all the current or selected drawing files is done and a list of installation codes used so far is returned. Select from the list to update the component with the codes automatically.

Assign short installation codes to components like "PNL" and "FIELD" so you can take full advantage of the AutoCAD Electrical ability to create location-specific BOM and component lists later.

Switch Positions

Labels the positions of a selector switch.

Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.


Edit a footprint or panel terminal (Quick Reference)

Edit a footprint or panel terminal
Edit a footprint or panel terminal
Edit a footprint or panel terminal
Panel Layout > Footprint/Terminal Edit >
Edit a footprint or panel terminal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Panel layout - terminal insert/edit

Insert Terminal (Manual)
Ribbon: Panel tab [image] Terminal Footprints panel [image] Insert Terminals drop-down [image] Insert Terminal (Manual). Does not exist on the ribbon.
Toolbar: Terminal Footprint
Menu: Panel Layout [image] Insert Terminal (Manual)Does not exist in the menus.
Command entry: AEPANELTERMINAL

Select the method for inserting a terminal strip and place the terminal strip on the drawing.

Edit Footprint
Ribbon: Panel tab [image] Edit Footprints panel [image] Edit. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Edit FootprintDoes not exist in the menus.
Command entry: AEEDITFOOTPRINT
Tag Strip

These controls determine the overall tagging of the terminal strip in the project. The Installation, Location, and Tag Strip values define which strip the terminal belongs to.

NoteYou can assign short installation or location codes to components like "PNL" and "FIELD" to take full advantage of the AutoCAD Electrical ability to create installation or location-specific BOM and component lists.

Installation

Changes the installation codes. Click Browse to search the active drawing, entire project, and an external list (default.inst) for installation codes. Pick from the list to update the component with the installation code automatically.

Location

Changes the location codes. Click Browse to search the active drawing, entire project, and an external list (default.loc) for location codes. Pick from the list to update the component with the location code automatically.

Tag Strip

Specifies the Tag ID given to the terminal strip. If there is an existing name, it appears in the edit box. If not, you can enter a specific ID name or click the < and > buttons to increment or decrement the last digit/character in the Tag Strip value.

Number

Specifies the terminal number. If there is not PINLIST information, the < and > buttons increment or decrement the terminal number. You can also click Pick to select a text object or an attribute on the active drawing to use for the terminal number.

If the panel footprint is already associated to a schematic symbol, this edit box is already populated with its value.

Modify Properties/Associations

These controls support associations between schematic terminal symbols and their panel terminal footprint and between multiple schematic terminal symbols.

NoteYou cannot associate terminals using the Add/Modify or Break Out Panel options when you insert a terminal using the Insert Terminal (Schematic List) tool. However, once the terminal is inserted onto the drawing, you can modify the associations using these tools.
Add/Modify | Displays the Add/Modify Associations dialog box. Select terminal strips and their respective blocks to make an association to the terminal symbol being inserted or edited. NoteIt is disabled if the active drawing is not part of the active project.
Break Out Panel | Removes the selected terminal symbol out of the defined association. The properties from the original association and the levels of the terminal are maintained.
Block Properties | Displays the Block Properties dialog box where you can define and maintain terminal block properties. NoteIt is disabled if the active drawing is not part of the active project.
Properties/Associations

The list box displays the status of the edited terminals association. It lists all associated terminal symbols from the schematic and terminal panel footprints. If the terminal symbol is being inserted for the first time, the list box only displays the reference for itself. The number of levels defined in the block properties displays at the top of the Properties/Associations group. The terminal number being edited is highlighted in the list box.

You can double-click in the list to modify the terminal association in the Add/Modify Associations dialog box.

NotePin numbering is related to the terminal level and not the terminal tag number instance.
Label | Lists the level description defined in the terminal block properties.
Number | Lists the terminal numbers defined in the association. Only one terminal number is allowed per level and each level displays its respective terminal number or text. Panel terminal symbols do not display terminal numbers.
PinL | Lists the pin numbers defined left side of the terminal block. This data is entered into the L0nPINL attribute if present; otherwise, it is placed in the xdata.
PinR | Lists the pin numbers defined on the right side of the terminal block. This data is entered into the L0nPINR attribute if present; otherwise, it is placed in the xdata.
Reference | Lists the reference location of the terminal symbol in the project. The syntax is ‘Sheet,Reference’ based on the drawing configuration.
Catalog Data

You can do a drawing-wide or project-wide listing of similar terminals with their catalog assignments. During your editing session, the last MFG / CAT / ASSYCODE assignment for each terminal you insert into your wiring diagram is remembered. When you insert another terminal of that type, the previous catalog assignment of the terminal is set as the default (assuming a previous one was made during the current editing session).

Manufacturer

Lists the manufacturer name for the terminal. Enter a value or select one from the Catalog lookup.

Catalog

Lists the catalog number for the terminal. Enter a value or select one from the Catalog lookup.

Assembly

Lists the assembly code for the terminal. The Assembly code is used to link multiple part numbers together.

Item

Specifies a unique identifier assigned to each terminal. The tag value can be manually typed in the edit box. Click the Item button to launch the Item Number dialog box and search the drawing or project for an item value assigned to this catalog already.

Catalog Lookup

Opens the catalog database of the terminal from which you can select the Manufacturer and Catalog values. Search the database for a specific catalog item to assign to the selected terminal. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Drawing

Lists the part numbers used for similar terminals in the current drawing.

Project

Lists the part numbers used for similar terminals in the project. You can search in the active project, another project, or in an external file.

  • Active project: All the drawings in the active project are scanned and the results are listed in a dialog box. Select from the list to assign your new terminal with a catalog number that is consistent with other similar terminals in the project.
  • Other project: Scans each listed drawing in a previous project for the target terminal type and returns the catalog information in a subdialog box. Make your catalog assignment by picking from the list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the desired entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. They are displayed in the left-hand list. For each relevant item, highlight it and then pick the appropriate category button in the center column. The highlighted item is transferred to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Multiple Catalog

Inserts or edits extra catalog part numbers on to the selected terminal. You can add up to ten part numbers. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and terminal reports.

Catalog Check

Extracts the details from the catalog database to display what the selected item looks like in a Bill of Material template.
Descriptions

Specifies the optional description attribute text to assign to the terminal block (up to three lines of text can be specified). Click Browse to search for all terminal descriptions in the project or active drawing. Select the description you want to copy to the edited terminal block by selecting it in the list and clicking OK.

Ratings

Specifies values for each ratings attribute. You can enter up to 12 ratings attributes on a terminal. Select Show All Ratings to display a list of default values.

NoteIf this button is unavailable, the terminal you are editing does not carry any rating attributes.
Mount or Group

Changes the mount and group codes. You can search the current drawing or entire project for the codes. A quick read of all the current or selected drawing files is done and a list of codes used so far is returned. Select from the list to update the component automatically with the codes.

Show/Edit Miscellaneous

View or edit any attributes that are not predefined AutoCAD Electrical attributes.

External List

Assigns information from an external list to specified data in the Panel Layout - Terminal Insert/Edit dialog box. Any existing information from the dialog box appears in the edit box. To define the information from the selected file, highlight the appropriate information in the Choices list. Select the appropriate button next to the edit box.


Edit a footprint or panel terminal (Quick Reference)

Edit a footprint or panel terminal
Edit a footprint or panel terminal
Multiple Catalog
Panel Layout > Footprint/Terminal Edit >
Edit a footprint or panel terminal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Add/modify associations

This tool searches project terminal strips for existing terminal blocks, allowing you to associate a terminal symbol to an existing association or terminal.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT

Select Terminals and Connectors from the dialog box and specify the insertion point on the drawing. In the Insert/Edit Terminal Symbol dialog box, Modify Properties/Associations section, click Add/Modify.

Edit Component
Ribbon: Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Edit ComponentDoes not exist in the menus.
Command entry: AEEDITCOMPONENT

Select the terminal to edit. In the Insert/Edit Terminal Symbol dialog box, Modify Properties/Associations section, click Add/Modify.

NoteThis is also available from the Panel Layout - Insert/Edit Terminal Footprint dialog box.

Modifications to the terminal symbol associations affect every terminal symbol in the association so all drawings must be available for editing. You cannot edit other terminal associations from this dialog box; only the associations of the selected terminal symbol can be edited.

Active Association

Use this section to modify the terminal number. The Installation, Location, and Tag Strip values are not editable.

Installation

Displays the Installation value defined for the edited terminal symbol.

Location

Displays the Location value defined for the edited terminal symbol.

Tag Strip

Displays the tag strip value defined for the edited terminal symbol.

Number

(Unavailable for panel terminals) Specifies the terminal number. The displayed value is defined in the TERM01 attribute on the terminal symbol.

NoteIf this value is the wire number defined in the WIRENO attribute on the terminal symbol, you cannot change the value.

Active Associations grid

Displays all terminal symbols that are currently associated to the terminal being edited. The terminal symbol that is being edited is highlighted in light blue. Right-click on a terminal symbol to move it up or down one level or select a terminal symbol and drag it to a new level location. Label and Pin information do not move with the terminal symbol number and reference since it is part of the terminal block property definition.

NoteThe panel symbol association will always be at the bottom and cannot be selected for movement.
  • Level numbering: Displays a level number for each level that is defined in the terminal properties. The panel symbol’s level numbering is “#.”
  • Label: Lists the level description defined in the terminal block properties.
  • Number: Lists the terminal numbers defined in the association. Only one terminal number is allowed per level and each level displays its respective terminal number or text. Panel terminal symbols do not display terminal numbers. Terminal levels with an assignment and a terminal that has not been assigned a terminal number display a “???” in this column.
  • PinL: Lists the pin numbers defined on the left side of the terminal block. This data is entered into the LnnPINL attribute if present; otherwise, it is placed into xdata.
  • PinR: Lists the pin numbers defined on the right side of the terminal block. This data is entered into the LnnPINR attribute if present; otherwise, it is placed into xdata

    Pin numbering is related to the terminal level and not the terminal tag number instance.

  • Reference: Lists the terminal symbol’s reference location in the project. The syntax is “Sheet,Reference” based on the drawing configuration.
Select Association

Terminal Strips

Displays all terminal strips inside of the active project. The tree contains three nodes to aid in finding a specific terminal block in the project. These are: active project name, Tag Strip value (Installation and Location included) and terminal blocks.

  • Active Project node: Displays the name of the active project.
  • Tag Strip Value node: Displays the entire Installation, Location, and Tag Strip values for all terminal strips in the active project. The terminal block quantity displays at the end of the node string in parenthesis.
  • or [image] Terminal Block node: Displays the terminal numbers defined on the block (separated by commas). The number of levels defined in the block properties displays at the end of the node string in parenthesis. For example, 1,21,GND (3).

    If a level is not represented on the schematic, it is represented by empty space: 1, , GND (3). If a terminal has been assigned to the level, but the terminal does not have a number assignment, they are represented by ‘???’: 1,???,GND (3).

Select Association grid

Displays all levels of the terminal selected in the tree. Select the level to place the edited terminal in and right-click to run the associate command (or click Associate).

Associate

Adds the edited terminal symbol to the terminal association. A terminal number is then inserted into the Number column and the Reference column is updated with the terminal reference defined in the drawing properties.

NoteThe grid row must be selected before you can perform the association.

This is unavailable until you select a level in the grid control when editing a schematic terminal or until you select a terminal from the tree control when editing a panel footprint. A grid selection is not required for panel footprints since the footprint is associated to the entire terminal, not an individual level.


Multiple Catalog (Concept)

Edit a footprint or panel terminal
Footprint/Terminal Edit
Copy code values to components
Panel Layout > Footprint/Terminal Edit >
Multiple Catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

This tool allows you to insert or edit extra catalog part numbers on to the currently selected component or footprint. You can add up to 99 additional part numbers to any schematic or panel component on-the-fly. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.


Multiple Catalog (Quick Reference)

Edit a footprint or panel terminal
Multiple Catalog
Multiple Catalog
Panel Layout > Footprint/Terminal Edit >
Multiple Catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Multiple bill of material information

Multiple catalog part number assignments


Multiple Catalog (Quick Reference)

Multiple Catalog
Multiple Catalog
Multiple Catalog
Panel Layout > Footprint/Terminal Edit >
Multiple Catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Multiple bill of material information

This tool allows you to insert or edit extra catalog part numbers on to the currently selected component or footprint. You can add up to 99 additional part numbers to any schematic or panel component on-the-fly. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and component reports.

On the Insert/Edit Component or Panel Layout - Component Insert/Edit dialog box, Catalog Data section, click Multiple Catalog.

NoteYou can also access this dialog box by clicking Multiple Catalog on the Copy Catalog Assignment dialog box.

The additional catalog part numbers are saved on the symbol as MFGn/CATn/ASSYCODEn attribute values where "n" is the sequential code value "01" through "99" selected in the top list box. If these attributes are not present on the symbols, AutoCAD Electrical saves the information as Extended Entity Data (Xdata) on the symbol's block insert.

Sequential code

Adds up to 99 extra part numbers (in addition to the main catalog part number). Pick which one you want to add or inspect/edit. Click the list button to show all extra part numbers carried on the component.

Catalog Data

Specifies the catalog part number information such as the manufacturer and catalog number.

Count

Specifies the quantity number for the extra part number (blank=1). This value gets inserted into a BOM report's "SUBQTY" column.

Unit

Specifies the unit of measure, which can be displayed in the component list report.

Parts Catalog Lookup

Lists the catalog database table that is to be referenced for the description information for the given Manufacturer/Catalog/Assembly combination. For each catalog entry, you must provide a name for the catalog look-up table. For the main catalog entry, this information is provided on the symbol itself but may not be there for these catalog entries. Select List to pick from a list of tables that are contained in your catalog database file or Misc to use the MISC_CAT table.

Catalog Lookup

Checks for and displays catalog table information in the Parts Catalog dialog box for the selected component type.

Catalog Check

Quickly performs a Bill of Material check and displays the result.


Multiple Catalog (Quick Reference)

Multiple Catalog
Multiple Catalog
Copy code values to components
Panel Layout > Footprint/Terminal Edit >
Multiple Catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Multiple catalog part number assignments

This displays the order in which the extra part numbers will appear in the various AutoCAD Electrical reports. You can add up to 99 additional part number assignments to a component.

On the Insert/Edit Component or Panel Layout - Component Insert/Edit dialog box, Catalog Data section, click Multiple Catalog. Click Sequential Code: List on the Multiple Bill of Material Information dialog box.

NoteYou can also access this dialog box by clicking Multiple Catalog on the Copy Catalog Assignment dialog box and then clicking Sequential Code: List.

To change the order, highlight the part number and click Move Up or Move Down to move it in the list.


Copy code values to components (Procedure)

Footprint/Terminal Edit
Up a level to ..
Layout Wire Connection Annotation
Panel Layout > Footprint/Terminal Edit >
Copy code values to components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Copy code values to components

Use this tool to insert or copy installation, location, group, or mount code values to selected components. These values extract into various reports and may be useful for sorting or grouping purposes. Copied values show up on the target footprints as an attribute value if an attribute is present or as invisible Xdata.

NoteThis procedure uses the Copy Location Code tool, but you can use the same steps for any of the Panel Location Copy tools.
  1. Click Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Location code. Enter AECOPYLOC at the command prompt.
  2. In the Copy Installation\Location\Mount\Group to components dialog box, select the code names you want to copy.
  3. Enter a value for the code:
    • Pick Master: Select a panel component from the drawing carrying the desired values for the all the codes you want to copy.
    • Enter a value in the edit box.
    • Drawing: Select a value from a list of values used on the active drawing.
    • Project: Select a value from a list of values used in the project.
    • Pick: Select a panel component from the drawing carrying the desired value for the specific code.
  4. Click OK.
NoteSchematic components only update installation or location values when the component carries an installation or location attribute respectively. Panel components update with either of the two data categories whether target attributes are present or not.


Copy code values to components (Quick Reference)

Multiple Catalog
Copy code values to components
Add wire information to footprints
Panel Layout > Footprint/Terminal Edit >
Copy code values to components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Copy installation\location\mount\group to components

This tool lets you do mass copies of location, installation, group, or mount codes to all the components you select. You either type in the code, pick from an online list, or pick a similar master component.

Copy Installation Code
Ribbon: Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Installation Code. Does not exist on the ribbon.
Toolbar: Copy Codes
Menu: Panel Layout [image] Panel Miscellaneous Tools [image] Copy Installation CodeDoes not exist in the menus.
Command entry: AECOPYINST
Copy Location Code
Ribbon: Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Location code. Does not exist on the ribbon.
Toolbar: Copy Codes
Menu: Panel Layout [image] Panel Miscellaneous Tools [image] Copy Location CodeDoes not exist in the menus.
Command entry: AECOPYLOC
Copy Mount Code
Ribbon: Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Mount code. Does not exist on the ribbon.
Toolbar: Copy Codes
Menu: Panel Layout [image] Panel Miscellaneous Tools [image] Copy Mount CodeDoes not exist in the menus.
Command entry: AECOPYMOUNTCODE
Copy Group Code
Ribbon: Panel tab [image] Edit Footprints panel [image] Copy Codes drop-down [image] Copy Group code. Does not exist on the ribbon.
Toolbar: Copy Codes
Menu: Panel Layout [image] Panel Miscellaneous Tools [image] Copy Group CodeDoes not exist in the menus.
Command entry: AECOPYGROUPCODE
Pick master | Retrieves existing values by selecting a panel component from the drawing carrying the desired Installation or Location value you wish to copy.
Installation | Specifies to copy the installation code that you enter in the edit box.
Location | Specifies to copy the location code that you enter in the edit box.
Mount | Specifies to copy the mount code that you enter in the edit box.
Group | Specifies to copy the group code that you enter in the edit box.
Drawing | Selects a value for the code from a list of values used on the current drawing.
Project | Selects a value for the code from a list of values used in the project.
Pick | Selects a value for the code from a master list of values of the component.


Layout Wire Connection Annotation

Copy code values to components
Panel Layout
Add wire information to footprints
Panel Layout >
Layout Wire Connection Annotation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Add wire information to footprints

    Schematic wire numbers -> panel wiring diagram


Layout Wire Connection Annotation (Procedure)

Copy code values to components
Layout Wire Connection Annotation
Add wire information to footprints
Panel Layout >
Layout Wire Connection Annotation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Add wire information to footprints


Add wire information to footprints (Concept)

Layout Wire Connection Annotation
Layout Wire Connection Annotation
Lookup Files
Panel Layout > Layout Wire Connection Annotation >
Add wire information to footprints
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert schematic wire connection information on to panel footprint representations. After you add wire numbers to your schematics, annotate panel footprint symbols with this information. You can build panel footprint symbols with target attributes used for the wire connection information. If these attributes are not present on the panel footprint, an MTEXT entity is added to carry the wire information.

Target Attributes

If the panel footprint blocks carry certain target attributes, they are used for the wire information. Each wire connection attribute definition is tied to a terminal attribute definition (TERMxx) by the matching two digit suffix on each attribute tag pair. The default value of the TERMxx attribute is used to match up the wire connection information from the schematic components.

  • TERMxx - incremented for each wire connection. Carries the default pin value for the wire connection. The two digit suffix relates the attribute to the wire annotation attributes, WIRENOxx, WDEVxx, and WLEVxx.
  • WIRENOxx - wire connection information is written to this attribute. Optionally, use WIRENOxxA, WIRENOxxB, and so on, to separate multiple wire connections across multiple attributes.
  • WDEVxx - if present, the connected component part of the annotation is broken out and placed on this attribute.
  • WLAYxx - if present, the connected wire layer part of the annotation is broken out and placed on this attribute.

For example, here is a footprint representation for a 4-pole relay.

The TERMxx attribute definition default values match the default pin values for the relay, for example:

  • Parent coil - K1, K2
  • Child contact pairs - A1X/A1Y, A2X/ A2Y, A3X/A3Y, A4X/A4Y

When the wire connection information is added to the footprint, the match is made based on the TERMxx value match.

NoteYou can build two sets of panel footprint symbols: one set that does not carry the target attributes for wire information and a set that does. When you insert your panel symbols from the schematic extract, select Use Footprint Tables to access the first set of symbols or select Use Wiring Diagram Tables to access the second set.
MText

The default MText insertion point is the same as the insertion point of the footprint block. The default text size either matches that of existing wire number attributes found on the footprint symbol or, if none present, the MText size is forced to match the current value of the AutoCAD system variable "TEXTSIZE".

To predefine the MText insertion point, text size, and text style on footprint blocks, insert an invisible attribute "WXREF" on your footprint block library symbol. Open up each footprint symbol in AutoCAD and insert a blank attribute definition "WXREF". Put its origin at the point where you want AutoCAD Electrical to insert the MText wire connection information. Mark this attribute definition invisible and set its text size and style to the desired MText size and style.


Add wire information to footprints (Quick Reference)

Copy code values to components
Add wire information to footprints
Add wire information to footprints
Panel Layout > Layout Wire Connection Annotation >
Add wire information to footprints
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic wire numbers -> panel wiring diagram

Schematic layout wire connection annotation


Add wire information to footprints (Procedure)

Layout Wire Connection Annotation
Up a level to ..
Lookup Files
Panel Layout > Layout Wire Connection Annotation >
Add wire information to footprints
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add wire information to footprints

Inserts schematic wire connection information on to panel footprint representations.

After you add wire numbers to your schematics, annotate panel footprint symbols with this information. You can build panel footprint symbols with target attributes used for the wire connection information. If these attributes are not present on the panel footprint, a new or updated MTEXT entity displays the wire information.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Wire Annotation. Enter AEWIREANNOTATION at the command prompt.
  2. Specify to export the data for the active drawing or the entire project and click OK.
  3. Select the wire numbering format to use.
  4. Select the layout devices to update with the schematic wire connection information.
  5. Click OK.
  6. If you are exporting the data for the entire project, select the drawings to process, and click OK.


Add wire information to footprints (Quick Reference)

Add wire information to footprints
Add wire information to footprints
Add wire information to footprints
Panel Layout > Layout Wire Connection Annotation >
Add wire information to footprints
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic wire numbers -> panel wiring diagram

Annotates panel footprint symbols with wire connection information extracted from selected schematics.

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Wire Annotation. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Wire Annotation of Panel FootprintDoes not exist in the menus.
Command entry: AEWIREANNOTATION
Panel connection annotation for | Specifies to create an annotation for the active drawing, object in the drawing, or the entire project.
Freshen | Updates the wire connection table with the out-of-date files
List | Lists the drawings that appear to be out-of-date with the wire connection table of the project.
Report only (no drawing update) | Specifies to update only the report - not the drawing.
Location Codes to extract | Extracts only the information for components with specific location values. Once you pick Named Location, type the location code in the box or click List: Drawing or List: Project to select from a list of used location codes. AutoCAD Electrical automatically creates a comma-delimited list for the named location search.
Replaceable parameters for defining wire annotation
%P | Terminal pin text
%Q | Terminal pin TERMDESC text
%I | IEC-style installation code
%L | IEC-style location code
%M | Mount assignment (on panel footprint equivalent)
%U | Group assignment (on panel footprint equivalent)
%W | Wire number
%C | Cable tag + conductor/core color combination (format is "tag-color")
%E | Cable tag
%J | Cable conductor/core color
%V | Cable tag substituted for wire number if cable tag is non-blank. The wire number is displayed when a cable ID does not exist.
%G | Wire color/gauge (or wire layer name)
%H | Cable wire color substituted for wire number if cable color is non-blank. The wire layer is displayed when a wire conductor in conjunction with a cable ID does not exist.
%T | Terminal strip terminal pin assignment
%K | Terminal strip TERMDESC text - useful for multi-stack terminals
%1 | Destination component tag ID. You can use only one of the (%number) parameters.
%2 | Equivalent of "%1:%P" (component tag:term)
%3 | Equivalent of "%1:%P:%D" (component tag:term:termdesc)
%4 | Equivalent of "%L%1" (IEC component tag)
%5 | Equivalent of "%L%1:%P" (tag:term)
%6 | Equivalent of "%L%1:%P:%D" (tag:term:termdesc)
%7 | Equivalent of "%I%I%1" (INST prefix+IEC component tag)
%8 | Equivalent of "%I%L%1:%P" (tag:term)
%9 | Equivalent of "%I%L%1:%P:%D" (tag:term:termdesc)

The part after the ":" is suppressed if the value is blank in %2 - %9 parameters. For example, %2=comp tag:term. The ":term" part is suppressed if blank.


Add wire information to footprints (Quick Reference)

Add wire information to footprints
Add wire information to footprints
Use the footprint lookup file
Panel Layout > Layout Wire Connection Annotation >
Add wire information to footprints
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Schematic layout wire connection annotation

Defines the wire connection text format.

Ribbon: Panel tab [image] Insert Component Footprints panel [image] Wire Annotation. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Wire Annotation of Panel FootprintDoes not exist in the menus.
Command entry: AEWIREANNOTATION

Make your selections and click OK.

NoteYou can build two sets of panel footprint symbols: one set that does not carry the target attributes for wire information and a set that does. When you insert your panel symbols from the schematic extract, select Use Footprint Tables to access the first set of symbols or select Use Wiring Diagram Tables to access the second set.
Format

There are two format edit boxes on the dialog box. The "Full" format is used if the target attributes are not found and MText is inserted. The "Partial" format is used if the target attributes are found (described later). Each format uses parameters that are then replaced with the specific wire information. AutoCAD Electrical provides some predefined formats for you to select from the list box at the right; or you can enter your own format using replaceable parameters.

Parameters must be separated by non-blank delimiters for AutoCAD Electrical to be able to re-extract wiring diagram information into reports. For example, "%T=%W %1 %G" is not acceptable because there is only a space between the %W and %1 and %G parameters. Acceptable formats include "%T=%W (%1) %G" or "%T=%W / %1 (%G)" or "%T=%W (%1) %G".

NoteYou cannot use commas in the format. They signal multiple wire connection annotations onto a single wire connection attribute.
Additional options for the "To" component tag

Additional options to include in the text.

Add terminal pin as a suffix to tag | Adds the terminal text as a suffix.
Add terminal description to tag | Adds any terminal description value as a suffix.
Include installation prefix to IEC tag format | Adds any installation value as a prefix.
View/Test

Allows a preview or test of the report.

Suppress any duplicated annotation on each terminal

Indicates to hide duplicated annotations so that they do not show on the report.

Delimiter between multiple instances on same line of text

Enter the character used to separate multiple panel wire annotation values for the same wire connection.

If wire numbering converts to MText

The default MText insertion point is the same as the insertion point of the footprint block. The default text size either matches that of existing wire number attributes found on the footprint symbol or, if none present, the MText size is forced to match the current value of the AutoCAD system variable "TEXTSIZE".

To predefine the MText insertion point, text size, and text style on footprint blocks, insert an invisible attribute "WXREF" on your footprint block library symbol. Open up each footprint symbol in AutoCAD and insert a blank attribute definition "WXREF". Put its origin at the point where you want AutoCAD Electrical to insert the MText wire connection information. Mark this attribute definition invisible and set its text size and style to the desired MText size and style.

NoteYou can define the default wire connection text format using the Panel Configuration dialog box. Click Panel Wire Connection Report XYZ Offset Reference Setup.


Lookup Files

Add wire information to footprints
Panel Layout
Use the footprint lookup file
Panel Layout >
Lookup Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Use the footprint lookup file

    Panel footprint lookup database file editor


Lookup Files (Procedure)

Add wire information to footprints
Lookup Files
Use the footprint lookup file
Panel Layout >
Lookup Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Edit footprint lookup files


Use the footprint lookup file (Concept)

Lookup Files
Lookup Files
Item Numbers/Balloons
Panel Layout > Lookup Files >
Use the footprint lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Let your project set of schematic wiring diagrams help drive the panel layout using the Insert Footprint (Schematic List) feature. AutoCAD Electrical uses the footprint lookup database (footprint_lookup.mdb) to identify the footprints corresponding to the MANUFACTURER, CATALOG, and ASSEMBLYCODE attribute values of the schematic symbols. The database content is found at:

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs\
  • Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs\
How it works
  1. You select a component from an AutoCAD Electrical extract file or select a component from an equipment list.
  2. AutoCAD Electrical uses the manufacturer code of the component to determine the table name in the lookup file.
  3. AutoCAD Electrical looks for a match in the manufacturer table for the catalog number (plus ASSEMBLYCODE if not blank).
  4. If a match is found, AutoCAD Electrical retrieves the footprint block path/name (or optional geometry definition) from the matching record.
  5. You insert the footprint representation into the drawing.
AutoCAD Electrical search sequence

1st choice -- <project>_footprint_lookup.mdb in the subdirectory of the project

2nd choice -- footprint_lookup.mdb in the subdirectory of the project

3rd choice -- footprint_lookup.mdb in user subdirectory

4th choice -- footprint_lookup.mdb in panel subdirectory

5th choice -- AutoCAD search paths

Table naming convention

AutoCAD Electrical takes the MFG code of the target footprint and looks for a table, in the footprint_lookup.mdb file, with that name. For example, if the MFG value of the footprint is SQD, then AutoCAD Electrical searches for a schematic lookup table called SQD. Manufacturer code of AB yields the table name AB.

The footprint lookup file supplied with AutoCAD Electrical points to symbols that are full-size physical representations of the device. There may be times you want to insert a footprint that is not necessarily a physical representation, but one that carries wire connection attributes. With this type of symbol AutoCAD Electrical can annotate the symbol with schematic wire connection data to create a panel wiring diagram drawing. From the Schematic Components dialog box, if you select “Use Wiring diagram tables”, AutoCAD Electrical accesses an alternate table in the footprint lookup table. This table matches the MFG code but attaches a "_WD" suffix. The tables with the "_WD" suffix are set up to insert a symbol that carries the wire connection attributes.

You must expand and modify these tables to meet your specific panel footprint needs. You can do this using tools provided with AutoCAD Electrical or through the use of a database program that can read/write the Access file format.

Table format

Footprint lookup tables are in a Microsoft Access database file. Each record consists of these fields (in this order):

CATALOG | Catalog number, wild cards allowed
ASSEMBLYCODE | Optional assembly code value - internal AutoCAD Electrical use only
BLKNAM | Footprint block name with partial path or geometry definition
DESCRIPTION | Optional short description used for display purposes only
Block name vs. geometry definition

You can encode a simple geometry definition in place of a footprint path/block name in the lookup file. For example, if a footprint shape for a given part number is a 3x4 rectangle, instead of creating and saving a 3x4 rectangle as a Wblocked .dwg file, you can encode the instructions for drawing the rectangle in the lookup file like the following syntax:

("LINE" "0,0" "@4.00,0" "@0,3.00" "@-4.00,0" "C")

The previous example follows the command sequence you type in to create the footprint outline. When AutoCAD Electrical comes across it instead of a path/block name in the lookup file, it executes the command sequence and blocks it on the fly.


Use the footprint lookup file (Quick Reference)

Add wire information to footprints
Use the footprint lookup file
Use the footprint lookup file
Panel Layout > Lookup Files >
Use the footprint lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel footprint lookup database file editor

Footprint lookup

Add or edit footprint record


Edit footprint lookup files (Procedure)

Lookup Files
Up a level to ..
Item Numbers/Balloons
Panel Layout > Lookup Files >
Use the footprint lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit footprint lookup files

You can make edits and additions to footprint lookup files using the Footprint Database File Editor tool or you can edit them directly using Microsoft Access.

  1. Click Panel tab [image] Other Tools panel [image] [image] [image] Footprint Database File Editor. Enter AEFOOTPRINTDB at the command prompt.
  2. Select the Edit Existing Table button.
  3. Select the table to edit and click OK.
  4. In the Footprint lookup dialog box, decide if you want to edit a record or add a new one.
    • If you decide to edit a record, select the record to edit and click Edit Record.
    • If you decide to add a new record, click Add New.
  5. Add or edit the record values and click OK.

    The Catalog Number and Footprint block name, at a minimum, must be filled in to provide a key field for the search and a block or geometry definition for the matching footprint.

    Your new record is added to the list. You can also immediately see any changes you made to an existing record.

  6. Click Save to save your changes and keep the dialog box open for more editing, or click OK / Save/ Exit to save your changes and close the dialog box.


Use the footprint lookup file (Quick Reference)

Use the footprint lookup file
Use the footprint lookup file
Use the footprint lookup file
Panel Layout > Lookup Files >
Use the footprint lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel footprint lookup database file editor

Edits the catalog number --> footprint block name lookup file.

Ribbon: Panel tab [image] Other Tools panel [image] [image] [image] Footprint Database File Editor. Does not exist on the ribbon.
Toolbar: Panel Miscellaneous
Menu: Panel Layout [image] Database File Editor [image] Footprint Database File EditorDoes not exist in the menus.
Command entry: AEFOOTPRINTDB

The program uses the footprint lookup database to map catalog information from a schematic component to a specific panel footprint library symbol. There is a table for each manufacturer code.

Each entry in the table maps a given part number to its footprint block name. The table name must match the manufacturer code.

Edit existing table | Opens a sub-dialog box for editing existing manufacturer footprint lookup tables.
Create new table | Opens a sub-dialog box for creating new manufacturer footprint lookup tables.
Create empty file | Opens a sub-dialog box for creating a blank footprint lookup file. This option is available if a Footprint_lookup.mdb file does not exist in the designated location.


Use the footprint lookup file (Quick Reference)

Use the footprint lookup file
Use the footprint lookup file
Use the footprint lookup file
Panel Layout > Lookup Files >
Use the footprint lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Footprint lookup

This tool allows you to examine the records and, modify, delete, or add records.

Ribbon: Panel tab [image] Other Tools panel [image] [image] [image] Footprint Database File Editor. Does not exist on the ribbon.
Toolbar: Panel Miscellaneous
Menu: Panel Layout [image] Database File Editor [image] Footprint Database File EditorDoes not exist in the menus.
Command entry: AEFOOTPRINTDB

Select the Edit Existing Table button, select the table to edit, and click OK.

Edit record | Opens a sub-dialog box for editing a record. Highlight the record and click the Edit button. Modify the record in the displayed sub-dialog box.
Delete | Removes an existing record.
Add new | Opens a sub-dialog box for creating a record. Fill in the fields. If the footprint block is not in an AutoCAD search path or an AutoCAD Electrical search path, include the part of the path that must be appended to one of these search paths (or you can enter the full path). If the new record is like an existing record, highlight the existing record before you click the Add button.


Use the footprint lookup file (Quick Reference)

Use the footprint lookup file
Use the footprint lookup file
Add a balloon to a component
Panel Layout > Lookup Files >
Use the footprint lookup file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add or edit footprint record

This tool makes edits and additions to footprint look-up files. Edit them directly using Microsoft Access.

Ribbon: Panel tab [image] Other Tools panel [image] [image] [image] Footprint Database File Editor. Does not exist on the ribbon.
Toolbar: Panel Miscellaneous
Menu: Panel Layout [image] Database File Editor [image] Footprint Database File EditorDoes not exist in the menus.
Command entry: AEFOOTPRINTDB

Select the Edit Existing Table button, select the table to edit, and click OK. Click Add New or Edit Record on the Footprint Lookup dialog box.

NoteThe Catalog Number and Footprint block name, at a minimum, must be filled in to provide a key field for the search and a block or geometry definition for the matching footprint.
Catalog Number

Specifies the catalog part number for the record. Click View to display a list of catalog fields on a per table basis. The catalog value may contain wildcards. Wildcard characters include:

* = match any characters

? = match any single character

# = match any single numeric digit

@ = match any single alphabetic character

Assembly code

Specifies the assembly code for the record.

Footprint block name

The Block value can be a symbol name or AutoLISP expression. If the footprint block is not in an AutoCAD search path or an AutoCAD Electrical search path, include the part of the path that must be appended to one of these search paths (or enter the full path to the footprint block).

NoteAdd an asterisk prefix to explode the footprint on insertion.

Browse

Locates the block name.

Pick

Captures the block name if it exists on the current drawing.

Geometry

Substitutes a simple on-the-fly generated outline for the matching footprint. Several shapes are selectable or you can manually enter the definition.

Icon Menu

Opens an AutoCAD Electrical icon menu page for the block you specify in the Catalog Number section of the dialog box.

Enter the menu name or browse for it. Once selected, click List to see a list of the submenu pages defined within that icon menu to select from or enter the number of the menu page to display and click OK.

The menu number corresponding to the catalog number is then saved in the footprint lookup table.

Comment

Specifies the optional comment for the footprint record. This is for reference in this file only. It does not get extracted into any AutoCAD Electrical report.

Syntax for encoding an icon menu page display for footprint selection

(wdmenu "n:/myfolder/my_lookup_menu.dat" 5)

where

"n:/myfolder/my_lookup_menu.dat" = your AutoCAD Electrical icon menu file

5 = the "*Mx" page number in that menu (x = 5)

This syntax is entered into the third edit box, the one labeled "Footprint block name," where the AutoCAD block name normally goes. It signals AutoCAD Electrical to open the icon menu file and jump to the menu page number ("5" in this example). Then AutoCAD Electrical waits for you to pick from the icon menu selection. The specific footprint block path/name to use is encoded into the icon menu file page "5" (excerpt from example "my_lookup_menu.dat" AutoCAD Electrical icon menu file shown in the following example).

**M5

300 AMP FRAME MCP

2-D plan view|mcp_300_2dpv.sld|"MCP300-2Dp.dwg"

3-D plan insertion|mcp_300_3dpv.sld|"MCP300-3Dp.dwg"

2-D side view|mcp_300_2dsv.sld|$C=wd_infpx "MCP300-2Ds.dwg"

3-D side insertion|mcp_300_3dsv.sld|$C=wd_infpx "MCP300-3Ds.dwg"

When you select an icon from the icon menu, it returns the footprint block ".dwg" file to use. This technique of footprint selection is useful for situations where there may be multiple possible orientations of a given footprint part number.


Item Numbers/Balloons

Use the footprint lookup file
Panel Layout
Add a balloon to a component
Panel Layout >
Item Numbers/Balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Add a balloon to a component

    Panel balloon setup


Item Numbers/Balloons (Procedure)

Use the footprint lookup file
Item Numbers/Balloons
Add a balloon to a component
Panel Layout >
Item Numbers/Balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Add an item number balloon to a component

Resequence item numbers


Add a balloon to a component (Concept)

Item Numbers/Balloons
Item Numbers/Balloons
Nameplates
Panel Layout > Item Numbers/Balloons >
Add a balloon to a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Assign an item or detail number to the main part number of a component or each multiple catalog part number through the Insert/Edit dialog box. It is stored as a data value on the block itself. To bring this item number out to a visible label, a balloon for example, use the Insert Balloon command and pick somewhere on the block. The item number of the component is retrieved, and then you are prompted to select start/end for a leader.

A single item number attribute, B_ITEM, is inserted on the balloon symbol. You can set up a template to have additional visible attributes added to the balloon automatically at insertion time. Create this drawing with the attribute definitions you want to include with the balloon symbol:

\panel\wd_ptag_addattr_itemballoon.dwg.

If an existing template is found, a copy of it gets exploded and merged (that is, blocked with the balloon as AutoCAD Electrical inserts it into the drawing).

The AutoCAD Electrical item balloon labels are smart in that they update automatically if the item number of the component is changed through the EDIT dialog box.

NoteIf the component has multiple item numbers, a multiple balloon is built up showing all item numbers.
See Also
    • Item Numbering Setup


Add a balloon to a component (Procedure)

Item Numbers/Balloons
Up a level to ..
Add a balloon to a component
Panel Layout > Item Numbers/Balloons >
Add a balloon to a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add an item number balloon to a component

Resequence item numbers


Add a balloon to a component (Quick Reference)

Use the footprint lookup file
Add a balloon to a component
Add a balloon to a component
Panel Layout > Item Numbers/Balloons >
Add a balloon to a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel balloon setup

Resequence panel item numbers


Add an item number balloon to a component (Procedure)

Add a balloon to a component
Up a level to ..
Add a balloon to a component
Panel Layout > Item Numbers/Balloons >
Add a balloon to a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add an item number balloon to a component

Inserts a balloon containing the item number of a selected component.

Prompts direct you to select points for an optional leader arrow. The item number in a balloon updates automatically when the item number changes on the component. You define the balloon type, text size, and arrow type with balloon setup.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Balloon. Enter AEBALLOON at the command prompt.
  2. Select the component for the balloon or press S at the command line prompt to open the Balloon Setup dialog box.
  3. Specify the leader start or balloon insertion point.
  4. Specify the leader end and press Enter when you finish specifying the leader.

    You can also press Enter without specifying the leader end to create the balloon at the first picked point (the balloon does not have a leader).

  5. Enter the item number if prompted and click OK.
NoteYou can also preset the balloon shape, size, text size, and arrow type from the balloon setup section on the Panel Configuration dialog box.
See Also
    • Item Numbering Setup


Add a balloon to a component (Quick Reference)

Add a balloon to a component
Add a balloon to a component
Add a balloon to a component
Panel Layout > Item Numbers/Balloons >
Add a balloon to a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Panel balloon setup

Sets the type of balloon marker for the footprint, marker size, margin, and text gap.

Ribbon: Panel tab [image] Other Tools panel [image] Panel Configuration drop-down [image] Configuration. Does not exist on the ribbon.
Toolbar: Panel Layout
Menu: Panel Layout [image] Panel ConfigurationDoes not exist in the menus.
Command entry: AEPANELCONFIG

Click Balloon Setup.

Balloon

Specifies the type and size of balloon marker to insert. Choose from Circle, Ellipse, Polygon, and None.

Circle - select either Diameter or Fit. Enter the diameter value or the Fit Margin, which sizes the circle automatically to fit the text plus the margin value.

Ellipse - select either Axis or Fit. Enter the horizontal and vertical axis sizes or the Fit Margin.

Polygon - select a polygon shape by picking on the current shape icon. Choose either Diameter or Fit.

None (text only) - enter the gap value (the amount of space between the end of the leader line and the text).

Text

Specifies the text size for the marker.

Arrow

Specifies the arrowhead and size. Choose the type of arrowhead for the leader from the list and enter the arrowhead size in the box. These values correspond to AutoCAD leader/dimension system variables.


Resequence item numbers (Procedure)

Add a balloon to a component
Up a level to ..
Nameplates
Panel Layout > Item Numbers/Balloons >
Add a balloon to a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Resequence item numbers

All Panel components and nameplates are extracted and their item numbers resequenced starting at the value you provide.

  1. Click Panel tab [image] Edit Footprints panel [image] Resequence Item Numbers . Enter AERESEQUENCE at the command prompt.
  2. Specify the beginning number to use.
  3. Specify to process the data for the current drawing or the entire project. If you select Project, you are able to select which drawings from within the project. If you select Current Drawing only, AutoCAD Electrical does not check other drawings for existing item number assignments.
  4. Click OK.
See Also
    • Item Numbering Setup


Add a balloon to a component (Quick Reference)

Add a balloon to a component
Add a balloon to a component
View/edit panel component connection sequence
Panel Layout > Item Numbers/Balloons >
Add a balloon to a component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Resequence panel item numbers

Extracts all panel components and resequences their item numbers starting at the value you provide.

Ribbon: Panel tab [image] Edit Footprints panel [image] Resequence Item Numbers . Does not exist on the ribbon.
Toolbar: Panel Miscellaneous
Menu: Panel Layout [image] Miscellaneous Panel Tools [image] Resequence Item Numbers Does not exist in the menus.
Command entry: AERESEQUENCE

Resequencing is based on the main MFG/CAT/ASSYCODE value combination. Based on your item numbering setup, it either ignores or assigns an item number to additional multi-catalog numbers.

Select the beginning item number to use. Select to process the project drawing set, the active drawing, or selected components. The tool assigns incrementing item numbers for each new part number. Any old item number assignments are overwritten with new ones, existing balloons are updated, and repeated part numbers are assigned the same item number, even when running project-wide.

Start | Specifies the beginning number to use. Add leading zeros if desired (ex: "001" instead of "1") to enable better report sorting on item number.
Drawings to Process | Project - process the entire project. Active drawing (all) - process components on the active drawing only. Active drawing (pick) - select the components for processing.
See Also
    • Item Numbering Setup


Nameplates

Add a balloon to a component
Panel Layout
Insert nameplates
Panel Layout >
Nameplates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Insert nameplates


Nameplates (Procedure)

Add a balloon to a component
Nameplates
Insert nameplates
Panel Layout >
Nameplates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert a nameplate

Create your own stretchable nameplates


Insert nameplates (Concept)

Nameplates
Nameplates
Panel Leveling/Sequencing Tools
Panel Layout > Nameplates >
Insert nameplates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

A nameplate is inserted on to the drawing as a block. It can either be referenced to an existing component footprint block or inserted as a stand-alone nameplate.

When tied to a component footprint, the component footprint is the parent and the nameplate is a child of that parent. AutoCAD Electrical establishes the link automatically by using invisible Xdata pointers on each block. It is different from the schematic parent/child link where a common "TAG1/TAG2" tag ID defines the relationship. AutoCAD Electrical automatically annotates the nameplate with the description data lines and tag value of the parent (if the nameplate block carries these target attribute names).


Insert nameplates (Procedure)

Nameplates
Up a level to ..
Insert nameplates
Panel Layout > Nameplates >
Insert nameplates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert a nameplate

Create your own stretchable nameplates


Insert a nameplate (Procedure)

Insert nameplates
Up a level to ..
Insert nameplates
Panel Layout > Nameplates >
Insert nameplates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Insert a nameplate

Several generic, rectangular nameplates with stretchable boundaries are provided. Three generic nameplates are shown on the panel icon menu nameplates page. Each of them consists of a nested block, which AutoCAD Electrical explodes and groups upon insertion. The rectangular outline of the resulting nameplate can be stretched using AutoCAD Grips or the Stretch Window command.

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Enter AEFOOTPRINT at the command prompt.
  2. Select Nameplates from the list.
  3. Select the desired nameplate from the dialog box.
  4. Pick the target footprint and press Enter.

    To insert a stand-alone nameplate, simply press Enter without first selecting a component.

  5. Pick the insertion point and move your cursor to rotate the nameplate to the desired alignment. Click the left mouse button to end the dynamic insertion.
  6. Specify the nameplate tag, description, installation and location codes, and catalog data in the Panel Layout - Nameplate Insert/Edit dialog box.

    AutoCAD Electrical immediately annotates the nameplate with a copy of the description data that it finds carried on the footprint (which is the same description that is found on the schematic representation of the component).

  7. Click OK to insert the nameplate.
TipUse AutoCAD MOVE command to position the nameplate in relation to the parent footprint.


Create your own stretchable nameplates (Procedure)

Insert nameplates
Up a level to ..
Panel Leveling/Sequencing Tools
Panel Layout > Nameplates >
Insert nameplates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create your own stretchable nameplates

Use this example to create your own stretchable nameplate symbols.

  1. On a new blank drawing, insert the attribute definitions P_TAG1, and DESC1 through DESC3.
  2. Save the drawing as npxxtd3.dwg.
  3. On a new blank drawing, insert the first drawing as a block at 0,0 using the AutoCAD Insert command.
  4. Draw a polyline rectangle around the block.
  5. Save the drawing as _npxxtd3.dwg.
  6. Click Panel tab [image] Other Tools panel [image] Icon Menu Wizard. Enter AEMENUWIZ at the command prompt.
  7. Select the panel icon menu, for example ACE_PANEL_MENU.DAT.
  8. Double-click Nameplates to open the nameplates menu page.
  9. Click the Add button and select Command.
  10. Enter:

    Name: Generic, TAG and 3 DESC

    Image file: Active

    Command: wd_inrnp_xg "" "" "" "_NPXXTD3"

  11. Click OK on the Add Icon - Command dialog box.
  12. Click OK on the Icon Menu Wizard dialog box.


Panel Leveling/Sequencing Tools

Insert nameplates
Panel Layout
Remove sequencing assignments
Panel Layout >
Panel Leveling/Sequencing Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Remove sequencing assignments
  • Show sequencing assignments
  • Swap terminal strip wire text


Panel Leveling/Sequencing Tools (Procedure)

Insert nameplates
Panel Leveling/Sequencing Tools
Remove sequencing assignments
Panel Layout >
Panel Leveling/Sequencing Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Remove sequencing assignments

Show sequencing assignments

Swap terminal strip wire text


Remove sequencing assignments (Procedure)

Panel Leveling/Sequencing Tools
Up a level to ..
Show sequencing assignments
Panel Layout > Panel Leveling/Sequencing Tools >
Remove sequencing assignments
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Remove sequencing assignments

Routing assignments found on components, boundary boxes, or terminals can be removed when no longer needed.

  1. Enter AEREMOVELEVEL at the command prompt.
  2. Select the terminal strip, component, or boundary box to remove the assignments from.

    The leveling assignments are automatically removed.

  3. Press ESC to exit the command.


Show sequencing assignments (Procedure)

Remove sequencing assignments
Up a level to ..
Swap terminal strip wire text
Panel Layout > Panel Leveling/Sequencing Tools >
Show sequencing assignments
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Show sequencing assignments

You can select a supplementary terminal strip to display its defined leveling assignments to the command line. You can also select two panel footprint symbols to display wire connection information in a visual path on the screen.

Show terminal strip sequencing assignments

  1. Enter AESHOWTERMINALSEQ at the command prompt.
  2. Select a supplementary terminal strip.

    The leveling assignments for the selected terminal strip display in the command line. You see something like: LEV4-LEV1=001-001-001-001.

  3. Press ESC to exit the command.

Show footprint sequencing assignments

  1. Enter AESHOWFPSEQUENCE at the command prompt.
  2. Select footprint to show the routing path from.
  3. Select the device to show the path to.

    The wire connection information for the selected footprints display on the screen.

  4. Press ESC to exit the command.


Swap terminal strip wire text (Procedure)

Show sequencing assignments
Up a level to ..
Overview of conduit tools
Panel Layout > Panel Leveling/Sequencing Tools >
Swap terminal strip wire text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Swap terminal strip wire text

Swaps wire annotation text from one side of the terminal strip to the other. The Internal and External default definition applies when the terminal strip is initially placed.

  1. Enter AEPANELTERMINALSWAPTEXT at the command prompt.
  2. Select the wire annotation text to swap.

    The wire annotation is flipped to the other side of the selected terminal strip.

  3. Press ESC to exit the command.


Conduit Tools

Swap terminal strip wire text
Overview of conduit tools
Conduit Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of conduit tools

    Insert or edit conduit/wire way label

  • Overview of conduit marker support files
  • Generate a conduit marker report

    Conduit marker report

  • Generate a conduit routing report

    Wire/conduit routing report


Overview of conduit tools (Concept)

Conduit Tools
Conduit Tools
Overview of conduit marker support files
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Electrical provides a set of utilities to help you label, size, and report on conduits. A conduit can be represented by a line or a poly line and by itself does not carry any intelligence. However, you may insert a conduit marker symbol and associate it to a conduit. The conduit marker symbol then carries wire information intelligence pulled from the AutoCAD Electrical drawings.

The first time (per AutoCAD session) that you insert a conduit marker, instruct AutoCAD Electrical to read the wire information. You can read the wire information from multiple drawings within the project, the current drawing, or read the existing WFRM2ALL table in the scratch database.

The conduit marker is a block inserted to add intelligence to a line or pline representing a conduit on a layout drawing. There are four blocks, called WWAYT, WWAYB, WWAYL, and WWAYR. The blocks are identical except for the insert point, T=top, B=bottom, L=left, R=right. The program picks which block based on the leader drawn.

Conduit Marker Intelligence

C_TAG | Each marker receives a unique tag number. Use Setup to define the next tag.
C_SIZE | Conduit size, that is, 3/4"
DESC1 | Optional description line 1
DESC2 | Optional description line 2
WIREINFO# | Wire information for each wire included in the conduit. Wire# ; Wire Layer ; Wire Description ; Wire Size
W_SPARES# | Spare wires defined. Wire Description ; Count


Overview of conduit tools (Procedure)

Swap terminal strip wire text
Overview of conduit tools
Overview of conduit tools
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert conduit markers

Edit all conduit marker information


Overview of conduit tools (Quick Reference)

Panel terminal strip graphical report parameters
Overview of conduit tools
Overview of conduit tools
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert or edit conduit/wire way label

Conduit marker setup

Add spare wires


Insert conduit markers (Procedure)

Overview of conduit tools
Overview of conduit tools
Overview of conduit tools
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert conduit markers

Use the Conduit Marker (Pick) tool

  1. Click Panel tab [image] Conduit Tools panel [image] Conduit Markers drop-down [image] Insert Marker. Enter AECONDUITMARKER at the command prompt.
  2. Type S and press Enter to set up the conduit marker.
  3. Specify the text for the marker tag and the scale for the marker block. Click OK.
  4. Select the line that represents the conduit for the marker on the drawing.
  5. Click points to define the leader and press Enter.
  6. Select the conduit tag and press Enter.
  7. Specify the conduit tag, catalog information, conduit size, description, or included wires in the Insert or Edit Conduit/WirewayLabel dialog box.

    The conduit marker symbol carries wire information intelligence pulled from the AutoCAD Electrical drawings.

  8. Click OK.

Use the Conduit Marker (From/To List) tool

  1. Click Panel tab [image] Conduit Tools panel [image] Conduit Markers drop-down [image] Insert From List. Enter AECONDUITMARKERLIST at the command prompt.
  2. Select the line that represents the conduit for the marker on the drawing.
  3. Click points to define the leader and click Enter or the right mouse button.
  4. Select the location codes for the conduit marker and click OK. These build the From/To combination for the Wire Run From/To Report.
  5. Specify the conduit tag, catalog information, conduit size, description, or included wires in the Insert or Edit Conduit/WirewayLabel dialog box.

    The conduit marker symbol carries wire information intelligence pulled from the AutoCAD Electrical drawings.

  6. Click OK.


Edit all conduit marker information (Procedure)

Overview of conduit tools
Overview of conduit tools
Generate a conduit marker report
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit all conduit marker information

Once you insert the conduit marker, you may need to supply some additional information for the marker. You can add the information at the time you insert the marker or select Edit Conduit Marker after it is inserted.

  1. Click Panel tab [image] Conduit Tools panel [image] Edit Marker. Enter AEEDITCONDUITMARKER at the command prompt.
  2. Pick the conduit to edit.
  3. Change the conduit tag, catalog information, conduit size, description, or included wires in the Insert or Edit Conduit/Wireway Label dialog box.
  4. Click OK.


Overview of conduit tools (Quick Reference)

Overview of conduit tools
Overview of conduit tools
Overview of conduit tools
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert or edit conduit/wire way label

There are three ways to insert a conduit marker depending on where you want to pick the wire information from. You can get the wire information from an actual device on your drawing represented by either a schematic symbol or a panel layout footprint symbol. You may also pull the wire information out of a wire from/to report based on your schematics. Finally, you can extract the information from multiple conduit markers to combine together into a separate conduit marker.

Conduit Marker (Pick)
Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Markers drop-down [image] Insert Marker. Does not exist on the ribbon.
Toolbar: Conduit Markers
Menu: Panel Layout [image] Conduit Marker Tools [image] Conduit Marker (Pick)Does not exist in the menus.
Command entry: AECONDUITMARKER

Select the line that represents the conduit, click to define the leader, and then select layout devices or branching conduit markers and press Enter.

Conduit Marker (From/To List)
Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Markers drop-down [image] Insert From List. Does not exist on the ribbon.
Toolbar: Conduit Markers
Menu: Panel Layout [image] Conduit Marker Tools [image] Conduit Marker (From/To List)Does not exist in the menus.
Command entry: AECONDUITMARKERLIST

Select the line that represents the conduit, click to define the leader.

Edit Conduit Marker
Ribbon: Panel tab [image] Conduit Tools panel [image] Edit Marker. Does not exist on the ribbon.
Toolbar: Conduit Markers
Menu: Panel Layout [image] Conduit Marker Tools [image] Edit Conduit MarkerDoes not exist in the menus.
Command entry: AEEDITCONDUITMARKER

Select an existing conduit marker.

Conduit Tag

AutoCAD Electrical selects a default conduit tag which can be overridden at any time. Click Drawing to use a tag used for similar conduits in the active drawing or click Project to use a tag used for similar conduits in the project. See Conduit Marker Setup to define the default format for the conduit tags.

Size

The conduit size can be selected from the list of available sizes or entered in the box. To make it a little easier, AutoCAD Electrical can calculate the percentage full for each conduit size available. To do this AutoCAD Electrical needs 2 support files containing wire size information and conduit size information. If there is not a .WW1 file or if the wire sizes are not in the file, the calculations are not made.

Catalog Area

Assign catalog information to the conduit that will be extracted into a bill of materials report. You can do a drawing-wide or project-wide listing of similar conduits with their catalog assignments.

Find

Scans each drawing for the target conduit type and returns a list of what was found. You can make your catalog assignment by selecting from the list.

Lookup

Opens the catalog database of the conduit from which you can manually enter or select the Manufacturer or Catalog values. Search the database for a specific catalog item to assign to the selected conduit. Database queries are set up in the three lists across the top of the dialog box with the database hits listed in the main window of the dialog box.

Previous

Scans the previous project to find an instance of the selected conduit and returns the conduit values. You can then make your catalog assignment by picking from the dialog box list.

Drawing

Lists the part numbers used for similar conduits in the current drawing.

Project

Lists the part numbers used for similar conduits in the project. You can search in the active project, another project, or in an external file.

  • Active project: All of the drawings in the current project are scanned and the results are listed in a sub-dialog box. Select from the list to assign your new conduit with a catalog number that is consistent with other similar conduits in the project.
  • Other project: Scans each listed drawing in a previous project for the target component type and returns the catalog information in a sub-dialog box. Make your catalog assignment by picking from the dialog box list.
  • External file: You can pull catalog assignments from a generic ASCII file created by a word processor or output from a spreadsheet or database program. A dialog box displays the contents of the selected text file. Find and highlight the desired entry. AutoCAD Electrical reads the line of text from the file and breaks it into its component parts. They are displayed in the left-hand dialog box list. For each relevant item, highlight it and then pick the appropriate category button in the center column. The highlighted item transfers to the corresponding category (and then to the Insert/Edit dialog box once OK is clicked).

Multiple Catalog

Inserts or edits extra catalog part numbers onto the selected conduit. You can add up to ten part numbers to any conduit. These multiple BOM part numbers appear as subassembly part numbers to the main catalog part number in the various BOM and conduit reports.

Catalog Check

Displays what the selected item looks like in a Bill of Material template.

Description

Optional description lines.

Wires to include in conduit/wireway

Define which wires to include in this conduit. Select from the available list in the upper box and add to the included list in the lower box. At any time you can pick from a from/to list by clicking Add Wires from List, or you can add wires from additional devices by clicking Pick Devices.

Add Wires from List | Adds wires by picking from a from/to list.
Pick Devices | Adds wires from additional devices.
Spares | Defines the spares to include in the conduit.
Sort | Sorts the list of conduit wires using an alphanumeric sort.
Report/Print

Opens the Report Generator dialog box for running a Conduit marker report.


Overview of conduit tools (Quick Reference)

Overview of conduit tools
Overview of conduit tools
Overview of conduit tools
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Conduit marker setup

The conduit marker is a block inserted to add intelligence to a line or pline representing a conduit on a layout drawing. There are four blocks, called WWAYT, WWAYB, WWAYL, and WWAYR. The blocks are identical except for the insert point, T=top, B=bottom, L=left, R=right. The program picks which block based on the leader drawn.

Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Markers drop-down [image] Insert Marker. Does not exist on the ribbon.
Toolbar: Conduit Markers
Menu: Panel Layout [image] Conduit Marker Tools [image] Conduit Marker (Pick)Does not exist in the menus.
Command entry: AECONDUITMARKER

Type S and press Enter.

Conduit tag | Specifies the marker tag. Each conduit marker receives a unique tag. Enter the text for the next tag. Each successive tag is incremented from the previous tag.
Scale | Defines the scale to insert the conduit marker block.


Overview of conduit tools (Quick Reference)

Overview of conduit tools
Overview of conduit tools
Generate a conduit marker report
Conduit Tools >
Overview of conduit tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add spare wires

Defines the spare wires to include in your conduit.

Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Markers drop-down [image] Insert Marker. Does not exist on the ribbon.
Toolbar: Conduit Markers
Menu: Panel Layout [image] Conduit Marker Tools [image] Conduit Marker (Pick)Does not exist in the menus.
Command entry: AECONDUITMARKER

Click the Spares button on the Insert/Edit Conduit/Wireway Label dialog box.

Select wires from | Lists the spare wires that can be added to the conduit. The list is built from the .WDW support file.
Type it | If the wire type is not listed, type your spare wire description in the edit box.
Wires to Add | Lists the wires that to add to the conduit.
Count | Specifies the number of wires to add to the conduit. Adjust your quantity by typing the number or by selecting the <or > buttons.
Update Quantity | If you type the quantity, select this button to see the new quantity in the list.


Overview of conduit marker support files

Overview of conduit tools
Conduit Tools
Generate a conduit marker report
Conduit Tools >
Overview of conduit marker support files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical has a couple of support files containing wire size information and conduit size information: the .wdw file and the .ww1 file. These files are simple text files that can be edited with any text editor such as WordPad.

.WDW file

The .WDW file contains the wire information. You may have a different file for each project. Create a projname.wdw file and put in the same directory as your project file (.WDP). To use the same file for all projects, create or modify the DEFAULT.WDW file in the USER folder. In the Project Manager, right-click the project name and select Settings to find the full path.

There should be a separate line in the file for each AutoCAD Electrical wire layer. The line has three fields, each field separated by a semi-colon.The first field is the actual wire layer name used on the drawing. The second field is the wire layer description. This description is used in the AutoCAD Electrical Wire Color/Gauge Label tool. The third field is the wire size.

For example, if you have a wire layer called 14_RED_THHN and you want the wire color/gauge label to read #14AWG RED for this layer, and the wire itself has a wire diameter of 0.0087, the line in the .WDW file would read:

14_RED_THHN;#14AWGRED;0.0087

.WW1 file

The .WW1 file contains the conduit information. You may have a different file for each project. Simply create a projname.ww1 file and put in the same directory as your project file (.WDP). If you want to use the same file for all projects, then create or modify the DEFAULT.WW1 file in the USER folder (in the Project Manager, right-click the project name and select Settings to find the full path).

There should be a separate line in the file for each conduit. Each line has two fields. The first field is the conduit size that is shown in the Conduit Marker dialog box. The second field is the conduit size (the inner cross-sectional area of the conduit) so AutoCAD Electrical can determine how full the conduit is once you add up all the wire diameter sizes from the wires (pulled from the .WDW file). For example, if you have a 1-inch conduit with an inner diameter of 0.8 resulting in a cross-sectional area of 0.5024, the line in the .WW1 file reads:

1";0.5024

Note If you create a .WW1 file AutoCAD Electrical shows only the conduits listed in this file in the Conduit Marker dialog box.


Generate a conduit marker report (Procedure)

Overview of conduit tools
Generate a conduit marker report
Generate a conduit routing report
Conduit Tools >
Generate a conduit marker report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Generate a conduit marker report

You must have at least one conduit marker with wire connections on your drawing in order to run this report.

  1. Click Panel tab [image] Conduit Tools panel [image] Conduit Reports drop-down [image] Conduit Report. Enter AECONDUITMARKERRPT at the command prompt.
  2. Specify whether to run the report across selected drawings from the project, the current drawing, or selected conduit markers.

    You can specify to display the last report run from this dialog box instead of running a new report by clicking the Redisplay Last Run button.

  3. Click OK.
  4. Select the drawings or conduit markers to process (depending on whether the report is run across the projector selected markers).
  5. In the Report Generator dialog box, change the report format. You can specify to add the time and date, title line, project lines, column labels, page numbers, and blank spaces between report entities.
  6. (Optional) Click Edit Mode to edit the report.
  7. If the report is formatted correctly, specify to print the report, put it on the drawing, or save the report to a file.


Generate a conduit marker report (Quick Reference)

Overview of conduit tools
Generate a conduit marker report
Generate a conduit routing report
Conduit Tools >
Generate a conduit marker report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Conduit marker report

This utility extracts conduit marker information into a report. Extractable conduit marker symbols are named "WWAY*". A conduit can be represented by a line or a polyline and by itself does not carry any intelligence. However, you can insert a conduit marker symbol and associate it to a conduit. The conduit marker symbol then carries wire information intelligence pulled from the AutoCAD Electrical drawings.

Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Reports drop-down [image] Conduit Report. Does not exist on the ribbon.
Toolbar: Conduit Reports
Menu: Panel Layout [image] Conduit Marker Tools [image] Conduit Marker ReportDoes not exist in the menus.
Command entry: AECONDUITMARKERRPT

Decide if you want to run the report across selected drawings from the project, the active drawing, or selected conduit markers.


Generate a conduit routing report (Procedure)

Generate a conduit marker report
Generate a conduit routing report
Convert promis.e drawing files to AutoCAD Electrical
Conduit Tools >
Generate a conduit routing report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Generate a conduit routing report

You must have at least one conduit marker with wire connections on your drawing in order to run this report.

  1. Click Panel tab [image] Conduit Tools panel [image] Conduit Reports drop-down [image] Routing Report. Enter AEROUTINGREPORT at the command prompt.
  2. Specify whether to run the report across selected drawings from the project, the current drawing, or selected conduit markers.

    You can specify to display the last report run from this dialog box instead of running a new report by clicking the Redisplay Last Run button.

  3. Click OK.
  4. Select the drawings or conduit markers to process (depending on whether the report is run across the projector selected markers).
  5. In the Report Generator dialog box, change the report format. You can specify to add the time and date, title line, project lines, column labels, page numbers, and blank spaces between report entities.
  6. (Optional) Click Edit Mode to edit the report.
  7. If the report is formatted correctly, specify to print the report, put it on the drawing, or save the report to a file.


Generate a conduit routing report (Quick Reference)

Generate a conduit marker report
Generate a conduit routing report
Convert promis.e drawing files to AutoCAD Electrical
Conduit Tools >
Generate a conduit routing report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Wire/conduit routing report

AutoCAD Electrical provides a set of utilities to help you label, size, and report on conduits. A conduit can be represented by a line or a poly line and by itself does not carry any intelligence. However, you can insert a conduit marker symbol and associate it to a conduit. The conduit marker symbol then carries wire information intelligence pulled from the AutoCAD Electrical drawings.

Ribbon: Panel tab [image] Conduit Tools panel [image] Conduit Reports drop-down [image] Routing Report. Does not exist on the ribbon.
Toolbar: Conduit Reports
Menu: Panel Layout [image] Conduit Marker Tools [image] Wire/Conduit Routing ReportDoes not exist in the menus.
Command entry: AEROUTINGREPORT

Decide if you want to run the report across selected drawings from the project, the active drawing, or selected conduit markers.


Conversion Tools

Generate a conduit routing report
Convert promis.e drawing files to AutoCAD Electrical
Conversion Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Convert promis.e drawing files to AutoCAD Electrical

    promis·e conversion

  • Convert non-AutoCAD Electrical blocks

    Component annotation

  • Convert text to an attribute

    Convert text to attribute definition

  • Convert Arrows
  • Overview of ECDS legacy conversion

    Convert VIA ECDS or Jr. Project to AutoCAD Electrical

  • Tagging and Linking Tools


Convert promis.e drawing files to AutoCAD Electrical (Concept)

Conversion Tools
Conversion Tools
Convert non-AutoCAD Electrical blocks
Conversion Tools >
Convert promis.e drawing files to AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The promis·e® Conversion tool converts drawing files from promis·e to AutoCAD Electrical, while maintaining graphical elements. The drawing file data is converted into a format that can be edited and maintained in AutoCAD Electrical. You can convert a single drawing file or an entire project.

A log file is created in the same location as the drawing file or project to display all modifications. The log file name is either [drawing file name]_cnv.log or [project name]_cnv.log.

The conversion does the following:

  • Inserts the WD_M block if it does not exist in the drawing.
  • Searches for Installation/Location drawing-wide defaults.
  • Searches for blocks, cross-reference tables, and field boxes.
  • Extracts a list of cross-reference symbols.
  • Processes cable marker symbols, PLC modules, line entities, wire connection point, cross-reference tables, and block inserts.
  • Copies footprint P_TAG1 values to the associated nameplate.
  • Renames terminal block names.
  • Cleans up cross-reference inserts.
  • Flips ladder line references to AutoCAD Electrical “smart.”
  • Processes wire numbers.
  • Inserts a copy of the WD_PNLM block at 0,0.
NoteYou cannot see the command window messages during conversion unless you turn on the command trace mode debug tool.


Convert promis.e drawing files to AutoCAD Electrical (Quick Reference)

Generate a conduit routing report
Convert promis.e drawing files to AutoCAD Electrical
Convert promis.e drawing files to AutoCAD Electrical
Conversion Tools >
Convert promis.e drawing files to AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

promis·e conversion

Convert promis·e project


Convert promis·e drawings to AutoCAD Electrical drawings (Procedure)

Generate a conduit routing report
Convert promis.e drawing files to AutoCAD Electrical
Convert non-AutoCAD Electrical blocks
Conversion Tools >
Convert promis.e drawing files to AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Convert promis·e drawings to AutoCAD Electrical drawings

Use to convert promis·e drawings to AutoCAD Electrical "smart" drawings.

  1. Click Conversion Tools tab [image] Tools panel [image] Promis·e Conversion. Enter AEP2E at the command prompt.
  2. Select to convert the active drawing, multiple drawings in the active project, or an entire promis·e project.
  3. Click OK.
  4. If you selected Convert Multiple Drawings, Active Project select the drawings to process and click OK.
  5. If you selected Convert promis·e Project select the promis·e project mapping file and click Open. Select the drawings to process and click OK. In the Convert promis·e Project dialog box:
    • Select the project to convert and click Open.
    • Select the installation codes to convert.
    • (Optional) Make any changes to project, installation, and drawing naming.
    • (Optional) Make any changes to the conversion setup, or symbol libraries.

      Make sure that the specified symbol library path contains the wd_m.dwg block necessary for the conversion.

    • Enter the AutoCAD Electrical project path into the text box.
    • Click OK.
    NoteIf the project file exists and is marked active, the conversion cannot finish. You must have another project open so AutoCAD Electrical can temporarily activate the other project, delete the active project (the one being overwritten), write the new .wdp file and reactivate the project.


Convert promis.e drawing files to AutoCAD Electrical (Quick Reference)

Convert promis.e drawing files to AutoCAD Electrical
Convert promis.e drawing files to AutoCAD Electrical
Convert promis.e drawing files to AutoCAD Electrical
Conversion Tools >
Convert promis.e drawing files to AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

promis·e conversion

This tool converts drawing files from promis·e to AutoCAD Electrical. It examines the current symbol attributes on the drawing and maps them to the equivalent AutoCAD Electrical attribute to make them AutoCAD Electrical "smart."

Ribbon: Conversion Tools tab [image] Tools panel [image] Promis·e Conversion. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Projects [image] Conversion Tools [image] Promis·e ConversionDoes not exist in the menus.
Command entry: AEP2E
Convert Active Drawing Only | Converts only the open and active drawing file from promis·e format to AutoCAD Electrical. Drawing files are not renamed or added to the project. This option is unavailable if the active drawing is unnamed.
Convert Multiple Drawings, Active Project | Converts drawing files that are already associated with the active project.
Convert promis·e Project | Selects an existing promis·e project and uses your AutoCAD Electrical project definitions to rename the folders and files to adhere to the names defined inside of promis·e. The drawing files are found in the promis·e structure.


Convert promis.e drawing files to AutoCAD Electrical (Quick Reference)

Convert promis.e drawing files to AutoCAD Electrical
Convert promis.e drawing files to AutoCAD Electrical
Convert non-AutoCAD Electrical blocks
Conversion Tools >
Convert promis.e drawing files to AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Convert promis·e project

Defines the conversion process from promis·e to AutoCAD Electrical. Once you click OK, it creates AutoCAD Electrical project definition file and folders, and then copies the drawing files into the new folders.

NoteYou cannot see the command window messages during conversion unless you turn on the command trace mode debug tool.
Ribbon: Conversion Tools tab [image] Tools panel [image] Promis·e Conversion. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Projects [image] Conversion Tools [image] Promis·e ConversionDoes not exist in the menus.
Command entry: AEP2E

Select Convert promis·e Project and click OK. Select the promis·e mapping file and click Open.

promis·e Projects
Project Names | Lists the promis·e projects defined in the project mapping file.
Installation Codes | Lists the installation codes defined in the project installation mapping file and the number of selected drawings.

The drawing count shows the number of drawings in the selected promis·e Project.

AutoCAD Electrical Project
Naming (Project, Installation, Drawing) | Uses replaceable parameters to name projects (%P), installations (%I), drawing file names (%S), and folders. Replaceable parameters take on the values from the promis·e mapping files, however you can add additional characters.
Conversion Setup | Specifies pre- and post-processing script files to run against the entire project, and the AutoCAD Electrical support files to use (Default_wdtitle.wdl and Default.wdt). After you select the desired support file, it is renamed and placed in the same folder as the new project definition file (*.WDP). You also have the option to save the command line error message to a log file.
Symbol Libraries | Opens the Project Properties [image] Project Settings dialog box for selecting library search paths and icon menu files for the new project.
Conversion destination (base folder)

Specifies the AutoCAD Electrical project path. It is where the new project folder and drawing files are located. A path must be specified before the conversion can take place.


Convert non-AutoCAD Electrical blocks (Procedure)

Convert promis.e drawing files to AutoCAD Electrical
Convert non-AutoCAD Electrical blocks
Convert text to an attribute
Conversion Tools >
Convert non-AutoCAD Electrical blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Convert non-AutoCAD Electrical blocks

This utility takes non-AutoCAD Electrical blocks or graphics representing a symbol and replaces them with an AutoCAD Electrical block and transfers the attribute or text values to this new AutoCAD Electrical block.

  1. Click Conversion Tools tab [image] Tools panel [image] Schematic Conversion drop-down [image] Convert to Schematic Component. Enter AEBLK2SCH at the command prompt.
  2. Pick your non-AutoCAD Electrical block containing attributes and text entities.
  3. Pick an AutoCAD Electrical block from the Insert Component dialog box to use in its place.
  4. Specify the insertion point.
  5. From the Component Parent/Stand-Alone Annotation dialog box, assign text/attribute values to AutoCAD Electrical attribute names and click Done.

    If your non-AutoCAD Electrical block has attributes, or you picked some text entities, the dialog box includes buttons to make it easier to assign your values to AutoCAD Electrical attributes.

Finish mapping values from non-AutoCAD Electrical blocks

Use this utility to continue what you started with the Convert to Schematic Component tool. Use it if you did not finish mapping values from your non-AutoCAD Electrical block.

  1. Click Conversion Tools tab [image] Tools panel [image] Map Attributes from Old to New. Enter AEMAPATT at the command prompt.
  2. Select the block for additional attributes.
  3. Optionally, select any non-AutoCAD Electrical block or text objects to map values to the AutoCAD Electrical attributes and click Done.


Convert non-AutoCAD Electrical blocks (Quick Reference)

Convert promis.e drawing files to AutoCAD Electrical
Convert non-AutoCAD Electrical blocks
Convert text to an attribute
Conversion Tools >
Convert non-AutoCAD Electrical blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Component annotation

These utilities replace non-AutoCAD Electrical blocks or graphics representing symbols with AutoCAD Electrical blocks, transferring the attribute or text values to the new AutoCAD Electrical block.

Convert to Schematic Component
Ribbon: Conversion Tools tab [image] Tools panel [image] Schematic Conversion drop-down [image] Convert to Schematic Component. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Projects [image] Conversion Tools [image] Convert Drawing [image] Convert to Schematic ComponentDoes not exist in the menus.
Command entry: AEBLK2SCH
Map Attributes from Old to New
Ribbon: Conversion tab [image] Tools panel [image] Map Attributes from Old to New. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Projects [image] Conversion Tools [image] Convert Drawing [image] Map Attributes from Old to NewDoes not exist in the menus.
Command entry: AEMAPATT

The left-side of the dialog box lists the text or attributes to map to an AutoCAD Electrical block while the right-side of the dialog box lists valid attribute fields to fill in.

NoteYour options may differ depending on how you accessed the dialog box.
Text value | (available only if you select non-AutoCAD Electrical elements) Lists the available text values to assign to the attributes. All AutoCAD Electrical attributes for the block inserted are displayed in the Text Value list (if there is a block to map with existing attribute values).
= | (available only if you select non-AutoCAD Electrical elements) Transfers the text value to the selected attribute. Select a value from the list at the left and then pick the "="button next to the desired AutoCAD Electrical attribute.
+ | (available only if you select non-AutoCAD Electrical elements) Appends the text value to the end of the current value for the selected attribute. Select a value from the list at the left and then pick the "+"button next to the target AutoCAD Electrical attribute.
Pick | Picks text or attribute objects from the drawing to assign to the AutoCAD Electrical attribute.
Hide | Makes the AutoCAD Electrical attribute visible or invisible.
Drawing/Project | Lists the installation, location, mount, and group annotations already used on the current drawing or project.
Miscellaneous, Ratings, Positions, Pins | Opens sub-dialog boxes for changing the attribute list to reflect ratings, pins, and so on.
Delete original non-AutoCAD Electrical block | Deletes a non-AutoCAD Electrical block once you map all the attributes.
Delete picked text objects | Replaces the picked text with the new AutoCAD Electrical attribute. To leave the selected text as is, then make sure that you turn this option off.
Zoom window | Defines an area of the drawing to fill the graphics window. Click to define the graphics window; the image is then zoomed to the area that you defined in the window.
Zoom extents | Zooms the selected block to the size of the graphics window.
Zoom in | Increases the magnification of the view so the blocks appear larger.
Zoom out | Decreases the magnification of the view so the blocks appear smaller.
Pan | Shifts the location of the view without changing the magnification. Use the Pan button to move the view in the graphics window in any direction planar to the screen.


Convert text to an attribute (Procedure)

Convert non-AutoCAD Electrical blocks
Convert text to an attribute
Convert text to an attribute
Conversion Tools >
Convert text to an attribute
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Convert text to an attribute

Convert text to a wire number


Convert text to an attribute (Procedure)

Convert text to an attribute
Convert text to an attribute
Convert text to an attribute
Conversion Tools >
Convert text to an attribute
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Convert text to an attribute

This tool converts a text object into an attribute definition. The original text string becomes the default value of the attribute. For example, if you convert the text “120 VOLTS AC” to an attribute definition with a tag name of “RATING1”, the original text becomes the default value of the attribute.

  1. Click Conversion Tools tab [image] Tools panel [image] Text Conversion drop-down [image] Convert Text to Attribute Definition. Enter AETEXT2ATT at the command prompt.
  2. Select the text entity to convert.
  3. Define the attribute tag name. Enter a value or click the arrows to increment or decrement the displayed attribute tag name (for example, click the > button to increment the tag name “RATING5” to “RATING6”).
  4. Click OK.


Convert text to an attribute (Quick Reference)

Convert non-AutoCAD Electrical blocks
Convert text to an attribute
Overview of ECDS legacy conversion
Conversion Tools >
Convert text to an attribute
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Convert text to attribute definition

Converts a text object (that is not associated to a block) into an attribute definition. You can convert an attribute definition on a library symbol that becomes an attribute when the symbol drawing is inserted as a block into another drawing. For example, if you convert the text “120 VOLTS AC” to an attribute definition with a tag name of “RATING1”, the original text becomes the default value of the attribute.

Ribbon: Conversion Tools tab [image] Tools panel [image] Text Conversion drop-down [image] Convert Text to Attribute Definition. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Components [image] Attributes [image] Convert Text to Attribute DefinitionDoes not exist in the menus.
Command entry: AETEXT2ATT

Attribute tag name

Specifies the attribute tag to assign to the selected text. Enter a value or click the arrows to increment or decrement the displayed attribute tag name (for example, click the > button to increment the tag name “RATING5” to “RATING6”).


Convert text to a wire number (Procedure)

Convert text to an attribute
Convert text to an attribute
Convert Arrows
Conversion Tools >
Convert text to an attribute
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Convert text to a wire number

Converts a text object to a wire number compatible with AutoCAD Electrical.

  1. Click Conversion Tools tab [image] Tools panel [image] Text Conversion drop-down [image] Convert Text to Wire Number. Enter AETEXT2WIRENO at the command prompt.
  2. Select the wire near the text to convert.
  3. Select the text to convert.


Convert Arrows

Convert text to an attribute
Conversion Tools
Convert non-AutoCAD Electrical arrows
Conversion Tools >
Convert Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Convert non-AutoCAD Electrical arrows


Convert Arrows (Procedure)

Convert text to an attribute
Convert Arrows
Convert non-AutoCAD Electrical arrows
Conversion Tools >
Convert Arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Convert non-AutoCAD Electrical arrows


Convert non-AutoCAD Electrical arrows (Procedure)

Convert Arrows
Up a level to ..
Overview of ECDS legacy conversion
Conversion Tools > Convert Arrows >
Convert non-AutoCAD Electrical arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure

Convert non-AutoCAD Electrical arrows

Use the Convert Block to Source Arrow tool to replace a non-AutoCAD Electrical source arrow with a smart AutoCAD Electrical source arrow and map the information to the new AutoCAD Electrical source.

Use the Convert Block to Destination Arrow tool to replace a non-AutoCAD Electrical destination arrow with a smart AutoCAD Electrical destination arrow.

Convert a block to a source arrow

  1. Click Conversion Tools tab [image] Tools panel [image] Schematic Conversion drop-down [image] Convert Block to Source Arrow. Enter AEBLK2SRC at the command prompt.
  2. Select your non-AutoCAD Electrical source block and/or any text related to it that you might want to map to the new AutoCAD Electrical source.
  3. Select the wire end for the source arrow.
  4. Define the Source Signal Code and click OK.
  5. Define attribute values.

Convert a block to a destination arrow

  1. Click Conversion Tools tab [image] Tools panel [image] Schematic Conversion drop-down [image] Convert Block to Destination Arrow. Enter AEBLK2DEST at the command prompt.
  2. Select your non-AutoCAD Electrical destination block and/or any text related to it that you might want to map to the new AutoCAD Electrical destination.
  3. Select the wire end for the destination arrow.
  4. Define the Destination Signal Code and click OK.
  5. Define attribute values.


Overview of ECDS legacy conversion (Concept)

Convert non-AutoCAD Electrical arrows
Conversion Tools
Tagging and Linking Tools
Conversion Tools >
Overview of ECDS legacy conversion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

For this conversion to be effective, AutoCAD Electrical must have information to swap AutoCAD Electrical type blocks with the blocks used on your ECDS drawings. It also must know how to map the values carried on each attribute on the blocks. This information is all supplied in an Access database file called WDVIACMP.MDB.

COMPSWSAP table

The COMPSWAP table tells AutoCAD Electrical how to swap blocks. It is simply a list of the blocks used on your ECDS drawings with a corresponding list of AutoCAD Electrical blocks. When the converter is run, AutoCAD Electrical looks for the block in the ECDS list and if it finds it, swaps it out for the block in the AutoCAD Electrical list.

If the origin for the AutoCAD Electrical block is different from the ECDS block, enter an XY Offset. To use multiple AutoCAD Electrical blocks to "build up" the ECDS symbol, use an available AutoCAD Electrical command $C=wd_via_cv_3unit, followed by the individual block names.

ATTRMAP table

The ATTRMAP table tells AutoCAD Electrical how to map the information held on the attributes within each block. For each attribute used on the ECDS blocks, enter the AutoCAD Electrical attribute name in the next column to create the attribute map. Then when AutoCAD Electrical swaps out the blocks, the information carried on the individual attributes are not lost.

Notice the line mapping the attribute DESCRIPTION to DESC#. If you have blocks that contain multiple copies of the same attribute, for example, DESCRIPTION, you can map them to separate AutoCAD Electrical attributes such as DESC1, DESC2, DESC3. The "#" in the AutoCAD Electrical Attribute field, indicates that each time a DESCRIPTION attribute is found within a block, the AutoCAD Electrical attribute name should be incremented by 1 (starting with 1).

IOATTRMAP table

The IOATTRMAP table is the same as the ATTRMAP table but is used when a PLC block is swapped out. This accounts for some of the same attributes being mapped differently for PLC blocks than other blocks.


Convert using the ECDS to Electrical Database Builder (Procedure)

Convert non-AutoCAD Electrical arrows
Overview of ECDS legacy conversion
Tagging and Linking Tools
Conversion Tools >
Overview of ECDS legacy conversion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Convert using the ECDS to Electrical Database Builder

The Access database file used for the ECDS to Electrical converter, WDVIACMP.MDB, can be modified directly with Microsoft Access or with the ECDS to Electrical Database Builder tool.

  1. Enter AEECDS2ACADEDB at the command prompt.
  2. Select the line within the list to edit.

    Individual values appear in the edit boxes.

  3. Edit the necessary fields and click Update.
  4. Add a new line to the database by filling in the fields and clicking Add.
  5. Delete a line by selecting the line and clicking Delete.
  6. Click OK.


Overview of ECDS legacy conversion (Quick Reference)

Convert text to an attribute
Overview of ECDS legacy conversion
Use tagging and linking tools
Conversion Tools >
Overview of ECDS legacy conversion
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Convert VIA ECDS or Jr. Project to AutoCAD Electrical

If you used ECDS, you may have drawings you want to use with AutoCAD Electrical. AutoCAD Electrical provides a conversion tool that converts the intelligence of your ECDS drawings to the intelligence that AutoCAD Electrical expects.

Menu: Projects [image] Extras [image] ECDS Legacy Conversion [image] ECDS to Electrical Drawing ConvertDoes not exist in the menus.
Command entry: AEECDS2ACADEDWG
Project Options

Existing VIA ECDS or Jr. Project (.VPJ)

Specifies the ECDS project name. Enter your ECDS project name or browse for it.

AutoCAD Electrical Project (.WDP)

Specifies the AutoCAD Electrical project name. Enter an AutoCAD Electrical project name, either existing or new. If you are adding the drawings to an existing AutoCAD Electrical project make sure that you select that option, otherwise the .WDP project files are overwritten. The ECDS drawings are copied to another location before they are converted. A default location for the converted drawings is supplied, but you can enter any location. If the directory does not exist, AutoCAD Electrical creates it.

Library path

Specifies the path to the schematic symbol library to use for the project. A default search path is supplied pointing to the Symbol library of converted symbols. You can include electrical, pneumatic, or other schematic libraries in the path. You can also include a series of paths for AutoCAD Electrical to search in order.

Symbol1, Symbol2, Symbol3

Adds the path for a specific library of converted symbols. AutoCAD Electrical provides three libraries of converted symbols. These symbols look just like the older ECDS symbols but carry the expected AutoCAD Electrical attributes. The path to those symbols is added to your search path. Also, when you select your project to convert, AutoCAD Electrical reads the old ECDS PROJECT.CFG, and look for the Symbol library name. You can also type in any directory path you wish.

NoteThe libraries of converted symbols are supplied in a zip file called ConvSym.zip. Before running the conversion utility, unzip the libraries. Unzip pointing to your /Program Files/Autodesk/Acade .../Support directory but make sure that you use the folder names within the zip file. The zip file creates three subdirectories called "Converted Symbol1," "Converted Symbol2," and "Converted Symbol3."
Drawing Options

Your drawings are copied to another directory and converted; the original drawings are not changed.

Copy Directory | Specifies the path for the converted drawings. If the directory does not exist it is created.
Drawing Configuration | Sets up the drawing defaults that are used for each drawing. The defaults are read from your ECDS PROJECT.CFG file, if possible.

AutoCAD Electrical presents a list of drawings in your ECDS project. Select the drawings you want to convert. AutoCAD Electrical then calls up each drawing, converts the intelligence and saves it. A log file is created named projnam_cv.log and saved in the same directory as the .WDP file. The log file contains information about any problems encountered in the conversion.


Tagging and Linking Tools

Overview of ECDS legacy conversion
Conversion Tools
Use tagging and linking tools
Conversion Tools >
Tagging and Linking Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Use tagging and linking tools

    Special explode

  • Overview of block/attribute mapping

    Block replacement


Tagging and Linking Tools (Procedure)

Overview of ECDS legacy conversion
Tagging and Linking Tools
Use tagging and linking tools
Conversion Tools >
Tagging and Linking Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Tag and link components

Map block values using a user-defined spreadsheet


Use tagging and linking tools (Concept)

Tagging and Linking Tools
Tagging and Linking Tools
Overview of block/attribute mapping
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Apply these manual tools to enable nonblocked geometry to be made AutoCAD Electrical-aware. The existing geometry stays in place and is unblocked. Key text entities are converted to attributes with user picks and are linked into a generic, nongraphical block insert. Wire connection attributes can also be merged into this generic block insert. The process to convert it from dumb text, circle, and line entities takes only moments to complete. The result appears as a fully functional AutoCAD Electrical-aware block insert.

Tagging results:

  • The selected text entities are replaced with a template block file.
  • The TAG attribute takes on the value of the converted text.
  • The TAG attribute is set to fixed.
  • The color of the TAG attribute is by layer. The attribute is the same layer as defined on the WD_M block.
  • The TAG attribute takes on the same ACAD properties as the tagged text.

Linking results:

  • The selected text entities are replaced with an AutoCAD Electrical attribute.
  • Colors change to distinguish visually what was already converted as defined in the WD_M block.
  • Temporary lines display the link.

Wire Connection Results:

  • Visual indicators (x) appear where the wire connection attributes were already applied.
  • Wire connection attributes, terminal attributes, and terminal description attributes are added.
  • The block definition is automatically modified during the attribute addition process.
  • Terminal attribute colors change to distinguish visually what was already converted as defined in the WD_M block.

Add Geometry Results:

  • TAG1, TAG2, PLC TAG, and TAGSTRIP attributes are defined and selected first.
  • The block definition is automatically modified.
  • The color of the geometry changes by layer to distinguish visually what was already converted as defined in the WD_M block.


Use tagging and linking tools (Quick Reference)

Overview of ECDS legacy conversion
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Special explode

Tag schematic

Tag panel

Link

Add geometry

Add wire connections

Show links

Un link


Tag and link components (Procedure)

Tagging and Linking Tools
Up a level to ..
Overview of block/attribute mapping
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tag and link components

You can do multiple tagging and linkages without exiting the commands.

NoteThis procedure uses schematic components, but the same procedure can be done using panel components.

Initial setup

  1. Click Conversion Tools tab [image] Tools panel [image] Special Explode. Enter AEEXPLODE at the command prompt.
  2. Explode any existing blocks.

    It explodes attributes and blocks to geometry and text entities while maintaining the value previously defined in the attribute.

  3. Select the wire layer from the grid to add wire lines to.

    The selected wire layer highlights in blue to indicate which layer is selected; the current wire layer highlights in gray.

  4. Click Conversion Tools tab [image] Tools panel [image] Change/Convert Wire Type drop-down [image] Change/Convert Wire Type. Enter AECONVERTWIRETYPE at the command prompt.
  5. Click Pick and select wire lines from the drawing to add to a wire layer.
  6. Click OK.

Tag components

  1. Click the Conversion Tools tab, Schematic panel, to access any of the schematic tagging commands.
  2. Select the text entity to replace with the component TAG1 template block file.

    The selected text string highlights indicating what was selected for conversion.

  3. Right-click to apply the tag.
  4. (Optional) Tag any other text entities with the proper block file.
  5. Right-click to exit the Tagging command. Right-click a few times before exiting, if necessary.

Link components

  1. Click the Conversion Tools tab, Attributes panel, to access any of the linking commands.
  2. Select the existing tagged TAG1 block definition.
  3. Right-click to apply the selection.
  4. Select the text to link to the tagged attribute. The selected text properties are applied to the new attribute.

    Colors change to distinguish visually what was converted and temporary lines display the link.

  5. Right-click to create the link.
  6. (Optional) Link any other text entities to the proper attribute.
  7. Right-click to exit the Linking command. Right-click a few times before exiting, if necessary.

Add geometry and wire connections

  1. Click Conversion Tools tab [image] Tools panel [image] Add Wire Connections. Enter AEWIRECONN at the command prompt.
  2. Select the block to tie the wire connections to.
  3. Select the endpoint of the wire or a position on a symbol. Press Shift, right-click, and select Endpoint from the menu to select the endpoint easily.
  4. After you define the wire connection attribute, you can select the terminal text if the drawing contains the value. If not, continue with the next wire connection attribute.
  5. Right-click to apply the selection.

    Visual indicators (x) appear where the wire connection attributes were already applied.

  6. Repeat the selection for the other endpoint.
  7. Right-click to exit the command. Right-click a few times before exiting, if necessary.
  8. Click Conversion Tools tab [image] Tools panel [image] Add Geometry. Enter AEGEOMETRY at the command prompt.
  9. Select the block to add the geometry to.
  10. Pick or window select the geometry to associate to the template block file.
  11. Right-click to apply the selection.
  12. Specify the insertion point.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Special explode

Use this tool to explode attributes and blocks to geometry and text entities while maintaining the value previously defined in the attributes. You can take advantage of the tagging tools to modify the text entities to attributes and the linking tools to make various blocks.

NoteUse AutoCAD Explode to convert Mtext to normal text for tagging and linking.
Ribbon: Conversion Tools tab [image] Tools panel [image] Special Explode. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Projects [image] Conversion Tools [image] Special ExplodeDoes not exist in the menus.
Command entry: AEEXPLODE

Select the block to explode into separate text entities and geometry.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tag schematic

Use these tools to convert text entities into an attributed block. Through the insertion of a template block, you have control over which attributes are inserted and visible. All necessary attribute definitions are automatically placed. During the tagging process, the text entity is removed and replaced with a template block file that contains multiple attributes used in AutoCAD Electrical.

Click Conversion Tools tab [image] Schematic panel. Select one of the schematic tagging commands from the list.

Click any of the tagging tools. Select the text entity to replace with the component TAG1 template block file, and right-click to apply the tag.

Tag Schematic Component | Makes selected text entities an attributed block file with the TAG1 attribute visible. The template block file (HDV1_CONVERT.DWG or VDV1_CONVERT.DWG depending on the drawing properties) contains attributes for a schematic component.
Tag PLC | Makes selected text entities an attributed PLC address associated to a PLC tag. The template block file (PLCIO_ADDR_CONVERT.DWG, PLCIO_CONVERT.DWG, PLCIO_V_ADDR_CONVERT.DWG, or PLCIO_V_CONVERT.DWG depending on the drawing properties) contains attributes found useful for PLC addressing. After the addressing is defined on the block, select a PLC Tag or place one into the symbol definition for use with AutoCAD Electrical.
Tag Child | Makes selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV2_CONVERT.DWG or VDV2_CONVERT.DWG depending on the drawing properties) contains attributes used for a child component.
Tag Child - N.O. | Makes selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV21_CONVERT.DWG or VDV21_CONVERT.DWG depending on the drawing properties) contains attributes used for a child normally open contact component.
Tag Child - N.C. | Makes the selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV22_CONVERT.DWG or VDV22_CONVERT.DWG depending on the drawing properties) contains attributes used for a child normally closed contact component.
Tag Child - Form C | Makes the selected text entities an attributed block file with the TAG2 attribute visible. The template block file (HDV23_CONVERT.DWG or VDV23_CONVERT.DWG depending on the drawing properties) contains attributes used for a child Form C contact component.
Tag Schematic Terminal - Terminal Number | Makes the selected text entities an attributed block file with the TAGSTRIP and TERM01 attribute visible. The template block file (HT0T_CONVERT.DWG or VT0T_CONVERT.DWG depending on the drawing properties) contains attributes used for a terminal block component containing a terminal number.
Tag Schematic Terminal - Wire Number | Makes the selected text entities an attributed block file with the TAGSTRIP and WIRENO attribute visible. The template block file (HT0W_CONVERT.DWG or VT0W_CONVERT.DWG depending on the drawing properties) contains attributes used for a terminal block component containing a wire number as the terminal number.
Tag Schematic Terminal - Wire Number Change | Makes the selected text entities an attributed block file with the TAGSTRIP and TERM01 attribute visible. The template block file (HT1T_CONVERT.DWG or VT1T_CONVERT.DWG depending on the drawing properties) contains attributes used for a terminal block component that changes the wire number. It creates a terminal number block that has a different wire number for each wire connected to it.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tag panel

Use these tools to convert text entities into an attributed block file. Through the insertion of a template block, you have control over which attributes are inserted and visible. All necessary attribute definitions are automatically placed. During the tagging process, the text entity is removed and replaced with a template block file that contains multiple attributes used in AutoCAD Electrical.

Click Conversion Tools tab [image] Panel panel. Select one of the panel tagging commands from the list.

Click any of the tagging tools. Select the text entity to replace with the component TAG1 template block file and right-click to apply the tag.

Tag Panel Component | Makes selected text entities an attributed block file with the P_TAG1 attribute visible. The template block file (ACE_P_TAG1_CONVERT.DWG) contains attributes for a panel component.
Tag Nameplate | Makes selected text entities an attributed block file with the DESC1-3 attributes visible. The template block file (ACE_NP_CONVERT.DWG) contains attributes used in nameplate symbols. If the description text strings were previously defined as attributes on an AutoCAD Electrical panel component block definition, the attribute values on the panel component are hidden and the nameplate attributes DESC1-3 are added and made visible.
Tag Panel Terminal - Terminal Number | Makes selected text entities an attributed block file with the TERM01 terminal number attribute visible. The template block file (ACE_TERMT_CONVERT.DWG) contains attributes for terminal numbers.
Tag Panel Terminal - Wire Number | Makes selected text entities an attributed block file with the WIRENO wire number attribute visible. The template block file (ACE_TERMW_CONVERT.DWG) contains attributes for panel terminal symbols.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Link

Use these tools to associate nonblocked text to previously placed blocks. Through the modification of a template block, you have control over which attributes are inserted and visible. All necessary attribute definitions are placed using the properties of the existing text entities, such as justification, height, and location. If multiple template block files are selected, the value of the text is added to the previously defined template block attributes as hidden attributes and the text is not removed.

Click Conversion Tools tab [image] Attributes panel. Select one of the linking commands from the list.

Click any of the linking tools. Select the existing tagged TAG1 block definition, and right-click to apply the selection. Select the text to link to the tagged attribute. The selected text properties are applied to the new attribute. Right-click to create the link.

Link Description | Links simple text as Description 1-3 attributes on an AutoCAD Electrical block file. You can link them as description attributes to one or more existing template block definitions. During the conversion process, the text entity is removed and replaced with the next available description attribute, up to 3.
Link PLC Address Description | Links simple text to a PLC address attribute as PLC I/O address description attributes. During the conversion process, the text entity is removed and replaced with the next available PLC address description attribute, up to 5.
Link Terminal Number | Links simple text to a TAGSTRIP attribute as a terminal number attribute on an AutoCAD Electrical terminal block symbol. During the conversion process, the text entity is removed and replaced with the TERM01 or WIRENO attribute.
Link Manufacturer | Links simple text as manufacturer attributes on an AutoCAD Electrical block file. The entity value is used as the Manufacturer value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Manufacturer attribute.
Link Catalog Number | Links simple text as Catalog Number attributes on an AutoCAD Electrical block file. The entity value is used as the Catalog Number value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Catalog Number attribute.
Link Location Code | Links simple text as Location attributes on an AutoCAD Electrical block file. The entity value is used as the Location value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Location attribute.
Link Installation Code | Links simple text as Installation attributes on an AutoCAD Electrical block file. The entity value is used as the Installation value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the Installation attribute.
Link Split Tag | Links another string of text to a tag attribute, creating a split tag. Create the device Tag using the TAG1, TAG, or P_TAG1 attributes. Then use this tool to select the existing TAG attribute on the drawing and link another string of text, creating a split tag situation. The first TAG becomes the Part1 of the split tag while the linked portion becomes the Part2 of the split tag.
Link User | Links simple text (that is not an attribute definition or part of geometry) as User (01-99) attributes on an AutoCAD Electrical block file. The entity value is used as the user value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the user attribute, up to 99. Window selection is allowed.
Link Rating | Links simple text as Rating 1-12 attributes on an AutoCAD Electrical block file. The entity value is used as the rating value for one or more template block definitions. If only one template block is selected for the link, the text entity is removed and replaced with the rating attribute, up to 12.
Link Item Number | Links simple text as an Item Number attribute on an AutoCAD Electrical Panel block file. During the conversion process, the text entity is removed and replaced with the Item Number attribute (P_ITEM).
Show Links | Displays links for a selected block.
Un Link | Unlinks a selected linked attribute from a symbol.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add geometry

Use this tool to add AutoCAD geometry to a template block file to be created as part of a unique block instance. It creates a block definition with the newly added geometry. You can later create a block file if the block is exploded.

Ribbon: Conversion Tools tab [image] Tools panel [image] Add Geometry. Does not exist on the ribbon.
Toolbar: Link Schematic
Menu: Projects [image] Conversion Tools [image] Link Schematic [image] Add GeometryDoes not exist in the menus.
Command entry: AEGEOMETRY

Select the block to add the geometry to. Pick or window select the geometry to associate to the template block file, and right-click to apply the selection. Specify an insertion point.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Add wire connections

Use this tool to add wire connection attributes to the existing tagged block file. Select line endpoints or geometry to add the appropriate wire connection attributes to. A new block definition is created with the newly added wire connections. You can later create a block file if the block is exploded.

Ribbon: Conversion Tools tab [image] Tools panel [image] Add Wire Connections. Does not exist on the ribbon.
Toolbar: Link Schematic
Menu: Projects [image] Conversion Tools [image] Link Schematic [image] Add Wire ConnectionsDoes not exist in the menus.
Command entry: AEWIRECONN

Select the block TAG or PLC Address to tie the wire connection to. Select the wire end or pick near the selected block to select a location if no wire exists. If you picked a location, the Wire Direction dialog box displays. Select where you want the wire to come from: above, right, below, or left of the selected block. Right-click to apply the wire connection.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Use tagging and linking tools
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Show links

Use this tool to select the tagged template block file and display everything (such as description, location, manufacturer, and catalog number codes) that has been linked to it.

Ribbon: Conversion Tools tab [image] Attributes panel [image] Show Links. Does not exist on the ribbon.
Toolbar: Link Schematic
Menu: Projects [image] Conversion Tools [image] Link Schematic [image] Show LinksDoes not exist in the menus.
Command entry: AESHOWLINK

Select a single link by picking or multiple links by windowing. Temporary line graphics show what was previously linked.


Use tagging and linking tools (Quick Reference)

Use tagging and linking tools
Use tagging and linking tools
Overview of block/attribute mapping
Conversion Tools > Tagging and Linking Tools >
Use tagging and linking tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Un link

Use this tool to select an existing linked attribute and unlink the attribute from the symbol, changing the attribute to AutoCAD text.

Ribbon: Conversion Tools tab [image] Attributes panel [image] Un-Link. Does not exist on the ribbon.
Toolbar: Link Schematic
Menu: Projects [image] Conversion Tools [image] Link Schematic [image] Un LinkDoes not exist in the menus.
Command entry: AEUNLINK

Select the link to remove; the link between the attributes and the block it is associated to is removed.


Overview of block/attribute mapping (Concept)

Use tagging and linking tools
Tagging and Linking Tools
Miscellaneous Tools
Conversion Tools > Tagging and Linking Tools >
Overview of block/attribute mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can perform drawing-wide or project-wide block replacements using a user-defined Microsoft Excel spreadsheet and an AutoCAD Electrical-aware symbol library that it references. The spreadsheet performs a lookup for each block name and finds the corresponding new block. Each new block drawing is pulled from the AutoCAD Electrical symbol library and inserted (scaled and rotated as required) in the drawing. The spreadsheet is checked to copy the old attribute values to the appropriate new names on the newly inserted block. This process continues across the drawing, and terminates when no more block names remain. It automatically continues to the next drawing if project-wide mode is selected.

The mapping spreadsheet has two parts: Attribute mapping defaults and Block name mapping. Each section is a sheet within the spreadsheet and must follow a defined column format. The sheets must be in order, where sheet 1 defines the attribute mapping and sheet 2 defines the block mapping.

Attribute mapping defaults | General mapping of old attribute names to new attribute names so that the old values on the blocks can be copied to the swapped AutoCAD Electrical-smart block.
Block name mapping | Maps existing specific or wild-carded block names to the new AutoCAD Electrical block to use during the block instance swap. Each row of this spreadsheet is a mapping record for an old name to a new name swap.
Attribute mapping sheet format
Column A / Old Attribute Name | Attribute tag found on the legacy, non-AutoCAD Electrical block insert. Wildcards and AutoLISP-style punctuation for wildcards are supported.
Column B / AcadE Attribute Name | Attribute tag name found on the AutoCAD Electrical block insert. Wildcards and AutoLISP-style punctuation for wildcards are supported.
Block name mapping sheet format
Column A / Old Block Name | Legacy, non-AutoCAD Electrical block insert name. Wildcards and AutoLISP-style punctuation for wildcards are supported.
Column B / AcadE Block Name | AutoCAD Electrical block name to use as a replacement for all instances of the block query match on columns A and C.
Column C / Filtering Expression | Optional. AutoLISP expression, or attribute definition, along with column A are what the program uses to query the table to find the correct mapping entry for a given block name to swap.
Column D/ Scale Multiplier | If blank, the new block swaps in at the same scale as the existing block it replaces. If this field is not blank, the swapped block is scaled up or down per the multiplier value of the field.
Column E / X-Y Offset | If blank, the new block swaps in at the same XY coordinate as the existing block it replaces. If not blank and in the format of a coordinate pair, the swapped block inserts offset from the origin of the original block by this XY amount.
Column F / Attribute name overrides | Defines specific attribute Old=New mapping that is not defined in sheet 1 or is to override what is found in sheet 1. Multiple entries in this field are supported with this syntax: Old1=New1;Old2=New2.
Column G / Attribute Value Overrides | Defines specific attribute values to insert into the newly swapped attributes. Multiple entries in this field are supported with this syntax: New1=val1;New2=val2. An entry of "New1=" blanks out that attribute value.

The block replacement process generates a log file of the results. The log file ({projectname}_cnv.log) is created in the same folder as the .wdp project file. The following conditions are reported:

  • Problem finding/opening mapping spreadsheet
  • Problem inserting WD_M block (if not already present)
  • Legacy block name not mapped to an AutoCAD Electrical block
  • AutoCAD Electrical block not found in library search path
  • Problem inserting AutoCAD Electrical block
  • Legacy attribute name not mapped


Map block values using a user-defined spreadsheet (Procedure)

Use tagging and linking tools
Up a level to ..
Insert hydraulic components
Conversion Tools > Tagging and Linking Tools >
Overview of block/attribute mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Map block values using a user-defined spreadsheet

NoteA user-defined spreadsheet is required for this tool. Refer to the "Learn about block/attribute mapping" file for help on creating the spreadsheet if you do not already have one created.
  1. Click Conversion Tools tab [image] Tools panel [image] Block Replacement drop-down [image] Block Replacement. Enter AEBLOCKREPLACE at the command prompt.
  2. Select to run the block replacement for the entire project, the active drawing, or a selected component on the active drawing.
  3. Click OK.
  4. On the Select Mapping Spreadsheet dialog box, select the spreadsheet to use for mapping the blocks and attributes.
  5. Click Open.

    If you select an existing spreadsheet the block replacement automatically begins. If the spreadsheet file does not exist you are presented with the option to create the spreadsheet framework for the block/attribute mapping.

    If a spreadsheet was not found, on the Spreadsheet Not Found dialog box, click OK to run through the drawing set of the active project. Fill in a blank spreadsheet with extracted block names and attributes. Only the first column of each of the sheets are filled in. You can then add the block/attribute mapping information and then rerun the command using the new spreadsheet.


Overview of block/attribute mapping (Quick Reference)

Use tagging and linking tools
Overview of block/attribute mapping
Overview of power check tools
Conversion Tools > Tagging and Linking Tools >
Overview of block/attribute mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Block replacement

Performs drawing-wide and project-wide block replacements using a user-defined spreadsheet. It automatically maps the non-AutoCAD Electrical block inserts of the unconverted drawing and attributes to appropriate AutoCAD Electrical-smart component symbols drawn from a symbol library.

Ribbon: Conversion Tools tab [image] Tools panel [image] Block Replacement drop-down [image] Block Replacement. Does not exist on the ribbon.
Toolbar: Conversion Tools
Menu: Projects [image] Conversion Tools [image] Block ReplacementDoes not exist in the menus.
Command entry: AEBLOCKREPLACE

Select to run the block replacement on the entire project, the active drawing, or a single symbol on the active drawing.


Miscellaneous Tools

Overview of block/attribute mapping
Overview of power check tools
Miscellaneous Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of power check tools

    Set power source/load value

  • Overview of pneumatic tools
  • Insert hydraulic components
  • Insert P&ID components
  • Troubleshooting Tools


Overview of power check tools (Concept)

Miscellaneous Tools
Miscellaneous Tools
Overview of pneumatic tools
Miscellaneous Tools >
Overview of power check tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

You can add information to your schematic components to indicate power source and load values using the supplied Power Check tools. Once these values are added, you can run the Power Load Check Report to scan the wire interconnections and report if there is too much load on a given power source.

There are 3 tools to use for checking power source/load:

Add/Edit Power Source/Load Levels | Marks a component with a power source and load value. The value is added to an AutoCAD Electrical connection attribute. This dialog box contains a list of available connection points. If you select near the connection point for the power value it is preselected in the dialog box. Enter the power source and load value and an optional units value. These values are saved on the connection point as invisible xdata.
Set Pass Power | Marks a component with a PASSPWR flag. The PASSPWR flag instructs the Power Report to pass through the marked component when calculating the load on a given source. If a component carries the PASSPWR flag the Power Report program passes through the component and continue looking for load values on the network
Power Load Check Report | Looks for any components assigned as a power source and then follows any wires connected to that terminal. When a load is hit, it stops reading on that wire segment and does not search past the load. For example, if you apply a supply value to the left power bus on a ladder, there are a bunch of pilot lights and relay coils in the ladder. AutoCAD Electrical goes down the left bus and checks each connected rung. It reads through contact and terminals, but when it hits a load on a rung, it accumulates the load value (if present) and stops going any further on that rung. The utility still checks the other rungs tied to the left-hand bus and try to find more loads.
Tip: Adding Xdata to library symbols before insertion

You can add the Xdata on the library symbol before inserting it. If a drawing already contains that block, use the Update Block option before running the report. Open the library symbol and use the Xdata Editor to add Xdata directly onto the appropriate TERM## attribute. The following xdata can be added at the library level:

  • Source - VIA_WD_PWR_SRC
  • Load - VIA_WD_PWR_LOAD
  • Unit - VIA_WD_PWR_UNIT
  • Potential - VIA_WD_POTENTIAL


Overview of power check tools (Quick Reference)

Overview of block/attribute mapping
Overview of power check tools
Overview of power check tools
Miscellaneous Tools >
Overview of power check tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Set power source/load value

Set pass power

Power source/load report


Overview of power check tools (Quick Reference)

Overview of power check tools
Overview of power check tools
Overview of power check tools
Miscellaneous Tools >
Overview of power check tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Set power source/load value

This utility marks a component with a power source and load value. A related routine, when invoked, then scans the wire interconnections and reports if there is too much load on a given power source.

Ribbon: Schematic tab [image] Power Check Tools panel [image] Add/Edit Source/Load. Does not exist on the ribbon.
Toolbar: Power Check
Menu: wires [image] Wire Numbers Miscellaneous [image] Power Check [image] Add/Edit Power Source/Load LevelsDoes not exist in the menus.
Command entry: AEPOWERLOADLEVELS

Select the component for the power source or load value. The value is added to an AutoCAD Electrical connection attribute. This dialog box contains a list of available connection points. If you select near the connection point for the power value it is preselected in the dialog box. Enter the power source and load value and an optional units value. These values are saved on the connection point as invisible xdata.

NoteAs you add these power source or load values, think of AutoCAD Electrical tracing through these components to see what the load is on the power source. Pick which terminal to add the value to accordingly.
Source/load assignment
Source/Load | Indicates to set the source or load value.
Value | Specifies the source or load value to save on the connection point.
Units | (Optional) Specifies the units for the source or load value. Select from the drop-down list to specify the units.
Potential assignment

Optional for voltage level mismatch checks. Select from the drop-down list to specify the potential value.


Overview of power check tools (Quick Reference)

Overview of power check tools
Overview of power check tools
Overview of power check tools
Miscellaneous Tools >
Overview of power check tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Set pass power

This utility marks a component with a PASSPWR flag. The PASSPWR flag instructs the Power Report to pass through the marked component when calculating the load on a given source. If a component carries the PASSPWR flag the Power Report program passes through the component and continue looking for load values on the network.

NoteCertain components do not need a PASSPWR flag (such as terminals and contacts) since they are automatically 'passed' through.
Ribbon: Schematic tab [image] Power Check Tools panel [image] Pass Component. Does not exist on the ribbon.
Toolbar: Power Check
Menu: Wires [image] Wire Numbers Miscellaneous [image] Power Check [image] Mark Component to Pass PowerDoes not exist in the menus.
Command entry: AEPASSPWR

Each selected component is displayed in the list. If the component already carries the PASSPWR flag, a * appears next to the tag. To set or unset the PASSPWR flag, click the tag of the component in the list.


Overview of power check tools (Quick Reference)

Overview of power check tools
Overview of power check tools
Overview of pneumatic tools
Miscellaneous Tools >
Overview of power check tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Power source/load report

Once a component is marked with a power source and load value, this utility scans the wire interconnections and reports if there is too much load on a given power source.

Ribbon: Schematic tab [image] Power Check Tools panel [image] Load Check Report. Does not exist on the ribbon.
Toolbar: Power Check
Menu: Wires [image] Wire Numbers Miscellaneous [image] Power Check [image] Power Load Check ReportDoes not exist in the menus.
Command entry: AEPOWERLOADREPORT

Select to run the report on the project, selected components in the active drawing, or all components in the active drawing. You can also select to redisplay the last Power Check report.


Overview of pneumatic tools (Concept)

Overview of power check tools
Miscellaneous Tools
Insert hydraulic components
Miscellaneous Tools >
Overview of pneumatic tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Use the Insert Pneumatic Component tool on the Schematic tab [image] Insert Components panel to insert your Pneumatic symbols. Then use all of the AutoCAD Electrical drafting and editing tools to modify the pneumatic layout, including Stretch, Trim and Scoot.

The Icon Menu provides easy access to pneumatic library symbols. The pneumatic symbol library consists of all the pneumatic symbols and is found at

  • Windows XP: \Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\pneu_iso125
  • Windows Vista: \Users\Public\Documents\Autodesk\Acade {version}\Libs\pneu_iso125
Recommended Settings for drawing pneumatic diagrams
Setting | Value | Where this can be set
Ladder Orientation | Horizontal | Drawing Properties [image] Drawing Format


Overview of pneumatic tools (Quick Reference)

Overview of power check tools
Overview of pneumatic tools
Insert hydraulic components
Miscellaneous Tools >
Overview of pneumatic tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Insert hydraulic components (Procedure)

Overview of block/attribute mapping
Insert hydraulic components
Insert P&ID components
Miscellaneous Tools >
Insert hydraulic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert hydraulic components

Use the Insert Hydraulic Component tool to insert a component into the drawing.

  1. Click Schematic tab [image] Insert Components panel [image] [image] [image] Insert Hydraulic Component. Enter AEHYDRAULIC at the command prompt.
  2. On the Insert Component dialog box, select the starting orientation for the component: horizontal or vertical.
  3. (Optional) If you want to turn off the Insert/Edit Component dialog box when inserting symbols onto the drawing, select No edit dialog box.
  4. (Optional) If you want to insert the component, untagged (for example, without assigning a unique Component Tag) select No tag. The untagged value that displays is the TAG1/TAG2 default value of the component.
  5. Select the component to insert (such as Filters [image] Centrifugal) from the Symbol Preview window.

    The Recently Used column displays components inserted during the current editing session. You can also select the component to insert from this list.

  6. Specify the insertion point in the drawing.

    The orientation of the symbol tries to match the underlying wire. The wire breaks automatically if the symbol lands on it.

  7. In the Insert/Edit Component dialog box, annotate the component.
  8. Click OK.
Recommended Settings for drawing Hydraulic diagrams
Setting | Inch Unit | Metric Unit | Where this can be set
Grid Size | 0.125 | 2.5 | Tools [image] Drafting Settings
Snap | 0.125 | 2.5 | Tools [image] Drafting Settings
Scale Factor | 1 | 20 | Drawing Properties [image] Drawing Format
Ladder Orientation | Horizontal | Horizontal | Drawing Properties [image] Drawing Format


Insert hydraulic components (Quick Reference)

Overview of pneumatic tools
Insert hydraulic components
Insert P&ID components
Miscellaneous Tools >
Insert hydraulic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Insert P&ID components (Procedure)

Insert hydraulic components
Insert P&ID components
Troubleshooting Tools
Miscellaneous Tools >
Insert P&ID components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert P&ID components

Use the Insert P&ID Component tool to insert a component into the drawing.

  1. Click Schematic tab [image] Insert Components panel [image] [image] [image] Insert P&ID Components. Enter AEPID at the command prompt.
  2. In the Insert Component dialog box, select the starting orientation for the component: horizontal or vertical.
  3. (Optional) If you want to turn off the Insert/Edit Component dialog box when inserting symbols onto the drawing, select No edit dialog box.
  4. (Optional) If you want to insert the component, untagged (for example, without assigning a unique Component Tag), select No tag. The untagged value that displays is the TAG1/TAG2 default value of the component.
  5. Select the component to insert from the Symbol Preview window.

    The Recently Used column displays components inserted during the current editing session. You can also select the component to insert from this list.

  6. Specify the insertion point in the drawing.

    The orientation of the symbol tries to match the underlying wire. The wire breaks automatically if the symbol lands on it.

  7. In the Insert/Edit Component dialog box, annotate the component.
  8. Click OK.
Recommended Settings for drawing P & ID diagrams
Setting | Inch Unit | Metric Unit | Where this can be set
Grid Size | 0.125 | 2.5 | Tools [image] Drafting Settings
Snap | 0.125 | 2.5 | Tools [image] Drafting Settings
Scale Factor | 1 | 20 | Drawing Properties [image] Drawing Format
Ladder Orientation | Vertical | Vertical | Drawing Properties [image] Drawing Format


Insert P&ID components (Quick Reference)

Insert hydraulic components
Insert P&ID components
Overview of real-time error checking
Miscellaneous Tools >
Insert P&ID components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Insert component

This icon menu can be modified, expanded, or replaced with your own custom menu. You can change the default icon menu using the Library and Icon Menu Paths section of the Project properties: project settings tab. Use the Icon Menu Wizard to easily modify the menu. The default icon menu can also be redefined in "wd.env." Add entry "WD_MENU" for schematic icon menu and "WD_PMENU" for panel layout icon menu.

Insert Component
Ribbon: Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Insert ComponentDoes not exist in the menus.
Command entry: AECOMPONENT
Multiple Insert (Icon Menu)
Ribbon: Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Does not exist on the ribbon.
Toolbar: Main Electrical
Menu: Components [image] Multiple Insert [image] Multiple Insert (Icon Menu)Does not exist in the menus.
Command entry: AEMULTI
NoteThis dialog box is also accessed when inserting Pneumatic, Hydraulic, or P&ID components; in-line wire labels; stand-alone cross-reference symbols; cable markers; and saved circuits.

Select an icon picture or the component type from the Menu tree structure. The main menu in the tree structure is displayed as the menu heading just above the menu tree structure.

Tabs

  • Menu: Changes the visibility of the Menu tree view.
  • Up one level: Displays the menu that is one level before the current menu in the Menu tree view. This is unavailable if the main menu is selected in the Menu tree view.
  • Views: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.

Menu

The tree structure is created by reading the icon menu file (.dat). The tree structure is based on the arrangement order of submenus defined in the .dat file.

Symbol Preview window

Displays the symbol and submenu icons corresponding to the menu or the submenu selected in the Menu tree structure. Clicking on the icon performs one of the following functions based on the icon properties as defined by the .dat file:

  • Inserts the symbol or circuit onto the drawing
  • Executes a command
  • Displays a submenu
NoteWhen you move the cursor over an icon, the icon name and block/circuit/command name display as tooltip information.

Recently Used

Displays the last components inserted during the current editing session; the most recently used icon displays in the top. This list follows the view options setting in the symbol preview window (icon only, icon with text or list view) and the total number of icons displayed depends on the value specified in the Display edit box.

Display

Specifies the number of icons to display in the Recently Used list box. Enter integer numbers only; the default value is 10.

Vertical/Horizontal

Inserts the icon using a vertical or horizontal orientation. This is opposite the drawing's default ladder rung orientation.

No edit dialog

Turns off the Insert/Edit Component dialog box when inserting symbols onto the drawing. To add component detail later, click the Edit Component tool, and select the component to edit.

No tag

Inserts the component, untagged (i.e. without assigning a unique Component Tag). The untagged value that displays is the component's TAG1/TAG2 default value. To add component detail later, click the Edit Component tool, and select the component to edit.

Always display previously used menu

Indicates to display the previously used menu each time you open the Insert Component dialog box. For example, if you insert a push button from the Push Buttons menu, the next time you open the Insert Component dialog box the Push Button menu displays by default.

Scale schematic

Specifies the component block insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Scale panel

Specifies the footprint insertion scale. This defaults to the value set in the Drawing Properties [image] Drawing Format dialog box. Once set, this value is remembered until reset or until the drawing editing session ends.

Type it

Manually type in the component block to insert.

Browse

Browses to and selects the component to insert.

Right-click menus

Options for the Menu tree structure view

Right-click on the main menu or submenu in the Menu tree structure view to display the following options:

  • Expand/Collapse: Toggles the visibility of the menus.
  • Properties: Opens a Properties dialog box to view the existing menu or submenu properties like the menu name, image, or submenu title. Use the Icon Menu Wizard to change any menu properties.

Options for the Symbol Preview window

Right-click an icon or in empty space in the Symbol Preview window to display the following options:

  • View: Changes the view display for the Symbol Preview window and Recently Used window. The current view option is indicated with a check mark. Options include: Icon with text, Icon only or List view.
  • Properties: (available for icons only) Opens a Properties dialog box to view the existing symbol icon properties like the icon name, image, block names and so on. Use the Icon Menu Wizard to change any icon properties.
Pneumatic, Hydraulic, and P&ID icon menus

The Menu tree structure displays the symbols for the selected component type (pneumatic, hydraulic, or P&ID). The Insert Pneumatic Component, Insert Hydraulic Component and Insert P&ID Component tools are accessed from the Schematic tab [image] Insert Components panel on the ribbon or the Extra Library toolbar.

Insert Pneumatic Component

Insert Hydraulic Component

Insert P&ID Component


Troubleshooting Tools

Insert P&ID components
Miscellaneous Tools
Overview of real-time error checking
Miscellaneous Tools >
Troubleshooting Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of real-time error checking

    Electrical audit

  • Modify invisible data

    Xdata editor


Troubleshooting Tools (Procedure)

Insert P&ID components
Troubleshooting Tools
Overview of real-time error checking
Miscellaneous Tools >
Troubleshooting Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Use the troubleshooting tools

Check, repair, or trace wire and gap pointers

Modify invisible data


Overview of real-time error checking (Concept)

Troubleshooting Tools
Troubleshooting Tools
Modify invisible data
Miscellaneous Tools > Troubleshooting Tools >
Overview of real-time error checking
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Although AutoCAD Electrical checks for duplicated schematic component reference designations and wire numbers during the insert or edit process, you have the option of displaying the warning in real time. Real-time error checking is enabled by default in the Project Properties [image] Project Settings tab.

If you enter an existing component tag/wire number during the insert/edit process, a warning dialog box displays. This alerts you of the duplication and suggests alternative tag names based on the user-defined format. You can select whether to use the duplicated tag or use a new tag that is suggested (or you can type in a new tag).

NoteThe combined value of the component tag and installation code is used for error checking in IEC mode.

An error log file is created for every project if you chose to display the real-time warnings. The real-time warning is saved in the log file named "<project_name>_error.log" and is saved in the User subdirectory. If a log file exists, the new content is added to the same file. A blank line separates one error record from another.

About the .wdn file

The .wdn file is a text file used specifically for auditing terminals. Terminal numbers listed in the .wdn file are not checked for duplication. Use wildcards to exclude a range of terminals for duplication checking such as all terminals with a tag name starting with "T" and with terminal number "1." AutoCAD Electrical searches for the <project_name>.wdn file in the same folder as the project definition file (*.wdp). If <project_name>.wdn is not found, AutoCAD Electrical looks for the default.wdn file in the project folder.

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Proj\
  • Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Proj\

The default .wdn file contains the terminal number filters GND, PE, and E. They are ignored when checking for duplication and are not listed in the Electrical Audit report.


Overview of real-time error checking (Procedure)

Troubleshooting Tools
Up a level to ..
Overview of real-time error checking
Miscellaneous Tools > Troubleshooting Tools >
Overview of real-time error checking
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the troubleshooting tools

Check, repair, or trace wire and gap pointers


Overview of real-time error checking (Quick Reference)

Insert P&ID components
Overview of real-time error checking
Overview of real-time error checking
Miscellaneous Tools > Troubleshooting Tools >
Overview of real-time error checking
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Electrical audit

Drawing audit


Use the troubleshooting tools (Procedure)

Overview of real-time error checking
Up a level to ..
Overview of real-time error checking
Miscellaneous Tools > Troubleshooting Tools >
Overview of real-time error checking
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the troubleshooting tools

There are many tools to use for troubleshooting your AutoCAD Electrical drawing.

Use the audit tool

Use this tool to identify and clean up some types of problems that affect an AutoCAD Electrical drawing. The Electrical Audit tool displays a report of detected problems for the active project. You can save this file for reference or surf the file to view and correct the errors.

  1. Click Reports tab [image] Schematic panel [image] Electrical Audit. Enter AEAUDIT at the command prompt.

    When you run the command, the progress bar describes the progress of the audit process. Once the audit is complete, a text box displays the total number of errors found.

  2. Click Details to view the detected problems.
  3. (Optional) Click Active Drawing to view the detected problems for the active drawing only.
  4. Click any of the tabs highlighted with an error icon.

    They are the areas where problems were found in your project. If no errors are found, the Details button is not enabled.

  5. Click an audit record in the dialog box and click Go To (or double-click the audit record).

    Once you browse to an error location an 'x' appears in the audit dialog box.

  6. Fix the error using any of the AutoCAD Electrical editing tools.

    After correcting the error, you can select another audit record in the dialog box for correction.

  7. Click Close after correcting errors, Save As/Save All if you want to save the report, or Print if you want to print the report.
NoteRun the Drawing audit tool to perform wire-related clean-up functions automatically.

Clean the drawings

  1. Click Project tab [image] Troubleshooting panel [image] Clean DWG Utility. Enter AECLEANDWG at the command prompt.
  2. On the Clean Drawing Utility dialog box, select the drawings to clean: drawings in the active project, a single drawing, or all drawings in a selected folder.
  3. (Optional) Click Purge All to run the AutoCAD Purge command and purges all unused items (such as block definitions, dimension styles, layers, linetypes, and text styles).
  4. Click OK.
  5. If you selected to clean all drawings in the active project, select the drawings to process and click OK.

    New, clean copies of the selected drawings are created and inserted into the drawing.

Use the debug tool

If you receive a message that AutoCAD Electrical is having trouble updating your scratch database file of the project, turn on the Debug Trace. It can help track down the problem. Select one of the following commands:

  • Click Project tab [image] Troubleshooting panel [image] MDB Command Trace drop-down [image] MDB Command Trace On. Enter AEONMDBDEBUG at the command prompt.

    To turn the tracing off,

    Click Project tab [image] Troubleshooting panel [image] MDB Command Trace drop-down [image] MDB Command Trace Off. Enter AEOFFMDBDEBUG at the command prompt.
  • Click Project tab [image] Troubleshooting panel [image] Command Trace drop-down [image] Command Trace On. Enter AEONLISPDEBUG at the command prompt.

    To turn the tracing off,

    Click Project tab [image] Troubleshooting panel [image] Command Trace drop-down [image] Command Trace Off. Enter AEOFFLISPDEBUG at the command prompt.


Check, repair, or trace wire and gap pointers (Procedure)

Overview of real-time error checking
Up a level to ..
Modify invisible data
Miscellaneous Tools > Troubleshooting Tools >
Overview of real-time error checking
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Check, repair, or trace wire and gap pointers

The Check/Repair Gap Pointers utility verifies that the invisible Xdata pointers on both sides of a wire gap/loop are valid. If not, appropriate pointers are established. The Check/Trace a Wire utility single steps through and highlights each connected wire of the selected wire network.

Check/repair wire gaps

Use this utility to create wire number jumps (on the current drawing) without resorting to individual signal source/destination arrow symbols.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Modify Wire Gap drop-down [image] Check/Repair Gap Pointers. Enter AEGAPPOINTER at the command prompt.
  2. Click the Check/Repair Gap Pointers tool.
  3. Select each wire segment as directed.

    Gap data is added as needed. The result of the check/repair is shown in the command prompt area.

Check/trace a wire

This utility can help you troubleshoot problems with unconnected or shorted wires and invalid wire crossing gap pointers.

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wires drop-down [image] Check/Trace Wire. Enter AETRACEWIRE at the command prompt.
  2. Select a wire on the network. You can select "A" to show All Segments. If you prefer to step through wire by wire, press the spacebar.
  3. Determine whether to pan or zoom the selected wire.

    The connected wire segments endpoints are shown in the command prompt area.

Check multiple wires
  1. Click Reports tab [image] Schematic panel [image] DWG Audit. Enter AEAUDITDWG at the command prompt.
  2. Select whether to process the active drawing or the entire project, and click OK.
  3. Indicate which areas to check for errors. You can look for problems related to missing wires segments which were linked through wire crossing gap pointers. You can also clean up wires pointing to nonexistent wire numbers and erase wire numbers that are not linked to a wire network. Show all valid wire segments by having each outlined in temporary graphics. Temporary graphics are shown as:
    • Bright red - regular wires
    • Magenta - wires on layers defined as No Wire Numbering.
  4. Click OK.

    The Drawing Audit utility displays a report of wire-related clean-up functions that were performed.


Overview of real-time error checking (Quick Reference)

Overview of real-time error checking
Overview of real-time error checking
Overview of real-time error checking
Miscellaneous Tools > Troubleshooting Tools >
Overview of real-time error checking
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Electrical audit

Detects problems related to wires and components, and describes the problems in a dialog box on a series of tabs.

Ribbon: Reports tab [image] Schematic panel [image] Electrical Audit. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Electrical AuditDoes not exist in the menus.
Command entry: AEAUDIT

When you run Electrical Audit, a progress bar describes the progress of the audit process. Once the audit is complete, a text box displays the total number of errors found. The Details option shows the detected problems. You can go to the location of an error within the project and correct the error.

Project

Displays the audit information for all the drawings in the active project.

Active Drawing

Displays the audit information for the active drawing only. If a different drawing becomes active, the display updates for that drawing. If the active drawing is not part of the project, the Active Drawing control is disabled and the Project control is selected.

Wire - No Connection

Displays the unconnected wires for the active project. The report lists the unconnected wire number, location point, error message, and the drawing where the error occurs. If there is not a record of a wire number, the wire number column is blank.

Wire Exception

Displays missing or duplicated wire numbers for the active project. The report lists the duplicated wire number, error message, and the drawing where the error occurs. If a wire number is missing, the wire number column is blank.

Cable Exception

Displays the duplicated cable and wire id for the active project. The report lists the duplicated cable tags or cable tags with duplicated wire id, error message, reference of the cable tag, and the drawing where the error occurs.

Component - No Catalog Number

Displays components with no bill of material part assignments. The report lists the component reference designation tag, component category, reference of the component tag, error message, and the drawing where the error occurs.

Component Duplication

Displays the duplicated components. The report lists the component reference designation tag, component category, reference of the component tag error message, and the drawing where the error occurs.

Component - No Connection

Displays component connections with no connected wires. The report lists the component reference designation tag, component category, reference of the component tag, error message, and the drawing where the error occurs.

Mixed Component Network

Displays components in the wire network that carry a mixture of different WDTYPE attribute values. For example, a one-line symbol (WDTYPE value of “1-”) connected to a schematic symbol (WDTYPE value missing or blank).

Terminal Duplication

Displays duplicated schematic terminal numbers. The report lists the terminal tag id and duplicated terminal number, reference of the terminal number, error message, and the drawing where the error occurs.

NoteTerminal numbers listed in WDN files (located in the same folder as the project definition file (*.wdp)) are not checked for duplications. You can use wildcards to exclude a range of terminals for duplication checking using this text file.

Pin Exception

Displays duplicated component pin assignments. The report lists the schematic component reference designation tag and component wire connection pin, reference of the component tag, error message, and the drawing where the error occurs.

Contacts

Displays any children without a parent schematic component. The report lists the component reference designation tag for the child without a parent, reference of the child component tag, error message, and the drawing where the error occurs.

Recovery Tip

Displays the recovery tip so that you can fix the error.

Go To

Goes to the error location within the project and correct the error. It is enabled when you select a single audit record in the dialog box. Once you browse to an error location an "x" appears in the left-hand column of the Electrical Audit dialog box.

NoteYou can also double-click an audit record to go to the error location.

Save As/Save All

Saves the audit report. Save As saves only the active report while Save All saves the complete audit report.

Print

Prints the audit report.

NoteA blank Category value indicates a schematic component.


Overview of real-time error checking (Quick Reference)

Overview of real-time error checking
Overview of real-time error checking
Modify invisible data
Miscellaneous Tools > Troubleshooting Tools >
Overview of real-time error checking
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing audit

Detects problems related to wire numbers in the active project and displays a report of them.

Ribbon: Reports tab [image] Schematic panel [image] DWG Audit. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Reports [image] Drawing AuditDoes not exist in the menus.
Command entry: AEAUDITDWG

Drawing Audit identifies and cleans up some of the problems that can affect an AutoCAD Electrical drawing. Save the error report file for reference or surf the file to view and correct errors.

Audit drawing or project

Specifies to run the audit on the active drawing or selected drawings in the active project.

Previous

Redisplays the last audit report that was run. You can then surf to the performed function, save the report, or print the report for reference.

Surf

Goes to the error location within the drawing where the error occurred and was fixed.

After you click OK, you can select the type of drawing audit to run. If you selected to audit the project, select the drawings in the active project to audit, and click OK.

Wire gap pointers

Looks for problems related to missing wires which were connected through gap pointers. Also see Check / Repair Gap Pointers.

Bogus wire number and color/gauge label pointers

Looks for and cleans up wires pointing to nonexistent wire numbers (it is the opposite of wire number floaters). Also looks for bad color/gauge label pointers.

Zero length wires

Looks for and erases zero length line entities on the wire layer.

Wire number floaters

Looks for and erases wire numbers that are not linked to a wire network (for example, the wire was manually erased but wire number remains).

Show wires (mark in red)

Draws an outline around each wire entity.

  • Bright red outline - regular wires
  • Magenta outline - wires on layers defined as No Wire Numbering.

(Available when running on the active drawing only.)


Modify invisible data (Procedure)

Overview of real-time error checking
Up a level to ..
Customize Circuit Builder
Miscellaneous Tools > Troubleshooting Tools >
Modify invisible data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Modify invisible data

For some functions AutoCAD Electrical adds invisible information to a block insert or even to a specific attribute. This invisible data is called Xdata. To add or modify this invisible data, AutoCAD Electrical provides an Xdata editor.

Edit existing invisible data

  1. Click Project tab [image] Other Tools panel [image] [image] [image] Xdata Editor. Enter AEXDATA at the command prompt.
  2. Select an attribute in the drawing.
  3. If Xdata exists for the attribute, select the Xdata to edit from the list in the dialog box.

    The existing name and value are shown in the edit boxes allowing you to edit them.

  4. Edit the name and value as needed. Once you click out of the edit box, the name, or value are updated in the list.
  5. Click Save Changes to update the selected block or attribute with the Xdata changes.

Add invisible data to an attribute

  1. Click Project tab [image] Other Tools panel [image] [image] [image] Xdata Editor. Enter AEXDATA at the command prompt.
  2. Select an attribute in the drawing.

    If the selected block or attribute does not carry any Xdata, the list box indicates it.

  3. Click Add New.
  4. Enter the name for the Xdata and its value. Click OK.
  5. Click Save Changes to update the selected block or attribute with the Xdata changes.


Modify invisible data (Quick Reference)

Overview of real-time error checking
Modify invisible data
Miscellaneous Tools > Troubleshooting Tools >
Modify invisible data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Procedure Quick Reference

Xdata editor

For some functions AutoCAD Electrical adds invisible information to a block insert or even to a specific attribute. This invisible data is called Xdata. To add or modify this invisible data, AutoCAD Electrical provides an Xdata editor.

Ribbon: Project tab [image] Other Tools panel [image] [image] [image] Xdata Editor. Does not exist on the ribbon.
Menu: Projects [image] Extras [image] Xdata EditorDoes not exist in the menus.
Command entry: AEXDATA

The dialog box displays showing any existing Xdata information. If the selected block or attribute does not carry any Xdata, the list box indicates it. If the selected block or attribute carries any Xdata already, the names and values are displayed in the list box at the top of the dialog box.

Name | Specifies the Xdata name. To edit the name, click it in the list. The existing name is shown in the edit boxes allowing you to edit it. Once you click out of the edit box, the name is updated in the list.
Value | Specifies the Xdata value. To edit the value, click it in the list. The existing value is shown in the edit boxes allowing you to edit it. Once you click out of the edit box, the value is updated in the list.
Add New | Adds new Xdata information. Enter in the application name for the Xdata and its value.
Delete Xdata | Removes the selected Xdata from the list.


Tutorials

Modify invisible data
Introduction
Tutorials
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Introduction
  • Projects
  • Wiring
  • Schematic components
  • Wire layers
  • Circuits
  • Surf
  • Block swap
  • PLC
  • Schematic terminals
  • Wire numbers
  • Panel layout
  • Generating reports
  • Connector diagrams
  • Symbol Builder


Introduction

Tutorials
Tutorials
Projects
Tutorials >
Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical currently supports the following industry standards: JIC (US), IEC (Europe), JIS (Japan), GB (China) and AS (Australia). Although AutoCAD Electrical supports many standards, these exercises follow the JIC standard and sample drawing set.

The exercises are grouped into main topics. Each main topic contains one or more individual exercises. You can perform the main topics in any order but perform the exercises within a main topic in order.

NoteTurn off the AutoCAD Dynamic Input feature (found on the status bar) before starting the exercises.
Backup exercise files

Backup exercise files are found at Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs. If you make a mistake while working through the exercises, browse to and copy the demo files to your project folder.

Completed exercise files for each tutorial are found at Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Completed\{tutorial_name}\. If you do not complete the exercises in order, browse to and copy the files for the prior tutorial to your project folder. For example, if you skipped the Projects tutorial and are starting with the Wiring tutorial, copy the Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Projects\ exercise files to the project folder.

NoteBackup exercise files are found at Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs on a Windows Vista installation.
Manufacturers used

The exercises use two manufacturers: Allen Bradley and Siemens. Install both manufacturers to have the same results that are shown here. Follow these steps to install content from these manufacturers.

  1. Open the Add or Remove Programs tool in your Control Panel.
  2. Select AutoCAD Electrical
  3. Click Change/Remove.
  4. Click Add/Remove Features.
  5. Click Next on the first screen.
  6. Select AB and Siemens on the Manufacturer Contents Selection screen.
  7. Click Next on the Symbol Libraries screen.
  8. Click Next to continue.


Projects

Introduction
Tutorials
Projects - Introduction
Tutorials >
Projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Projects - Introduction
  • Working with projects
  • Working with drawings


Projects - Introduction

Projects
Projects
Working with projects
Tutorials > Projects >
Projects - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Create a project and add drawings with Project Manager.

Time required | 10 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Projects to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Projects to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Understand projects
  • Create a project
  • Set project properties
  • Create a drawing
  • Add drawings to a project
  • View drawings in a project


Working with projects

Projects - Introduction
Projects
Working with drawings
Tutorials > Projects >
Working with projects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical is a project-based system. An ASCII text with a .wdp extension defines each project. This project file contains a list of project information, default project settings, drawing properties, and drawing file names. You can have an unlimited number of projects; however, only one project can be active at a time.

Use the Project Manager to add new drawings, reorder drawing files, and change project settings. You cannot have two projects open in the Project Manager with the same project name. By default, the Project Manager is open and docked on the left-hand side of your screen. You can dock the Project Manager into a specific location on the screen or hide it until you want to use the project tools. Right-click the properties icon to display options to move, size, close, dock, hide, or set the transparency for the Project Manager.

Create an AutoCAD Electrical project

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. In the Project Manager, click the New Project tool.
    NoteYou can also use the Project Manager to open an existing project. In the Project Manager, click the project selection arrow and select Open Project.
  3. In the Create New Project dialog box, specify:

    Name:

    AEGS

    A name must be entered to define any of the project properties. The .wdp extension is not required in the edit box.

  4. Make sure wddemo.wdp is specified in the Copy Settings from Project File edit box.

  5. Click OK-Properties.

Your new project is added to the current projects list and automatically becomes the active project.

The Project Properties dialog box displays, where you can modify your project default settings. All information defined on these tabs are saved to the project definition file as project defaults and settings.

Set project properties

  1. In the Project Properties dialog box, click the Components tab.
  2. In the Component Tag Format section, verify that Line Reference is selected.

    This selection creates unique reference-based tags when multiple components of the same family are located at the same reference location. When reference-based tagging is used, a suffix variable is required to keep components of the same family type unique. For example, three push buttons on line reference 101 could be labeled PB101, PB101A, and PB101B. Click Suffix Setup to change the suffix variable.

  3. Click the Wire Numbers tab.
  4. In the Wire Number Format section, verify that Line Reference is selected.

    This selection creates unique reference-based wire number tags for multiple wire networks beginning at the same reference location. When reference-based numbering is used, a suffix variable is required to keep wires on the same reference line or in the same reference zone unique. Click Suffix Setup to change the suffix variable.

  5. Review the various options on the different tabs of the Project Properties dialog box.
    NoteIn the Project Properties dialog box, icons indicate whether the settings apply to project settings or drawing defaults. Settings that apply to project settings have the project icon next to them and are saved inside the project definition file (*.wdp). Settings that are saved in the project file as drawing defaults have the drawing icon next to them. Drawing related data to add to the project when running the Add Drawing command is saved as Drawing Custom Properties.
  6. Click OK.


Working with drawings

Working with projects
Projects
Wiring
Tutorials > Projects >
Working with drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A single project file can have drawings located in many different directories. There is no limit to the number of drawings in a project. You can add drawings to your project at any time. When you create a drawing, using the New Drawing tool, it is automatically added to the active project.

Many of the drawing settings used by AutoCAD Electrical are stored in a smart block on the drawing named WD_M.dwg. Each AutoCAD Electrical drawing should contain only one copy of the WD_M block. If multiple WD_M blocks are present, the settings cannot be stored and read consistently.

Create a drawing

  1. In the Project Manager, click the New Drawing tool.
  2. In the Create New Drawing dialog box, specify:

    Name:

    AEGS11

    Description 1:

    Bill of Materials Report

  3. Click Browse next to the Template edit box.

    A set of templates (*.dwt files) installed with AutoCAD Electrical contain settings for various kinds of drawings, such as acad.dwt and ACAD_ELECTRICAL.dwt.

    You can create your own templates, or use any drawing as a template. You can save a drawing at any stage of completion as a template file. When you use a drawing as a template, the settings in that drawing are used in the new drawing. The changes you make to a drawing that is based on a template do not affect the template file.

    AutoCAD Electrical fully supports the use of AutoCAD template files. To make an AutoCAD drawing compatible with AutoCAD Electrical, select an AutoCAD Electrical command to modify the drawing.

  4. In the Select template dialog box, select ACAD_ELECTRICAL.dwt, and click Open.

  5. In the Create New Drawing dialog box, click OK.
    NoteYou could click OK-Properties to display the Drawing Properties dialog box. This dialog box has options like the options found in the Project Properties dialog box. It defines drawing-specific settings that are maintained inside the WD_M block of the drawing.
  6. In the Project Manager, double-click the project name (AEGS) to display the drawing files. AEGS11 should be the only file in the list.

Add drawings to the project

  1. In the Project Manager, right-click AEGS, and select Add Drawings.
  2. In the Select Files to Add dialog box, select drawings AEGS01.dwg to AEGS10.dwg and click Add.
  3. When asked whether to apply the project default values to the drawing settings, click Yes.

    The Project Manager lists the files under the AEGS folder. New drawings that you add from this point on are added at the end of the drawing order. You now have access to the files required for the exercises in this book.

    NoteTwo projects can reference the same drawing file. However it can lead to conflicts if both projects try to modify the same drawing with a project-wide tagging or cross-referencing function.

    The drawing order in the Project Manager determines how AutoCAD Electrical processes the drawings during project-wide operations such as resequencing and wire numbering.

  4. In the Project Manager, right-click the project name, and select Reorder Drawings.
  5. In the Reorder Drawings dialog box, select AEGS10.dwg and AEGS11.dwg and click Move Down until the drawings are at the bottom of the list.
  6. Click OK.

    AEGS11.dwg is now at the bottom of the project drawing file list in the Project Manager.

    NoteThe active drawing displays in bold text in the project drawing list. You can easily see which file you are working in.

You can add descriptions for each drawing to the project file. You can reuse drawing descriptions in title block attributes and associate them with AutoCAD Electrical reports.

Add the description of a drawing you add

  1. In the Project Manager, right-click AEGS10.dwg, and select Properties [image] Drawing Properties.
  2. In the Drawing Properties [image] Drawing Settings dialog box, Drawing File section, specify:

    Description 1:

    Connector Drawing

  3. Click OK.
  4. In the Project Manager, select AEGS10.dwg.
  5. In the Project Manager, Details section, review the drawing descriptions.

    The drawing details update when you highlight a drawing file and remain visible until a new drawing file is selected. Displayed information includes the status, file name, file location, file size, last saved date, and the name of the last user who modified the file.

Use the Project Manager to preview drawings easily. Moving among drawings using the up and down keys does not open the drawing. It changes the preview or details display in the Project Manager.

View drawings in a project

  1. In the Project Manager, select AEGS04.dwg.
  2. In the Project Manager, Details section, click Preview.

  3. Continue to click the drawing name you want to preview or use the up and down arrow keys to scroll through the drawing files.
  4. When you finish viewing the drawings, click Details to return to the drawing details view.

If a project drawing is currently open and you want to move to the previous or next drawing in the list of the project, use the Previous Project Drawing and Next Project Drawing tools. When you move among drawings, any unsaved changes to the current drawing are saved, the drawing is closed, and the requested drawing is opened.

View project drawings when a drawing is open

  1. In the Project Manager, double-click AEGS04.dwg.
  2. To view the drawings, Click Project tab [image] Other Tools panel [image] Previous DWG. Enter AEPREV at the command prompt.

    or Click Project tab [image] Other Tools panel [image] Next DWG. Enter AENEXT at the command prompt.

    A new window opens and the original window closes when you click the navigation tools unless you hold the Shift key while clicking the tools.


Wiring

Working with drawings
Tutorials
Wiring - Introduction
Tutorials >
Wiring
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Wiring - Introduction
  • About wires
  • Insert wiring
  • Trim a wire
  • Insert a single-phase ladder
  • Resequencing ladders


Wiring - Introduction

Wiring
Wiring
About wires
Tutorials > Wiring >
Wiring - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert and modify wires and ladders.

Time required | 20 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Wiring to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Wiring to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Understand wires
  • Insert wires
  • Add ladder rungs
  • Trim wires
  • Insert a ladder
  • Resequence ladder line reference numbers


About wires

Wiring - Introduction
Wiring
Insert wiring
Tutorials > Wiring >
About wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical treats AutoCAD® line entities as wires when the lines are placed on an AutoCAD Electrical defined wire layer. The number of wire layers available in AutoCAD Electrical is unlimited. These lines get tagged with wire numbers and show up in various wire connection reports.

Two wire segments connect if the end of one wire segment touches or falls within a small trap distance of any part of the other wire segment. This connection can be at the end of the other wire or anywhere along the length of the other wire.

AutoCAD Electrical considers a wire connected to a component if the wire end falls within a trap distance from the wire connection-point attribute of a component.

The wire layer for a new wire segment is determined by:

  • Wires that begin or end in space, or begin and end at a component connection point. They are put on the current layer (if it is a wire layer), or on the first wire layer AutoCAD Electrical finds in a layer name search.
  • Wires that begin at an existing wire are put on the same layer as the beginning wire.
  • Wires that begin in space or at a component and end at an existing wire take on the layer of the ending wire.


Insert wiring

About wires
Wiring
Trim a wire
Tutorials > Wiring >
Insert wiring
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can start or end a wire segment in empty space, from an existing wire segment, or from an existing component. If you start from a component, the wire segment snaps to the wire connection terminal closest to your pick point on that symbol. If the wire segment ends at another wire segment, a DOT (block name wddot.dwg) is applied if appropriate. If it ends at another component, the segment connects to the wire connection terminal closest to your pick point on that symbol.

NoteWhen inserting wires, if a wire already occupies a wire connection point, the new wire is drawn as an angled wire connection.

Insert wiring

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS04.dwg.
  4. Zoom in on the upper left corner of the drawing. Make sure the hot and neutral vertical wires are displayed.
  5. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Add Rung. Enter AERUNG at the command prompt.
  6. Respond to the prompts as follows:

    Add rung passing through this location or [wiretype (T)]:

     Select a location between the two vertical bus wires beside line reference 403 (1)

    Add rung passing through this location or [wiretype (T)]:

     Select a location between the two vertical bus wires beside line reference 404, underneath the newly created rung (2), press ENTER

    Two horizontal wires are created automatically between the vertical bus wires at the closest line reference location.

Create two vertical wires between two horizontal wires

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.
  2. Respond to the prompts as follows:

    Specify wire start or [wireType/X=show connections]:

     Select the top wire at line reference 403(1)

    Specify wire end or [V=start Vertical/H=start Horizontal/Continue]:

     Select the lower wire at line reference 404 (2)

    The color of temporary graphics changes for a new wire when AutoCAD Electrical can connect the wire to an existing wire.

    Each component wire connection point is displayed as a green x at the wire connection when you enter X + ENTER during wire insertion. If you pan or zoom, repeat the command to view the wire connection points.

  3. Insert another wire to the right of the new wire.
  4. Press ENTER to exit the command.

    The inserted wires resemble the following image.


Trim a wire

Insert wiring
Wiring
Insert a single-phase ladder
Tutorials > Wiring >
Trim a wire
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After you insert wires, you can trim them. The Trim Wire tool removes wire segments. You can trim single or multiple wires.

Trim a wire

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Trim Wire. Enter AETRIM at the command prompt.
  2. Respond to the prompts as follows:

    Fence/Crossing/Zext/<Select wire to TRIM>:

     Specify the wire segment at line reference 404 between the two vertical wires (1), right-click

    Wire segments are trimmed back to a connecting dot, a component, or completely if neither is encountered along the segment. Any connection dots that are no longer needed are removed.

    The trimmed wire resembles the following image.


Insert a single-phase ladder

Trim a wire
Wiring
Resequencing ladders
Tutorials > Wiring >
Insert a single-phase ladder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can insert a ladder into a drawing at any time. A drawing can have multiple ladders, as well as single-phase and three-phase ladders. The ladders can have different parameters, such as rung spacing, number of rungs, and ladder width.

Insert a single-phase ladder

  1. Open AEGS05.dwg.
  2. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder. Enter AELADDER at the command prompt.
  3. In the Insert Ladder dialog box, specify:

    Width:

    9.000

    Spacing:

    1.0000

    1st Reference:

    519

    Index:

    1

    Rungs:

    18

    Phase:

    1 Phase

    Draw Rungs:

    Yes

    Skip:

    0

    You do not need to specify the Length since it is automatically calculated once the first Reference, Index, and Rungs are specified.

    NoteReference 519 represents Page 5, Reference 19.
  4. Click OK.
  5. Respond to the prompts as follows:

    Specify start position of first rung or [wireType]:

     Enter 16, 21 press ENTER

    NoteYou can also specify the start position of the first rung by left-clicking a location on the drawing with your mouse.

    A single phase ladder is inserted in the drawing.


Resequencing ladders

Insert a single-phase ladder
Wiring
Schematic components
Tutorials > Wiring >
Resequencing ladders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical drawings can be easily renumbered and retagged with a minimum of manual clean-up. You can resequence line reference numbers, component tags, and wire numbers. It is useful when a drawing has been copied from a previous project and the line reference numbers and tagging format of the drawing do not conform to the project requirements.

Resequence ladder line reference numbers

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Ladder drop-down [image] Revise Ladder. Enter AEREVISELADDER at the command prompt.

    The Modify Line Reference Numbers dialog box displays a list of ladders in the drawing.

  2. Change the beginning line reference numbers for each ladder. Change the first ladder to 101 (column 1, line 01) and the second ladder to 201 (column 2, line 01).
  3. Click OK.

    The reference numbers update along each ladder.


Schematic components

Resequencing ladders
Tutorials
Schematic components - Introduction
Tutorials >
Schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Schematic components - Introduction
  • About schematic components
  • Inserting components
  • Relocating components
  • Aligning components
  • Inserting components continued
  • Editing components
  • Linking components
  • Editing catalog information


Schematic components - Introduction

Schematic components
Schematic components
About schematic components
Tutorials > Schematic components >
Schematic components - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert and modify schematic components.

Time required | 45 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Schematic components to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Schematic components to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Understand schematic components
  • Insert a parent component
  • Scoot a component
  • Insert a child component
  • Align components
  • Edit a component
  • Link components
  • Edit catalog information
  • Add a catalog entry


About schematic components

Schematic components - Introduction
Schematic components
Inserting components
Tutorials > Schematic components >
About schematic components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An AutoCAD Electrical schematic component is an AutoCAD® block with certain expected attributes. When inserting components, use AutoCAD Electrical tools to break wires, assign unique component tags, cross reference related components, and enter values for catalog information, component descriptions, and location codes.

AutoCAD Electrical supplies a schematic symbol dialog box for finding and inserting schematic components. It also triggers some additional features.

  • Automatic wire breaks
  • Component tagging
  • Real-time cross-referencing
  • Component annotation


Inserting components

About schematic components
Schematic components
Relocating components
Tutorials > Schematic components >
Inserting components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical employs a parent/child relationship for schematic components. A relay coil with a certain number of contacts is represented by the parent coil symbol and the child contact symbols. When the parent coil symbol is inserted, it is assigned a unique component tag. When the child contact symbols are inserted, the child is related to the parent and the parent tag is assigned to the child symbol.

In this exercise, you insert components on the wires previously defined in AEGS04.dwg.

Insert a parent component

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS04.dwg.
  4. Zoom in on the upper left corner of the drawing.
  5. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  6. In the Insert Component: JIC Schematic Symbols dialog box, click Relays/ Contacts.
  7. In the JIC: Relays and Contacts dialog box, click Relay Coil.
  8. Respond to the prompts as follows:

    Specify insertion point:

     Position the component on the wire at line reference 403 near the neutral wire and click (1)

    The coil symbol breaks the underlying ladder wire and reconnects if you select directly on the wire or near to it. You did not select close enough to the wire if the underlying wire did not break. To try again, click Cancel on the Insert/Edit Component dialog box. Right-click or press ENTER to repeat the command. Turning on Snap helps (0.125 is a good setting to use).

    This tool inserts components into alignment with underlying wires, it does not align components side-to-side. If you want to insert components in neat columns, you have three options: use AutoCAD Snap when inserting components; use the Scoot command to move components and connected wires in place; or use the Align Component tool.

  9. In the Insert/Edit Component dialog box, verify that the Component Tag is set to CR403.

    AutoCAD Electrical automatically determines the unique tag name for the new relay based on the line reference location that you inserted the symbol on. “CR” indicates that it is a control relay and “403” indicates that the symbol is on line reference 403. If you inserted this symbol on line reference 404 then the tag name would be “CR404.”

    You can assign a catalog number to the component that can be extracted into reports. There are two pieces of BOM catalog information: manufacturer code and catalog number. These values are carried as invisible attributes on the symbol. You can type in values for each or select the BOM information from an on-line catalog database file.

  10. In the Catalog Data section, click Lookup.

    There are three search criteria pull-down lists across the top of the Parts Catalog dialog box. You can easily change the search criteria to get a different set of valid catalog numbers. Each time you make a selection from one of these lists, the catalog selection is filtered.

  11. In the Parts catalog dialog box, select the following search criteria:

    MANUFACTURER:

    AB

    TYPE:

    TYPE P

  12. Change the catalog assignment to 700-P200A1.

  13. Click Catalog Check.
  14. In the Bill Of Material Check dialog box, review the BOM information associated with the selected part number.

    Click Close.

  15. In the Parts catalog dialog box, click OK.

    The selected manufacturer code and catalog number display in the Insert/Edit Component dialog box. When you click OK on the dialog box, the values transfers to the symbol.

    NoteSample catalog information is provided with AutoCAD Electrical in Access Database format (.mdb). If your company uses its own internal coding system instead of manufacturer catalog numbers, substitute those numbers into catalog database files of AutoCAD Electrical. If you use your own system and reference a number of a vendor, extra user fields are available in all the sample database files.
  16. In the Insert/Edit Component dialog box, Description section, specify:

    Line 1:

    MASTER CONTROL

    Line 2:

    RELAY

    Up to three lines of description text can be entered as a description for components. If the third description line is unavailable, the symbol does not carry an attribute for a third line of description.

    NoteYou can specify a description by entering text or by clicking Defaults to select from a list of standard component descriptions.
  17. In the Insert/Edit Component dialog box, Location code section, click Drawing.

    AutoCAD Electrical does a quick read of the drawing file and returns a list of all location codes used so far.

  18. In the All Locations - Drawing dialog box, select MCAB5 and click OK.
    NoteYou can also include an external “LOC” location list in the project “LOC” list to help with consistency. To use this feature, create a file called default.loc and put it in an AutoCAD Electrical search directory. The format for this text file is each location on its own line in the file with no leading spaces. You can also create a project-specific file by naming it the same as your project but with a .loc extension.
  19. In the Insert/Edit Component dialog box, the pin values are inserted based on the selected catalog number:

    Pins: 1:

    K1

    Pins: 2:

    K2

  20. In the Insert/Edit Component dialog box, click OK.

    Any values entered here are saved as attribute values on the symbol itself.


Relocating components

Inserting components
Schematic components
Aligning components
Tutorials > Schematic components >
Relocating components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You might need to scoot the component if it was not inserted in the correct location. Use the Scoot tool to select a component or wire number and slide it back and forth along the wire while keeping everything connected. You can select a wire or a whole rung of circuitry and scoot it to a new position. If there are any parent components among the scooted items, you are asked if you want to retag the scooted components.

The Scoot tool works on wire numbers, components, terminals, PLC I/O modules, jogs in dashed link lines, signal arrows, wires, and wires with wire-crossing loops.

Scoot a component

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Scoot. Enter AESCOOT at the command prompt.
  2. Respond to the prompts as follows:

    Select component, wire, or wire number for SCOOT:

     Select the component that was just inserted at line reference 403

    The cursor changes to a box.

    Select component, wire, or wire number for SCOOT: to

     Move the cursor to the right and click, right-click to exit the command

    The component moves to its new location.

    You can use the Scoot tool to grab a component or a wire number and slide it back and forth along a wire. You can grab a wire or a whole rung of circuitry and scoot it to a new position, while keeping everything connected.

The steps to insert a parent component and a child component are the same, except when you annotate the symbol.

Insert a child component

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. In the Insert Component: JIC Schematic Symbols dialog box, click Relays/ Contacts.
  3. In the JIC: Relays and Contacts dialog box, click Relay NO Contact.
  4. Respond to the prompts as follows:

    Specify insertion point:

     Position the cursor on the wire at line reference 404 near the hot wire and click (1)

    The Insert/Edit Child Component dialog box displays. Notice that AutoCAD Electrical did not automatically assign a tag name for the relay contact; there is just a generic “CR” in the edit box. Determine the relay contact tag name. A relay contact is a child component that must link to a parent relay coil on a drawing in the active project. The child gets the same tag name that is found on the parent relay coil.

    Assign the tag name by clicking Parent/Sibling and picking the parent in the drawing. Or, click Drawing or Project to select from a list of components with the same family name.

  5. In the Insert/Edit Child Component dialog box, Component Tag section, click Drawing.
  6. In the Active Drawing list for FAMILY=”CR” dialog box, select:

    MCAB5 CR403 MASTER CONTROL RELAY

  7. Click OK.

    The values of the parent are immediately transferred to the contact.

  8. In the Insert/Edit Child Component dialog box, verify that the following options are specified:

    Component Tag:

    CR403

    Description: Line 1:

    MASTER CONTROL

    Description: Line 2:

    RELAY

    Cross-reference:

    403

    Location code:

    MCAB5

    Pins: Pin 1:

    A1X

    Pins: Pin 2:

    A1Y

  9. In the Insert/Edit Child Component dialog box, click OK.

    The child component is inserted. It is cross-referenced in real time. The coil is annotated with the line reference number of the new child contact and the child contact gets annotated with the line reference location of the parent coil.


Aligning components

Relocating components
Schematic components
Inserting components continued
Tutorials > Schematic components >
Aligning components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Align the normally open relay contact with an existing component. After you insert a component, you can align or edit it as necessary.

Align a component

  1. Click Schematic tab [image] Edit Components panel [image] Modify Components drop-down [image] Align. Enter AEALIGN at the command prompt.
  2. Respond to the prompts as follows:

    Pick component to align with (Horizontal/<Vertical>):

     Select the normally open limit switch component near the hot wire at line reference 406 (1)

    A dashed line is displayed.

    Select objects:

     Select the previously inserted child contact component near the hot wire at line reference 404 (2), right-click

    The aligned component is placed.


Inserting components continued

Aligning components
Schematic components
Editing components
Tutorials > Schematic components >
Inserting components continued
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Now you insert a system reset push button, pilot light, and an emergency stop push button to make up the circuit.

Insert a system reset button

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. In the Insert Component: JIC Schematic Symbols dialog box, click Push Buttons.
  3. In the JIC: Push Buttons dialog box, click Push Button NO.
  4. Respond to the prompts as follows:

    Specify insertion point:

     Position the push button on the wire at line reference 403 near the hot wire and click (1)

  5. In the Insert/Edit Component dialog box, verify the following:

    Component Tag:

    PB403

    AutoCAD Electrical automatically assigned the tag name based on the line reference.

  6. In the Descriptions section, specify:

    Line 1:

    SYSTEM

    Line 2:

    RESET

  7. In the Location code section, click Drawing.
  8. In the All Locations - Drawing dialog box, select OPSTA3 and click OK.
  9. In the Insert/Edit Component dialog box, click OK.

Insert a pilot light

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. In the Insert Component: JIC Schematic Symbols dialog box, click Pilot Lights.
  3. In the JIC: Pilot Lights dialog box, click Green Press to Test.
  4. Respond to the prompts as follows:

    Specify insertion point:

     Position the pilot light on the wire at line reference 404 near the neutral wire and click (2)

    TipHaving Snap turned on makes positioning the pilot light easier.
  5. In the Insert/Edit Component dialog box, verify:

    Component Tag:

    LT404

  6. In the Descriptions section, specify:

    Line 1:

    CONVEYOR

    Line 2:

    ON

  7. In the Location code section, click Drawing.
  8. In the All Locations - Drawing dialog box, select OPSTA3 and click OK.
  9. In the Insert/Edit Component dialog box, click OK.

Insert a push button for emergency stop

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. In the Insert Component: JIC Schematic Symbols dialog box, click Push Buttons.
  3. In the JIC: Push Buttons dialog box, click Mushroom Head NC.
  4. Respond to the prompts as follows:

    Specify insertion point:

     Position the push button on the middle of the wire at line reference 403 and click (3)

  5. In the Insert/Edit Component dialog box, verify:

    Component Tag:

    PB403A

    AutoCAD Electrical automatically assigned the tag name based on the line reference. It added the “A” suffix since it is your second push button on this line reference.

  6. In the Descriptions section, specify:

    Line 1:

    EMERGENCY STOP

  7. In the Location code section, click Drawing.
  8. In the All Locations - Drawing dialog box, select OPSTA3 and click OK.
  9. In the Insert/Edit Component dialog box, click OK.

    Your finished schematic should resemble the following:


Editing components

Inserting components continued
Schematic components
Linking components
Tutorials > Schematic components >
Editing components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can go back to a component at any time and make changes. You can change description, tag, catalog number, location code, terminal numbers, and rating values using the Edit Component tool.

Insert a child contact

  1. Zoom in on the blank ladder rung at line reference 410.
  2. Press F9 to turn on SNAP .
  3. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  4. In the Insert Component: JIC Schematic Symbols dialog box, click Selector Switches.
  5. In the JIC: Selector Switches dialog box, click 2nd+ NC Contact.
  6. Respond to the prompts as follows:

    Specify insertion point:

     Position the selector switch at line reference 410 near the left side of the ladder and click (1)

  7. In the Insert/Edit Child Component dialog box, click OK.

Insert a pilot light

  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. In the Insert Component: JIC Schematic Symbols dialog box, click Pilot Lights.
  3. In the JIC: Pilot Lights dialog box, click Blue Press to Test.
  4. Respond to the prompts as follows:

    Specify insertion point:

     Position the pilot light at line reference 410 near the neutral wire but exactly in line with the selector switch and click (2)

  5. In the Insert/Edit Component dialog box, verify:

    Component Tag:

    LT410

  6. In the Descriptions section, specify:

    Line 1:

    MAINT

    Line 2:

    MODE

  7. In the Insert/Edit Component dialog box, click OK.

Edit a child contact

  1. Press F9 to turn off SNAP .
  2. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
    NoteYou can also right-click on a component and select Edit Component from the context menu.
  3. Respond to the prompts as follows:

    Select component/cable/location box to EDIT:

     Select the selector switch on line reference 410

  4. In the Insert/Edit Child Component dialog box, Component Tag section, click Parent/Sibling.

  5. Respond to the prompts as follows:

    Select component:

     Select the bottom sibling contact (3) of the existing switch on line reference 408

    AutoCAD Electrical reads the sibling contact and transfers the appropriate annotation to your new switch contact.

  6. In the Insert/Edit Child Component dialog box, click OK.

    The sibling contact information is displayed on the drawing.


Linking components

Editing components
Schematic components
Editing catalog information
Tutorials > Schematic components >
Linking components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this exercise, you link the selector switch you inserted to the existing RAM MODE selector switch residing on line reference 406 through 408 using dashed link lines.

Connect components using wires

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.
  2. Respond to the prompts as follows:

    Specify wire start or [wireType/X=show connections]:

     Click the wire connection point on the right-hand side of the switch contact (4)

    Specify wire end or [Continue]:

     Drag the wire to the right and click the wire connection point on the left-hand side of the blue pilot light (5)

    Specify wire start or [Scoot/wireType/X=show connections]:

     Click the left-hand side of the switch contact

    Specify wire end or [Continue]:

     Drag the wire to the left and click the left-hand vertical bus wire

    The wire automatically ends on the bus and inserts a wire connection dot.

  3. Repeat the process to connect the right-hand side of the blue pilot light to the vertical bus wire.
  4. Right-click and select Enter to finish creating the wire connections.

    If you lay a wire over the top of a series of components, AutoCAD Electrical automatically breaks and reconnects to the underlying wire connection points.

Link components

  1. Click Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Link Components with Dashed Line. Enter AELINK at the command prompt.
  2. Respond to the prompts as follows:

    Component to link from:

     Click the contact of the switch on line reference 408 (6)

    Component to link to:

     Click anywhere on your new switch contact (7), right-click

    The annotation of the contact is changed to invisible and a dashed link line is drawn from the bottom of the upper contact to the top of your new contact.

    Your finished schematic should resemble the following:

    NoteThe Scoot command is fully compatible with dashed line links. Scooting one contact left or right causes both links to update automatically. You can even scoot the horizontal “jog” in the dashed link line up or down.


Editing catalog information

Linking components
Schematic components
Wire layers
Tutorials > Schematic components >
Editing catalog information
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Sample catalog information is supplied with AutoCAD Electrical. The information is held in tables in an Access Database file (.mdb) that is populated with sample vendor data.

You can use filter criteria in the catalog lookup to display catalog numbers selectively for a component type.

Filter catalog data

  1. Right-click LT410 and select Edit Component.
  2. In the Insert/Edit Component dialog box, Catalog Data section, click Lookup.
  3. In the Parts Catalog dialog box, select:

    Manufacturer:

    AB

    Type:

    30.5mm

    Voltage:

    120VAC XFMR

  4. Change the catalog assignment to 800T-PT16E.

Add a catalog entry

  1. In the Parts Catalog dialog box, click Add.

    The entries are prefilled with the information for the currently assigned catalog part number. It is easy to add a new entry with similar information.

  2. In the Add Catalog Record dialog box, specify:

    Catalog:

    BOG-123B

    Manufacturer:

    BOGUS

    The catalog lookup works most efficiently when field values that are meant to be the same are the same in both spelling and capitalization. The list box beside each field helps you maintain consistency as you add new catalog items.

  3. Click List next to the Description field.

    AutoCAD Electrical does a quick scan of the existing catalog file. It collects and displays a list of all the different description field values found in the catalog.

  4. In the Field Description existing values dialog box, select BLUE PILOT LIGHT - PRESS TO TEST, NEMA 4/13 and click OK.
  5. In the Add Catalog Record dialog box, click List next to the Type, Voltage and Miscellaneous fields. Select the values shown in the following image if not already selected.

    AutoCAD Electrical provides three blank user fields for your own internal use. Each can be a maximum of 24 characters wide and are extracted into BOM reports along with all the other fields.

    NoteYou can add catalog entries with a subassembly. To link a subassembly with the main, the catalog part numbers share the same codes. In the Edit Catalog Record dialog box, select As main->sub, enter the ASSYCODE, and click OK. The ASSYCODE must be unique since it links the main catalog item with subassembly items. To add the subassembly item, in the Add Catalog Record dialog box, create a catalog entry, select As sub, enter an ASSEMBLYLIST code, and click OK.
  6. In the Add Catalog Record dialog box, click OK.

    As the new entry is being added to the file, the Part Catalog dialog box displays.

  7. In the Parts Catalog dialog box, select the BOG-123B catalog entry and click OK.
  8. In the Insert/Edit Component dialog box, click OK.


Wire layers

Editing catalog information
Tutorials
Wire layers - Introduction
Tutorials >
Wire layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Wire layers - Introduction
  • Creating a wire layer
  • Changing a wire layer assignment


Wire layers - Introduction

Wire layers
Wire layers
Creating a wire layer
Tutorials > Wire layers >
Wire layers - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Create and modify wire layers.

Time required | 10 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Wire layers to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Wire layers to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Create wire layers
  • Change wire layer assignments


Creating a wire layer

Wire layers - Introduction
Wire layers
Changing a wire layer assignment
Tutorials > Wire layers >
Creating a wire layer
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Create wire layer

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS04.dwg.
  4. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Create/Edit Wire Type. Enter AEWIRETYPE at the command prompt.

    The Create/Edit Wire Type dialog box lists all the valid wire layers that are defined for the active drawing. The wire layer name and the wire properties like color, size, and user-defined properties are listed in the grid.

  5. Click inside the Wire Color column for a blank row and enter BLU as the wire color.
  6. Click inside the Size column and enter 14AWG as the size.

    The Layer Name is automatically created.

  7. Click Color in the Layer section. Select blue and click OK.
    NoteIf you want the new wire layer to be the default, click Mark Selected as Default.
  8. Click OK.


Changing a wire layer assignment

Creating a wire layer
Wire layers
Circuits
Tutorials > Wire layers >
Changing a wire layer assignment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When a wire is inserted, the wire ends up on the first valid wire layer as defined in the Drawing Properties dialog box. It may be more appropriate to place some wires on different wire layers. You can use the AutoCAD® PROPERTIES command to move a wire to the correct layer or you can use the Wire Layer utility.

Change wire layer assignments

  1. Zoom in on the upper left corner of the drawing.
  2. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Modify Wire Type drop-down [image] Change/Convert Wire Type. Enter AECONVERTWIRETYPE at the command prompt.

    The Change/Convert Wire Type dialog box lists all the valid wire layers that are defined for the active drawing. The wire layer name and the wire properties like color, size, and user-defined properties are listed in the grid. An “X” in the Used column indicates the layer name is currently being used.

  3. Select RED_18AWG.

    The wire type highlights in blue in the dialog box indicating that it is the wire type to change.

  4. Click OK.
  5. Respond to the prompts as follows:

    Select Objects:

     Window from left to right around the wires as shown and press ENTER

    Before you press ENTER, the wires display as dashed lines to indicate that they have been selected. Once you press ENTER the lines display in red indicating that they have been moved to the RED_18AWG wire layer.

  6. Repeat to move any other wiring onto another wire layer.


Circuits

Changing a wire layer assignment
Tutorials
Circuits - Introduction
Tutorials >
Circuits
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Circuits - Introduction
  • Move an existing circuit
  • Insert and configure a circuit
  • Save and insert a circuit
  • Insert a saved circuit using WBlock
  • Insert a one-line motor control circuit
  • Insert a one-line dual power feed circuit
  • Reference an existing circuit


Circuits - Introduction

Circuits
Circuits
Move an existing circuit
Tutorials > Circuits >
Circuits - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Create circuits with Circuit Builder. Save and insert a saved circuit.

Time required | 60 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Circuits to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Circuits to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Move a circuit
  • Insert a circuit using Circuit Builder
  • Save and insert a saved circuit
  • Insert a saved circuit using WBLOCK


Move an existing circuit

Circuits - Introduction
Circuits
Insert and configure a circuit
Tutorials > Circuits >
Move an existing circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you move a circuit, most of the parent components contained in the circuit automatically retag since the drawing is set up for reference-based component tagging. In the process of moving the circuit, you change the reference locations of the moved components. Related child components update to match the new parent tags, including references on other drawings in the project.

NoteTagging updates vary depending on your default tagging configurations.

Move the location of a circuit

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS02.dwg.
  4. Zoom in on the lower left corner of the drawing. Make sure the 3-phase motor circuit at line reference 215 is visible.

    This circuit has component tags

    • “FU215” on the 3-pole fuse
    • “215CBL” on the multi-conductor cable
    • “DS215” on the disconnect switch
    • “MOT216” on the motor
  5. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Move Circuit. Enter AEMOVECIRCUIT at the command prompt.
  6. Respond to the prompts as follows:

    Select Objects:

     Window select the circuit on line reference 215 to capture the connection wire and dots that tie in to the vertical bus, right-click

    Press F9 to turn on SNAP .

    Specify base point or displacement:

     Select a base point and then select a point on line reference 214

    The circuitry is moved, the affected components are retagged, and cross-references are updated based on the new line reference. Each of the listed parent component tags decrement by one. For example, fuse FU215 became FU 214.

  7. In the Update Related Components dialog box, click Yes-Update.

    Related child references on the active drawing update to match the newly retagged parent components.

  8. In the Update other drawings dialog box, click OK.

    Related child components and panel layout references on other drawings update to match the parent components on the moved circuit.

  9. If asked to save the drawing, click OK.
  10. Click Project tab [image] Other Tools panel [image] Surfer drop-down [image] Surfer. Enter AESURF at the command prompt.
  11. Select FU214 on the drawing.

    The Surf dialog box displays three references on sheet 2 and one reference on sheet 9.

  12. Double-click the reference on Sheet 9.

    Surfer goes to the panel layout drawing and zooms in on the physical representation of this 3-pole fuse. Notice that the physical representation of the fuse block tag updated because the circuit was moved.

  13. Double-click the first entry in the dialog box to return to the original AEGS02.dwg drawing.
  14. Click Close.

Moving the motor circuit up one line reference spacing opened up a bit more room to add a new circuit below it. The next step is to extend the 3‑phase bus down to line reference 218 and over to the right to begin building a new motor circuit.

Extending the 3-phase bus

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Trim Wire. Enter AETRIM at the command prompt.
  2. Respond to the prompts as follows:

    Fence/Crossing/Zext/<Select wire to TRIM>:

     Click the bottom ends of the three dangling wires, right-click

    You can insert vertical or horizontal 3-phase wiring. Three-phase wiring automatically breaks and reconnects to any underlying components that it finds in its path. If it crosses any existing wiring, wire-crossing gaps are inserted.

  3. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  4. In the Multiple Wire Bus dialog box, select:

    Horizontal Spacing:

    0.5

    Vertical Spacing:

    0.5

    Starting at:

    Another Bus (Multiple Wires)

    Number of Wires:

    3

  5. Click OK.
  6. Respond to the prompts as follows:

    Select existing wire to begin multi-phase bus connection:

     Select the bottom corner of the left-most vertical bus on line reference 214 as shown

    Select existing wire to begin multi-phase bus connection: to

     Pull the cursor down to line reference 218.

    Temporary graphics show the proposed routing of the extended bus.

  7. Click to create the wires.
  8. Right-click to exit the command.

    The 3-phase bus and wire connection dot symbols are inserted on the drawing.


Insert and configure a circuit

Move an existing circuit
Circuits
Save and insert a circuit
Tutorials > Circuits >
Insert and configure a circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You now construct a new motor circuit on the extended 3-phase bus.

Insert and configure the circuit

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. The Circuit Selection dialog box displays.

  3. Expand 3ph Motor Circuit.
  4. Select Horizontal - FVNR - non reversing.
  5. Change the Rung Spacing: Horizontal to 0.5.
  6. Select Configure.
  7. Specify insertion point at rung 217.

Circuit Configuration

A circuit is made up of individual circuit elements and the wiring that connects them. Circuit Builder inserts a template drawing. This template contains the base wiring for the circuit and strategically positioned “marker blocks”.

The “marker blocks” control what circuit elements are presented in the Circuit Configuration dialog box. For example, a “marker block” indicates the need for a Disconnecting Means in the circuit. Various options for the Disconnecting Means are presented in the dialog box. The option selected for this circuit element is inserted at the location of the “marker block”. Circuit Builder dynamically builds the complete circuit based on the selections you make on this dialog box.

  1. In the Circuit Elements section, select Motor symbol.

    In the Select section, select Motor: 3ph motor,

    Ground/PE wire connection: No.

  2. In the Circuit Elements section, select Disconnecting Means.

    In the Select section, select Main Disconnect: Fuses,

    Include N.O. auxiliary contact: No.

    Setup & Annotation section: The options within this section change according to your selections in the Circuit Elements and Select sections. Type in values or select the Browse button to access a lookup table.

    Select an entry from the lookup table to obtain values for the individual settings. The catalog lookup is opened if the circuit option is a component.

  3. In the Circuit Elements section, select Control transformer and circuit - non-reversing.

    In the Select section, select Include control circuit: None.

  4. In the Circuit Elements section, select Power Factor correction.

    In the Select section, select Include power factor correction capacitor: None.

  5. In the Circuit Elements section, select Overloads.

    In the Select section, select Overload elements: Thermal,

    Include N.O. auxiliary contact: No.

  6. In the Circuit Elements section, select Motor terminal connections.

    In the Select section, select Motor connection terminals: Round.

  7. In the Circuit Elements section, select Cable marker.

    In the Select section, select Cable: None.

  8. In the Circuit Elements section, select Safety disconnect at the load.

    In the Select section, select Safety disconnect: Disconnect switch,

    Include N.O. auxiliary contact: No.

  9. Select the Insert all circuit elements tool. Circuit Builder inserts each of the selected circuit elements.

  10. Select Done.
NoteSee the Circuit Builder topics later in this section for more examples.


Save and insert a circuit

Insert and configure a circuit
Circuits
Insert a saved circuit using WBlock
Tutorials > Circuits >
Save and insert a circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD®Electrical makes saving and inserting pre-drawn circuits easy and convenient. You can save and insert from a user circuits page on the Insert Component icon menu or you can use the normal AutoCAD® WBlock command to save selected circuitry to disk and an Insert Circuit command to insert WBlocked circuits into the active drawing.

Save your circuit for use in the future

  1. Zoom around the circuit so that it fills your screen.
  2. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Save Circuit To Icon Menu. Enter AESAVECIRCUIT at the command prompt.
  3. On the Save Circuit to Icon Menu dialog box, click Add [image] New circuit.
  4. On the Create New Circuit dialog box, specify:

    Name:

    Motor Circ - Fusible DS

    Image file:

    Active and Create PNG from current screen image

    File name:

    UserCirc1

  5. Click OK.
  6. Respond to the prompts as follows:

    Base point:

     Select the left-most wire connection point where the circuit ties into the left-hand vertical bus wire

    Select objects:

     Window around the circuit from left to right to capture all the components and wiring, but exclude the vertical bus, press ENTER

  7. On the Save Circuit to Icon Menu dialog box, click OK.

    The circuit is saved to your AutoCAD Electrical user folder and can be quickly accessed from the Insert Component icon menu or from the Insert Saved Circuit tool.

The new motor has a 3-pole motor contactor child reference but there is not a parent motor starter relay coil to operate it. The motor start coil circuit must be added on a control schematic in the project drawing set and linked back to the new motor circuit.

Insert motor start coil circuit to control schematic

  1. Open AEGS04.dwg.
  2. Zoom on the upper-right hand ladder column so the full circuit on line reference 422-423 is displayed.
  3. Click Schematic tab [image] Edit Components panel [image] Circuit drop-down [image] Save Circuit To Icon Menu. Enter AESAVECIRCUIT at the command prompt.
  4. On the Save Circuit to Icon Menu dialog box, click Add [image] New circuit.
  5. On the Create New Circuit dialog box, specify:

    Name:

    Motor starter circ

    Image file:

    Active and Create PNG from current screen image

    File name:

    UserCirc2

    Click OK.

  6. Respond to the prompts as follows:

    Base point:

    Select the left-most wire connection point at line reference 422

    Select objects:

     Window around the circuit from left to right to capture all the components and wiring, but exclude the vertical bus, press ENTER

  7. On the Save Circuit to Icon Menu dialog box, click OK.

Insert a circuit you saved for re-use

  1. Pan to display the blank area between line references 426 - 432.
  2. Click Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert Saved Circuit. Enter AESAVEDCIRCUIT at the command prompt.
  3. In the JIC: Saved User Circuits dialog box, select the Motor starter circ button.
  4. In the Circuit Scale dialog box, click OK.
  5. Respond to the prompts as follows:

    Specify insertion point:

     Place the circuit insertion point on the vertical bus wire at line reference 427, left-click to insert the circuit.

    The circuit inserts and updates. Tags automatically update to reflect the new line reference number, and parent/child relationships defined inside of the circuit update accordingly.

  6. Right-click the M427 coil symbol and select Edit Component.
  7. In the Insert/Edit Component dialog box, specify:

    Description Line 2:

    MOTOR NO. 2

    Click OK.

  8. In the Update Related Components dialog box, click Yes-Update.

Linking the parent coil to the child contactor

  1. Open AEGS02.dwg and zoom on the untagged 3-pole motor contact/overloads on line reference 217.
  2. Right-click the “M” contact and select Edit Component.

    The Insert/Edit Child Component is displayed. Enter the exact parent coil tag into the Component Tag box to establish the link between the parent and the child contacts. Currently the Component Tag is M.

  3. In the Insert/Edit Child Component dialog box, Component Tag section, click Project.
  4. In the Complete Project list for Family=”M” dialog box, select M427 HYDRAULIC MOTOR NO. 2 and click OK.

    The tag M427 is now displayed in the Component Tag edit box. Notice that the description, cross-reference, and location code boxes have also updated.

  5. In the Insert/Edit Child Component dialog box, click OK.
  6. In the Update linked components dialog box, click OK.

    The components are now linked. If you go back to drawing AEGS04.dwg and look at the motor starter coil, it shows references to these three child contacts (plus one seal contact around PB427).

Using the icon menu to add a motor

  1. Reopen drawing AEGS04.dwg and zoom to the blank area at line references 430-431.
  2. Repeat the steps for inserting the saved Motor starter circ circuit.
  3. In the Circuit Scale dialog box, click OK.
  4. Insert the circuit at line reference 430.
  5. Right-click the M430 coil symbol, and select Edit Component.
  6. In the Insert/Edit Component dialog box, specify:

    Description Line 2:

    MOTOR NO. 3

    Click OK.

  7. In the Update related components dialog box, click Yes-Update.
  8. Open drawing AEGS02.dwg and zoom to the blank area at line references 204-206.
  9. Repeat the steps for inserting a saved circuit, but this time insert the Motor Circ - Fusible DS circuit.
  10. In the Circuit Scale dialog box, click OK.
  11. Respond to the prompts as follows:

    Specify insertion point:

     Position the motor circuit so that the insertion point lands on the left-hand vertical bus at line reference 204, left-click to insert the circuit.

    Notice that the fuse, disconnect, and motor automatically retag based on their reference locations.

  12. Right-click the M child motor contact symbol, and select Edit Component.
  13. In the Insert/Edit Child Component dialog box, Component Tag section, click Project.
  14. In the Complete Project list for Family=”M” dialog box, select M430 HYDRAULIC MOTOR NO. 3 and click OK.

    The tag M430 is now displayed in the Component Tag edit box. Notice that the description, cross-reference, and location code boxes have also updated.

  15. In the Insert/Edit Child Component dialog box, click OK.
  16. In the Update linked components dialog box, click OK.


Insert a saved circuit using WBlock

Save and insert a circuit
Circuits
Insert a one-line motor control circuit
Tutorials > Circuits >
Insert a saved circuit using WBlock
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Another method for saving and inserting circuits is to use the AutoCAD WBlock command to save the circuit to disk. A separate Insert Circuit command is used to browse to a selected saved circuit and insert it into the active drawing. This method allows unlimited circuits to be constructed and saved to disk. They can be arranged into a set of shared subfolders for easy browsing and retrieval using the Insert Circuit command.

Saving a circuit using WBlock

  1. Pan to display the 3-phase motor circuit at line references 207 - 209.
  2. Enter wblock at the command line and press ENTER.
  3. In the Write Block dialog box, click Pick point.
  4. Respond to the prompts as follows:

    Specify insertion base point:

     Select the intersection of the left vertical bus with the upper horizontal wire at line reference 207

  5. In the Write Block dialog box, click Select objects.
  6. Respond to the prompts as follows:

    Select objects:

    Window from left to right around the full circuit, right-click

  7. In the Write Block dialog box, enter a name for the saved circuit. Take note of the location where the drawing file is being saved.
  8. Click OK.

Inserting a WBlocked circuit

  1. Click Schematic tab [image] Insert Components panel [image] Circuit drop-down [image] Insert WBlocked Circuit. Enter AEWBCIRCUIT at the command prompt.
  2. In the Insert Wblocked Circuit dialog box, browse to the folder containing the circuit you saved.
  3. Select the WBlocked motor circuit, and click Open.
  4. In the Circuit Scale dialog box, select:

    Move all lines to wire layers

    Keep all source arrows

    Update circuit’s text layers as required

    Click OK.

  5. Respond to the prompts as follows:

    Specify insertion point:

    Select any blank spot on your drawing

    The parent component tags that are not set to Fixed automatically retag based on the insertion point. It is like the behavior when inserting a circuit using the icon menu method.

  6. Delete the circuit.


Insert a one-line motor control circuit

Insert a saved circuit using WBlock
Circuits
Insert a one-line dual power feed circuit
Tutorials > Circuits >
Insert a one-line motor control circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this exercise, you insert and configure a one-line motor control circuit using Circuit Builder.

  1. In the Project Manager, Project Drawing List, double-click One-Line.dwg.

    One-Line.dwg contains a one-line bus. This wire is drawn on a wire layer defined as No Wire Numbering. Such a wire layer behaves normally for inserting, breaking, and scooting components. These wires also show up in the from/to report. Wire numbers are not placed on these wires during the Insert Wire Numbers process.

Insert the one-line circuit

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.

    The Circuit Selection dialog box displays.

  2. Expand One-line Motor Circuit.
  3. Select Vertical - FVNR - non reversing.
  4. Click Configure.
  5. Specify an insertion point on the one-line bus.

    The Circuit Configuration dialog box displays.

  6. In the Circuit Elements section, select Motor Setup.

  7. In the Setup & Annotations: Motor Setup section, select the Browse button.

    The Motor Table Not Found dialog box displays. The sample project is set up to use the NEC standard. However, a MOTOR_NEC table is not supplied, only a default MOTOR table.

  8. Select Use default table.

    The Select Motor dialog box displays.

  9. Select Type: Induction, Voltage (V): 480, and Frequency (HZ): 60.
  10. Select the row that shows Load: 15, Units: HP, Phase: 3, Speed (RPM): 3600, FLA (A) 18.6.
    NoteThe values used to populate this dialog box are defined in the MOTOR* tables in the electrical standards database file, ace_electrical_standards.mdb.
  11. Click OK.

    The values are entered in the Motor Setup section. A default wire size, based on the load for the motor, is selected and shown in the Wire Setup section.

  12. In the Setup & Annotations: Wire Setup section, select the Browse button.

    The Wire Size Lookup dialog box displays. The minimum wire size is preselected. The size is based on the load for the selected motor.

    NoteWhen Show all is on, wires where the %Ampacity value is greater than 100% and less than 300%, are shown in red.

    The values in the Load section are populated with the values from the Motor Setup. The options available within this dialog box are defined in the electrical standards database file, ace_electrical_standards.mdb.

  13. In the Wire section, select Wire standard: AWG, Type/method: CU, Insulation: THWN / 75C.
  14. In the De-rating factors section, select the Ambient temperature correction option.

    This option directs Circuit Builder to use a de-rating factor for an elevated ambient temperature. These values are defined in the electrical standards database file.

  15. Select 36~40C from the drop-down list.

    The de-rating factor is extracted from the electrical standards database file and entered in the dialog box. The wire size grid is adjusted based on the new total de-rating factor. Based on this de-rating factor the minimum wire size can change.

  16. Select the Run distance option.

    This option directs Circuit Builder to consider the length of the wire run in the voltage drop calculation. Additional columns display in the wire selection grid showing Voltage drop, wire KW loss, and wire loss cost estimate.

  17. Select 200 from the drop-down list.

    Circuit Builder displays parallel energy loss calculations to allow you to make better green design decisions. For example, you can oversize the conductors for a motor to reduce conductor heating losses. It results in a higher initial cost, material, and installation labor, which is recovered many times over in reduced energy losses in the wiring during the life of the motor.

  18. Select a wire size in the grid based on the values shown.
  19. Select a Grounding conductor size. The minimum size is preselected based on the load of the motor.
  20. Click OK.
  21. Select Circuit Elements: Motor Symbol.
  22. In the Setup & Annotations: Motor section, select the Browse button.

    The Parts catalog dialog box displays.

  23. Select a catalog value and click OK.
    NoteCircuit Builder does not preselect the catalog based on the parameters entered previously.
  24. Continue selecting Circuit Elements:

    Disconnecting means: Disconnect switch and fuses

    Motor starter: Yes

    Power factor correction: No

    Overloads: None

    Terminal strip or connector: None

    Cable marker: Yes

    Safety disconnect at the load: None

  25. Click to insert all circuit elements.
  26. Click Done.

  27. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  28. Select the motor symbol.
  29. On the Insert/Edit Component dialog box, enter FIELD for the Location code and MY MOTOR for Description Line 1.
  30. Save the drawing.


Insert a one-line dual power feed circuit

Insert a one-line motor control circuit
Circuits
Reference an existing circuit
Tutorials > Circuits >
Insert a one-line dual power feed circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this part of the exercise, you insert a dual power feed circuit. A dual circuit has two distinct circuits running off the same bus-tap. Each circuit can be independently configured.

  1. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  2. The Circuit Selection dialog box displays.
  3. Select One-line Power Feed: Vertical - Dual feed.
  4. Click Configure.
  5. Specify an insertion point on the one-line bus.

    The Circuit Configuration dialog box displays. Notice that some circuit elements have a “(2)” prefix. These elements make up the second circuit in the dual circuit.

  6. In the Circuit Elements section, select Load Setup.
  7. In the Setup & Annotations: Load Setup section, select the Browse button.

    The Select Load dialog box displays.

  8. Select Type: Transformer, Voltage (V): 480, and Phase: 3.
  9. Select an entry from the grid and click OK.
  10. Continue selecting Circuit Elements for the first circuit:

    Load: Generic box

    Disconnecting means: None

    Terminal strip or connector: Square

    Cable marker: None

  11. In the Circuit Elements section, select (2) Load Setup.
  12. In the Setup & Annotations: Load Setup section, select the Browse button.

    The Select Load dialog box displays.

  13. Select Type: Transformer, Voltage (V): 480, and Phase: 3.
  14. Select an entry from the grid and click OK.
  15. Continue selecting Circuit Elements for the second circuit:

    (2) Load: Source arrow

    (2) Disconnecting means: Disconnect switch and fuses

    (2) Terminal strip or connector: None

    (2) Cable marker: None

  16. Click to insert all circuit elements.
  17. Click Done.

  18. Save the drawing.


Reference an existing circuit

Insert a one-line dual power feed circuit
Circuits
Surf
Tutorials > Circuits >
Reference an existing circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When a new circuit is inserted, you can reference an existing circuit picked from a list of circuits pulled from the active project. The components, values, descriptions, and tag assignments from the selected circuit, become defaults for the new circuit. Tags are recalculated if the option “Retag new components” is selected.

In this exercise, you insert a 3-phase motor control circuit referencing the one-line motor control circuit inserted earlier.

  1. Start a new blank drawing and save it as Three-Line.dwg.
  2. In Project Manager, right-click on the project name and select Add Active Drawing.
  3. Click Yes to apply the project default values to the drawing settings.
  4. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Ladder drop-down [image] Insert Ladder. Enter AELADDER at the command prompt.
  5. Insert a 3-phase ladder.

  6. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  7. The Circuit Selection dialog box displays.
  8. Select 3ph Motor Circuit: Horizontal - FVNR - non reversing.
  9. Select Reference Existing Circuit.
  10. Select the List button.

    The Existing Circuits dialog box displays.

  11. Select the one-line motor control circuit inserted on One-Line.dwg, MOT1.
  12. Click OK.

    The default circuit element options are controlled by both the CODE value and the UI_VAL from the circuit codes sheet of the circuit builder spreadsheet. For example, the one-line circuit used the Disconnect switch and fuses option with a UI_VAL of “4”. When the 3-phase circuit references this one-line circuit, the disconnecting means option with a UI_VAL of “4” becomes the default. If a matching UI_VAL is not found for a particular marker block CODE value, the default as defined by the “X” in the UI_DEF column is used.

    When the new circuit is built, component values from the referenced circuit are applied to components in the new circuit only if the marker block code matches.

  13. Turn off the Retag new components check box.

    It directs Circuit Builder to use the tags from the one-line circuit for the components with matching marker block code values.

  14. Select Configure.
  15. Select an insertion point on the bus for the new circuit.
  16. Verify that the same circuit elements as the referenced one-line motor circuit are selected. The default options are based on the referenced circuit.

    Circuit Elements

    Select

    Motor symbol

    Motor: 3ph motor

    Ground/PE wire connection: No

    Disconnecting means

    Main Disconnect: Disconnect switch and Fuses

    Include N.O. Auxiliary contact: No

    Control transformer and circuit - non-reversing

    Include control circuit: None

    Power Factor correction

    Include power factor correction capacitor: None

    Overloads

    Overload elements: None

    Include N.O. auxiliary contact: No

    Motor terminal connections

    Motor connection terminals: None

    Cable marker

    Cable: Yes

    Safety disconnect at the load

    Safety disconnect: None

    Include N.O. auxiliary contact: No

  17. Click to insert all circuit elements.
  18. Click Done.

The circuit is inserted and the component values from the one-line circuit are applied. The motor symbol receives the same catalog value and horsepower rating. The main disconnect switch receives the same rating values for the switch and the fuses. The motor symbol receives the values modified on the one-line circuit after it was inserted.


Surf

Reference an existing circuit
Tutorials
Surf - Introduction
Tutorials >
Surf
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Surf - Introduction
  • Moving between symbols


Surf - Introduction

Surf
Surf
Moving between symbols
Tutorials > Surf >
Surf - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Move between related components with Surfer.

Time required | 10 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Surf to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Surf to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Use the Surfer tool


Moving between symbols

Surf - Introduction
Surf
Block swap
Tutorials > Surf >
Moving between symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the AutoCAD Electrical Surf utility to move from component reference to reference across the project drawing set quickly.

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS04.dwg.
  4. Zoom on the upper left-hand portion of the first ladder column.
  5. Click Projects tab [image] Other Tools panel [image] Surfer drop-down [image] Surfer. Enter AESURF at the command prompt.
  6. Click anywhere on relay coil CR407.

    All instances of CR407 appear in the Surf dialog box.

  7. Select the reference on sheet 6.
  8. Click Go To.

    The instance of CR407 on sheet 6 is surfed to and displayed in the drawing next to the Surf dialog box.

  9. Select the reference on sheet 9.
  10. Click Go To.

    You can edit or delete the component using options in the Surf dialog box.

  11. Double-click the first entry in the Surf dialog box to return to the original AEGS04.dwg drawing.
  12. Click Close.
    NoteDrawing files are saved while surfing if AutoCAD Electrical senses that a change has been made to the drawing.


Block swap

Moving between symbols
Tutorials
Block swap - Introduction
Tutorials >
Block swap
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Block swap - Introduction
  • Swapping components


Block swap - Introduction

Block swap
Block swap
Swapping components
Tutorials > Block swap >
Block swap - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Swap components while maintaining wire connections with Swap/Update Block.

Time required | 10 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Block swap to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Block swap to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Use the Block Swap tool


Swapping components

Block swap - Introduction
Block swap
PLC
Tutorials > Block swap >
Swapping components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Swap Block tool to swap one component for another (such as swapping a proximity switch with a limit switch) in a single drawing or project-wide.

Swap switches while keeping wire connections

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS04.dwg.
  4. Zoom in on the limit switch on line reference 406.

  5. Click Schematic tab [image] Edit Components panel [image] Swap/Update Block. Enter AESWAPBLOCK at the command prompt.
  6. In the Swap Block/ Update Block/ Library Swap dialog box, specify:

    Option A: Swap a Block - drawing wide

    Pick new block from icon menu

    Retain old block scale

    Auto re tag if parent swap causes FAMILY change

    Attribute Mapping: Use Same Attribute Names (default)

    Click OK.

  7. In the Insert Component: JIC Schematic Symbols dialog box, click Miscellaneous Switches.
  8. In the JIC: Other Switch Types dialog box, click Proximity Switch NO.
  9. Respond to the prompts as follows:

    Select component type to swap out:

    Select the limit switch, LS406

    The limit switch symbol disappears and the proximity switch symbol inserts. All existing text annotation transfers to the new symbols and the wires reconnect.


PLC

Swapping components
Tutorials
PLC - Introduction
Tutorials >
PLC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • PLC - Introduction
  • Inserting PLC modules
  • Using multiple insert component
  • Annotating PLC I/O descriptions


PLC - Introduction

PLC
PLC
Inserting PLC modules
Tutorials > PLC >
PLC - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert PLC modules and connected devices.

Time required | 30 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\PLC to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\PLC to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Understand PLC parametric build
  • Insert a PLC module
  • Remove ladder rungs
  • Use multiple insert component
  • Annotate PLC I/O descriptions


Inserting PLC modules

PLC - Introduction
PLC
Using multiple insert component
Tutorials > PLC >
Inserting PLC modules
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical generates any of hundreds of different PLC I/O modules on demand, in various different graphical styles, all without a single, complete I/O module library symbol resident on the system. Modules adapt to the underlying ladder rung spacing, whatever that value might be. They can be stretched or broken into two or more pieces at insertion time.

To insert a PLC module, you select the module and pick a location. AutoCAD Electrical builds and inserts the module, using a small set of library symbols.

Insert a PLC module

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS05.dwg.
  4. Click Schematic tab [image] Insert Components panel [image] Insert PLC drop-down [image] Insert PLC (Parametric). Enter AEPLCP at the command prompt.
  5. In the PLC Parametric Selection dialog box, select:

    Manufacturer:

    Allen-Bradley

    Series:

    1746

    Type:

    Discrete Input

    Part Number:

    1746-IA16

    Graphics Style:

    2, Vertical Module

  6. Click OK.
  7. Respond to the prompts as follows:

    Specify PLC module insertion point or [Z=zoom, P=pan]:

     Pick a point on wire line reference 520 closer to the right side, ensure the X is near the horizontal wire, click

  8. In the Module Layout dialog box, verify the default settings:

    Spacing:

    1.0000

    I/O Points:

    Insert all

    Click OK.

    AutoCAD Electrical reads the vertical rung spacing of your ladder and calculates how long the module is going to be. It multiplies the rung spacing by the number of wire connections specified by the module you selected.

    Temporary graphics display a representation of the module (with the spacing defined) to help position the module on the ladder.

  9. In the I/O Point dialog box, specify:

    Rack Number:

    1

    Slot Number:

    1

    NoteSpecify the values by either entering text into the edit boxes or by clicking the arrows.
  10. Click OK.
  11. In the I/O Address dialog box, specify:

    Beginning address:

    I:11/00

    NoteYou can also select the beginning address from the Quick picks list.
  12. Click OK.
  13. In the I/O Addressing dialog box, click Decimal.

    The PLC module is inserted into your drawing with incremental address numbers already annotated as the module goes in, it breaks and reconnects to underlying wires.

    You can break an I/O module into as many pieces as you want at insertion time. It is great for high-density modules that do not fit into a single ladder column. Use the Allow spacers/breakers option in the Module Layout dialog box at insertion time to do it.

    You can also add extra space between adjacent I/O points using the Stretch Block tool. This feature leaves extra room when you know ahead of time that a certain I/O point will have additional components wired tied to a single I/O point after a PLC module is inserted.

    NoteIt can be used on any block, not just a PLC module.

Remove ladder rungs

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Trim Wire. Enter AETRIM at the command prompt.
  2. Respond to the prompts as follows:

    Fence/Crossing/Zext/<Select wire to TRIM>:

     Select the ladder rung at line reference 519, right-click

    The ladder rung is removed from your drawing.


Using multiple insert component

Inserting PLC modules
PLC
Annotating PLC I/O descriptions
Tutorials > PLC >
Using multiple insert component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can insert components into wires that are tied to the PLC module. Use the Multiple Insert Component tool to insert a string of normally open limit switches.

Insert a limit switch

  1. Click Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Enter AEMULTI at the command prompt.
  2. In the Insert Component: JIC Schematic Symbols dialog box, click Limit Switches.
  3. In the JIC: Limit Switches dialog box, select Limit Switch, NO.
  4. Respond to the prompts as follows:

    Component Fence, From Point:

     Select above the wire at line reference 520 (1)

    Component Fence, From Point: to:

     Drag below the wire at line reference 522, click the point (2), right-click

  5. In the Keep dialog box, select:

    Keep this one

    Show edit dialog box after each

    Click OK

  6. In the Insert/Edit Component dialog box, specify:

    Component Tag:

    LS520

    Description: Line 1:

    PALLET ENTERING

    Description: Line 2:

    STATION

    Location code:

    MACHINE

    Click OK.

    NoteIn the Insert/Edit Component dialog box, Component Tag section, you can use the Use PLC Address button to add the I/O Address as the component tag.
  7. In the Keep dialog box, select:

    Keep this one

    Show edit dialog box after each

    Click OK

  8. In the Insert/Edit Component dialog box, specify:

    Component Tag:

    LS521

    Description: Line 1:

     PALLET INSIDE

    Description: Line 2:

    STATION

    Location code:

    MACHINE

    Click OK.

  9. In the Keep dialog box, select:

    Keep this one

    Show edit dialog box after each

    Click OK

  10. In the Insert/Edit Component dialog box, specify:

    Component Tag:

    LS522

    Description: Line 1:

    PALLET LEAVING

    Description: Line 2:

    STATION

    Location code:

    MACHINE

    Click OK.

    The normally open limit switches are inserted into the drawing.


Annotating PLC I/O descriptions

Using multiple insert component
PLC
Schematic terminals
Tutorials > PLC >
Annotating PLC I/O descriptions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can add description text to a PLC module using the Edit Component tool. You can change the descriptions at any time. However, edit each split PLC piece separately.

Add description text

  1. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  2. Respond to the prompts as follows:

    Select component/cable/location box to EDIT:

     Select anywhere on the top portion of the PLC module

    The Edit PLC Module dialog box displays.

    This dialog box provides spaces for you to enter description text for each I/O point. Assume that the descriptions already assigned to the connected limit switches are like what you want to use for the PLC I/O point descriptions.

  3. In the Edit PLC Module dialog box, click Wired Devices.

    AutoCAD Electrical immediately follows each I/O point’s connected wire backwards. If it finds a connected component, the component description text is retrieved. Each description is displayed in a dialog box list.

  4. For the first I/O address (I:11/00), select the first description (PALLET ENTERING STATION) in the extracted device list.

    The Confirmation dialog box displays.

  5. Make sure that the correct description is specified and click OK.
  6. Click Next to highlight I/O address 1:11/01 in the Addressing list.

    The corresponding device description highlights automatically.

  7. Select the highlighted description, PALLET INSIDE STATION, and click OK.
  8. Repeat this process for the remaining I/O point.
    NoteAlternately you can use Pick to capture existing description text from a connected device. To do so, in the Edit PLC Module dialog box, click Pick, and then select the component whose text you want to copy. AutoCAD Electrical reads the existing DESC text values on the component and transfers a copy to the DESC boxes in the Edit PLC Module dialog box.
  9. In the Edit PLC Module dialog box, click OK.

    Your descriptions appear on the module.

    NoteIf your PLC description is not where you want it, use the Scoot tool to scoot the description to a new location.


Schematic terminals

Annotating PLC I/O descriptions
Tutorials
Schematic terminals - Introduction
Tutorials >
Schematic terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Schematic terminals - Introduction
  • About schematic terminals
  • Insert terminals
  • Multi-level terminals
  • Modify multi-level associations
  • Terminal Properties
  • Associate terminals


Schematic terminals - Introduction

Schematic terminals
Schematic terminals
About schematic terminals
Tutorials > Schematic terminals >
Schematic terminals - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert and modify schematic terminals. Define multi-level schematic terminals.

Time required | 45 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Schematic terminals to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Schematic terminals to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Understand terminal relationships
  • Insert terminals
  • Assign terminal block properties
  • Define a multi-level terminal
  • Associate terminals


About schematic terminals

Schematic terminals - Introduction
Schematic terminals
Insert terminals
Tutorials > Schematic terminals >
About schematic terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical supports two types of relationships for terminals: schematic-to-schematic and schematic-to-panel.

NoteSince one-line terminal symbols will likely represent multiple, independent terminals, they cannot be associated to other schematic or panel terminals. A one-line terminal must be updated manually. A one-line terminal symbol is defined by a WDTYPE attribute value of “1-”.
Schematic-to-Schematic

The schematic-to-schematic relationship defines separate schematic terminal symbols as one multi-level (also referred to as multi-tier or multi-stack) terminal block. On the schematic drawing, each schematic terminal symbol represents one level of the multi-level terminal block.

NoteMultiple terminal symbols for one level are not currently supported.

The number of levels for the block is defined as a block property. Each level carries certain characteristics, such as a label, wires per connection, left pin, and right pin. Each schematic terminal symbol carries all of the block properties for each level so that removing one terminal symbol does not remove the block properties. If a block property is modified, all of the terminal symbols update.

The terminal symbols are associated by an ID value held on the LINKTERM attribute or xdata. When a terminal symbol is inserted, by default it is seen as a standalone terminal (it has no associations) and receives a new LINKTERM value. When the terminal is associated to another, the LINKTERM value updates so that each terminal carries the same LINKTERM value. Changing or removing the LINKTERM value breaks any associations that terminal may have.

To associate schematic terminals, first add block properties. The number of terminals you can associate is limited to the number of levels defined in the block properties. Once block properties are established you can associate schematic terminals to build a multi-level terminal block by:

  • Click Schematic tab [image] Edit Components panel [image] [image] [image] Associate Terminals. Enter AEASSOCTERMINAL at the command prompt.

    You select a master terminal and then select each terminal symbol to associate to the master.

  • Clicking Pick on the Insert/Edit Terminal Symbol dialog box. It adds the edited symbol into an association with the picked terminal.
  • Clicking Add/Modify on the Insert/Edit Terminal Symbol dialog box. It adds the edited symbol into an association with any schematic terminal in the project.

Prebuilt circuits may contain associated terminals. These relationships are maintained when the circuit is inserted. Copying a circuit also maintains these relationships within the copied circuit.

When the Bill of Materials report is run, these separate terminal symbols that make up one multi-level terminal, are counted as one in the quantity.

Schematic-to-Panel

The schematic-to-panel relationship is used mainly for updating. If the schematic or panel is modified, the other updates to reflect the changes. This relationship is like component relationships, which are based on the TAG value. The TAGSTRIP, Installation, and Location values must match for the terminals to associate together and the association number on the LINKTERM is also taken into account when creating a relationship between the schematic terminal and its panel representation. Block properties are not required to associate a schematic to panel terminal. Once they are associated, modifications on one results in modifications on the other.

You can associate a schematic and panel terminal automatically by:

  • Click Panel tab [image] Terminal Footprints panel [image] [image] [image] Insert Terminals drop-down [image] Insert Terminal (Schematic List). Enter AEPANELTERMINALSCH at the command prompt.
  • Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Terminal (Panel List). Enter AETERMINALPNL at the command prompt.

For multi-level terminals, the Insert Terminal (Schematic List) tool shows only one terminal for insertion regardless of how many schematic terminal symbols/levels there are for that multi-level block. The Insert Terminal (Panel List) tool shows one terminal for each level for insertion.

NotePanel terminals inserted by the Terminal Strip Editor are automatically associated to the schematic representation.

Additionally, you can click the Associate terminals tool to select terminals to associate or click Add/Modify on the Panel Layout - Terminal Insert/Edit dialog box to add the panel terminal to an association with a schematic terminal on any drawing in the project.


Insert terminals

About schematic terminals
Schematic terminals
Multi-level terminals
Tutorials > Schematic terminals >
Insert terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert terminals

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS05.dwg.
  4. Click Schematic tab [image] Insert Components panel [image] Multiple Insert drop-down [image] Multiple Insert (Icon Menu). Enter AEMULTI at the command prompt.
  5. In the Insert Component: JIC Schematic Symbols dialog box, click Terminals/Connectors.
  6. In the JIC: Terminals and Connectors dialog box, click Round with Terminal Number.
  7. Respond to the prompts as follows:

    Component Fence, From Point:

    Select above wire at line reference 520 (1)

    Component Fence, From Point: to:

     Select below wire at line reference 535 (2), left click to end command, right-click to add terminal

  8. In the Keep dialog box, select Keep this one.

    Click OK.

  9. In the Insert/Edit Terminal Symbol dialog box, Terminal section, specify:

    Location:

    MCAB5

    Tag Strip:

    TS1

    Number:

    1

  10. Click OK.
  11. In the Keep dialog box, select:

    Keep all, don’t ask

    Clear Show edit dialog box after each

    Click OK

    The terminals are automatically added to your drawing.


Multi-level terminals

Insert terminals
Schematic terminals
Modify multi-level associations
Tutorials > Schematic terminals >
Multi-level terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Multi-level terminals

  1. In the Project Manager, Project Drawing List, double-click AEGS02.dwg.
  2. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  3. Select the round terminal on rung 217. The Insert/Edit Terminal Symbol dialog box displays, where you can annotate the terminal properties and associations.
  4. In the Insert/Edit Terminal Symbol dialog box, Project List section, select Tag Strip TB.
  5. Enter Location: MCAB5 and Number: 10.

  6. Click Details >>.
  7. In the Catalog Data section, click Catalog Lookup.
  8. On the Parts Catalog dialog box, select:

    Manufacturer:

    SIEMENS

    Type:

    MULTI-LEVEL

    Rating:

    20 AMPS

  9. Select part 8WA1 011-3JF16 and click OK.

    The Manufacturer and Catalog information for the selected part displays in the Catalog Data section of the Insert/Edit Terminal Symbol dialog box.

  10. On the Insert/Edit Terminal Symbol dialog box, click OK.
  11. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  12. Select the middle terminal between rungs 217 and 218. The Insert/Edit Terminal Symbol dialog box displays.
  13. In the Insert/Edit Terminal Symbol dialog box, Project List section, select Tag Strip TB.
  14. Enter Location: MCAB5 and Number: 11.


Modify multi-level associations

Multi-level terminals
Schematic terminals
Terminal Properties
Tutorials > Schematic terminals >
Modify multi-level associations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Modify multi-level terminal associations

  1. On the Insert/Edit Terminal Symbol dialog box, Modify Properties/Associations section, click Add/Modify.
  2. On the Add/Modify Association dialog box, Select Association section, expand the active project node. The active node is bold in the list.

  3. Select the terminal block node you inserted on line reference 217 (10, , (3)).

    The terminal numbers defined on the block are listed, separated by commas. The number of levels defined in the block properties displays at the end of the node string in parenthesis. For example, 1,21,GND (3). If a level is not represented on the schematic, it is represented by empty space: 1, , GND (3). If a terminal has been assigned to the level, but the terminal does not have a number assignment, it is represented by ‘???’: 1,???,GND (3).

    NoteThe grid to the right populates with the definition for the selected terminal: Level 1 has Label = TOP, Number = 10, Reference = 2,217.
  4. Select Level 2 in the grid and click Associate.

    Once you click Associate, the middle level updates with the terminal number in the grid in the Active Association section of the dialog box.

  5. Click OK.

    The level assignments display in the Properties/Associations section of the Insert/Edit Terminal Symbol dialog box. Notice that the terminal is three levels and levels 1 and 2 are now assigned.

  6. On the Insert/Edit Terminal Symbol dialog box, click OK.
  7. Click Schematic tab [image] Edit Components panel [image] Edit Components drop-down [image] Edit. Enter AEEDITCOMPONENT at the command prompt.
  8. Select the bottom terminal on rung 218. The Insert/Edit Terminal Symbol dialog box displays.
  9. In the Insert/Edit Terminal Symbol dialog box, Project List section, select Tag Strip TB.
  10. Enter Location: MCAB5 and Number: 12.
  11. On the Insert/Edit Terminal Symbol dialog box, Modify Properties/Associations section, click Add/Modify.
  12. On the Add/Modify Association dialog box, Select Association section, expand the active project node.
  13. Select the terminal block node you inserted on line reference 217 (10,11, (3)). Notice that the node properties updated to reflect that levels 1 and 2 are assigned and that level 3 is still blank/available.
  14. Select Level 3 in the grid and click Associate.

    Once you click Associate, the bottom level updates with the terminal number in the grid in the Active Association section of the dialog box. You can rearrange the levels by selecting a level and clicking Move Up or Move Down.

  15. Click OK.

    The level assignments display in the Properties/Associations section of the Insert/Edit Terminal Symbol dialog box. Notice that levels 1, 2, and 3 are now assigned.

  16. On the Insert/Edit Terminal Symbol dialog box, click OK.


Terminal Properties

Modify multi-level associations
Schematic terminals
Associate terminals
Tutorials > Schematic terminals >
Terminal Properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can modify an existing terminal to make it a multi-level terminal block and then associate terminals to the master terminal block.

Modify terminal properties

  1. Right-click terminal 4 on line reference 211 and select Edit Component.
  2. On the Insert/Edit Terminal Symbol dialog box, Catalog Data section, delete the Manufacturer and Catalog information.
  3. In the Modify Properties/Associations section, click Block Properties.
  4. On the Terminal Block Properties dialog box, specify:

    Levels:

    3

    Level 1

    Level Description:

    Top

    Wires Per Connection:

    2

    PinL:

    1

    PinR:

    2

    Level 2

    Level Description:

    Middle

    Wires Per Connection:

    2

    PinL:

    3

    PinR:

    4

    Level 3

    Level Description:

    Bottom

    Wires Per Connection:

    2

    PinL:

    5

    PinR:

    6

    Click OK.

    Notice on the Insert/Edit Terminal Symbol dialog box, Properties/Associations section that the block now has three levels. Terminal 4 is assigned to the top level of the block.

  5. On the Insert/Edit Terminal Symbol dialog box, click OK.
  6. On the Update other drawings dialog box, click OK.
  7. If asked to save the drawing, click OK.


Associate terminals

Terminal Properties
Schematic terminals
Wire numbers
Tutorials > Schematic terminals >
Associate terminals
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Associate terminals

  1. Click Schematic tab [image] Edit Components panel [image] [image] [image] Associate Terminals. Enter AEASSOCTERMINAL at the command prompt.
  2. Respond to the prompts as follows:

    Select “Master” terminal:

     Select terminal 4 on line reference 211

    Pick terminal:

     Select terminal 5

    Pick terminal:

     Select terminal 6, right-click

    NoteThe command prompt area indicates that the terminal was added as level 02 or level 03 once you pick the terminal.
  3. Right-click terminal 6 and select Edit Component.

    On the Insert/Edit Terminal Symbol dialog box, Properties/Associations section, all three levels have been assigned. You can now move a terminal to another level using the Add/Modify Association dialog box.

  4. On the Insert/Edit Terminal Symbol dialog box, Modify Properties/Associations section, click Add/Modify.
  5. On the Add/Modify Association dialog box, Active Association section, highlight level 3 in the grid and click Move Up.

    The grid updates to reflect the move. Notice that terminal 6 is now assigned to level 2.

  6. Click OK.
  7. On the Insert/Edit Terminal Symbol dialog box, click OK.
  8. If asked to update related components, click Yes-Update.
NoteIf the terminals are not all on the same drawing you can associate them using the Add/Modify Association dialog box.


Wire numbers

Associate terminals
Tutorials
Wire numbers - Introduction
Tutorials >
Wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Wire numbers - Introduction
  • About wire numbers
  • Inserting wire numbers
  • Inserting I/O based wire numbers
  • Deleting a wire number
  • Source signal arrows
  • Destination signal arrows


Wire numbers - Introduction

Wire numbers
Wire numbers
About wire numbers
Tutorials > Wire numbers >
Wire numbers - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert wire numbers and signal arrows.

Time required | 45 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Wire numbers to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Wire numbers to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Understand wire numbers
  • Insert wire numbers
  • Insert I/O based wire numbers
  • Delete wire numbers
  • Understand signal arrows
  • Insert a source arrow
  • Insert a destination arrow


About wire numbers

Wire numbers - Introduction
Wire numbers
Inserting wire numbers
Tutorials > Wire numbers >
About wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Wire numbers can be assigned to any existing wires on an individual selection, an entire drawing, selected drawings in a project, or an entire project.

AutoCAD® Electrical assigns a unique wire number to each wire network. A wire network consists of one or more wires that are electrically connected.


Inserting wire numbers

About wire numbers
Wire numbers
Inserting I/O based wire numbers
Tutorials > Wire numbers >
Inserting wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can process and tag wires with sequential wire numbers or with wire numbers based upon the line reference location start of the wire network. When wire numbers are automatically inserted into a drawing, the numbers are not duplicated if they are defined on another network.

AutoCAD Electrical works from left to right, top to bottom as it processes wire networks by default. You can change the direction of wire numbering using the Project Properties [image] Wire Numbers dialog box (in the Project Manager. Right-click the project name, and select Properties. In the Project Properties dialog box, click the Wire Numbers tab).

Insert wire numbers automatically

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. In the Project Manager, Project Drawing List, double-click AEGS04.dwg.
  4. Zoom in on the top portion of the wire network on the left side of the drawing.
  5. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  6. In the Sheet 4 - Wire Tagging dialog box, click Pick Individual Wires.

  7. Respond to the prompts as follows:

    Select objects:

     Select the wire segment between the two push buttons on line reference 403 (1), right-click

    The wire number is placed.

Add wire numbers to the entire drawing

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  2. In the Sheet 4 - Wire Tagging dialog box, click Drawing-wide.

    Wire numbers are assigned to each segment in your drawing.

Add wire numbers project-wide

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  2. In the Sheet 4 - Wire Tagging dialog box, click Project-wide.
  3. In the Wire Tagging (Project-wide) dialog box, verify:

    Wire tag mode:

    Reference-based tags

    To do:

    Tag/retag all

    Freshen database (for Signals)

  4. Click OK.
  5. In the Select Drawings to Process dialog box, Project Drawing List section, press SHIFT as you select AEGS03.dwg and AEGSO04.dwg. Click Process.
  6. Verify AEGS03.dwg and AEGS04.dwg are listed as the drawings to process and click OK.
  7. If asked to save the drawing, click OK.

    Wire numbers are processed for the selected drawings.


Inserting I/O based wire numbers

Inserting wire numbers
Wire numbers
Deleting a wire number
Tutorials > Wire numbers >
Inserting I/O based wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can insert wire numbers based on the I/O address that each PLC connected wire touches. The wire numbers insert with your specified format as fixed wire numbers, so they do not change if a wire number retag is run later on.

NoteIf you want PLC I/O based wire numbering to be the automatic default for a drawing, set it up in the Drawing Properties dialog box. Select the Search for PLC I/O address on insert toggle.

Insert PLC I/O wire numbers

  1. Open AEGS05.dwg.
  2. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] PLC I/O. Enter AEPLCWIRENO at the command prompt.

    The PLC I/O Wire Numbers dialog box displays.

    The default format is %N, the address number. The wire number is the same as its connected I/O address number.

  3. Click I:%n to change the wire number format.

    It adds an ‘I’ prefix to each wire number that ties to the input module.

  4. Click OK.
  5. Respond to the prompts as follows:

    Select I/O module to process:

    Select anywhere on the PLC module

    Select objects:

    Select all the connected wires to process, right-click

    The wire numbers are inserted with the specified format. If some of the I/O points short-circuit to other I/O points, the last point wire number prevails for that common wire network.


Deleting a wire number

Inserting I/O based wire numbers
Wire numbers
Source signal arrows
Tutorials > Wire numbers >
Deleting a wire number
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use the Delete Wire Numbers tool to select a wire number or to pick on any wire of the network.

Delete a wire number

  1. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Delete Wire Numbers. Enter AEERASEWIRENUM at the command prompt.
  2. Respond the prompts as follows:

    Select objects:

    Enter all, press ENTER

    The wires in the network change to dashed lines, representing the wires from which the wire numbers will be erased.

  3. Press ENTER again to erase the wire numbers.


Source signal arrows

Deleting a wire number
Wire numbers
Destination signal arrows
Tutorials > Wire numbers >
Source signal arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical uses a named source/destination concept. You identify a wire network to be the source, insert a source arrow on that network, and assigning a source code name to it. On the wire network that is to be a continuation of the same wire number (whether on the same drawing or a different drawing in the project), insert a destination arrow. Give it the same code name that you gave to its source. AutoCAD Electrical reprocesses your drawing set for wire numbering update, It matches source code names with destination names and copies source wire numbers over to the destination wire networks.

You can attach a source signal to a wire segment of a wire network. It enables the wire number assigned to the network to jump and continue to another network on the current drawing or on one or more drawings in the project. The source and destination are also helpful with the Wire From/To reports and connection information.

Attach a source signal arrow

  1. Open AEGS03.dwg.
  2. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Source Arrow. Enter AESOURCE at the command prompt.
  3. Respond to the prompts as follows:

    Select wire end for Source:

     Select the end of the hot wire on the schematic on the right side of the drawing at line reference 332 (1)

  4. In the Signal - Source Code dialog box, specify:

    Code:

    24 VDC

    Signal Arrow Style:

    1

    AutoCAD Electrical allows one description line on a source arrow. This description can then be carried over to the associated destination arrow. You can define some default description lines to make them easier to enter without typing them in each time. AutoCAD Electrical looks for a file called WDSRCDST.WDD. This file is a simple text file with each line being read as a separate description. If this file exists, the Defaults button is available on the Signal - Source Code and Insert Destination Code dialog boxes.

  5. Click OK.
  6. In the Source/Destination Signal Arrows dialog box, click No.
    NoteClick No to insert the signal arrows on the next drawing. Click OK to insert the signal arrows on the current drawing.

  7. To access AEGS04.dwg

    Click Project tab [image] Other Tools panel [image] Next DWG. Enter AENEXT at the command prompt.

    Now you are ready to insert a destination signal arrow.


Destination signal arrows

Source signal arrows
Wire numbers
Panel layout
Tutorials > Wire numbers >
Destination signal arrows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After the source signal arrow is attached to a wire in the drawing, you can attach a destination signal to a wire segment of a wire network. It enables the wire number assigned to another source wire network to carry over to the current network automatically.

Attach a destination signal

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Destination Arrow. Enter AEDESTINATION at the command prompt.
  2. Respond to the prompts as follows:

    Select wire end for Destination:

     Select the top of the hot wire on the schematic on the left side of the drawing at line reference 402 (2)

  3. In the Insert Destination Code dialog box, click Project.

  4. In the Signal codes -- Project-wide Source dialog box, select the following:

  5. Click OK.
  6. In the Insert Destination Code dialog box, verify:

    Code:

    24 VDC

    Signal Arrow Style:

    1

    Click OK + Update Source.

    The cross-references for your signal insert into the drawing above the hot wire.

Attach source and destination signals to the neutral wires.

  1. To return to AEGS03.dwg

    Click Project tab [image] Other Tools panel [image] Previous DWG. Enter AEPREV at the command prompt.
  2. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Source Arrow. Enter AESOURCE at the command prompt.
  3. Respond to the prompts as follows:

    Select wire end for Source:

     Select the bottom of the neutral wire at line reference 332 (3)

  4. In the Signal - Source Code dialog box, specify:

    Code:

    24 VDC NEUTRAL

    Click OK.

  5. In the Source/Destination Signal Arrows dialog box, click No.
    NoteClick No to insert the signal arrows on the next drawing. Click OK to insert the signal arrows on the current drawing.

  6. To open AEGS04.dwg

    Click Project tab [image] Other Tools panel [image] Next DWG. Enter AENEXT at the command prompt.
  7. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Destination Arrow. Enter AEDESTINATION at the command prompt.
  8. Respond to the prompts as follows:

    Select wire end for Destination:

     Select the top of the neutral wire at line reference 402 (4)

  9. In the Insert Destination Code dialog box, click Project.

  10. In the Signal codes -- Project-wide Source dialog box, select the following:

  11. Click OK.
  12. In the Insert Destination Code dialog box, verify:

    Code:

    24 VDC NEUTRAL

    Signal Arrow Style:

    1

    Click OK + Update Source.

    NoteIf asked to change the destination wire layer, click Yes.

    The cross-references for your signal insert into the drawing above the neutral wire.

  13. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] [image] [image] Show Signal Paths. Enter AESHOWSIG at the command prompt.

    Temporary graphics illustrate the flow of the signals on your drawings.

    NoteThere is no limit to the number of source and destination links you can set up. One source network can jump to multiple destinations on one or many drawings. A wire can carry both a destination signal and a source signal pointing to the next daisy-chained destination.


Panel layout

Destination signal arrows
Tutorials
Panel layout - Introduction
Tutorials >
Panel layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Panel layout - Introduction
  • Insert Footprint (Schematic list)
  • Adding nameplate footprints
  • Terminal Strip Editor


Panel layout - Introduction

Panel layout
Panel layout
Insert Footprint (Schematic list)
Tutorials > Panel layout >
Panel layout - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert and edit panel footprints. Insert and modify a graphical terminal strip with Terminal Strip Editor.

Time required | 45 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Panel layout to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Panel layout to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Insert panel footprints based on schematic components
  • Insert nameplates
  • Use the Terminal Strip Editor


Insert Footprint (Schematic list)

Panel layout - Introduction
Panel layout
Adding nameplate footprints
Tutorials > Panel layout >
Insert Footprint (Schematic list)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Using the AutoCAD Electrical Panel Layout tools, you can select from a list of schematic components. Place the footprint component directly into a panel layout. The footprint remains linked to the original schematic component, so you can perform bidirectional updating between schematic components and the associated footprint blocks.

Select schematic component footprints

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. Open AEGS08.dwg.
  4. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Schematic List. Enter AEFOOTPRINTSCH at the command prompt.
  5. In the Schematic Component List -- Panel Layout Insert dialog box, verify:

    Extract component list for:

    Project

    Location Codes to extract:

    All

  6. Click OK.
  7. In the Select Drawings to Process dialog box, select AEGS04.dwg and click Process.
  8. Verify that AEGS04.dwg is listed in the Drawing to Process section and click OK.
  9. In the Schematic Components (active project) dialog box, click Mark Existing. An x marks the footprints that are already placed in the project.

    You cannot insert the same component multiple times. If you select an item with an x, the Insert button is disabled.

    NoteAn o next to a component in the list indicates that a panel component with a matching component tag was found, but the catalog information does not match.

  10. In the Schematic Components (active project) dialog box, Display section, select Hide Existing.

    The schematic component footprints not yet inserted into the panel layout are displayed.

    Now you can begin to insert schematic component footprints manually on the panel layout.

Insert the system reset footprint manually

  1. In the Schematics Components (active project) dialog box, select PB403 OPSTA3 SYSTEM RESET.

  2. Click Manual.
    NoteThe Manual button is used when schematic component footprints do not have a manufacturer and catalog number defined.

    The next step is to make a catalog assignment for the automatic footprint.

  3. In the Footprint dialog box, Choice A section, click Catalog lookup.
    NoteUse Choice B to enter a graphic without selecting a catalog number.
  4. In the Parts Catalog dialog box, select:

    MANUFACTURER:

    AB

    TYPE:

    30.5mm FLUSH

    STYLE:

    *ALL*

  5. Change the catalog assignment to 800T-A2A 1 NO 1 NC BLACK PUSH BUTTON - MOMENTARY, NEMA 4/13 and click OK.

  6. In the Footprint dialog box, Choice A section, verify:

    Manufacturer:

    AB

    Catalog:

    800T-A2A

    Click OK.

  7. Respond to the prompts as follows:

    Select Location for PB403:

    Select to the left of PB414A (1)

    Select Location for PB403: <Ortho on> select ROTATION:

     Right-click to place the push button

    The component may already have an Item Number assigned. If AutoCAD Electrical finds a component with the same catalog information, it automatically assigns the same item number to this new component. If no item number is assigned, and you think a matching component was already inserted, use one of the Find buttons to look through the drawing or project. If no matching component is found, click Next to assign an item number to this footprint. This button updates each time you insert a footprint and assign an item number. This item or detail number is used for BOM and component reporting and can be referenced by optional balloon labels tied to the footprint.

    NoteThe Panel Layout - Component Insert/Edit dialog box displays each time you insert a panel footprint. Information from the schematic representation is automatically carried over to the panel footprint representation.
  8. In the Panel Layout - Component Insert/Edit dialog box, click OK.

    The Schematics Component (active project) dialog box redisplays. You can continue inserting components from the schematic list of the project.

Insert the emergency stop footprint manually

  1. In the Schematic Components (active project) dialog box, select: PB403A OPSTA3 EMERGENCY STOP.

  2. Click Manual.
  3. In the Footprint dialog box, Choice A section, click Catalog lookup.
  4. In the Parts Catalog dialog box, select:

    Manufacturer:

    AB

    Type:

    30.5mm

    Style:

    Red

  5. Change the catalog assignment to 800T-D6A 1NO-1NC PUSH BUTTON-MUSHROOM, NEMA 4/13 and click OK.
  6. In the Footprint dialog box, Choice A section, verify:

    Manufacturer:

    AB

    Catalog:

    800T-D6A

    Click OK.

  7. Respond to the prompts as follows:

    Select Location for PB403A:

    Select to the left of Conveyor Motor Start (2)

    Select Location for PB403A: <Ortho on> select ROTATION:

     Right-click to place the push button

  8. In the Panel Layout - Component Insert/Edit dialog box, click OK.

Insert the light footprint manually

  1. In the Schematic Components (active project) dialog box, select LT404 OPTSTA3 CONVEYOR ON.

  2. Click Manual.
  3. In the Footprint dialog box, Choice A section, click Catalog lookup.
  4. In the Parts Catalog dialog box, select:

    MANUFACTURER:

    AB

    TYPE:

    30.5mm

    VOLTAGE:

    *ALL*

  5. Change the catalog assignment to 800H-QRT24G PLASTIC LENS 24VAC/VDC FULL VOLT GREEN PILOT and click OK.
    NoteTo sort the Catalog list easily, select Show list sorted by catalog part number in the Parts catalog dialog box.

  6. In the Footprint dialog box, Choice A section, verify:

    Manufacturer:

    AB

    Catalog:

    800H-QRT24G

    Click OK.

  7. Respond to the prompts:

    Select Location for LT404:

     Select to the left of the Conveyor Running light (3)

    Select Location for LT404: <Ortho on> select ROTATION:

     Right-click to place the pilot light

  8. In the Panel Layout - Component Insert/Edit dialog box, click OK.

    In the Schematics Components (active project) dialog box, notice the master control relay must still be placed.

  9. In the Schematic Components (active project) dialog box, click Close.
    NoteYou can modify a footprint at any time using the Edit Footprint tool. Since there is bidirectional update capabilities between the schematics and the panel layout drawings, it is possible to introduce some inconsistencies between the two during edit. AutoCAD Electrical alerts you to check other drawings first, and then update any affected drawings.
  10. In the Update other drawings dialog box, click OK.
  11. If asked to save the drawing, click OK.


Adding nameplate footprints

Insert Footprint (Schematic list)
Panel layout
Terminal Strip Editor
Tutorials > Panel layout >
Adding nameplate footprints
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can add nameplates to the panel layout. Nameplates are associated with existing component footprints. Nameplates can be inserted from the main panel icon menu or from a vendor menu.

Insert an automotive type nameplate

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Enter AEFOOTPRINT at the command prompt.
  2. In the Insert Footprint: Panel Layout Symbols dialog box, click Nameplates.
  3. In the Panel: Nameplates dialog box, click Nameplate, Catalog Lookup.
  4. In the Nameplate dialog box, Choice A section, click Catalog Lookup.
  5. In the Parts Catalog dialog box, select:

    MANUFACTURER:

    AB

    TYPE:

    800T Automotive

    COLOR_AND_:

    *ALL*

  6. Change the catalog assignment to 800T-X701 Red Blank Name Plate and click OK.
  7. In the Nameplate dialog box, Choice A section, verify:

    Manufacturer:

    AB

    Catalog:

    800T-X701

    Click OK.

  8. Respond to the prompts as follows:

    Select objects:

    Select PB403 (1), right-click to the place the nameplate

    As you select each footprint to insert, the nameplate block inserts and the Panel Layout - Nameplate Insert/Edit dialog box displays where you can annotate the nameplate and assign a BOM item number if needed.

  9. In the Panel Layout - Nameplate Insert/Edit dialog box, click OK.
NoteA tag name links the data on the nameplate a tag name to the footprint and to the schematic component of the same name. Changing the tag name of any of these three representations triggers a prompt for permission to update the other related instances.

Insert a half round nameplate

  1. Click Panel tab [image] Insert Component Footprints panel [image] Insert Footprints drop-down [image] Icon Menu. Enter AEFOOTPRINT at the command prompt.
  2. In the Insert Footprint: Panel Layout Symbols dialog box, click Nameplates.
  3. In the Panel: Nameplates dialog box, click Nameplate, Catalog Lookup.
  4. In the Nameplate dialog box, Choice A section, click Catalog Lookup.
  5. In the Parts Catalog dialog box, select:

    MANUFACTURER:

    AB

    TYPE:

    800T Half Round

    COLOR_AND_:

    *ALL*

  6. Change the catalog assignment to 800T-X59E Gray Custom Text Name Plate and click OK.

  7. In the Nameplate dialog box, Choice A section, verify:

    Manufacturer:

    AB

    Catalog:

    800T-X59E

    Click OK.

  8. Respond to the prompts as follows:

    Select objects:

    Select PB403A (2), right-click to place the nameplate

  9. In the Panel Layout - Nameplate Insert/Edit dialog box, click OK.

    The nameplate is inserted.


Terminal Strip Editor

Adding nameplate footprints
Panel layout
Generating reports
Tutorials > Panel layout >
Terminal Strip Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Terminal blocks connect devices that require quick disconnect or disassembly during product shipment, while at other times they can be used to distribute power to other devices. The Terminal Strip Editor easily and quickly defines the locations for these connected devices during the system design process. Terminal strip editing is primarily used towards the end of the control system design cycle to expedite the labeling, numbering, and rearranging of terminals on a terminal strip.

Copy and paste terminal properties

  1. Open AEGS09.dwg.

    The terminal strip to edit, “TB”, is already placed on the drawing. Zoom in on terminal strip “TB” to see what the terminal strip currently looks like.

  2. Click Panel tab [image] Terminal Footprints panel [image] Editor. Enter AETSE at the command prompt.
  3. On the Terminal Strip Selection dialog box, select Terminal Strip “TB” and click Edit.
  4. On the Terminal Strip Editor dialog box, Terminal Strip tab, select terminal 1 in the grid.

  5. In the Terminal section, click the Move Terminal button.
  6. In the Move Terminal dialog box, click Pick Above. In the Terminal Strip Editor grid, select terminal 4.
    NoteYou can also use the Move Up tool to move terminal 1 to the top of the grid.

    Click Done.

  7. Select terminal 4 in the grid.
  8. In the Properties section, click the Copy Terminal Block Properties button.

    Notice that when you click Copy Terminal Block Properties, terminals 5 and 6 also highlight. It is because terminals 4, 5, and 6 are associated. If you copy the properties from one of these terminals, you also copy the properties from the associated terminals. The Copy Terminal Block Properties tool then copies the properties from the terminals to one or many terminals within the same terminal strip.

  9. Select terminal 7 and 10 in the grid by holding down the CTRL key while you select the terminals.
  10. In the Properties section, click the Paste Terminal Block Properties button.

    The properties you copied from terminal 4 are pasted to terminals 7 and 10. Notice that both terminals are now 3-tiered terminals with level 1 assigned for both.

Associate terminals

  1. Select terminals 8 and 9 in the grid.
  2. In the Multi-Level section, click the Associate Terminals button.
  3. On the Associate Terminals dialog box, select terminal 7, , (3) and click Associate.

    Click OK.

  4. In the Spare section, click Delete Spare Terminals/Accessories to remove the blank terminals resulting from the Associate.
  5. On the Terminal Strip Editor dialog box, select terminals 11 and 12 in the grid.
  6. In the Multi-Level section, click the Associate Terminals button.
  7. On the Associate Terminals dialog box, select terminal 10, , (3) and click Associate.

    Click OK.

  8. In the Spare section, click Delete Spare Terminals/Accessories to remove the blank terminals resulting from the Associate.

Insert spare terminals and accessories

  1. Select terminal 7 in the grid.
  2. In the Spare section, click the Insert Spare Terminal button.
  3. On the Insert Spare Terminal dialog box, specify:

    Number:

    SPARE

    Quantity:

    1

    NoteYou can also assign catalog information for the spare terminal from the Insert Spare Terminal dialog box by clicking Catalog Lookup. You can then select the part from the Parts Catalog dialog box if needed.

    Click Insert Above.

    Now you insert accessories (end barriers) into the terminal strip - one at the top and one at the bottom of the terminal strip.

  4. Select terminal 1 in the grid.
  5. In the Spare section, click the Insert Accessory button.
  6. On the Insert Accessory dialog box, specify:

    Number:

    EB1

    Quantity:

    1

    NoteYou can also assign catalog information for the accessory from the Insert Accessory dialog box by clicking Catalog Lookup. You can then select the part from the Parts Catalog dialog box.

    Click Insert Above.

  7. Select terminal 15 in the grid.
  8. In the Spare section, click the Insert Accessory button.
  9. On the Insert Accessory dialog box, specify:

    Number:

    EB2

    Quantity:

    1

    Click Insert Below.

Insert the terminal strip into the drawing

  1. On the Terminal Strip Editor dialog box, click the Layout Preview tab.
  2. Select Graphical Terminal Strip as the terminal type to insert into the drawing.
  3. Enter 2.0 in Scale on Insert.
  4. Click Rebuild.

  5. On the Terminal Strip Editor dialog box, click OK.
  6. On the Terminal Strip Selection dialog box, click OK.


Generating reports

Terminal Strip Editor
Tutorials
Generating reports - Introduction
Tutorials >
Generating reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Generating reports - Introduction
  • Generating Bill of Material reports
  • Inserting Bill of Material tables into drawings
  • Changing format of Bill of Material report
  • Exporting Bill of Material report to spreadsheet


Generating reports - Introduction

Generating reports
Generating reports
Generating Bill of Material reports
Tutorials > Generating reports >
Generating reports - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Generate and work with reports.

Time required | 30 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Generating reports to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Generating reports to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Generate a report
  • Insert a report on to a drawing
  • Change the format of a report
  • Export the report to a spreadsheet


Generating Bill of Material reports

Generating reports - Introduction
Generating reports
Inserting Bill of Material tables into drawings
Tutorials > Generating reports >
Generating Bill of Material reports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Using AutoCAD Electrical, you can perform a project-wide extract of all BOM data found on your project drawing set. The data is extracted from the project database, matched with standard entries in the catalog database, and then additional fields are pulled from the catalog files. You can format this data into various report configurations and output to report files, export to a spreadsheet or database program, or place in an AutoCAD Electrical drawing.

Generate a bill of material (BOM) report

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. Open AEGS11.dwg.
  4. Click Reports tab [image] Schematic panel [image] Reports. Enter AESCHEMATICREPORT at the command prompt.
  5. In the Schematic Reports dialog box, select:

    Report Name:

    Bill of Material

    Bill of Material:

    Project

    Verify that the following options are specified:

    Include options:

    All the above

    Display option:

    Normal Tallied Format

    Installation Codes to extract:

    All

    Location Codes to extract:

    All

    Click OK.

  6. In the Select Drawings to Process dialog box, select AEGS03.DWG, and click Process.
  7. Verify that AEGS03.DWG is displayed in the Drawings to Process section of the dialog box and click OK.

    The generated report is displayed in the Report Generator dialog box.

  8. In the Report Generator dialog box, select:

    Header:

    Time/Date

    Header:

    Column Labels

    Add blanks between entries


Inserting Bill of Material tables into drawings

Generating Bill of Material reports
Generating reports
Changing format of Bill of Material report
Tutorials > Generating reports >
Inserting Bill of Material tables into drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert a BOM into the drawing in tabular format

  1. With the BOM report displayed in the dialog box, click Put on Drawing.
  2. In the Table Generation Setup dialog box, select:

    Column Labels:

    Include column labels

    Title:

    Include time/date

    Column Width:

    Calculate automatically

    Borders:

    All Borders

    Click OK.

    NoteThe extents of the BOM table are displayed in temporary graphics. Press Z to zoom down, or R to flip into real-time pan and zoom mode, if necessary.
  3. The table outline moves with your cursor. Position the table, and then click to place the table. The BOM table is built where you placed it.

  4. In the Report Generator, click Close.


Changing format of Bill of Material report

Inserting Bill of Material tables into drawings
Generating reports
Exporting Bill of Material report to spreadsheet
Tutorials > Generating reports >
Changing format of Bill of Material report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Each AutoCAD Electrical report is customizable, from which data fields are reported and the order in which they appear to the justification of any column and the column labels.

Remove the TAGS columns from the BOM

  1. Erase the table, or UNDO, and rerun the BOM extract for AEGS03.DWG.
  2. In the Report Generator dialog box, click Change Report Format.

    In the Bill of Materials Data Fields to Report dialog box, Fields to report section, the fields that format the BOM are displayed.

  3. Select TAGS in the Fields to report list.
  4. Click <<Remove.

    The TAGS field is moved out of Fields to report and into Available fields.

    NoteYou can also select a field in the Available fields list to add it to the report or rearrange columns using the Move Up and Move Down buttons. Clicking Ok-Save As saves these settings to a file for later use.
  5. Click OK.
    NoteThis new format becomes the default the next time you extract a BOM report.

    The BOM data in the Report Generator dialog box is reformatted and displayed.

  6. Scroll down the report to verify that the component tags column is removed.
  7. Insert the new version of the BOM table into the drawing.


Exporting Bill of Material report to spreadsheet

Changing format of Bill of Material report
Generating reports
Connector diagrams
Tutorials > Generating reports >
Exporting Bill of Material report to spreadsheet
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can move your BOM to a spreadsheet, database, or any other application that can read data in a comma-delimited or Microsoft®Access® format.

Export the BOM to an Excel® spreadsheet

  1. In the Report Generator dialog box, click Save to File.
  2. In the Save Report to File dialog box, select Excel spreadsheet format (.xls) and click OK.
  3. In the Select file for report dialog box, enter an output file name or click OK to accept the default name BOM.xls. Click Save.
  4. In the Optional Script File dialog box, click Close - No Script.
  5. In Excel, click File [image] Open.
  6. Browse to the location where you saved the spreadsheet. The default is C:\Documents and Settings\{username}\My Documents or C:\Users\{username}\My Documents on a Windows Vista installation. Select the spreadsheet.
  7. Click Open.

Your BOM data is displayed in spreadsheet format. You can slide the column borders to expose the full column of text for each field. The first six columns of the spreadsheet are shown in the previous image. The first column is the tallied quantity, followed by subassembly quantity, catalog number, and manufacturer code. The remaining fields are the fields extracted from the mfg/cat combo query on the external catalog look-up file.


Connector diagrams

Exporting Bill of Material report to spreadsheet
Tutorials
Connector diagrams - Introduction
Tutorials >
Connector diagrams
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Connector diagrams - Introduction
  • About connector diagrams
  • Inserting connectors
  • Wiring connectors
  • Grouping wires
  • Modifying connectors
  • Adding wire numbers
  • Adding connector descriptors


Connector diagrams - Introduction

Connector diagrams
Connector diagrams
About connector diagrams
Tutorials > Connector diagrams >
Connector diagrams - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Insert, modify, and wire connectors.

Time required | 45 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Connector diagrams to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Connector diagrams to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Understand connectors
  • Insert a connector
  • Wire connectors
  • Insert in-line connectors
  • Stretch a connector
  • Add a connector pin
  • Move a connector pin
  • Add connector descriptors


About connector diagrams

Connector diagrams - Introduction
Connector diagrams
Inserting connectors
Tutorials > Connector diagrams >
About connector diagrams
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The connector wiring tools help you more easily create and work with point-to-point style wiring schematics (as opposed to ladder-style schematics). Although some of these tools are useful for ladder-style schematics, they are tuned to work well with drawings that are heavy on point-to-point connector diagrams. Instead of creating and maintaining a large library of schematic connector symbols, each symbol is generated parametrically, on the fly, per user input and at user-defined orientation. A connector toolbar contains tools for creating and editing connectors.


Inserting connectors

About connector diagrams
Connector diagrams
Wiring connectors
Tutorials > Connector diagrams >
Inserting connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Insert Connector tool generates a connector symbol from user-defined parameters. The symbol is created on the fly and inserted as a block insert into your active drawing file. Since they are created on an as needed basis, it eliminates the need for you to create and maintain a library of connector symbols.

Change drawing properties

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. Open AEGS10.dwg.
  4. Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.
  5. On the Drawing Properties [image] Components dialog box, select Sequential.
  6. On the Drawing Properties [image] Wire Numbers dialog box, New Wire Number Placement section, select In-Line.
  7. Click OK.

Add connectors to the drawing

  1. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
  2. On the Insert Connector dialog box, specify:

    Pin Spacing:

    1.0

    Pin Count:

    15

    Fixed Spacing

    Pin List:

    1

    Insert All

  3. Click the Flip button to flip the connector about its long axis.

    The preview should look like the following image.

  4. Click Insert.

    A preview outline of the connector displays for placement on the drawing. It shows rounded corners for the plug side of the connector. An “x” indicates the insertion point of the connector. An arrow indicates the plug side wire connection direction for plug/receptacle or plug-only connector inserts or shows the wire connection direction for a receptacle-only connector insert.

    NoteBefore committing the connector outline to the drawing, press TAB to flip the connector through four different orientations. Or, press the V key to switch between vertical and horizontal orientations.
  5. Respond to the prompts as follows:

    Specify insertion point or [Z=zoom, P=pan, X=wire crossing, V=horizontal/vertical, TAB=flip]:

     Select to place the connector in the middle of the right-hand border of Black Box 1

    The connector was automatically assigned a component tag of PJ1.

  6. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
  7. On the Insert Connector dialog box, specify:

    Pin Spacing:

    0.75

    Pin Count:

    4

    Fixed Spacing

    Pin List:

    A

    Insert All

  8. Click the Flip button to flip the connector.

    The preview should look like the following image.

  9. Click Insert.
  10. Respond to the prompts as follows:

    Specify insertion point or [Z=zoom, P=pan, X=wire crossing, V=horizontal/vertical, TAB=flip]:

     Select to place the connector in the middle of the left-hand border of Black Box 2

    The connector was automatically assigned a component tag of PJ2.

  11. Repeat steps 6 - 10 to place connectors on Black Box 3 and Black Box 4.

    The connectors are assigned tags PJ3 and PJ4 respectively.


Wiring connectors

Inserting connectors
Connector diagrams
Grouping wires
Tutorials > Connector diagrams >
Wiring connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Black Box 1 is associated to a larger component such as a power box. Black Box 2 - Black Box 4 are smaller components that are part of the power box. The components must be wired together. The easiest way to do it is to use the Insert Wire and Multiple Wire Bus tools.

Wire the connectors together

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.
  2. Respond to the prompts as follows:

    Specify wire start or [wireType/X=show connections]:

     Click PJ1 at pin 1 on Black Box 1

    Specify wire end or [Continue]:

    Click PJ2 at pin A on Black Box 2

  3. Repeat to connect PJ1 (Pin 2) to PJ3 (Pin A) and PJ1 (Pin 3) to PJ4 (Pin A). Right-click to exit the command.

    Notice that the Insert Wire tool drew the wire between the connectors while avoiding any existing geometry on the screen.

  4. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  5. On the Multiple Wire Bus dialog box, specify:

    Horizontal Spacing:

    0.75

    Vertical Spacing:

    0.50

    Starting at:

    Component (Multiple Wires)

  6. Click OK.
  7. Respond to the prompts as follows:

    Window select starting wire connection points

     Select pins 5-7 on Black Box 1 (1) and right-click

    to (T= wiretype):

     Drag the wires to the right past the three wires you inserted,

    to Point (Continue/Flip):

     Drag the wires up towards PJ2 on Black Box 2, enter C and press ENTER (to continue and lock the drag)

    to (Continue/Flip):

     Drag the wires to the right and connect to pins B-D on PJ2 (2)

  8. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  9. On the Multiple Wire Bus dialog box, click OK to use the previous settings.
  10. Respond to the prompts as follows:

    Window select starting wire connection points:

     Select pins 9-11 on Black Box 1 and right-click

    to (T= wiretype):

     Drag the wires to the right,

    to Point (Continue/Flip):

     Drag the wires up towards PJ3 on Black Box 3, enter C, and press ENTER (to continue and lock the drag)

    to (Continue/Flip):

     Drag the wires to the right and connect to pins B-D on PJ3

  11. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Multiple Bus. Enter AEMULTIBUS at the command prompt.
  12. On the Multiple Wire Bus dialog box, click OK to use the previous settings.
  13. Respond to the prompts as follows:

    Window select starting wire connection points:

     Select pins 13-15 on Black Box 1 and press ENTER

    to (T= wiretype):

     Drag the wires to the right,

    to Point (Continue/Flip):

     Drag the wires down towards PJ4 on Black Box 4, press C, and press ENTER (to continue and lock the drag)

    to (Continue/Flip):

     Drag the wires to the right and connect to pins B-D on PJ4


Grouping wires

Wiring connectors
Connector diagrams
Modifying connectors
Tutorials > Connector diagrams >
Grouping wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Now that you wired the connectors together, you insert in-line connectors to group the wires.

Insert in-line connectors

  1. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
  2. On the Insert Connector dialog box, specify:

    Pin Spacing:

    1.0

    Pin Count:

    3

    At Wire Crossing

    Pin List:

    1

    Insert All

  3. Click Details.
  4. On the Type section, clear the Add Divider Line box.
  5. On the Display section, set Plug to Right and Pins to Both Sides.
  6. On the Size section, set the Plug to 0.325.

  7. Click Insert.
  8. Respond to the prompts as follows:

    Specify insertion point or [Z=zoom, P=pan, X=wire crossing, V=horizontal/vertical, TAB=flip]:

     Select to place the connector on the wires connected to PJ1, Pins 1-3

  9. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
  10. On the Insert Connector dialog box, specify:

    Pin Spacing:

    1.0

    Pin Count:

    9

    At Wire Crossing

    Pin List:

    1

    Allow Spacers/Breaks

  11. Click Insert.
  12. Respond to the prompts as follows:

    Specify insertion point or [Z=zoom, P=pan, X=wire crossing, V=horizontal/vertical, TAB=flip]:

     Select to place the connector starting on the line at PJ1, Pin 5

    Notice how the connector expands when you cross the wires.

  13. On the Custom Pin Spaces/Breaks dialog box, click Insert Next Connection.

    The dialog box displays which connector pin has been inserted so far. Keep clicking Insert Next Connection until you place six of the nine connections.

  14. When the Custom Pin Spaces/Breaks dialog box says “Inserted So Far: 6 of 9,” click Break Symbol Now.

  15. Respond to the prompts as follows:

    Specify insertion point or [Z=zoom, P=pan, X=wire crossing, V=horizontal/vertical, TAB=flip]:

     Select to place the connector starting on the line at PJ1, Pin 13

  16. On the Connector Layout dialog box, select Insert All.

  17. Click OK.

    NoteAnother method is to insert the entire connector and then use the Split Connector tool to break the existing connector.
  18. Click Schematic tab [image] Insert Components panel [image] Dashed Link Line drop-down [image] Link Components with Dashed Line. Enter AELINK at the command prompt.
  19. Respond to the prompts as follows:

    Component to link from:

    Select the bottom portion of PJ6 (1)

    component to link to:

    Select the top portion of PJ6 (2), right-click


Modifying connectors

Grouping wires
Connector diagrams
Adding wire numbers
Tutorials > Connector diagrams >
Modifying connectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Insert Connector toolbar has tools for modifying connectors and connector pins. You can also add, remove, or move the pins found inside of the connector.

Stretch existing connectors

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Stretch Connector. Enter AESTRETCH at the command prompt.
  2. Respond to the prompts as follows:

    Specify which end of connector to stretch:

    Select the bottom of PJ1

    Specify second point of displacement:

     Pull the connector down towards the bottom of Black Box 1

  3. Repeat for PJ6, pulling the bottom of the connector down so that it is even with PJ1.

Add connector pins

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Add Connector Pins. Enter AECONNECTORPIN at the command prompt.
  2. Respond to the prompts as follows:

    Select connector:

    Select PJ1

    Specify where to insert new pin or [Reset]<16>:

     Select 4 spaces down from pin 15 on PJ1, right-click, and select Enter

    The next available pin number (16) inserts at the selected point.

  3. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Add Connector Pins. Enter AECONNECTORPIN at the command prompt.
  4. Respond to the prompts as follows:

    Select connector:

     Select PJ6

    Specify where to insert new pin or [Reset]<10>:

     Select the new pin 16 on PJ1 to insert pin 10 in-line with it, right-click and select Enter

    NoteYou can delete pins using the Delete Connector Pins tool. Select the pin you want to delete and it is automatically removed from the connector.

Modify connector pins

  1. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Move Connector Pins. Enter AEMOVEPIN at the command prompt.
  2. Respond to the prompts as follows:

    Select connector pin to move:

    Select pin 16 on PJ1

    Specify new location for pin 16:

    Select 2 spaces up on PJ1

    Select connector pin to move:

    Select pin 10 on PJ6

    Specify new location for pin 10:

     Select pin 16 on PJ1 to move pin 10 in-line with it, right-click

  3. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Swap Connector Pins. Enter AESWAPPINS at the command prompt.
  4. Respond to the prompts as follows:

    Select connector pin:

    Select pin 16 on PJ1

    Select connector pin: swap with:

    Select pin 12 on PJ1, right-click

  5. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Reverse Connector. Enter AEREVERSE at the command prompt.
  6. Respond to the prompts as follows:

    Select connector to Reverse:

    Select the top in-line connector, right-click

  7. Click Schematic tab [image] Insert Components panel [image] Insert Connector drop-down [image] Insert Connector. Enter AECONNECTOR at the command prompt.
  8. On the Insert Connector dialog box, specify:

    Pin Spacing:

    1.0

    Pin Count:

    2

    Fixed Spacing

    Pin List:

    1

    Insert All

  9. Click Details.
  10. On the Type section, select Add Divider Line.
  11. On the Display section, set Pins to Plug Side.
  12. Click Insert.
  13. Respond to the prompts as follows:

    Specify insertion point or [Z=zoom, P=pan, X=wire crossing, V=horizontal/vertical, TAB=flip]:

     Select to place the connector on the top of Black Box 1

  14. Click Schematic tab [image] Edit Components panel [image] Modify Connectors drop-down [image] Rotate Connector. Enter AEROTATE at the command prompt.
  15. Respond to the prompts as follows:

    Select connector to Rotate or [Hold]:

     Select the new connector, right-click and select Enter


Adding wire numbers

Modifying connectors
Connector diagrams
Adding connector descriptors
Tutorials > Connector diagrams >
Adding wire numbers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Wire numbers are blocks or attributes inserted on a line wire entity. AutoCAD® Electrical assigns each wire number type to its own layer. You can assign a different color to each of these layers so you can easily tell them apart. The wire number placement is set to in-line as defined on the Drawing Properties [image] Wire Numbers dialog box.

Insert wire numbers

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wire Numbers drop-down [image] Wire Numbers. Enter AEWIRENO at the command prompt.
  2. On the Wire Tagging dialog box, specify:

    Wire Tag Mode:

    Sequential

    Start:

    100

  3. Click Drawing-Wide.

    The wire numbers are automatically inserted into the drawing starting with number 100.

  4. Click Schematic tab [image] Edit Wires/Wire Numbers panel [image] Move Wire Number. Enter AEMOVEWIRENO at the command prompt.
  5. Respond to the prompts as follows:

    Specify new Wire Number location (select on wire):

     Select each wire closest to Black Box 1, right-click

    NoteYou can align the wire numbers using the Align tool.


Adding connector descriptors

Adding wire numbers
Connector diagrams
Symbol Builder
Tutorials > Connector diagrams >
Adding connector descriptors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical supports two lines of description text on each connector: one for the plug and one for the receptacle side of the connector.

Add descriptions

  1. Right-click connector PJ1 and select Edit Component.
  2. On the Insert/Edit Component dialog box, Pins section, click List.
  3. On the Connector Pin Numbers In Use dialog box, connector pin grid, click in the Description column for Pin 1.
  4. On the Pin Descriptions section, enter POWER B2 for the Receptacle.
  5. On the connector pin grid, click in the Description column for Pin 2.
  6. On the Pin Descriptions section, enter POWER B3 for the Receptacle.
  7. On the connector pin grid, click in the Description column for Pin 3.
  8. On the Pin Descriptions section, enter POWER B4 for the Receptacle.

  9. Click OK.
  10. On the Insert/Edit Component dialog box, click OK.
  11. Repeat to add the description POWER IN for Pins A on Black Box 2, Black Box 3 and Black Box 4.

    Your finished point-to-point diagram should look like the following image.


Symbol Builder

Adding connector descriptors
Tutorials
Symbol Builder - Introduction
Tutorials >
Symbol Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Symbol Builder - Introduction
  • Creating custom symbols
  • Adding attributes
  • Adding wire connections
  • Saving the symbol


Symbol Builder - Introduction

Symbol Builder
Symbol Builder
Creating custom symbols
Tutorials > Symbol Builder >
Symbol Builder - Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Create custom symbols with Symbol Builder.

Time required | 30 minutes
Prerequisites: | Copy all files located in
Windows XP | Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Tutorial\Aegs\Symbol Builder to Documents and Settings\{username}\My Documents\Acade {version}\Aedata\Proj\Aegs
Windows Vista | Users\{username}\Documents\Acade {version}\Aedata\Tutorial\Aegs\Symbol Builder to Users\{username}\Documents\Acade {version}\Aedata\Proj\Aegs

You learn to:

  • Create a schematic parent
  • Add attributes
  • Add wire connections
  • Save the symbol


Creating custom symbols

Symbol Builder - Introduction
Symbol Builder
Adding attributes
Tutorials > Symbol Builder >
Creating custom symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use the Symbol Builder to create an AutoCAD Electrical symbol easily. This utility builds a smart schematic symbol by either adding AutoCAD Electrical attributes to the geometry of the symbol, or by converting text entities to AutoCAD Electrical attributes. You can also use AutoCAD attribute definition and editing commands to do the same thing. This tool makes the task easier because you quickly pick and place attributes. It tracks what attributes are present and checks your work to make sure that any required attributes are not omitted.

NoteIf you exit out of the Symbol Builder, restart it. On the Select Symbol/Objects dialog box, click Select objects and select any graphics and attributes you added so far. You can then start from where you left off.

Create a parent schematic symbol

  1. If AEGS is not the active project, in the Project Manager, right-click AEGS and select Activate.
  2. In the Project Manager, double-click AEGS to expand the drawing list.
  3. Open AEGS03.dwg.
  4. Draw a rectangle anywhere on the drawing.
    TipIt is easiest to draw it in the white space on the left-hand side of the drawing.

  5. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  6. In the Select Symbol/Objects dialog box, Attribute template section, browse to the Library path C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\jic125 (or C:\Users\Public\Documents\Autodesk\Acade {version}\jic125 on a Windows Vista installation).
  7. In the Attribute template section, select Symbol: Horizontal Parent, Type: Generic.
  8. In the Select from drawing section, click Select objects, select the rectangle, and press ENTER.
  9. Select OK.


Adding attributes

Creating custom symbols
Symbol Builder
Adding wire connections
Tutorials > Symbol Builder >
Adding attributes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this example, you add the attributes: TAG1, DESC1, LOC, INST, FAMILY, MFG, CAT, and ASSYCODE. You are not limited to these attributes and you can include your own user-defined attributes on the AutoCAD Electrical block files.

NoteThe TAG1 attribute is the only one required for a parent schematic symbol. The other attributes in the Required section are expected on a parent schematic symbol, however the symbol is recognized as a parent symbol without them.

Add attributes

  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

    Use this palette to assign attributes to the rectangle as well as set the height and justification for each attribute. The palette displays the AutoCAD Electrical attributes that you can insert and define as part of the symbol. Once an attribute is inserted on the symbol a check mark is displayed next to it and you cannot insert it again. AutoCAD Electrical allows only one insertion of each attribute.

  2. In the Symbol Builder Attribute Editor, select TAG1 and click the Properties tool.

    Enter:

    Value:

    PS

    It is the default code used as the %F value of the tag format (such as “CR” , “PB”, “LT”)

    Height:

    0.125

    Justify:

    Center

    Click OK.

  3. Click the Insert Attribute tool.

    Insert the attribute above the rectangle.

    In the Symbol Builder Attribute Editor, notice the check mark next to the TAG1 attribute. Continue placing the rest of the attributes.

  4. In the Symbol Builder Attribute Editor select DESC1.

    Click the Insert Attribute tool.

  5. Insert the attribute below TAG1.

  6. Insert the LOC and INST attributes as indicated.
  7. Insert the FAMILY attribute near the center of the rectangle.
  8. With FAMILY still highlighted in the Symbol Builder Attribute Editor, select the Properties tool.

    Enter:

    Value:

    PS

    Click OK.

    This assigns the %F value to the FAMILY attribute inserted.

  9. Select MFG and insert near the center of the rectangle. Repeat for CAT and ASSYCODE.


Adding wire connections

Adding attributes
Symbol Builder
Saving the symbol
Tutorials > Symbol Builder >
Adding wire connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If a X?TERMxx of the component (for example, "X2TERM01") wire connection-point attribute lies within the small trap distance of the end of a wire, then AutoCAD Electrical interprets the component connected to the wire. The only time the trap distance changes is when you change the Feature Scale Multiplier in the Drawing (or Project) Properties [image] Drawing Format dialog box.

NoteComponents with closely spaced wire connection points may not be processed properly if the connection points fall within the AutoCAD Electrical trap distance of one another.

A wire connection attribute can have a related terminal text attribute, TERMxx, and terminal description attribute, TERMDESCxx. The "xx" is a two-digit number (starting at 01) that is used to match up with the corresponding X?TERMxx wire connection attribute.

Insert connection points

  1. In the Symbol Builder Attribute Editor, expand the Wire Connection section.
  2. In the Direction / Style list, select Others.

  3. On the Insert Wire Connection dialog box select Terminal Style: Screw.

    This terminal style inserts both the graphic to represent the screw and the wire connection points.

  4. Check Use this configuration as default. It directs Symbol Builder to use the current Terminal Style and Scale as the default in the Symbol Builder Attribute Editor.
  5. Select Connection direction: Left & Top.

    It determines the direction the wire attaches to the component.

  6. Enter “L” as the value for TERM01 in Pin Information.
  7. Select X2TERMDESC01 in Pin Information and click Delete.
  8. Click Insert.
  9. Select the Insert Wire Connection tool and insert the terminal in the upper left-hand corner as shown.
    NoteAlways use AutoCAD Snap to insert the wire connection point.

  10. Back on the Symbol Builder Attribute Editor, expand the Wire Connection Direction / Style list and select Right & Top / Screw.
  11. Select the Insert Wire Connection tool and insert the terminal in the upper right-hand corner.

    You can continue to insert wire connections until you press ENTER by entering the characters indicated in the command line prompt followed by a space. You can also select from the Direction / Style list.

  12. Insert the rest of the terminals as follows:

    TERM03: Right

    Insertion Point

    : below TERM02

    TERM04: Bottom

    Insertion Point

    : in the lower right-hand corner

    TERM05: Bottom

    Insertion Point

    : to the left of TERM04

    TERM06: Bottom

    Insertion Point

    : to the left of TERM05

    TERM07: Bottom

    Insertion Point

    : to the left of TERM06

  13. Press Enter if necessary to return to the command prompt.
  14. On the Symbol Builder Attribute Editor, expand the Pins section. Enter the Pin values as follows:

    TERM02 : N

    TERM03 : GND

    TERM04 : -

    TERM05 : -

    TERM06 : +

    TERM07 : +

    Your drawing should look like the following image:


Saving the symbol

Adding wire connections
Symbol Builder
Advanced Productivity
Tutorials > Symbol Builder >
Saving the symbol
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You have two options for saving the symbol: WBlock or Block. WBlock creates the symbol .dwg file while Block creates the symbol for this drawing file only.

Save and insert the symbol onto a drawing

  1. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.
  2. On the Close Block Editor: Save Symbol dialog box, in the Base point section, click Pick point. Select a point in-line with the top terminals so that it is easy to place on a wire later.
  3. Select WBlock.
  4. Enter a file name or accept the default.
  5. Click OK.
  6. When asked to insert the symbol, click Yes.
  7. Place the symbol on the empty wire on the left-hand side of the drawing.

    The wire breaks, the component tag inserts, and the wires connect to the symbol.

    NoteNew symbols you create can also be inserted with the AutoCAD Electrical Insert Component command. You can add your new symbol to the icon menu. Or, you can select it from the Type it or Browse dialog box file selection options in the icon menu.
  8. In the Insert/Edit Component dialog box, click OK.


Advanced Productivity

Saving the symbol
Set up peer-to-peer component relationships
Advanced Productivity
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Set up peer-to-peer component relationships
  • Create automated pin assignments
  • Set up AutoCAD Electrical for multiple users
  • Show source and destination markers on cable wires
  • Use the PLC Database File Editor
  • Customize Circuit Builder
  • Build your own symbols
  • Add your own symbols, circuits, and commands to the icon menu
  • Configure projects for various drawing standards
  • Use Autodesk Vault with AutoCAD Electrical


Set up peer-to-peer component relationships

Advanced Productivity
Advanced Productivity
Create automated pin assignments
Advanced Productivity >
Set up peer-to-peer component relationships
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following example has a valve representation on an instrument drawing, FE100, and its equivalent on the electrical schematic, SOL2500. They are the same physical device, but carry different tags based on the drawing discipline in which they appear. Though each device is represented as a parent symbol, you can set up a peer-to-peer relationship between them so that the electrical tag name of the schematic automatically cross-references to the instrument drawing, and the tag cross-references of the instrument bubble to the tag of the schematic.

The instrument bubble symbol is set up with an optional split tag. Instead of a single TAG1 attribute, it has two tags: TAG1 PART1 and TAG1 PART2. The instrument bubble is also set up as a normal AutoCAD Electrical parent schematic symbol without the wire connection points. It includes two extra attributes beyond what a normal parent symbol carries:

  • WDTAGALT - carries a copy of the schematic TAG1 value of the symbol.
  • WDTYPE - an invisible attribute with a nonblank value indicating the component category. Example: "PI" for P&ID, "PN" for pneumatic, or "HY" for hydraulic

The schematic parent solenoid symbol includes just one extra attribute: WDTAGALT carries a copy of the instrument value of the bubble.

Your drawings must be part of the active AutoCAD Electrical project so that the WDTAGALT value on the instrument drawing is automatically updated when you edit the schematic parent tag name and vice versa. Using AutoCAD Electrical SURF on one automatically includes the other in the surf pick window.

  1. Open the Project Manager.
  2. Open the project containing the instrument and schematic drawings.
  3. On the Project Manager, double-click the schematic drawing to open it.
  4. Zoom in so that your schematic symbol is visible.

  5. On the Project Manager, double-click the instrument drawing to open it.
  6. Zoom in so that your valve representation is visible.

  7. On the Project Manager, right-click the project name, and select Properties.
  8. On the Project Properties, Cross-references dialog box, Cross-reference Options section, select Peer-to-Peer.
  9. Click OK.
  10. Right-click the schematic symbol to edit in the drawing (in this case, SOL2500).
  11. Select Edit Component from the context menu.
  12. On the Insert/Edit Component dialog box, click Tags Used: Schematic.
  13. Select Show all components for all families.

    The tag values from the other symbol appear in the list.

  14. Select the valve representation (in this case, FE100) with a family code of IN (for instrument).
  15. Click Copy Tag.
  16. On the Copy Tag dialog box, click WDTAGALT.
  17. On the Insert/Edit Component dialog box, click Show/Edit Miscellaneous.
  18. Verify that the WDTAGALT value lists the TAG1 value of the valve (in this case, FE100) and click OK.
  19. On the Insert/Edit Component dialog box, click OK.
  20. On the Update Other Drawings dialog box, click Now to update the drawing.

    The WDTAGALT value of the schematic symbol is automatically updated and the TAG1 value of the valve (or TAG1 PART1/TAG1 PART2 combined value) appears next to the symbol in the drawing.

The WDTAGALT value of the valve is automatically updated and the TAG1 value of the schematic symbol appears next to the valve in the drawing.


Create automated pin assignments

Set up peer-to-peer component relationships
Advanced Productivity
Set up AutoCAD Electrical for multiple users
Advanced Productivity >
Create automated pin assignments
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical consults a Pin List database when a part number is added or an existing part number is changed on a parent schematic symbol. If AutoCAD Electrical finds a match on the part number's MFG, CAT, and optional ASSYCODE values (which ties to the catalog number to make unique parts) in this database table, then the associated contact count and pin number information is retrieved and placed on the parent schematic component.

Any device can have pins assigned to it, but common components that carry pin assignments are relays, motor starters, and connectors. Pins are used for:

  • Error checking
  • Accurate connection information
  • Providing correct connections

You can expand the Pin List database table as needed. Many users have difficulty creating their own database entries so the following procedures simplify this procedure for you.

Basic workflow

Pin lists are directly associated to catalog numbers and therefore are not applied to a component symbol until the catalog number has been assigned. You can use wildcards inside the Pin List database to find the catalog number to apply a single pin list to multiple symbols. The basic workflow for pin numbers being assigned to a symbol is as follows:

  • Insert a component.
  • On the Insert/Edit Component dialog box, assign a catalog number.
  • Pin List database is queried.
  • Coil pins are applied to the parent symbol's terminal attributes.
  • The Pin List is applied to the parent symbol as xdata or attributes.

    If the pin numbers are assigned as xdata, there is not a PINLIST attribute since the pin assignment comes from the pin list table.

Setting up COILPINS

The COILPINS column in the Pin List database specifies the terminal pin numbers for a coil or parent symbol of a component. This is generally two pin numbers separated by a comma (such as K1,K2). When a component calls for additional pin assignments on the parent, you can continue the list with each value separated by commas. These values are applied to the TERM01 and TERM02 attributes respectively on the parent symbol.

If you set COILPINS = "K1,K2;" then pins K1/K2 are assigned to the parent symbol of a component.

In the example below, TERM01 = K1 and TERM02 = K2.

Setting up COILPINS for two wired devices

The automatic pin list look-up and assignment at component insertion time is not limited to relay devices as shown in the example above. You can encode two wire devices like pilot lights or proximity switches into the database file. Insert the Manufacturer and Catalog numbers and fill in the COILPINS filed with the terminal pin numbers. Leave the PINLIST field blank. Now, when you insert one of these devices and do a catalog lookup and part number selection, AutoCAD Electrical quickly looks for a MFG/CAT match in the pin list database. On a match, AutoCAD Electrical pulls out the device's coil pin numbers and inserts them in the newly inserted device.

Setting up a PINLIST

The PINLIST column in the Pin List database specifies the contact types and their respective pin numbers. A two terminal contact has three elements in this format: contact type, terminal pin, terminal pin. Each PINLIST value can have up to 256 characters. Use a value 0-5 to specify the contact type, where:

  • 0 = convertible contact
  • 1 = N.O.
  • 2 = N.C.
  • 3 = Form-C (NO/NC pair)
  • 4 = multiple-pole terminal strips or undefined type
  • 5 = multiple-pin or stacked terminals

If you set PINLIST = "0,13,14;0,23,24" then 0= contact type, 13 (or 23)= TERM01, and 14 (or 24)= TERM02.

If you set PINLIST = "0,13,14,*prompt," "*prompt" adds a description label. This optional label is always the last element of the list and is preceded by an asterisk character (if the asterisk is left out, the comment is interpreted as another pin number).

To view or manually edit the PINLIST values, select Edit Component, and then click NO/NC Setup on the Insert/Edit Component dialog box.

Setting up PEER_COILPINS and PEER_PINLIST

The PEER_ fields in the Pin List database specify pin list assignments for a single part number with two parent devices. You set up the second coil's coil pins and pin list data in the PEER_COILPINS and PEER_PINLIST fields for the common part number. This is commonly used for setting up forward and reversing starters or latching and unlatching relays. You apply the pins to the forward (latching) relay, and then apply the peer pins to the reversing (unlatching) relay.

To split the pin list data between two peer coil symbols:

  1. Insert the first coil symbol and make the catalog look-up selection.

    The COILPINS and PINLIST data is found and applied to the coil symbol. Any defined peer coil and pinlist data is also saved on the symbol as invisible xdata.

  2. Insert the second coil symbol but do not make a catalog assignment.
  3. In the Insert/Edit Component dialog box, click NO/NC Setup.
  4. Click Pick.
  5. Select the first coil symbol.

    The saved peer pinlist data is moved from the first symbol over to this peer symbol. Child contacts can now be auto-annotated with the selected coil's available pin list information and max NO/NC count tracked on a per-coil basis.


Set up AutoCAD Electrical for multiple users

Create automated pin assignments
Advanced Productivity
Show source and destination markers on cable wires
Advanced Productivity >
Set up AutoCAD Electrical for multiple users
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can manually move any shared files to a new central location after installation by using normal Microsoft Windows operations to cut or copy and paste from their local location to a central shared location. These shared files are located by AutoCAD Electrical as long as they are placed in the AutoCAD Electrical defined path (such as in the project's subdirectory), the path given by the AutoCAD Electrical environment variable, or AutoCAD search paths.

NoteWe recommend that you create a backup of your information in another location and remove the shared data from your local drive to ensure that the data is being located correctly.
Shared files

The following shared files can be pasted from your local machine to a shared location. The table lists the file names, default location, and any WD.ENV file lines that must be modified.

The main executables and static support files are located under C:\Program Files [(x86)]\Autodesk\Acade {version}\. The user-modifiable support files and database content are found under

Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\

Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\

NoteIt is not required that you share these files, but sharing makes it easier for multiple users to work with projects in AutoCAD Electrical.

Databases

default_cat.mdb, footprint_lookup.mdb, schematic_lookup.mdb, wd_lang1.mdb, wd_picklist.mdb, wddinrl.xls, ace_electrical_standards.mdb

Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs

Windows Vista:C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs

WD.ENV file edit:

Original path: WD_CAT,%WD_DIR%/catalogs/,AE catalog file path

Edited path: WD_CAT,N:Electrical/Shared_Files/Catalogs/,AE catalog file path

NoteThese files must be kept in the same location since the program locates them according to the same WD.ENV file entry.

Circuit Builder Spreadsheet

ace_circuit_builder.xls

Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Support\

Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Support\

WD.ENV file edit:

Original file name: WD_CIRCBUILDER_FNAM,”ace_circuit_builder.xls”,Circuit Builder spreadsheet file name

Edited name: WD_CIRCBUILDER_FNAM,”my_ace_circuit_builder.xls”,Circuit Builder spreadsheet file name

Symbol libraries

jic1, jic125, iec2, iec4, jis2, gb2, panel, pneu_iso125

Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs

Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs

NoteThe symbol library path is stored with each project in its .wdp file and must be modified.

AutoCAD Electrical icon menu (Insert Component menus)

ACE_AS_MENU.DAT, ACE_GB_MENU.DAT, ACE_HYD_MENU.DAT, ACE_IEC_MENU.DAT, ACE_JIC_MENU.DAT, ACE_JIS_MENU.DAT, ACE_PANEL_MENU.DAT, ACE_PID_MENU.DAT, ACE_PNEU_MENU.DAT, WD_ABECAD.DAT

Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support

Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support

NoteThe menu path is stored with each project in its .wdp file and must be modified.

Slide images for AutoCAD Electrical menus

ACE_GB.slb, ACE_GB.dll, ACE_JIS.slb, ACE_JIS.dll, ace_as.slb, ace_as.dll, ace_hyd.slb, ace_hyd.dll, ace_pid.slb, ace_pid.dll, bb.slb, iec1.slb, iec.dll, loc2.slb, pn0.slb, pn0.dll, pn1.slb, pn1.dll, pn2.slb, pn2.dll, pn3.slb, pn3.dll, pnl2.slb, pnl2.dll, pnl.slb, pnl.dll, s1.slb, s1.dll, s2.slb, s2.dll, Ww.slb

Windows XP:C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support

Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support

S_LDPC.SLB, WD_LOCAL.SLB, WDSIG.SLB, WDSIG_1.SLB, gepb.slb

C:\Program Files [(x86)]\Autodesk\Acade {version}\Support

WD.ENV file edit:

Original path: *WD_SLB,x:some path/, to override path pointing to ".slb" slide lib support files

Edited path: WD_SLB,N:/Electrical/Shared_Files/Slides/, to override path pointing to ".slb" slide lib support files

NoteFor the path in the .env file to be recognized, the asterisk (*) in front of the line must be removed. These slide files may be relocated using this path, or they can just be placed in the same location as the menu files.

PLC database/images

Content of PLC folder (ace_plc.mdb and bitmap files)

Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\PLC

Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\PLC

NoteThese files must be in a location that is specified as an AutoCAD Support path. They can be placed in a location that is already defined as being a support path, or you can add a new support path pointing to this location.

Description selections

wd_desc.wdd

Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support

Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support

NoteThese files must be in a location that is specified as an AutoCAD Support path. They can be placed in a location that is already defined as being a support path, or you can add a new support path pointing to this location.

Installation code selection list

default.inst

Optional file, does not exist by default. To create this file in Notepad, create a file with the project name and an .inst extension (or use default.inst) and save to an AutoCAD Support path so the program can find it.

NoteThese files must be in a location that is specified as an AutoCAD Support path. They can be placed in a location that is already defined as being a support path, or you can add a new support path pointing to this location.

Location code selection list

default.loc

Optional file, does not exist by default. To create this file in Notepad, create a file with the project name and a .loc extension (or use default.loc) and save to an AutoCAD Support path so the program can find it.

NoteThese files must be in a location that is specified as an AutoCAD Support path. They can be placed in a location that is already defined as being a support path, or you can add a new support path pointing to this location.
Using network deployment

You can alternately install AutoCAD Electrical databases, symbol libraries, part footprint files, and support files to a shared network location, so all users can work from a common standard database and simplifying database management and configuration.

To start network deployment, select Network Deployment in the AutoCAD Electrical installation program. Install the Network Installation Wizard (NIW) and run it from the start menu. From the NIW, you can create an image for client installations.

Use the Symbols Libraries, Catalog Database and Support Files dialog box to install these files to a shared network location so that multiple users can work from a common standard symbol library and parts database.

NoteYou cannot set up network deployment after installing AutoCAD Electrical as a stand-alone program on individual machines.
Referencing icon menus from other menu files

You can also share custom symbols to be accessed by multiple users. The easiest way to do this is to create and link to your own menu file.

You can set up AutoCAD Electrical's icon menuing system so that you can switch back and forth from the default menu file (such as ACE_JIC_menu.dat) to your own menu (for example "special_menu.dat").

  1. Add a line like this to AutoCAD Electrical's ACE_JIC_menu.dat file:

    Special menu|special_menu.sld|$C=(c:wd_loadmenu "special_menu.dat")(c:wd_insym_go2menu 0)

  2. In your new "special_menu.dat" file, add this line so you can switch back to AutoCAD Electrical's default menu:

    Default Electrical menu|back2wd.sld|$C=(c:wd_loadmenu "ACE_JIC_menu.dat")(c:wd_insym_go2menu 0)

  3. In AutoCAD Electrical's default icon menu, select the new entry.

    Your menu immediately appears. When you want to go back to AutoCAD Electrical's default menu, select Default Electrical menu on your own special menu. AutoCAD Electrical immediately switches back to the AutoCAD Electrical default icon menus.


Show source and destination markers on cable wires

Set up AutoCAD Electrical for multiple users
Advanced Productivity
Use the PLC Database File Editor
Advanced Productivity >
Show source and destination markers on cable wires
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

There may be times when you want to show the individual wires of a cable at each end where they connect and yet you want to show the wires coming together to form a single line cable in between the ends. Showing individual wires along the entire run of the cable is too messy or not an option.

You can use the Fan-In/Out command set to do this. The Fan-In/Out command relies on special pairs of source/destination markers plus a special layer for the single line part of the cable representation. This layer is defined in the Define Layers dialog box.

Setting up layers
  1. In a blank AutoCAD Electrical drawing,

    Click Schematic tab [image] Other Tools panel [image] Drawing Properties drop-down [image] Drawing Properties. Enter AEPROPERTIES at the command prompt.

  2. On the Alert dialog box, click OK to add the WD_M block.
  3. In the Drawing Properties dialog box, click the Style tab.

    You can select the default Fan-In/Out marker style here along with defining the layers for the wires. Notice that the default layer name for fan in/out single line layers is "_MULTI_WIRE."

  4. In the Drawing Properties dialog box, click OK.
  5. Click the AutoCAD Layer Properties Manager tool.
  6. In the Layer Properties Manager dialog box, change the color of "_MULTI_WIRE" to red and the color of "WIRES" to blue for this example. The color difference illustrates how the feature works.
  7. In the Layer Properties Manager dialog box, click OK.
Inserting components
  1. Click Schematic tab [image] Insert Components panel [image] Insert Components drop-down [image] Icon Menu. Enter AECOMPONENT at the command prompt.
  2. In the Insert Component: JIC Schematic Symbols dialog box, select Push Buttons.
  3. In the JIC: Push Buttons dialog box, select Push Button N.O.
  4. Press F9 to turn on SNAP.
  5. Insert the push button anywhere on the left-hand side of the drawing.
  6. In the Insert/Edit Component dialog box, click OK-Repeat to insert two more push buttons directly below the first one.
  7. In the Insert/Edit Component dialog box, click OK after the last push button is inserted on the drawing.
  8. Repeat to insert three Limit Switches N.O. Insert the limit switches anywhere on the right-hand side of the drawing (slightly below the push buttons you inserted).

Adding wires
  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Insert Wires drop-down [image] Wire. Enter AEWIRE at the command prompt.
  2. Add a wire to the top push button. Drag the wire to the right.
  3. Repeat for the other two push buttons.
  4. Add a wire to each of the limit switches. Drag the wires to the left.
  5. Press F9 to turn off SNAP.
  6. Select all of the wires and verify that they were created on the WIRES layer.

Adding source and destination markers
  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Signal Arrows drop-down [image] Fan In Source. Enter AEFANINSRC at the command prompt.
  2. In the Fan In/Out Source dialog box, select Solid as the Source marker style.
  4. Click the left button to set the wire connection orientation.

  5. Select in the middle of the wire that is connected to the top push button.
  6. In the Signal - Source Code dialog box, enter "cbla" as the code and "RED" as the description.

    If you enter the color of the wire in the Description field, AutoCAD Electrical reports use this information in the Wire Color field.

  7. Click OK.
  8. In the Source/Destination Signal markers (for Fan In/Out) dialog box, click Yes to insert the matching destination marker now.
    NoteBecause the destination wires are nearby, it is easier to insert them right away. If the wires were on another drawing you could wait until later to add the destination markers.
  9. In the Fan-In/Fan-Out Signal Destination dialog box, select Solid as the destination marker style.
  10. Click the right button to set the wire connection orientation.

  11. Select in the middle of the wire connected to the top limit switch.

    Notice that the wires for both change from blue to red and the description, RED, appears on both.

    AutoCAD Electrical breaks the wire and changes the appropriate wire piece to the defined layer. When inserting a source marker the wire coming out of the marker changes; when inserting a destination marker, the wire going into the marker changes.

    You are prompted to define the next source.

  12. Repeat for the middle and bottom wires for each group.

    For the middle wire: In the Signal - Source Code dialog box, click Use to enter "CBLA-01" as the code and enter "BLUE" as the description.

    For the bottom wire: In the Signal - Source Code dialog box, click Use to enter "CBLA-02" as the code and enter "WHT" as the description.

    Notice that the wires change from blue to red and the descriptions, BLUE and WHT, display on both sets of wires.

  13. Press Esc to exit the command.
  14. Select all of the wires and verify that they are on the _MULTI_WIRE layer.

Creating connecting wires
  1. At the command line, type L and press Enter.
  2. Click the end of the uppermost wire and drag down across each of the wires connected to the push buttons. Continue dragging past the push buttons and click.
  3. Drag your cursor to the right to create a horizontal line, and click.
  4. Drag down across the ends of the wires connected to the limit switches, ending on the bottom wire and click. Press Enter to create the lines.

  5. Type MA at the command prompt to run the AutoCAD MATCHPROP command.
  6. Click the wire connected to the top limit switch.
  7. Click each of the lines you just created. The lines change from black to red since they are taking on the properties of the wire you selected.

  8. Press Enter to exit the command.
Adding cable markers

At this point, you have established the link between the push buttons and the limit switches. You can now include a cable marker identifier that is associated with these wire connections in various wire and cable reports.

  1. Click Schematic tab [image] Insert Wires/Wire Numbers panel [image] Cable Markers drop-down [image] Cable Markers. Enter AECABLEMARKER at the command prompt.
  2. Select to insert a cable marker.
  3. Insert the cable marker on the horizontal line.
  4. In the Insert/Edit Cable Marker (Parent wire) dialog box, click Catalog Data Lookup.
  5. In the Parts Catalog dialog box, select the 3 conductor (second item in list) and click OK.
  6. In the Insert/Edit Cable Marker (Parent wire) dialog box, delete the wire color/id value (BLK), and click OK.
  7. In the Insert Some Child Components dialog box, click Close.


Use the PLC Database File Editor

Show source and destination markers on cable wires
Advanced Productivity
Customize Circuit Builder
Advanced Productivity >
Use the PLC Database File Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical can generate any of hundreds of different PLC I/O modules on demand, in a variety of different graphical styles, all without a single, complete I/O module library symbol resident on the system. Modules automatically adapt to the underlying ladder rung spacing, whatever that value might be, and can even be stretched or broken into two or more pieces at insertion time. This is all possible because AutoCAD Electrical generates PLC I/O modules via a parametric generation technique driven by a PLC database (ACE_PLC.MDB).

Creating new PLC modules

By default, when creating a PLC module the PLC Database File Editor lists as many blank field Terminal Types as there are terminals defined in the New Module dialog box.

  1. Click Schematic tab [image] Other Tools panel [image] [image] [image] Database Editors drop-down [image] PLC Database File Editor. Enter AEPLCDB at the command prompt.
  2. Click the PLC Database File Editor tool.
  3. In the PLC Database File Editor dialog box, highlight PLCs in the PLC selection list and click New Module.
  4. In the New Module dialog box, specify the following:
    • Manufacturer: Allen-Bradley
    • Series: 1746
    • Series Type: Discrete Input
    • Code (Catalog Number): 1746-IA9
    • Terminals: 9
    • Addressable Points: 8
  5. Click OK.

    You now have a new blank input module with nine terminals and eight addressable I/O points. You now need to define some information for each terminal in the module, the most important being what symbols AutoCAD Electrical should stack together to build the module. Usually the top-most symbol for the module is a little different from the rest so that it can carry some basic information for the module that only needs to occur once in the final symbol.

Assigning Terminal Types
  1. In the PLC Database File Editor dialog box, right-click Terminal Type 1 and select Edit Terminal from the context menu.

    The Select Terminal Information dialog box appears. There are 3 categories for top symbols: Top Input, Top Output, and Top Terminal. Top Input and Top Output are addressable terminals, while the Top Terminal category consists of non-addressable terminals.

  2. In the Select Terminal Information dialog box, select Top Input.

    The available terminals for that category appear along with any recently used terminals. Each terminal shown is slightly different. It may have an input wire connection terminal or have terminals for both input and output, or it may not have a wire connection.

  3. Select to use Module Info Input I/O Point Wire Left by selecting the picture and then click OK.

    The selected terminal is assigned to the Terminal Type in the PLC Database File Editor dialog box. AutoCAD Electrical looks at the block to see what attributes come in when the block is inserted. Some of the attributes come in with predefined values that can be overwritten. You will see these predefined values in the grid below the terminal type list.

  4. In the PLC Database File Editor dialog box, multiple-select the next seven terminals, right-click, and select Edit Terminal.
    NoteYou can select multiple fields to edit at the same time by dragging your mouse across contiguous fields or by holding down the Control key while selecting non-contiguous fields.
  5. In the Select Terminal Information dialog box, select the Input category and look at the available terminals.

  6. Select the Input I/O Point Wire Left terminal and click OK.

    All seven terminals are assigned at the same time.

  7. In the PLC Database File Editor dialog box, right-click on the last terminal and select Edit Terminal.
  8. In the Select Terminal Information dialog box, select the Terminal category.
  9. Click the Terminal Point Wire Right terminal and click OK.

As an alternative to the Select Terminal Information dialog box, you can use the drop-down list of predetermined Terminal Types. Click the arrow for the Terminal Type and select from the list of available terminal types.

Setting additional terminal information

Some modules may have terminals that are not used. When you build your PLC module on an AutoCAD Electrical drawing there is a choice inside the Module Layout dialog box to include unused/extra connections. When this toggle is not selected, all terminal entries marked as "Show: When Including Unused" in the PLC Database File Editor are skipped. When this toggle is selected, all entries marked with "Show: When Excluding Unused" are skipped. This gives flexibility to how a module is represented.

  1. In the PLC Database File Editor dialog box, make sure all of the terminals are set to Show: Always.
  2. Make sure all of the terminals are set to Optional Re-prompt: No.

    You can trigger AutoCAD Electrical to prompt for a new beginning address number when the parametric build flips from inputs to outputs or vice versa. On the line where you want AutoCAD Electrical to re-prompt for a new output address, select Output. If you want a re-prompt for a new input address, select Input from the list.

  3. If you want a prompt for an automatic break in the PLC module, select the toggle in the Break After column.
  4. If you want to override the rung spacing for the I/O and wire connection point spacing, enter a value in the Spacing Factor column.

    When AutoCAD Electrical generates a PLC module, it uses the current rung spacing for I/O and wire connection point spacing. When a Spacing Factor is specified, AutoCAD Electrical sees this spacing factor value on any terminal type I/O point or wire connection entry line, it uses a factor of the rung spacing. For example, a 2 for a given entry inserts this point down two times the rung spacing instead of a full rung spacing. A value of 1.5 inserts the point down an extra half rung spacing than normal. A value of 0.0 puts the particular I/O point at the same location as the preceding one.

Modifying the terminal box dimensions

The Style Box Dimensions dialog box defines the module box dimensions (such as the offset values and line properties) based upon the style number used when the PLC was created.

  1. In the PLC Database File Editor dialog box, click Style Box Dimensions.
  2. Select Style 2 as the graphic style for your plc module. Styles 1-5 are predefined, styles 6-9 may be user-defined. Select a style number - a sample portion of a PLC module appears.

    There are about two dozen symbols (with a file name "HP?*.dwg" where "?" is the style number) associated with each style in the library folder. To create a style, copy an existing style's symbols to one of the unused style numbers (6-9) and edit each library symbol.

    Library folder:

    Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\{library}\

    Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs\{library}\

  3. Specify the module box dimensions for the selected style.

    These values set the right, left, top, and bottom offsets for the rectangle that surrounds the module. The optional Split Top and Split Bottom specify the offsets for a split module where Split Top specifies the offset for the top of a split module and Split Bottom specifies the offset for the bottom of the split module. If left blank, the rectangle Top and Bottom values are used.

  4. Specify any properties for the lines that make up the box. You can set the color and linetype using the properties fields. To predefine the color, enter "COLOR colorname" into the box. For linetype, enter "LTYPE linetypename" in the box.
  5. Click OK.
Modifying the terminal block settings

The Terminal Block Settings dialog box is used to manage the library symbols in the PLC Database File Editor. You can add a terminal to the list by clicking in any box in the last entry of the list. A blank entry line is added to the bottom of the list. You must define the block name, assign it to a terminal category for selection, give it a description, and assign a bitmap to be used for dialog box appears.

The list shows the block name, category, unique description, and sample bitmap file for each terminal type.

Block Name

As defined when creating the parametric PLC blocks. Block file names adhere to the naming conventions to identify the PLC style numbering in the third position and the orientation in the first position.

Category

Used in the PLC Database File editor to easily find specific types of terminals.

Unique Description

These descriptions are used during the terminal type selection process. They need to be maintained as unique

Sample Bitmap File

This file is also used by the PLC database File editor to display a view of the terminal for selection.

Symbols and BMP files need to be created outside of the PLC database file editor. Symbols are found in the standard library search path, while PLC Bitmap images are maintained in the same OS folder as the PLC Database itself

Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\

Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\

  1. In the PLC Database File Editor dialog box, click Settings.

    The Terminal Block Settings dialog box lists the library symbols for the terminal blocks that appeared in the Select Terminal Information dialog box. Notice that row 1 lists the block file name and sample bitmap file for the terminal we selected for Terminal Type 1.

  2. Switch between the various graphic styles. Notice that the block name updates depending on the style and orientation you select. For example, the block name is "HP1WA-DL" for Style 1, Horizontal. If you select Style 4, Vertical the block name changes to "VP4WA-DL".

    Graphical styles are used during the operation of the PLC Parametric Selection process. These bitmap images appear during normal operation and selection of PLC entries and are found at C:\Program Files\Autodesk\Acade {version}\Acade. Use the same file names that are already there: P_STYLEx.bmp where 'x' is the plc style 1-9.

  3. Click View DWG or View Bitmap to view the PLC parametric symbols.
  4. After you are done viewing the various symbols, click Cancel.
Adding terminal attributes
  1. Select the first terminal in the list of terminals.

    The attributes associated to the block, along with any predefined values, appear below the Tree Structure section of the dialog box.

    Notice that the value for the LINE1 is RACK %%1 and LINE2 is SLOT %%2. The prompting values of %%1 and %%2 are populated with what you type into the text box when prompted. The static text of Rack and Slot appears in the attribute once the PLC module is created. There are multiple prompting variables from %%1 through %%9. Prompting strings can be added to any existing attributes on the terminal block. If you wanted to add additional prompts with out using the existing attributes you would have to modify the block file to add additional attributes such as Line3.

    Top terminals are the only symbols which can accept prompts during the parametric PLC insertion process.

  2. Edit each attribute value for the TAG attributes to read "IN-%%N."

    Besides the Module Prompt variables, AutoCAD Electrical also supports the use of an address variable. When the module is inserted, the PLC I/O addresses are calculated based on some AutoCAD Electrical settings and the module settings. You can trigger AutoCAD Electrical to include a prefix or suffix to each address value it inserts.

    The %%N represents the calculated I/O address and the IN- is the prefix that gets added to the address value. You can also use the prompt values. For example, if you want to permanently encode the rack and group numbers (%%1 and %%2 prompts) into each I/O address value, encode each I/O address entry in the date file with "TAGA_=%%1%%2%%N."

  3. If you want to assign a text constant to any attribute value, combine a text constant with the variables as shown in the module prompts and addressing examples above.
Inserting the PLC module into the drawing
  1. Click Save Module to save the module to the PLC database file.
  2. Click Done/Insert.

    The PLC Parametric Selection dialog box appears.

  3. Click OK to insert the new PLC module onto the drawing.
  4. Specify the insertion point on the drawing.
  5. In the Module Layout dialog box, click OK.
  6. In the I/O Address dialog box, specify a beginning I/O address or use the quick picks to select an address (such as I:/00).
  7. Click OK.

    Your module should look like the following. The Manufacturer, Catalog Number, and Description attributes also display at the top of the module (not shown).


Customize Circuit Builder

Use the PLC Database File Editor
Advanced Productivity
Circuit Builder overview
Advanced Productivity >
Customize Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Circuit Builder overview
  • Circuit Builder spreadsheet
  • Circuit Builder drawing templates
  • Circuit Builder database
  • Add a new circuit
  • Circuit Builder - How to


Customize Circuit Builder (Procedure)

Modify invisible data
Customize Circuit Builder
Add a new circuit
Advanced Productivity >
Customize Circuit Builder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create the circuit template

ACE_CIRCS sheet

Circuit codes sheet

Testing the circuit

Add a multiple catalog option

Assign different attribute values on a multi-pole insert

Assign attribute values using AutoLISP

Conditionally trim or remove a wire segment

Conditional component insertion

Control the multi-pole insertion direction

Control the bus wire spacing

Define the wire type

Define the wire type as no wire numbering

Format the numeric tag of the motor symbol in a wire number

Format the numeric tag of the motor symbol into other component tags

Link a child contact to the parent

Map motor parameters to the motor symbol attributes

Override the default tag format

Override the default wire number format

Predefine attribute values

Predefine attribute values using annotation presets

Predefine a wire number

Set circuit element defaults

Set up component auto-sizing

Stretch and connect wiring from a nested template


Circuit Builder overview

Customize Circuit Builder
Customize Circuit Builder
Circuit Builder spreadsheet
Advanced Productivity > Customize Circuit Builder >
Circuit Builder overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Circuit Builder tool comes prepopulated with data to build and annotate a sampling of motor control circuits and power feed circuits. This includes 3-phase, single-phase, and one-line circuit representations. Each circuit is built dynamically, adjusting the power bus to match the wire bus for the drawing, adding wiring between components, and annotating the elements with suggested values based upon the selected load. Each time a circuit is configured, it is added to a history list of circuits. This provides for quick re-insertion at a later time.

The feature is controlled by three things:

  • The spreadsheet defines the available circuits, circuit types, and defaults for each option within a circuit.
  • The template (.dwg file) for a selected circuit defines the placement for the individual components and the wiring.
  • The electrical standards database provides the values used to annotate the circuit, size circuit components, and provide the appropriate motor wire type.

Workflow

  1. Circuit Builder opens the spreadsheet and reads in the first sheet named “ACE_CIRCS”.
  2. Circuit Builder shows the list of defined circuits in the Circuit Selection dialog box.
  3. Select a circuit to insert or configure. The associated line from the ACE_CIRCS sheet provides the base drawing template name, and the name of a circuit code sheet. This is a separate sheet within the Circuit Builder spreadsheet.
  4. The base drawing template for the circuit inserts at your selected location.
  5. Circuit Builder finds and reads the attributes on all the special marker blocks on the inserted drawing template.
  6. Circuit Builder matches each marker block to a specific section in the circuit codes sheet. This section can be a single spreadsheet row or multiple consecutive rows in the circuit codes sheet. The section identifies one of the following:
    • The action taken at this marker block location in the circuit. For example, calculate a wire type, insert a wire number, or adjust rung spacing.
    • Provides a list of component insertion options that can be inserted at this point in the circuit. For example, presents a selection list containing a fuse, circuit breaker, or disconnect switch symbol.

    Each marker block is processed in sequence, controlled by an ORDER attribute value carried on each marker block

  7. A marker block can trigger a nested template to be inserted into the main circuit template. If the nested template carries its own marker blocks, these are added to the overall list of marker blocks to process. When all marker blocks have been processed, the circuit is complete.


Circuit Builder spreadsheet

Circuit Builder overview
Customize Circuit Builder
Circuit Builder drawing templates
Advanced Productivity > Customize Circuit Builder >
Circuit Builder spreadsheet
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Circuit Builder spreadsheet, ace_circuit_builder.xls, along with the template drawings that it references, control what is displayed in the Circuit Selection and Circuit Configuration dialog box options. The first sheet in the spreadsheet, ACE_CIRCS, contains the main circuit categories, for example “3ph Motor Circuit”, and types, for example “Horizontal - FVNR - non reversing”. Along with this first sheet are one or more circuit code sheets. These sheets contain the information needed to insert or configure a specific circuit selected from the first sheet.

The ace_circuit_builder.xls circuit builder spreadsheet can be relocated into any of the normal AutoCAD Electrical or AutoCAD support paths.

The default location for the spreadsheet is:

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Support\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Support\

The default spreadsheet name, “ace_circuit_builder.xls”, can be overridden by setting the environment variable, WD_CIRCBUILDER_FNAM, in the wd.env file.

ACE_CIRCS sheet

Circuit Builder reads the list of circuit categories and types from the first sheet in the spreadsheet, ACE_CIRCS. This appears in a tree-structure selection window in the Circuit Selection dialog box. The ACE_CIRCS sheet contains the following columns.

CATEGORY | A major circuit category displayed at the highest level of the tree structure in the Circuit Selection dialog box.
TYPE | The specific type of circuit within a major category. The circuit types appear at the second level of the tree structure.
DWG_TEMPLATE | The drawing template that is inserted when this circuit is selected. A .dwg extension is assumed if it is not present.
SHEET_NAME | The circuit code sheet name that is referenced for the selected circuit template. This circuit code sheet carries the definitions for all of the marker blocks in the selected drawing template and any nested templates.
ANNO_CODE | Code maps to the ANNO_CODE table in the spreadsheet. Allows you to predefine the description, installation, location, and other key information, for the motor or load and the individual components that might be inserted into the circuit.
Circuit code sheets

Once a circuit is selected from the Circuit Selection dialog box (the CATEGORY and TYPE fields from the ACE_CIRC sheet), the associated drawing template is inserted (the DWG_TEMPLATE field), and a related circuit code sheet is ready for reference (the SHEET_NAME field).

The inserted drawing template contains special marker blocks. Each marker block contains a CODE attribute with a value. This CODE value is used to match up with a section in the circuit code sheet. The matching section in the circuit code sheet provides the key information on what action is required at this physical location in the circuit.

Each circuit code sheet contains the following columns.

CODE

Value is matched to the CODE attribute value on the marker block. Each code corresponds to one circuit element in the list or an action/decision that takes place at the insertion point of the marker block.

COMMENTS

Text displayed in the Circuit Elements list in the Circuit Configuration dialog box.

UI_DEF

The default option for a circuit element is marked with an “X”. When a circuit is inserted rather than configured, all elements marked with "X" are used to build the selected circuit.

UI_TITLE

Title for the group of options in the middle Select section of the Circuit Configuration dialog box. Each circuit element may have one or more groups of options. For example, the main disconnecting means might have two groups of options, the disconnecting means itself and an optional auxiliary contact.

This field may also contain a predefined code to bring up a separate dialog instead of driving the middle Select section of the main Circuit Configuration dialog box. There are two pre-defined codes:

  • !MCC_CTRL - invokes the Select Motor dialog box when the Browse button on the Motor Setup section of the Circuit Configuration dialog box is selected. It must be combined with the ace_cb_motor_select API call in the LOOKUP_CMD entry.
  • !PF_CTRL - invokes the Select Load dialog box when the Browse button on the Load Setup section of the Circuit Configuration dialog box is selected. It must be combined with the ace_cb_power_feed_select API call in the LOOKUP_CMD entry.
    NoteInclude the ace_cb_wire_select API call in the LOOKUP_CMD entry to invoke the Wire Size Lookup dialog box when the Browse button in the Wire Setup section of the Circuit Configuration dialog box is selected.

UI_PROMPT_LIST

The text to display in the middle Select section for each option within this group.

UI_VAL

A numerical value assigned to the selection from each group. These numerical values are added up and matched to the value in the UI_SEL column.

NoteThis value must be inserted as a text value in the spreadsheet and not as a number. An apostrophe character in front of the number forces the spreadsheet software to interpret it as a text value. You can also format the cells specifically as text. The text should appear left justified in the cell.

UI_SEL

A numerical value matched to the sum total of the values in the UI_VAL column for each selection made within a group. The COMMAND_LIST value from this row is used to insert the selected options.

NoteThis value must be inserted as a text value in the spreadsheet and not as a number. An apostrophe character in front of the number forces the spreadsheet software to interpret it as a text value. You can also format the cells specifically as text. The text should appear left justified in the cell.

COMMAND_LIST

The command calls to insert the selected options.

NoteThese calls are generally set up using standard AutoLISP format. Multiple calls can be concatenated in the same cell or in subsequent rows of the sheet. If multiple rows are used, the UI_SEL value cell should be repeated. Anything after a semi-colon character is interpreted as a comment

ANNOTATE_LIST

Optional command calls to annotate the circuit element. The ANNOTATE_LIST calls execute after all rows of the COMMAND_LIST calls have executed.

LOOKUP_CMD

Optional command calls to perform the electrical standards database or catalog lookups for the selected circuit element. This controls the right-hand side of the Circuit Configuration dialog.

TABLEn

Optional catalog lookup table name. If the option contains multiple components, such as a disconnect switch and a fuse, there are multiple columns where “n” increments for each component.

TITLEn

The title for the component within the Setup & Annotation section on the Configuration dialog box. If the option contains multiple components, such as a disconnect switch and a fuse, there are multiple columns where “n” increments for each component.

ANNO_CODE sheet

Allows you to predefine the description, installation, location, and other key information for the motor or load and the individual components inserted into the circuit.

ANNO_CODE | Value is matched to the ANNO_CODE value from the ACE_CIRCS sheet.
CODE | Value is matched to the CODE value of the marker block on the circuit template.
ATTRIBUTE | Attribute name on the component inserted at the position of the marker block.
PROMPT | Text prompt displayed in the Annotation Presets dialog box.
DEFAULT | The default value for the attribute if annotation presets are listed or applied. This value can be a text value or an AutoLISP expression that returns a text value.
OPTIONS | Future

How Annotation Presets work

  1. Make a selection from the Circuit Selection dialog box, for example "Horizontal - FVNR - non reversing". This selection has a value in the ANNO_CODE cell, "ANNO_3M".
  2. Circuit Builder finds the group of entries that match up with code "ANNO_3M" in the ANNO_CODE sheet of ace_circuit_builder.xls.
  3. If any matching entries are found, the Special Annotation: Presets section of the Circuit Selection dialog box, is enabled.
  4. If you select Presets and click the Presets List button, the Annotation Presets dialog box displays. The rows displaying the entries with non-blank DEFAULT values are initially marked as Selected.
  5. Edit the attribute values as necessary and click OK.
  6. Select to Insert or Configure the circuit.
  7. Circuit Builder processes each marker block on the circuit template. If the CODE value matches the CODE value from the ANNO_CODE rows, the attribute values marked as Selected in the Annotation Presets dialog box are applied to the target attributes of the inserted component. If a target attribute is not found, the value is inserted as an Xdata value.


Circuit Builder drawing templates

Circuit Builder spreadsheet
Customize Circuit Builder
Circuit Builder database
Advanced Productivity > Customize Circuit Builder >
Circuit Builder drawing templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Each circuit starts with a main drawing template. These main circuit template drawings are named “ace_cb1*.dwg”. Branching or nested circuit drawing templates are named “ace_cb2*.dwg”. A branching circuit is a circuit inserted as an option on to the main circuit, for example a control transformer circuit or a power factor correction circuit.

The circuit drawing templates use the following naming convention.

  • ace_cb1_*.dwg - primary circuit drawing templates
  • ace_cb2_*.dwg - branching or nested circuit drawing templates

The default location for the circuit drawing templates is the schematic library folder:

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Libs\{library}\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Libs\{library}\

One-line template drawings have a “1-” suffix. The default location is in a “1-” folder under the schematic library folder.

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Libs\{library}\1-
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Libs\{library}\1-
NoteThis template drawing naming convention is recommended but is not required for Circuit Builder to function.

A circuit template contains the wiring framework for the circuit and special marker blocks. These marker blocks are nothing more than instances of a standard AutoCAD block, ace_cb_marker_block, carrying three attributes. These marker blocks tell Circuit Builder that some action or decision is required at the insertion point of the marker block. The action can be:

  • Insert a component.
  • Insert a multi-pole component.
  • Make a wire type assignment to the underlying wire.
  • Insert a wire number on the underlying wire.
  • Decide if a branching circuit is needed.
  • Decide if an underlying wire should be stretched and connect to a nearby power bus.
  • Decide if underlying wire bus spacing should be adjusted.
  • Decide if an underlying wire should be trimmed.
  • Set up the circuit annotation.
NoteIf you choose to Insert a circuit, bypassing the Circuit Configuration dialog box, the default options, as defined in the Spreadsheet, for each circuit element are used.
Marker block attributes

CODE

This attribute value provides the link between the marker block on the circuit template drawing and a section in the circuit codes sheet. The value on this attribute matches with the CODE column value in the circuit codes sheet for the selected template.

ORDER

This attribute value controls the sequence of circuit element display and insertion within the circuit. Marker blocks are processed in order, from low to high. Assigning the same order value to multiple marker blocks links multiple marker blocks together that should be processed as a group. For example, to adjust the spacing between multiple wires of a 3-phase bus there are three marker blocks with a common CODE value and a common ORDER value. The ORDER value can be an integer or a decimal number value. Support for decimal number order values makes it easy to add a marker block between two others without having to reorder everything.

MISC1

This attribute value contains miscellaneous annotation values, actions, and flags. Annotation values are in the format <attribute name>=<attribute value>. Actions might include embedded AutoLISP expressions or programs. Flags are key words that include enabling child contacts to link to parents and overriding multi-pole build directions.

Flag codes include the following

  • _TAGFMT=<value> - override the drawing property component tag format or wire number format setting for this one instance.
  • _PRETAG=<value> - predefine a default alias tag for parent child linking. This can be used for situations when the child component is inserted before the parent. The marker block for the child contact might have "_PRETAG=MR". When the parent coil is inserted, its marker block also has "_PRETAG=MR". As the circuit completes, the actual tag value of the parent annotates on to the child contact. This is based upon the matching "MR" alias assigned to each.
  • _WIRENO=<value> - predefine a fixed wire number.
  • WIRENUMBERS=0 - if a required wire type does not exist, create it and mark it as No Wire Numbering. If a required wire type does not exist and this flag is missing or has a value of 1, create it and mark it as Wire Numbering.
  • _WIRETYPE=<value> - predefine the wire type layer name.
  • _WIRESKIP=<value> - number of wires to skip over when trying to connect to another wire.
  • _MAXTRAPCOUNT=<value> - maximum search distance to look for a wire connection, given in wire connection trap units. The wire connection trap value is fixed and is displayed on the Drawing properties: drawing format tab for the active drawing.
  • _BASE - indicates a base wire, the one that does not move, when setting up to adjust multiple bus wire spacing. If not defined, the wire that is co-linear with the insertion point of the template becomes the default base wire.
  • _L =<value>- each sublist, delimited by "|" characters, can predefine attribute values for individual poles of a multi-pole component, set of terminals, or set of cable markers.
  • _D=<value> - define the build direction override for a multi-pole component. 1=build right, 2=build up, 4=build left, 8=build down. Without an override, the build direction is down for horizontal inserts, and from left to right for vertical inserts.
  • X=<value or AutoLISP expression> - reposition the marker block in the "X" direction. For example, "_X=(* 0.5 DIST01)" means adjust the position of this marker block in the X direction by an amount equal to 0.5 times the bus spacing distance defined by marker block with a CODE attribute value of "DIST01". This example might be used to position a marker block for a single phase motor insertion point, halfway between two power bus wires.
  • _Y=<value or AutoLISP expression> - reposition the marker block in the "Y" direction.
NoteThe flags defined in the circuit drawing marker blocks override any spreadsheet settings.
Marker block functions

All marker blocks have the same block name, ace_cb_marker_block, but can have a wide variety of functions. The specific function assigned to a marker is based on its CODE attribute value and what this code value maps back to in the circuit code sheet for the circuit template. Here are the categories of marker block functions:

Setup | Blocks that define the circuit properties, such as motor selection.
Wire Type | Blocks that define the wire type layers layer to assign to the wire network under the block.
Wire Number | Blocks that define a wire number to assign to the wire under the block.
Nested Circuit | Blocks that define the placement of a branching or nested circuit such as a control circuit at the insertion point of the marker block.
Component | Blocks that define the placement of a component, connector, terminal, cable marker, or a multi-pole component at the insertion point of the marker block.
Bus Spacing | Blocks that control rung spacing adjustment for the wires under these blocks. Blocks that are to be processed as a group must carry common CODE and ORDER attribute values.
Wire Connections | Blocks that control stretching a wire segment to connect to another wire.
NoteThe name of the marker block cannot be changed. The Circuit Builder command only processes marker blocks named "ace_cb_marker_block".
One-line circuit templates

One-line circuit templates use the same marker block concept as three-phase motor and power feed circuit templates. However, there are a few differences. There is a single line wire that represents a multi-wire bus. Most of the one-line circuit templates contain a special "bus-tap" symbol.

The bus-tap symbol can have two functions:

  • Provide an anchor point for the one-line circuit representation that begins at this point.
  • Break into the one-line bus where the circuit connects.

On a dual circuit one-line template, there are three of these. One at the normal point where the circuit ties into the bus. There is another version of the symbol on each of the two circuit "legs", each marking the point where that part of the dual circuit starts. These bus-tap symbols allow various reports to accurately report on a one-line circuit, whether a single circuit or a dual circuit representation.

The following bus-tap symbols are supplied:

  • HDV1_BT_1-.dwg - with “dot” for horizontal one-line circuit
  • VDV1_BT_1-.dwg - with “dot” for vertical one-line circuit
  • HDV1_BTT_1-.dwg - “tee” connection for dual horizontal circuit
  • VDV1_BTT_1-.dwg - “tee” connection for dual vertical circuit
  • HDV1_BTL_1-.dwg - “corner” connection for dual horizontal circuit
  • VDV1_BTL_1-.dwg - “corner” connection for dual vertical circuit
NoteA bus-tap symbol is identified by a WDTYPE attribute with a “1-1” value.


Circuit Builder database

Circuit Builder drawing templates
Customize Circuit Builder
Add a new circuit
Advanced Productivity > Customize Circuit Builder >
Circuit Builder database
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Circuit Builder uses an electrical standards database to define default values, define engineering calculations, annotate circuits, and provide wire size recommendations. The electrical standards database, ace_electrical_standards.mdb, is located in the catalog folder. The default location is:

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs\
  • Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs\

Sizing and wire type values are based on information from the electrical standards database. Circuit Builder looks for a match on the motor size, supply voltage, and phase. On a match, Circuit Builder provides the Full Load Amp value, recommended motor power conductor size, and suggested rating values for various branch circuit protection elements such as circuit breakers, fuses, and disconnect switches.

The electrical standards database also allows Circuit Builder to provide engineering estimates and “green” calculations in the area of power conductor size versus energy losses. Designing to meet minimum code requirements can conflict with green design. For example, designing to the minimum conductor size for a given load may provide short-term savings on material cost but run up longer-term expense due to higher heating loses in the wiring. Over the life of the installation, the energy lost in heating up the minimum-sized wiring, instead of reaching the load to do useful work, could be substantial.

During wiring sizing, Circuit Builder displays not only a list of the valid wire sizes meeting the ampacity requirements of the load, but also a list of the estimated maximum energy loss cost for each wire size. This set of calculations allows you to make better green design decisions. For example, you might want to oversize the conductors for a motor to reduce conductor heating losses. This results in a higher initial cost, material and installation labor, which is recovered many times over in reduced energy losses in the wiring during the life of the installation.

NoteThe ace_electrical_standards.mdb file replaces the mcc.mdb file used in previous versions of Circuit Builder.

The electrical standards database contains multiple tables used by Circuit Builder.

MOTOR | Contains the values used to populate the Select Motor dialog box.
FEED | Contains the values used to populate the Select Load dialog box. This table name can have an optional suffix to relate it to a specific electrical standards code.
OPT | Options tables contain values defining defaults and options lists specific to an electrical standard. For example, default to copper wiring, AWG size standard, and feet for conductor length units.
AMP_{wire type}_{wire size standard} | Wire ampacity tables contain the ampacity ratings for different conductor sizes and insulation temperature ratings.
AMPG_{wire type}_{wire size standard} | Grounding conductor sizing tables contain the maximum ampacity ratings for different grounding conductor sizes. This information is used to retrieve the minimum grounding conductor size and provide a selection list of larger sizes.
INSUL_{wire type}_{wire size standard} | Wire insulation tables lists the insulation types, the maximum temperature rating for each, and de-rating factors for each based on a series of temperatures.
XL&R_{wire type}_{wire size standard} | Conductor Reactance/AC Resistance tables contain values used to estimate single-phase and three-phase voltage drop values.
XL&R_DESC | Conduit/raceway descriptions list used in conjunction with the XL&R_{wire type}_{wire size standard} tables.
FILL | Fill tables contain the ampacity de-rating factors used when there is more than one current carrying conductor (power wiring, not ground, neutral, or control wires) in the same conduit, duct, or raceway.
MOTOR_I_DESC | Lists the component type descriptions whose sizing ties directly into the full load amps value (FLA) of the motor or load. The CODE value maps to the MOTOR_I_CALC and MOTOR_I_MAP tables.
MOTOR_I_CALC | Lists the formula to calculate the maximum amp value for various types of components on a per motor type basis.
MOTOR_I_MAP | Maps the calculated FLA for a component to a specific rating value and an optional catalog assignment.
NoteEach table name can have an optional suffix to relate it to a specific electrical standards code.
Motor table

The data in the Motor table is used to populate the Select Motor dialog box. The selection list can be filtered by type, voltage, and frequency. The load and FLA values for the selected motor are passed back to the Circuit Configuration dialog box and are used in wire size calculations. The values are also used to calculate breaker size, fuse size, and disconnect switch rating, for the selected motor.

The MOTOR table follows this table naming convention:

  • MOTOR - the default table name to use if no specific electrical standards table is found.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed MOTOR table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.
Feed table

The data in the Feed table is used to populate the Select Load dialog box. The selection list can be filtered by type, voltage, and frequency. The load and FLA values for the selected feed are passed back to the Circuit Configuration dialog box and are used in wire size calculations. The values are also used to calculate breaker size, fuse size, and disconnect switch rating, for the selected load.

The FEED table follows this table naming convention:

  • FEED - the default table name to use if no specific electrical standards table is found
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed FEED table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.
Options tables

Options tables contain values defining defaults and options lists specific to an electrical standard. For example, default to copper wiring, AWG size standard, and feet for conductor length units.

The OPT table follows this table naming convention:

  • OPT - default table name to use if no specific electrical standards table is found.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed OPT table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

Name

Description

FLA_MULT

Default full load amps multiplier value used to determine a maximum load. For example, the full load amps for a motor is rated at 10 amps and the FLA_MULT default is set to 1.25. The minimum wire size calculation for the wiring for the motor is based upon an ampacity rating of not 10 amps but 12.5 amps (10 amps x 1.25).

The FLA_MULT factor displays in the Select Motor and Wire Size Lookup dialog boxes.

C_LOAD

Continuous load correction factor for wire size ampacity de-rating. If the electrical load is anticipated to be classified as a continuous load, a default de-rating factor can be automatically applied to the wire size ampacity calculation.

For example, a given electrical code defines the Continuous load correction factor at a value of 0.8. This means that a given wire size that normally has a maximum rated ampacity value of 20 amps should be de-rated to a maximum ampacity of 16 amps when the wiring is to power a motor that is expected to be a continuous load. The wire size calculation may need to select the next larger wire size.

W_METAL

Default wire metal value used to determine appropriate wire ampacity and wire insulation table names. For example, “CU” to define copper wiring as the default, “AL” to define aluminum wiring as the default.

W_STD

Default wire type standard used to determine appropriate wire ampacity and wire insulation table names. For example, “AWG” or “MM2”.

V_DROP

Maximum allowable % voltage drop in power wiring. This can be used to help calculate an appropriate wire size when the wire run distance is also defined.

W_INSUL

Default insulation type used to determine the ambient temperature correction factor.

LEN_LIST

Wire run distance values for pick list in the Wire Size Lookup dialog box. The run distance is used for estimated voltage drop calculations in the motor or load power wiring.

LEN_UNITS

Run distance units for power conductors and values for units pick list in the Wire Size Lookup dialog box. Run distance is used in the estimated voltage drop calculation. Units are either "FT" for feet or "M" for meters.

KWH_COST

Unit cost per kWh. This value is used for estimating a maximum annual cost of energy loss in the power wiring for a motor or load, assuming a continuous full load.

KWH_COST_UNITS

KWh cost units character used in the Wire Size Lookup dialog box showing the wire loss estimates. For example, “$” for dollar, “€” for euro.

SHORTNAME

The code for the electrical standards name for this table. This code is saved in the project .wdp file when the standard is applied to a project.

FULLNAME

The full name of the electrical standards name for this table. This value extracted from all the OPT tables provide the values for the pick list when setting an Electrical Code Standard for a project from the Project properties: project settings tab.

LEN_UNITS

Run distance units for power conductors and values for units pick list in the Wire Size Lookup dialog box. Run distance is used in the voltage drop calculation.

VOLTS

Default supply voltage value and values for voltage pick list in the Wire Size Lookup dialog box.

PHASE

Default supply phase value and values for phase pick list in the Wire Size Lookup dialog box. For example, “1” for single-phase, “3” for three-phase.

PARALLEL_MIN_SIZE

Default value for the minimum wire size when displaying paralleled wire option in the Wire Size Lookup dialog box. For example, “1-0 AWG”.

PARALLEL_MAX_CNT

Default value for the maximum number of wire conductors when displaying paralleled wire option in the Wire Size Lookup dialog box. For example, “4” for up to four paralleled wires per phase.

T_AMBIENT

Default ambient temperature correction factor. This value is used in wire type sizing. It must match up with one of the temperature de-rating column labels found in the INSUL_* tables. For example, “30C”.

M_POWERFACTOR

Default power factor for a motor. This value is used in estimated voltage drop calculations. For example, “0.85”.

F_POWERFACTOR

Default power factor for a power feed. This value is used in estimated voltage drop calculations. For example, “0.85”.

AMPG_MAX

Defines the expression to calculate the minimum grounding conductor ampacity size. The “I” in the expression represents the motor or load full load amps (FLA). The result of the expression is then applied to the appropriate AMPG table to determine the minimum grounding conductor size.

Wire ampacity tables

The wire ampacity tables provide the wire conductor sizes, descriptions, and maximum FLA ampacity values based on wire size and standard insulation temperature ratings. This information is used in the following ways:

  • Automatically select a default wire size based upon the maximum load amp value displayed in the Select Motor or Select Load dialog boxes.
  • Automatically calculate or recalculate suggested wire sizes in the Wire Size Lookup dialog box as various parameters and de-rating factors are applied.

The wire ampacity tables use the following naming convention:

  • AMP - the table name prefix.
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named AMP_CU_AWG_NEC contains the wire ampacity information for copper, AWG sizes, and parallels what is found in the National Electrical Code.

Name | Description
SIZE | Wire size code. This value can be automatically pushed into a wire type layer name. For example, “12”, “250KCMIL”.
SIZE_DESC | Wire size description shown on the Wire Size Lookup dialog box. For example, “12 AWG”, “250 KCMIL”.
CIRC_MIL | Imperial cross-section value for the wire conductor size.
60C, 75C, 90C | Maximum ampacity rating values for the wire conductor size for each of these standard ambient temperature ratings. Additional columns can be added or an existing column can be deleted. For example, if 90C is not supported by local electrical codes, this field can be removed from the table and will not show up as an option in the Wire Size Lookup dialog box.

Grounding conductor sizing tables

The grounding conductor sizing tables provide the grounding wire conductor sizes and maximum FLA ampacity values. This information is used in the following ways:

  • Provide a suggested minimum grounding conductor size based on the amp value returned by the expression defined in the AMPG_MAX entry in the OPT table.
  • Provide a selection list on the Wire Size Lookup dialog box giving this minimum suggested size plus all larger grounding conductor sizes.

The grounding conductor sizing tables use the following naming convention:

  • AMPG - the table name prefix
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named AMPG_CU_AWG_NEC contains the grounding conductor sizing information for copper, AWG sizes, and parallels values found in the National Electrical Code.

Name | Description
SIZE | Wire size code. This value can be automatically pushed into a wire type layer name for the ground wire. For example, “12”, “250KCMIL”.
SIZE_DESC | Wire size description shown on the Wire Size Lookup dialog box. For example, “12 AWG”, “250 KCMIL”.
MAX | Maximum amp value associated to this grounding wire size. The value comes from the result of the expression held in the AMPG_MAX entry of the OPT table.
Wire insulation tables

The wire insulation tables provide the option to de-rate wire conductor ampacity based upon expected maximum ambient temperature.

  • Automatically select a default wire size based upon the maximum load amp value, displayed in the Select Motor or Select Load dialog boxes, and the default insulation type and ambient temperature rating defined in the W_INSUL and T_AMBIENT entries of the OPT table.
  • Automatically calculate or recalculate suggested wire sizes in the Wire Size Lookup dialog box as various insulation and temperature de-rating factors are applied.

The wire insulation tables use the following naming convention:

  • INSUL - the table name prefix.
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named INSUL_CU_AWG_NEC contains the wire insulation information for copper, AWG sizes, and parallels values found in the National Electrical Code.

Name | Description
INSUL | Insulation type code.
INSUL_DESC | Insulation type description shown on the Wire Size Lookup dialog box.
TEMP | Standard, maximum temperature rating for the insulation type.
25C-80C | A series of wire conductor ampacity de-rating factor values for maximum ambient temperature. Columns may be added or deleted. For example, if 30C is the minimum ambient temperature rating, the 25C column can be removed.

Conductor Reactance / AC Resistance tables

The optional conductor reactance/AC resistance tables provide the reactance and resistance values for wire size based on conduit type. These values are used to calculate the voltage drop percentage in power wiring when a run distance is supplied.

There are two types of tables for this feature. A conduit type description table and the reactance/resistance data tables.

Conduit type description table

The description table, XL&R_DESC, contains the labels used on the Wire Size Lookup dialog box for the conduit or raceway type selection list and map to the columns in the data tables.

Data tables

The conductor reactance/AC resistance data tables use the following naming convention:

  • XL&R - the table name prefix
  • _{type} - the wire metal type such as CU for copper, or AL for aluminum.
  • _{size} - wire size standard such as AWG, or MM2 for metric.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

For example, a table named XL&R_CU_AWG_NEC contains the conductor reactance/AC resistance information for copper, AWG sizes, and parallels values found in the National Electrical Code.

Name

Description

SIZE

Wire size code.

C1-C3

A set of reactance and resistance values, semi-colon delimited for the conduit type. The first element is the estimated reactance and the second element is the AC resistance.

Notesee the XL&R_DESC table for the corresponding label for each. Data for additional conduit/raceway types can be added to this table with a corresponding entry added to the XL&R_DESC table.

NoteSee Wire Size Lookup for the voltage drop calculation.
Fill tables

When multiple current carrying wire conductors are in the same conduit, duct, or raceway, the wire ampacity may need to be de-rated. Current carrying wire conductors are defined as power wiring, not ground, neutral, or control wires. The Fill table provides the de-rating factor based on the maximum number of power wire conductors.

The FILL table follows this naming convention:

  • FILL - the table name prefix.
  • _{standard} - optional suffix to relate it to a specific electrical standards code. For example, an “_NEC” suffix might mean that the data for the table parallels the National Electrical Code. A suffixed FILL table name is not necessary unless you plan to set up the electrical standards database to support multiple standards.

MOTOR_I* tables

A set of three tables that contain values used for calculating suggested breaker size, fuse size, and disconnect switch ratings for a given motor or load amp value. Each table name can have an optional suffix to relate it to a specific electrical standards code such as “_NEC” for National Electrical Code.

MOTOR_I_DESC

Lists the component type descriptions whose sizing ties directly into the full load amps value (FLA) of the motor or load. The CODE value maps to the MOTOR_I_CALC and MOTOR_I_MAP tables.

MOTOR_I_CALC

Lists the formula to calculate the maximum amp value for various types of components on a per motor type basis. Each row gives a motor type followed by columns marked with the codes given in the MOTOR_I_DESC table. Each cell contains an expression to calculate a FLA value. The FLA value for the selected motor corresponds to the symbol "I" in the expression.

Valid operations are +-*/^. The “^” character is the exponential function. For example, I^2 is I squared, while I^0.5 is the square root of I.

If-then-else statements are supported including one level of nested statements. For example,

  • (if (I > 400) then (I * 8) else (I * 11)) - the calculated amp value is eight times FLA current for 0-400 amps and 11 times for greater than FLA of 400 amps. One level of nesting is supported.
  • (if (I >= 9.0) then (I * 1.25) else if (I < 2.0) then (I * 3.0) else (I * 1.67) - the calculated value is set to (I * 1.67) if I is less than 9 but greater or equal to 2.0 amps. If I is less than 2.0 amps the calculated value is (I * 3.0), and if greater than or equal to 9.0 amps, it is (I * 1.25).

Valid Boolean operations are >, <. >=. <=, =.

MOTOR_I_MAP

Maps the calculated FLA for a component to a specific rating value and an optional catalog assignment. The rating value is annotated to the symbol using the API call c:ace_cb_anno2 in the circuit builder spreadsheet.

The optional catalog assignment is defined in the Default field. Use the following format:

MFG={manufacturer};CAT={catalog};ASSYCODE={assembly code}

If the ASSYCODE value is not needed, use the format:

MFG={manufacturer};CAT={catalog}

CATALOGSEL table

Circuit Builder uses the CATALOGSEL table to save the catalog selections made for the motor and other components. The catalog information is saved based on the motor size. If this same motor size is used later on another circuit, these previous catalog selections become the default values when they match up with the configured selections. For example, if the previous circuit was configured with a 10HP motor with time-delay fuses, and a 10HP motor with time-delay fuses is selected for the new circuit, the previously used catalog selection appears as the default.

If the circuit is configured using the Reference an existing circuit feature, the values are not used from the CATALOGSEL table but from the referenced circuit. However, if a new motor is then selected from the Select Motor dialog box, the CATALOGSEL tables values are checked for a match.


Add a new circuit (Concept)

Circuit Builder database
Customize Circuit Builder
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Add a new circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To add a new circuit to Circuit Builder there are three main tasks:

  • Create the circuit drawing template (an AutoCAD .dwg file).
  • Add a reference to this new circuit in the ACE_CIRCS sheet in the ace_circuit_builder.xls spreadsheet.
  • Create or modify a circuit codes sheet in the ace_circuit_builder.xls spreadsheet.
NoteThis exercise demonstrates the capabilities of Circuit Builder and the result may not necessarily be electrically valid.


Add a new circuit (Procedure)

Customize Circuit Builder
Up a level to ..
Add a new circuit
Advanced Productivity > Customize Circuit Builder >
Add a new circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create the circuit template

ACE_CIRCS sheet

Circuit codes sheet

Testing the circuit


Create the circuit template (Procedure)

Add a new circuit
Up a level to ..
Add a new circuit
Advanced Productivity > Customize Circuit Builder >
Add a new circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create the circuit template

It is recommended that you read the Circuit Builder template overview topic before continuing.

A circuit template drawing is an AutoCAD .dwg file that contains the wiring framework for the circuit. On this wiring framework are positioned special marker blocks. These marker blocks are configured, using attribute values, to tell Circuit Builder that some action or decision is required at the insertion point of each marker block. One marker block might identify where to place he power disconnecting means for the circuit. Another marker block might identify that an underlying wire must be appropriately sized to the motor inserted at yet another marker block on the wire framework of the circuit template.

The easiest way to create a circuit template is to copy a similar template to a new name and modify the marker blocks on this copied template. For this example you copy the circuit template ace_cb1_FVNR_H.dwg to a new name. It is the main template for a 3-phase, horizontal, full-voltage, non-reversing motor circuit. You modify this template to create a custom circuit template.

  1. Locate the existing circuit template drawing file ace_cb1_FVNR_H.dwg. Copies of the circuit builder templates are installed in each of the schematic library folders, JIC125, IEC2, and so onto. Copy this file to ace_cb1_FVNR_H_custom.dwg.
    NoteThe circuit template name is not critical and does not affect functionality of Circuit Builder.
  2. Open the copied and renamed circuit template, ace_cb1_FVNR_H_custom.dwg, in AutoCAD. Make sure that you have write access to the drawing.

    This template consists of three wires and some marker blocks.

  3. Open ace_circuit_builder.xls in a spreadsheet software for reference. See Circuit Builder spreadsheet overview for the location of this file.

Use standard AutoCAD commands to modify the template and not AutoCAD Electrical commands. It avoids creating a template that contains an extra copy of the AutoCAD Electrical WD_M block. If you accidentally use a command that inserts the invisible WD_M block, either UNDO or erase and purge the WD_M block instance. To erase and purge the invisible block, follow these steps:

  1. Enter ATTDISP at the command prompt.
  2. Enter ON to make all attributes visible.
  3. Locate the block at 0,0.
  4. Click Home tab [image] Modify panel [image] Erase.Enter ERASE at the command prompt.
  5. Select the block and press enter.
  6. Enter PURGE at the command prompt.
  7. Select WD_M in the Block s section.
  8. Click Purge.
  9. Click Close.
Define wires stretching to connect to bus

The first modification is to change the way the horizontal wires connect to the vertical bus when inserted. The copied template is defined as follows:

  • Top wire skips over two wires and connects to the left-most vertical bus wire.
  • Middle wire skips over one wire and connects to the middle vertical bus wire.
  • Bottom wire connects to the first vertical bus wire it encounters.

The following changes to the marker blocks reverse it.

  1. Zoom in on the left-hand side of the template.

    You should see three marker blocks, each with a CODE value of WCON. Each one is directly on top of and near the end of one of the wires.

  2. Enter ATTEDIT and select the top WCON marker block.

    You should see the following values:

    • CODE = WCON - maps back to a row in the circuit codes sheet with a function to stretch the end of the underlying wire to try to make a connection.
    • ORDER = 1.02 - indicates the order of processing for the marker block relative to all the other marker blocks in the template. The order value can be an integer number or a decimal number. The blocks are processed low to high starting at 0. Blocks with the same ORDER value are processed as a group.
    • MISC1 = _WIRESKIP=2;_MAXTRAPCOUNT=200 - defines any special handling of the marker block. See the Drawing templatesCircuit Builder drawing templates topic for a complete list of supported values.
  3. Change the MISC1 value to _MAXTRAPCOUNT=200, removing _WIRESKIP=2.

    The _WIRESKIP value defines the number of wires to skip over when trying to connect to the vertical bus when inserted. Removing this value directs Circuit Builder to connect to the first vertical wire it finds.

    The _MAXTRAPCOUNT limits the relative distance that circuit builder searches to find a wire to connect to. It is measured in an integer number of wire connection trap distance units. If _MAXTRAPCOUNT is not defined or is zero, the search is across the whole extents of the drawing.

  4. Click OK.
  5. Enter ATTEDIT and select the bottom WCON marker block.
  6. Change the MISC1 value to _WIRESKIP=2;_MAXTRAPCOUNT=200, making sure to enter the semi-colon character between the values.

    It tells Circuit Builder to skip over two vertical wires when trying to connect to the vertical bus and to search up to 200 times the trap distance for a vertical wire to connect to. If none are found within that distance, Circuit Builder will not stretch this wire.

  7. Click OK.
Remove unnecessary marker blocks

The copied circuit has marker blocks for a control transformer and power factor correction capacitor. For this custom circuit, these options are not needed and the marker blocks can be removed.

  1. To verify which marker block is for the control transformer, switch over to ace_circuit_builder.xls.
  2. Open the ACE_CIRCS worksheet.

    Find which circuit codes sheet is used for the original template you copied over, ace_cb1_FVNR_H.dwg.

  3. Locate a row with the name of the original template you copied over, ace_cb1_FVNR_H.dwg, in the DWG_TEMPLATE field.
  4. Find the SHEET_NAME value for this row, 3ph_H.
  5. Open the 3ph_H worksheet.
  6. Find the entry for Control transformer and circuit - non-reversing in the COMMENTS column.
  7. Find the CODE value for this row, XF01.

    This CODE value links the marker block to the circuit code sheet.

  8. Switch back to the drawing and locate the marker block with the CODE value of XF01.
  9. Erase the marker block using the AutoCAD ERASE command.
  10. Repeat the steps to locate and delete the power factor correction marker block, CODE=KVAR1.
Add a marker block

You can add a marker block by inserting the library symbol, ace_cb_marker_block.dwg, or by copying an existing marker block and modifying the attribute values. In this section, you will insert a marker block that directs Circuit Builder to display a list of possible components to insert in the Circuit Configuration dialog box.

NoteThis exercise demonstrates the capabilities of Circuit Builder and the result may not necessarily be electrically valid.
  1. Determine exactly where in the template you want this specific component inserted as the circuit is built.
  2. Enter INSERT at the command line to launch the AutoCAD block insert command.
  3. Browse to ace_cb_marker_block.dwg and insert this block at the desired location.

    A copy of this block is installed in each of the schematic library folders, JIC125, IEC2, and so on.

    NoteYou could also use the AutoCAD COPY command and copy a nearby marker block into the desired location.
  4. Enter ATTEDIT and select the marker block.
  5. Enter a value for the CODE attribute, for example USR001.

    Use letters or numbers for the value. There is no code naming convention. Make sure it is unique within the circuit codes spreadsheet. This marker block code value maps a row or group of rows in to the spreadsheet. The information in the spreadsheet directs Circuit Builder to perform a specific action at the XY coordinate of this marker block.

  6. Enter a value for the ORDER attribute, for example 12.

    This value can be an integer or decimal number and defines the order that the marker blocks are processed. In this example, 12 is the highest ORDER value on the template. This means that the action defined by this marker block is the last one processed as the circuit is built.

  7. Enter an optional value for the MISC1 attribute, such as LOC=FIELD;DESC1=ADDED COMPONENT.

    This value can carry a number of flags as well as predefine attribute values. When more than one, they are to be semi-colon delimited.

Modify existing marker block

The template has a marker block with a CODE value of X001. Finding the matching code in the circuit codes sheet indicates a multi-pole component insertion. Three terminals are inserted at the location of this marker block. In this section, you add a MISC1 value to predefine the terminal numbers.

  1. Enter ATTEDIT and select the marker block with the CODE value of X001.
  2. Enter _L=|TERM01=T1|TERM01=T2|TERM01=T3|.

    This " _L= " prefix marks the beginning of a list of data to annotate on to a multi-pole insertion triggered by the single marker block. In the example here, a multi-pole insertion of three terminals into the three phase bus defined in the template drawing.

    The "|" symbol separates the attribute groups for each pole of the multi-pole insertion. Multiple attributes within a group are separated by a ";", the second-level delimiter. This example directs Circuit Builder to assign T1 to the TERM01 attribute on the first terminal inserted, T2 on the second, and T3 on the third.

    NoteSee Assign different attribute values on a multi-pole insert for more information.
  3. Click OK.
NoteSave the circuit template drawing after all the modifications are made.


ACE_CIRCS sheet (Procedure)

Add a new circuit
Up a level to ..
Add a new circuit
Advanced Productivity > Customize Circuit Builder >
Add a new circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

ACE_CIRCS sheet

The ACE_CIRCS sheet in the ace_circuit_builder.xls spreadsheet controls the circuit options displayed on the Circuit Selection dialog box. In this exercise, you add entry to this ACE_CIRCS sheet so your new circuit option shows up in the Circuit Selection dialog box.

  1. Open ace_circuit_builder.xls for edit using a spreadsheet software. See Circuit Builder spreadsheet overview for the location of this file.
  2. Open the ACE_CIRCS sheet.

    The structure of this sheet controls the tree structure used by Circuit Builder on the Circuit Selection dialog box. You will add a new category, “Custom Circuits”, with one custom circuit option, “My 3-ph motor”, within that category.

  3. Enter Custom Circuits in the CATEGORY field of the first blank row below the existing entries.

    It adds a new category to the highest level of the tree display.

  4. Enter My 3-ph motor in the TYPE field for the same row.

    It adds an option within this new category.

  5. Enter ace_cb1_FVNR_H_custom.dwg in the DWG_TEMPLATE field in this row.

    It defines which circuit template drawing to use for this option. This is the circuit template drawing created in the Create the circuit template exercise.

  6. Enter 3ph_H_custom in the SHEET_NAME field in this row.

    It defines the circuit codes sheet name. This is created in the Circuit codes sheet exercise.

  7. Save the spreadsheet.
NoteLeave the ANNO_CODE field blank. See Predefine attribute values using annotation presets to learn how to define annotation.


Circuit codes sheet (Procedure)

Add a new circuit
Up a level to ..
Add a new circuit
Advanced Productivity > Customize Circuit Builder >
Add a new circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Circuit codes sheet

Once a circuit is selected from the Circuit Selection dialog box (the CATEGORY and TYPE fields from the ACE_CIRC sheet), the associated circuit template drawing, with the marker blocks, is inserted (the DWG_TEMPLATE field). A related circuit code sheet is ready for reference (the SHEET_NAME field). Each marker block contains a CODE attribute with a value. This CODE value is used to match up with a section in the circuit code sheet which defines what to do at the location of this marker block in the template.

You can create a sheet or copy an existing, similar sheet. Since the circuit template drawing was copied from ace_cb1_FVNR_H.dwg, it is easier to copy the circuit codes sheet, 3ph_H, and modify it.

  1. Open ace_circuit_builder.xls for edit using a spreadsheet software. See Circuit Builder spreadsheet overview for the location of this file.
  2. Copy the 3ph_H sheet and rename it 3ph_H_custom as referenced in the ACE_CIRCS sheet.

The changes in the circuit codes sheet must correspond to the changes made to the marker blocks in the circuit template drawing. You can delete the lines in the sheet that match the code values from the marker blocks you deleted, XF01 and KVAR1. If you decide not to delete them from this sheet, it is not a problem. These lines are ignored and not displayed on the Circuit Configuration dialog box if the corresponding marker blocks are not found.

  3. Locate the CODE value XF01.
  4. Delete all the spreadsheet rows to the point where the next non-blank CODE value begins, such as XF02.
  5. Repeat for CODE value KVAR1.

Add a section for the new marker block you added with a CODE value of USR001. Add this new section at the bottom of the sheet after the last non-blank row.

  6. Enter USR001 in the CODE field in the blank row.
  7. Enter Extra Component in the COMMENT field.

    It is displayed in the left-hand Circuit Elements section of the Circuit Configuration dialog box and is used for selection.

  8. Enter Component in the UI_TITLE field.

    It is the label that shows up above the selection list in the middle part of the Circuit Configuration dialog box.

  9. Enter Red Light in the UI_PROMPT_LIST field in the same row.

    It is the text shown in the selection list for this item, displayed in the middle part of the dialog box.

  10. Enter ‘1 in the UI_VAL field in the same row.

    It is a numerical value assigned to the selection from each group. These numerical values are added up and matched to the value in the UI_SEL column. This example only has one value.

  11. Enter ‘1 in the UI_SEL field in the same row.
    NoteAll UI_VAL and UI_SEL values must be inserted as text values in the spreadsheet and not as numbers. An apostrophe character in front of the number forces the spreadsheet software to interpret it as a text value. You can also format the cells specifically as text. The text should appear left justified in the cell. If any values appear right justified, they must change from numeric to text values.

    It is a numerical value matched to the sum total of the values in the UI_VAL column for each selection made within a group. The COMMAND_LIST value from this row is used to insert the selected options.

  12. Enter (c:ace_cb_insym #xyz nil “HLT1R” #scl 8 nil) in the COMMAND_LIST field.

    It is the API call Circuit Builder uses to insert a component. See the API documentation for more information.

  13. Enter Selector Switch in the UI_PROMPT_LIST field in the next row.

    It is the second option within the Extra Component option. The CODE, COMMENTS, and UI_TITLE fields should remain blank.

  14. Enter X in the UI_DEF field in this row. It defines the entry as the default option. The default is used when the circuit is inserted using the Insert button on the Circuit Selection dialog box. If the Configure button is selected, the "X" entry is the preselected default in the Circuit Configuration dialog box when the options for this marker block are displayed
  15. Enter ‘2 in the UI_VAL field in the same row.
  16. Enter ‘2 in the UI_SEL field in the same row.
  17. Enter (c:ace_cb_insym #xyz nil “HSS112” #scl 8 nil) in the COMMAND_LIST field.
  18. Enter NO Contact in the UI_PROMPT_LIST field in the next row.
  19. Enter ‘3 in the UI_VAL field in the same row.
  20. Enter ‘3 in the UI_SEL field in the same row.
  21. Enter (c:ace_cb_insym #xyz nil “HCR21” #scl 8 nil) in the COMMAND_LIST field.
  22. Enter None in the UI_PROMPT_LIST field in the next row.
  23. Enter ‘0 in the UI_VAL field in the same row.
  24. Enter ‘0 in the UI_SEL field in the same row.

    Leave the COMMAND_LIST field blank, meaning that if this option is selected no action is needed.

  25. Save the spreadsheet.
NoteA new circuit codes sheet is not always needed. Depending on the circuit and the circuit options, the information can be added to an existing sheet. In this example, a new sheet was created to demonstrate the procedure.


Testing the circuit (Procedure)

Add a new circuit
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Add a new circuit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Testing the circuit

Once you create the circuit template, modified ACE_CIRCS sheet, and added the circuit codes sheet, you are ready to test your custom circuit.

  1. Make sure that you save the spreadsheet changes and close the spreadsheet file.
  2. Open a new or existing drawing to insert the circuit. Make sure that the drawing has a vertical 3-phase bus.
  3. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  4. Look for the new category you added, Custom Circuits, on the Circuit Selection dialog box.

    If it is not there, or is not in the place you wanted, go back to the ACE_CIRCS exercise.

  5. Expand the Custom Circuits category and select the circuit you added, My 3-ph motor.

    If it is not there or is not in the place you wanted, go back to the ACE_CIRCS exercise.

  6. Click Configure.
  7. Select a location on the 3-phase bus.

    If the wires do not connect to the bus in the way defined, go back to Define wires stretching to connect to bus.

  8. Look through the circuit elements on the Circuit Configuration dialog box. If the circuit element for the new marker block, Extra Component, is not there, go back to Circuit codes sheet.
  9. Select Extra Component in Circuit Elements.

    If the options, Red Light, Selector Switch, NO Contact, and None are not displayed in the Select section, go back to Circuit codes sheet.

    If the default value for the Extra Component is not Selector Switch, go back to Circuit codes sheet.

  10. Select a component from the list.
  11. Select to insert all the circuit elements.
  12. If the component selected for the new Extra Component option was not inserted, go back to Circuit codes sheet.
  13. If the attribute values for the component are not predefined, LOC=FIELD and DESC1=ADDED COMPONENT, go back to circuit template.
  14. If the three terminals are not numbered, T1, T2, and T3, go back to circuit template.


Circuit Builder - How to (Concept)

Add a new circuit
Customize Circuit Builder
Build your own symbols
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Circuit Builder is controlled by a spreadsheet, a set of circuit template drawings, and the electrical standards database file. The spreadsheet, circuit template drawings, and the electrical standards database file can be modified to customize Circuit Builder.

Spreadsheet

The spreadsheet defines the available circuits, circuit types, and defaults for each option within a circuit. The default name for the Circuit Builder spreadsheet is ace_circuit_builder.xls. The default location for the spreadsheet is:

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Support\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Support\

The ace_circuit_builder.xls spreadsheet can be relocated into any of the normal AutoCAD Electrical or AutoCAD support paths.

The circuit builder spreadsheet name can be overridden by setting the environment variable, WD_CIRCBUILDER_FNAM, in the wd.env file.

circuit template drawings

The template for a selected circuit defines the placement for the individual components and the wiring. The circuit template drawings use the following naming convention.

  • ace_cb1_*.dwg - primary circuit template drawings
  • ace_cb2_*.dwg - branching or nested circuit template drawings

The default location for the circuit template drawings is the schematic library folder:

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Libs\{library}\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Libs\{library}\

One-line circuit templates have a “1-” and the default location is in a “1-” folder under the schematic library folder.

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\AcadE {version}\Libs\{library}\1-
  • Windows Vista: C:\Users\Public\Documents\Autodesk\AcadE {version}\Libs\{library}\1-
NoteNew templates do not have to follow this naming convention.

Electrical Standards database file

Circuit Builder uses an electrical standards database to define default values, define engineering calculations, annotate circuits, and provide wire type analysis. The electrical standards database, ace_electrical_standards.mdb, is located in the catalog folder. The default location is:

  • Windows XP: C:\Documents and Settings\{username}\My Documents\Acade {version}\AeData\Catalogs\
  • Windows Vista: C:\Users\{username}\Documents\Acade {version}\AeData\Catalogs\
See Also
    • Circuit Builder spreadsheet
    • Circuit Builder drawing templates
    • Circuit Builder database


Circuit Builder - How to (Procedure)

Add a new circuit
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Add a multiple catalog option

Assign different attribute values on a multi-pole insert

Assign attribute values using AutoLISP

Conditionally trim or remove a wire segment

Conditional component insertion

Control the multi-pole insertion direction

Control the bus wire spacing

Define the wire type

Define the wire type as no wire numbering

Format the numeric tag of the motor symbol in a wire number

Format the numeric tag of the motor symbol into other component tags

Link a child contact to the parent

Map motor parameters to the motor symbol attributes

Override the default tag format

Override the default wire number format

Predefine attribute values

Predefine attribute values using annotation presets

Predefine a wire number

Set circuit element defaults

Set up component auto-sizing

Stretch and connect wiring from a nested template


Add a multiple catalog option (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Add a multiple catalog option

Some components need multiple catalog entries. Define them in the Circuit Builder spreadsheet to add them in the Setup & Annotation section of the Circuit Configuration dialog box.

  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the component, for example CODE: PB01, COMMENTS: Stop, UI_PROMPT_LIST: Stop.

    Notice the values in TABLE0: PB and TITLE0: Push Button.

    It indicates that the component can have a main catalog value. The TABLE0 value is the table name for the catalog lookup. The TITLE0 value is the title for the section in the Setup & Annotation area of the Circuit Configuration dialog box.

  5. Add a value in the TABLE1 and TITLE1 cells. For example, if the push button requires a cover and it is found in the MISC_CAT table of the catalog lookup database file, enter TABLE1: MISC_CAT and TITLE1: Cover.
  6. Save the spreadsheet.

The next time Circuit Builder is run using the configure option, an extra catalog section appears for this component.


Assign different attribute values on a multi-pole insert (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Assign different attribute values on a multi-pole insert

There are two ways to predefine attribute values for a multi-pole component.

  • On the marker block for the component in the circuit template drawing.
  • In the Circuit Builder spreadsheet circuit codes sheet.
NoteThe attribute value defined on the marker block overrides any value defined in the spreadsheet.
Marker block method
  1. Open the circuit template drawing that contains the marker block for the component.
  2. Find the correct marker block for the component.
  3. Edit its MISC1 attribute value using the format “_L=|{attribute name}={attribute value} | {attribute name}={attribute value}”. For example, to assign different terminal numbers to the multi-pole insertion of three motor terminals, enter “_L=|TERM01=T1|TERM01=T2|TERM01=T3|”.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
Spreadsheet method
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the specific component, for example CODE: X001, COMMENTS: Motor terminal connections, UI_PROMPT_LIST: Square.

    There can be multiple selections within the group. For example, there is a selection for the type of disconnecting means, and a selection to include an auxiliary contact. Each selection is assigned a numerical value from the UI_VAL field. The values are added to determine the appropriate action for this combination of selections. The sum is matched to a value in the UI_SEL field. Once this match is made, the COMMAND_LIST value, ANNOTATE_LIST value, and so on, are used to insert and annotate the selections.

  5. Edit the API call in the COMMAND_LIST column for this component. For example, the last argument of this Insert Multi-pole Component API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before: (c:ace_cb_multipole #xyz nil "HT0001" 3 #scl 4 nil)

    After: (c:ace_cb_multipole #xyz nil "HT0001" 3 #scl 4 “_L=|TERM01=T1|TERM01=T2|TERM01=T3|”)

    NoteSee the API documentation for more information.
  6. Save the spreadsheet.


Assign attribute values using AutoLISP (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Assign attribute values using AutoLISP

An AutoLISP expression can be used to define a calculated or special value for an attribute on a component. For example, you can calculate related values such as Kilowatt (KW) based upon a selected horsepower value.

See Map motor parameters to the motor symbol attributes to map the entered horsepower.

  1. Open the circuit template drawing that contains the marker block for the motor symbol.
  2. Find the correct marker block for the motor symbol.
  3. Edit its MISC1 attribute value using the format “{attribute name}=(AutoLISP expression). For example, convert the HP value to Kilowatts and push this value out to attribute RATING5 on the motor symbol. Enter this expression on the MISC1 attribute of the marker block:

    RATING5=(rtos (* @1@ 0.746) 2 2)

    The "@1@" maps to the second entry (list is zero based) held in the #data global variable, which is the entered horsepower value. Multiplying by 0.746 converts the horsepower (HP) to Kilowatts (KW).

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.


Conditionally trim or remove a wire segment (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Conditionally trim or remove a wire segment

As Circuit Builder dynamically builds the circuit, a circuit element selection can require that a wire is trimmed back or removed. For example, the circuit can include an option for an indicator light. If no indicator light is selected, the wire framework for it must be removed.

  1. Open the circuit template drawing that contains the marker block for the optional component. Take note of the value of the ORDER attribute.
  2. Find the wires to remove or trim if the optional component is not selected.
  3. Add marker blocks on each wire with the same ORDER attribute value as the optional marker block for the component.
  4. Assign the same CODE value to each trim wire marker block, for example “XY01”.

  5. Save the circuit template drawing.
  6. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  7. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  8. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  9. Find the optional component, for example CODE: LT01, COMMENTS: Light, UI_PROMPT_LIST: Light.
  10. Edit the API call in the COMMAND_LIST column for the option that would require a wire trim or removal. For example, add this command call for the "No light" option in the spreadsheet:

    (c:ace_cb_trim "XY01" nil) where “XY01” is the CODE attribute value assigned to each wire marker block.

    NoteSee the API documentation for more information.
  11. Save the spreadsheet.


Conditional component insertion (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Conditional component insertion

As Circuit Builder dynamically builds the circuit, a circuit element selection may require a conditional component insertion. For example, there may be an option to insert either a “start” push button or a N.O. relay contact at the insertion point of a marker block. If a momentary push button is selected then a “seal” contact should be inserted around the push button at the location marked with a separate marker block. However, if the N.O. relay contact option is selected, then no seal contact is needed and wires must be trimmed or removed.

  1. Open the circuit template drawing that contains the marker block for the selected component, for example the momentary push button. Take note of the value of its ORDER attribute.
  2. Find the wire that should receive the conditional component. Add a marker block with the same ORDER attribute value.
  3. Assign a unique CODE attribute value to this conditional marker block, for example “XY02”.
  4. Find the wires to remove or trim if the conditional component is not needed.
  5. Add marker blocks on each of these wire segments. Edit the ORDER attribute value to match the one on the marker block for the conditional component.
  6. Assign the same CODE value to each wire marker block, for example “XY01”. This CODE value should not be the same as the one assigned to the conditional component marker block.

  7. Save the circuit template drawing.
  8. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  9. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  10. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  11. Find the optional component, for example CODE: PB02, COMMENTS: Start, UI_PROMPT_LIST: Start.
  12. Edit the API call in the COMMAND_LIST column for the option that would require the conditional insert. Multiple API calls can be used to insert multiple components. For example:

    (c:ace_cb_insym #xyz nil "HPB11" #scl 8 nil)(c:ace_cb_insym "XY02" nil "HMS21" #scl 8 nil)

    Note the difference in the second call. Instead of passing the #xyz global variable name that carries the XY coordinate of the main marker block, it passes the "XY02" code name. This means that the "HMS21" symbol will insert wherever marker block "XY02" is located in the inserted template.

  13. Edit the API call in the COMMAND_LIST column for the option that requires a wire trim or removal. For example:

    (c:ace_cb_trim "XY01" nil) where “XY01” is the CODE attribute value assigned to each wire marker block.

    Instead of passing the XY coordinate as the first argument, the "XY01" code name is passed. It instructs Circuit Builder to find all marker blocks with CODE attribute value "XY01" and with the target ORDER value and trim or remove their underlying wires

    NoteSee the API documentation for more information.
  14. Save the spreadsheet.


Control the multi-pole insertion direction (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Control the multi-pole insertion direction

The default build direction for a multi-pole component is down for horizontal bus wires, and left to right for vertical bus wires. You can override the default build direction.

  1. Open the circuit template drawing that contains the marker block for the multi-pole component.
  2. Find the correct marker block for the component.
  3. Edit its MISC1 attribute value using the format “_D={digit}”, where 1=build left to right, 2=build up, 4=build right to left, and 8=build down.

    For example, if the template has a vertical 3-phase bus and the disconnection means that marker block is located over the right-hand wire, give its MISC1 attribute a value of "_D=4". It causes the child poles of the multi-pole insert to move to the left to pick up the remaining two bus wires.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.


Control the bus wire spacing (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Control the bus wire spacing

You can set up a circuit template so the wire spacing between two or more parallel bus wires is auto-adjusted. A marker block is positioned on each wire and its CODE value references the (c:ace_cb_rung_spacing…) API call in the spreadsheet. The marker blocks with a common ORDER value are processed as a group. One of the marked wires is designated as the "base" wire, meaning that it is the one that does not move. The other marked bus wires in the group are then positioned set distances away from the base wire.

The base wire is determined in one of two ways:

  • The base wire is the marker block that has a MISC1 attribute with a value of "_BASE".
  • If no MISC1 attribute has a “_BASE” value, the underlying wire that comes closest to being colinear with the insertion point of the template is the one that becomes the base wire.

A template can carry multiple groups of marker blocks indicating that the underlying bus wires should auto-adjust. The CODE value can be the same for all groups, but each group must have its own ORDER value.


Define the wire type (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Define the wire type

There are three ways to define the wire type.

  • On the marker block for the wire in the circuit template.
  • In the Circuit Builder spreadsheet circuit codes sheet.
  • Based on motor size selection.
NoteThe attribute value defined on the marker block overrides any value defined in the spreadsheet.
Marker block method
  1. Open the circuit template drawing that contains the marker block for the wire.
  2. Find the correct marker block for the wire.
  3. Edit its MISC1 attribute value using the format “_WIRETYPE={layer name}”, for example, “_WIRETYPE=BRN_10AWG”.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
Spreadsheet method
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the specific wire, for example CODE: WT01, and COMMENTS: Assign motor wire type - phase 1.
  5. Edit the API call in the COMMAND_LIST column for this wire. For example, the last argument of this Set Wire type API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before: (c:ace_cb_set_wiretype #data 1 nil)

    After:(c:ace_cb_set_wiretype #data 1 “_WIRETYPE=BRN_10AWG”)

    NoteSee the API documentation for more information.
  6. Save the spreadsheet.
Based on motor size selection

You can apply the minimum wire size for a selected motor load to the wire type layer name. The value, which is extracted from the ace_electrical_standards.mdb database, can be substituted for any “@WSIZE@” string found in the “_WIRETYPE=” value. Use this variable in the MISC1 attribute on the wire marker block or in the spreadsheet as part of the wire type API call.

Marker block method

  1. Open the circuit template drawing that contains the marker block for the wire.
  2. Find the correct marker block for the wire.
  3. Edit its MISC1 attribute value using the format “_WIRETYPE=@WSIZE@”, for example, “_WIRETYPE=BRN_@WSIZE@”.
    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.

Spreadsheet method

  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the specific wire, for example CODE: WT01, and COMMENTS: Assign motor wire type - phase 1.
  5. Edit the API call in the COMMAND_LIST column for this wire. For example, the last argument of this Set Wire type API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before: (c:ace_cb_set_wiretype #data 1 nil)

    After:(c:ace_cb_set_wiretype #data 1 “_WIRETYPE=BRN_@WSIZE@”)

    NoteSee the API documentation for more information.
  6. Save the spreadsheet.


Define the wire type as no wire numbering (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Define the wire type as no wire numbering

There are two ways to define the wire type and set it to “no wire numbering”.

  • On the marker block for the wire in the circuit template.
  • In the Circuit Builder spreadsheet circuit codes sheet.
NoteThe attribute value defined on the marker block overrides any value defined in the spreadsheet.
Marker block method
  1. Open the circuit template drawing that contains the marker block for the wire.
  2. Find the correct marker block for the wire.
  3. Edit its MISC1 attribute value using the format “_WIRENUMBERS=0;_WIRETYPE={layer name}”.
    • _WIRENUMBERS=0 defines the layer as No Wire Numbering. Any wire without this flag is created as a normal wire numbering layer by default.
      NoteThis flag applies only if the wire layer does not exist and is created when the circuit is inserted.
    • _WIRETYPE={layer name} defines the layer name.
    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
Spreadsheet method
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the specific wire, for example CODE: WT01, and COMMENTS: Assign motor wire type - phase 1.
  5. Edit the API call in the COMMAND_LIST column for this wire. For example, the last argument of this Set Wire type API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before: (c:ace_cb_set_wiretype #data 1 nil)

    After:(c:ace_cb_set_wiretype #data 1 “_WIRENUMBERS=0;_WIRETYPE=BRN_10AWG”)

    • _WIRENUMBERS=0 defines the layer as No Wire Numbering. Any wire without this flag is created as a normal wire numbering layer by default.
      NoteThis flag applies only if the wire layer does not exist and is created when the circuit is inserted.
    • _WIRETYPE=BRN_10AWG defines the layer name.
    NoteSee the API documentation for more information.
  6. Save the spreadsheet.


Format the numeric tag of the motor symbol in a wire number (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Format the numeric tag of the motor symbol in a wire number

You can include the motor symbol tag number assignment in connected wire number assignments. It requires coordination between the motor symbol insertion and the wire number insertion. The motor symbol must insert before the wire number. The order of insertion is controlled by the ORDER attribute value on the marker blocks within the circuit template drawing. The marker block ORDER attribute value for the motor symbol must be a lower number than the ORDER value of the marker block for the wire number in the circuit template drawing. When the wire number is inserted, the motor tag value can be incorporated in to the wire number.

  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the motor symbol, for example CODE: MTR03, COMMENTS: Motor symbol, UI_PROMPT_LIST: 3ph motor.

    There can be multiple selections within the group. For example, there is a selection for the type of disconnecting means, and a selection to include an auxiliary contact. Each selection is assigned a numerical value from the UI_VAL field. The values are added together to determine the appropriate action for this combination of selections. The sum is matched to a value in the UI_SEL field. Once this match is made, the COMMAND_LIST value, ANNOTATE_LIST value, and so on, are used to insert and annotate the selections.

  5. Edit the API call in the ANNOTATE_LIST column for this component. For example, it might look like this with two API calls concatenated:

    (c:ace_cb_anno #data 0)(c:ace_cb_save "@MOTOR_NUM@" "TAG1*" nil 1)

    The second one, c:ace_cb_save, saves the TAG1 attribute value on the motor in to memory under an index tag of “@MOTOR_NUM@”. This value can be referenced when the subsequent wire number marker blocks are processed.

    NoteSee the API documentation for more information on c:ace_cb_save.
  6. Save the spreadsheet.
  7. Find the marker blocks for the wire numbers that are tied to the motor tag. These could be on the main circuit template or on a nested template drawing. Open the circuit template drawing.
  8. Find the correct marker block for the wire number.
  9. Edit its MISC1 attribute value using the @MOTOR_NUM@ in the format where you want the motor tag value. For example, “_TAGFMT=@MOTOR_NUM@-%N” or to predefine a wire number, “_TAGFMT=@MOTOR_NUM@-T1A”.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  10. Save the circuit template drawings.


Format the numeric tag of the motor symbol into other component tags (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Format the numeric tag of the motor symbol into other component tags

You can include the motor symbol tag number assignment in other components in the circuit. It requires coordination between the motor symbol insertion and the insertion of the other components. The motor symbol must insert before these other components. The order of insertion is controlled by the ORDER attribute value on the marker blocks within the circuit template drawing. The marker block ORDER attribute value for the motor symbol must be a lower number than the ORDER values of the marker blocks for the other components in the circuit template drawing. When the other components are inserted, the motor tag value can be incorporated into the subsequent component tags.

  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the motor symbol, for example CODE: MTR03, COMMENTS: Motor symbol, UI_PROMPT_LIST: 3ph motor.

    There can be multiple selections within the group. For example, there is a selection for the type of disconnecting means, and a selection to include an auxiliary contact. Each selection is assigned a numerical value from the UI_VAL field. The values are added together to determine the appropriate action for this combination of selections. The sum is matched to a value in the UI_SEL field. Once this match is made, the COMMAND_LIST value, ANNOTATE_LIST value, and so on, are used to insert and annotate the selections.

  5. Edit the API call in the ANNOTATE_LIST column for this component. For example, it might look like this with two API calls concatenated:

    (c:ace_cb_anno #data 0)(c:ace_cb_save "@MOTOR_NUM@" "TAG1*" nil 1)

    The second one, c:ace_cb_save, saves the TAG1 attribute value on the motor in to memory under an index tag of “@MOTOR_NUM@”. This value can be referenced when the subsequent component marker blocks are processed.

    NoteSee the API documentation for more information on c:ace_cb_save.
  6. Find the component you want the tag to follow the motor tag, for example CODE: CAP01, COMMENTS: Power factor correction capacitor.
  7. Edit the API call in the COMMAND_LIST column for this component. For example, it might look like this:

    (c:ace_cb_insym #xyz nil "VCA113_1-" #scl 8 "%N=@MOTOR_NUM@")

    The last argument of this API call, “%N=@MOTOR_NUM@”, tells Circuit Builder to use the TAG1 value from the motor, saved as “@MOTOR_NUM@”, as the number part of the tag for this component. For example, if the component tag format is defined as “%S-%F-%N”, the numeric part of the motor tag is used for the “%N” part of the generated component tag.

    You can also define this using a fixed _TAGFMT option. Using this approach overrides the component tag format defined for the drawing. Some examples:

    • "_TAGFMT=%F@MOTOR_NUM@" - used with the component family code string, %F.
    • "_TAGFMT=%S-@MOTOR_NUM@%F" - used with the SHEET_NAME value of the drawing, %S.
    • "_TAGFMT=CA@MOTOR_NUM@" - used with a defined text prefix.
  8. Repeat for each component that should base the tag value off the motor tag value.
  9. Save the spreadsheet.
NoteIt can also be done by defining the MISC1 attribute on the marker blocks for each component as described in Format the numeric tag of the motor symbol in a wire number.


Link a child contact to the parent (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Link a child contact to the parent

As Circuit Builder dynamically builds the circuit, each component receives a component tag. A child contact must link to a parent component to receive the same component tag as the parent.

The parent and child components are automatically linked by Circuit Builder if they each have the same default tag value. For example, the motor starter coil and auxiliary contacts both have a default value “M”.

There can be more than one parent/child relationship within the overall circuit with the same default tag. The overall circuit includes the main circuit template and any branching or nested circuit templates. For example, a reversing motor starter has two starter coils, forward and reverse. Each parent coil must link to the correct child auxiliary contacts and power contacts but they might all have the same default tag value, “M”. To accomplish the correct parent/child links follow these steps.

  1. Open the circuit template drawings that contain the parent and child marker blocks. There can be more than one circuit template drawing involved, for example a main template with power contacts and a nested template with the starter coils and interlocking auxiliary contacts.
  2. Find the correct marker block for each component that requires a new default tag link.
  3. Edit the MISC1 attribute value adding “_PRETAG={new default tag link}”. For example, add “_PRETAG=MF” for the forward motor coil and contacts, and “_PRETAG=MR” for the reverse motor coil and contacts.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon (:).
  4. Save the circuit template drawings.

    When Circuit Builder inserts the nested circuit containing the child contacts, it matches these predefined tag values with the correct parent coil.


Map motor parameters to the motor symbol attributes (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Map motor parameters to the motor symbol attributes

When a motor circuit is selected, a special motor setup/annotation function is called. This special function is flagged by a marker block on the template with a CODE value which maps to a line in the circuit codes sheet marked "!MCC_CTRL" in the UI_TITLE field. This function references the ace_electrical_standards.mdb file to determine full load current and wire size values for a selected set of motor input parameters.

The values generated by this motor setup/annotation function are not automatically written to attributes on the components or wire types on the circuit. These values are saved as an indexed list in an AutoLISP global variable called “#data”. Global means that the data is saved in memory and is available while the Circuit Builder continues to construct the circuit. As Circuit Builder processes subsequent marker blocks of the circuit, it can be set up to pull one or more of these saved values from the global and push them out to attributes on the components or used to format appropriate wiretype layer names

This motor setup/annotation must be flagged to happen early on. It is done with an ORDER value which is set to a low number or 0. For example, if the motor full load amps value is used to determine the main disconnect circuit breaker sizing, this data must be in memory before the main disconnecting means marker block is processed.

The elements in the first sublist of the "#data" list are held in memory in the following order. The values related to the motor are held in the first eight elements. See the API documentation for a complete list of elements.

  1. Motor Type
  2. Power
  3. Units
  4. Voltage
  5. Phase
  6. Hertz (Hz)
  7. Speed (RPM)
  8. Full Load Amps (FLA)
NoteCircuit Builder numbers this indexed list starting at 0 rather than 1.

There are two ways to map these values to the attributes on a component.

  • On the marker block for the motor, fuse, or circuit breaker symbol in the circuit template drawing.
  • In the Circuit Builder spreadsheet circuit codes sheet.
NoteThe attribute value defined on the marker block overrides any value defined in the spreadsheet.
Marker block method
  1. Open the circuit template drawing that contains the marker block for the motor, fuse, or circuit breaker symbol.
  2. Find the correct marker block for the symbol.
  3. Edit its MISC1 attribute value using the format “{attribute name}=@#@”. Replace the “#” with the appropriate index digit to map the correct element. For example, to map the horsepower to the RATING2 attribute, enter "RATING2=HP: @1@". To also map the full load amp value to the RATING4 attribute, enter "RATING2=HP: @1@;RATING4=Full load: @7@ amps". Remember, the indexed list of values is zero based.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
Spreadsheet method
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the motor symbol section, for example CODE: MTR03, COMMENTS: Motor symbol, UI_PROMPT_LIST: 3ph motor.

    There can be multiple selections within the group. For example, there is a selection for the type of disconnecting means, and a selection to include an auxiliary contact. Each selection is assigned a numerical value from the UI_VAL field. The values are added to determine the appropriate action for this combination of selections. The sum is matched to a value in the UI_SEL field. Once this match is made, the COMMAND_LIST value, ANNOTATE_LIST value, and so on, are used to insert and annotate the selections.

  5. Edit the API call in the COMMAND_LIST column for this motor symbol. For example, the last argument of this Insert Component API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before:(c:ace_cb_insym #xyz nil "HMO13" #scl 8 nil)

    After:(c:ace_cb_insym #xyz nil "HMO13" #scl 8 “RATING2=HP: @1@”)

    NoteSee the API documentation for more information.
  6. Save the spreadsheet.


Override the default tag format (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Override the default tag format

There are two ways to override the drawing tag format for a component.

  • On the marker block for the component in the circuit template drawing.
  • In the Circuit Builder spreadsheet circuit codes sheet.
NoteThe attribute value defined on the marker block overrides any value defined in the spreadsheet.
Marker block method
  1. Open the circuit template drawing that contains the marker block for the component.
  2. Find the correct marker block for the component.
  3. Edit its MISC1 attribute value using the format “_TAGFMT={format}”, for example, “_TAGFMT=DISC-%N”.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
Spreadsheet method
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the specific component, for example CODE: Q001, COMMENTS: Disconnecting means, UI_PROMPT_LIST: Disconnect switch and fuses.

    There can be multiple selections within the group. For example, there is a selection for the type of disconnecting means, and a selection to include an auxiliary contact. Each selection is assigned a numerical value from the UI_VAL field. The values are added to determine the appropriate action for this combination of selections. The sum is matched to a value in the UI_SEL field. Once this match is made, the COMMAND_LIST value, ANNOTATE_LIST value, and so on, are used to insert and annotate the selections.

  5. Edit the API call in the COMMAND_LIST column for this component. For example, the last argument of this Insert Multi-pole Component API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before: (c:ace_cb_multipole #xyz nil "HDS11F" 3 #scl 4 nil)

    After: (c:ace_cb_multipole #xyz nil "HDS11F" 3 #scl 4 “_TAGFMT=DISC-%N”)

    NoteSee the API documentation for more information.
  6. Save the spreadsheet.


Override the default wire number format (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Override the default wire number format

There are two ways to override the drawing wire number format for a wire number.

  • On the marker block positioned over the wire in the circuit template drawing.
  • In the Circuit Builder spreadsheet circuit codes sheet.
NoteThe attribute value defined on the marker block overrides any value defined in the spreadsheet.
Marker block method
  1. Open the circuit template drawing that contains the marker block for the wire number.
  2. Find the correct marker block for the wire number.
  3. Edit its MISC1 attribute value using the format “_TAGFMT={format}”, for example, “_TAGFMT=%N-T1”.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
Spreadsheet method
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the specific wire number, for example CODE: WN01F, and COMMENTS: Insert wire number on network, use drawing defaults, mark it as “fixed”.
  5. Edit the API call in the COMMAND_LIST column for this component. For example, the last argument of this Insert Wire Number API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before: (c:ace_cb_wnum nil nil 1 nil)

    After:(c:ace_cb_wnum nil nil 1 “_TAGFMT=%N-T1”)

    NoteSee the API documentation for more information.
  6. Save the spreadsheet.


Predefine attribute values (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Predefine attribute values

There are three ways to predefine attribute values for a component.

  • On the marker block for the component in the circuit template drawing.
  • In the Circuit Builder spreadsheet circuit codes sheet.
  • Annotation presets - provides the ability to select which attribute values to apply when the circuit is inserted.
NoteAn annotation preset value overrides the attribute value defined on the marker block. The attribute value defined on the marker block overrides any value defined in the spreadsheet.
Marker block method
  1. Open the circuit template drawing that contains the marker block for the component.
  2. Find the correct marker block for the component.
  3. Edit its MISC1 attribute value using the format “{attribute name}={attribute value}”, for example, “DESC1=MOTOR”.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
Spreadsheet method
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  3. Open the circuit code sheet with the same name as the SHEET_NAME value, for example SHEET_NAME: 3ph_H.
  4. Find the specific component, for example CODE: PB01, COMMENTS: STOP, UI_PROMPT_LIST: Push button - Standard.

    There can be multiple selections within the group. For example, there is a selection for the type of disconnecting means, and a selection to include an auxiliary contact. Each selection is assigned a numerical value from the UI_VAL field. The values are added to determine the appropriate action for this combination of selections. The sum is matched to a value in the UI_SEL field. Once this match is made, the COMMAND_LIST value, ANNOTATE_LIST value, and so on, are used to insert and annotate the selections.

  5. Edit the API call in the COMMAND_LIST column for this component. For example, the last argument of this Insert Component API call is used to predefine MISC1 coded values with nil when nothing extra is defined.

    Before and after are shown:

    Before: (c:ace_cb_insym #xyz nil "HPB12" #scl 8 nil)

    After: (c:ace_cb_insym #xyz nil "HPB12" #scl 8 “DESC1=CONVEYOR;DESC2=SYSTEM RESET”)

    NoteSee the API documentation for more information.
  6. Save the spreadsheet.
See Also
    • Predefine attribute values using annotation presets


Predefine attribute values using annotation presets (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Predefine attribute values using annotation presets

Annotation presets allow you to:

  • Predefine description text, installation, location values for individual components in the circuit.
  • Select which attribute values to apply to the circuit when it is built.
  • Edit the attribute values before the circuit is built.
  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Open the ACE_CIRCS sheet.
  3. Find the circuit CATEGORY and TYPE, for example CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  4. Assign a code value in the ANNO_CODE field if there isn’t one, for example ANNO_3M.
  5. In AutoCAD Electrical, open the circuit template drawing listed in the DWG_TEMPLATE field, for example ace_cb1_FVNR_H.dwg.
  6. Open the ANNO_CODE sheet in the spreadsheet.

    This sheet provides a link between the circuit you select (identified by the ANNO_CODE value), a specific marker block (identified by its CODE value), and a specific attribute on the marker block.

  7. Enter the ANNO_CODE value from earlier in the ANNO_CODE field of a blank row, ANNO_3M.

    For this example, you define some attribute values for the motor symbol.

  8. In AutoCAD Electrical, find the marker block that defines the insertion point for the motor symbol. Find the CODE attribute value, for example MTR03.
  9. In the spreadsheet, add a new line in the ANNO_CODE table for each attribute you wish to predefine. For example:
    • ANNO_CODE = ANNO_3M. It is the value from the ACE_CIRCS sheet for this circuit.
    • CODE = MTR03. It is the value from the CODE attribute on the marker block.
    • ATTRIBUTE = LOC. It is the attribute name you want to predefine.
    • PROMPT = Motor - Location code. This is the text used on the Annotation Presets dialog box. This dialog box is displayed if you select the Presets - List button when the circuit is inserted.
    • Default = FIELD. It is the attribute value to apply to the LOC attribute when the motor symbol is inserted.
  10. Repeat for each attribute value you want to predefine. The ANNO_CODE and CODE values should be the same for each attribute on this motor symbol.
  11. Save and close the spreadsheet.

    You are now ready to test the changes.

  12. Click Schematic tab [image] Insert Components panel [image] Circuit Builder drop-down [image] Circuit Builder. Enter AECIRCBUILDER at the command prompt.
  13. Select the circuit CATEGORY and TYPE, CATEGORY: 3ph Motor Circuit and TYPE: Horizontal - FVNR - non reversing.
  14. Select the Presets button in the Special Annotation section.
  15. Select the Lists button next to Presets.

    The Annotation Presets dialog box displays. Any attributes with non-blank values are selected by default and applied to the symbol when it is inserted. You can select which attribute values to apply or edit the values as necessary.

  16. Select OK.
  17. On the Circuit Selection dialog box, select Insert.

    The circuit is built and the attribute values are applied.


Predefine a wire number (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Predefine a wire number

Predefine a wire number on the wire number marker block on the circuit template drawing.

  1. Open the circuit template drawing that contains the marker block for the wire number.
  2. Find the correct marker block for the wire number.
  3. Edit its MISC1 attribute value using the format “_TAGFMT={wire number}”, for example, “_TAGFMT=24COM”.

    NoteThe MISC1 attribute value can contain multiple special text flags which direct Circuit Builder to handle the component or underlying wire in a special way. When you add new values, do not overwrite any other special flag values. Separate each one with a semicolon.
  4. Save the circuit template drawing.
NoteTo get a fixed wire number, you must adjust the API call in the spreadsheet to indicate it. See the API documentation for more information.


Set circuit element defaults (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Set circuit element defaults

The first sheet of the Circuit Builder spreadsheet, ACE_CIRCS, defines circuit categories, types, main templates, and associated circuit code sheet names. These circuit code sheets include a default option for each circuit element.

For example, the circuit template has a marker block that references a main disconnecting means in the circuit code sheet for the template. The circuit code sheet lists four options:

  • Circuit Breaker
  • Fuses
  • Fused Disconnect
  • Disconnect Switch (non-fused)

When the Circuit Configuration dialog box opens, and you select Main Disconnecting Means from the Circuit Elements tree structure, the Fused Disconnect option is selected. If you select Insert, instead of Configure, to insert the circuit without user prompts, the Fused Disconnect is used for the main disconnecting means.

If you always want a different option selected or used as the default, this value can be changed.

  1. Open the Circuit Builder spreadsheet, ace_circuit_builder.xls.
  2. Find the circuit category and type in the ACE_CIRCS sheet, for example Category: 3ph Motor Circuit and Type: Horizontal - FVNR - non reversing.
  3. Find the value in the SHEET_NAME column, for example 3ph_H. Open the worksheet by selecting on the 3ph_H tab.
  4. Find the circuit element by looking at the values in the COMMENTS and UI_TITLE columns. For example, COMMENTS: Disconnecting Means and UI_TITLE: Main Disconnect.

    Notice there are multiple options for this circuit element as listed in the UI_PROMPT_LIST column. The current default option is indicated by an “X” in the UI_DEF column.

  5. Move the “X” in the UI_DEF column to the row containing the option you want as the default, for example Circuit Breaker. Make sure that only one row for the group contains an “X”.
  6. Save the spreadsheet.


Set up component auto-sizing (Procedure)

Circuit Builder - How to
Up a level to ..
Circuit Builder - How to
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Set up component auto-sizing

Circuit Builder can calculate the rating for components in the circuit based upon some multiple of the full load amp value of the motor or load. For example, the electrical code standard might state that a disconnect switch must be rated not less than 115% of the load amperage. An expected maximum load of 28 amps would require a disconnect switch rated at not less than 115% of 28 amps, or 32.2 amps. If standard switch ratings are 30 and 60 amps, a 60 amp switch would be selected.

Such an automatic calculation can be accomplished by creating a relationship between the call in the ANNOTATE_LIST field value in the circuit codes sheet of the circuit builder spreadsheet, and the MOTOR_I_* tables in the electrical standards database.

Here is how it is defined:

  • The CODE value of the marker block on the inserted circuit template drawing, points at a group of rows in the circuit codes sheet. These rows define the types of components that can be inserted at the location of this marker block.
  • The row for the inserted component, either the default component or the component selected on the Circuit Configuration dialog box, contains an ANNOTATION_LIST column value.
  • The ANNOTATE_LIST column value contains a call to the API function c:ace_cb_anno2. This function includes a code argument like “A1”.
  • The code argument should match a code value in the MOTOR_I_DESC table of the electrical standards database file.

    Here is an example for a disconnect switch entry:

    (c:ace_cb_anno2 nil “A1” “RATING1” 0 nil)

    In this example, “A1” is the code to match in the MOTOR_I_DESC table (for “Disconnect switch non-fused”), and “RATING1” is the attribute on the inserted disconnect switch symbol to receive the final calculated amp value.

  • The MOTOR_I_CALC table also has a column of data with a label that matches the code used in the C:ace_cb_anno2 call.

  • The cell in the MOTOR_I_CALC table contains an expression using “I” to represent the full load amps of the motor. This expression is evaluated using the actual full load amps for the motor. The calculated value is used to determine the value to assign to the attribute.

    Valid operations are +-*/^. The “^” character is the exponential function. For example, I^2 is I squared, while I^0.5 is the square root of I.

    If-then-else statements are supported including one level of nested statements. For example, “(if (I > 400) then (I * 8) else (I * 11))” means the calculated amp value is eight times FLA current for 0-400 amps and 11 times for greater than FLA of 400 amps. One level of nesting is supported. “(if (I >= 9.0) then (I * 1.25) else if (I < 2.0) then (I * 3.0) else (I * 1.67)” means the calculated value is set to (I * 1.67) if I is less than 9 but greater or equal to 2.0 amps. If less than 2.0 amps it is (I * 3.0) and if greater than or equal to 9.0 amps it is (I * 1.25).

    Valid Boolean operations are >, <. >=. <=, =.

  • The MOTOR_I_MAP table contains a row with a matching code value, such as “A1”.

  • The result of the calculation, made from the expression in the MOTOR_I_CALC table, is compared to the MAX values in the MOTOR_I_MAP table to determine the appropriate RATING value. In the earlier example, the 28 amp motor load multiplied by 1.15 yields 32.2 amps minimum for “A1”. This means that a match is made on the record with a MAX value of 60 and yields a 60A switch rating.
  • The RATING value is assigned to the attribute specified in the c:ace_cb_anno2 call, for example “RATING1”.
  • Define an optional catalog assignment to the component by adding a value in the DEFAULT field in the MOTOR_I_MAP table. The format is MFG={manufacturer};CAT={catalog}. For example, an “A3” entry for 15A time-delay fuses might look like the following example:

    MFG=BUSSMAN;CAT=KTK-R-15

When a component has multiple calculated values such as a disconnect switch with fuses, the two RATING attributes for the component are semicolon delimited, as shown in this example:

(c:ace_cb_anno2 nil “A7” “RATING1;RATING2” nil 0)

The MOTOR_I_MAP table contains corresponding semicolon delimited values in the RATING column.

NoteSee the API documentation for more information on the Circuit Builder API calls.


Stretch and connect wiring from a nested template (Procedure)

Circuit Builder - How to
Up a level to ..
Build your own symbols
Advanced Productivity > Customize Circuit Builder >
Circuit Builder - How to
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Stretch and connect wiring from a nested template

A marker block is placed at or near the end of a wire on the circuit template that indicates to Circuit Builder that the wire should try and connect to a nearby wire. The marker block should be placed at or near the end of the wire that must stretch.

There are two options that can be used in the MISC1 attribute value.

_WIRESKIP=n

“n” is the number of wires to skip over before connection is attempted. If the _WIRESKIP flag is missing or set to 0, Circuit Builder stretches and connects to the first wire it encounters. If the value is 1, it skips over one wire before trying to make a connection.

_MAXTRAPCOUNT=n

“n” is the number of trap distance units to search for a wire connection. To see the trap distance value for a drawing, look on the Drawing Properties dialog box, Drawing format tab. The trap distance cannot be set. It is calculated from the drawing scale.

NoteIf this value is not defined on the marker block, Circuit Builder uses a distance value equal to 200 times the trap distance value of the drawing.

The CODE value of the marker block must tie in to the (c:ace_cb_stretch_wire_connect #xyz #misc1) API call in the spreadsheet. The values on the MISC1 attributes are used for the #misc1 argument.

NoteIf the marked wire has a terminal at its end, Circuit Builder stretches the wire and moves the terminal. It stretches based on the origin of the connected terminal rather than the end of the wire.


Build your own symbols

Circuit Builder - How to
Advanced Productivity
Build your own symbols
Advanced Productivity >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Build your own symbols


Build your own symbols (Procedure)

Circuit Builder - How to
Build your own symbols
Build your own symbols
Advanced Productivity >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create a parent schematic symbol

Create a schematic terminal symbol

Create a one-line parent symbol

Convert a non-AutoCAD Electrical block

Create a panel footprint

Create a Symbol Builder attribute template

Creating a custom wire connection style


Build your own symbols (Concept)

Build your own symbols
Build your own symbols
Add your own symbols, circuits, and commands to the icon menu
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

You can use the Symbol Builder to create an AutoCAD Electrical symbol or to convert existing non-AutoCAD Electrical symbols. This utility builds an AutoCAD Electrical symbol by either adding AutoCAD Electrical attributes to the geometry of the symbol or by converting text entities to AutoCAD Electrical attributes.

You can also use AutoCAD attribute definition and editing commands to do the same thing. Use this tool to quickly pick and place attributes. It tracks what attributes are present and checks your work to make sure that any AutoCAD Electrical required attributes are not omitted. For this exercise, you create a symbol and add AutoCAD Electrical attributes to the new geometry.

Symbol Builder works in the Block Editor environment. You can add or modify the geometry of the symbol using standard AutoCAD commands within this environment.


Build your own symbols (Procedure)

Build your own symbols
Up a level to ..
Build your own symbols
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create a parent schematic symbol

Create a schematic terminal symbol

Create a one-line parent symbol

Convert a non-AutoCAD Electrical block

Create a panel footprint

Create a Symbol Builder attribute template

Creating a custom wire connection style


Create a parent schematic symbol (Procedure)

Build your own symbols
Up a level to ..
Build your own symbols
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create a parent schematic symbol

In this exercise, you create a power supply using the Symbol Builder tool.

NoteIf you exit out of the Symbol Builder, restart it, and on the Select Symbol/Objects dialog box, click Select objects and select any graphics and attributes you added so far. You can then resume from where you left off.
  1. In an AutoCAD drawing, draw a rectangle on the drawing.

    NoteYou can also create and modify the graphics for the symbol in the Block Editor environment.
  2. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  3. In the Select Symbol/Objects dialog box, Attribute template section, browse to the Library path

    Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\jic125

    Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\jic125

  4. In the Attribute template section, choose Symbol: Horizontal Parent.
  5. In the Attribute template section, choose Type: Generic.
  6. In the Select from drawing section, click Select objects and select the rectangle.
  7. Select OK.
Add attributes

In this part of the exercise, you insert some AutoCAD Electrical attributes from the Symbol Builder Attribute Editor. You are not limited to these attributes, and you can include your own user-defined attributes on the AutoCAD Electrical block files.

NoteThe TAG1 attribute is the only one required for a parent schematic symbol. The other attributes in the Required section are expected on a parent schematic symbol, however the symbol is recognized as a parent symbol without them.
  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Select the TAG1 attribute.
  3. Select the Properties tool to launch the Insert/Edit Attributes dialog box.
  4. Change the height to 0.125 and Justify to Center.
  5. Enter “PS” as the Value. It is the default code used as the %F value of the tag format (such as “CR” , “PB”, “LT”)
  6. Select OK.
  7. Click the Insert Attribute tool.
  8. Select an insertion point for the attribute.
    NoteYou can also right-click and select Insert Attribute or drag the attribute to insert it.
  9. Select DESC1, click the Insert Attribute tool, and insert it below TAG1.

  10. Repeat to insert the INST and LOC attributes above TAG1.
  11. Select MFG, CAT, and ASSYCODE. Click the Insert Attribute tool, and insert them near the center of the rectangle.
    NoteIf the CAT and ASSYCODE attributes are not listed they are inserted with MFG as a group.
  12. Repeat to insert the FAMILY attribute near the center of the rectangle.
  13. With FAMILY still highlighted in the Symbol Builder Attribute Editor, select the Properties tool. Enter “PS” as the Value and OK. This assigns the %F value to the FAMILY attribute inserted.

Add wire connection attributes

You can define wire connection points and terminal text for the library symbol. When you add a wire connection, you select the style, the direction the wire connects from, and whether to include the optional TERMxx and TERMDESCxx attributes. In this exercise, wire connection attributes are inserted at the left, bottom, and right side of the symbol.

  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Expand the Wire Connection section of the Symbol Builder Attribute Editor.
  3. Expand the Direction/Style list and select Others to launch the Insert Wire Connections dialog box.

  4. On the Insert Wire Connections dialog box, select Terminal Style: Screw.
  5. Select Connection Direction: Left.
  6. Check Use this configuration as default. This directs Symbol Builder to use the current Terminal Style and Scale as the default in the drop-down list.
  7. (Optional) Enter “L1” as the TERM01 value. This sets “L1” as the default terminal pin number when the symbol is used.
  8. (Optional) Select TERMDESC01 in the Pin Information section and click Delete. This directs Symbol Builder not to insert the optional TERMDESCxx attribute with the wire connection attribute.
  9. Click Insert and select in the center of the left-hand side of the rectangle as shown. The wire connection attribute, X4TERM01, and the terminal pin attribute, TERM01, are inserted.

  10. Back on the Symbol Builder Attribute Editor, expand the Wire Connection list and select Bottom/Screw.

  11. Select the Insert Wire Connection tool and insert the terminal in the bottom center of the rectangle.
  12. Select Right/Screw from the Wire Connection Direction/Style list.
  13. Select the Insert Wire Connection tool and insert the terminal in the center of the right-hand side of the rectangle.

  14. In the Pins section, enter “GND” in the TERM02 value, and “L2” in the TERM03 value.

Finishing the parent symbol
  1. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.
  2. Click Base Point: Pick point and select the center of the rectangle.
  3. Select Wblock. Wblock creates the symbol .dwg file, while Block creates the symbol for this drawing file only.
  4. Enter the Name and file path or keep the default. AutoCAD Electrical provides a default name for the new symbol based on the attribute template selected. Avoid changing the first four letters of the file name and limit the total length to 32 characters.
  5. (Optional) If you are going to add the symbol to the icon menu at a later time using the Icon Menu Wizard, check Icon image. Enter the image name and folder.
  6. (Optional) Click Details to see the Symbol Audit dialog box listing potential issues with your symbol.
  7. Select OK.
  8. Select Close Block Editor from the block editor toolbar.
  9. (Optional) Select Yes to insert the symbol on the drawing and select a location. If you place the component on an existing wire, the wire breaks. The component tag is assigned.
Additional options

The additional options for creating a symbol listed are not used for this example, but you can use them when creating your own symbol.

  • Optional Attributes: The attributes listed in this section are allowed on a parent symbol. You can also add attributes to the Required or Optional list using the following steps.
    1. Select the Add Attribute tool to launch the Insert/Edit Attributes dialog box.
    2. Enter the attribute name as the Tag value.
    3. Enter all property values.
    4. Click Insert to insert the attribute or OK to add it to the list without inserting it.
  • Link Lines: Inserts Link Line attributes so the program can draw dashed link lines between a parent symbol and its related child contact. It requires special attributes at the point where the dashed line connects to the symbol.
    1. Expand the Link Lines section.
    2. Select a direction from the Direction list.
    3. Select the Insert Link Lines tool.
    4. Select a location for the Link Line attribute.
  • RATING or POS sections: You can add up to 12 Rating and Position attributes. If the attribute template contains a RATING1 or POS1 attribute, or you add one, these sections are available on the Symbol Builder Attribute Editor.
    1. Expand the RATING or POS section.
    2. Select the Add Next tool.
    3. Pick an insertion point.
  • Convert Text to Attribute dialog box: If you selected existing text entities from the Select Symbol/Objects dialog box, or added text while in the Block Editor environment, this option converts existing text entities to AutoCAD Electrical attributes in the same location as the original text.
    1. Select the Convert Text to Attribute tool from the Symbol Builder toolbar to launch the dialog box.
    2. Select a text entry in the list and click the arrow pointing at the attribute name.
    3. Repeat for all text entities.
    4. Click Done. The text entity is converted to the attribute. The text value becomes the default value for the attribute.
  • Convert text: If you selected existing text entities from the Select Symbol/Objects dialog box, or added text while in the Block Editor environment, this option converts a single text entity to an AutoCAD Electrical attribute in the same location as the original text.
    1. Select an attribute on the Symbol Builder Attribute Editor.
    2. Select the Convert Text tool.
    3. Select the text entity. The text entity is converted to the attribute. The text value becomes the default value for the attribute.
  • Audit Symbol: At any time you can audit the symbol to find any potential issues with your symbol and symbol name.


Create a schematic terminal symbol (Procedure)

Build your own symbols
Up a level to ..
Build your own symbols
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create a schematic terminal symbol

In this exercise, you create a schematic terminal using the Symbol Builder tool.

NoteIf you exit out of the Symbol Builder, restart it, and on the Select Symbol/Objects dialog box, click Select objects and select any graphics and attributes you added so far. You can then resume from where you left off.
  1. In an AutoCAD drawing, draw a rectangle on the drawing.

    NoteYou can also create and modify the graphics for the symbol in the Block Editor environment.
  2. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  3. In the Select Symbol/Objects dialog box, Attribute template section, browse to the Library path

    Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\jic125

    Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\jic125

  4. In the Attribute template section, choose Symbol: Horizontal Terminal.
  5. In the Attribute template section, choose Type: Terminal with wire number.
  6. In the Select from drawing section:, click Select objects and select the rectangle.
  7. Select OK.
Add attributes

In this part of the exercise, you insert some AutoCAD Electrical attributes from the Symbol Builder Attribute Editor. You are not limited to these attributes, and you can include your own user-defined attributes on the AutoCAD Electrical block files.

NoteThe TAGSTRIP attribute is the only one required for a schematic terminal. The other attributes in the Required section are expected on a schematic terminal, however the symbol is recognized as a schematic terminal without them.
  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Select the TAGSTRIP attribute.
  3. Select the Properties tool to launch the Insert/Edit Attributes dialog box.
  4. Change the height to 0.125 and Justify to Center.
  5. Select OK.
  6. Click the Insert Attribute tool.
  7. Insert the attribute above the rectangle.
  8. Select WIRENO, click the Insert Attribute tool, and insert it above TAGSTRIP. Use the Properties tool to change it to Justify = Center.

  9. Select MFG, CAT, and ASSYCODE. Click the Insert Attribute tool, and insert them near the center of the rectangle.
    NoteIf the CAT and ASSYCODE attributes are not listed they are inserted with MFG as a group.
Add wire connection attributes

You can define wire connection points for the library symbol. When you add a wire connection, you select the style and the direction the wire connects from. In this exercise, wire connection attributes are inserted at the left, right, top, and bottom of the terminal so that it can be inserted in either horizontal or vertical wires.

  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Expand the Wire Connection section of the Symbol Builder Attribute Editor.
  3. Select Left/None.
    NoteIf the default terminal style is not None, select Others and change the default style to None. This wire connection style contains attributes only.
  4. Select the Insert Wire Connection tool and insert the wire connection in the center of the left-hand side of the rectangle. Use the Midpoint OSnap to insert the wire connection attribute in the middle of the line.
  5. The wire connection insertion remains active until you press Enter. Press “R{spacebar}” and insert the wire connection in the center of the right-hand side of the rectangle.
  6. Press “T{spacebar}” and insert the wire connection in the center of the top of the rectangle.
  7. Press “B{spacebar}” and insert the wire connection in the center of the bottom of the rectangle. Press Enter.

Finishing the terminal symbol
  1. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.
  2. Click Base Point: Pick point and select the center of the rectangle.
  3. Select Wblock. Wblock creates the symbol .dwg file, while Block creates the symbol for this drawing file only.
  4. Enter the Name and file path or keep the default. AutoCAD Electrical provides a default name for the new symbol based on the attribute template selected. Avoid changing the first four letters of the file name and limit the total length to 32 characters.

    One-line symbols follow the same naming convention as schematic parent and child symbols. For convenience the one-line symbols provided have a “1-” suffix. However, the symbol name does not define the symbol as a one-line symbol. This is defined by the WDTYPE attribute value of “1-” on the symbol, or a “1-1” on a one-line bus-tap symbol.

  5. (Optional) If you are going to add the symbol to the icon menu at a later time using the Icon Menu Wizard, check Icon image. Enter the image name and folder.
  6. (Optional) Click Details to see the Symbol Audit dialog box listing potential issues with your symbol.
  7. Select OK.
  8. Select Close Block Editor from the block editor toolbar.
  9. (Optional) Select Yes to insert the symbol on the drawing and select a location. If you place the terminal on an existing wire, the wire breaks. The terminal tag is assigned.


Create a one-line parent symbol (Procedure)

Build your own symbols
Up a level to ..
Build your own symbols
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create a one-line parent symbol

In this exercise, you create a one-line circuit breaker parent using the Symbol Builder tool.

NoteIf you exit out of the Symbol Builder, restart it, and on the Select Symbol/Objects dialog box, click Select objects and select any graphics and attributes you added so far. You can then resume from where you left off.
  1. In an AutoCAD drawing, draw the symbol graphics.
    NoteYou can also create and modify the graphics for the symbol in the Block Editor environment.
  2. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  3. In the Select Symbol/Objects dialog box, Attribute template section, browse to the Library path where the one-line symbols are stored:

    Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\jic125\1-

    Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\jic125\1-

  4. In the Attribute template section, choose Symbol: Vertical Parent.
  5. In the Attribute template section, choose Type: (CB) Circuit breakers.
  6. In the Select from drawing section, click Select objects and select the graphics.
  7. Select OK.
Add attributes

In this part of the exercise, you insert some AutoCAD Electrical attributes from the Symbol Builder Attribute Editor. You are not limited to these attributes, and you can include your own user-defined attributes on the AutoCAD Electrical block files.

The TAG1 and WDTYPE attributes are the only required attributes for a one-line parent symbol. The other attributes in the Required section are expected on a one-line parent symbol, however the symbol is recognized as a one-line parent symbol without them.

The WDTYPE attribute value must have a value of “1-” for a one-line symbol or “1-1” for a one-line bus-tap symbol.

  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Select the TAG1 attribute.
  3. Select the Properties tool to launch the Insert/Edit Attributes dialog box.
  4. Change the height to 0.125 and Justify to Center.

    The value is predefined as “CB” since the Circuit breaker template was selected. It is the default code used as the %F value of the tag format (such as “CR” , “PB”, “LT”)

  5. Select OK.
  6. Click the Insert Attribute tool.
  7. Select an insertion point for the attribute.
    NoteYou can also right-click and select Insert Attribute or drag the attribute to insert it.
  8. Select WDTYPE, click the Insert Attribute tool, and insert it.

    The WDTYPE attribute has a value of “1-” and is invisible by default. It is required to identify the symbol as a one-line symbol.

  9. Select DESC1, click the Insert Attribute tool, and insert it below TAG1.
  10. Repeat to insert the INST and LOC attributes above TAG1.
  11. Select MFG, CAT, and ASSYCODE. Click the Insert Attribute tool, and insert them near the center of the rectangle.
    NoteIf the CAT and ASSYCODE attributes are not listed they are inserted with MFG as a group.
  12. Repeat to insert the FAMILY attribute near the center of the rectangle.
Add wire connection attributes

You can define wire connection points for the library symbol. When you add a wire connection, you select the style, the direction the wire connects from, and whether to include the optional TERMxx and TERMDESCxx attributes. In this exercise, wire connection attributes are inserted at the top and bottom of the symbol.

  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Expand the Wire Connection section of the Symbol Builder Attribute Editor.
  3. Expand the Direction/Style list and select Top/None.

    This style contains just the wire connection attributes with no graphics. Select Others to display the Insert Wire Connections dialog box for selecting other styles.

  4. Select the Insert Wire Connection tool and insert the wire connection attributes. The wire connection attribute, X2TERM01, and the terminal pin attribute, TERM01, are inserted.
  5. Back on the Symbol Builder Attribute Editor, expand the Wire Connection list and select Bottom/None.
  6. Select the Insert Wire Connection tool and insert the wire connection attributes. The wire connection attribute, X8TERM02, and the terminal pin attribute, TERM02, are inserted.
Finishing the one-line parent symbol
  1. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.
  2. Click Base Point: Pick point and select the center of the symbol.
  3. Select Wblock. Wblock creates the symbol .dwg file, while Block creates the symbol for this drawing file only.
  4. Enter the Name and file path or keep the default. AutoCAD Electrical provides a default name for the new symbol based on the attribute template selected. Avoid changing the first four letters of the file name and limit the total length to 32 characters.
    NoteOne-line symbols follow the same naming convention as schematic parent and child symbols. For convenience the one-line symbols provided have a “1-” suffix. However, the symbol name does not define the symbol as a one-line symbol.
  5. (Optional) If you are going to add the symbol to the icon menu at a later time using the Icon Menu Wizard, check Icon image. Enter the image name and folder.
  6. (Optional) Click Details to see the Symbol Audit dialog box listing potential issues with your symbol.
  7. Select OK.
  8. Select Close Block Editor from the block editor toolbar.
  9. (Optional) Select Yes to insert the symbol on the drawing and select a location. If you place the component on an existing wire, the wire breaks. The component tag is assigned.
See Also
    • Create a parent schematic symbol


Convert a non-AutoCAD Electrical block (Procedure)

Build your own symbols
Up a level to ..
Build your own symbols
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Convert a non-AutoCAD Electrical block

  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  2. Browse to the existing block to select the symbol to create or edit.
  3. In the Select Symbol/Objects dialog box, Attribute template section: Browse to the Library path for example

    Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\jic125

    Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\jic125

  4. In the Attribute template section: Choose Symbol: Horizontal Parent for example.
  5. In the Attribute template section: Choose Type: Generic for example.
  6. Select OK.
  7. Convert existing attribute or text objects to AutoCAD Electrical attributes.
  8. Add wire connections as needed.
  9. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.

    A default symbol name is supplied which you can keep or change as needed depending on the symbol type and symbol naming conventions

Converting attribute definition or text objects

If the existing symbol contains attribute or text objects you can convert these to the expected attributes for the symbol type.

  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Select the Convert Text to Attribute tool to open the dialog box. All the attributes and text objects contained in your non-AutoCAD Electrical block are in the left-hand list. The AutoCAD Electrical attribute names are in the right-hand list.
  3. Select an existing attribute/text from the left-hand list. Click the arrow next to the attribute in the right-hand list.
  4. Repeat for each non-AutoCAD Electrical attribute or text object you want to convert.
  5. Select Done.


Create a panel footprint (Procedure)

Build your own symbols
Up a level to ..
Build your own symbols
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create a panel footprint

A panel footprint symbol can be in either of two general forms: a to-scale physical representation of the device or a generic wiring diagram representation whose main purpose is to show wire connection annotation information.

The procedure for creating a panel footprint is like that of creating a schematic symbol with the following differences:

  • Panel footprint symbols do not have to carry the wire connection attributes that schematic symbols almost always carry.
  • There are no parent/child versions of a symbol for panel footprint symbols.
  • Some of the attribute names are different. A panel symbol must have the P_TAG1 or P_TAGSTRIP attribute rather than the TAG1 or TAGSTRIP attribute.
  • The symbol block naming for the panel footprint does not follow the special naming convention. The first four or five characters of the block name for a panel symbol is not as critical as it is for schematic symbols.

In this example, you take geometry (either geometry you just drew, existing geometry, or a vendor representation) and convert it to an AutoCAD Electrical panel footprint using the Symbol Builder.

  1. Click Schematic tab [image] Other Tools panel [image] Symbol Builder drop-down [image] Symbol Builder. Enter AESYMBUILDER at the command prompt.
  2. In the Select Symbol/Objects dialog box, Attribute template section, browse to the Library path

    Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\jic125

    Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\jic125

  3. In the Attribute template section, choose Symbol: Panel Footprint.
  4. In the Attribute template section, choose Type: Generic.
  5. In the Select from drawing section, click Select objects and select the existing objects or an existing block.
  6. Select OK.

Add attributes to the symbol

In this part of the exercise, you insert some AutoCAD Electrical attributes from the Symbol Builder Attribute Editor. You are not limited to these attributes and you can include your own user-defined attributes on the AutoCAD Electrical block files.

NoteThe P_TAG1 attribute is the only one required for a panel footprint symbol. The other attributes in the Required section are expected on a panel footprint, however the symbol is recognized as a panel footprint without them.
  1. If the Symbol Builder Attribute Editor is not visible,

    Click Symbol Builder tab [image] Edit panel [image] Palette Visibility Toggle. Enter AEPALETTESHOW at the command prompt.

  2. Select the P_TAG1 attribute.
  3. Select the Properties tool to launch the Insert/Edit Attributes dialog box.
  4. Change the height to 0.125, Justify to Center, and Visible.
  5. Select OK.
  6. Click the Insert Attribute tool.
  7. Insert the attribute above the symbol graphics.
    NoteYou can also right-click and select Insert Attribute or drag the attribute to insert it.
  8. Select DESC1 and DESC2, click the Insert Attribute tool, and insert them below the P_TAG1. Use the Properties tool to change them to Height = 0.125, Justify = Center, and Visible.

  9. Insert the LOC, INST, MFG, CAT, and ASSYCODE attributes.
    NoteIf the CAT and ASSYCODE attributes are not listed they are inserted with MFG as a group.

Finishing the panel symbol
  1. Click Symbol Builder tab [image] Edit panel [image] Done. Enter AESAVESYM at the command prompt.
  2. Click Base Point: Pick point and select the insertion point for the graphics.
  3. Select Wblock. Wblock creates the symbol .dwg file, while Block creates the symbol for this drawing file only.
  4. Enter the Name and file path or keep the default. AutoCAD Electrical provides a default name for the new symbol based on the attribute template selected.
  5. (Optional) If you are going to add the symbol to the icon menu at a later time using the Icon Menu Wizard, check Icon image. Enter the image name and folder.
  6. (Optional) Click Details to see the Symbol Audit dialog box listing potential issues with your symbol.
  7. Select OK.
  8. Select Close Block Editor from the block editor toolbar.
  9. (Optional) Select Yes to insert the symbol on the drawing and select a location.
Additional Options

The additional options for creating a symbol listed are not used for this example, but you can use them when creating your own symbol.

  • Optional Attributes: The attributes listed in this section are allowed on a panel footprint. You can also add attributes to the Required or Optional list using the following steps.
    1. Select the Add Attribute tool to launch the Insert/Edit Attributes dialog box.
    2. Enter the attribute name as the Tag value.
    3. Enter all property values.
    4. Click Insert to insert the attribute or OK to add it to the list without inserting it.
  • RATING section: You can add up to 12 Rating attributes. If the attribute template contains a RATING1 attribute, or you add one, this section is available on the Symbol Builder Attribute Editor.
    1. Expand the RATING section.
    2. Select the Add Next tool.
    3. Pick an insertion point.
  • Convert Text to Attribute dialog box: If you selected existing text entities from the Select Symbol/Objects dialog box, or added text while in the Block Editor environment, this option converts existing text entities to AutoCAD Electrical attributes in the same location as the original text.
    1. Select the Convert Text to Attribute tool from the Symbol Builder toolbar to launch the dialog box.
    2. Select a text entry in the list and click the arrow pointing at the attribute name.
    3. Repeat for all text entities.
    4. Click Done. The text entity is converted to the attribute. The text value becomes the default value for the attribute.
  • Convert text: If you selected existing text entities from the Select Symbol/Objects dialog box, or added text while in the Block Editor environment, this option converts a single text entity to an AutoCAD Electrical attribute in the same location as the original text.
    1. Select an attribute on the Symbol Builder Attribute Editor.
    2. Select the Convert Text tool.
    3. Select the text entity. The text entity is converted to the attribute. The text value becomes the default value for the attribute.
  • Audit Symbol: At any time you can audit the symbol to find any potential issues with your symbol.
Adding attributes using templates

An alternative to using the Symbol Builder to add attributes to the panel footprint, is to use an attribute template to add attributes automatically. You can have certain attributes added to any footprint automatically at footprint insertion time. The templates are located

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\Acade {version}\Libs\panel\
  • Windows Vista: C:\Users\Public\Documents\Autodesk\Acade {version}\Libs\panel\

You can set up to have visible attributes added to any footprint automatically at footprint insertion time. There are five attribute template drawings:

wd_ptag_addattr_comp.dwg | component footprints
wd_ptag_addattr_trm.dwg | terminal with terminal number
wd_ptag_addattr_wtrm.dwg | terminal with wire number as terminal number
wd_ptag_addattr_itemballoon.dwg | balloons
Wd_ptag_addattr_pnltermstrip.dwg | terminal footprints (when inserted by Level/Sequencing tools)

When a panel footprint is inserted, the following steps are performed if the appropriate attribute template exists.

  1. Find the center of the footprint by collecting and averaging the objects that make up the footprint.
  2. Insert the attribute template at the calculated center of the footprint.
  3. Make sure there are no duplicate attributes. If duplicate attributes are found, the attribute from the footprint is kept.
  4. Re-block the added attributes with the inserted footprint.
  5. Add the schematic data to the footprint. The data is added as attribute data if the target attribute exists. If the target attribute does not exist, the data is added as invisible xdata.


Create a Symbol Builder attribute template (Procedure)

Build your own symbols
Up a level to ..
Build your own symbols
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Create a Symbol Builder attribute template

Symbol Builder provides some family attribute templates. Each template contains the required and optional attributes for a certain type of symbol. Based on the options selected on the Select Symbol/Objects dialog box in Symbol Builder, an attribute template is used. The attributes on the template are listed in the Symbol Builder Attribute Editor making it easy to insert them on your symbol.

AutoCAD Electrical does not provide an attribute template for every type of symbol. Consider creating your own if you expect to create a number of new symbols. There are three basic steps to creating a Symbol Builder attribute template.

NoteWire connection attributes are not included in the symbol attribute templates but are in separate wire connection templates.
  1. Create a drawing file following the naming convention “AT_{symbol}_{type}.dwg” containing the AutoCAD Electrical attribute definitions.
  2. (Optional) Add the xdata and indexed attributes which tell the Symbol Builder Attribute Editor how to handle each attribute.
  3. (Optional) Add the symbol type to the “_FAMILY_DESCRIPTION” table in the catalog database file.
Attribute template naming convention

Attribute templates follow the naming convention, AT_{symbol}_{type}. The {symbol} and {type} values appear in the lists on the Select Symbol / Objects dialog box. The selections from these lists direct Symbol Builder to the appropriate attribute template.

The {symbol} value appears in the Symbol list in the Select Symbol/Objects dialog box. Certain codes are recognized by Symbol Builder, such as “HP” for “Horizontal Parent”. You can use an existing recognized code or use the full text, such as “AT_Horizontal Parent_{type}.dwg”.

The {type} value appears in the Type list in the Select Symbol/Objects dialog box. You can also map abbreviations for the {type} in the _FAMILY_DESCRIPTION table of the catalog database, default_cat.mdb.

Indexed attributes and xdata

An attribute template can contain an attribute definition that can be indexed. For example, AutoCAD Electrical allows up to 12 Rating attributes. If the attribute template contains an attribute “RATING(x)” this attribute can be indexed in Symbol Builder.

Certain optional xdata directs the attribute display in the Symbol Builder Attribute Editor. Use the Xdata Editor to add or modify the xdata on an attribute definition.

VIA_WD_GROUP

Possible values "Required" or "Optional". The default value is “Required” if the xdata is not present.

VIA_WD_TOOLTIP

The value provides an attribute description inside the Symbol Builder Attribute Editor.

VIA_WD_MULTIATT

The value defines a group of attributes to insert together. The value lists all the attributes which are inserted along with the attribute with this xdata. The attributes listed are not displayed in the Symbol Builder Attribute Editor. For example, if you want DESC2 and DESC3 inserted when you insert DESC1, add this xdata with the value “DESC2,DESC3” to the DESC1 attribute definition.

NoteMFG, CAT, and ASSYCODE are a default group. To insert them separately, add this xdata to the MFG attribute with a blank value.

VIA_WD_INDXMAX

The value provides the maximum number of times to index an attribute such as “RATING”. The default value is “12” if the xdata is not present.

VIA_WD_SEQ

The value provides the display order.

Symbol type

Edit the “_FAMILY_DESCRIPTION” table in the catalog database, default_cat.mdb, to map the symbol name type value to a description. This description is used in the Type list on the Select Symbol / Objects dialog box. For example, if the attribute template name is “AT_HP_PS.DWG” but you want “Power Supply” shown in the list on the dialog box, add an entry with “PS” in the Family column, and “Power Supply” in the Description.


Creating a custom wire connection style (Procedure)

Build your own symbols
Up a level to ..
Configure projects for various drawing standards
Advanced Productivity > Build your own symbols >
Build your own symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Creating a custom wire connection style

Symbol Builder inserts a wire connection template drawing when adding a wire connection to your symbol. The list of wire connection styles is built dynamically based on the template drawings found in the symbol library path. The wire connection template name indicates that it is a wire connection template, the wire connection type, and direction.

AutoCAD Electrical comes with some schematic wire connection styles. If additional styles are needed, create the wire connection templates for a new style. To create a complete style, create a wire connection template for each wire direction. To add a new schematic style, create the following wire connection template drawings.

  • BB?11.dwg
  • BB?12.dwg
  • BB?13.dwg
  • BB?21.dwg
  • BB?22.dwg
  • BB?23.dwg
  • BB?31.dwg
  • BB?32.dwg
  • BB?33.dwg

The “?” is replaced with the next available digit. AutoCAD Electrical allows up to ten styles using the digits 0-9. You can create them using new drawings or by copying a set of existing wire connection template drawings to the appropriate names and modifying as needed.

Starting a wire connection template from a new drawing
  1. Start a blank new drawing.
  2. Draw the graphics for the wire connection.
  3. Use the AutoCAD ATTDEF command to add the wire connection attribute definition. The insertion point of the attribute definition is the location AutoCAD Electrical uses to connect the wire. The wire connection attribute tag is X?TERM01. The "?" character position is used to identify the preferred wire connection direction:
    • 1: wire connects to the attribute from the right
    • 2: wire connects to the attribute from above
    • 4: wire connects to the attribute from the left
    • 8: wire connects to the attribute from below
    • 0: special for motor connections that radiate from a circle
  4. (Optional) Add the TERM01 attribute definition.
  5. (Optional) Add the TERMDESC01 attribute definition.
  6. (Optional) Add a custom drawing property to define the style description. This value is the text displayed in the terminal style list in Insert Wire Connections dialog box.
    • Select File [image] Drawing Properties.
    • Select the Custom tab.
    • Select Add.
    • Enter “Terminal style” for the custom property name.
    • Enter the style description for the value.
    • Select OK to save the drawing property.
  7. Save the drawing to the appropriate library folder following the wire connection template naming convention.
Wire connection template naming convention
  • First two characters are “BB”.
  • Optional characters which indicate the symbol type for this wire connection.

    Blank

    Parent or child schematic symbol

    PTWN

    Panel footprint or nameplate

    STTN

    Schematic terminal with terminal number

    STWN

    Schematic terminal following the wire number

    PTWN_NOTERM

    Panel terminal

  • One or two characters indicating the terminal style. It is a single number, 0 through 9, for schematic symbols. For a panel symbol, the single number is followed by an underscore.
  • Last two characters are digits that indicate the wire direction.

    00

    Radial, wire connects from an angle

    11

    Left and top

    12

    Left

    13

    Left and bottom

    21

    Top

    22

    Top, left, bottom, and right

    23

    Bottom

    31

    Right and top

    32

    Right

    33

    Right and bottom

Supplied wire connection templates
Template Name | Symbol Type | Terminal Style | Attributes in the template
BB012, BB021, BB023, BB032 | Schematic parent or child | None | X?TERMn, TERMn
BB000 | Schematic parent or child | None | X0TERMn
BB111 to B133 | Schematic parent or child | Screw | X?TERMn, TERMn
BB211 to BB233 | Schematic parent or child | Small Screw | X?TERMn, TERMn
BB311 to BB333 | Schematic parent or child | Circle, number inside | X?TERMn, TERMn
BB411 to BB433 | Schematic parent or child | Square, number inside | X?TERMn, TERMn
BB511 to BB533 | Schematic parent or child | Fixed PLC | X?TERMn, TERMn, DESCA01, DESCB01, TAGA01
BBSTTN012, BBSTTN021, BBSTTN023, BBSTTN032 | Schematic terminal with terminal number | None | X?TERM01, TERM01
BBSTWN012, BBSTWN021, BBSTWN023, BBSTWN032 | Schematic terminal following wire number | None | X?TERM01
BBPTWN0_12, BBPTWN0_21, BBPTWN0_23, BBPTWN0_32 | Panel footprint | One wire number | X?TERMn, TERMn, TERMDESCn, WIRENOn
BBPTWN1_12, BBPTWN1_21, BBPTWN1_23, BBPTWN1_32 | Panel footprint | One wire number | X?TERMn, TERMn, TERMDESCn, WIRENOn
BBPTWN2_12, BBPTWN2_21, BBPTWN2_23, BBPTWN2_32 | Panel footprint | Two wire numbers | X?TERMn, TERMn, TERMDESCn, WIRENOn, WIRENOnA
BBPTWN_NOTERM0_12, BBPTWN_NOTERM0_21, BBPTWN_NOTERM0_23, BBPTWN_NOTERM0_32 | Panel terminal, no levels | No levels | WIRENOL, WIRENOR, TERM, TERMDESCL, TERMDESCR
BBPTWN_NOTERM1_12, BBPTWN_NOTERM1_21, BBPTWN_NOTERM1_23, BBPTWN_NOTERM1_32 | Panel terminal, one level | One level terminal | WIRENOL, WIRENOR, L01PINL, L01PINR, TERM
BBPTWN_NOTERM2_12, BBPTWN_NOTERM2_21, BBPTWN_NOTERM2_23, BBPTWN_NOTERM2_32 | Panel terminal, two levels | Two level terminal | WIRENOL, WIRENOR, L01PINL, L01PINR, TERM, L02WIRENOl, L02WIRENOR, L02PINL, L02PINR, L02TERM
BBPTWN_NOTERM3_12, BBPTWN_NOTERM3_21, BBPTWN_NOTERM3_23, BBPTWN_NOTERM3_32 | Panel terminal, three levels | Three level terminal | WIRENOL, WIRENOR, L01PINL, L01PINR, TERM, L02WIRENOl, L02WIRENOR, L02PINL, L02PINR, L02TERM, L03WIRENOL, L03WIRENOR, L03PINL, L03PINR, L03TERM

The “?” is replaced with the appropriate wire connection direction number and the “n” is replaced with the two digit sequential number. If your template contains only one wire connection attribute, always use “01”. The “01” is replaced with the next available value when the wire connection template is inserted using Symbol Builder.


Add your own symbols, circuits, and commands to the icon menu

Build your own symbols
Advanced Productivity
Configure projects for various drawing standards
Advanced Productivity >
Add your own symbols, circuits, and commands to the icon menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Electrical supplies two default icon menus: one for schematic symbols and the other for panel symbols. Each menu is driven by a text file. AutoCAD Electrical defaults to icon menu ACE_<standard>_MENU.DAT (where <standard> = JIC, IEC, GB, HYD, JIS, PID, or PNEU) for schematic symbols and ACE_PANEL_MENU.DAT for panel symbols. These menu files are located in

  • Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\
  • Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\

You modify or expand the icon menus by editing the underlying icon menu text file. You can use a generic text editor and edit it manually or you can use the AutoCAD Electrical Icon Menu Wizard.

Use the Icon Menu Wizard dialog box to select the function to be performed when the icon is selected from the icon menu.

  • Add component: Inserts a symbol
  • Add circuit: Inserts a prebuilt circuit. This causes AutoCAD Electrical to insert and explode the .dwg name supplied.
  • Add new submenu: Starts a new submenu.
  • Add command: Performs a command. Use Command for inserting three-phase schematic symbols and panel footprints.
Add components to the icon menu

The Icon Menu Wizard can be used to add or modify icons for both the schematic and panel symbol libraries.

  1. Create an AutoCAD Electrical compatible library symbol. For schematic symbols, follow the guidelines regarding the symbol ".dwg" file naming convention and required attributes.
  2. Click Schematic tab [image] Other Tools panel [image] Icon Menu Wizard. Enter AEMENUWIZ at the command prompt.
  3. In the Select Menu File dialog box, select to modify the schematic menu file, and click OK.
  4. In the Icon Menu Wizard dialog box, select Add [image] Component to add a new icon to the menu.
    NoteYou can also right-click in empty space and select Add icon [image] Component.

    Three pieces of information are needed for the new icon button.

  5. On the Add Icon - Component dialog box, specify the image file name and graphic to appear in the icon button. The image name can be manually typed into the edit box. You can browse to an existing .sld or .png file to assign to the icon, use an image file that matches the active drawing name, use an image file that matches a picked block on the drawing, or use an image with the same name as the block name entered for the block name.
    NoteBrowse cannot be used if you are using a slide library (instead of individual <slide>.sld files). Manually enter these as "library name(slide name)". For example, "S1(hpb11)."

    If you have not created the slide image and want to have it created automatically from the current screen image, select Create PNG from current screen image. The Icon Menu Wizard runs the AutoCAD MSLIDE command on your current screen image to create the .png and .sld file. If the file does not exist, then Create PNG from the current screen image is selected by default. If you do not want to create the image from the current drawing's displayed image, switch it off. If you want to redo an existing image, click this switch on.

  6. Specify the block name to insert on the icon. The symbol's file name can be typed into the edit box or you can browse for an existing WBlocked ".dwg" file to assign to the icon, insert the full active drawing as a block, or select an existing block on the current drawing.
  7. Click OK.

    The new menu button appears in the menu and the text you entered for the icon label appears in the tooltip or in the list if you set the viewing option to either Icon with text or List view.

  8. Select the appropriate Insert Component command and test your new symbol insert.
Add an icon menu page

You can add new menu pages to the AutoCAD Electrical icon menu, and then populate them with your own custom symbols. Each new page can have icon selections that cascade down to other new menu pages. Once you click OK, your trigger icon and new submenu page are added.

  1. On the Icon Menu Wizard dialog box, select Add [image] New submenu to add a new icon to the menu.
    NoteYou can also right-click in empty space and select New Submenu.

    The Create New Submenu dialog box appears. Here you can select the function that will be performed when the icon is selected from the icon menu.

    Three pieces of information are needed to trigger the new menu page.

  2. On the Create New Submenu dialog box, specify the image file name and .sld or .png graphic to appear in the icon button. The image name can be manually typed into the edit box. You can browse to an existing .sld or .png file to assign to the icon, use an image file that matches the active drawing name, use an image file that matches a picked block on the drawing, or use an image file with the same name as the block name entered for the block name.
    NoteBrowse cannot be used if you are using a slide library (instead of individual <slide>.sld files). Manually enter these as "library name(slide name)".
  3. Specify the submenu's title.
  4. Click OK.
  5. Select the appropriate Insert Component command and test your new symbol insert.
Add an icon to trigger a command

An icon can be configured to trigger an AutoCAD command, trigger an AutoCAD Electrical command, or run a program. For example, "Rectangle" can be typed into the edit box so that every time you click the box, it runs the AutoCAD Rectangle command.

  1. On the Icon Menu Wizard dialog box, click Add [image] Command.
    NoteYou can also right-click in empty space and select Add icon [image] Command.
  2. On the Add Icon - Command dialog box, specify the name to appear on the icon and the image file to use on the icon button.
  3. Specify the command to execute when the icon button is selected.

    Click List to select from a list of AutoCAD Electrical Commands for Panel and Schematic multi-pole symbol inserts. This makes it easier for you to build the appropriate command to insert a multi-pole symbol or a panel symbol. To see the command line parameters for a specific AutoCAD Electrical command, select the command in the list and the parameters display at the right. If quotation marks are shown, then enclose the parameter value within quotation marks.

    NoteIf you select an API command that requires parameters you must manually enter the additional parameters as indicated. Commands that require parameters should be inside of parenthesis. If you use one of the AutoCAD commands from the list, no parenthesis are needed. For example, to add an icon that inserts a black flush push button, Allen-Bradley, catalog number 800T-A2A, with no rotation, select the command WD_INFP from the list. When you return to the Command dialog box, you must enter in the rest of the parameters.
    • "family" is used for the catalog file lookup table name
    • "mfg" is used for the footprint lookup
    • "cat" is the actual catalog number
    • "assycode" is the catalog number assembly code (often blank)
    • "footprint" is the library symbol name

    WD_INFP "PB11" "AB" "800T-A2A" "" "AB/ABPB3"

  4. Click OK.
Add circuits to the icon menu

Add Circuit is the same as Insert Command except that the block file is made up of more than one AutoCAD Electrical block definitions and related wire lines.

  1. On the Icon Menu Wizard dialog box, click Add [image] Add circuit.
    NoteYou can also right-click in empty space and select Add icon [image] Add circuit.

    Three pieces of information are needed for the new icon button.

  2. On the Add Existing Circuit dialog box, specify the image file name and .sld or .png graphic to appear in the icon button. The image name can be manually typed into the edit box. You can browse to an existing .sld or .png file to assign to the icon, use an image file that matches the active drawing name, use an image file that matches a picked block on the drawing, or use an image file with the same name as the block name entered for the block name.
    NoteBrowse cannot be used if you are using a slide library (instead of individual <slide>.sld files). Manually enter these as "library name(slide name)".
  3. Specify the circuit name to insert on the icon. The symbol's file name can be typed into the edit box or you can browse for an existing WBlocked ".dwg" file to assign to the icon or insert the full active drawing as a block.
  4. Click OK.

    The new menu button appears in the menu.

  5. Select the appropriate Insert Component command and test your new symbol insert.
Change the icon's image

There are times when you might want to change the image associated with an icon menu choice. The AutoCAD Electrical Icon Menu Wizard provides a quick, easy way to reassign or reshoot a slide image. Slides can be saved as individual files in the AutoCAD Electrical search path or they can be maintained inside of a library of slide files called the slide library.

NoteIf you make custom slides or slide libraries for the menu, copy them to the same subdirectory as the menu file since AutoCAD Electrical looks for menu slides in the active icon menu file's directory.
  1. On the Icon Menu Wizard dialog box, right-click an icon button to edit and select Properties.
  2. On the Properties dialog box, specify the image file name and .sld or .png graphic to appear in the icon button. The image name can be manually typed into the edit box. You can browse to an existing .sld or .png file to assign to the icon, use an image file that matches the active drawing name, use an image file that matches a picked block on the drawing, or use an image file with the same name as the block name entered for the block name.

    If you have not created the .png image and want to have it created automatically from the current screen image, select Create PNG from current screen image. The Icon Menu Wizard runs the AutoCAD MSLIDE command on your current screen image to create the .png and .sld file. If the file does not exist, then Create PNG from current screen image is selected by default. If you do not want to create the image from the current drawing's displayed image, switch it off. If you want to redo an existing image, click this switch on.

    NoteBrowse cannot be used if you are using a slide library (instead of individual <slide>.sld files). Manually enter these as "library name(slide name)".
  3. Click OK.

    The new menu button appears in the menu.

  4. Select the appropriate Insert Component command and test your new symbol insert.
Edit the DAT file with a text editor

There may be times when you want to bypass the Icon Menu Wizard and edit the menu DAT file directly. It is important to maintain the menu file structure, otherwise your menu may not activate properly. An AutoCAD Electrical menu ".dat" file is a text file that can be viewed and edited with any text editor (ex: WordPad or Notepad). See Overview of the icon menu file.

Best practices for icon menu changes

We recommend that you create your own icon menu and leave the AutoCAD Electrical icon menu intact. This provides you with easier migration when upgrading to the next version of AutoCAD Electrical. You can set up the AutoCAD Electrical icon menu system so that you can flip back and forth between the default ACE_<standard>_MENU.DAT (such as ACE_JIC_MENU.DAT) and your own "my_menu.dat."

  1. Copy the standard menu into a new file name instead of creating the file from scratch. Open the new DAT file with a text editor and remove everything except for the top portion of the file (shown below).

    **M0

    D0

    JIC: Schematic Symbols

    NoteThe line “D0” is only needed if the menu must be compatible with AutoCAD Electrical versions prior to 2008.

    Rename the title line to indicate that this is your very own personal menu file.

  2. Add a line like the following in the ACE_<standard>_MENU.DAT file.

    My schematic menu|mymenu.sld|$C=(c:wd_loadmenu "my_menu.dat")(c:wd_insym_go2menu 0)

    NoteMake sure this text is all on one line.
  3. In your new "my_menu.dat" file, add a line like the following one so that you can jump back to the default AutoCAD Electrical icon menu.

    Default AutoCAD Electrical menu|back2wd.sld|$C=(c:wd_loadmenu "ACE_JIC_MENU.DAT")(c:wd_insym_go2menu 0)

    The result should be:

    **M0

    D0

    My Menu: My Companies Symbols

    AutoCAD Electrical menu|back2wd.sld|$C=(c:wd_loadmenu "ACE_JIC_MENU.DAT")(c:wd_insym_go2menu 0)

  4. In the AutoCAD Electrical default icon menu, click the new "My menu" entry.

    Your menu should immediately appear and remains the default for subsequent component inserts. If you want to go back to the AutoCAD Electrical default menu, click the "AutoCAD Electrical menu" button you added to your custom menu. AutoCAD Electrical flips back to the default icon menu and it now remains the default for subsequent inserts.


Configure projects for various drawing standards (Concept)

Add your own symbols, circuits, and commands to the icon menu
Advanced Productivity
Use Autodesk Vault with AutoCAD Electrical
Advanced Productivity >
Configure projects for various drawing standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

AutoCAD Electrical has multiple configuration options so that you can configure your drawings in a manner that fits your needs. You can configure drawings for IEC standard or automatically override family tag codes.

Configure for IEC standard

Below is a list of configuration options (both project properties and drawing-specific properties) that are most commonly used when dealing with the IEC drawing standard and a description of each.

Project Properties

Project Properties are configured by right-clicking on the project name in the Project Manager and selecting Properties. The options configured here are project-wide options, such as the paths to symbol libraries, or drawing default options for new drawings that are created in the selected project. The drawing options defined in the Project Properties dialog box can also be applied to any drawing in the project if needed.

Project Settings Tab

Schematic Libraries

AutoCAD Electrical contains two specific IEC-type symbols, IEC2 and IEC4. The main difference between these libraries is the size of the text associated with them.

  • IEC2 symbols have a text size of 2.5 for the main text items such as Component Tag, Installation, Location, Component Description, and so on.
  • IEC4 symbols have a text size of 3.5 for the Component Tag and a text size of 2.7 for Installation, Location, Component Description, and so on.

Schematic Icon Menu File

AutoCAD Electrical contains one IEC-specific icon menu file: ACE_IEC_MENU.DAT.

Components Tab

Component TAG Format

In IEC you may want your components to be tagged with “Sheet Number, Family Code,” followed by a number that is either sequential or reference-based. To do this, in the Tag Format edit box, enter: “%S%F%N” where %S = the sheet number, %F = the family code defined for the component being inserted and %N = the numbering scheme for the active drawing (either sequential or reference-based).

For sequential numbering, you can enter a starting number to use as a starting component number. For reference-based numbering, you can use one of the following numbering formats:

  • X-Y Grid
  • X Zones
  • Reference Number

Component TAG Options

Defines most of the specific tagging options to conform to the IEC tagging mode. Select the option that best fits your needs:

  • Combined Installation/Location Tag Mode: Uses the combined installation/location tag for interpreting component tag names. For example, 100CR relay contact marked with location code PNL1 is interpreted as being associated with a different relay coil than relay contact -100CR marked with location code PNL2. If this setting is not selected, both contacts are associated with the same parent relay coil, -100CR.

    By selecting this option, your component tags are automatically prefixed with the =, +, and - where applicable.

  • Suppress dash when first character of tag: Suppresses any single dash character prefix in an IEC tag that does not have a leading Installation/Location prefix (for example, "-K101" dash is suppressed to "K101" but "+LOC1-K101" remains unchanged).

    When switched OFF, it automatically adds a single dash character to an IEC tag that does not already have a single leading dash prefix and does not have a leading Installation/Location prefix. For example, tag "K101" becomes "-K101" but "+LOC1-K101" remains unchanged.

    NoteThis suppression takes place automatically in reports; and takes place graphically only when a component is inserted, edited, or retagged.
  • Format Installation/Location into tag: Specifies to exclude the Installation and Location code values as part of the tag when displaying. For example, if this is not on, a tag might show up as K16 in the Surf dialog box. But if selected, the tag might show up +AAA-K16 (where AAA is the location).
  • Suppress Installation/Location in tag when match drawing default: Suppresses Location and Installation values on components if they match the drawing default values.
  • Suppress Installation/Location in tag on reports: Specifies to exclude Installation and Location values as part of the tag when displayed in reports.
  • Upon insert: automatic fill Installation/Location with drawing default or last used: Fills the Installation and Location edit boxes on the Insert/Edit component dialog box and the attributes on the block with drawing default or last used values (if no drawing default).If not selected, these edit boxes and attributes are not filled in and are assumed.
Cross-reference Tab |
Cross-reference Format | In IEC, you may want to configure your cross-referencing text to display the “Sheet Number - Reference Number.” To do this, in the Same Drawing edit box, enter “%S-%N” (or click the %S-%N button). You can also define the format of the cross-referencing text that references other drawings in the Between Drawings edit box.
Suppress Installation/Location codes when matching the drawing defaults | Select this if you want to suppress IEC prefixes. Note You must run the Component Cross-reference command to update any existing cross-referencing text.
Component Cross-reference Display | In IEC, it is common to display a representation of the type of child component (Normally Open, Normally Closed or Form-C contact) in either a graphical or table format. If you select the graphical (nontable) format, you can define details of the graphical format by clicking Setup.
Styles Tab |
Wire Style | In IEC, it is sometimes preferable to display wire connections as tee markers instead of connection dots. To do this, in the Wire Tee section, select the appropriate angle tee marker from the list.

Drawing Format Tab

Ladder Defaults

In IEC, the most common ladder orientation is Horizontal. In the Ladder Defaults section, configure how to display your horizontal ladders.

Format Referencing

Defines the type of referencing that is used to replace the %N value for component tag and wire number formats. In IEC, the most commonly used format is X Zones.

NoteIf you want AutoCAD Electrical to place the labels for the X-Y Grid or X Zones referencing style, use the appropriate command from the Insert Ladder toolbar.
  • X-Y Grid: All referencing is tied to an X-Y grid system of numbers and letters along the left-hand side and top of the drawing.Set your drawing's vertical and horizontal index numbers and letters, spacing, and origin in the X-Y grid setup dialog box.
    TipUse negative spacing values for Horizontal or Vertical if you want to change the X-Y grid system's origin to be other than the upper left-hand corner of the drawing
  • X Zones: Similar to X-Y Grid, but there is not a Y-axis. Set your drawing's horizontal labels, spacing, and origin on the X Zones setup dialog box.
    TipUse negative zone spacing value if you want the zone reference origin to be at the right side of the drawing.

Scale

Scale for IEC drawings is normally set to mm full size.

Drawing Properties

Drawing Properties are configured by either right-clicking on the drawing name in the Project Manager and selecting Properties [image] Drawing Properties, or by selecting Properties [image] Drawing Properties. The options configured here are only applied to the drawing that they were configured on.

NoteOptions that are duplicated on the Drawing Properties and Project Properties dialog boxes are not described in this section.
Drawing Settings Tab |
IEC-Style Designators | Defines Installation and Location codes that are used for drawing defaults when placing components on the drawing and no override Installation or Location values are given on the specific component. These values are used when the Combined Installation/Location tag mode option is selected (described previously in Project Properties section).
Automatically override family tag codes

A component’s family name can be overridden at insertion time, during a later edit, or automatically using the wd_fam.dat mapping file. The wd_fam.dat file overrides the family tag code of library symbols by mapping the codes to new values. The tag code of a symbol is used in generating the tag-ID of inserted components, such as the “PB” of tag-ID “PB101.”

AutoCAD Electrical searches for this mapping file in the following order:

  1. User subdirectory

    Windows XP: C:\Documents and Settings\{username}\Application Data\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

    Windows Vista: C:\Users\{username}\AppData\Roaming\Autodesk\AutoCAD Electrical {version}\{release}\{country code}\Support\User\

  2. Active project's .wdp file subdirectory
  3. All paths defined under AutoCAD Options [image] Files [image] Support Files Search Path

Depending on how you want to override component family names, you can move the wd_fam.dat file into the various locations mentioned above.

  • To always substitute a new family value for all projects you create, place the file in the User folder. (option 1)
  • To use AutoCAD Electrical defaults most of the time but sometimes override them with project-specific defaults, place the file in the project folders for the project you want to override. You can have different defaults for each project. (option 2)
  • If you want a default override from the AutoCAD Electrical default values, but sometimes want a project override to the global override, you will want to use option 3 and 2. Place the file somewhere in the AutoCAD support path, like “C:\Program Files\Autodesk\Acade 200x\Acade,” and then when you want to override these values, place the file in the project folder.


Switch JIC and IEC standards (Procedure)

Build your own symbols
Configure projects for various drawing standards
Advanced Productivity >
Configure projects for various drawing standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Switch JIC and IEC standards

You can have projects that require working in the JIC standard and other projects that require the IEC standard. To switch from one standard to another change:

  • Schematic library folders
  • Schematic icon menu
  • Component tagging options

The library folders and icon menu are project settings. The component tagging options are on a per-drawing basis and must be applied to each drawing.

Project settings
  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. Right-click on the project name in Project Manager.
  3. Select Properties.
  4. Select the Project Settings tab.
  5. Expand the Schematic Libraries section.
  6. Remove any folder names you no longer want and add any that you need. For example, remove the JIC folder and add the IEC library folder.
    NoteAutoCAD Electrical searches for a symbol in the order the folders are listed.
  7. Expand the Schematic Icon Menu File section.
  8. Remove the menu you do not want and add the menu you need. For example, remove the ACE_JIC_MENU.DAT file and add the ACE_IEC_MENU.DAT file.
  9. Click OK.
Drawing settings - change as a project setting

Component tagging options can be changed as a project setting and applied to a group of drawings.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. Right-click on the project name in Project Manager.
  3. Select Properties.
  4. Select the Components tab.
  5. In the Component TAG Options section, check the Combined Installation/Location tag mode option for IEC tagging, uncheck it for JIC tagging.

    If using IEC tagging, set any of the other tagging options.

  6. Highlight all the drawings in Project Manager you wish to apply the project settings to.
  7. Right-click and select Properties [image] Apply Project Defaults.
NoteWhen the project settings are applied to a drawing, all settings are applied, not specific ones.
Drawing settings - change a single drawing

Component tagging options can be changed on a per-drawing basis.

  1. Click Project tab [image] Project Tools panel [image] Manager. Enter AEPROJECT at the command prompt.
  2. Highlight the drawing in Project Manager that you wish to change.
  3. Right-click and select Properties [image] Drawing Properties.
  4. Select the Components tab.
  5. In the Component TAG Options section, check the Combined Installation/Location tag mode option for IEC tagging, uncheck it for JIC tagging.

    If using IEC tagging, set any of the other tagging options.

  6. Click OK.
NoteYou can change the component tagging options on the active drawing by selecting Drawing Properties.
See Also
    • Configure for IEC standard


Use Autodesk Vault with AutoCAD Electrical

Configure projects for various drawing standards
Advanced Productivity
AutoCAD Electrical Command
Advanced Productivity >
Use Autodesk Vault with AutoCAD Electrical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Autodesk Vault allows you to keep a history of your design changes. You can review how your designs have progressed and rollback to a previous version if necessary. Vault also acts as a central shared secured repository of drawings and data with the ability to search for required information across multiple drawings and projects.

The AutoCAD Vault add-in works within AutoCAD Electrical, adding data management tools to the interface. Through the AutoCAD Vault add-in, you can add files to a vault, and check files in and out. The add-in works with both DWG and image files. In AutoCAD Electrical, you work on one project at a time. The project file (.wdp) lists all the drawings that are part of a project. When you make a change in one drawing, all files related to that drawing automatically update.

Perform vault tasks with the Project Manager

When working with AutoCAD Electrical and Autodesk Vault, you check out projects or individual drawings from a vault location to edit. You can perform all vault tasks within the Project Manager when you are logged into the vault. You can also manage the relationships between a project file and its dependents in the vault, while standard project management operations continue to be available.

NoteAccess to vault folders depends upon the permissions you are granted. You cannot see files or folders that you do not have permissions for viewing.

AutoCAD Vault ARX adds vault features to the Project Manager once logged into the Vault. The vault commands are available by right-clicking on a project or drawing within the AutoCAD Electrical Project Manager. You can use the Project Manager to:

  • Log in and out of the vault

    Upon initial start-up of AutoCAD Electrical, you are not logged into the vault. You must log into Autodesk Vault to work with projects in the vault. You can also log into the vault using the File [image] Vault menu

  • Check projects in and out of the vault

    The most basic requirement of the vault is that you never work directly on a file in the vault. You must check out the project to the working folder on your local drive to edit it. When you finish working on the project, you must check the project back into the vault.

    When a project file and its related drawing files are checked out of a vault, only the files that are not currently checked out are downloaded. If the working copy of a file is older than the version in the vault, you are prompted to replace the working copy. If the working copy is currently checked out, it is not replaced.

    TipIf you want others to view updates you made to a project and you want to continue modifying the project, select the Keep Checked Out option on the Check In dialog box. This checks in the updates you made to the project and keeps the project checked out to you.
    NoteYou must have all references of a project file downloaded to your working folder to edit the project file.
  • View the status of files in a design

    The status icons indicate the status of your local files as compared to the same files in the vault. You can tell when the local copy is in sync with the vault and when it is not. The tooltip for each status icon describes the state of the file and suggests the next logical step. The status of a local file is updated when it is saved to disk.

    NoteThe vault status icons are only available in the list view and only appear when you are logged into the vault.
Setup for single user vs. multiple users

You can perform vault operations on the entire project or individual drawing files listed within the project in AutoCAD Electrical. However, in a multiple-user design environment, you can choose to check out and edit individual files as they are needed rather than checking out the entire project at once while still maintaining drawing file dependencies and versions. After you change the files and check them back into the vault, the associated files simultaneously update.

Use the Project Manager to perform all vaulting operations. In AutoCAD Electrical, you can select a file (or multiple files) within a project to:

  • Check in (all)
  • Check out (all)
  • Get latest (all)

Workflow overview

  1. Start AutoCAD Electrical.
  2. Log into Vault.
  3. In a single user environment, if you did not set a working folder yet, start Autodesk Vault Explorer and set a working folder on your local computer and then switch back to AutoCAD Electrical.

    In a multiple-user design environment, set the working folder on a shared network resource for the entire project team. This allows simultaneous access for all users on the same dataset and maintains the data consistency.

  4. Open a project you want to add to the vault.
  5. Add the opened project to the vault using the Check In or Check In Folder command.
  6. Use the Open from Vault or Check Out command to open and check out the file from the vault.
  7. To work on more files in the project, check out multiple files to the working folder using the Check Out All command in the Project Manager.
  8. When you finish modifying the files, check them back into the vault using the Check In All command in the Project Manager. All related files update.
Best practices for vault commands

Below are the suggested workflows for using the most common vault commands with AutoCAD Electrical.

Open from vault

Use Open from the Vault to access files in the vault for viewing or editing. To modify a file from the vault, the file must be checked out to you and worked on from your local drive. You must be logged into the Autodesk Data Management Server to open and check out a file.

  1. In the Project Manager, select Open Project from Vault from the project selection menu.
  2. In the Select file dialog box, navigate to the project definition file, and then select it. To maintain the relationship between the drawing files that are defined in the project file, you must check out all files specified in a project file when opening a project from Vault.
  3. Click Open.

Get latest version

Get Latest Version retrieves a read-only copy of the most recent design data that is checked in. You cannot modify it until you check it out using Autodesk Vault Explorer or the Vault add-in for AutoCAD-based products.

  1. In the Project Manager, select a file.
  2. Right-click and select:
    • Get Latest Version to get the most recent version of the selected project file.
    • Get Latest Version for All to get the most recent version of the selected project file and all of the related files.
  3. In the Get Latest Version dialog box, click OK.

    The most recent versions of the selected files are downloaded from the vault. If the working copy of a file is newer than the most recent version of the file in the vault, you are prompted to chose either losing changes made to the current working copy or to not get the latest version of that file.

  4. Click Settings to get the parents and children of the selected file.

Get previous version

Get Previous Version retrieves a past version of a file or a project and places a read-only copy in your working folder. Historical versions can never be modified. You can only create a new version of a file.

  1. In the Project Manager, right-click a file or project, and then click Get Previous Version.
  2. In the Get Previous Version dialog box, select a version of the file or project to retrieve.
  3. If the file has parents and children to get, click Settings, and then specify which related files are retrieved as well.
  4. Click OK.

    A read-only copy of the file is placed in the local working folder. You can view the file but you cannot modify it. To modify the file, you must check it out.

Create a project version

Project versions are controlled by project file (.wdp) versions. The project file acts as the parent for all drawings in the project and each version of the .wdp is associated to the latest versions of the drawing at that instance. You can edit individual drawings of a project and create versions of the drawings as needed. When you want to take a project snapshot (create a project version), check out the .wdp and check it back in.

Even if the .wdp is not modified, if any drawings have newer versions, a newer version of the .wdp is created, associating all newer drawing versions.

TipUse Vault Explorer to examine the relationship between versions of the project file and corresponding drawings.
Roll back to a previous project version

You can roll back to a previous project version using Vault Explorer, restoring the project file (.wdp) and all associated drawing and project configuration files to a previous version.

  1. Close the project and drawings in AutoCAD Electrical.
  2. Using Vault Explorer, examine the .wdp file and corresponding drawing versions.
  3. Select the desired .wdp file.
  4. Click Get Previous Version.
Automatically check in drawings

Some operations in AutoCAD Electrical (such as project-wide or reporting tools) cause Vault to automatically check out all affected drawings. These drawings can be automatically checked in when modifications are complete. When asked whether to check the file in, click Yes or Yes to All. If you do not want to be prompted to check in your drawings since you want the check-in to happen automatically, in the Options dialog box, select Check In dialog on auto check in.

When files are checked in, comments are automatically added to help identify and distinguish between the versions of the files that are automatically created. You can modify the comments as desired during check-in unless you suppressed the Check In dialog box.

Shared sandbox guidelines

A shared workspace is a working folder located on a shared server for all users to access. The shared workspace configuration can be used with:

  • Autodesk Vault
  • Autodesk Vault Explorer
  • AutoCAD Vault Add-in
  • Microsoft Vault Add-in

You can choose to work in a local or shared working folder according to your design requirements. A shared working folder is highly recommended for the AutoCAD Electrical environment, especially in a multi-user situation, because it enables you and your design team to keep all files up-to-date.

To use a shared workspace, the system administrator should preset a consistent working folder for all project members to use. Assign the working folder location to the root level ($) of the vault. A shared working folder cannot be assigned to a subfolder.

NoteIf Inventor add-in clients will access the same vault, do not enforce a shared working folder. If Inventor and AutoCAD Electrical are sharing the same vault, the vault administrator cannot enforce the shared working folder. Each AutoCAD Electrical user must set the working folder individually to point to a common network drive.

Rules For Using Shared Working Folders

Using a shared workspace means multiple users may be working on the same files. All your vault operations are protected as long as you log into the vault before working on the files. The following guidelines will help prevent you from overwriting the changes made by someone else, and vice versa.

  1. Remain logged into the vault at all times. You can use the Vault auto login option so you are automatically logged into the vault when AutoCAD Electrical starts.
  2. If a file is currently checked out to another user, you cannot perform the following operations:
    • Get Latest Version
    • Get Previous Version
    • Check Out
  3. You cannot check out a file that is currently opened for read-write by another user.
  4. You can still check out a file that is opened for read only by another user.
  5. You can open a file in read only when it is currently checked out to someone else using the same working folder.
  6. Ensure that the drawings are checked back into the vault after you finish working on them so they are available to other users who need to modify them.


AutoCAD Electrical Command

Use Autodesk Vault with AutoCAD Electrical
AutoCAD Electrical Commands
AutoCAD Electrical Command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • AutoCAD Electrical Commands


AutoCAD Electrical Commands

AutoCAD Electrical Command
AutoCAD Electrical Command
AutoCAD Electrical Command >
AutoCAD Electrical Commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Commands

These topics are called from within the command itself. If you do not find all the information you need, look further in the Help.

3 Phase Wire Numbers
Add Attribute
Add Connector Pins
Add/Edit Internal Jumper
Add/Edit Power Source/Load Levels
Add Geometry
Add Rung
Add Table to Catalog Database
Add Wire Connections
Adjust In-Line Wire/Label Gaps
Align
Associate Terminals
Autodesk Inventor Professional Export
Automatic Report Selection
Bend Wire
Block Replacement
Break Apart Terminal Associations
Cable Markers
Change Attribute Justification
Change Attribute Layer
Change Attribute Size
Change/Convert Wire Type
Change Cross-reference to Multiple Line Text
Check/Repair Gap Pointers
Check/Trace Wire
Child Location/Description Update
Circuit Builder
Clean Drawing Utility
Component Cross-reference
Conduit Marker (From/To List)
Conduit Marker (Pick)
Conduit Marker Report
Continue Surfer
Convert Block to Destination Arrow
Convert Block to Source Arrow
Convert Ladder
Convert Text to Attribute Definition
Convert Text to Wire Number
Convert to Schematic Component
Copy/Add Component Override
Copy Assembly
Copy Catalog Assignment
Copy Circuit
Copy Component
Copy Footprint
Copy Installation Code
Copy Group Code
Copy Level Assignments
Copy Location Code
Copy Mount Code
Copy Project
Copy Terminal Block Properties
Copy Wire Number
Copy Wire Number (In-Line)
Create/Edit Wire Type
Create New Drawing
Create New Project
Cross-reference Check
Delete Component
Delete Connector Pins
Delete Footprint
Delete Project
Delete Wire Gap
Delete Wire Numbers
Destination Signal Arrow
Drawing Audit
Drawing Properties: Components
Drawing Properties: Cross-references
Drawing Properties: Drawing Format
Drawing Properties: Drawing Settings
Drawing Properties: Styles
Drawing Properties: Wire Numbers
Edit Component
Edit Conduit Marker
Edit Footprint
Edit Jumper
Edit Language Database File
Edit Selected Attribute
Edit Wire Number
Edit Wire Sequence
Edit User Table Data
Electrical Audit
Electrical Standards Database Editor
Export to Spreadsheet
Fan In/Out Destination
Fan In/Out - Single Line Layer
Fan In/Out Source
Find/Edit/Replace Component Text
Find/Replace Terminal Text
Find/Replace Wire Numbers
Fix Wire Numbers
Fix/UnFix Component Tag
Flip Wire Gap
Flip Wire Number
Footprint Database File Editor
Hide Attribute (Single Picks)
Hide Attribute (Window/Multiple)
Hide/Unhide Cross-Referencing
Hide Wire Numbers
Icon Menu Wizard
IEC Tag Mode - Update
In-Line Wire Labels
Insert 22.5 Degree Wire
Insert 45 Degree Wire
Insert 67.5 Degree Wire
Insert Balloon
Insert Component
Insert Component (Catalog List)
Insert Component (Equipment List)
Insert Component (Panel List)
Insert Connector
Insert Connector from List
Insert Angled Tee Markers
Insert Dot Tee Markers
Insert/Edit Boundary Box Assignment
Insert/Edit Panel Level Assignment (for components)
Insert/Edit Panel Level Assignment (for terminal strips)
Insert Footprint (Catalog List)
Insert Footprint (Equipment List)
Insert Footprint (Icon Menu)
Insert Footprint (Manual)
Insert Footprint (Manufacturer Menu)
Insert Footprint (Schematic List)
Insert Hydraulic Components
Insert Ladder
Insert Panel Assembly
Insert P&ID Components
Insert PLC (Full Units)
Insert PLC (Parametric)
Insert Pneumatic Components
Insert Reference Arrow - From
Insert Reference Arrow - To
Insert Saved Circuit
Insert Splice
Insert Stand Alone Cross-reference
Insert Terminal (Manual)
Insert Terminal (Panel List)
Insert Terminal (Schematic List)
Insert Terminal Strip Representation
Insert WBlocked Circuit
Insert Wire
Insert Wire Gap
Insert Wire Numbers
Interconnect Components
Language Conversion
Link Catalog Number
Link Components with Dashed Lines
Link Description
Link Item Number
Link Installation Code
Link Location Code
Link Manufacturer
Link PLC Address Description
Link Rating
Link Split Tag
Link Terminal Number
Link User
List Signal Code
Location Box
Location Symbols
Make Xdata Visible
Map Attributes from Old to New
Mark/Verify Drawings
Mark Component to Pass Power
Migration Utility
Missing Level/Sequence Assignments
Modify Symbol Library
Move Circuit
Move Component
Move Connector Pins
Move/Show Attribute
Move Wire Number
Multiple Cable Markers
Multiple Insert (Icon Menu)
Multiple Insert (Pick Master)
Multiple Wire Bus
Next Project Drawing
Panel Bill of Materials Report
Panel Component Report
Panel Component Exception Report
Panel Configuration
Panel Nameplate Report
Panel Terminal Exception Report
Panel Terminal Strip Report
Panel Terminal Strip Swap Wire Text
Panel Wire Connection Report
Pin List Database Editor
PLC Database File Editor
PLC Database Migration Utility
PLC I/O Wire Numbers
Power Load Check Report
Previous Project Drawing
Project Manager
Project Properties: Components
Project Properties: Cross-references
Project Properties: Drawing Format
Project Properties: Project Settings
Project Properties: Styles
Project Properties: Wire Numbers
Project-Wide Utilities
Project-Wide Update/Retag
Promis.e Conversion
Publish to Web
Push Description Down
Push Description Up
Rebuild/Freshen Project Database
Recalculate Wire Size
Remove Component Override
Remove Level/Sequencing Assignment
Rename Attribute
Rename Panel Layers
Rename Schematic Layers
Renumber Ladder Reference
Report Format File Setup - Missing Level/Sequence Assignments
Report Format File Setup - Panel Bill of Material
Report Format File Setup - Panel Component
Report Format File Setup - Panel Component Exception
Report Format File Setup - Panel Nameplate
Report Format File Setup - Panel Terminal Exception
Report Format File Setup - Panel Wire Connection
Report Format File Setup - Schematic Bill of Material
Report Format File Setup - Schematic Cable From/To
Report Format File Setup - Schematic Cable Summary
Report Format File Setup - Schematic Component
Report Format File Setup - Schematic Component Wire List
Report Format File Setup - Schematic Connector Details
Report Format File Setup - Schematic Connector Plug
Report Format File Setup - Schematic Connector Summary
Report Format File Setup - Schematic Missing Bill of Material
Report Format File Setup - Schematic PLC/IO Address and Descriptions
Report Format File Setup - Schematic PLC I/O Component Connection
Report Format File Setup - Schematic PLC Modules Used So Far
Report Format File Setup - Schematic Terminal Numbers
Report Format File Setup - Schematic Terminal Plan
Report Format File Setup - Schematic Wire From/To
Report Format File Setup - Schematic Wire Label
Report Format File Setup - Wire Annotation Exception
Resequence Item Numbers
Retag Components
Reverse Connector
Reverse/Flip Component
Revise Ladder
Rotate Attribute
Rotate Connector
RSLogix 500 Export to Spreadsheet
Save Circuit to Icon Menu
Schematic Bill of Material Report
Schematic Cable From/to Report
Schematic Cable Summary Report
Schematic Component Report
Schematic Component Wire List Report
Schematic Connector Details Report
Schematic Connector Plug Report
Schematic Connector Summary Report
Schematic Database File Editor
Schematic Missing Bill of Material Report
Schematic PLC I/O Address and Descriptions Report
Schematic PLC I/O Component Connection Report
Schematic PLC Modules Used So Far Report
Schematic Terminal Numbers Report
Schematic Terminal Plan Report
Schematic Wire From/To Report
Schematic Wire Label Report
Scoot
Set Wire Type
Settings Compare
Show Footprint Sequencing Assignments
Show Links
Show Missing Catalog Assignments
Show Signal Paths
Show Terminal Associations
Show Terminal Strip Sequencing Assignments
Show Wire Sequence
Show Wires
Signal Error/List Report
Source Signal Arrow
Special Explode
Split PLC Module
Split Connector
Spreadsheet to PLC I/O Utility
Squeeze Attribute/Text
Stretch Attribute/Text
Stretch Connector
Stretch PLC Module
Stretch Wire
Surfer
Swap/Update Block
Swap Connector Pins
Swap Wire Numbers
Symbol Builder
Tag Child
Tag Child - Form C
Tag Child - N.C.
Tag Child - N.O.
Tag Nameplate
Tag Panel Component
Tag Panel Terminal - Terminal Number
Tag Panel Terminal - Wire Number
Tag PLC
Tag Schematic Component
Tag Schematic Terminal - Terminal Number
Tag Schematic Terminal - Wire Number
Tag Schematic Terminal - Wire Number Change
Terminal: Erase Internal/External Connections
Terminal: Mark External Connections
Terminal: Mark Internal Connections
Terminal: Show Internal/External Connections
Terminal List (From File)
Terminal List (Manual Picks)
Terminal Properties Database Editor
Terminal Renumber (Pick Mode)
Terminal Renumber (Project-Wide)
Terminal Strip Editor
Terminal Strip Table Generator
Title Block Setup
Title Block Update
Toggle Angled Tee Markers
Toggle NO/NC
Toggle Wire Number In-Line
Trim Wire
Unlink
Unhide Attribute (Window/Multiple)
Unhide Wire Numbers
Unity Pro Export
Unity Pro Export to Spreadsheet
Update from Project Scratch Database
Update from Spreadsheet
Update Signal References
Update Stand-alone Cross-reference
Update Symbol Library WD_M Block
Update to New WD_M Block, No Changes
Update to New WD_M Block, Values, Layers
Update to New WD_PNLM Block, No Changes
Update to New WD_PNLM Block, Values, Layers
User Defined Attribute List
View/Edit Component Sequence
Wire Annotation Exception Report
Wire Annotation of Panel Footprint
Wire Arrows for Reference Only
Wire Color/Gauge Labels
Wire/Conduit Routing Report
Wire Number Leader
Xdata Editor
X-Y Grid Setup
X Zones Setup
Zip Project


AutoCAD Electrical Help

AutoCAD Electrical 2010 Help

Welcome to AutoCAD Electrical Help

AutoCAD Electrical Help provides complete information for using AutoCAD Electrical. Click the links on the right or use the Contents tab on the left to browse Help topics.

What's New in AutoCAD Electrical

To learn what's new in AutoCAD Electrical 2010, click the link under General Information on the right.

Moving from AutoCAD to AutoCAD Electrical

This guide provides workflows and a detailed AutoCAD to AutoCAD Electrical feature comparison chart to familiarize and transition users to AutoCAD Electrical. To access this guide, click the link under Help Files on the right.
General Information

What's New

New Features Workshop

Learning Resources

Locating Commands

Use the Help system Efficiently

What's new for Previous Releases

Help Files

User's Guide

Getting Started

Command Reference

Moving from AutoCAD to AutoCAD Electrical Guide

Advanced Productivity

API Help

Resources on the Web

autodesk.com

Autodesk Manufacturing Community

AutoCAD Electrical

Technical Support

Training Resources

Consulting

AutoCAD Electrical Discussion Group

AutoCAD Electrical Blog


AutoCAD Electrical Learning Resources

Familiarize yourself with the user interface. Download now | Step-by-step lessons to help you begin. Learn More | Exchange knowledge and techniques with other users. Learn More | Attend special events and seminars. Learn More
Learn basic concepts. Download now | Explore ready-to-use symbol libraries. Learn More | Get answers & technical solutions from Autodesk's support team. Learn More | Become an Autodesk Certified Associate or Professional. Learn More
Transfer your existing knowledge and skills to AutoCAD Electrical. Learn More |  | Learn about plugin development and scripting. Learn More | Check out the latest features and enhancements. Learn More
 |  | Learn from books, online and instructors-lead training. Learn More |


Miscellaneous Reference files

Task list
Project Management
Drawing and Project Properties
Project Management >
Miscellaneous Reference files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.


Panel terminal strip graphical report parameters (Quick Reference)

Pick list for panel terminal strip report/graphical report
Panel terminal strip graphical report parameters
Overview of conduit tools
Panel Layout > Panel Leveling/Sequencing Tools >
Panel terminal strip graphical report parameters
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Panel terminal strip graphical report parameters

Toolbar: Panel Level/Sequencing
Menu: Panel Layout [image] Panel Level/Sequencing [image] Panel Terminal Strip ReportDoes not exist in the menus.
Command entry: AETERMINALSTRIPREPORT

Select a terminal strip and click OK. In the Report Generator dialog box, click Insert as Terminal Strip.

Text height | Defines the height of the terminal strip text.
Terminal box width | Defines the width of the boxes that make up the terminal strip.
Terminal box height | Defines the height of the boxes that make up the terminal strip.
Group the terminals/text | Inserts the graphical report as a set of grouped objects. You can select any member of the group or select the group as a whole. You can toggle group selection on and off by pressing CTRL+H or SHIFT+CTRL+A.
Orientation | Specifies the orientation for the terminal strip: vertical, left to right, or right to left.
Wire connection format | Each format uses parameters that are then replaced with the specific wire connection information. AutoCAD Electrical provides a predefined default format for you to select from the button. You can also enter your own format using the replaceable parameters.
Add spare terminals | Displays extra terminals at the bottom of the graphical representation.


Pick list for panel terminal strip report/graphical report (Quick Reference)

Insert/edit panel level assignment: component
Pick list for panel terminal strip report/graphical report
Panel terminal strip graphical report parameters
Panel Layout > Panel Leveling/Sequencing Tools >
Pick list for panel terminal strip report/graphical report
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Pick list for panel terminal strip report/graphical report

Select a supplementary terminal strip representation to display wiring information inside of a report generator dialog box, and later insert a terminal strip layout drawing.

Toolbar: Panel Level/Sequencing
Menu: Panel Layout [image] Panel Level/Sequencing [image] Panel Terminal Strip ReportDoes not exist in the menus.
Command entry: AETERMINALSTRIPREPORT

All supplementary terminal strips found in the active drawing display in the dialog box. Select from the list or click Pick to select the terminal strip from the drawing. Once the terminal strip is selected (either from the list or the active drawing), the report displays in the Report Generator dialog box.

In the Report Generator dialog box, click Insert as Terminal Strip to define a graphical representation of the terminal strip for placement on the active drawing file.


Insert/edit panel level assignment: component (Quick Reference)

Level code edit: boundary box
Insert/edit panel level assignment: component
Pick list for panel terminal strip report/graphical report
Panel Layout > Panel Leveling/Sequencing Tools >
Insert/edit panel level assignment: component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Insert/edit panel level assignment: component

Use this tool to view, assign, or edit 3-digit level codes and 4-digit sequence codes on panel footprint components. This coding, when present, can influence the way that AutoCAD Electrical calculates the wire connection from/to sequence. As it processes the schematic component representations and wiring, it checks for any coding found on the panel footprint and panel terminal strip representations. If present, it adjusts the from/to sequencing accordingly.

This panel level assignment coding also can trigger supplementary or "shipping split" terminal strip references, not necessarily shown on the schematics, to be inserted into the schematic from/to wiring calculation. Specific wire connection sequencing defined directly on the schematics using the Define Wire Sequence command overrides this Panel level/sequencing assignment mechanism.

Toolbar: Panel Level/Sequencing
Menu: Panel Layout [image] Panel Level/Sequencing [image] Insert/Edit Panel Level AssignmentDoes not exist in the menus.
Command entry: AEPANELLEVEL

Select an existing footprint component.

Default

Displays a dialog box to set the drawing-wide default assignments for each of the four level categories. Values entered here become the default level assignments for all unassigned panel layout footprint component and terminal strip representations on the active drawing.

NoteThis dialog box can also be accessed from the Panel Configuration dialog box.

Enter the optional 3-digit level codes (for example, 001, 002, and so on) for one or more of the four level categories. For example, if everything on the active drawing is in the fourth cubical of the second unit, and all of this is part of the first shipping split section, enter 004 for level category 2 (for example, cubical), 002 for level category 3 (for example, unit), and 001 for level category 4 (for example, highest category shipping section). With these defaults in place only the lowest level category 1 must be assigned on an individual panel terminal strip basis.

Level 4/Level 3/Level 2/Level 1

Shows the level code assigned to each of the four level categories, Level 4 = shipping split (highest level), Level 3 = unit, Level 2 = cubical, and Level 1 = pan/plate (lowest level). The level code assignments should be 3-digit values and chosen with the idea that their sort order on a per-level category basis influences the actual inter-level wire sequence calculation.

The List button for each level category displays a dialog box showing the level combinations that are assigned so far. Picking from this dialog box assigns those same level category assignments to the currently edited panel layout footprint. If codes are not defined in the edit boxes, the drawing-wide default values displayed in the left-hand column of non-editable edit boxes are used (if defined).

Level code/location

Controls whether the Level 1 edit box displays the 3-digit level code assignment or the LOC attribute value of the device. This location display mode is for display purpose only. The underlying 3-digit Level 1 code is always used for the sorting installation.

Pick

Selects another panel layout footprint symbol or terminal strip representation on the active drawing and copies its settings over to the currently edited component

Bypass terminal strips

Controls the wiring bypass of this component of one or more level categories of supplementary terminal strips. For example, special signal wiring passes from the currently edited component to some other components in a different cubical/unit/ship split section. To disable any supplementary terminal strip connections that might automatically be included in the from/to calculations between this edited component and other connected components identified in other level assignment combinations, switch all four bypass options on.

Sequence on Level 1

Influences the wire connection sequencing of the schematic components whose physical footprints share the same combination of four level category assignments. The sequence assignment is a 4-digit number (for example, 0001, 0002, and so on) and is sorted to give a default wire connection sequence.

For example, all of the push button and pilot light footprint representations on a door layout carry the same Level 1 through Level 4 category code assignments, but carry sequence value assignments that increase from left to right and top to bottom on the layout. This means that AutoCAD Electrical calculates the from/to connections for a common wire starting at the top left and leaving the door at the component located in the bottom right-hand corner.


Level code edit: boundary box (Quick Reference)

Insert/edit panel level assignment: terminal strip
Level code edit: boundary box
Insert/edit panel level assignment: component
Panel Layout > Panel Leveling/Sequencing Tools >
Level code edit: boundary box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Level code edit: boundary box

Use this tool to view or edit 3-digit level codes for boundary boxes. Devices placed within the boundary box take on the level codes of the boundary. The dialog box lists the number of device footprints found within the boundary and the number of devices that currently do not match the boundary default.

Toolbar: Toolbar2
Menu: Panel Layout [image] Panel Level/Sequencing [image] Insert/Edit Boundary Box AssignmentDoes not exist in the menus.
Command entry: AEBOUNDRYBOX

Select a boundary box.

Default | Sets the drawing-wide defaults to use for the wire level codes. It references the panel drawing files default leveling assignment values defined in the Panel Configuration dialog box. Enter optional 3-digit level codes. They are applied as defaults when codes are not defined on footprint devices.
Level 4/Level 3/Level 2/Level 1 | Specifies which level codes to use in the sequencing. Level 4 = ship split, Level 3 = unit, Level 2 = cubical, and Level 1 = pan/plate. The leveling assignment codes should be 3-digit values since they are used in for sorting component data in the project database. If codes are not defined in the edit boxes, the drawing-wide default values are used.
Level code/location | Indicates whether the level codes are displayed in the Level 1 input field or in the location code of the device defined on the schematic.
Pick | Selects another physical footprint symbol on the drawing to copy the level codes from.


Insert/edit panel level assignment: terminal strip (Quick Reference)

Insert panel wiring diagram terminal strip representation
Insert/edit panel level assignment: terminal strip
Level code edit: boundary box
Panel Layout > Panel Leveling/Sequencing Tools >
Insert/edit panel level assignment: terminal strip
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Insert/edit panel level assignment: terminal strip

Use this tool to view, assign, or edit 3-digit level codes on panel terminal strip representations. This coding, when present, influences the way that AutoCAD Electrical calculates the wire connection from/to sequence. As it processes the schematic component representations and wiring, it checks for any coding found on the panel footprint and panel terminal strip representations. If present, it adjusts the from/to sequencing accordingly.

This panel terminal strip coding can trigger supplementary or "shipping split" terminal strip references, not necessarily shown on the schematics, to be inserted into the schematic from/to wiring calculation. Specific wire connection sequencing defined directly on the schematics using the Define Wire Sequence command override this Panel level/sequencing assignment mechanism.

Toolbar: Panel Level/Sequencing
Menu: Panel Layout [image] Panel Level/Sequencing [image] Insert/Edit Panel Level AssignmentDoes not exist in the menus.
Command entry: AEPANELLEVEL

Select an existing panel terminal strip representation.

Default

Displays a dialog box to set the drawing-wide default assignments for each of the four level categories. Values entered here become the default level assignments for all unassigned panel layout footprint component and terminal strip representations on the active drawing.

NoteThis dialog box can also be accessed from the Panel Configuration dialog box.

Enter the optional 3-digit level codes (for example, 001, 002, and so on) for one or more of the four level categories. For example, if everything on the active drawing is in the fourth cubical of the second unit, and all of this is part of the first shipping split section, enter 004 for level category 2 (for example, cubical), 002 for level category 3 (for example, unit), and 001 for level category 4 (for example, highest category shipping section). With these defaults in place only the lowest level category 1 must be assigned on an individual panel terminal strip basis.

Pick

Selects a panel layout footprint symbol or terminal strip representation on the active drawing and copies its level category settings over to the currently edited component. Multiple picks are allowed with each additional pick prompting you to overwrite or append.

Level 4/Level 3/Level 2/Level 1 edit boxes

Shows the valid level code or codes assigned to each of the four level categories, Level 4 = shipping split (highest level), Level 3 = unit, Level 2 = cubical, and Level 1 = pan/plate (lowest level). The level code assignments should be 3-digit values and match up with level codes of panel layout footprints whose wiring is to pass through the terminal strip. Multiple code entries are comma separated.

If codes are not defined in the edit boxes, the drawing-wide default values displayed in the left-hand column of uneditable edit boxes are used (if defined).

Level code/location

Controls whether the Level 1 edit box displays the 3-digit level code assignments or the LOC attribute value of the device. This location display mode is for display purpose only; the underlying 3-digit Level 1 code is always used for the sorting installation.

Level 4/Level 3/Level 2/Level 1 radio buttons

Selects the level category at which the terminal strip representation operates. The categories are Level 4 = shipping split (highest level), Level 3 = unit, Level 2 = cubical, and Level 1 = pan/plate (lowest level). The level code assignment codes should be 3-digit values and match up with level codes of panel layout footprints whose wiring is to pass through the terminal strip. Multiple code entries are comma separated.

Jumper Directly to Supplementary Terminal Strip: Enable/Disable

This option is applicable to the terminal strip only if it is referenced on the schematics as well as the panel layout drawing (that is, it is not a supplementary terminal strip that only is represented on the panel layout drawings).

Disable | AutoCAD Electrical treats the terminal connections through this terminal strip normally. It uses the level category code assignments of the terminal to influence how the from/to wire sequencing is calculated.
Enable | AutoCAD Electrical saves this connection calculations of the terminal until last. It then checks each of the terminal "potentials" of the strip against those on any supplementary terminal strip found that is at the "same" level combination. For each potential match, it attempts to make the from/to calculation for that terminal to be a simple jumper assignment from the terminal strip's terminal up to the supplementary terminal strip. When no match is found, the from/to calculation through the terminal strip is done in a normal fashion.
Connection left/right

Two-character code that controls whether the Level 1 assignments show "Panel Terminal Strip Report" connection information on the internal or external side of the terminal block. The first character represents the left side of the terminal strip and the second character represents the right side.

Internal (I) | Refers to the side of the terminal that "receives" wire connections from panel footprint components marked with the target Level 1 code.
External (E) | Refers to the side of the terminal strip with wiring going off to other Level 1 through four codes.
Both (B) | Means that both internal and external wiring is on the same side of the terminal strip with the other side empty, code of "x". (for example, for customer connections).

For example, a single Level 1 terminal strip marked with Level 1 code "001,002,004" runs between three back plates with mounted components, two on the left (footprint Level 1 codes of "001" and "002") and one on the right (footprint Level 1 codes "004"). If the terminal strip is marks as follows: "IE 001," "IE 002," and "EI 004," then wiring leaving the left-hand back plates attach to the terminal strip on the left-hand side ("I" in the first character position) and wiring leaving the right-hand plate attaches to the right side of the terminal strip ("I" in the second character position).

Maximum wires per terminal connection

Defines the number of wires (either 1 or 2 per side) allowed per terminal connection in the Panel Terminal Strip report.

Maximum terminals

Defines the total number of terminal blocks on the entire supplementary terminal strip for the Panel Terminal Strip report. A blank value indicates that the terminal strip length is undefined.

Maximum/minimum wire size

Determines a range of wire sizes allowable to be connected to the supplementary terminal strip. Wires that are outside the allowed range of the terminal strip bypass it. A blank value in both maximum and minimum edit boxes indicates that this check is not performed.

A connected wire's size is extracted from the wire line's layer name. AutoCAD Electrical simply parses the wire's layer name for the first numeric value found within the name. For example, a wire layer name based on metric wire sizes of "WHITE-2.5MM^2" yields a size value of "2.5". A wire layer that might be set up for AWG wire sizes, "RED_14_XHW", indicates a size value of "14".

For example, the project used AWG-style wire sizes with layer names to match (for example, BLK_12_THHN and RED_16_MTW). The terminal block accepts wire sizes from thin AWG 24 through heavy AWG 12. Set up the maximum edit box to read "12" and the minimum edit box to read "24."

Allowed level to level connection direction

Select from:

All | Wiring from 3-digit code assignments both higher and lower than the terminal's assigned operating level code (the "Level 1-4 radio buttons" described previously) can pass freely through this terminal strip.
Higher only | Wiring from 3-digit code assignments higher than this terminal's assigned operating level code can pass through this terminal strip.
Lower only | Wiring from 3-digit code assignments lower than this terminal's assigned operating level code can pass through this terminal strip.

Example: the middle "002" shipping section has a Level 4 terminal strip at the left-hand end and another at the right-hand end. Wiring from anywhere in the first "001" shipping section must come in through the left-hand terminal strip. It is marked "Lower only". Wiring going on to the next shipping section "003" must pass through the right-hand terminal strip, marked "Higher only".

Multiple terminal strip usage priority

Provides priority for wiring information to apply to the supplementary terminal strip. If there can be multiple, valid terminal strip paths that match up with the level code combination of a given from/to inter-connection, the path chosen is influenced by this priority setting.


Insert panel wiring diagram terminal strip representation (Quick Reference)

Copy level assignments
Insert panel wiring diagram terminal strip representation
Insert/edit panel level assignment: terminal strip
Panel Layout > Panel Leveling/Sequencing Tools >
Insert panel wiring diagram terminal strip representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Insert panel wiring diagram terminal strip representation

Define a rectangle as a supplementary terminal strip to use in the wiring routing information over large control system equipment.

Toolbar: Panel Level/Sequencing
Menu: Panel Layout [image] Panel Level/Sequencing [image] Insert Terminal Strip RepresentationDoes not exist in the menus.
Command entry: AETERMINALSTRIP
Use generic marker only | Inserts a terminal strip with just the tag of the component, description text, and so on.
Draw shapes | Draws a rectangle, circle, or octagon to represent the terminal strip. Text and hidden information are inserted when drawn.
Pick "just like" footprint | Select a terminal strip from the drawing.
Browse | Pick a terminal strip from a list of .DWG files on disk.
Pick | Pick a non-AutoCAD Electrical block on the drawing to be instantly changed into a smart AutoCAD Electrical block.


Copy level assignments (Quick Reference)

View/edit panel component connection sequence
Copy level assignments
Insert panel wiring diagram terminal strip representation
Panel Layout > Panel Leveling/Sequencing Tools >
Copy level assignments
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Copy level assignments

Define or capture a common set of level assignments for panel footprint components and then copy these 3-digit level codes to one or multiple footprints. This coding, when present, influences the way that AutoCAD Electrical calculates the wire connection from/to sequence. As it processes the schematic component representations and wiring, it checks for any coding found on the panel footprint and panel terminal strip representations. When present, it adjusts the from/to sequencing accordingly.

Toolbar: Panel Level/Sequencing
Menu: Panel Layout [image] Panel Level/Sequencing [image] Copy Level AssignmentsDoes not exist in the menus.
Command entry: AECOPYLEVEL

Level 4/Level 3/Level 2/Level 1

You can type in the level assignments or select from the drawing using Pick. Categories: Level 4 (shipping split - highest level), Level 3 (unit), Level 2 (cubical), and Level 1 (pan or plate - lowest level). You can copy all level information or unselect one or more level categories before copying.

An enabled, blank edit box indicates to erase any existing values and forces the use of the drawing-wide default value. If an edit box is unavailable, the existing value is not overwritten. Use the switches to enable or disable the edit box for each level category.

Terminal strips only

Applicable only the level assignments to copy to panel terminal strip representations, and the terminal strips are referenced on the schematics as well as the panel layout drawing. (In other words, they are not supplementary terminal strips that are only represented on the panel layout drawings).

Select this option, and then select one of the following:

  • Disable (Default) AutoCAD Electrical treats the terminal connections through the terminal strip normally. It uses the level category code assignments of the terminal to influence how the from/to wire sequencing is calculated.
  • Enable Processes the connection calculations of the terminal last. It checks each of the terminal potentials of the strip against those on any supplementary terminal strip found that is at the same level combination. For each potential match, it attempts to make the from/to calculation for that terminal to be a simple jumper assignment from the terminal strip's terminal up to the supplementary terminal strip. When a match is not found, the from/to calculation through the terminal strip operates in a normal fashion.

Pick

Selects the footprint representation on the drawing to copy the leveling code from.


View/edit panel component connection sequence (Quick Reference)

Add a balloon to a component
View/edit panel component connection sequence
Copy level assignments
Panel Layout > Panel Leveling/Sequencing Tools >
View/edit panel component connection sequence
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

View/edit panel component connection sequence

This tool allows you to view and rearrange the sequencing of all panel footprint components that share a common set of Level 1-4 level code assignments. This coding, when present, influences the way that AutoCAD Electrical calculates the wire connection from/to sequence. As it processes the schematic component representations and wiring, it checks for any coding found on the panel footprint and panel terminal strip representations. When present, it adjusts the from/to sequencing accordingly.

NoteLeveling is required before assigning sequencing on the panel footprints.
Toolbar: Panel Level/Sequencing
Menu: Panel Layout [image] Panel Level/Sequencing [image] View/Edit Component SequenceDoes not exist in the menus.
Command entry: AEVIEWCOMPSEQ

Select a footprint with a set of level codes assigned to it.

The components that have level codes matching the picked footprint are displayed in the list box in the order they are inserted. It includes panel footprint components that might appear on drawings other than the active drawing (marked with "*" in the list). To modify the order, select an entry in the list, then select Move Up or Move Down in the list. Multiple selection is supported.

Move Up | Moves the selected components up one spot in the list.
Move Down | Moves the selected components down one spot in the list.
Pick Mode | Defines the sequence by actual picks at each component. Pick near each component in the order of how you want the sequence to proceed from component to component. Picking is limited to components on the active drawing.
Remove All | Removes the component sequence information from all listed components.
OK-new | Saves the sequence assignments and writes them out to the panel footprint representations. The data is stored on attribute WDLEV or as extended entity data (xdata) on the symbol if the target attribute is not available.


Location box (Quick Reference)

Substitute location mark symbols for text location codes
Location box
Modify library symbols
Component Attribute Tools >
Location box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Location box

The Location Box tool draws a dashed box around selected components. A description can be assigned to the box, and components within the box can have their location and installation codes changed.

Ribbon: Schematic tab [image] Insert Components panel [image] Location Box drop-down [image] Location Box. Does not exist on the ribbon.
Toolbar: Location Symbols
Menu: Components [image] Component Tagging [image] Location BoxDoes not exist in the menus.
Command entry: AELOCATIONBOX
Installation/Location Codes
Location | Specifies the location code.
Installation | Specifies the installation code.
Drawing | Searches active drawing for location codes.
Project | Searches active project for location codes.
Pick Like | Picks the location code from a component in the active drawing.
Dashed Box Information
Description Height | Specifies the description height. Description height can be entered in the edit box or picked from an existing device from the active drawing.
Box Description | Specifies the description text.
Description Insert Point | Specifies the description insertion point: top, bottom, left or right.
Drawing | Searches the active drawing for location box descriptions.
Use Location/Installation | Indicates for the description to use the location and installation values.
Pick Like | Picks a description from a component in the active drawing.
NoteUse the AutoCAD Electrical Edit Component to change the Location Box values.


Optional ENV file assignment for current project (Quick Reference)

Change wire types
Optional ENV file assignment for current project
Change appearance of existing library symbols
Drawing and Project Properties > Using Layers >
Optional ENV file assignment for current project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Optional ENV file assignment for current project

You can create an alternate environment settings ENV file and assign it to the active project. Customer-specific ENV files can be created to store customer settings, paths, libraries, and menus. For a given project, you can assign the appropriate ENV file to the project. The ENV file name reference is saved in the WDP drawing list file of the project. Whenever the project is selected, the settings in the referenced ENV file are automatically restored.

Ribbon: Project tab [image] Project Tools panel [image] Manager. Does not exist on the ribbon.
Toolbar: Main Electrical 2
Menu: Projects [image] Project [image] Project ManagerDoes not exist in the menus.
Command entry: AEPROJECT

Right-click the project name and select Settings. On the Current Settings dialog box, click Environment file.


Project database table data -- project drawing files update (Quick Reference)

Add new table to MDB
Project database table data -- project drawing files update
Rebuild database file
Project Management > Miscellaneous Reference files >
Project database table data -- project drawing files update
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Project database table data -- project drawing files update

AutoCAD Electrical maintains a scratch database for a project, stored in Microsoft Access format that is used to speed up certain project-wide operations. This file is for scratch use only; it is not part of the intelligence stored in an AutoCAD Electrical project. If the scratch database file is missing or corrupted, it is automatically generated from the drawing set of the project. The scratch database file of the project can be used to write back to text data carried on symbols on the drawings. With some care (described in the following section), you can edit the database directly and then import the information back to the drawings.

The file name is <project>.mdb where <project> matches the current project's .wdp file name.

Ribbon: Import/Export Data tab [image] Import panel [image] From Project MDB. Does not exist on the ribbon.
Toolbar: Schematic Reports
Menu: Projects [image] Export to Spreadsheet [image] Update from Project Scratch DatabaseDoes not exist in the menus.
Command entry: AEIMPORTDB

Select the database table to update then select the drawings to process. Any changes are written back to the appropriate objects. Alternately, save the scratch database file with a new name, edit, and then reference this file when the command starts.

Cautionary Note

AutoCAD Electrical 2006 and later introduced an automatic scratch database "freshen" function, Project Database Service (PDS), which complicates use of this command over previous versions of AutoCAD Electrical. The PDS automatically updates the scratch project database without your intervention (and without your knowledge). If you edit the scratch database with all of the changes you want to write back to your project set, there is a chance that the PDS comes in, without warning, and remove all of these edits (to match the current state of the unmodified drawings) before you have a chance to run the command to update the drawings.

Even if you are careful not to update the drawings while doing the mdb edit (so that the PDS does not update anything), you can still lose all your edits when you launch the Update from Project Scratch Database command. It is because the command, just before it begins the update, may ask you if it is OK to Qsave the active drawing. If you select OK, then the PDS sees a change and updates the database (for example, erases changes for current drawing), just as the command is getting ready to process.

To prevent it, do not update the drawings while editing the scratch database file and answer "NO" to the Qsave prompt when invoking the actual update command.


Files unavailable for processing (Quick Reference)

Select drawings to process
Files unavailable for processing
Overview of project and drawing properties
Project Management > Miscellaneous Reference files >
Files unavailable for processing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Files unavailable for processing

If some of the drawings selected for processing are unavailable (such as in a read-only state) this dialog box appears. The file name, status, and location of the drawing is listed in the dialog box for review.

Retry Now | Tries to gain full write access to the entire list of drawing files previously selected. If you gain full access, the files are locked out by you and other users cannot modify until the project-wide command finishes.
Task | Task (saves) all modifications in a task list to run at a later time. The task list is maintained inside of the Project Task List database file (project_update.mdb). Not all commands can write to the task list. See the following list of commands that can be tasked.
Cancel | Cancels the update and returns to the Select Drawings to Process dialog box. Select other files to update or try to gain write access to the entire list of drawings to process.
Ignore | Processes the command on the drawings that are available for editing. Changes to unavailable drawings are not saved to the task list for later updates.
Commands that write to the project_udpate.mdb file
  • Edit Component
  • Retag Component
  • Insert or copy a circuit
  • Edit Location box
  • Find/Edit/Replace
  • Set/Edit Wire Connection Sequence
  • Changing an IEC setting before running a Retag
  • Copy Location/Installation/Mount/Group
  • Copy BOM
  • Block Swap
  • Terminal Strip Editor
  • Insert Schematic from Panel


Select drawings to process (Quick Reference)

Rebuild database file
Select drawings to process
Files unavailable for processing
Project Management > Miscellaneous Reference files >
Select drawings to process
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Select drawings to process

Lists the drawings available to update in the current project.

Select to run any of the project-wide commands.

Do All | Selects all of the drawings from the project drawing list.
Process | Selects one or more drawings from the project drawing list.
Reset | Moves all selected drawings back to the project drawing list.
Un-select | Moves one or more drawings back to the project drawing list.
by Section/subsection | Selects drawings by user-defined sections and subsections.


Rebuild database file (Quick Reference)

Project database table data -- project drawing files update
Rebuild database file
Select drawings to process
Project Management > Miscellaneous Reference files >
Rebuild database file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Rebuild database file

Rebuilds or freshens the temporary project database.

Toolbar: Project
Menu: Projects [image] Project [image] Rebuild/Freshen Project DatabaseDoes not exist in the menus.
Command entry: AEREBUILDDB
  • List: Lists the drawings that appear to be out-of-date with the wire connection table of the project. You can trigger an update when the dialog box is open or you can defter to auto-update when a wire report is run.
  • Include wire connection processing: Indicates to process wire connections when updating the database file or the wire connection table.
  • Freshen only: Updates the wire connection table with the out-of-date files.
  • Full rebuild: Performs a full rebuild of the project database file.


Add new table to MDB (Quick Reference)

Task list
Add new table to MDB
Project database table data -- project drawing files update
Project Management > Miscellaneous Reference files >
Add new table to MDB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Add new table to MDB

Ribbon: Project tab [image] Other Tools panel [image] [image] [image] Add Table to Catalog Database. Does not exist on the ribbon.
Menu: Projects [image] Extras [image] Add Table To Catalog DatabaseDoes not exist in the menus.
Command entry: AEADDCATALOGTABLE
MDB file to modify | Specifies the file name of the Catalog Database file to modify.
Existing tables | Lists the existing tables found in the file.
Add new table | Specifies the name of new table to add to the selected catalog database. The new, blank table inserts with the default fields defined (for example, the fields needed for the catalog lookup function).


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!